#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1700
#define LARGE_STATE_COUNT 551
#define SYMBOL_COUNT 221
#define ALIAS_COUNT 0
#define TOKEN_COUNT 137
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 11
#define MAX_ALIAS_SEQUENCE_LENGTH 20
#define PRODUCTION_ID_COUNT 27

enum {
  anon_sym_CR = 1,
  anon_sym_LF = 2,
  anon_sym__package = 3,
  sym__dollar = 4,
  anon_sym__abstract = 5,
  anon_sym__private = 6,
  anon_sym__iter = 7,
  anon_sym__method = 8,
  anon_sym_DOT = 9,
  anon_sym_LPAREN = 10,
  anon_sym__optional = 11,
  anon_sym__gather = 12,
  anon_sym_RPAREN = 13,
  anon_sym_LT_LT = 14,
  anon_sym_CARET_LT_LT = 15,
  anon_sym_LBRACK = 16,
  anon_sym_RBRACK = 17,
  anon_sym__endmethod = 18,
  anon_sym__proc = 19,
  anon_sym__endproc = 20,
  anon_sym_COMMA = 21,
  anon_sym__block = 22,
  anon_sym__endblock = 23,
  anon_sym__and_LT_LT = 24,
  anon_sym__andif_LT_LT = 25,
  anon_sym__or_LT_LT = 26,
  anon_sym__orif_LT_LT = 27,
  anon_sym__xor_LT_LT = 28,
  anon_sym_STAR_STAR_LT_LT = 29,
  anon_sym_STAR_STAR_CARET_LT_LT = 30,
  anon_sym_STAR_LT_LT = 31,
  anon_sym_STAR_CARET_LT_LT = 32,
  anon_sym_SLASH_LT_LT = 33,
  anon_sym_SLASH_CARET_LT_LT = 34,
  anon_sym__mod_LT_LT = 35,
  anon_sym__div_LT_LT = 36,
  anon_sym_DASH_LT_LT = 37,
  anon_sym_DASH_CARET_LT_LT = 38,
  anon_sym_PLUS_LT_LT = 39,
  anon_sym_PLUS_CARET_LT_LT = 40,
  anon_sym__if = 41,
  anon_sym__then = 42,
  anon_sym__endif = 43,
  anon_sym__elif = 44,
  anon_sym__else = 45,
  anon_sym__loop = 46,
  anon_sym__endloop = 47,
  anon_sym__finally = 48,
  anon_sym__with = 49,
  anon_sym__handling = 50,
  anon_sym__default = 51,
  anon_sym__catch = 52,
  anon_sym__endcatch = 53,
  anon_sym__throw = 54,
  anon_sym__primitive = 55,
  anon_sym__for = 56,
  anon_sym__over = 57,
  anon_sym__while = 58,
  anon_sym__try = 59,
  anon_sym__when = 60,
  anon_sym__endtry = 61,
  anon_sym__loopbody = 62,
  anon_sym__leave = 63,
  anon_sym__continue = 64,
  anon_sym__protect = 65,
  anon_sym__locking = 66,
  anon_sym__protection = 67,
  anon_sym__endprotect = 68,
  anon_sym__lock = 69,
  anon_sym__endlock = 70,
  anon_sym__pragma = 71,
  aux_sym_pragma_token1 = 72,
  anon_sym_DQUOTE = 73,
  aux_sym_string_literal_token1 = 74,
  aux_sym_string_literal_token2 = 75,
  anon_sym_SQUOTE = 76,
  aux_sym_string_literal_token3 = 77,
  aux_sym_slot_accessor_token1 = 78,
  sym_true = 79,
  sym_false = 80,
  sym_maybe = 81,
  sym_unset = 82,
  sym_super = 83,
  sym_self = 84,
  sym_clone = 85,
  sym_thisthread = 86,
  anon_sym__class = 87,
  aux_sym_class_token1 = 88,
  anon_sym_SEMI = 89,
  anon_sym__global = 90,
  anon_sym__local = 91,
  anon_sym__constant = 92,
  anon_sym__dynamic = 93,
  anon_sym__import = 94,
  anon_sym__return = 95,
  anon_sym_GT_GT = 96,
  anon_sym__scatter = 97,
  anon_sym__allresults = 98,
  sym_label = 99,
  sym_dynamic_variable = 100,
  sym_global_variable = 101,
  sym_global_reference = 102,
  sym_number = 103,
  anon_sym_LBRACE = 104,
  anon_sym_RBRACE = 105,
  anon_sym__is = 106,
  anon_sym__isnt = 107,
  anon_sym__cf = 108,
  anon_sym_EQ = 109,
  anon_sym_TILDE_EQ = 110,
  anon_sym_LT_GT = 111,
  anon_sym_GT_EQ = 112,
  anon_sym_LT_EQ = 113,
  anon_sym_LT = 114,
  anon_sym_GT = 115,
  anon_sym__and = 116,
  anon_sym__or = 117,
  anon_sym__xor = 118,
  anon_sym__andif = 119,
  anon_sym__orif = 120,
  anon_sym__xorif = 121,
  anon_sym_STAR_STAR = 122,
  anon_sym_STAR = 123,
  anon_sym_SLASH = 124,
  anon_sym__mod = 125,
  anon_sym__div = 126,
  anon_sym_DASH = 127,
  anon_sym_PLUS = 128,
  anon_sym__not = 129,
  anon_sym_TILDE = 130,
  sym_symbol = 131,
  anon_sym_PERCENT = 132,
  aux_sym_character_literal_token1 = 133,
  anon_sym_ = 134,
  aux_sym_documentation_token1 = 135,
  sym_comment = 136,
  sym_source_file = 137,
  sym__line_terminator = 138,
  sym_fragment = 139,
  sym_package = 140,
  sym__method_declaration = 141,
  sym_method = 142,
  sym_procedure = 143,
  sym_argument = 144,
  sym__arguments = 145,
  sym_block = 146,
  sym_assignment = 147,
  sym_if = 148,
  sym_elif = 149,
  sym_else = 150,
  sym_loop = 151,
  sym_finally = 152,
  sym_handling = 153,
  sym_catch = 154,
  sym_throw = 155,
  sym_primitive = 156,
  sym_iterator = 157,
  sym_while = 158,
  sym_try = 159,
  sym_loopbody = 160,
  sym_leave = 161,
  sym_continue = 162,
  sym_protect = 163,
  sym_lock = 164,
  sym_pragma = 165,
  sym__literal = 166,
  sym_string_literal = 167,
  sym_call = 168,
  sym_invoke = 169,
  sym_indexed_access = 170,
  sym_slot_accessor = 171,
  sym__expression_list = 172,
  sym_class = 173,
  sym__terminator = 174,
  sym__top_level_statement = 175,
  sym__expression = 176,
  sym__codeblock = 177,
  sym__defvar = 178,
  sym_global = 179,
  sym_local = 180,
  sym__global_assignment = 181,
  sym_constant = 182,
  sym_dynamic = 183,
  sym_import = 184,
  sym_dynamic_import = 185,
  sym_return = 186,
  sym__definition = 187,
  sym_gather = 188,
  sym_scatter = 189,
  sym_allresults = 190,
  sym_parenthesized_expression = 191,
  sym__variable = 192,
  sym_variable = 193,
  sym_identifier = 194,
  sym__identifier = 195,
  sym__identifier_list = 196,
  sym_vector = 197,
  sym_relational_operator = 198,
  sym_logical_operator = 199,
  sym_arithmetic_operator = 200,
  sym_unary_operator = 201,
  sym_character_literal = 202,
  sym_documentation = 203,
  aux_sym_source_file_repeat1 = 204,
  aux_sym_fragment_repeat1 = 205,
  aux_sym_package_repeat1 = 206,
  aux_sym__arguments_repeat1 = 207,
  aux_sym_if_repeat1 = 208,
  aux_sym_handling_repeat1 = 209,
  aux_sym_try_repeat1 = 210,
  aux_sym_try_repeat2 = 211,
  aux_sym_loopbody_repeat1 = 212,
  aux_sym_string_literal_repeat1 = 213,
  aux_sym_string_literal_repeat2 = 214,
  aux_sym__codeblock_repeat1 = 215,
  aux_sym_global_repeat1 = 216,
  aux_sym_local_repeat1 = 217,
  aux_sym_dynamic_repeat1 = 218,
  aux_sym__identifier_list_repeat1 = 219,
  aux_sym_documentation_repeat1 = 220,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_CR] = "\r",
  [anon_sym_LF] = "\n",
  [anon_sym__package] = "_package",
  [sym__dollar] = "_dollar",
  [anon_sym__abstract] = "_abstract",
  [anon_sym__private] = "_private",
  [anon_sym__iter] = "_iter",
  [anon_sym__method] = "_method",
  [anon_sym_DOT] = ".",
  [anon_sym_LPAREN] = "(",
  [anon_sym__optional] = "_optional",
  [anon_sym__gather] = "_gather",
  [anon_sym_RPAREN] = ")",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_CARET_LT_LT] = "^<<",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym__endmethod] = "_endmethod",
  [anon_sym__proc] = "_proc",
  [anon_sym__endproc] = "_endproc",
  [anon_sym_COMMA] = ",",
  [anon_sym__block] = "_block",
  [anon_sym__endblock] = "_endblock",
  [anon_sym__and_LT_LT] = "_and<<",
  [anon_sym__andif_LT_LT] = "_andif<<",
  [anon_sym__or_LT_LT] = "_or<<",
  [anon_sym__orif_LT_LT] = "_orif<<",
  [anon_sym__xor_LT_LT] = "_xor<<",
  [anon_sym_STAR_STAR_LT_LT] = "**<<",
  [anon_sym_STAR_STAR_CARET_LT_LT] = "**^<<",
  [anon_sym_STAR_LT_LT] = "*<<",
  [anon_sym_STAR_CARET_LT_LT] = "*^<<",
  [anon_sym_SLASH_LT_LT] = "/<<",
  [anon_sym_SLASH_CARET_LT_LT] = "/^<<",
  [anon_sym__mod_LT_LT] = "_mod<<",
  [anon_sym__div_LT_LT] = "_div<<",
  [anon_sym_DASH_LT_LT] = "-<<",
  [anon_sym_DASH_CARET_LT_LT] = "-^<<",
  [anon_sym_PLUS_LT_LT] = "+<<",
  [anon_sym_PLUS_CARET_LT_LT] = "+^<<",
  [anon_sym__if] = "_if",
  [anon_sym__then] = "_then",
  [anon_sym__endif] = "_endif",
  [anon_sym__elif] = "_elif",
  [anon_sym__else] = "_else",
  [anon_sym__loop] = "_loop",
  [anon_sym__endloop] = "_endloop",
  [anon_sym__finally] = "_finally",
  [anon_sym__with] = "_with",
  [anon_sym__handling] = "_handling",
  [anon_sym__default] = "_default",
  [anon_sym__catch] = "_catch",
  [anon_sym__endcatch] = "_endcatch",
  [anon_sym__throw] = "_throw",
  [anon_sym__primitive] = "_primitive",
  [anon_sym__for] = "_for",
  [anon_sym__over] = "_over",
  [anon_sym__while] = "_while",
  [anon_sym__try] = "_try",
  [anon_sym__when] = "_when",
  [anon_sym__endtry] = "_endtry",
  [anon_sym__loopbody] = "_loopbody",
  [anon_sym__leave] = "_leave",
  [anon_sym__continue] = "_continue",
  [anon_sym__protect] = "_protect",
  [anon_sym__locking] = "_locking",
  [anon_sym__protection] = "_protection",
  [anon_sym__endprotect] = "_endprotect",
  [anon_sym__lock] = "_lock",
  [anon_sym__endlock] = "_endlock",
  [anon_sym__pragma] = "_pragma",
  [aux_sym_pragma_token1] = "pragma_token1",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_literal_token1",
  [aux_sym_string_literal_token2] = "string_literal_token2",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_literal_token3] = "string_literal_token3",
  [aux_sym_slot_accessor_token1] = "slot_accessor_token1",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_maybe] = "maybe",
  [sym_unset] = "unset",
  [sym_super] = "super",
  [sym_self] = "self",
  [sym_clone] = "clone",
  [sym_thisthread] = "thisthread",
  [anon_sym__class] = "_class",
  [aux_sym_class_token1] = "class_token1",
  [anon_sym_SEMI] = ";",
  [anon_sym__global] = "_global",
  [anon_sym__local] = "_local",
  [anon_sym__constant] = "_constant",
  [anon_sym__dynamic] = "_dynamic",
  [anon_sym__import] = "_import",
  [anon_sym__return] = "_return",
  [anon_sym_GT_GT] = ">>",
  [anon_sym__scatter] = "_scatter",
  [anon_sym__allresults] = "_allresults",
  [sym_label] = "label",
  [sym_dynamic_variable] = "dynamic_variable",
  [sym_global_variable] = "global_variable",
  [sym_global_reference] = "global_reference",
  [sym_number] = "number",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym__is] = "_is",
  [anon_sym__isnt] = "_isnt",
  [anon_sym__cf] = "_cf",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE_EQ] = "~=",
  [anon_sym_LT_GT] = "<>",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_GT] = ">",
  [anon_sym__and] = "_and",
  [anon_sym__or] = "_or",
  [anon_sym__xor] = "_xor",
  [anon_sym__andif] = "_andif",
  [anon_sym__orif] = "_orif",
  [anon_sym__xorif] = "_xorif",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym__mod] = "_mod",
  [anon_sym__div] = "_div",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym__not] = "_not",
  [anon_sym_TILDE] = "~",
  [sym_symbol] = "symbol",
  [anon_sym_PERCENT] = "%",
  [aux_sym_character_literal_token1] = "character_literal_token1",
  [anon_sym_] = " ",
  [aux_sym_documentation_token1] = "documentation_token1",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym__line_terminator] = "_line_terminator",
  [sym_fragment] = "fragment",
  [sym_package] = "package",
  [sym__method_declaration] = "_method_declaration",
  [sym_method] = "method",
  [sym_procedure] = "procedure",
  [sym_argument] = "argument",
  [sym__arguments] = "_arguments",
  [sym_block] = "block",
  [sym_assignment] = "assignment",
  [sym_if] = "if",
  [sym_elif] = "elif",
  [sym_else] = "else",
  [sym_loop] = "loop",
  [sym_finally] = "finally",
  [sym_handling] = "handling",
  [sym_catch] = "catch",
  [sym_throw] = "throw",
  [sym_primitive] = "primitive",
  [sym_iterator] = "iterator",
  [sym_while] = "while",
  [sym_try] = "try",
  [sym_loopbody] = "loopbody",
  [sym_leave] = "leave",
  [sym_continue] = "continue",
  [sym_protect] = "protect",
  [sym_lock] = "lock",
  [sym_pragma] = "pragma",
  [sym__literal] = "_literal",
  [sym_string_literal] = "string_literal",
  [sym_call] = "call",
  [sym_invoke] = "invoke",
  [sym_indexed_access] = "indexed_access",
  [sym_slot_accessor] = "slot_accessor",
  [sym__expression_list] = "_expression_list",
  [sym_class] = "class",
  [sym__terminator] = "_terminator",
  [sym__top_level_statement] = "_top_level_statement",
  [sym__expression] = "_expression",
  [sym__codeblock] = "_codeblock",
  [sym__defvar] = "_defvar",
  [sym_global] = "global",
  [sym_local] = "local",
  [sym__global_assignment] = "_global_assignment",
  [sym_constant] = "constant",
  [sym_dynamic] = "dynamic",
  [sym_import] = "import",
  [sym_dynamic_import] = "dynamic_import",
  [sym_return] = "return",
  [sym__definition] = "_definition",
  [sym_gather] = "gather",
  [sym_scatter] = "scatter",
  [sym_allresults] = "allresults",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__variable] = "_variable",
  [sym_variable] = "variable",
  [sym_identifier] = "identifier",
  [sym__identifier] = "_identifier",
  [sym__identifier_list] = "_identifier_list",
  [sym_vector] = "vector",
  [sym_relational_operator] = "relational_operator",
  [sym_logical_operator] = "logical_operator",
  [sym_arithmetic_operator] = "arithmetic_operator",
  [sym_unary_operator] = "unary_operator",
  [sym_character_literal] = "character_literal",
  [sym_documentation] = "documentation",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_fragment_repeat1] = "fragment_repeat1",
  [aux_sym_package_repeat1] = "package_repeat1",
  [aux_sym__arguments_repeat1] = "_arguments_repeat1",
  [aux_sym_if_repeat1] = "if_repeat1",
  [aux_sym_handling_repeat1] = "handling_repeat1",
  [aux_sym_try_repeat1] = "try_repeat1",
  [aux_sym_try_repeat2] = "try_repeat2",
  [aux_sym_loopbody_repeat1] = "loopbody_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym_string_literal_repeat2] = "string_literal_repeat2",
  [aux_sym__codeblock_repeat1] = "_codeblock_repeat1",
  [aux_sym_global_repeat1] = "global_repeat1",
  [aux_sym_local_repeat1] = "local_repeat1",
  [aux_sym_dynamic_repeat1] = "dynamic_repeat1",
  [aux_sym__identifier_list_repeat1] = "_identifier_list_repeat1",
  [aux_sym_documentation_repeat1] = "documentation_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_CR] = anon_sym_CR,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym__package] = anon_sym__package,
  [sym__dollar] = sym__dollar,
  [anon_sym__abstract] = anon_sym__abstract,
  [anon_sym__private] = anon_sym__private,
  [anon_sym__iter] = anon_sym__iter,
  [anon_sym__method] = anon_sym__method,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym__optional] = anon_sym__optional,
  [anon_sym__gather] = anon_sym__gather,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_CARET_LT_LT] = anon_sym_CARET_LT_LT,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym__endmethod] = anon_sym__endmethod,
  [anon_sym__proc] = anon_sym__proc,
  [anon_sym__endproc] = anon_sym__endproc,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym__block] = anon_sym__block,
  [anon_sym__endblock] = anon_sym__endblock,
  [anon_sym__and_LT_LT] = anon_sym__and_LT_LT,
  [anon_sym__andif_LT_LT] = anon_sym__andif_LT_LT,
  [anon_sym__or_LT_LT] = anon_sym__or_LT_LT,
  [anon_sym__orif_LT_LT] = anon_sym__orif_LT_LT,
  [anon_sym__xor_LT_LT] = anon_sym__xor_LT_LT,
  [anon_sym_STAR_STAR_LT_LT] = anon_sym_STAR_STAR_LT_LT,
  [anon_sym_STAR_STAR_CARET_LT_LT] = anon_sym_STAR_STAR_CARET_LT_LT,
  [anon_sym_STAR_LT_LT] = anon_sym_STAR_LT_LT,
  [anon_sym_STAR_CARET_LT_LT] = anon_sym_STAR_CARET_LT_LT,
  [anon_sym_SLASH_LT_LT] = anon_sym_SLASH_LT_LT,
  [anon_sym_SLASH_CARET_LT_LT] = anon_sym_SLASH_CARET_LT_LT,
  [anon_sym__mod_LT_LT] = anon_sym__mod_LT_LT,
  [anon_sym__div_LT_LT] = anon_sym__div_LT_LT,
  [anon_sym_DASH_LT_LT] = anon_sym_DASH_LT_LT,
  [anon_sym_DASH_CARET_LT_LT] = anon_sym_DASH_CARET_LT_LT,
  [anon_sym_PLUS_LT_LT] = anon_sym_PLUS_LT_LT,
  [anon_sym_PLUS_CARET_LT_LT] = anon_sym_PLUS_CARET_LT_LT,
  [anon_sym__if] = anon_sym__if,
  [anon_sym__then] = anon_sym__then,
  [anon_sym__endif] = anon_sym__endif,
  [anon_sym__elif] = anon_sym__elif,
  [anon_sym__else] = anon_sym__else,
  [anon_sym__loop] = anon_sym__loop,
  [anon_sym__endloop] = anon_sym__endloop,
  [anon_sym__finally] = anon_sym__finally,
  [anon_sym__with] = anon_sym__with,
  [anon_sym__handling] = anon_sym__handling,
  [anon_sym__default] = anon_sym__default,
  [anon_sym__catch] = anon_sym__catch,
  [anon_sym__endcatch] = anon_sym__endcatch,
  [anon_sym__throw] = anon_sym__throw,
  [anon_sym__primitive] = anon_sym__primitive,
  [anon_sym__for] = anon_sym__for,
  [anon_sym__over] = anon_sym__over,
  [anon_sym__while] = anon_sym__while,
  [anon_sym__try] = anon_sym__try,
  [anon_sym__when] = anon_sym__when,
  [anon_sym__endtry] = anon_sym__endtry,
  [anon_sym__loopbody] = anon_sym__loopbody,
  [anon_sym__leave] = anon_sym__leave,
  [anon_sym__continue] = anon_sym__continue,
  [anon_sym__protect] = anon_sym__protect,
  [anon_sym__locking] = anon_sym__locking,
  [anon_sym__protection] = anon_sym__protection,
  [anon_sym__endprotect] = anon_sym__endprotect,
  [anon_sym__lock] = anon_sym__lock,
  [anon_sym__endlock] = anon_sym__endlock,
  [anon_sym__pragma] = anon_sym__pragma,
  [aux_sym_pragma_token1] = aux_sym_pragma_token1,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [aux_sym_string_literal_token2] = aux_sym_string_literal_token2,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_literal_token3] = aux_sym_string_literal_token3,
  [aux_sym_slot_accessor_token1] = aux_sym_slot_accessor_token1,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_maybe] = sym_maybe,
  [sym_unset] = sym_unset,
  [sym_super] = sym_super,
  [sym_self] = sym_self,
  [sym_clone] = sym_clone,
  [sym_thisthread] = sym_thisthread,
  [anon_sym__class] = anon_sym__class,
  [aux_sym_class_token1] = aux_sym_class_token1,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym__global] = anon_sym__global,
  [anon_sym__local] = anon_sym__local,
  [anon_sym__constant] = anon_sym__constant,
  [anon_sym__dynamic] = anon_sym__dynamic,
  [anon_sym__import] = anon_sym__import,
  [anon_sym__return] = anon_sym__return,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym__scatter] = anon_sym__scatter,
  [anon_sym__allresults] = anon_sym__allresults,
  [sym_label] = sym_label,
  [sym_dynamic_variable] = sym_dynamic_variable,
  [sym_global_variable] = sym_global_variable,
  [sym_global_reference] = sym_global_reference,
  [sym_number] = sym_number,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym__is] = anon_sym__is,
  [anon_sym__isnt] = anon_sym__isnt,
  [anon_sym__cf] = anon_sym__cf,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE_EQ] = anon_sym_TILDE_EQ,
  [anon_sym_LT_GT] = anon_sym_LT_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym__and] = anon_sym__and,
  [anon_sym__or] = anon_sym__or,
  [anon_sym__xor] = anon_sym__xor,
  [anon_sym__andif] = anon_sym__andif,
  [anon_sym__orif] = anon_sym__orif,
  [anon_sym__xorif] = anon_sym__xorif,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym__mod] = anon_sym__mod,
  [anon_sym__div] = anon_sym__div,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym__not] = anon_sym__not,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [sym_symbol] = sym_symbol,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_character_literal_token1] = aux_sym_character_literal_token1,
  [anon_sym_] = anon_sym_,
  [aux_sym_documentation_token1] = aux_sym_documentation_token1,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym__line_terminator] = sym__line_terminator,
  [sym_fragment] = sym_fragment,
  [sym_package] = sym_package,
  [sym__method_declaration] = sym__method_declaration,
  [sym_method] = sym_method,
  [sym_procedure] = sym_procedure,
  [sym_argument] = sym_argument,
  [sym__arguments] = sym__arguments,
  [sym_block] = sym_block,
  [sym_assignment] = sym_assignment,
  [sym_if] = sym_if,
  [sym_elif] = sym_elif,
  [sym_else] = sym_else,
  [sym_loop] = sym_loop,
  [sym_finally] = sym_finally,
  [sym_handling] = sym_handling,
  [sym_catch] = sym_catch,
  [sym_throw] = sym_throw,
  [sym_primitive] = sym_primitive,
  [sym_iterator] = sym_iterator,
  [sym_while] = sym_while,
  [sym_try] = sym_try,
  [sym_loopbody] = sym_loopbody,
  [sym_leave] = sym_leave,
  [sym_continue] = sym_continue,
  [sym_protect] = sym_protect,
  [sym_lock] = sym_lock,
  [sym_pragma] = sym_pragma,
  [sym__literal] = sym__literal,
  [sym_string_literal] = sym_string_literal,
  [sym_call] = sym_call,
  [sym_invoke] = sym_invoke,
  [sym_indexed_access] = sym_indexed_access,
  [sym_slot_accessor] = sym_slot_accessor,
  [sym__expression_list] = sym__expression_list,
  [sym_class] = sym_class,
  [sym__terminator] = sym__terminator,
  [sym__top_level_statement] = sym__top_level_statement,
  [sym__expression] = sym__expression,
  [sym__codeblock] = sym__codeblock,
  [sym__defvar] = sym__defvar,
  [sym_global] = sym_global,
  [sym_local] = sym_local,
  [sym__global_assignment] = sym__global_assignment,
  [sym_constant] = sym_constant,
  [sym_dynamic] = sym_dynamic,
  [sym_import] = sym_import,
  [sym_dynamic_import] = sym_dynamic_import,
  [sym_return] = sym_return,
  [sym__definition] = sym__definition,
  [sym_gather] = sym_gather,
  [sym_scatter] = sym_scatter,
  [sym_allresults] = sym_allresults,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__variable] = sym__variable,
  [sym_variable] = sym_variable,
  [sym_identifier] = sym_identifier,
  [sym__identifier] = sym__identifier,
  [sym__identifier_list] = sym__identifier_list,
  [sym_vector] = sym_vector,
  [sym_relational_operator] = sym_relational_operator,
  [sym_logical_operator] = sym_logical_operator,
  [sym_arithmetic_operator] = sym_arithmetic_operator,
  [sym_unary_operator] = sym_unary_operator,
  [sym_character_literal] = sym_character_literal,
  [sym_documentation] = sym_documentation,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_fragment_repeat1] = aux_sym_fragment_repeat1,
  [aux_sym_package_repeat1] = aux_sym_package_repeat1,
  [aux_sym__arguments_repeat1] = aux_sym__arguments_repeat1,
  [aux_sym_if_repeat1] = aux_sym_if_repeat1,
  [aux_sym_handling_repeat1] = aux_sym_handling_repeat1,
  [aux_sym_try_repeat1] = aux_sym_try_repeat1,
  [aux_sym_try_repeat2] = aux_sym_try_repeat2,
  [aux_sym_loopbody_repeat1] = aux_sym_loopbody_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym_string_literal_repeat2] = aux_sym_string_literal_repeat2,
  [aux_sym__codeblock_repeat1] = aux_sym__codeblock_repeat1,
  [aux_sym_global_repeat1] = aux_sym_global_repeat1,
  [aux_sym_local_repeat1] = aux_sym_local_repeat1,
  [aux_sym_dynamic_repeat1] = aux_sym_dynamic_repeat1,
  [aux_sym__identifier_list_repeat1] = aux_sym__identifier_list_repeat1,
  [aux_sym_documentation_repeat1] = aux_sym_documentation_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_CR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__package] = {
    .visible = true,
    .named = false,
  },
  [sym__dollar] = {
    .visible = false,
    .named = true,
  },
  [anon_sym__abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__iter] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__optional] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__gather] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__endmethod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__proc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__endproc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__block] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__endblock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__and_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__andif_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__or_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__orif_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__xor_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR_CARET_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_CARET_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_CARET_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__mod_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__div_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_CARET_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_CARET_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__endif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__elif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__loop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__endloop] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__handling] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__endcatch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__primitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__over] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__endtry] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__loopbody] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__protect] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__locking] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__protection] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__endprotect] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__lock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__endlock] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__pragma] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_pragma_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_slot_accessor_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_maybe] = {
    .visible = true,
    .named = true,
  },
  [sym_unset] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_self] = {
    .visible = true,
    .named = true,
  },
  [sym_clone] = {
    .visible = true,
    .named = true,
  },
  [sym_thisthread] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__class] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_class_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__global] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__constant] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__dynamic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__scatter] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__allresults] = {
    .visible = true,
    .named = false,
  },
  [sym_label] = {
    .visible = true,
    .named = true,
  },
  [sym_dynamic_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_global_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_global_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__is] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__isnt] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__cf] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__andif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__orif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__xorif] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__mod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__div] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [sym_symbol] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_literal_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_documentation_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__line_terminator] = {
    .visible = false,
    .named = true,
  },
  [sym_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_package] = {
    .visible = true,
    .named = true,
  },
  [sym__method_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_method] = {
    .visible = true,
    .named = true,
  },
  [sym_procedure] = {
    .visible = true,
    .named = true,
  },
  [sym_argument] = {
    .visible = true,
    .named = true,
  },
  [sym__arguments] = {
    .visible = false,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_if] = {
    .visible = true,
    .named = true,
  },
  [sym_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_else] = {
    .visible = true,
    .named = true,
  },
  [sym_loop] = {
    .visible = true,
    .named = true,
  },
  [sym_finally] = {
    .visible = true,
    .named = true,
  },
  [sym_handling] = {
    .visible = true,
    .named = true,
  },
  [sym_catch] = {
    .visible = true,
    .named = true,
  },
  [sym_throw] = {
    .visible = true,
    .named = true,
  },
  [sym_primitive] = {
    .visible = true,
    .named = true,
  },
  [sym_iterator] = {
    .visible = true,
    .named = true,
  },
  [sym_while] = {
    .visible = true,
    .named = true,
  },
  [sym_try] = {
    .visible = true,
    .named = true,
  },
  [sym_loopbody] = {
    .visible = true,
    .named = true,
  },
  [sym_leave] = {
    .visible = true,
    .named = true,
  },
  [sym_continue] = {
    .visible = true,
    .named = true,
  },
  [sym_protect] = {
    .visible = true,
    .named = true,
  },
  [sym_lock] = {
    .visible = true,
    .named = true,
  },
  [sym_pragma] = {
    .visible = true,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_call] = {
    .visible = true,
    .named = true,
  },
  [sym_invoke] = {
    .visible = true,
    .named = true,
  },
  [sym_indexed_access] = {
    .visible = true,
    .named = true,
  },
  [sym_slot_accessor] = {
    .visible = true,
    .named = true,
  },
  [sym__expression_list] = {
    .visible = false,
    .named = true,
  },
  [sym_class] = {
    .visible = true,
    .named = true,
  },
  [sym__terminator] = {
    .visible = false,
    .named = true,
  },
  [sym__top_level_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__codeblock] = {
    .visible = false,
    .named = true,
  },
  [sym__defvar] = {
    .visible = false,
    .named = true,
  },
  [sym_global] = {
    .visible = true,
    .named = true,
  },
  [sym_local] = {
    .visible = true,
    .named = true,
  },
  [sym__global_assignment] = {
    .visible = false,
    .named = true,
  },
  [sym_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_dynamic] = {
    .visible = true,
    .named = true,
  },
  [sym_import] = {
    .visible = true,
    .named = true,
  },
  [sym_dynamic_import] = {
    .visible = true,
    .named = true,
  },
  [sym_return] = {
    .visible = true,
    .named = true,
  },
  [sym__definition] = {
    .visible = false,
    .named = true,
  },
  [sym_gather] = {
    .visible = true,
    .named = true,
  },
  [sym_scatter] = {
    .visible = true,
    .named = true,
  },
  [sym_allresults] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__variable] = {
    .visible = false,
    .named = true,
  },
  [sym_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__identifier_list] = {
    .visible = false,
    .named = true,
  },
  [sym_vector] = {
    .visible = true,
    .named = true,
  },
  [sym_relational_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_logical_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_arithmetic_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_documentation] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_fragment_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_package_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_handling_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_loopbody_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__codeblock_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_global_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_local_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dynamic_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__identifier_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_documentation_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_condition = 1,
  field_exemplarname = 2,
  field_index = 3,
  field_java_classname = 4,
  field_left = 5,
  field_message = 6,
  field_name = 7,
  field_operator = 8,
  field_raised_condition = 9,
  field_receiver = 10,
  field_right = 11,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_condition] = "condition",
  [field_exemplarname] = "exemplarname",
  [field_index] = "index",
  [field_java_classname] = "java_classname",
  [field_left] = "left",
  [field_message] = "message",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_raised_condition] = "raised_condition",
  [field_receiver] = "receiver",
  [field_right] = "right",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 1},
  [4] = {.index = 3, .length = 1},
  [5] = {.index = 4, .length = 2},
  [6] = {.index = 6, .length = 3},
  [7] = {.index = 9, .length = 1},
  [8] = {.index = 10, .length = 3},
  [9] = {.index = 13, .length = 3},
  [10] = {.index = 16, .length = 1},
  [11] = {.index = 17, .length = 2},
  [12] = {.index = 19, .length = 1},
  [13] = {.index = 20, .length = 2},
  [14] = {.index = 22, .length = 1},
  [15] = {.index = 23, .length = 4},
  [16] = {.index = 27, .length = 2},
  [17] = {.index = 29, .length = 2},
  [18] = {.index = 31, .length = 2},
  [19] = {.index = 33, .length = 1},
  [20] = {.index = 34, .length = 2},
  [21] = {.index = 36, .length = 2},
  [22] = {.index = 38, .length = 1},
  [23] = {.index = 39, .length = 2},
  [24] = {.index = 41, .length = 1},
  [25] = {.index = 42, .length = 2},
  [26] = {.index = 44, .length = 1},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_java_classname, 1},
  [1] =
    {field_operator, 0},
  [2] =
    {field_raised_condition, 1},
  [3] =
    {field_raised_condition, 1, .inherited = true},
  [4] =
    {field_raised_condition, 0, .inherited = true},
    {field_raised_condition, 1, .inherited = true},
  [6] =
    {field_message, 2},
    {field_operator, 1},
    {field_receiver, 0},
  [9] =
    {field_receiver, 0},
  [10] =
    {field_index, 1},
    {field_index, 2},
    {field_receiver, 0},
  [13] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [16] =
    {field_condition, 1},
  [17] =
    {field_condition, 0, .inherited = true},
    {field_condition, 1, .inherited = true},
  [19] =
    {field_condition, 2},
  [20] =
    {field_raised_condition, 1},
    {field_raised_condition, 2, .inherited = true},
  [22] =
    {field_raised_condition, 2, .inherited = true},
  [23] =
    {field_index, 1},
    {field_index, 2},
    {field_index, 3},
    {field_receiver, 0},
  [27] =
    {field_condition, 1},
    {field_condition, 2, .inherited = true},
  [29] =
    {field_condition, 2},
    {field_raised_condition, 3, .inherited = true},
  [31] =
    {field_exemplarname, 1},
    {field_name, 3},
  [33] =
    {field_exemplarname, 1},
  [34] =
    {field_condition, 2},
    {field_raised_condition, 4, .inherited = true},
  [36] =
    {field_exemplarname, 2},
    {field_name, 4},
  [38] =
    {field_exemplarname, 2},
  [39] =
    {field_exemplarname, 3},
    {field_name, 5},
  [41] =
    {field_exemplarname, 3},
  [42] =
    {field_exemplarname, 4},
    {field_name, 6},
  [44] =
    {field_exemplarname, 4},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 2,
  [6] = 2,
  [7] = 3,
  [8] = 3,
  [9] = 2,
  [10] = 2,
  [11] = 3,
  [12] = 3,
  [13] = 2,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 27,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 52,
  [69] = 69,
  [70] = 44,
  [71] = 71,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 85,
  [87] = 87,
  [88] = 88,
  [89] = 89,
  [90] = 87,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 94,
  [96] = 91,
  [97] = 97,
  [98] = 93,
  [99] = 89,
  [100] = 84,
  [101] = 92,
  [102] = 83,
  [103] = 103,
  [104] = 103,
  [105] = 97,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 106,
  [111] = 111,
  [112] = 112,
  [113] = 109,
  [114] = 107,
  [115] = 111,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 128,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 135,
  [161] = 161,
  [162] = 157,
  [163] = 163,
  [164] = 164,
  [165] = 130,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 171,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 167,
  [177] = 177,
  [178] = 154,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 169,
  [185] = 185,
  [186] = 164,
  [187] = 129,
  [188] = 185,
  [189] = 189,
  [190] = 190,
  [191] = 173,
  [192] = 147,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 177,
  [200] = 159,
  [201] = 201,
  [202] = 202,
  [203] = 183,
  [204] = 180,
  [205] = 205,
  [206] = 166,
  [207] = 15,
  [208] = 14,
  [209] = 209,
  [210] = 209,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 212,
  [215] = 213,
  [216] = 216,
  [217] = 217,
  [218] = 216,
  [219] = 217,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 222,
  [225] = 225,
  [226] = 226,
  [227] = 221,
  [228] = 228,
  [229] = 228,
  [230] = 220,
  [231] = 231,
  [232] = 232,
  [233] = 222,
  [234] = 226,
  [235] = 223,
  [236] = 220,
  [237] = 223,
  [238] = 223,
  [239] = 225,
  [240] = 225,
  [241] = 225,
  [242] = 222,
  [243] = 225,
  [244] = 232,
  [245] = 225,
  [246] = 225,
  [247] = 226,
  [248] = 225,
  [249] = 223,
  [250] = 223,
  [251] = 226,
  [252] = 252,
  [253] = 226,
  [254] = 222,
  [255] = 226,
  [256] = 222,
  [257] = 222,
  [258] = 225,
  [259] = 252,
  [260] = 222,
  [261] = 223,
  [262] = 222,
  [263] = 231,
  [264] = 223,
  [265] = 223,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 266,
  [272] = 270,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 269,
  [279] = 267,
  [280] = 270,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 266,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 269,
  [290] = 267,
  [291] = 270,
  [292] = 292,
  [293] = 293,
  [294] = 274,
  [295] = 275,
  [296] = 296,
  [297] = 276,
  [298] = 298,
  [299] = 299,
  [300] = 276,
  [301] = 301,
  [302] = 269,
  [303] = 267,
  [304] = 304,
  [305] = 305,
  [306] = 275,
  [307] = 307,
  [308] = 308,
  [309] = 274,
  [310] = 310,
  [311] = 270,
  [312] = 266,
  [313] = 266,
  [314] = 274,
  [315] = 275,
  [316] = 293,
  [317] = 283,
  [318] = 286,
  [319] = 274,
  [320] = 276,
  [321] = 275,
  [322] = 292,
  [323] = 269,
  [324] = 276,
  [325] = 267,
  [326] = 326,
  [327] = 269,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 276,
  [332] = 275,
  [333] = 333,
  [334] = 301,
  [335] = 274,
  [336] = 336,
  [337] = 337,
  [338] = 301,
  [339] = 266,
  [340] = 340,
  [341] = 270,
  [342] = 267,
  [343] = 343,
  [344] = 269,
  [345] = 267,
  [346] = 270,
  [347] = 347,
  [348] = 266,
  [349] = 349,
  [350] = 301,
  [351] = 296,
  [352] = 269,
  [353] = 267,
  [354] = 286,
  [355] = 270,
  [356] = 283,
  [357] = 266,
  [358] = 274,
  [359] = 275,
  [360] = 304,
  [361] = 296,
  [362] = 296,
  [363] = 276,
  [364] = 304,
  [365] = 365,
  [366] = 296,
  [367] = 367,
  [368] = 343,
  [369] = 292,
  [370] = 293,
  [371] = 305,
  [372] = 336,
  [373] = 329,
  [374] = 299,
  [375] = 276,
  [376] = 275,
  [377] = 274,
  [378] = 293,
  [379] = 292,
  [380] = 266,
  [381] = 270,
  [382] = 267,
  [383] = 269,
  [384] = 301,
  [385] = 385,
  [386] = 287,
  [387] = 296,
  [388] = 268,
  [389] = 286,
  [390] = 390,
  [391] = 283,
  [392] = 285,
  [393] = 393,
  [394] = 394,
  [395] = 282,
  [396] = 281,
  [397] = 397,
  [398] = 398,
  [399] = 337,
  [400] = 310,
  [401] = 340,
  [402] = 347,
  [403] = 326,
  [404] = 274,
  [405] = 275,
  [406] = 304,
  [407] = 296,
  [408] = 276,
  [409] = 409,
  [410] = 333,
  [411] = 411,
  [412] = 412,
  [413] = 293,
  [414] = 292,
  [415] = 415,
  [416] = 365,
  [417] = 398,
  [418] = 286,
  [419] = 419,
  [420] = 330,
  [421] = 308,
  [422] = 397,
  [423] = 283,
  [424] = 394,
  [425] = 411,
  [426] = 409,
  [427] = 301,
  [428] = 273,
  [429] = 288,
  [430] = 304,
  [431] = 393,
  [432] = 419,
  [433] = 390,
  [434] = 330,
  [435] = 293,
  [436] = 436,
  [437] = 292,
  [438] = 436,
  [439] = 286,
  [440] = 296,
  [441] = 283,
  [442] = 415,
  [443] = 412,
  [444] = 296,
  [445] = 367,
  [446] = 304,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 455,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 464,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 469,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 448,
  [485] = 449,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 506,
  [507] = 507,
  [508] = 508,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 477,
  [531] = 531,
  [532] = 476,
  [533] = 470,
  [534] = 473,
  [535] = 535,
  [536] = 536,
  [537] = 537,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 478,
  [545] = 475,
  [546] = 546,
  [547] = 474,
  [548] = 548,
  [549] = 480,
  [550] = 550,
  [551] = 480,
  [552] = 552,
  [553] = 474,
  [554] = 465,
  [555] = 470,
  [556] = 473,
  [557] = 508,
  [558] = 507,
  [559] = 478,
  [560] = 560,
  [561] = 561,
  [562] = 476,
  [563] = 563,
  [564] = 477,
  [565] = 448,
  [566] = 476,
  [567] = 567,
  [568] = 449,
  [569] = 569,
  [570] = 474,
  [571] = 477,
  [572] = 572,
  [573] = 573,
  [574] = 475,
  [575] = 575,
  [576] = 475,
  [577] = 481,
  [578] = 578,
  [579] = 489,
  [580] = 470,
  [581] = 563,
  [582] = 582,
  [583] = 480,
  [584] = 473,
  [585] = 585,
  [586] = 586,
  [587] = 478,
  [588] = 552,
  [589] = 578,
  [590] = 569,
  [591] = 591,
  [592] = 585,
  [593] = 575,
  [594] = 594,
  [595] = 561,
  [596] = 567,
  [597] = 582,
  [598] = 508,
  [599] = 573,
  [600] = 507,
  [601] = 560,
  [602] = 572,
  [603] = 567,
  [604] = 604,
  [605] = 605,
  [606] = 560,
  [607] = 607,
  [608] = 578,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 569,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 575,
  [621] = 552,
  [622] = 622,
  [623] = 623,
  [624] = 585,
  [625] = 625,
  [626] = 573,
  [627] = 572,
  [628] = 628,
  [629] = 548,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 633,
  [634] = 634,
  [635] = 635,
  [636] = 636,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 447,
  [644] = 644,
  [645] = 645,
  [646] = 646,
  [647] = 447,
  [648] = 447,
  [649] = 489,
  [650] = 477,
  [651] = 481,
  [652] = 480,
  [653] = 474,
  [654] = 478,
  [655] = 465,
  [656] = 476,
  [657] = 449,
  [658] = 658,
  [659] = 448,
  [660] = 473,
  [661] = 470,
  [662] = 475,
  [663] = 448,
  [664] = 449,
  [665] = 473,
  [666] = 511,
  [667] = 492,
  [668] = 448,
  [669] = 550,
  [670] = 449,
  [671] = 475,
  [672] = 535,
  [673] = 519,
  [674] = 465,
  [675] = 537,
  [676] = 482,
  [677] = 470,
  [678] = 514,
  [679] = 518,
  [680] = 478,
  [681] = 538,
  [682] = 480,
  [683] = 527,
  [684] = 548,
  [685] = 526,
  [686] = 563,
  [687] = 507,
  [688] = 470,
  [689] = 525,
  [690] = 473,
  [691] = 478,
  [692] = 528,
  [693] = 475,
  [694] = 480,
  [695] = 517,
  [696] = 508,
  [697] = 521,
  [698] = 520,
  [699] = 506,
  [700] = 522,
  [701] = 575,
  [702] = 489,
  [703] = 572,
  [704] = 481,
  [705] = 496,
  [706] = 569,
  [707] = 491,
  [708] = 481,
  [709] = 450,
  [710] = 488,
  [711] = 515,
  [712] = 524,
  [713] = 483,
  [714] = 477,
  [715] = 473,
  [716] = 567,
  [717] = 560,
  [718] = 476,
  [719] = 561,
  [720] = 578,
  [721] = 470,
  [722] = 510,
  [723] = 509,
  [724] = 512,
  [725] = 452,
  [726] = 505,
  [727] = 552,
  [728] = 454,
  [729] = 487,
  [730] = 502,
  [731] = 573,
  [732] = 456,
  [733] = 465,
  [734] = 585,
  [735] = 478,
  [736] = 480,
  [737] = 457,
  [738] = 467,
  [739] = 458,
  [740] = 459,
  [741] = 582,
  [742] = 455,
  [743] = 479,
  [744] = 501,
  [745] = 453,
  [746] = 500,
  [747] = 494,
  [748] = 499,
  [749] = 493,
  [750] = 474,
  [751] = 462,
  [752] = 536,
  [753] = 476,
  [754] = 476,
  [755] = 495,
  [756] = 497,
  [757] = 477,
  [758] = 464,
  [759] = 468,
  [760] = 486,
  [761] = 471,
  [762] = 540,
  [763] = 498,
  [764] = 542,
  [765] = 503,
  [766] = 474,
  [767] = 504,
  [768] = 513,
  [769] = 546,
  [770] = 516,
  [771] = 472,
  [772] = 477,
  [773] = 469,
  [774] = 523,
  [775] = 541,
  [776] = 466,
  [777] = 463,
  [778] = 461,
  [779] = 539,
  [780] = 460,
  [781] = 508,
  [782] = 529,
  [783] = 475,
  [784] = 474,
  [785] = 507,
  [786] = 490,
  [787] = 451,
  [788] = 489,
  [789] = 531,
  [790] = 563,
  [791] = 543,
  [792] = 470,
  [793] = 448,
  [794] = 585,
  [795] = 449,
  [796] = 573,
  [797] = 552,
  [798] = 578,
  [799] = 563,
  [800] = 561,
  [801] = 569,
  [802] = 470,
  [803] = 473,
  [804] = 578,
  [805] = 507,
  [806] = 478,
  [807] = 480,
  [808] = 508,
  [809] = 572,
  [810] = 552,
  [811] = 573,
  [812] = 563,
  [813] = 489,
  [814] = 474,
  [815] = 585,
  [816] = 475,
  [817] = 474,
  [818] = 475,
  [819] = 567,
  [820] = 560,
  [821] = 582,
  [822] = 476,
  [823] = 477,
  [824] = 470,
  [825] = 476,
  [826] = 473,
  [827] = 477,
  [828] = 586,
  [829] = 481,
  [830] = 478,
  [831] = 582,
  [832] = 480,
  [833] = 478,
  [834] = 474,
  [835] = 575,
  [836] = 575,
  [837] = 572,
  [838] = 569,
  [839] = 480,
  [840] = 560,
  [841] = 475,
  [842] = 476,
  [843] = 465,
  [844] = 567,
  [845] = 473,
  [846] = 477,
  [847] = 561,
  [848] = 448,
  [849] = 849,
  [850] = 591,
  [851] = 585,
  [852] = 474,
  [853] = 475,
  [854] = 854,
  [855] = 470,
  [856] = 476,
  [857] = 473,
  [858] = 477,
  [859] = 561,
  [860] = 860,
  [861] = 854,
  [862] = 573,
  [863] = 507,
  [864] = 560,
  [865] = 849,
  [866] = 578,
  [867] = 860,
  [868] = 582,
  [869] = 508,
  [870] = 552,
  [871] = 449,
  [872] = 478,
  [873] = 480,
  [874] = 575,
  [875] = 567,
  [876] = 572,
  [877] = 594,
  [878] = 569,
  [879] = 560,
  [880] = 567,
  [881] = 609,
  [882] = 569,
  [883] = 619,
  [884] = 607,
  [885] = 628,
  [886] = 615,
  [887] = 613,
  [888] = 616,
  [889] = 623,
  [890] = 507,
  [891] = 604,
  [892] = 572,
  [893] = 508,
  [894] = 575,
  [895] = 622,
  [896] = 618,
  [897] = 625,
  [898] = 573,
  [899] = 611,
  [900] = 552,
  [901] = 605,
  [902] = 578,
  [903] = 585,
  [904] = 617,
  [905] = 614,
  [906] = 610,
  [907] = 907,
  [908] = 908,
  [909] = 552,
  [910] = 910,
  [911] = 907,
  [912] = 569,
  [913] = 913,
  [914] = 567,
  [915] = 915,
  [916] = 908,
  [917] = 573,
  [918] = 572,
  [919] = 585,
  [920] = 560,
  [921] = 910,
  [922] = 910,
  [923] = 575,
  [924] = 924,
  [925] = 913,
  [926] = 578,
  [927] = 910,
  [928] = 928,
  [929] = 910,
  [930] = 910,
  [931] = 910,
  [932] = 910,
  [933] = 910,
  [934] = 924,
  [935] = 915,
  [936] = 928,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 591,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 947,
  [951] = 951,
  [952] = 949,
  [953] = 945,
  [954] = 951,
  [955] = 955,
  [956] = 956,
  [957] = 956,
  [958] = 948,
  [959] = 959,
  [960] = 960,
  [961] = 946,
  [962] = 955,
  [963] = 960,
  [964] = 964,
  [965] = 965,
  [966] = 642,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 639,
  [979] = 638,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 633,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 970,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 968,
  [1003] = 967,
  [1004] = 635,
  [1005] = 634,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 969,
  [1011] = 1011,
  [1012] = 1006,
  [1013] = 980,
  [1014] = 974,
  [1015] = 1015,
  [1016] = 975,
  [1017] = 1007,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 977,
  [1021] = 981,
  [1022] = 1019,
  [1023] = 1023,
  [1024] = 1023,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 986,
  [1028] = 1028,
  [1029] = 645,
  [1030] = 644,
  [1031] = 637,
  [1032] = 1026,
  [1033] = 1028,
  [1034] = 1025,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 642,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1037,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 996,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 997,
  [1063] = 634,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 995,
  [1069] = 1069,
  [1070] = 988,
  [1071] = 635,
  [1072] = 1072,
  [1073] = 991,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 992,
  [1078] = 1078,
  [1079] = 994,
  [1080] = 990,
  [1081] = 989,
  [1082] = 639,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1084,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 638,
  [1093] = 1093,
  [1094] = 1094,
  [1095] = 1095,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 644,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 645,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 637,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1107,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1104,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1113,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1111,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1114,
  [1148] = 1148,
  [1149] = 1127,
  [1150] = 1126,
  [1151] = 1120,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1099,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1141,
  [1164] = 1164,
  [1165] = 1115,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1142,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1130,
  [1172] = 1172,
  [1173] = 1139,
  [1174] = 1174,
  [1175] = 1138,
  [1176] = 1176,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1131,
  [1185] = 1176,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1181,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1135,
  [1193] = 1190,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1169,
  [1197] = 1180,
  [1198] = 1152,
  [1199] = 1143,
  [1200] = 1100,
  [1201] = 1201,
  [1202] = 1129,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1219,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1207,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1218,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1230,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1215,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1218,
  [1253] = 1213,
  [1254] = 1254,
  [1255] = 1240,
  [1256] = 1240,
  [1257] = 1240,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1240,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1239,
  [1276] = 1240,
  [1277] = 1277,
  [1278] = 1218,
  [1279] = 1218,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1249,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1240,
  [1290] = 1290,
  [1291] = 1273,
  [1292] = 1268,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1260,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1246,
  [1302] = 1240,
  [1303] = 1303,
  [1304] = 1211,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1210,
  [1313] = 1243,
  [1314] = 1314,
  [1315] = 1272,
  [1316] = 1316,
  [1317] = 1240,
  [1318] = 1318,
  [1319] = 1231,
  [1320] = 1288,
  [1321] = 1321,
  [1322] = 1314,
  [1323] = 1311,
  [1324] = 1227,
  [1325] = 1203,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1281,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1329,
  [1342] = 1218,
  [1343] = 630,
  [1344] = 1300,
  [1345] = 1295,
  [1346] = 1231,
  [1347] = 1327,
  [1348] = 1294,
  [1349] = 1219,
  [1350] = 986,
  [1351] = 1249,
  [1352] = 1228,
  [1353] = 967,
  [1354] = 1354,
  [1355] = 1229,
  [1356] = 1232,
  [1357] = 1234,
  [1358] = 1262,
  [1359] = 1261,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1326,
  [1363] = 631,
  [1364] = 1364,
  [1365] = 1259,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1373,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1392,
  [1393] = 1393,
  [1394] = 1394,
  [1395] = 1395,
  [1396] = 1395,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1376,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1408,
  [1409] = 1409,
  [1410] = 1410,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1413,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1416,
  [1417] = 1417,
  [1418] = 1418,
  [1419] = 1419,
  [1420] = 1420,
  [1421] = 1421,
  [1422] = 1422,
  [1423] = 1423,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1400,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 1429,
  [1432] = 1432,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1435,
  [1436] = 1436,
  [1437] = 1437,
  [1438] = 1438,
  [1439] = 1439,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1435,
  [1443] = 1443,
  [1444] = 1444,
  [1445] = 1445,
  [1446] = 1446,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1437,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1423,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1446,
  [1465] = 1399,
  [1466] = 1466,
  [1467] = 1444,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1470,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1474,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1439,
  [1479] = 1479,
  [1480] = 1480,
  [1481] = 1425,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1487,
  [1488] = 1488,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1494,
  [1495] = 1495,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1489,
  [1507] = 1507,
  [1508] = 1508,
  [1509] = 1509,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1518,
  [1519] = 1519,
  [1520] = 1520,
  [1521] = 1521,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1524,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1489,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1551,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1523,
  [1560] = 1560,
  [1561] = 1561,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1511,
  [1566] = 1566,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1547,
  [1570] = 1496,
  [1571] = 1571,
  [1572] = 1486,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1558,
  [1576] = 1576,
  [1577] = 1577,
  [1578] = 1578,
  [1579] = 1579,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1524,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1589,
  [1590] = 1534,
  [1591] = 1591,
  [1592] = 1485,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1595,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1599,
  [1600] = 1566,
  [1601] = 1601,
  [1602] = 1597,
  [1603] = 1588,
  [1604] = 1604,
  [1605] = 1517,
  [1606] = 1606,
  [1607] = 1607,
  [1608] = 1573,
  [1609] = 1609,
  [1610] = 1610,
  [1611] = 1548,
  [1612] = 1596,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1545,
  [1617] = 1533,
  [1618] = 1618,
  [1619] = 1619,
  [1620] = 1568,
  [1621] = 1621,
  [1622] = 1622,
  [1623] = 1489,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1586,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1530,
  [1632] = 1632,
  [1633] = 1556,
  [1634] = 1594,
  [1635] = 1635,
  [1636] = 1624,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1499,
  [1640] = 1584,
  [1641] = 1494,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1563,
  [1645] = 1645,
  [1646] = 1625,
  [1647] = 1647,
  [1648] = 1648,
  [1649] = 1528,
  [1650] = 1552,
  [1651] = 1647,
  [1652] = 1543,
  [1653] = 1645,
  [1654] = 1654,
  [1655] = 1655,
  [1656] = 1520,
  [1657] = 1657,
  [1658] = 1618,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1518,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1514,
  [1667] = 1667,
  [1668] = 1542,
  [1669] = 1669,
  [1670] = 1540,
  [1671] = 1671,
  [1672] = 1601,
  [1673] = 1484,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1571,
  [1678] = 1678,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1609,
  [1683] = 1683,
  [1684] = 1648,
  [1685] = 1685,
  [1686] = 1490,
  [1687] = 1501,
  [1688] = 1497,
  [1689] = 1521,
  [1690] = 1504,
  [1691] = 1691,
  [1692] = 1581,
  [1693] = 1637,
  [1694] = 1694,
  [1695] = 1508,
  [1696] = 1510,
  [1697] = 1697,
  [1698] = 1531,
  [1699] = 1628,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(362);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '#') ADVANCE(518);
      if (lookahead == '$') ADVANCE(2);
      if (lookahead == '%') ADVANCE(513);
      if (lookahead == '\'') ADVANCE(446);
      if (lookahead == '(') ADVANCE(373);
      if (lookahead == ')') ADVANCE(376);
      if (lookahead == '*') ADVANCE(501);
      if (lookahead == '+') ADVANCE(508);
      if (lookahead == ',') ADVANCE(384);
      if (lookahead == '-') ADVANCE(506);
      if (lookahead == '.') ADVANCE(372);
      if (lookahead == '/') ADVANCE(502);
      if (lookahead == ':') ADVANCE(354);
      if (lookahead == ';') ADVANCE(460);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(486);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '@') ADVANCE(471);
      if (lookahead == '[') ADVANCE(379);
      if (lookahead == ']') ADVANCE(380);
      if (lookahead == '^') ADVANCE(38);
      if (lookahead == '_') ADVANCE(46);
      if (lookahead == '{') ADVANCE(481);
      if (lookahead == '|') ADVANCE(356);
      if (lookahead == '}') ADVANCE(482);
      if (lookahead == '~') ADVANCE(511);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(478);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(447);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(367);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(367);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(364);
      if (lookahead == '\r') ADVANCE(363);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '#') ADVANCE(519);
      if (lookahead == '%') ADVANCE(513);
      if (lookahead == '\'') ADVANCE(446);
      if (lookahead == '(') ADVANCE(373);
      if (lookahead == '*') ADVANCE(501);
      if (lookahead == '+') ADVANCE(508);
      if (lookahead == ',') ADVANCE(384);
      if (lookahead == '-') ADVANCE(506);
      if (lookahead == '.') ADVANCE(372);
      if (lookahead == '/') ADVANCE(502);
      if (lookahead == ':') ADVANCE(354);
      if (lookahead == ';') ADVANCE(460);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(486);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '@') ADVANCE(360);
      if (lookahead == '[') ADVANCE(379);
      if (lookahead == '^') ADVANCE(38);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == '{') ADVANCE(481);
      if (lookahead == '~') ADVANCE(511);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(3)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(478);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(447);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(364);
      if (lookahead == '\r') ADVANCE(363);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '#') ADVANCE(519);
      if (lookahead == '%') ADVANCE(513);
      if (lookahead == '\'') ADVANCE(446);
      if (lookahead == '(') ADVANCE(373);
      if (lookahead == '*') ADVANCE(501);
      if (lookahead == '+') ADVANCE(508);
      if (lookahead == ',') ADVANCE(384);
      if (lookahead == '-') ADVANCE(506);
      if (lookahead == '.') ADVANCE(372);
      if (lookahead == '/') ADVANCE(502);
      if (lookahead == ':') ADVANCE(354);
      if (lookahead == ';') ADVANCE(460);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(486);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '@') ADVANCE(360);
      if (lookahead == '[') ADVANCE(379);
      if (lookahead == '^') ADVANCE(38);
      if (lookahead == '_') ADVANCE(63);
      if (lookahead == '{') ADVANCE(481);
      if (lookahead == '~') ADVANCE(511);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(4)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(478);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(447);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(364);
      if (lookahead == '\r') ADVANCE(363);
      if (lookahead == '#') ADVANCE(519);
      if (lookahead == '(') ADVANCE(373);
      if (lookahead == '*') ADVANCE(501);
      if (lookahead == '+') ADVANCE(508);
      if (lookahead == ',') ADVANCE(384);
      if (lookahead == '-') ADVANCE(506);
      if (lookahead == '.') ADVANCE(372);
      if (lookahead == '/') ADVANCE(502);
      if (lookahead == ';') ADVANCE(460);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(486);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '@') ADVANCE(472);
      if (lookahead == '[') ADVANCE(379);
      if (lookahead == '^') ADVANCE(38);
      if (lookahead == '_') ADVANCE(86);
      if (lookahead == '~') ADVANCE(44);
      if (lookahead == '\t' ||
          lookahead == ' ') SKIP(5)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(449);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(444);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '#') ADVANCE(441);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(442);
      if (lookahead != 0) ADVANCE(441);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(7)
      if (lookahead == ' ') ADVANCE(516);
      if (lookahead == '#') ADVANCE(514);
      if (lookahead == '\t' ||
          lookahead == '\r') ADVANCE(515);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(449);
      if (lookahead != 0) ADVANCE(514);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(445);
      if (lookahead == '#') ADVANCE(443);
      if (lookahead == '\'') ADVANCE(446);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(445);
      if (lookahead != 0) ADVANCE(443);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(365);
      if (lookahead == '#') ADVANCE(519);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(9)
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(17);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '#') ADVANCE(518);
      if (lookahead == '%') ADVANCE(513);
      if (lookahead == '\'') ADVANCE(446);
      if (lookahead == '(') ADVANCE(373);
      if (lookahead == '+') ADVANCE(507);
      if (lookahead == '-') ADVANCE(505);
      if (lookahead == '.') ADVANCE(372);
      if (lookahead == ':') ADVANCE(354);
      if (lookahead == '>') ADVANCE(45);
      if (lookahead == '@') ADVANCE(360);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == '{') ADVANCE(481);
      if (lookahead == '~') ADVANCE(510);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(11)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(478);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(447);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '#') ADVANCE(519);
      if (lookahead == '%') ADVANCE(513);
      if (lookahead == '\'') ADVANCE(446);
      if (lookahead == '(') ADVANCE(373);
      if (lookahead == '+') ADVANCE(507);
      if (lookahead == '-') ADVANCE(505);
      if (lookahead == '.') ADVANCE(372);
      if (lookahead == ':') ADVANCE(354);
      if (lookahead == '>') ADVANCE(45);
      if (lookahead == '@') ADVANCE(471);
      if (lookahead == '_') ADVANCE(82);
      if (lookahead == '{') ADVANCE(481);
      if (lookahead == '~') ADVANCE(510);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(12)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(478);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(447);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '#') ADVANCE(519);
      if (lookahead == '%') ADVANCE(513);
      if (lookahead == '\'') ADVANCE(446);
      if (lookahead == '(') ADVANCE(373);
      if (lookahead == '+') ADVANCE(507);
      if (lookahead == '-') ADVANCE(505);
      if (lookahead == '.') ADVANCE(372);
      if (lookahead == ':') ADVANCE(354);
      if (lookahead == '>') ADVANCE(45);
      if (lookahead == '@') ADVANCE(360);
      if (lookahead == '_') ADVANCE(83);
      if (lookahead == '{') ADVANCE(481);
      if (lookahead == '~') ADVANCE(510);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(13)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(478);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(447);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '#') ADVANCE(519);
      if (lookahead == '%') ADVANCE(513);
      if (lookahead == '\'') ADVANCE(446);
      if (lookahead == '(') ADVANCE(373);
      if (lookahead == '+') ADVANCE(507);
      if (lookahead == '-') ADVANCE(505);
      if (lookahead == '.') ADVANCE(372);
      if (lookahead == ':') ADVANCE(354);
      if (lookahead == '>') ADVANCE(45);
      if (lookahead == '@') ADVANCE(360);
      if (lookahead == '_') ADVANCE(84);
      if (lookahead == '{') ADVANCE(481);
      if (lookahead == '~') ADVANCE(510);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(478);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(447);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '#') ADVANCE(519);
      if (lookahead == '_') ADVANCE(111);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(448);
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(17);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(475);
      END_STATE();
    case 17:
      if (lookahead == '!') ADVANCE(474);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(17);
      END_STATE();
    case 18:
      if (lookahead == '#') ADVANCE(519);
      if (lookahead == '(') ADVANCE(373);
      if (lookahead == ')') ADVANCE(376);
      if (lookahead == '*') ADVANCE(501);
      if (lookahead == '+') ADVANCE(508);
      if (lookahead == ',') ADVANCE(384);
      if (lookahead == '-') ADVANCE(506);
      if (lookahead == '.') ADVANCE(372);
      if (lookahead == '/') ADVANCE(502);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(486);
      if (lookahead == '>') ADVANCE(492);
      if (lookahead == '@') ADVANCE(472);
      if (lookahead == '[') ADVANCE(379);
      if (lookahead == ']') ADVANCE(380);
      if (lookahead == '^') ADVANCE(38);
      if (lookahead == '_') ADVANCE(85);
      if (lookahead == '}') ADVANCE(482);
      if (lookahead == '~') ADVANCE(44);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(449);
      END_STATE();
    case 19:
      if (lookahead == '+') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(480);
      END_STATE();
    case 20:
      if (lookahead == '<') ADVANCE(394);
      END_STATE();
    case 21:
      if (lookahead == '<') ADVANCE(402);
      END_STATE();
    case 22:
      if (lookahead == '<') ADVANCE(400);
      END_STATE();
    case 23:
      if (lookahead == '<') ADVANCE(396);
      END_STATE();
    case 24:
      if (lookahead == '<') ADVANCE(378);
      END_STATE();
    case 25:
      if (lookahead == '<') ADVANCE(392);
      END_STATE();
    case 26:
      if (lookahead == '<') ADVANCE(395);
      END_STATE();
    case 27:
      if (lookahead == '<') ADVANCE(403);
      END_STATE();
    case 28:
      if (lookahead == '<') ADVANCE(401);
      END_STATE();
    case 29:
      if (lookahead == '<') ADVANCE(397);
      END_STATE();
    case 30:
      if (lookahead == '<') ADVANCE(393);
      END_STATE();
    case 31:
      if (lookahead == '<') ADVANCE(389);
      END_STATE();
    case 32:
      if (lookahead == '<') ADVANCE(387);
      END_STATE();
    case 33:
      if (lookahead == '<') ADVANCE(399);
      END_STATE();
    case 34:
      if (lookahead == '<') ADVANCE(398);
      END_STATE();
    case 35:
      if (lookahead == '<') ADVANCE(391);
      END_STATE();
    case 36:
      if (lookahead == '<') ADVANCE(390);
      END_STATE();
    case 37:
      if (lookahead == '<') ADVANCE(388);
      END_STATE();
    case 38:
      if (lookahead == '<') ADVANCE(24);
      END_STATE();
    case 39:
      if (lookahead == '<') ADVANCE(26);
      END_STATE();
    case 40:
      if (lookahead == '<') ADVANCE(27);
      END_STATE();
    case 41:
      if (lookahead == '<') ADVANCE(28);
      END_STATE();
    case 42:
      if (lookahead == '<') ADVANCE(29);
      END_STATE();
    case 43:
      if (lookahead == '<') ADVANCE(30);
      END_STATE();
    case 44:
      if (lookahead == '=') ADVANCE(487);
      END_STATE();
    case 45:
      if (lookahead == '>') ADVANCE(467);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(91);
      if (lookahead == 'b') ADVANCE(216);
      if (lookahead == 'c') ADVANCE(48);
      if (lookahead == 'd') ADVANCE(127);
      if (lookahead == 'e') ADVANCE(210);
      if (lookahead == 'f') ADVANCE(69);
      if (lookahead == 'g') ADVANCE(65);
      if (lookahead == 'h') ADVANCE(72);
      if (lookahead == 'i') ADVANCE(162);
      if (lookahead == 'l') ADVANCE(139);
      if (lookahead == 'm') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(259);
      if (lookahead == 'o') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(55);
      if (lookahead == 'r') ADVANCE(148);
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(176);
      if (lookahead == 'u') ADVANCE(238);
      if (lookahead == 'w') ADVANCE(177);
      if (lookahead == 'x') ADVANCE(254);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(91);
      if (lookahead == 'b') ADVANCE(216);
      if (lookahead == 'c') ADVANCE(48);
      if (lookahead == 'd') ADVANCE(127);
      if (lookahead == 'e') ADVANCE(210);
      if (lookahead == 'f') ADVANCE(69);
      if (lookahead == 'g') ADVANCE(65);
      if (lookahead == 'h') ADVANCE(72);
      if (lookahead == 'i') ADVANCE(162);
      if (lookahead == 'l') ADVANCE(140);
      if (lookahead == 'm') ADVANCE(53);
      if (lookahead == 'n') ADVANCE(259);
      if (lookahead == 'o') ADVANCE(276);
      if (lookahead == 'p') ADVANCE(56);
      if (lookahead == 'r') ADVANCE(148);
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(176);
      if (lookahead == 'u') ADVANCE(238);
      if (lookahead == 'w') ADVANCE(177);
      if (lookahead == 'x') ADVANCE(254);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(323);
      if (lookahead == 'f') ADVANCE(485);
      if (lookahead == 'l') ADVANCE(71);
      if (lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 49:
      if (lookahead == 'a') ADVANCE(323);
      if (lookahead == 'f') ADVANCE(485);
      if (lookahead == 'l') ADVANCE(71);
      if (lookahead == 'o') ADVANCE(249);
      END_STATE();
    case 50:
      if (lookahead == 'a') ADVANCE(323);
      if (lookahead == 'l') ADVANCE(71);
      if (lookahead == 'o') ADVANCE(233);
      END_STATE();
    case 51:
      if (lookahead == 'a') ADVANCE(352);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(324);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(352);
      if (lookahead == 'e') ADVANCE(324);
      if (lookahead == 'o') ADVANCE(119);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(352);
      if (lookahead == 'o') ADVANCE(119);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(97);
      if (lookahead == 'r') ADVANCE(57);
      END_STATE();
    case 56:
      if (lookahead == 'a') ADVANCE(97);
      if (lookahead == 'r') ADVANCE(58);
      END_STATE();
    case 57:
      if (lookahead == 'a') ADVANCE(174);
      if (lookahead == 'i') ADVANCE(228);
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 58:
      if (lookahead == 'a') ADVANCE(174);
      if (lookahead == 'i') ADVANCE(228);
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 59:
      if (lookahead == 'a') ADVANCE(229);
      END_STATE();
    case 60:
      if (lookahead == 'a') ADVANCE(437);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(90);
      if (lookahead == 'b') ADVANCE(216);
      if (lookahead == 'c') ADVANCE(50);
      if (lookahead == 'd') ADVANCE(353);
      if (lookahead == 'e') ADVANCE(246);
      if (lookahead == 'f') ADVANCE(70);
      if (lookahead == 'g') ADVANCE(65);
      if (lookahead == 'h') ADVANCE(72);
      if (lookahead == 'i') ADVANCE(163);
      if (lookahead == 'l') ADVANCE(140);
      if (lookahead == 'm') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(259);
      if (lookahead == 'o') ADVANCE(347);
      if (lookahead == 'p') ADVANCE(290);
      if (lookahead == 'r') ADVANCE(148);
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(181);
      if (lookahead == 'u') ADVANCE(238);
      if (lookahead == 'w') ADVANCE(183);
      END_STATE();
    case 62:
      if (lookahead == 'a') ADVANCE(215);
      if (lookahead == 'b') ADVANCE(216);
      if (lookahead == 'c') ADVANCE(49);
      if (lookahead == 'd') ADVANCE(189);
      if (lookahead == 'e') ADVANCE(210);
      if (lookahead == 'f') ADVANCE(69);
      if (lookahead == 'g') ADVANCE(64);
      if (lookahead == 'h') ADVANCE(72);
      if (lookahead == 'i') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(141);
      if (lookahead == 'm') ADVANCE(54);
      if (lookahead == 'n') ADVANCE(259);
      if (lookahead == 'o') ADVANCE(280);
      if (lookahead == 'p') ADVANCE(288);
      if (lookahead == 'r') ADVANCE(148);
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(181);
      if (lookahead == 'u') ADVANCE(238);
      if (lookahead == 'w') ADVANCE(177);
      if (lookahead == 'x') ADVANCE(254);
      END_STATE();
    case 63:
      if (lookahead == 'a') ADVANCE(215);
      if (lookahead == 'b') ADVANCE(216);
      if (lookahead == 'c') ADVANCE(49);
      if (lookahead == 'd') ADVANCE(189);
      if (lookahead == 'e') ADVANCE(210);
      if (lookahead == 'f') ADVANCE(69);
      if (lookahead == 'g') ADVANCE(64);
      if (lookahead == 'h') ADVANCE(72);
      if (lookahead == 'i') ADVANCE(164);
      if (lookahead == 'l') ADVANCE(141);
      if (lookahead == 'm') ADVANCE(54);
      if (lookahead == 'n') ADVANCE(259);
      if (lookahead == 'o') ADVANCE(280);
      if (lookahead == 'p') ADVANCE(298);
      if (lookahead == 'r') ADVANCE(148);
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(181);
      if (lookahead == 'u') ADVANCE(238);
      if (lookahead == 'w') ADVANCE(177);
      if (lookahead == 'x') ADVANCE(254);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(310);
      END_STATE();
    case 65:
      if (lookahead == 'a') ADVANCE(310);
      if (lookahead == 'l') ADVANCE(252);
      END_STATE();
    case 66:
      if (lookahead == 'a') ADVANCE(345);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(175);
      END_STATE();
    case 68:
      if (lookahead == 'a') ADVANCE(340);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(244);
      if (lookahead == 'o') ADVANCE(281);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(219);
      if (lookahead == 'o') ADVANCE(281);
      END_STATE();
    case 71:
      if (lookahead == 'a') ADVANCE(302);
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(241);
      END_STATE();
    case 73:
      if (lookahead == 'a') ADVANCE(221);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(211);
      END_STATE();
    case 75:
      if (lookahead == 'a') ADVANCE(211);
      if (lookahead == 'k') ADVANCE(435);
      END_STATE();
    case 76:
      if (lookahead == 'a') ADVANCE(211);
      if (lookahead == 'k') ADVANCE(434);
      END_STATE();
    case 77:
      if (lookahead == 'a') ADVANCE(122);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(331);
      END_STATE();
    case 79:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 80:
      if (lookahead == 'a') ADVANCE(248);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(213);
      END_STATE();
    case 82:
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'b') ADVANCE(216);
      if (lookahead == 'c') ADVANCE(50);
      if (lookahead == 'd') ADVANCE(353);
      if (lookahead == 'e') ADVANCE(247);
      if (lookahead == 'f') ADVANCE(69);
      if (lookahead == 'g') ADVANCE(65);
      if (lookahead == 'h') ADVANCE(72);
      if (lookahead == 'i') ADVANCE(163);
      if (lookahead == 'l') ADVANCE(140);
      if (lookahead == 'm') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(259);
      if (lookahead == 'o') ADVANCE(347);
      if (lookahead == 'p') ADVANCE(288);
      if (lookahead == 'r') ADVANCE(148);
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(181);
      if (lookahead == 'u') ADVANCE(238);
      if (lookahead == 'w') ADVANCE(183);
      END_STATE();
    case 83:
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'b') ADVANCE(216);
      if (lookahead == 'c') ADVANCE(50);
      if (lookahead == 'd') ADVANCE(353);
      if (lookahead == 'f') ADVANCE(70);
      if (lookahead == 'g') ADVANCE(65);
      if (lookahead == 'h') ADVANCE(72);
      if (lookahead == 'i') ADVANCE(163);
      if (lookahead == 'l') ADVANCE(139);
      if (lookahead == 'm') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(259);
      if (lookahead == 'o') ADVANCE(347);
      if (lookahead == 'p') ADVANCE(298);
      if (lookahead == 'r') ADVANCE(148);
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(181);
      if (lookahead == 'u') ADVANCE(238);
      if (lookahead == 'w') ADVANCE(183);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(214);
      if (lookahead == 'b') ADVANCE(216);
      if (lookahead == 'c') ADVANCE(50);
      if (lookahead == 'd') ADVANCE(353);
      if (lookahead == 'f') ADVANCE(70);
      if (lookahead == 'g') ADVANCE(65);
      if (lookahead == 'h') ADVANCE(72);
      if (lookahead == 'i') ADVANCE(163);
      if (lookahead == 'l') ADVANCE(140);
      if (lookahead == 'm') ADVANCE(51);
      if (lookahead == 'n') ADVANCE(259);
      if (lookahead == 'o') ADVANCE(347);
      if (lookahead == 'p') ADVANCE(298);
      if (lookahead == 'r') ADVANCE(148);
      if (lookahead == 's') ADVANCE(104);
      if (lookahead == 't') ADVANCE(181);
      if (lookahead == 'u') ADVANCE(238);
      if (lookahead == 'w') ADVANCE(183);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(232);
      if (lookahead == 'c') ADVANCE(161);
      if (lookahead == 'd') ADVANCE(189);
      if (lookahead == 'g') ADVANCE(64);
      if (lookahead == 'i') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(258);
      if (lookahead == 'm') ADVANCE(257);
      if (lookahead == 'o') ADVANCE(275);
      if (lookahead == 't') ADVANCE(186);
      if (lookahead == 'w') ADVANCE(194);
      if (lookahead == 'x') ADVANCE(254);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(232);
      if (lookahead == 'c') ADVANCE(160);
      if (lookahead == 'd') ADVANCE(189);
      if (lookahead == 'e') ADVANCE(210);
      if (lookahead == 'f') ADVANCE(204);
      if (lookahead == 'i') ADVANCE(299);
      if (lookahead == 'm') ADVANCE(257);
      if (lookahead == 'o') ADVANCE(279);
      if (lookahead == 'p') ADVANCE(297);
      if (lookahead == 'w') ADVANCE(185);
      if (lookahead == 'x') ADVANCE(254);
      END_STATE();
    case 87:
      if (lookahead == 'a') ADVANCE(332);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(113);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(335);
      END_STATE();
    case 90:
      if (lookahead == 'b') ADVANCE(304);
      if (lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 91:
      if (lookahead == 'b') ADVANCE(304);
      if (lookahead == 'l') ADVANCE(217);
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 92:
      if (lookahead == 'b') ADVANCE(79);
      END_STATE();
    case 93:
      if (lookahead == 'b') ADVANCE(133);
      END_STATE();
    case 94:
      if (lookahead == 'b') ADVANCE(226);
      if (lookahead == 'c') ADVANCE(89);
      if (lookahead == 'i') ADVANCE(169);
      if (lookahead == 'l') ADVANCE(255);
      if (lookahead == 'm') ADVANCE(156);
      if (lookahead == 'p') ADVANCE(292);
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 95:
      if (lookahead == 'b') ADVANCE(226);
      if (lookahead == 'l') ADVANCE(266);
      END_STATE();
    case 96:
      if (lookahead == 'c') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(272);
      END_STATE();
    case 97:
      if (lookahead == 'c') ADVANCE(209);
      END_STATE();
    case 98:
      if (lookahead == 'c') ADVANCE(382);
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 99:
      if (lookahead == 'c') ADVANCE(382);
      if (lookahead == 't') ADVANCE(158);
      END_STATE();
    case 100:
      if (lookahead == 'c') ADVANCE(464);
      END_STATE();
    case 101:
      if (lookahead == 'c') ADVANCE(383);
      if (lookahead == 't') ADVANCE(157);
      END_STATE();
    case 102:
      if (lookahead == 'c') ADVANCE(76);
      if (lookahead == 'o') ADVANCE(272);
      END_STATE();
    case 103:
      if (lookahead == 'c') ADVANCE(205);
      END_STATE();
    case 104:
      if (lookahead == 'c') ADVANCE(78);
      if (lookahead == 'e') ADVANCE(220);
      if (lookahead == 'u') ADVANCE(278);
      END_STATE();
    case 105:
      if (lookahead == 'c') ADVANCE(206);
      if (lookahead == 'o') ADVANCE(273);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(179);
      END_STATE();
    case 107:
      if (lookahead == 'c') ADVANCE(207);
      END_STATE();
    case 108:
      if (lookahead == 'c') ADVANCE(208);
      if (lookahead == 'o') ADVANCE(272);
      END_STATE();
    case 109:
      if (lookahead == 'c') ADVANCE(180);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(74);
      if (lookahead == 'o') ADVANCE(274);
      END_STATE();
    case 111:
      if (lookahead == 'c') ADVANCE(268);
      END_STATE();
    case 112:
      if (lookahead == 'c') ADVANCE(318);
      END_STATE();
    case 113:
      if (lookahead == 'c') ADVANCE(319);
      END_STATE();
    case 114:
      if (lookahead == 'c') ADVANCE(321);
      END_STATE();
    case 115:
      if (lookahead == 'c') ADVANCE(322);
      END_STATE();
    case 116:
      if (lookahead == 'c') ADVANCE(334);
      END_STATE();
    case 117:
      if (lookahead == 'd') ADVANCE(494);
      END_STATE();
    case 118:
      if (lookahead == 'd') ADVANCE(94);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(503);
      END_STATE();
    case 120:
      if (lookahead == 'd') ADVANCE(371);
      END_STATE();
    case 121:
      if (lookahead == 'd') ADVANCE(381);
      END_STATE();
    case 122:
      if (lookahead == 'd') ADVANCE(457);
      END_STATE();
    case 123:
      if (lookahead == 'd') ADVANCE(95);
      END_STATE();
    case 124:
      if (lookahead == 'd') ADVANCE(231);
      END_STATE();
    case 125:
      if (lookahead == 'd') ADVANCE(351);
      END_STATE();
    case 126:
      if (lookahead == 'd') ADVANCE(225);
      END_STATE();
    case 127:
      if (lookahead == 'e') ADVANCE(171);
      if (lookahead == 'i') ADVANCE(344);
      if (lookahead == 'y') ADVANCE(243);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(408);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(450);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(456);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(451);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(427);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(452);
      END_STATE();
    case 134:
      if (lookahead == 'e') ADVANCE(422);
      END_STATE();
    case 135:
      if (lookahead == 'e') ADVANCE(366);
      END_STATE();
    case 136:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 137:
      if (lookahead == 'e') ADVANCE(428);
      END_STATE();
    case 138:
      if (lookahead == 'e') ADVANCE(419);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(66);
      if (lookahead == 'o') ADVANCE(96);
      END_STATE();
    case 140:
      if (lookahead == 'e') ADVANCE(66);
      if (lookahead == 'o') ADVANCE(102);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(66);
      if (lookahead == 'o') ADVANCE(108);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(112);
      END_STATE();
    case 143:
      if (lookahead == 'e') ADVANCE(283);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(284);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 146:
      if (lookahead == 'e') ADVANCE(234);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'r') ADVANCE(253);
      END_STATE();
    case 147:
      if (lookahead == 'e') ADVANCE(309);
      END_STATE();
    case 148:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(235);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(235);
      if (lookahead == 'i') ADVANCE(222);
      END_STATE();
    case 151:
      if (lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 153:
      if (lookahead == 'e') ADVANCE(286);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(287);
      END_STATE();
    case 155:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 156:
      if (lookahead == 'e') ADVANCE(336);
      END_STATE();
    case 157:
      if (lookahead == 'e') ADVANCE(114);
      END_STATE();
    case 158:
      if (lookahead == 'e') ADVANCE(115);
      END_STATE();
    case 159:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 160:
      if (lookahead == 'f') ADVANCE(485);
      END_STATE();
    case 161:
      if (lookahead == 'f') ADVANCE(485);
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 162:
      if (lookahead == 'f') ADVANCE(404);
      if (lookahead == 'm') ADVANCE(277);
      if (lookahead == 's') ADVANCE(483);
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 163:
      if (lookahead == 'f') ADVANCE(404);
      if (lookahead == 'm') ADVANCE(277);
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 164:
      if (lookahead == 'f') ADVANCE(404);
      if (lookahead == 's') ADVANCE(483);
      if (lookahead == 't') ADVANCE(143);
      END_STATE();
    case 165:
      if (lookahead == 'f') ADVANCE(407);
      END_STATE();
    case 166:
      if (lookahead == 'f') ADVANCE(498);
      END_STATE();
    case 167:
      if (lookahead == 'f') ADVANCE(455);
      END_STATE();
    case 168:
      if (lookahead == 'f') ADVANCE(497);
      END_STATE();
    case 169:
      if (lookahead == 'f') ADVANCE(406);
      END_STATE();
    case 170:
      if (lookahead == 'f') ADVANCE(499);
      END_STATE();
    case 171:
      if (lookahead == 'f') ADVANCE(68);
      END_STATE();
    case 172:
      if (lookahead == 'g') ADVANCE(431);
      END_STATE();
    case 173:
      if (lookahead == 'g') ADVANCE(414);
      END_STATE();
    case 174:
      if (lookahead == 'g') ADVANCE(230);
      END_STATE();
    case 175:
      if (lookahead == 'g') ADVANCE(135);
      END_STATE();
    case 176:
      if (lookahead == 'h') ADVANCE(146);
      if (lookahead == 'r') ADVANCE(339);
      END_STATE();
    case 177:
      if (lookahead == 'h') ADVANCE(150);
      if (lookahead == 'i') ADVANCE(326);
      END_STATE();
    case 178:
      if (lookahead == 'h') ADVANCE(413);
      END_STATE();
    case 179:
      if (lookahead == 'h') ADVANCE(416);
      END_STATE();
    case 180:
      if (lookahead == 'h') ADVANCE(417);
      END_STATE();
    case 181:
      if (lookahead == 'h') ADVANCE(200);
      if (lookahead == 'r') ADVANCE(339);
      END_STATE();
    case 182:
      if (lookahead == 'h') ADVANCE(261);
      END_STATE();
    case 183:
      if (lookahead == 'h') ADVANCE(193);
      END_STATE();
    case 184:
      if (lookahead == 'h') ADVANCE(263);
      END_STATE();
    case 185:
      if (lookahead == 'h') ADVANCE(149);
      if (lookahead == 'i') ADVANCE(326);
      END_STATE();
    case 186:
      if (lookahead == 'h') ADVANCE(145);
      END_STATE();
    case 187:
      if (lookahead == 'h') ADVANCE(295);
      END_STATE();
    case 188:
      if (lookahead == 'h') ADVANCE(153);
      END_STATE();
    case 189:
      if (lookahead == 'i') ADVANCE(344);
      END_STATE();
    case 190:
      if (lookahead == 'i') ADVANCE(228);
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 191:
      if (lookahead == 'i') ADVANCE(165);
      if (lookahead == 's') ADVANCE(128);
      END_STATE();
    case 192:
      if (lookahead == 'i') ADVANCE(100);
      END_STATE();
    case 193:
      if (lookahead == 'i') ADVANCE(222);
      END_STATE();
    case 194:
      if (lookahead == 'i') ADVANCE(326);
      END_STATE();
    case 195:
      if (lookahead == 'i') ADVANCE(271);
      END_STATE();
    case 196:
      if (lookahead == 'i') ADVANCE(240);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(265);
      END_STATE();
    case 198:
      if (lookahead == 'i') ADVANCE(242);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(328);
      END_STATE();
    case 200:
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'r') ADVANCE(253);
      END_STATE();
    case 201:
      if (lookahead == 'i') ADVANCE(227);
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 202:
      if (lookahead == 'i') ADVANCE(227);
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(346);
      END_STATE();
    case 204:
      if (lookahead == 'i') ADVANCE(244);
      END_STATE();
    case 205:
      if (lookahead == 'k') ADVANCE(385);
      END_STATE();
    case 206:
      if (lookahead == 'k') ADVANCE(436);
      END_STATE();
    case 207:
      if (lookahead == 'k') ADVANCE(386);
      END_STATE();
    case 208:
      if (lookahead == 'k') ADVANCE(434);
      END_STATE();
    case 209:
      if (lookahead == 'k') ADVANCE(67);
      END_STATE();
    case 210:
      if (lookahead == 'l') ADVANCE(191);
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 211:
      if (lookahead == 'l') ADVANCE(462);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(461);
      END_STATE();
    case 213:
      if (lookahead == 'l') ADVANCE(374);
      END_STATE();
    case 214:
      if (lookahead == 'l') ADVANCE(217);
      END_STATE();
    case 215:
      if (lookahead == 'l') ADVANCE(217);
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 216:
      if (lookahead == 'l') ADVANCE(269);
      END_STATE();
    case 217:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 218:
      if (lookahead == 'l') ADVANCE(350);
      END_STATE();
    case 219:
      if (lookahead == 'l') ADVANCE(303);
      END_STATE();
    case 220:
      if (lookahead == 'l') ADVANCE(167);
      END_STATE();
    case 221:
      if (lookahead == 'l') ADVANCE(218);
      END_STATE();
    case 222:
      if (lookahead == 'l') ADVANCE(134);
      END_STATE();
    case 223:
      if (lookahead == 'l') ADVANCE(317);
      END_STATE();
    case 224:
      if (lookahead == 'l') ADVANCE(330);
      END_STATE();
    case 225:
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 226:
      if (lookahead == 'l') ADVANCE(270);
      END_STATE();
    case 227:
      if (lookahead == 'm') ADVANCE(199);
      END_STATE();
    case 228:
      if (lookahead == 'm') ADVANCE(199);
      if (lookahead == 'v') ADVANCE(87);
      END_STATE();
    case 229:
      if (lookahead == 'm') ADVANCE(192);
      END_STATE();
    case 230:
      if (lookahead == 'm') ADVANCE(60);
      END_STATE();
    case 231:
      if (lookahead == 'm') ADVANCE(156);
      END_STATE();
    case 232:
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 233:
      if (lookahead == 'n') ADVANCE(306);
      END_STATE();
    case 234:
      if (lookahead == 'n') ADVANCE(405);
      END_STATE();
    case 235:
      if (lookahead == 'n') ADVANCE(424);
      END_STATE();
    case 236:
      if (lookahead == 'n') ADVANCE(466);
      END_STATE();
    case 237:
      if (lookahead == 'n') ADVANCE(432);
      END_STATE();
    case 238:
      if (lookahead == 'n') ADVANCE(308);
      END_STATE();
    case 239:
      if (lookahead == 'n') ADVANCE(172);
      END_STATE();
    case 240:
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 241:
      if (lookahead == 'n') ADVANCE(126);
      END_STATE();
    case 242:
      if (lookahead == 'n') ADVANCE(173);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 244:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(130);
      END_STATE();
    case 246:
      if (lookahead == 'n') ADVANCE(124);
      END_STATE();
    case 247:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 248:
      if (lookahead == 'n') ADVANCE(320);
      END_STATE();
    case 249:
      if (lookahead == 'n') ADVANCE(325);
      END_STATE();
    case 250:
      if (lookahead == 'n') ADVANCE(81);
      END_STATE();
    case 251:
      if (lookahead == 'n') ADVANCE(305);
      END_STATE();
    case 252:
      if (lookahead == 'o') ADVANCE(92);
      END_STATE();
    case 253:
      if (lookahead == 'o') ADVANCE(348);
      END_STATE();
    case 254:
      if (lookahead == 'o') ADVANCE(282);
      END_STATE();
    case 255:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 256:
      if (lookahead == 'o') ADVANCE(101);
      END_STATE();
    case 257:
      if (lookahead == 'o') ADVANCE(119);
      END_STATE();
    case 258:
      if (lookahead == 'o') ADVANCE(110);
      END_STATE();
    case 259:
      if (lookahead == 'o') ADVANCE(311);
      END_STATE();
    case 260:
      if (lookahead == 'o') ADVANCE(273);
      END_STATE();
    case 261:
      if (lookahead == 'o') ADVANCE(120);
      END_STATE();
    case 262:
      if (lookahead == 'o') ADVANCE(125);
      END_STATE();
    case 263:
      if (lookahead == 'o') ADVANCE(121);
      END_STATE();
    case 264:
      if (lookahead == 'o') ADVANCE(296);
      END_STATE();
    case 265:
      if (lookahead == 'o') ADVANCE(237);
      END_STATE();
    case 266:
      if (lookahead == 'o') ADVANCE(260);
      END_STATE();
    case 267:
      if (lookahead == 'o') ADVANCE(338);
      END_STATE();
    case 268:
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 269:
      if (lookahead == 'o') ADVANCE(103);
      END_STATE();
    case 270:
      if (lookahead == 'o') ADVANCE(107);
      END_STATE();
    case 271:
      if (lookahead == 'o') ADVANCE(250);
      END_STATE();
    case 272:
      if (lookahead == 'p') ADVANCE(410);
      END_STATE();
    case 273:
      if (lookahead == 'p') ADVANCE(411);
      END_STATE();
    case 274:
      if (lookahead == 'p') ADVANCE(409);
      END_STATE();
    case 275:
      if (lookahead == 'p') ADVANCE(312);
      if (lookahead == 'r') ADVANCE(495);
      END_STATE();
    case 276:
      if (lookahead == 'p') ADVANCE(312);
      if (lookahead == 'r') ADVANCE(495);
      if (lookahead == 'v') ADVANCE(144);
      END_STATE();
    case 277:
      if (lookahead == 'p') ADVANCE(264);
      END_STATE();
    case 278:
      if (lookahead == 'p') ADVANCE(151);
      END_STATE();
    case 279:
      if (lookahead == 'r') ADVANCE(495);
      END_STATE();
    case 280:
      if (lookahead == 'r') ADVANCE(495);
      if (lookahead == 'v') ADVANCE(144);
      END_STATE();
    case 281:
      if (lookahead == 'r') ADVANCE(420);
      END_STATE();
    case 282:
      if (lookahead == 'r') ADVANCE(496);
      END_STATE();
    case 283:
      if (lookahead == 'r') ADVANCE(370);
      END_STATE();
    case 284:
      if (lookahead == 'r') ADVANCE(421);
      END_STATE();
    case 285:
      if (lookahead == 'r') ADVANCE(454);
      END_STATE();
    case 286:
      if (lookahead == 'r') ADVANCE(375);
      END_STATE();
    case 287:
      if (lookahead == 'r') ADVANCE(468);
      END_STATE();
    case 288:
      if (lookahead == 'r') ADVANCE(202);
      END_STATE();
    case 289:
      if (lookahead == 'r') ADVANCE(349);
      END_STATE();
    case 290:
      if (lookahead == 'r') ADVANCE(190);
      END_STATE();
    case 291:
      if (lookahead == 'r') ADVANCE(147);
      END_STATE();
    case 292:
      if (lookahead == 'r') ADVANCE(256);
      END_STATE();
    case 293:
      if (lookahead == 'r') ADVANCE(88);
      END_STATE();
    case 294:
      if (lookahead == 'r') ADVANCE(236);
      END_STATE();
    case 295:
      if (lookahead == 'r') ADVANCE(152);
      END_STATE();
    case 296:
      if (lookahead == 'r') ADVANCE(316);
      END_STATE();
    case 297:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 298:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 299:
      if (lookahead == 's') ADVANCE(483);
      END_STATE();
    case 300:
      if (lookahead == 's') ADVANCE(458);
      END_STATE();
    case 301:
      if (lookahead == 's') ADVANCE(469);
      END_STATE();
    case 302:
      if (lookahead == 's') ADVANCE(300);
      END_STATE();
    case 303:
      if (lookahead == 's') ADVANCE(131);
      END_STATE();
    case 304:
      if (lookahead == 's') ADVANCE(329);
      END_STATE();
    case 305:
      if (lookahead == 's') ADVANCE(333);
      END_STATE();
    case 306:
      if (lookahead == 's') ADVANCE(333);
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 307:
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 308:
      if (lookahead == 's') ADVANCE(155);
      END_STATE();
    case 309:
      if (lookahead == 's') ADVANCE(343);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(188);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(509);
      END_STATE();
    case 312:
      if (lookahead == 't') ADVANCE(195);
      END_STATE();
    case 313:
      if (lookahead == 't') ADVANCE(341);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(484);
      END_STATE();
    case 315:
      if (lookahead == 't') ADVANCE(453);
      END_STATE();
    case 316:
      if (lookahead == 't') ADVANCE(465);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(415);
      END_STATE();
    case 318:
      if (lookahead == 't') ADVANCE(430);
      END_STATE();
    case 319:
      if (lookahead == 't') ADVANCE(368);
      END_STATE();
    case 320:
      if (lookahead == 't') ADVANCE(463);
      END_STATE();
    case 321:
      if (lookahead == 't') ADVANCE(433);
      END_STATE();
    case 322:
      if (lookahead == 't') ADVANCE(429);
      END_STATE();
    case 323:
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 324:
      if (lookahead == 't') ADVANCE(182);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(196);
      END_STATE();
    case 326:
      if (lookahead == 't') ADVANCE(178);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(187);
      END_STATE();
    case 328:
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 329:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 330:
      if (lookahead == 't') ADVANCE(301);
      END_STATE();
    case 331:
      if (lookahead == 't') ADVANCE(337);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(136);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(80);
      END_STATE();
    case 334:
      if (lookahead == 't') ADVANCE(197);
      END_STATE();
    case 335:
      if (lookahead == 't') ADVANCE(109);
      END_STATE();
    case 336:
      if (lookahead == 't') ADVANCE(184);
      END_STATE();
    case 337:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 338:
      if (lookahead == 't') ADVANCE(159);
      END_STATE();
    case 339:
      if (lookahead == 'u') ADVANCE(129);
      if (lookahead == 'y') ADVANCE(423);
      END_STATE();
    case 340:
      if (lookahead == 'u') ADVANCE(223);
      END_STATE();
    case 341:
      if (lookahead == 'u') ADVANCE(294);
      END_STATE();
    case 342:
      if (lookahead == 'u') ADVANCE(137);
      END_STATE();
    case 343:
      if (lookahead == 'u') ADVANCE(224);
      END_STATE();
    case 344:
      if (lookahead == 'v') ADVANCE(504);
      END_STATE();
    case 345:
      if (lookahead == 'v') ADVANCE(132);
      END_STATE();
    case 346:
      if (lookahead == 'v') ADVANCE(138);
      END_STATE();
    case 347:
      if (lookahead == 'v') ADVANCE(144);
      END_STATE();
    case 348:
      if (lookahead == 'w') ADVANCE(418);
      END_STATE();
    case 349:
      if (lookahead == 'y') ADVANCE(425);
      END_STATE();
    case 350:
      if (lookahead == 'y') ADVANCE(412);
      END_STATE();
    case 351:
      if (lookahead == 'y') ADVANCE(426);
      END_STATE();
    case 352:
      if (lookahead == 'y') ADVANCE(93);
      END_STATE();
    case 353:
      if (lookahead == 'y') ADVANCE(243);
      END_STATE();
    case 354:
      if (lookahead == '|') ADVANCE(355);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(512);
      END_STATE();
    case 355:
      if (lookahead == '|') ADVANCE(512);
      if (lookahead != 0) ADVANCE(355);
      END_STATE();
    case 356:
      if (lookahead == '|') ADVANCE(459);
      if (lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(356);
      END_STATE();
    case 357:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(479);
      END_STATE();
    case 358:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(480);
      END_STATE();
    case 359:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(477);
      END_STATE();
    case 360:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(476);
      END_STATE();
    case 361:
      if (eof) ADVANCE(362);
      if (lookahead == '!') ADVANCE(17);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '#') ADVANCE(519);
      if (lookahead == '$') ADVANCE(2);
      if (lookahead == '%') ADVANCE(513);
      if (lookahead == '\'') ADVANCE(446);
      if (lookahead == '(') ADVANCE(373);
      if (lookahead == ')') ADVANCE(376);
      if (lookahead == '*') ADVANCE(501);
      if (lookahead == '+') ADVANCE(508);
      if (lookahead == ',') ADVANCE(384);
      if (lookahead == '-') ADVANCE(506);
      if (lookahead == '.') ADVANCE(372);
      if (lookahead == '/') ADVANCE(502);
      if (lookahead == ':') ADVANCE(354);
      if (lookahead == '<') ADVANCE(491);
      if (lookahead == '=') ADVANCE(486);
      if (lookahead == '>') ADVANCE(493);
      if (lookahead == '@') ADVANCE(360);
      if (lookahead == '[') ADVANCE(379);
      if (lookahead == ']') ADVANCE(380);
      if (lookahead == '^') ADVANCE(38);
      if (lookahead == '_') ADVANCE(47);
      if (lookahead == '{') ADVANCE(481);
      if (lookahead == '|') ADVANCE(356);
      if (lookahead == '}') ADVANCE(482);
      if (lookahead == '~') ADVANCE(511);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(361)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(478);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(447);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym_CR);
      if (lookahead == '\n') ADVANCE(364);
      if (lookahead == '\r') ADVANCE(363);
      END_STATE();
    case 364:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(364);
      if (lookahead == '\r') ADVANCE(363);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(365);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym__package);
      END_STATE();
    case 367:
      ACCEPT_TOKEN(sym__dollar);
      END_STATE();
    case 368:
      ACCEPT_TOKEN(anon_sym__abstract);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym__private);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym__iter);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym__method);
      END_STATE();
    case 372:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 373:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 374:
      ACCEPT_TOKEN(anon_sym__optional);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym__gather);
      END_STATE();
    case 376:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 377:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 378:
      ACCEPT_TOKEN(anon_sym_CARET_LT_LT);
      END_STATE();
    case 379:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 380:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym__endmethod);
      END_STATE();
    case 382:
      ACCEPT_TOKEN(anon_sym__proc);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym__endproc);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym__block);
      END_STATE();
    case 386:
      ACCEPT_TOKEN(anon_sym__endblock);
      END_STATE();
    case 387:
      ACCEPT_TOKEN(anon_sym__and_LT_LT);
      END_STATE();
    case 388:
      ACCEPT_TOKEN(anon_sym__andif_LT_LT);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym__or_LT_LT);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym__orif_LT_LT);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym__xor_LT_LT);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_LT_LT);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_STAR_STAR_CARET_LT_LT);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(anon_sym_STAR_LT_LT);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(anon_sym_STAR_CARET_LT_LT);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_SLASH_LT_LT);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_SLASH_CARET_LT_LT);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym__mod_LT_LT);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym__div_LT_LT);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_DASH_LT_LT);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_DASH_CARET_LT_LT);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_PLUS_LT_LT);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_PLUS_CARET_LT_LT);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym__if);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym__then);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym__endif);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(anon_sym__elif);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(anon_sym__else);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym__loop);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym__loop);
      if (lookahead == 'b') ADVANCE(262);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(anon_sym__endloop);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(anon_sym__finally);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(anon_sym__with);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym__handling);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(anon_sym__default);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym__catch);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(anon_sym__endcatch);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(anon_sym__throw);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(anon_sym__primitive);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym__for);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym__over);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym__while);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym__try);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(anon_sym__when);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym__endtry);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(anon_sym__loopbody);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(anon_sym__leave);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym__continue);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(anon_sym__protect);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(anon_sym__protect);
      if (lookahead == 'i') ADVANCE(265);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(anon_sym__locking);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym__protection);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(anon_sym__endprotect);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym__lock);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(anon_sym__lock);
      if (lookahead == 'i') ADVANCE(239);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym__endlock);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(anon_sym__pragma);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(aux_sym_pragma_token1);
      if (lookahead == '#') ADVANCE(439);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(438);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(439);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(aux_sym_pragma_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(439);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '\n') ADVANCE(444);
      if (lookahead == '#') ADVANCE(441);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(442);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(441);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == '\n') ADVANCE(444);
      if (lookahead == '"') ADVANCE(440);
      if (lookahead == '#') ADVANCE(441);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(442);
      if (lookahead != 0) ADVANCE(441);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(aux_sym_string_literal_token2);
      if (lookahead == '\n') ADVANCE(445);
      if (lookahead == '#') ADVANCE(443);
      if (lookahead == '\'') ADVANCE(446);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(445);
      if (lookahead != 0) ADVANCE(443);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(aux_sym_slot_accessor_token1);
      if (lookahead == ':') ADVANCE(16);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(447);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(aux_sym_slot_accessor_token1);
      if (lookahead == ':') ADVANCE(10);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(448);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(aux_sym_slot_accessor_token1);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(449);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_maybe);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_unset);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_self);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_clone);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_thisthread);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym__class);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(aux_sym_class_token1);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym__global);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym__local);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym__constant);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym__dynamic);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym__import);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym__return);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym__scatter);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym__allresults);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_label);
      if (lookahead == ':') ADVANCE(359);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(470);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(sym_label);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(473);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          lookahead == '_') ADVANCE(473);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(470);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(sym_label);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(473);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(473);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(sym_label);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(473);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(sym_dynamic_variable);
      if (lookahead == '!') ADVANCE(474);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(17);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(sym_global_variable);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(475);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(sym_global_reference);
      if (lookahead == ':') ADVANCE(359);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(476);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(sym_global_reference);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(477);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == '.') ADVANCE(357);
      if (lookahead == 'e') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(478);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(sym_number);
      if (lookahead == 'e') ADVANCE(19);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(479);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(sym_number);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(480);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym__is);
      if (lookahead == 'n') ADVANCE(314);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym__isnt);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym__cf);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_TILDE_EQ);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_LT_GT);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(377);
      if (lookahead == '=') ADVANCE(490);
      if (lookahead == '>') ADVANCE(488);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(489);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(489);
      if (lookahead == '>') ADVANCE(467);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym__and);
      if (lookahead == '<') ADVANCE(32);
      if (lookahead == 'i') ADVANCE(168);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym__or);
      if (lookahead == '<') ADVANCE(31);
      if (lookahead == 'i') ADVANCE(166);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym__xor);
      if (lookahead == '<') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(170);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym__andif);
      if (lookahead == '<') ADVANCE(37);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym__orif);
      if (lookahead == '<') ADVANCE(36);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym__xorif);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      if (lookahead == '<') ADVANCE(25);
      if (lookahead == '^') ADVANCE(43);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(500);
      if (lookahead == '<') ADVANCE(20);
      if (lookahead == '^') ADVANCE(39);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '<') ADVANCE(23);
      if (lookahead == '^') ADVANCE(42);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym__mod);
      if (lookahead == '<') ADVANCE(34);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym__div);
      if (lookahead == '<') ADVANCE(33);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '<') ADVANCE(22);
      if (lookahead == '^') ADVANCE(41);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '<') ADVANCE(21);
      if (lookahead == '^') ADVANCE(40);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym__not);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (lookahead == '=') ADVANCE(487);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(sym_symbol);
      if (lookahead == '|') ADVANCE(355);
      if (lookahead == '!' ||
          ('0' <= lookahead && lookahead <= '9') ||
          lookahead == '?' ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(512);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(aux_sym_character_literal_token1);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(aux_sym_character_literal_token1);
      if (lookahead == ' ') ADVANCE(516);
      if (lookahead == '#') ADVANCE(514);
      if (lookahead == '\t' ||
          lookahead == '\r') ADVANCE(515);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(449);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(514);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_);
      if (lookahead == ' ') ADVANCE(516);
      if (lookahead == '\t' ||
          lookahead == '\r') ADVANCE(515);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(aux_sym_documentation_token1);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(517);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '#') ADVANCE(517);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(519);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(519);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 361},
  [2] = {.lex_state = 3},
  [3] = {.lex_state = 3},
  [4] = {.lex_state = 3},
  [5] = {.lex_state = 3},
  [6] = {.lex_state = 361},
  [7] = {.lex_state = 361},
  [8] = {.lex_state = 4},
  [9] = {.lex_state = 4},
  [10] = {.lex_state = 361},
  [11] = {.lex_state = 4},
  [12] = {.lex_state = 361},
  [13] = {.lex_state = 4},
  [14] = {.lex_state = 361},
  [15] = {.lex_state = 361},
  [16] = {.lex_state = 361},
  [17] = {.lex_state = 361},
  [18] = {.lex_state = 361},
  [19] = {.lex_state = 361},
  [20] = {.lex_state = 11},
  [21] = {.lex_state = 11},
  [22] = {.lex_state = 11},
  [23] = {.lex_state = 11},
  [24] = {.lex_state = 11},
  [25] = {.lex_state = 11},
  [26] = {.lex_state = 11},
  [27] = {.lex_state = 361},
  [28] = {.lex_state = 361},
  [29] = {.lex_state = 11},
  [30] = {.lex_state = 11},
  [31] = {.lex_state = 11},
  [32] = {.lex_state = 11},
  [33] = {.lex_state = 11},
  [34] = {.lex_state = 11},
  [35] = {.lex_state = 11},
  [36] = {.lex_state = 11},
  [37] = {.lex_state = 11},
  [38] = {.lex_state = 11},
  [39] = {.lex_state = 11},
  [40] = {.lex_state = 11},
  [41] = {.lex_state = 11},
  [42] = {.lex_state = 11},
  [43] = {.lex_state = 361},
  [44] = {.lex_state = 12},
  [45] = {.lex_state = 11},
  [46] = {.lex_state = 361},
  [47] = {.lex_state = 11},
  [48] = {.lex_state = 361},
  [49] = {.lex_state = 11},
  [50] = {.lex_state = 11},
  [51] = {.lex_state = 11},
  [52] = {.lex_state = 12},
  [53] = {.lex_state = 11},
  [54] = {.lex_state = 11},
  [55] = {.lex_state = 361},
  [56] = {.lex_state = 11},
  [57] = {.lex_state = 11},
  [58] = {.lex_state = 11},
  [59] = {.lex_state = 11},
  [60] = {.lex_state = 11},
  [61] = {.lex_state = 11},
  [62] = {.lex_state = 11},
  [63] = {.lex_state = 11},
  [64] = {.lex_state = 11},
  [65] = {.lex_state = 11},
  [66] = {.lex_state = 361},
  [67] = {.lex_state = 11},
  [68] = {.lex_state = 12},
  [69] = {.lex_state = 11},
  [70] = {.lex_state = 12},
  [71] = {.lex_state = 11},
  [72] = {.lex_state = 11},
  [73] = {.lex_state = 11},
  [74] = {.lex_state = 11},
  [75] = {.lex_state = 11},
  [76] = {.lex_state = 11},
  [77] = {.lex_state = 11},
  [78] = {.lex_state = 11},
  [79] = {.lex_state = 11},
  [80] = {.lex_state = 11},
  [81] = {.lex_state = 11},
  [82] = {.lex_state = 11},
  [83] = {.lex_state = 361},
  [84] = {.lex_state = 361},
  [85] = {.lex_state = 361},
  [86] = {.lex_state = 361},
  [87] = {.lex_state = 361},
  [88] = {.lex_state = 361},
  [89] = {.lex_state = 361},
  [90] = {.lex_state = 361},
  [91] = {.lex_state = 361},
  [92] = {.lex_state = 361},
  [93] = {.lex_state = 361},
  [94] = {.lex_state = 361},
  [95] = {.lex_state = 361},
  [96] = {.lex_state = 361},
  [97] = {.lex_state = 361},
  [98] = {.lex_state = 361},
  [99] = {.lex_state = 361},
  [100] = {.lex_state = 361},
  [101] = {.lex_state = 361},
  [102] = {.lex_state = 361},
  [103] = {.lex_state = 361},
  [104] = {.lex_state = 361},
  [105] = {.lex_state = 361},
  [106] = {.lex_state = 12},
  [107] = {.lex_state = 12},
  [108] = {.lex_state = 361},
  [109] = {.lex_state = 12},
  [110] = {.lex_state = 12},
  [111] = {.lex_state = 13},
  [112] = {.lex_state = 361},
  [113] = {.lex_state = 12},
  [114] = {.lex_state = 12},
  [115] = {.lex_state = 13},
  [116] = {.lex_state = 361},
  [117] = {.lex_state = 361},
  [118] = {.lex_state = 361},
  [119] = {.lex_state = 361},
  [120] = {.lex_state = 361},
  [121] = {.lex_state = 361},
  [122] = {.lex_state = 361},
  [123] = {.lex_state = 361},
  [124] = {.lex_state = 361},
  [125] = {.lex_state = 361},
  [126] = {.lex_state = 361},
  [127] = {.lex_state = 361},
  [128] = {.lex_state = 361},
  [129] = {.lex_state = 361},
  [130] = {.lex_state = 361},
  [131] = {.lex_state = 361},
  [132] = {.lex_state = 361},
  [133] = {.lex_state = 361},
  [134] = {.lex_state = 361},
  [135] = {.lex_state = 361},
  [136] = {.lex_state = 361},
  [137] = {.lex_state = 361},
  [138] = {.lex_state = 361},
  [139] = {.lex_state = 361},
  [140] = {.lex_state = 361},
  [141] = {.lex_state = 361},
  [142] = {.lex_state = 361},
  [143] = {.lex_state = 361},
  [144] = {.lex_state = 361},
  [145] = {.lex_state = 361},
  [146] = {.lex_state = 361},
  [147] = {.lex_state = 361},
  [148] = {.lex_state = 361},
  [149] = {.lex_state = 361},
  [150] = {.lex_state = 361},
  [151] = {.lex_state = 361},
  [152] = {.lex_state = 361},
  [153] = {.lex_state = 361},
  [154] = {.lex_state = 361},
  [155] = {.lex_state = 361},
  [156] = {.lex_state = 361},
  [157] = {.lex_state = 361},
  [158] = {.lex_state = 361},
  [159] = {.lex_state = 361},
  [160] = {.lex_state = 361},
  [161] = {.lex_state = 361},
  [162] = {.lex_state = 361},
  [163] = {.lex_state = 361},
  [164] = {.lex_state = 361},
  [165] = {.lex_state = 361},
  [166] = {.lex_state = 361},
  [167] = {.lex_state = 361},
  [168] = {.lex_state = 361},
  [169] = {.lex_state = 361},
  [170] = {.lex_state = 361},
  [171] = {.lex_state = 14},
  [172] = {.lex_state = 14},
  [173] = {.lex_state = 361},
  [174] = {.lex_state = 361},
  [175] = {.lex_state = 361},
  [176] = {.lex_state = 361},
  [177] = {.lex_state = 361},
  [178] = {.lex_state = 361},
  [179] = {.lex_state = 361},
  [180] = {.lex_state = 361},
  [181] = {.lex_state = 361},
  [182] = {.lex_state = 361},
  [183] = {.lex_state = 361},
  [184] = {.lex_state = 361},
  [185] = {.lex_state = 361},
  [186] = {.lex_state = 361},
  [187] = {.lex_state = 361},
  [188] = {.lex_state = 361},
  [189] = {.lex_state = 361},
  [190] = {.lex_state = 361},
  [191] = {.lex_state = 361},
  [192] = {.lex_state = 361},
  [193] = {.lex_state = 361},
  [194] = {.lex_state = 361},
  [195] = {.lex_state = 361},
  [196] = {.lex_state = 361},
  [197] = {.lex_state = 361},
  [198] = {.lex_state = 361},
  [199] = {.lex_state = 361},
  [200] = {.lex_state = 361},
  [201] = {.lex_state = 361},
  [202] = {.lex_state = 361},
  [203] = {.lex_state = 361},
  [204] = {.lex_state = 361},
  [205] = {.lex_state = 361},
  [206] = {.lex_state = 361},
  [207] = {.lex_state = 14},
  [208] = {.lex_state = 14},
  [209] = {.lex_state = 361},
  [210] = {.lex_state = 361},
  [211] = {.lex_state = 11},
  [212] = {.lex_state = 361},
  [213] = {.lex_state = 361},
  [214] = {.lex_state = 361},
  [215] = {.lex_state = 361},
  [216] = {.lex_state = 361},
  [217] = {.lex_state = 361},
  [218] = {.lex_state = 361},
  [219] = {.lex_state = 361},
  [220] = {.lex_state = 361},
  [221] = {.lex_state = 361},
  [222] = {.lex_state = 361},
  [223] = {.lex_state = 361},
  [224] = {.lex_state = 361},
  [225] = {.lex_state = 361},
  [226] = {.lex_state = 361},
  [227] = {.lex_state = 361},
  [228] = {.lex_state = 361},
  [229] = {.lex_state = 361},
  [230] = {.lex_state = 361},
  [231] = {.lex_state = 361},
  [232] = {.lex_state = 361},
  [233] = {.lex_state = 361},
  [234] = {.lex_state = 361},
  [235] = {.lex_state = 361},
  [236] = {.lex_state = 361},
  [237] = {.lex_state = 361},
  [238] = {.lex_state = 361},
  [239] = {.lex_state = 361},
  [240] = {.lex_state = 361},
  [241] = {.lex_state = 361},
  [242] = {.lex_state = 361},
  [243] = {.lex_state = 361},
  [244] = {.lex_state = 361},
  [245] = {.lex_state = 361},
  [246] = {.lex_state = 361},
  [247] = {.lex_state = 361},
  [248] = {.lex_state = 361},
  [249] = {.lex_state = 361},
  [250] = {.lex_state = 361},
  [251] = {.lex_state = 361},
  [252] = {.lex_state = 361},
  [253] = {.lex_state = 361},
  [254] = {.lex_state = 361},
  [255] = {.lex_state = 361},
  [256] = {.lex_state = 361},
  [257] = {.lex_state = 361},
  [258] = {.lex_state = 361},
  [259] = {.lex_state = 361},
  [260] = {.lex_state = 361},
  [261] = {.lex_state = 361},
  [262] = {.lex_state = 361},
  [263] = {.lex_state = 361},
  [264] = {.lex_state = 361},
  [265] = {.lex_state = 361},
  [266] = {.lex_state = 361},
  [267] = {.lex_state = 361},
  [268] = {.lex_state = 361},
  [269] = {.lex_state = 361},
  [270] = {.lex_state = 361},
  [271] = {.lex_state = 361},
  [272] = {.lex_state = 361},
  [273] = {.lex_state = 361},
  [274] = {.lex_state = 361},
  [275] = {.lex_state = 361},
  [276] = {.lex_state = 361},
  [277] = {.lex_state = 361},
  [278] = {.lex_state = 361},
  [279] = {.lex_state = 361},
  [280] = {.lex_state = 361},
  [281] = {.lex_state = 361},
  [282] = {.lex_state = 361},
  [283] = {.lex_state = 361},
  [284] = {.lex_state = 361},
  [285] = {.lex_state = 361},
  [286] = {.lex_state = 361},
  [287] = {.lex_state = 361},
  [288] = {.lex_state = 361},
  [289] = {.lex_state = 361},
  [290] = {.lex_state = 361},
  [291] = {.lex_state = 361},
  [292] = {.lex_state = 361},
  [293] = {.lex_state = 361},
  [294] = {.lex_state = 361},
  [295] = {.lex_state = 361},
  [296] = {.lex_state = 361},
  [297] = {.lex_state = 361},
  [298] = {.lex_state = 361},
  [299] = {.lex_state = 361},
  [300] = {.lex_state = 361},
  [301] = {.lex_state = 361},
  [302] = {.lex_state = 361},
  [303] = {.lex_state = 361},
  [304] = {.lex_state = 361},
  [305] = {.lex_state = 361},
  [306] = {.lex_state = 361},
  [307] = {.lex_state = 361},
  [308] = {.lex_state = 361},
  [309] = {.lex_state = 361},
  [310] = {.lex_state = 361},
  [311] = {.lex_state = 361},
  [312] = {.lex_state = 361},
  [313] = {.lex_state = 361},
  [314] = {.lex_state = 361},
  [315] = {.lex_state = 361},
  [316] = {.lex_state = 361},
  [317] = {.lex_state = 361},
  [318] = {.lex_state = 361},
  [319] = {.lex_state = 361},
  [320] = {.lex_state = 361},
  [321] = {.lex_state = 361},
  [322] = {.lex_state = 361},
  [323] = {.lex_state = 361},
  [324] = {.lex_state = 361},
  [325] = {.lex_state = 361},
  [326] = {.lex_state = 361},
  [327] = {.lex_state = 361},
  [328] = {.lex_state = 361},
  [329] = {.lex_state = 361},
  [330] = {.lex_state = 361},
  [331] = {.lex_state = 361},
  [332] = {.lex_state = 361},
  [333] = {.lex_state = 361},
  [334] = {.lex_state = 361},
  [335] = {.lex_state = 361},
  [336] = {.lex_state = 361},
  [337] = {.lex_state = 361},
  [338] = {.lex_state = 361},
  [339] = {.lex_state = 361},
  [340] = {.lex_state = 361},
  [341] = {.lex_state = 361},
  [342] = {.lex_state = 361},
  [343] = {.lex_state = 361},
  [344] = {.lex_state = 361},
  [345] = {.lex_state = 361},
  [346] = {.lex_state = 361},
  [347] = {.lex_state = 361},
  [348] = {.lex_state = 361},
  [349] = {.lex_state = 361},
  [350] = {.lex_state = 361},
  [351] = {.lex_state = 361},
  [352] = {.lex_state = 361},
  [353] = {.lex_state = 361},
  [354] = {.lex_state = 361},
  [355] = {.lex_state = 361},
  [356] = {.lex_state = 361},
  [357] = {.lex_state = 361},
  [358] = {.lex_state = 361},
  [359] = {.lex_state = 361},
  [360] = {.lex_state = 361},
  [361] = {.lex_state = 361},
  [362] = {.lex_state = 361},
  [363] = {.lex_state = 361},
  [364] = {.lex_state = 361},
  [365] = {.lex_state = 361},
  [366] = {.lex_state = 361},
  [367] = {.lex_state = 361},
  [368] = {.lex_state = 361},
  [369] = {.lex_state = 361},
  [370] = {.lex_state = 361},
  [371] = {.lex_state = 361},
  [372] = {.lex_state = 361},
  [373] = {.lex_state = 361},
  [374] = {.lex_state = 361},
  [375] = {.lex_state = 361},
  [376] = {.lex_state = 361},
  [377] = {.lex_state = 361},
  [378] = {.lex_state = 361},
  [379] = {.lex_state = 361},
  [380] = {.lex_state = 361},
  [381] = {.lex_state = 361},
  [382] = {.lex_state = 361},
  [383] = {.lex_state = 361},
  [384] = {.lex_state = 361},
  [385] = {.lex_state = 361},
  [386] = {.lex_state = 361},
  [387] = {.lex_state = 361},
  [388] = {.lex_state = 361},
  [389] = {.lex_state = 361},
  [390] = {.lex_state = 361},
  [391] = {.lex_state = 361},
  [392] = {.lex_state = 361},
  [393] = {.lex_state = 361},
  [394] = {.lex_state = 361},
  [395] = {.lex_state = 361},
  [396] = {.lex_state = 361},
  [397] = {.lex_state = 361},
  [398] = {.lex_state = 361},
  [399] = {.lex_state = 361},
  [400] = {.lex_state = 361},
  [401] = {.lex_state = 361},
  [402] = {.lex_state = 361},
  [403] = {.lex_state = 361},
  [404] = {.lex_state = 361},
  [405] = {.lex_state = 361},
  [406] = {.lex_state = 361},
  [407] = {.lex_state = 361},
  [408] = {.lex_state = 361},
  [409] = {.lex_state = 361},
  [410] = {.lex_state = 361},
  [411] = {.lex_state = 361},
  [412] = {.lex_state = 361},
  [413] = {.lex_state = 361},
  [414] = {.lex_state = 361},
  [415] = {.lex_state = 361},
  [416] = {.lex_state = 361},
  [417] = {.lex_state = 361},
  [418] = {.lex_state = 361},
  [419] = {.lex_state = 361},
  [420] = {.lex_state = 361},
  [421] = {.lex_state = 361},
  [422] = {.lex_state = 361},
  [423] = {.lex_state = 361},
  [424] = {.lex_state = 361},
  [425] = {.lex_state = 361},
  [426] = {.lex_state = 361},
  [427] = {.lex_state = 361},
  [428] = {.lex_state = 361},
  [429] = {.lex_state = 361},
  [430] = {.lex_state = 361},
  [431] = {.lex_state = 361},
  [432] = {.lex_state = 361},
  [433] = {.lex_state = 361},
  [434] = {.lex_state = 361},
  [435] = {.lex_state = 361},
  [436] = {.lex_state = 361},
  [437] = {.lex_state = 361},
  [438] = {.lex_state = 361},
  [439] = {.lex_state = 361},
  [440] = {.lex_state = 361},
  [441] = {.lex_state = 361},
  [442] = {.lex_state = 361},
  [443] = {.lex_state = 361},
  [444] = {.lex_state = 361},
  [445] = {.lex_state = 361},
  [446] = {.lex_state = 361},
  [447] = {.lex_state = 361},
  [448] = {.lex_state = 5},
  [449] = {.lex_state = 5},
  [450] = {.lex_state = 5},
  [451] = {.lex_state = 5},
  [452] = {.lex_state = 5},
  [453] = {.lex_state = 5},
  [454] = {.lex_state = 5},
  [455] = {.lex_state = 5},
  [456] = {.lex_state = 5},
  [457] = {.lex_state = 5},
  [458] = {.lex_state = 5},
  [459] = {.lex_state = 5},
  [460] = {.lex_state = 5},
  [461] = {.lex_state = 5},
  [462] = {.lex_state = 5},
  [463] = {.lex_state = 5},
  [464] = {.lex_state = 5},
  [465] = {.lex_state = 5},
  [466] = {.lex_state = 5},
  [467] = {.lex_state = 5},
  [468] = {.lex_state = 5},
  [469] = {.lex_state = 5},
  [470] = {.lex_state = 5},
  [471] = {.lex_state = 5},
  [472] = {.lex_state = 5},
  [473] = {.lex_state = 5},
  [474] = {.lex_state = 5},
  [475] = {.lex_state = 5},
  [476] = {.lex_state = 5},
  [477] = {.lex_state = 5},
  [478] = {.lex_state = 5},
  [479] = {.lex_state = 5},
  [480] = {.lex_state = 5},
  [481] = {.lex_state = 5},
  [482] = {.lex_state = 5},
  [483] = {.lex_state = 5},
  [484] = {.lex_state = 5},
  [485] = {.lex_state = 5},
  [486] = {.lex_state = 5},
  [487] = {.lex_state = 5},
  [488] = {.lex_state = 5},
  [489] = {.lex_state = 5},
  [490] = {.lex_state = 5},
  [491] = {.lex_state = 5},
  [492] = {.lex_state = 5},
  [493] = {.lex_state = 5},
  [494] = {.lex_state = 5},
  [495] = {.lex_state = 5},
  [496] = {.lex_state = 5},
  [497] = {.lex_state = 5},
  [498] = {.lex_state = 5},
  [499] = {.lex_state = 5},
  [500] = {.lex_state = 5},
  [501] = {.lex_state = 5},
  [502] = {.lex_state = 5},
  [503] = {.lex_state = 5},
  [504] = {.lex_state = 5},
  [505] = {.lex_state = 5},
  [506] = {.lex_state = 5},
  [507] = {.lex_state = 5},
  [508] = {.lex_state = 5},
  [509] = {.lex_state = 5},
  [510] = {.lex_state = 5},
  [511] = {.lex_state = 5},
  [512] = {.lex_state = 5},
  [513] = {.lex_state = 5},
  [514] = {.lex_state = 5},
  [515] = {.lex_state = 5},
  [516] = {.lex_state = 5},
  [517] = {.lex_state = 5},
  [518] = {.lex_state = 5},
  [519] = {.lex_state = 5},
  [520] = {.lex_state = 5},
  [521] = {.lex_state = 5},
  [522] = {.lex_state = 5},
  [523] = {.lex_state = 5},
  [524] = {.lex_state = 5},
  [525] = {.lex_state = 5},
  [526] = {.lex_state = 5},
  [527] = {.lex_state = 5},
  [528] = {.lex_state = 5},
  [529] = {.lex_state = 5},
  [530] = {.lex_state = 5},
  [531] = {.lex_state = 5},
  [532] = {.lex_state = 5},
  [533] = {.lex_state = 5},
  [534] = {.lex_state = 5},
  [535] = {.lex_state = 5},
  [536] = {.lex_state = 5},
  [537] = {.lex_state = 5},
  [538] = {.lex_state = 5},
  [539] = {.lex_state = 5},
  [540] = {.lex_state = 5},
  [541] = {.lex_state = 5},
  [542] = {.lex_state = 5},
  [543] = {.lex_state = 5},
  [544] = {.lex_state = 5},
  [545] = {.lex_state = 5},
  [546] = {.lex_state = 5},
  [547] = {.lex_state = 5},
  [548] = {.lex_state = 5},
  [549] = {.lex_state = 5},
  [550] = {.lex_state = 5},
  [551] = {.lex_state = 5},
  [552] = {.lex_state = 5},
  [553] = {.lex_state = 5},
  [554] = {.lex_state = 5},
  [555] = {.lex_state = 5},
  [556] = {.lex_state = 5},
  [557] = {.lex_state = 5},
  [558] = {.lex_state = 5},
  [559] = {.lex_state = 5},
  [560] = {.lex_state = 5},
  [561] = {.lex_state = 5},
  [562] = {.lex_state = 5},
  [563] = {.lex_state = 5},
  [564] = {.lex_state = 5},
  [565] = {.lex_state = 5},
  [566] = {.lex_state = 5},
  [567] = {.lex_state = 5},
  [568] = {.lex_state = 5},
  [569] = {.lex_state = 5},
  [570] = {.lex_state = 5},
  [571] = {.lex_state = 5},
  [572] = {.lex_state = 5},
  [573] = {.lex_state = 5},
  [574] = {.lex_state = 5},
  [575] = {.lex_state = 5},
  [576] = {.lex_state = 5},
  [577] = {.lex_state = 5},
  [578] = {.lex_state = 5},
  [579] = {.lex_state = 5},
  [580] = {.lex_state = 5},
  [581] = {.lex_state = 5},
  [582] = {.lex_state = 5},
  [583] = {.lex_state = 5},
  [584] = {.lex_state = 5},
  [585] = {.lex_state = 5},
  [586] = {.lex_state = 5},
  [587] = {.lex_state = 5},
  [588] = {.lex_state = 5},
  [589] = {.lex_state = 5},
  [590] = {.lex_state = 5},
  [591] = {.lex_state = 5},
  [592] = {.lex_state = 5},
  [593] = {.lex_state = 5},
  [594] = {.lex_state = 5},
  [595] = {.lex_state = 5},
  [596] = {.lex_state = 5},
  [597] = {.lex_state = 5},
  [598] = {.lex_state = 5},
  [599] = {.lex_state = 5},
  [600] = {.lex_state = 5},
  [601] = {.lex_state = 5},
  [602] = {.lex_state = 5},
  [603] = {.lex_state = 5},
  [604] = {.lex_state = 5},
  [605] = {.lex_state = 5},
  [606] = {.lex_state = 5},
  [607] = {.lex_state = 5},
  [608] = {.lex_state = 5},
  [609] = {.lex_state = 5},
  [610] = {.lex_state = 5},
  [611] = {.lex_state = 5},
  [612] = {.lex_state = 5},
  [613] = {.lex_state = 5},
  [614] = {.lex_state = 5},
  [615] = {.lex_state = 5},
  [616] = {.lex_state = 5},
  [617] = {.lex_state = 5},
  [618] = {.lex_state = 5},
  [619] = {.lex_state = 5},
  [620] = {.lex_state = 5},
  [621] = {.lex_state = 5},
  [622] = {.lex_state = 5},
  [623] = {.lex_state = 5},
  [624] = {.lex_state = 5},
  [625] = {.lex_state = 5},
  [626] = {.lex_state = 5},
  [627] = {.lex_state = 5},
  [628] = {.lex_state = 5},
  [629] = {.lex_state = 361},
  [630] = {.lex_state = 361},
  [631] = {.lex_state = 361},
  [632] = {.lex_state = 361},
  [633] = {.lex_state = 361},
  [634] = {.lex_state = 361},
  [635] = {.lex_state = 361},
  [636] = {.lex_state = 361},
  [637] = {.lex_state = 361},
  [638] = {.lex_state = 361},
  [639] = {.lex_state = 361},
  [640] = {.lex_state = 361},
  [641] = {.lex_state = 11},
  [642] = {.lex_state = 361},
  [643] = {.lex_state = 361},
  [644] = {.lex_state = 361},
  [645] = {.lex_state = 361},
  [646] = {.lex_state = 11},
  [647] = {.lex_state = 11},
  [648] = {.lex_state = 14},
  [649] = {.lex_state = 18},
  [650] = {.lex_state = 18},
  [651] = {.lex_state = 18},
  [652] = {.lex_state = 18},
  [653] = {.lex_state = 18},
  [654] = {.lex_state = 18},
  [655] = {.lex_state = 18},
  [656] = {.lex_state = 18},
  [657] = {.lex_state = 18},
  [658] = {.lex_state = 11},
  [659] = {.lex_state = 18},
  [660] = {.lex_state = 18},
  [661] = {.lex_state = 18},
  [662] = {.lex_state = 18},
  [663] = {.lex_state = 18},
  [664] = {.lex_state = 18},
  [665] = {.lex_state = 5},
  [666] = {.lex_state = 18},
  [667] = {.lex_state = 18},
  [668] = {.lex_state = 5},
  [669] = {.lex_state = 18},
  [670] = {.lex_state = 5},
  [671] = {.lex_state = 5},
  [672] = {.lex_state = 18},
  [673] = {.lex_state = 5},
  [674] = {.lex_state = 18},
  [675] = {.lex_state = 18},
  [676] = {.lex_state = 18},
  [677] = {.lex_state = 5},
  [678] = {.lex_state = 18},
  [679] = {.lex_state = 18},
  [680] = {.lex_state = 5},
  [681] = {.lex_state = 18},
  [682] = {.lex_state = 5},
  [683] = {.lex_state = 18},
  [684] = {.lex_state = 18},
  [685] = {.lex_state = 18},
  [686] = {.lex_state = 18},
  [687] = {.lex_state = 18},
  [688] = {.lex_state = 5},
  [689] = {.lex_state = 18},
  [690] = {.lex_state = 5},
  [691] = {.lex_state = 5},
  [692] = {.lex_state = 18},
  [693] = {.lex_state = 5},
  [694] = {.lex_state = 5},
  [695] = {.lex_state = 18},
  [696] = {.lex_state = 18},
  [697] = {.lex_state = 18},
  [698] = {.lex_state = 18},
  [699] = {.lex_state = 18},
  [700] = {.lex_state = 18},
  [701] = {.lex_state = 18},
  [702] = {.lex_state = 5},
  [703] = {.lex_state = 18},
  [704] = {.lex_state = 18},
  [705] = {.lex_state = 18},
  [706] = {.lex_state = 18},
  [707] = {.lex_state = 18},
  [708] = {.lex_state = 5},
  [709] = {.lex_state = 18},
  [710] = {.lex_state = 18},
  [711] = {.lex_state = 18},
  [712] = {.lex_state = 18},
  [713] = {.lex_state = 18},
  [714] = {.lex_state = 18},
  [715] = {.lex_state = 18},
  [716] = {.lex_state = 18},
  [717] = {.lex_state = 18},
  [718] = {.lex_state = 18},
  [719] = {.lex_state = 18},
  [720] = {.lex_state = 18},
  [721] = {.lex_state = 18},
  [722] = {.lex_state = 18},
  [723] = {.lex_state = 18},
  [724] = {.lex_state = 18},
  [725] = {.lex_state = 18},
  [726] = {.lex_state = 18},
  [727] = {.lex_state = 18},
  [728] = {.lex_state = 18},
  [729] = {.lex_state = 18},
  [730] = {.lex_state = 18},
  [731] = {.lex_state = 18},
  [732] = {.lex_state = 18},
  [733] = {.lex_state = 5},
  [734] = {.lex_state = 18},
  [735] = {.lex_state = 18},
  [736] = {.lex_state = 18},
  [737] = {.lex_state = 18},
  [738] = {.lex_state = 18},
  [739] = {.lex_state = 18},
  [740] = {.lex_state = 18},
  [741] = {.lex_state = 18},
  [742] = {.lex_state = 18},
  [743] = {.lex_state = 18},
  [744] = {.lex_state = 18},
  [745] = {.lex_state = 18},
  [746] = {.lex_state = 18},
  [747] = {.lex_state = 18},
  [748] = {.lex_state = 18},
  [749] = {.lex_state = 18},
  [750] = {.lex_state = 5},
  [751] = {.lex_state = 18},
  [752] = {.lex_state = 18},
  [753] = {.lex_state = 5},
  [754] = {.lex_state = 5},
  [755] = {.lex_state = 18},
  [756] = {.lex_state = 18},
  [757] = {.lex_state = 5},
  [758] = {.lex_state = 18},
  [759] = {.lex_state = 18},
  [760] = {.lex_state = 18},
  [761] = {.lex_state = 18},
  [762] = {.lex_state = 18},
  [763] = {.lex_state = 18},
  [764] = {.lex_state = 18},
  [765] = {.lex_state = 18},
  [766] = {.lex_state = 5},
  [767] = {.lex_state = 18},
  [768] = {.lex_state = 18},
  [769] = {.lex_state = 18},
  [770] = {.lex_state = 18},
  [771] = {.lex_state = 18},
  [772] = {.lex_state = 5},
  [773] = {.lex_state = 18},
  [774] = {.lex_state = 18},
  [775] = {.lex_state = 18},
  [776] = {.lex_state = 18},
  [777] = {.lex_state = 18},
  [778] = {.lex_state = 18},
  [779] = {.lex_state = 18},
  [780] = {.lex_state = 18},
  [781] = {.lex_state = 18},
  [782] = {.lex_state = 18},
  [783] = {.lex_state = 18},
  [784] = {.lex_state = 18},
  [785] = {.lex_state = 18},
  [786] = {.lex_state = 18},
  [787] = {.lex_state = 18},
  [788] = {.lex_state = 18},
  [789] = {.lex_state = 18},
  [790] = {.lex_state = 18},
  [791] = {.lex_state = 18},
  [792] = {.lex_state = 5},
  [793] = {.lex_state = 5},
  [794] = {.lex_state = 18},
  [795] = {.lex_state = 5},
  [796] = {.lex_state = 18},
  [797] = {.lex_state = 18},
  [798] = {.lex_state = 18},
  [799] = {.lex_state = 5},
  [800] = {.lex_state = 5},
  [801] = {.lex_state = 18},
  [802] = {.lex_state = 5},
  [803] = {.lex_state = 5},
  [804] = {.lex_state = 5},
  [805] = {.lex_state = 5},
  [806] = {.lex_state = 5},
  [807] = {.lex_state = 5},
  [808] = {.lex_state = 5},
  [809] = {.lex_state = 18},
  [810] = {.lex_state = 5},
  [811] = {.lex_state = 5},
  [812] = {.lex_state = 5},
  [813] = {.lex_state = 5},
  [814] = {.lex_state = 18},
  [815] = {.lex_state = 5},
  [816] = {.lex_state = 18},
  [817] = {.lex_state = 5},
  [818] = {.lex_state = 5},
  [819] = {.lex_state = 18},
  [820] = {.lex_state = 18},
  [821] = {.lex_state = 18},
  [822] = {.lex_state = 18},
  [823] = {.lex_state = 18},
  [824] = {.lex_state = 18},
  [825] = {.lex_state = 5},
  [826] = {.lex_state = 18},
  [827] = {.lex_state = 5},
  [828] = {.lex_state = 5},
  [829] = {.lex_state = 5},
  [830] = {.lex_state = 18},
  [831] = {.lex_state = 5},
  [832] = {.lex_state = 5},
  [833] = {.lex_state = 5},
  [834] = {.lex_state = 5},
  [835] = {.lex_state = 5},
  [836] = {.lex_state = 18},
  [837] = {.lex_state = 5},
  [838] = {.lex_state = 5},
  [839] = {.lex_state = 18},
  [840] = {.lex_state = 5},
  [841] = {.lex_state = 5},
  [842] = {.lex_state = 5},
  [843] = {.lex_state = 5},
  [844] = {.lex_state = 5},
  [845] = {.lex_state = 5},
  [846] = {.lex_state = 5},
  [847] = {.lex_state = 18},
  [848] = {.lex_state = 18},
  [849] = {.lex_state = 5},
  [850] = {.lex_state = 5},
  [851] = {.lex_state = 5},
  [852] = {.lex_state = 18},
  [853] = {.lex_state = 18},
  [854] = {.lex_state = 5},
  [855] = {.lex_state = 18},
  [856] = {.lex_state = 18},
  [857] = {.lex_state = 18},
  [858] = {.lex_state = 18},
  [859] = {.lex_state = 5},
  [860] = {.lex_state = 5},
  [861] = {.lex_state = 5},
  [862] = {.lex_state = 5},
  [863] = {.lex_state = 5},
  [864] = {.lex_state = 5},
  [865] = {.lex_state = 5},
  [866] = {.lex_state = 5},
  [867] = {.lex_state = 5},
  [868] = {.lex_state = 5},
  [869] = {.lex_state = 5},
  [870] = {.lex_state = 5},
  [871] = {.lex_state = 18},
  [872] = {.lex_state = 18},
  [873] = {.lex_state = 18},
  [874] = {.lex_state = 5},
  [875] = {.lex_state = 5},
  [876] = {.lex_state = 5},
  [877] = {.lex_state = 5},
  [878] = {.lex_state = 5},
  [879] = {.lex_state = 5},
  [880] = {.lex_state = 5},
  [881] = {.lex_state = 5},
  [882] = {.lex_state = 5},
  [883] = {.lex_state = 5},
  [884] = {.lex_state = 5},
  [885] = {.lex_state = 5},
  [886] = {.lex_state = 5},
  [887] = {.lex_state = 5},
  [888] = {.lex_state = 5},
  [889] = {.lex_state = 5},
  [890] = {.lex_state = 18},
  [891] = {.lex_state = 5},
  [892] = {.lex_state = 5},
  [893] = {.lex_state = 18},
  [894] = {.lex_state = 5},
  [895] = {.lex_state = 5},
  [896] = {.lex_state = 5},
  [897] = {.lex_state = 5},
  [898] = {.lex_state = 5},
  [899] = {.lex_state = 5},
  [900] = {.lex_state = 5},
  [901] = {.lex_state = 5},
  [902] = {.lex_state = 5},
  [903] = {.lex_state = 5},
  [904] = {.lex_state = 5},
  [905] = {.lex_state = 5},
  [906] = {.lex_state = 5},
  [907] = {.lex_state = 18},
  [908] = {.lex_state = 18},
  [909] = {.lex_state = 18},
  [910] = {.lex_state = 18},
  [911] = {.lex_state = 18},
  [912] = {.lex_state = 18},
  [913] = {.lex_state = 18},
  [914] = {.lex_state = 18},
  [915] = {.lex_state = 18},
  [916] = {.lex_state = 18},
  [917] = {.lex_state = 18},
  [918] = {.lex_state = 18},
  [919] = {.lex_state = 18},
  [920] = {.lex_state = 18},
  [921] = {.lex_state = 18},
  [922] = {.lex_state = 18},
  [923] = {.lex_state = 18},
  [924] = {.lex_state = 18},
  [925] = {.lex_state = 18},
  [926] = {.lex_state = 18},
  [927] = {.lex_state = 18},
  [928] = {.lex_state = 18},
  [929] = {.lex_state = 18},
  [930] = {.lex_state = 18},
  [931] = {.lex_state = 18},
  [932] = {.lex_state = 18},
  [933] = {.lex_state = 18},
  [934] = {.lex_state = 18},
  [935] = {.lex_state = 18},
  [936] = {.lex_state = 18},
  [937] = {.lex_state = 5},
  [938] = {.lex_state = 5},
  [939] = {.lex_state = 5},
  [940] = {.lex_state = 5},
  [941] = {.lex_state = 5},
  [942] = {.lex_state = 18},
  [943] = {.lex_state = 5},
  [944] = {.lex_state = 18},
  [945] = {.lex_state = 18},
  [946] = {.lex_state = 18},
  [947] = {.lex_state = 18},
  [948] = {.lex_state = 18},
  [949] = {.lex_state = 18},
  [950] = {.lex_state = 18},
  [951] = {.lex_state = 18},
  [952] = {.lex_state = 18},
  [953] = {.lex_state = 18},
  [954] = {.lex_state = 18},
  [955] = {.lex_state = 18},
  [956] = {.lex_state = 18},
  [957] = {.lex_state = 18},
  [958] = {.lex_state = 18},
  [959] = {.lex_state = 18},
  [960] = {.lex_state = 18},
  [961] = {.lex_state = 18},
  [962] = {.lex_state = 18},
  [963] = {.lex_state = 18},
  [964] = {.lex_state = 18},
  [965] = {.lex_state = 4},
  [966] = {.lex_state = 4},
  [967] = {.lex_state = 3},
  [968] = {.lex_state = 3},
  [969] = {.lex_state = 3},
  [970] = {.lex_state = 3},
  [971] = {.lex_state = 4},
  [972] = {.lex_state = 4},
  [973] = {.lex_state = 4},
  [974] = {.lex_state = 3},
  [975] = {.lex_state = 3},
  [976] = {.lex_state = 4},
  [977] = {.lex_state = 3},
  [978] = {.lex_state = 4},
  [979] = {.lex_state = 4},
  [980] = {.lex_state = 3},
  [981] = {.lex_state = 3},
  [982] = {.lex_state = 4},
  [983] = {.lex_state = 4},
  [984] = {.lex_state = 4},
  [985] = {.lex_state = 4},
  [986] = {.lex_state = 3},
  [987] = {.lex_state = 4},
  [988] = {.lex_state = 3},
  [989] = {.lex_state = 3},
  [990] = {.lex_state = 3},
  [991] = {.lex_state = 3},
  [992] = {.lex_state = 3},
  [993] = {.lex_state = 4},
  [994] = {.lex_state = 3},
  [995] = {.lex_state = 3},
  [996] = {.lex_state = 3},
  [997] = {.lex_state = 3},
  [998] = {.lex_state = 4},
  [999] = {.lex_state = 18},
  [1000] = {.lex_state = 3},
  [1001] = {.lex_state = 18},
  [1002] = {.lex_state = 4},
  [1003] = {.lex_state = 4},
  [1004] = {.lex_state = 18},
  [1005] = {.lex_state = 18},
  [1006] = {.lex_state = 18},
  [1007] = {.lex_state = 18},
  [1008] = {.lex_state = 18},
  [1009] = {.lex_state = 18},
  [1010] = {.lex_state = 4},
  [1011] = {.lex_state = 3},
  [1012] = {.lex_state = 18},
  [1013] = {.lex_state = 4},
  [1014] = {.lex_state = 4},
  [1015] = {.lex_state = 3},
  [1016] = {.lex_state = 4},
  [1017] = {.lex_state = 18},
  [1018] = {.lex_state = 3},
  [1019] = {.lex_state = 18},
  [1020] = {.lex_state = 4},
  [1021] = {.lex_state = 4},
  [1022] = {.lex_state = 18},
  [1023] = {.lex_state = 18},
  [1024] = {.lex_state = 18},
  [1025] = {.lex_state = 361},
  [1026] = {.lex_state = 361},
  [1027] = {.lex_state = 4},
  [1028] = {.lex_state = 361},
  [1029] = {.lex_state = 361},
  [1030] = {.lex_state = 361},
  [1031] = {.lex_state = 361},
  [1032] = {.lex_state = 361},
  [1033] = {.lex_state = 361},
  [1034] = {.lex_state = 361},
  [1035] = {.lex_state = 18},
  [1036] = {.lex_state = 15},
  [1037] = {.lex_state = 18},
  [1038] = {.lex_state = 18},
  [1039] = {.lex_state = 3},
  [1040] = {.lex_state = 3},
  [1041] = {.lex_state = 361},
  [1042] = {.lex_state = 3},
  [1043] = {.lex_state = 3},
  [1044] = {.lex_state = 3},
  [1045] = {.lex_state = 3},
  [1046] = {.lex_state = 361},
  [1047] = {.lex_state = 3},
  [1048] = {.lex_state = 3},
  [1049] = {.lex_state = 18},
  [1050] = {.lex_state = 18},
  [1051] = {.lex_state = 3},
  [1052] = {.lex_state = 15},
  [1053] = {.lex_state = 3},
  [1054] = {.lex_state = 3},
  [1055] = {.lex_state = 4},
  [1056] = {.lex_state = 3},
  [1057] = {.lex_state = 18},
  [1058] = {.lex_state = 3},
  [1059] = {.lex_state = 3},
  [1060] = {.lex_state = 18},
  [1061] = {.lex_state = 3},
  [1062] = {.lex_state = 4},
  [1063] = {.lex_state = 5},
  [1064] = {.lex_state = 3},
  [1065] = {.lex_state = 3},
  [1066] = {.lex_state = 3},
  [1067] = {.lex_state = 18},
  [1068] = {.lex_state = 4},
  [1069] = {.lex_state = 3},
  [1070] = {.lex_state = 4},
  [1071] = {.lex_state = 5},
  [1072] = {.lex_state = 3},
  [1073] = {.lex_state = 4},
  [1074] = {.lex_state = 3},
  [1075] = {.lex_state = 3},
  [1076] = {.lex_state = 18},
  [1077] = {.lex_state = 4},
  [1078] = {.lex_state = 3},
  [1079] = {.lex_state = 4},
  [1080] = {.lex_state = 4},
  [1081] = {.lex_state = 4},
  [1082] = {.lex_state = 361},
  [1083] = {.lex_state = 3},
  [1084] = {.lex_state = 18},
  [1085] = {.lex_state = 3},
  [1086] = {.lex_state = 361},
  [1087] = {.lex_state = 3},
  [1088] = {.lex_state = 18},
  [1089] = {.lex_state = 3},
  [1090] = {.lex_state = 3},
  [1091] = {.lex_state = 3},
  [1092] = {.lex_state = 361},
  [1093] = {.lex_state = 18},
  [1094] = {.lex_state = 361},
  [1095] = {.lex_state = 3},
  [1096] = {.lex_state = 3},
  [1097] = {.lex_state = 3},
  [1098] = {.lex_state = 18},
  [1099] = {.lex_state = 6},
  [1100] = {.lex_state = 18},
  [1101] = {.lex_state = 18},
  [1102] = {.lex_state = 18},
  [1103] = {.lex_state = 3},
  [1104] = {.lex_state = 18},
  [1105] = {.lex_state = 18},
  [1106] = {.lex_state = 3},
  [1107] = {.lex_state = 18},
  [1108] = {.lex_state = 18},
  [1109] = {.lex_state = 3},
  [1110] = {.lex_state = 18},
  [1111] = {.lex_state = 7},
  [1112] = {.lex_state = 18},
  [1113] = {.lex_state = 18},
  [1114] = {.lex_state = 18},
  [1115] = {.lex_state = 18},
  [1116] = {.lex_state = 18},
  [1117] = {.lex_state = 18},
  [1118] = {.lex_state = 18},
  [1119] = {.lex_state = 18},
  [1120] = {.lex_state = 6},
  [1121] = {.lex_state = 18},
  [1122] = {.lex_state = 18},
  [1123] = {.lex_state = 18},
  [1124] = {.lex_state = 18},
  [1125] = {.lex_state = 18},
  [1126] = {.lex_state = 8},
  [1127] = {.lex_state = 18},
  [1128] = {.lex_state = 18},
  [1129] = {.lex_state = 18},
  [1130] = {.lex_state = 18},
  [1131] = {.lex_state = 18},
  [1132] = {.lex_state = 18},
  [1133] = {.lex_state = 18},
  [1134] = {.lex_state = 18},
  [1135] = {.lex_state = 18},
  [1136] = {.lex_state = 7},
  [1137] = {.lex_state = 18},
  [1138] = {.lex_state = 18},
  [1139] = {.lex_state = 18},
  [1140] = {.lex_state = 18},
  [1141] = {.lex_state = 8},
  [1142] = {.lex_state = 18},
  [1143] = {.lex_state = 18},
  [1144] = {.lex_state = 18},
  [1145] = {.lex_state = 18},
  [1146] = {.lex_state = 18},
  [1147] = {.lex_state = 18},
  [1148] = {.lex_state = 18},
  [1149] = {.lex_state = 18},
  [1150] = {.lex_state = 8},
  [1151] = {.lex_state = 6},
  [1152] = {.lex_state = 18},
  [1153] = {.lex_state = 18},
  [1154] = {.lex_state = 18},
  [1155] = {.lex_state = 18},
  [1156] = {.lex_state = 18},
  [1157] = {.lex_state = 18},
  [1158] = {.lex_state = 18},
  [1159] = {.lex_state = 18},
  [1160] = {.lex_state = 6},
  [1161] = {.lex_state = 18},
  [1162] = {.lex_state = 18},
  [1163] = {.lex_state = 8},
  [1164] = {.lex_state = 15},
  [1165] = {.lex_state = 18},
  [1166] = {.lex_state = 18},
  [1167] = {.lex_state = 18},
  [1168] = {.lex_state = 18},
  [1169] = {.lex_state = 18},
  [1170] = {.lex_state = 18},
  [1171] = {.lex_state = 18},
  [1172] = {.lex_state = 18},
  [1173] = {.lex_state = 18},
  [1174] = {.lex_state = 18},
  [1175] = {.lex_state = 18},
  [1176] = {.lex_state = 18},
  [1177] = {.lex_state = 18},
  [1178] = {.lex_state = 18},
  [1179] = {.lex_state = 18},
  [1180] = {.lex_state = 18},
  [1181] = {.lex_state = 361},
  [1182] = {.lex_state = 18},
  [1183] = {.lex_state = 6},
  [1184] = {.lex_state = 18},
  [1185] = {.lex_state = 18},
  [1186] = {.lex_state = 8},
  [1187] = {.lex_state = 15},
  [1188] = {.lex_state = 18},
  [1189] = {.lex_state = 361},
  [1190] = {.lex_state = 18},
  [1191] = {.lex_state = 18},
  [1192] = {.lex_state = 18},
  [1193] = {.lex_state = 18},
  [1194] = {.lex_state = 18},
  [1195] = {.lex_state = 18},
  [1196] = {.lex_state = 18},
  [1197] = {.lex_state = 18},
  [1198] = {.lex_state = 18},
  [1199] = {.lex_state = 18},
  [1200] = {.lex_state = 18},
  [1201] = {.lex_state = 18},
  [1202] = {.lex_state = 18},
  [1203] = {.lex_state = 361},
  [1204] = {.lex_state = 18},
  [1205] = {.lex_state = 3},
  [1206] = {.lex_state = 3},
  [1207] = {.lex_state = 361},
  [1208] = {.lex_state = 3},
  [1209] = {.lex_state = 18},
  [1210] = {.lex_state = 18},
  [1211] = {.lex_state = 18},
  [1212] = {.lex_state = 18},
  [1213] = {.lex_state = 361},
  [1214] = {.lex_state = 18},
  [1215] = {.lex_state = 361},
  [1216] = {.lex_state = 3},
  [1217] = {.lex_state = 3},
  [1218] = {.lex_state = 18},
  [1219] = {.lex_state = 18},
  [1220] = {.lex_state = 3},
  [1221] = {.lex_state = 18},
  [1222] = {.lex_state = 3},
  [1223] = {.lex_state = 3},
  [1224] = {.lex_state = 18},
  [1225] = {.lex_state = 361},
  [1226] = {.lex_state = 361},
  [1227] = {.lex_state = 361},
  [1228] = {.lex_state = 361},
  [1229] = {.lex_state = 361},
  [1230] = {.lex_state = 361},
  [1231] = {.lex_state = 18},
  [1232] = {.lex_state = 361},
  [1233] = {.lex_state = 18},
  [1234] = {.lex_state = 361},
  [1235] = {.lex_state = 18},
  [1236] = {.lex_state = 3},
  [1237] = {.lex_state = 18},
  [1238] = {.lex_state = 18},
  [1239] = {.lex_state = 18},
  [1240] = {.lex_state = 361},
  [1241] = {.lex_state = 361},
  [1242] = {.lex_state = 3},
  [1243] = {.lex_state = 18},
  [1244] = {.lex_state = 361},
  [1245] = {.lex_state = 3},
  [1246] = {.lex_state = 18},
  [1247] = {.lex_state = 3},
  [1248] = {.lex_state = 18},
  [1249] = {.lex_state = 18},
  [1250] = {.lex_state = 3},
  [1251] = {.lex_state = 18},
  [1252] = {.lex_state = 18},
  [1253] = {.lex_state = 361},
  [1254] = {.lex_state = 3},
  [1255] = {.lex_state = 361},
  [1256] = {.lex_state = 361},
  [1257] = {.lex_state = 361},
  [1258] = {.lex_state = 3},
  [1259] = {.lex_state = 361},
  [1260] = {.lex_state = 361},
  [1261] = {.lex_state = 361},
  [1262] = {.lex_state = 361},
  [1263] = {.lex_state = 3},
  [1264] = {.lex_state = 18},
  [1265] = {.lex_state = 3},
  [1266] = {.lex_state = 361},
  [1267] = {.lex_state = 18},
  [1268] = {.lex_state = 361},
  [1269] = {.lex_state = 3},
  [1270] = {.lex_state = 361},
  [1271] = {.lex_state = 18},
  [1272] = {.lex_state = 18},
  [1273] = {.lex_state = 361},
  [1274] = {.lex_state = 18},
  [1275] = {.lex_state = 18},
  [1276] = {.lex_state = 361},
  [1277] = {.lex_state = 3},
  [1278] = {.lex_state = 18},
  [1279] = {.lex_state = 18},
  [1280] = {.lex_state = 18},
  [1281] = {.lex_state = 18},
  [1282] = {.lex_state = 361},
  [1283] = {.lex_state = 3},
  [1284] = {.lex_state = 3},
  [1285] = {.lex_state = 18},
  [1286] = {.lex_state = 3},
  [1287] = {.lex_state = 18},
  [1288] = {.lex_state = 18},
  [1289] = {.lex_state = 361},
  [1290] = {.lex_state = 3},
  [1291] = {.lex_state = 361},
  [1292] = {.lex_state = 361},
  [1293] = {.lex_state = 18},
  [1294] = {.lex_state = 361},
  [1295] = {.lex_state = 361},
  [1296] = {.lex_state = 3},
  [1297] = {.lex_state = 3},
  [1298] = {.lex_state = 361},
  [1299] = {.lex_state = 3},
  [1300] = {.lex_state = 361},
  [1301] = {.lex_state = 18},
  [1302] = {.lex_state = 361},
  [1303] = {.lex_state = 3},
  [1304] = {.lex_state = 18},
  [1305] = {.lex_state = 18},
  [1306] = {.lex_state = 361},
  [1307] = {.lex_state = 3},
  [1308] = {.lex_state = 3},
  [1309] = {.lex_state = 3},
  [1310] = {.lex_state = 18},
  [1311] = {.lex_state = 18},
  [1312] = {.lex_state = 18},
  [1313] = {.lex_state = 18},
  [1314] = {.lex_state = 18},
  [1315] = {.lex_state = 18},
  [1316] = {.lex_state = 18},
  [1317] = {.lex_state = 361},
  [1318] = {.lex_state = 3},
  [1319] = {.lex_state = 18},
  [1320] = {.lex_state = 18},
  [1321] = {.lex_state = 18},
  [1322] = {.lex_state = 18},
  [1323] = {.lex_state = 18},
  [1324] = {.lex_state = 361},
  [1325] = {.lex_state = 361},
  [1326] = {.lex_state = 18},
  [1327] = {.lex_state = 18},
  [1328] = {.lex_state = 361},
  [1329] = {.lex_state = 361},
  [1330] = {.lex_state = 18},
  [1331] = {.lex_state = 3},
  [1332] = {.lex_state = 18},
  [1333] = {.lex_state = 361},
  [1334] = {.lex_state = 18},
  [1335] = {.lex_state = 361},
  [1336] = {.lex_state = 3},
  [1337] = {.lex_state = 3},
  [1338] = {.lex_state = 361},
  [1339] = {.lex_state = 3},
  [1340] = {.lex_state = 18},
  [1341] = {.lex_state = 361},
  [1342] = {.lex_state = 18},
  [1343] = {.lex_state = 3},
  [1344] = {.lex_state = 361},
  [1345] = {.lex_state = 361},
  [1346] = {.lex_state = 18},
  [1347] = {.lex_state = 18},
  [1348] = {.lex_state = 361},
  [1349] = {.lex_state = 18},
  [1350] = {.lex_state = 361},
  [1351] = {.lex_state = 18},
  [1352] = {.lex_state = 361},
  [1353] = {.lex_state = 361},
  [1354] = {.lex_state = 18},
  [1355] = {.lex_state = 361},
  [1356] = {.lex_state = 361},
  [1357] = {.lex_state = 361},
  [1358] = {.lex_state = 361},
  [1359] = {.lex_state = 361},
  [1360] = {.lex_state = 3},
  [1361] = {.lex_state = 18},
  [1362] = {.lex_state = 18},
  [1363] = {.lex_state = 3},
  [1364] = {.lex_state = 3},
  [1365] = {.lex_state = 361},
  [1366] = {.lex_state = 3},
  [1367] = {.lex_state = 3},
  [1368] = {.lex_state = 3},
  [1369] = {.lex_state = 3},
  [1370] = {.lex_state = 3},
  [1371] = {.lex_state = 3},
  [1372] = {.lex_state = 361},
  [1373] = {.lex_state = 361},
  [1374] = {.lex_state = 361},
  [1375] = {.lex_state = 3},
  [1376] = {.lex_state = 18},
  [1377] = {.lex_state = 3},
  [1378] = {.lex_state = 3},
  [1379] = {.lex_state = 3},
  [1380] = {.lex_state = 361},
  [1381] = {.lex_state = 3},
  [1382] = {.lex_state = 3},
  [1383] = {.lex_state = 3},
  [1384] = {.lex_state = 3},
  [1385] = {.lex_state = 3},
  [1386] = {.lex_state = 3},
  [1387] = {.lex_state = 3},
  [1388] = {.lex_state = 3},
  [1389] = {.lex_state = 3},
  [1390] = {.lex_state = 3},
  [1391] = {.lex_state = 3},
  [1392] = {.lex_state = 3},
  [1393] = {.lex_state = 361},
  [1394] = {.lex_state = 3},
  [1395] = {.lex_state = 18},
  [1396] = {.lex_state = 18},
  [1397] = {.lex_state = 361},
  [1398] = {.lex_state = 361},
  [1399] = {.lex_state = 361},
  [1400] = {.lex_state = 361},
  [1401] = {.lex_state = 18},
  [1402] = {.lex_state = 3},
  [1403] = {.lex_state = 3},
  [1404] = {.lex_state = 3},
  [1405] = {.lex_state = 3},
  [1406] = {.lex_state = 3},
  [1407] = {.lex_state = 3},
  [1408] = {.lex_state = 3},
  [1409] = {.lex_state = 3},
  [1410] = {.lex_state = 3},
  [1411] = {.lex_state = 18},
  [1412] = {.lex_state = 361},
  [1413] = {.lex_state = 3},
  [1414] = {.lex_state = 3},
  [1415] = {.lex_state = 3},
  [1416] = {.lex_state = 3},
  [1417] = {.lex_state = 3},
  [1418] = {.lex_state = 3},
  [1419] = {.lex_state = 3},
  [1420] = {.lex_state = 3},
  [1421] = {.lex_state = 361},
  [1422] = {.lex_state = 3},
  [1423] = {.lex_state = 361},
  [1424] = {.lex_state = 3},
  [1425] = {.lex_state = 361},
  [1426] = {.lex_state = 3},
  [1427] = {.lex_state = 3},
  [1428] = {.lex_state = 361},
  [1429] = {.lex_state = 361},
  [1430] = {.lex_state = 361},
  [1431] = {.lex_state = 361},
  [1432] = {.lex_state = 3},
  [1433] = {.lex_state = 3},
  [1434] = {.lex_state = 3},
  [1435] = {.lex_state = 361},
  [1436] = {.lex_state = 3},
  [1437] = {.lex_state = 361},
  [1438] = {.lex_state = 3},
  [1439] = {.lex_state = 361},
  [1440] = {.lex_state = 3},
  [1441] = {.lex_state = 361},
  [1442] = {.lex_state = 361},
  [1443] = {.lex_state = 3},
  [1444] = {.lex_state = 361},
  [1445] = {.lex_state = 3},
  [1446] = {.lex_state = 361},
  [1447] = {.lex_state = 3},
  [1448] = {.lex_state = 3},
  [1449] = {.lex_state = 3},
  [1450] = {.lex_state = 3},
  [1451] = {.lex_state = 361},
  [1452] = {.lex_state = 3},
  [1453] = {.lex_state = 3},
  [1454] = {.lex_state = 3},
  [1455] = {.lex_state = 3},
  [1456] = {.lex_state = 361},
  [1457] = {.lex_state = 361},
  [1458] = {.lex_state = 361},
  [1459] = {.lex_state = 3},
  [1460] = {.lex_state = 361},
  [1461] = {.lex_state = 361},
  [1462] = {.lex_state = 3},
  [1463] = {.lex_state = 3},
  [1464] = {.lex_state = 361},
  [1465] = {.lex_state = 361},
  [1466] = {.lex_state = 3},
  [1467] = {.lex_state = 361},
  [1468] = {.lex_state = 3},
  [1469] = {.lex_state = 3},
  [1470] = {.lex_state = 3},
  [1471] = {.lex_state = 361},
  [1472] = {.lex_state = 361},
  [1473] = {.lex_state = 3},
  [1474] = {.lex_state = 3},
  [1475] = {.lex_state = 3},
  [1476] = {.lex_state = 3},
  [1477] = {.lex_state = 3},
  [1478] = {.lex_state = 361},
  [1479] = {.lex_state = 3},
  [1480] = {.lex_state = 361},
  [1481] = {.lex_state = 361},
  [1482] = {.lex_state = 361},
  [1483] = {.lex_state = 361},
  [1484] = {.lex_state = 361},
  [1485] = {.lex_state = 361},
  [1486] = {.lex_state = 361},
  [1487] = {.lex_state = 361},
  [1488] = {.lex_state = 361},
  [1489] = {.lex_state = 9},
  [1490] = {.lex_state = 361},
  [1491] = {.lex_state = 361},
  [1492] = {.lex_state = 361},
  [1493] = {.lex_state = 361},
  [1494] = {.lex_state = 361},
  [1495] = {.lex_state = 361},
  [1496] = {.lex_state = 13},
  [1497] = {.lex_state = 18},
  [1498] = {.lex_state = 361},
  [1499] = {.lex_state = 361},
  [1500] = {.lex_state = 361},
  [1501] = {.lex_state = 361},
  [1502] = {.lex_state = 361},
  [1503] = {.lex_state = 361},
  [1504] = {.lex_state = 361},
  [1505] = {.lex_state = 361},
  [1506] = {.lex_state = 9},
  [1507] = {.lex_state = 361},
  [1508] = {.lex_state = 361},
  [1509] = {.lex_state = 361},
  [1510] = {.lex_state = 361},
  [1511] = {.lex_state = 361},
  [1512] = {.lex_state = 361},
  [1513] = {.lex_state = 361},
  [1514] = {.lex_state = 361},
  [1515] = {.lex_state = 361},
  [1516] = {.lex_state = 361},
  [1517] = {.lex_state = 361},
  [1518] = {.lex_state = 361},
  [1519] = {.lex_state = 361},
  [1520] = {.lex_state = 361},
  [1521] = {.lex_state = 361},
  [1522] = {.lex_state = 361},
  [1523] = {.lex_state = 361},
  [1524] = {.lex_state = 361},
  [1525] = {.lex_state = 361},
  [1526] = {.lex_state = 361},
  [1527] = {.lex_state = 361},
  [1528] = {.lex_state = 361},
  [1529] = {.lex_state = 361},
  [1530] = {.lex_state = 13},
  [1531] = {.lex_state = 361},
  [1532] = {.lex_state = 361},
  [1533] = {.lex_state = 361},
  [1534] = {.lex_state = 361},
  [1535] = {.lex_state = 9},
  [1536] = {.lex_state = 361},
  [1537] = {.lex_state = 361},
  [1538] = {.lex_state = 361},
  [1539] = {.lex_state = 361},
  [1540] = {.lex_state = 361},
  [1541] = {.lex_state = 361},
  [1542] = {.lex_state = 361},
  [1543] = {.lex_state = 361},
  [1544] = {.lex_state = 361},
  [1545] = {.lex_state = 361},
  [1546] = {.lex_state = 361},
  [1547] = {.lex_state = 361},
  [1548] = {.lex_state = 361},
  [1549] = {.lex_state = 361},
  [1550] = {.lex_state = 361},
  [1551] = {.lex_state = 361},
  [1552] = {.lex_state = 361},
  [1553] = {.lex_state = 361},
  [1554] = {.lex_state = 361},
  [1555] = {.lex_state = 361},
  [1556] = {.lex_state = 361},
  [1557] = {.lex_state = 361},
  [1558] = {.lex_state = 361},
  [1559] = {.lex_state = 361},
  [1560] = {.lex_state = 361},
  [1561] = {.lex_state = 361},
  [1562] = {.lex_state = 361},
  [1563] = {.lex_state = 361},
  [1564] = {.lex_state = 361},
  [1565] = {.lex_state = 361},
  [1566] = {.lex_state = 361},
  [1567] = {.lex_state = 361},
  [1568] = {.lex_state = 361},
  [1569] = {.lex_state = 361},
  [1570] = {.lex_state = 13},
  [1571] = {.lex_state = 361},
  [1572] = {.lex_state = 361},
  [1573] = {.lex_state = 361},
  [1574] = {.lex_state = 361},
  [1575] = {.lex_state = 361},
  [1576] = {.lex_state = 361},
  [1577] = {.lex_state = 361},
  [1578] = {.lex_state = 361},
  [1579] = {.lex_state = 361},
  [1580] = {.lex_state = 361},
  [1581] = {.lex_state = 361},
  [1582] = {.lex_state = 361},
  [1583] = {.lex_state = 361},
  [1584] = {.lex_state = 361},
  [1585] = {.lex_state = 361},
  [1586] = {.lex_state = 361},
  [1587] = {.lex_state = 361},
  [1588] = {.lex_state = 361},
  [1589] = {.lex_state = 361},
  [1590] = {.lex_state = 361},
  [1591] = {.lex_state = 361},
  [1592] = {.lex_state = 361},
  [1593] = {.lex_state = 361},
  [1594] = {.lex_state = 361},
  [1595] = {.lex_state = 361},
  [1596] = {.lex_state = 361},
  [1597] = {.lex_state = 361},
  [1598] = {.lex_state = 361},
  [1599] = {.lex_state = 361},
  [1600] = {.lex_state = 361},
  [1601] = {.lex_state = 361},
  [1602] = {.lex_state = 361},
  [1603] = {.lex_state = 361},
  [1604] = {.lex_state = 361},
  [1605] = {.lex_state = 361},
  [1606] = {.lex_state = 361},
  [1607] = {.lex_state = 361},
  [1608] = {.lex_state = 361},
  [1609] = {.lex_state = 361},
  [1610] = {.lex_state = 361},
  [1611] = {.lex_state = 361},
  [1612] = {.lex_state = 361},
  [1613] = {.lex_state = 361},
  [1614] = {.lex_state = 361},
  [1615] = {.lex_state = 361},
  [1616] = {.lex_state = 361},
  [1617] = {.lex_state = 361},
  [1618] = {.lex_state = 361},
  [1619] = {.lex_state = 361},
  [1620] = {.lex_state = 361},
  [1621] = {.lex_state = 361},
  [1622] = {.lex_state = 361},
  [1623] = {.lex_state = 9},
  [1624] = {.lex_state = 361},
  [1625] = {.lex_state = 361},
  [1626] = {.lex_state = 361},
  [1627] = {.lex_state = 361},
  [1628] = {.lex_state = 361},
  [1629] = {.lex_state = 361},
  [1630] = {.lex_state = 361},
  [1631] = {.lex_state = 13},
  [1632] = {.lex_state = 361},
  [1633] = {.lex_state = 361},
  [1634] = {.lex_state = 361},
  [1635] = {.lex_state = 361},
  [1636] = {.lex_state = 361},
  [1637] = {.lex_state = 361},
  [1638] = {.lex_state = 361},
  [1639] = {.lex_state = 361},
  [1640] = {.lex_state = 361},
  [1641] = {.lex_state = 361},
  [1642] = {.lex_state = 361},
  [1643] = {.lex_state = 361},
  [1644] = {.lex_state = 361},
  [1645] = {.lex_state = 361},
  [1646] = {.lex_state = 361},
  [1647] = {.lex_state = 361},
  [1648] = {.lex_state = 361},
  [1649] = {.lex_state = 361},
  [1650] = {.lex_state = 361},
  [1651] = {.lex_state = 361},
  [1652] = {.lex_state = 361},
  [1653] = {.lex_state = 361},
  [1654] = {.lex_state = 361},
  [1655] = {.lex_state = 361},
  [1656] = {.lex_state = 361},
  [1657] = {.lex_state = 361},
  [1658] = {.lex_state = 361},
  [1659] = {.lex_state = 361},
  [1660] = {.lex_state = 361},
  [1661] = {.lex_state = 361},
  [1662] = {.lex_state = 361},
  [1663] = {.lex_state = 361},
  [1664] = {.lex_state = 361},
  [1665] = {.lex_state = 361},
  [1666] = {.lex_state = 361},
  [1667] = {.lex_state = 361},
  [1668] = {.lex_state = 361},
  [1669] = {.lex_state = 361},
  [1670] = {.lex_state = 361},
  [1671] = {.lex_state = 361},
  [1672] = {.lex_state = 361},
  [1673] = {.lex_state = 361},
  [1674] = {.lex_state = 361},
  [1675] = {.lex_state = 361},
  [1676] = {.lex_state = 361},
  [1677] = {.lex_state = 361},
  [1678] = {.lex_state = 361},
  [1679] = {.lex_state = 361},
  [1680] = {.lex_state = 361},
  [1681] = {.lex_state = 361},
  [1682] = {.lex_state = 361},
  [1683] = {.lex_state = 438},
  [1684] = {.lex_state = 361},
  [1685] = {.lex_state = 361},
  [1686] = {.lex_state = 361},
  [1687] = {.lex_state = 361},
  [1688] = {.lex_state = 18},
  [1689] = {.lex_state = 361},
  [1690] = {.lex_state = 361},
  [1691] = {.lex_state = 361},
  [1692] = {.lex_state = 361},
  [1693] = {.lex_state = 361},
  [1694] = {.lex_state = 361},
  [1695] = {.lex_state = 361},
  [1696] = {.lex_state = 361},
  [1697] = {.lex_state = 361},
  [1698] = {.lex_state = 361},
  [1699] = {.lex_state = 361},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym__package] = ACTIONS(1),
    [sym__dollar] = ACTIONS(1),
    [anon_sym__abstract] = ACTIONS(1),
    [anon_sym__private] = ACTIONS(1),
    [anon_sym__iter] = ACTIONS(1),
    [anon_sym__method] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym__optional] = ACTIONS(1),
    [anon_sym__gather] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_CARET_LT_LT] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym__endmethod] = ACTIONS(1),
    [anon_sym__proc] = ACTIONS(1),
    [anon_sym__endproc] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym__block] = ACTIONS(1),
    [anon_sym__endblock] = ACTIONS(1),
    [anon_sym__and_LT_LT] = ACTIONS(1),
    [anon_sym__andif_LT_LT] = ACTIONS(1),
    [anon_sym__or_LT_LT] = ACTIONS(1),
    [anon_sym__orif_LT_LT] = ACTIONS(1),
    [anon_sym__xor_LT_LT] = ACTIONS(1),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1),
    [anon_sym_STAR_LT_LT] = ACTIONS(1),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1),
    [anon_sym__mod_LT_LT] = ACTIONS(1),
    [anon_sym__div_LT_LT] = ACTIONS(1),
    [anon_sym_DASH_LT_LT] = ACTIONS(1),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1),
    [anon_sym__if] = ACTIONS(1),
    [anon_sym__then] = ACTIONS(1),
    [anon_sym__endif] = ACTIONS(1),
    [anon_sym__elif] = ACTIONS(1),
    [anon_sym__else] = ACTIONS(1),
    [anon_sym__loop] = ACTIONS(1),
    [anon_sym__endloop] = ACTIONS(1),
    [anon_sym__finally] = ACTIONS(1),
    [anon_sym__with] = ACTIONS(1),
    [anon_sym__handling] = ACTIONS(1),
    [anon_sym__default] = ACTIONS(1),
    [anon_sym__catch] = ACTIONS(1),
    [anon_sym__endcatch] = ACTIONS(1),
    [anon_sym__throw] = ACTIONS(1),
    [anon_sym__primitive] = ACTIONS(1),
    [anon_sym__for] = ACTIONS(1),
    [anon_sym__over] = ACTIONS(1),
    [anon_sym__while] = ACTIONS(1),
    [anon_sym__try] = ACTIONS(1),
    [anon_sym__when] = ACTIONS(1),
    [anon_sym__endtry] = ACTIONS(1),
    [anon_sym__loopbody] = ACTIONS(1),
    [anon_sym__leave] = ACTIONS(1),
    [anon_sym__continue] = ACTIONS(1),
    [anon_sym__protect] = ACTIONS(1),
    [anon_sym__locking] = ACTIONS(1),
    [anon_sym__protection] = ACTIONS(1),
    [anon_sym__endprotect] = ACTIONS(1),
    [anon_sym__lock] = ACTIONS(1),
    [anon_sym__endlock] = ACTIONS(1),
    [anon_sym__pragma] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [aux_sym_slot_accessor_token1] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_maybe] = ACTIONS(1),
    [sym_unset] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_self] = ACTIONS(1),
    [sym_clone] = ACTIONS(1),
    [sym_thisthread] = ACTIONS(1),
    [anon_sym__class] = ACTIONS(1),
    [aux_sym_class_token1] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym__global] = ACTIONS(1),
    [anon_sym__local] = ACTIONS(1),
    [anon_sym__constant] = ACTIONS(1),
    [anon_sym__dynamic] = ACTIONS(1),
    [anon_sym__import] = ACTIONS(1),
    [anon_sym__return] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym__scatter] = ACTIONS(1),
    [anon_sym__allresults] = ACTIONS(1),
    [sym_label] = ACTIONS(1),
    [sym_dynamic_variable] = ACTIONS(1),
    [sym_global_variable] = ACTIONS(1),
    [sym_global_reference] = ACTIONS(1),
    [sym_number] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym__is] = ACTIONS(1),
    [anon_sym__isnt] = ACTIONS(1),
    [anon_sym__cf] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE_EQ] = ACTIONS(1),
    [anon_sym_LT_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym__and] = ACTIONS(1),
    [anon_sym__or] = ACTIONS(1),
    [anon_sym__xor] = ACTIONS(1),
    [anon_sym__andif] = ACTIONS(1),
    [anon_sym__orif] = ACTIONS(1),
    [anon_sym__xorif] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym__mod] = ACTIONS(1),
    [anon_sym__div] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym__not] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [sym_symbol] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_documentation_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1664),
    [sym_fragment] = STATE(19),
    [sym_package] = STATE(19),
    [sym__method_declaration] = STATE(1297),
    [sym_method] = STATE(1297),
    [sym_procedure] = STATE(938),
    [sym_block] = STATE(938),
    [sym_assignment] = STATE(938),
    [sym_if] = STATE(938),
    [sym_loop] = STATE(938),
    [sym_handling] = STATE(938),
    [sym_catch] = STATE(938),
    [sym_throw] = STATE(938),
    [sym_primitive] = STATE(938),
    [sym_iterator] = STATE(938),
    [sym_while] = STATE(938),
    [sym_try] = STATE(938),
    [sym_loopbody] = STATE(938),
    [sym_leave] = STATE(938),
    [sym_continue] = STATE(938),
    [sym_protect] = STATE(938),
    [sym_lock] = STATE(938),
    [sym_pragma] = STATE(211),
    [sym__literal] = STATE(938),
    [sym_string_literal] = STATE(938),
    [sym_call] = STATE(938),
    [sym_invoke] = STATE(938),
    [sym_indexed_access] = STATE(938),
    [sym_slot_accessor] = STATE(938),
    [sym_class] = STATE(938),
    [sym__top_level_statement] = STATE(1297),
    [sym__expression] = STATE(938),
    [sym__global_assignment] = STATE(1297),
    [sym_return] = STATE(938),
    [sym__definition] = STATE(1297),
    [sym_gather] = STATE(938),
    [sym_scatter] = STATE(938),
    [sym_allresults] = STATE(938),
    [sym_parenthesized_expression] = STATE(938),
    [sym__variable] = STATE(938),
    [sym_variable] = STATE(938),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(938),
    [sym_relational_operator] = STATE(938),
    [sym_logical_operator] = STATE(938),
    [sym_arithmetic_operator] = STATE(938),
    [sym_unary_operator] = STATE(938),
    [sym_character_literal] = STATE(938),
    [aux_sym_source_file_repeat1] = STATE(19),
    [aux_sym_fragment_repeat1] = STATE(112),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym__package] = ACTIONS(7),
    [sym__dollar] = ACTIONS(9),
    [anon_sym__abstract] = ACTIONS(11),
    [anon_sym__private] = ACTIONS(13),
    [anon_sym__iter] = ACTIONS(15),
    [anon_sym__method] = ACTIONS(17),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym__pragma] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(67),
    [sym_false] = ACTIONS(67),
    [sym_maybe] = ACTIONS(67),
    [sym_unset] = ACTIONS(67),
    [sym_super] = ACTIONS(67),
    [sym_self] = ACTIONS(67),
    [sym_clone] = ACTIONS(67),
    [sym_thisthread] = ACTIONS(67),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(71),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(67),
    [sym_global_variable] = ACTIONS(67),
    [sym_global_reference] = ACTIONS(67),
    [sym_number] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(67),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [2] = {
    [sym_procedure] = STATE(465),
    [sym_block] = STATE(465),
    [sym_assignment] = STATE(465),
    [sym_if] = STATE(465),
    [sym_loop] = STATE(465),
    [sym_handling] = STATE(465),
    [sym_catch] = STATE(465),
    [sym_throw] = STATE(465),
    [sym_primitive] = STATE(465),
    [sym_iterator] = STATE(465),
    [sym_while] = STATE(465),
    [sym_try] = STATE(465),
    [sym_loopbody] = STATE(465),
    [sym_leave] = STATE(465),
    [sym_continue] = STATE(465),
    [sym_protect] = STATE(465),
    [sym_lock] = STATE(465),
    [sym__literal] = STATE(465),
    [sym_string_literal] = STATE(465),
    [sym_call] = STATE(465),
    [sym_invoke] = STATE(465),
    [sym_indexed_access] = STATE(465),
    [sym_slot_accessor] = STATE(465),
    [sym__expression_list] = STATE(463),
    [sym_class] = STATE(465),
    [sym__expression] = STATE(465),
    [sym_return] = STATE(465),
    [sym_gather] = STATE(465),
    [sym_scatter] = STATE(465),
    [sym_allresults] = STATE(465),
    [sym_parenthesized_expression] = STATE(465),
    [sym__variable] = STATE(465),
    [sym_variable] = STATE(465),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(465),
    [sym_relational_operator] = STATE(465),
    [sym_logical_operator] = STATE(465),
    [sym_arithmetic_operator] = STATE(465),
    [sym_unary_operator] = STATE(465),
    [sym_character_literal] = STATE(465),
    [anon_sym_CR] = ACTIONS(89),
    [anon_sym_LF] = ACTIONS(89),
    [anon_sym__iter] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(95),
    [anon_sym__gather] = ACTIONS(97),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym__endmethod] = ACTIONS(89),
    [anon_sym__proc] = ACTIONS(99),
    [anon_sym__endproc] = ACTIONS(89),
    [anon_sym_COMMA] = ACTIONS(89),
    [anon_sym__block] = ACTIONS(101),
    [anon_sym__endblock] = ACTIONS(89),
    [anon_sym__and_LT_LT] = ACTIONS(89),
    [anon_sym__andif_LT_LT] = ACTIONS(89),
    [anon_sym__or_LT_LT] = ACTIONS(89),
    [anon_sym__orif_LT_LT] = ACTIONS(89),
    [anon_sym__xor_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_SLASH_LT_LT] = ACTIONS(89),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(89),
    [anon_sym__mod_LT_LT] = ACTIONS(89),
    [anon_sym__div_LT_LT] = ACTIONS(89),
    [anon_sym_DASH_LT_LT] = ACTIONS(89),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_PLUS_LT_LT] = ACTIONS(89),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(89),
    [anon_sym__if] = ACTIONS(103),
    [anon_sym__endif] = ACTIONS(89),
    [anon_sym__elif] = ACTIONS(89),
    [anon_sym__else] = ACTIONS(89),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(89),
    [anon_sym__finally] = ACTIONS(89),
    [anon_sym__with] = ACTIONS(89),
    [anon_sym__handling] = ACTIONS(105),
    [anon_sym__catch] = ACTIONS(107),
    [anon_sym__endcatch] = ACTIONS(89),
    [anon_sym__throw] = ACTIONS(109),
    [anon_sym__primitive] = ACTIONS(111),
    [anon_sym__for] = ACTIONS(113),
    [anon_sym__over] = ACTIONS(115),
    [anon_sym__while] = ACTIONS(117),
    [anon_sym__try] = ACTIONS(119),
    [anon_sym__when] = ACTIONS(89),
    [anon_sym__endtry] = ACTIONS(89),
    [anon_sym__loopbody] = ACTIONS(121),
    [anon_sym__leave] = ACTIONS(123),
    [anon_sym__continue] = ACTIONS(125),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__endprotect] = ACTIONS(89),
    [anon_sym__lock] = ACTIONS(129),
    [anon_sym__endlock] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_SQUOTE] = ACTIONS(133),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(135),
    [sym_false] = ACTIONS(135),
    [sym_maybe] = ACTIONS(135),
    [sym_unset] = ACTIONS(135),
    [sym_super] = ACTIONS(135),
    [sym_self] = ACTIONS(135),
    [sym_clone] = ACTIONS(135),
    [sym_thisthread] = ACTIONS(135),
    [anon_sym__class] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym__return] = ACTIONS(139),
    [anon_sym_GT_GT] = ACTIONS(141),
    [anon_sym__scatter] = ACTIONS(143),
    [anon_sym__allresults] = ACTIONS(145),
    [sym_dynamic_variable] = ACTIONS(135),
    [sym_global_variable] = ACTIONS(135),
    [sym_global_reference] = ACTIONS(135),
    [sym_number] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym__is] = ACTIONS(89),
    [anon_sym__isnt] = ACTIONS(89),
    [anon_sym__cf] = ACTIONS(89),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_TILDE_EQ] = ACTIONS(89),
    [anon_sym_LT_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(89),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym__and] = ACTIONS(89),
    [anon_sym__or] = ACTIONS(89),
    [anon_sym__xor] = ACTIONS(89),
    [anon_sym__andif] = ACTIONS(89),
    [anon_sym__orif] = ACTIONS(89),
    [anon_sym__xorif] = ACTIONS(89),
    [anon_sym_STAR_STAR] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym__mod] = ACTIONS(89),
    [anon_sym__div] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym__not] = ACTIONS(149),
    [anon_sym_TILDE] = ACTIONS(149),
    [sym_symbol] = ACTIONS(135),
    [anon_sym_PERCENT] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_procedure] = STATE(465),
    [sym_block] = STATE(465),
    [sym_assignment] = STATE(465),
    [sym_if] = STATE(465),
    [sym_loop] = STATE(465),
    [sym_handling] = STATE(465),
    [sym_catch] = STATE(465),
    [sym_throw] = STATE(465),
    [sym_primitive] = STATE(465),
    [sym_iterator] = STATE(465),
    [sym_while] = STATE(465),
    [sym_try] = STATE(465),
    [sym_loopbody] = STATE(465),
    [sym_leave] = STATE(465),
    [sym_continue] = STATE(465),
    [sym_protect] = STATE(465),
    [sym_lock] = STATE(465),
    [sym__literal] = STATE(465),
    [sym_string_literal] = STATE(465),
    [sym_call] = STATE(465),
    [sym_invoke] = STATE(465),
    [sym_indexed_access] = STATE(465),
    [sym_slot_accessor] = STATE(465),
    [sym__expression_list] = STATE(546),
    [sym_class] = STATE(465),
    [sym__expression] = STATE(465),
    [sym_return] = STATE(465),
    [sym_gather] = STATE(465),
    [sym_scatter] = STATE(465),
    [sym_allresults] = STATE(465),
    [sym_parenthesized_expression] = STATE(465),
    [sym__variable] = STATE(465),
    [sym_variable] = STATE(465),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(465),
    [sym_relational_operator] = STATE(465),
    [sym_logical_operator] = STATE(465),
    [sym_arithmetic_operator] = STATE(465),
    [sym_unary_operator] = STATE(465),
    [sym_character_literal] = STATE(465),
    [anon_sym_CR] = ACTIONS(153),
    [anon_sym_LF] = ACTIONS(153),
    [anon_sym__iter] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(95),
    [anon_sym__gather] = ACTIONS(97),
    [anon_sym_LT_LT] = ACTIONS(153),
    [anon_sym_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym__endmethod] = ACTIONS(153),
    [anon_sym__proc] = ACTIONS(99),
    [anon_sym__endproc] = ACTIONS(153),
    [anon_sym_COMMA] = ACTIONS(153),
    [anon_sym__block] = ACTIONS(101),
    [anon_sym__endblock] = ACTIONS(153),
    [anon_sym__and_LT_LT] = ACTIONS(153),
    [anon_sym__andif_LT_LT] = ACTIONS(153),
    [anon_sym__or_LT_LT] = ACTIONS(153),
    [anon_sym__orif_LT_LT] = ACTIONS(153),
    [anon_sym__xor_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_SLASH_LT_LT] = ACTIONS(153),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(153),
    [anon_sym__mod_LT_LT] = ACTIONS(153),
    [anon_sym__div_LT_LT] = ACTIONS(153),
    [anon_sym_DASH_LT_LT] = ACTIONS(153),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_PLUS_LT_LT] = ACTIONS(153),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(153),
    [anon_sym__if] = ACTIONS(103),
    [anon_sym__endif] = ACTIONS(153),
    [anon_sym__elif] = ACTIONS(153),
    [anon_sym__else] = ACTIONS(153),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(153),
    [anon_sym__finally] = ACTIONS(153),
    [anon_sym__with] = ACTIONS(153),
    [anon_sym__handling] = ACTIONS(105),
    [anon_sym__catch] = ACTIONS(107),
    [anon_sym__endcatch] = ACTIONS(153),
    [anon_sym__throw] = ACTIONS(109),
    [anon_sym__primitive] = ACTIONS(111),
    [anon_sym__for] = ACTIONS(113),
    [anon_sym__over] = ACTIONS(115),
    [anon_sym__while] = ACTIONS(117),
    [anon_sym__try] = ACTIONS(119),
    [anon_sym__when] = ACTIONS(153),
    [anon_sym__endtry] = ACTIONS(153),
    [anon_sym__loopbody] = ACTIONS(121),
    [anon_sym__leave] = ACTIONS(123),
    [anon_sym__continue] = ACTIONS(125),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__endprotect] = ACTIONS(153),
    [anon_sym__lock] = ACTIONS(129),
    [anon_sym__endlock] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_SQUOTE] = ACTIONS(133),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(135),
    [sym_false] = ACTIONS(135),
    [sym_maybe] = ACTIONS(135),
    [sym_unset] = ACTIONS(135),
    [sym_super] = ACTIONS(135),
    [sym_self] = ACTIONS(135),
    [sym_clone] = ACTIONS(135),
    [sym_thisthread] = ACTIONS(135),
    [anon_sym__class] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(153),
    [anon_sym__return] = ACTIONS(139),
    [anon_sym_GT_GT] = ACTIONS(141),
    [anon_sym__scatter] = ACTIONS(143),
    [anon_sym__allresults] = ACTIONS(145),
    [sym_dynamic_variable] = ACTIONS(135),
    [sym_global_variable] = ACTIONS(135),
    [sym_global_reference] = ACTIONS(135),
    [sym_number] = ACTIONS(135),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym__is] = ACTIONS(153),
    [anon_sym__isnt] = ACTIONS(153),
    [anon_sym__cf] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_TILDE_EQ] = ACTIONS(153),
    [anon_sym_LT_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(153),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym__and] = ACTIONS(153),
    [anon_sym__or] = ACTIONS(153),
    [anon_sym__xor] = ACTIONS(153),
    [anon_sym__andif] = ACTIONS(153),
    [anon_sym__orif] = ACTIONS(153),
    [anon_sym__xorif] = ACTIONS(153),
    [anon_sym_STAR_STAR] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym__mod] = ACTIONS(153),
    [anon_sym__div] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(149),
    [anon_sym_PLUS] = ACTIONS(149),
    [anon_sym__not] = ACTIONS(149),
    [anon_sym_TILDE] = ACTIONS(149),
    [sym_symbol] = ACTIONS(135),
    [anon_sym_PERCENT] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_procedure] = STATE(554),
    [sym_block] = STATE(554),
    [sym_assignment] = STATE(554),
    [sym_if] = STATE(554),
    [sym_loop] = STATE(554),
    [sym_handling] = STATE(554),
    [sym_catch] = STATE(554),
    [sym_throw] = STATE(554),
    [sym_primitive] = STATE(554),
    [sym_iterator] = STATE(554),
    [sym_while] = STATE(554),
    [sym_try] = STATE(554),
    [sym_loopbody] = STATE(554),
    [sym_leave] = STATE(554),
    [sym_continue] = STATE(554),
    [sym_protect] = STATE(554),
    [sym_lock] = STATE(554),
    [sym__literal] = STATE(554),
    [sym_string_literal] = STATE(554),
    [sym_call] = STATE(554),
    [sym_invoke] = STATE(554),
    [sym_indexed_access] = STATE(554),
    [sym_slot_accessor] = STATE(554),
    [sym__expression_list] = STATE(546),
    [sym_class] = STATE(554),
    [sym__expression] = STATE(554),
    [sym_return] = STATE(554),
    [sym_gather] = STATE(554),
    [sym_scatter] = STATE(554),
    [sym_allresults] = STATE(554),
    [sym_parenthesized_expression] = STATE(554),
    [sym__variable] = STATE(554),
    [sym_variable] = STATE(554),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(554),
    [sym_relational_operator] = STATE(554),
    [sym_logical_operator] = STATE(554),
    [sym_arithmetic_operator] = STATE(554),
    [sym_unary_operator] = STATE(554),
    [sym_character_literal] = STATE(554),
    [anon_sym_CR] = ACTIONS(153),
    [anon_sym_LF] = ACTIONS(153),
    [anon_sym__iter] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(95),
    [anon_sym__gather] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(153),
    [anon_sym_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym__endmethod] = ACTIONS(153),
    [anon_sym__proc] = ACTIONS(99),
    [anon_sym__endproc] = ACTIONS(153),
    [anon_sym_COMMA] = ACTIONS(153),
    [anon_sym__block] = ACTIONS(101),
    [anon_sym__endblock] = ACTIONS(153),
    [anon_sym__and_LT_LT] = ACTIONS(153),
    [anon_sym__andif_LT_LT] = ACTIONS(153),
    [anon_sym__or_LT_LT] = ACTIONS(153),
    [anon_sym__orif_LT_LT] = ACTIONS(153),
    [anon_sym__xor_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_SLASH_LT_LT] = ACTIONS(153),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(153),
    [anon_sym__mod_LT_LT] = ACTIONS(153),
    [anon_sym__div_LT_LT] = ACTIONS(153),
    [anon_sym_DASH_LT_LT] = ACTIONS(153),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_PLUS_LT_LT] = ACTIONS(153),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(153),
    [anon_sym__if] = ACTIONS(103),
    [anon_sym__endif] = ACTIONS(153),
    [anon_sym__elif] = ACTIONS(153),
    [anon_sym__else] = ACTIONS(153),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(153),
    [anon_sym__finally] = ACTIONS(153),
    [anon_sym__handling] = ACTIONS(157),
    [anon_sym__catch] = ACTIONS(107),
    [anon_sym__endcatch] = ACTIONS(153),
    [anon_sym__throw] = ACTIONS(159),
    [anon_sym__primitive] = ACTIONS(111),
    [anon_sym__for] = ACTIONS(113),
    [anon_sym__over] = ACTIONS(115),
    [anon_sym__while] = ACTIONS(117),
    [anon_sym__try] = ACTIONS(119),
    [anon_sym__when] = ACTIONS(153),
    [anon_sym__endtry] = ACTIONS(153),
    [anon_sym__loopbody] = ACTIONS(121),
    [anon_sym__leave] = ACTIONS(161),
    [anon_sym__continue] = ACTIONS(163),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__endprotect] = ACTIONS(153),
    [anon_sym__lock] = ACTIONS(129),
    [anon_sym__endlock] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_SQUOTE] = ACTIONS(133),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_maybe] = ACTIONS(165),
    [sym_unset] = ACTIONS(165),
    [sym_super] = ACTIONS(165),
    [sym_self] = ACTIONS(165),
    [sym_clone] = ACTIONS(165),
    [sym_thisthread] = ACTIONS(165),
    [anon_sym__class] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(153),
    [anon_sym__return] = ACTIONS(167),
    [anon_sym_GT_GT] = ACTIONS(169),
    [anon_sym__scatter] = ACTIONS(171),
    [anon_sym__allresults] = ACTIONS(173),
    [sym_dynamic_variable] = ACTIONS(165),
    [sym_global_variable] = ACTIONS(165),
    [sym_global_reference] = ACTIONS(165),
    [sym_number] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym__is] = ACTIONS(153),
    [anon_sym__isnt] = ACTIONS(153),
    [anon_sym__cf] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_TILDE_EQ] = ACTIONS(153),
    [anon_sym_LT_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(153),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym__and] = ACTIONS(153),
    [anon_sym__or] = ACTIONS(153),
    [anon_sym__xor] = ACTIONS(153),
    [anon_sym__andif] = ACTIONS(153),
    [anon_sym__orif] = ACTIONS(153),
    [anon_sym__xorif] = ACTIONS(153),
    [anon_sym_STAR_STAR] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym__mod] = ACTIONS(153),
    [anon_sym__div] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym__not] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [sym_symbol] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_procedure] = STATE(554),
    [sym_block] = STATE(554),
    [sym_assignment] = STATE(554),
    [sym_if] = STATE(554),
    [sym_loop] = STATE(554),
    [sym_handling] = STATE(554),
    [sym_catch] = STATE(554),
    [sym_throw] = STATE(554),
    [sym_primitive] = STATE(554),
    [sym_iterator] = STATE(554),
    [sym_while] = STATE(554),
    [sym_try] = STATE(554),
    [sym_loopbody] = STATE(554),
    [sym_leave] = STATE(554),
    [sym_continue] = STATE(554),
    [sym_protect] = STATE(554),
    [sym_lock] = STATE(554),
    [sym__literal] = STATE(554),
    [sym_string_literal] = STATE(554),
    [sym_call] = STATE(554),
    [sym_invoke] = STATE(554),
    [sym_indexed_access] = STATE(554),
    [sym_slot_accessor] = STATE(554),
    [sym__expression_list] = STATE(463),
    [sym_class] = STATE(554),
    [sym__expression] = STATE(554),
    [sym_return] = STATE(554),
    [sym_gather] = STATE(554),
    [sym_scatter] = STATE(554),
    [sym_allresults] = STATE(554),
    [sym_parenthesized_expression] = STATE(554),
    [sym__variable] = STATE(554),
    [sym_variable] = STATE(554),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(554),
    [sym_relational_operator] = STATE(554),
    [sym_logical_operator] = STATE(554),
    [sym_arithmetic_operator] = STATE(554),
    [sym_unary_operator] = STATE(554),
    [sym_character_literal] = STATE(554),
    [anon_sym_CR] = ACTIONS(89),
    [anon_sym_LF] = ACTIONS(89),
    [anon_sym__iter] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(95),
    [anon_sym__gather] = ACTIONS(155),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym__endmethod] = ACTIONS(89),
    [anon_sym__proc] = ACTIONS(99),
    [anon_sym__endproc] = ACTIONS(89),
    [anon_sym_COMMA] = ACTIONS(89),
    [anon_sym__block] = ACTIONS(101),
    [anon_sym__endblock] = ACTIONS(89),
    [anon_sym__and_LT_LT] = ACTIONS(89),
    [anon_sym__andif_LT_LT] = ACTIONS(89),
    [anon_sym__or_LT_LT] = ACTIONS(89),
    [anon_sym__orif_LT_LT] = ACTIONS(89),
    [anon_sym__xor_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_SLASH_LT_LT] = ACTIONS(89),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(89),
    [anon_sym__mod_LT_LT] = ACTIONS(89),
    [anon_sym__div_LT_LT] = ACTIONS(89),
    [anon_sym_DASH_LT_LT] = ACTIONS(89),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_PLUS_LT_LT] = ACTIONS(89),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(89),
    [anon_sym__if] = ACTIONS(103),
    [anon_sym__endif] = ACTIONS(89),
    [anon_sym__elif] = ACTIONS(89),
    [anon_sym__else] = ACTIONS(89),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(89),
    [anon_sym__finally] = ACTIONS(89),
    [anon_sym__handling] = ACTIONS(157),
    [anon_sym__catch] = ACTIONS(107),
    [anon_sym__endcatch] = ACTIONS(89),
    [anon_sym__throw] = ACTIONS(159),
    [anon_sym__primitive] = ACTIONS(111),
    [anon_sym__for] = ACTIONS(113),
    [anon_sym__over] = ACTIONS(115),
    [anon_sym__while] = ACTIONS(117),
    [anon_sym__try] = ACTIONS(119),
    [anon_sym__when] = ACTIONS(89),
    [anon_sym__endtry] = ACTIONS(89),
    [anon_sym__loopbody] = ACTIONS(121),
    [anon_sym__leave] = ACTIONS(161),
    [anon_sym__continue] = ACTIONS(163),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__endprotect] = ACTIONS(89),
    [anon_sym__lock] = ACTIONS(129),
    [anon_sym__endlock] = ACTIONS(89),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_SQUOTE] = ACTIONS(133),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(165),
    [sym_false] = ACTIONS(165),
    [sym_maybe] = ACTIONS(165),
    [sym_unset] = ACTIONS(165),
    [sym_super] = ACTIONS(165),
    [sym_self] = ACTIONS(165),
    [sym_clone] = ACTIONS(165),
    [sym_thisthread] = ACTIONS(165),
    [anon_sym__class] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym__return] = ACTIONS(167),
    [anon_sym_GT_GT] = ACTIONS(169),
    [anon_sym__scatter] = ACTIONS(171),
    [anon_sym__allresults] = ACTIONS(173),
    [sym_dynamic_variable] = ACTIONS(165),
    [sym_global_variable] = ACTIONS(165),
    [sym_global_reference] = ACTIONS(165),
    [sym_number] = ACTIONS(165),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym__is] = ACTIONS(89),
    [anon_sym__isnt] = ACTIONS(89),
    [anon_sym__cf] = ACTIONS(89),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_TILDE_EQ] = ACTIONS(89),
    [anon_sym_LT_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(89),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym__and] = ACTIONS(89),
    [anon_sym__or] = ACTIONS(89),
    [anon_sym__xor] = ACTIONS(89),
    [anon_sym__andif] = ACTIONS(89),
    [anon_sym__orif] = ACTIONS(89),
    [anon_sym__xorif] = ACTIONS(89),
    [anon_sym_STAR_STAR] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym__mod] = ACTIONS(89),
    [anon_sym__div] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(175),
    [anon_sym_PLUS] = ACTIONS(175),
    [anon_sym__not] = ACTIONS(175),
    [anon_sym_TILDE] = ACTIONS(175),
    [sym_symbol] = ACTIONS(165),
    [anon_sym_PERCENT] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_procedure] = STATE(655),
    [sym_block] = STATE(655),
    [sym_assignment] = STATE(655),
    [sym_if] = STATE(655),
    [sym_loop] = STATE(655),
    [sym_handling] = STATE(655),
    [sym_catch] = STATE(655),
    [sym_throw] = STATE(655),
    [sym_primitive] = STATE(655),
    [sym_iterator] = STATE(655),
    [sym_while] = STATE(655),
    [sym_try] = STATE(655),
    [sym_loopbody] = STATE(655),
    [sym_leave] = STATE(655),
    [sym_continue] = STATE(655),
    [sym_protect] = STATE(655),
    [sym_lock] = STATE(655),
    [sym__literal] = STATE(655),
    [sym_string_literal] = STATE(655),
    [sym_call] = STATE(655),
    [sym_invoke] = STATE(655),
    [sym_indexed_access] = STATE(655),
    [sym_slot_accessor] = STATE(655),
    [sym__expression_list] = STATE(777),
    [sym_class] = STATE(655),
    [sym__expression] = STATE(655),
    [sym_return] = STATE(655),
    [sym_gather] = STATE(655),
    [sym_scatter] = STATE(655),
    [sym_allresults] = STATE(655),
    [sym_parenthesized_expression] = STATE(655),
    [sym__variable] = STATE(655),
    [sym_variable] = STATE(655),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(655),
    [sym_relational_operator] = STATE(655),
    [sym_logical_operator] = STATE(655),
    [sym_arithmetic_operator] = STATE(655),
    [sym_unary_operator] = STATE(655),
    [sym_character_literal] = STATE(655),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym_RPAREN] = ACTIONS(185),
    [anon_sym_LT_LT] = ACTIONS(185),
    [anon_sym_CARET_LT_LT] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__and_LT_LT] = ACTIONS(185),
    [anon_sym__andif_LT_LT] = ACTIONS(185),
    [anon_sym__or_LT_LT] = ACTIONS(185),
    [anon_sym__orif_LT_LT] = ACTIONS(185),
    [anon_sym__xor_LT_LT] = ACTIONS(185),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(185),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(185),
    [anon_sym_STAR_LT_LT] = ACTIONS(185),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(185),
    [anon_sym_SLASH_LT_LT] = ACTIONS(185),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(185),
    [anon_sym__mod_LT_LT] = ACTIONS(185),
    [anon_sym__div_LT_LT] = ACTIONS(185),
    [anon_sym_DASH_LT_LT] = ACTIONS(185),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(185),
    [anon_sym_PLUS_LT_LT] = ACTIONS(185),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(185),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__then] = ACTIONS(185),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__with] = ACTIONS(185),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(227),
    [sym_false] = ACTIONS(227),
    [sym_maybe] = ACTIONS(227),
    [sym_unset] = ACTIONS(227),
    [sym_super] = ACTIONS(227),
    [sym_self] = ACTIONS(227),
    [sym_clone] = ACTIONS(227),
    [sym_thisthread] = ACTIONS(227),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(227),
    [sym_global_variable] = ACTIONS(227),
    [sym_global_reference] = ACTIONS(227),
    [sym_number] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym__is] = ACTIONS(89),
    [anon_sym__isnt] = ACTIONS(185),
    [anon_sym__cf] = ACTIONS(185),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_TILDE_EQ] = ACTIONS(185),
    [anon_sym_LT_GT] = ACTIONS(185),
    [anon_sym_GT_EQ] = ACTIONS(185),
    [anon_sym_LT_EQ] = ACTIONS(185),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym__and] = ACTIONS(89),
    [anon_sym__or] = ACTIONS(89),
    [anon_sym__xor] = ACTIONS(89),
    [anon_sym__andif] = ACTIONS(89),
    [anon_sym__orif] = ACTIONS(89),
    [anon_sym__xorif] = ACTIONS(185),
    [anon_sym_STAR_STAR] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym__mod] = ACTIONS(89),
    [anon_sym__div] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(241),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(241),
    [sym_symbol] = ACTIONS(227),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [7] = {
    [sym_procedure] = STATE(655),
    [sym_block] = STATE(655),
    [sym_assignment] = STATE(655),
    [sym_if] = STATE(655),
    [sym_loop] = STATE(655),
    [sym_handling] = STATE(655),
    [sym_catch] = STATE(655),
    [sym_throw] = STATE(655),
    [sym_primitive] = STATE(655),
    [sym_iterator] = STATE(655),
    [sym_while] = STATE(655),
    [sym_try] = STATE(655),
    [sym_loopbody] = STATE(655),
    [sym_leave] = STATE(655),
    [sym_continue] = STATE(655),
    [sym_protect] = STATE(655),
    [sym_lock] = STATE(655),
    [sym__literal] = STATE(655),
    [sym_string_literal] = STATE(655),
    [sym_call] = STATE(655),
    [sym_invoke] = STATE(655),
    [sym_indexed_access] = STATE(655),
    [sym_slot_accessor] = STATE(655),
    [sym__expression_list] = STATE(769),
    [sym_class] = STATE(655),
    [sym__expression] = STATE(655),
    [sym_return] = STATE(655),
    [sym_gather] = STATE(655),
    [sym_scatter] = STATE(655),
    [sym_allresults] = STATE(655),
    [sym_parenthesized_expression] = STATE(655),
    [sym__variable] = STATE(655),
    [sym_variable] = STATE(655),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(655),
    [sym_relational_operator] = STATE(655),
    [sym_logical_operator] = STATE(655),
    [sym_arithmetic_operator] = STATE(655),
    [sym_unary_operator] = STATE(655),
    [sym_character_literal] = STATE(655),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym_RPAREN] = ACTIONS(247),
    [anon_sym_LT_LT] = ACTIONS(247),
    [anon_sym_CARET_LT_LT] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(247),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__and_LT_LT] = ACTIONS(247),
    [anon_sym__andif_LT_LT] = ACTIONS(247),
    [anon_sym__or_LT_LT] = ACTIONS(247),
    [anon_sym__orif_LT_LT] = ACTIONS(247),
    [anon_sym__xor_LT_LT] = ACTIONS(247),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(247),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(247),
    [anon_sym_STAR_LT_LT] = ACTIONS(247),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(247),
    [anon_sym_SLASH_LT_LT] = ACTIONS(247),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(247),
    [anon_sym__mod_LT_LT] = ACTIONS(247),
    [anon_sym__div_LT_LT] = ACTIONS(247),
    [anon_sym_DASH_LT_LT] = ACTIONS(247),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(247),
    [anon_sym_PLUS_LT_LT] = ACTIONS(247),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(247),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__then] = ACTIONS(247),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__with] = ACTIONS(247),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(227),
    [sym_false] = ACTIONS(227),
    [sym_maybe] = ACTIONS(227),
    [sym_unset] = ACTIONS(227),
    [sym_super] = ACTIONS(227),
    [sym_self] = ACTIONS(227),
    [sym_clone] = ACTIONS(227),
    [sym_thisthread] = ACTIONS(227),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(227),
    [sym_global_variable] = ACTIONS(227),
    [sym_global_reference] = ACTIONS(227),
    [sym_number] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym__is] = ACTIONS(153),
    [anon_sym__isnt] = ACTIONS(247),
    [anon_sym__cf] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_TILDE_EQ] = ACTIONS(247),
    [anon_sym_LT_GT] = ACTIONS(247),
    [anon_sym_GT_EQ] = ACTIONS(247),
    [anon_sym_LT_EQ] = ACTIONS(247),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym__and] = ACTIONS(153),
    [anon_sym__or] = ACTIONS(153),
    [anon_sym__xor] = ACTIONS(153),
    [anon_sym__andif] = ACTIONS(153),
    [anon_sym__orif] = ACTIONS(153),
    [anon_sym__xorif] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym__mod] = ACTIONS(153),
    [anon_sym__div] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(241),
    [anon_sym_PLUS] = ACTIONS(241),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(241),
    [sym_symbol] = ACTIONS(227),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [8] = {
    [sym_procedure] = STATE(733),
    [sym_block] = STATE(733),
    [sym_assignment] = STATE(733),
    [sym_if] = STATE(733),
    [sym_loop] = STATE(733),
    [sym_handling] = STATE(733),
    [sym_catch] = STATE(733),
    [sym_throw] = STATE(733),
    [sym_primitive] = STATE(733),
    [sym_iterator] = STATE(733),
    [sym_while] = STATE(733),
    [sym_try] = STATE(733),
    [sym_loopbody] = STATE(733),
    [sym_leave] = STATE(733),
    [sym_continue] = STATE(733),
    [sym_protect] = STATE(733),
    [sym_lock] = STATE(733),
    [sym__literal] = STATE(733),
    [sym_string_literal] = STATE(733),
    [sym_call] = STATE(733),
    [sym_invoke] = STATE(733),
    [sym_indexed_access] = STATE(733),
    [sym_slot_accessor] = STATE(733),
    [sym__expression_list] = STATE(546),
    [sym_class] = STATE(733),
    [sym__expression] = STATE(733),
    [sym_return] = STATE(733),
    [sym_gather] = STATE(733),
    [sym_scatter] = STATE(733),
    [sym_allresults] = STATE(733),
    [sym_parenthesized_expression] = STATE(733),
    [sym__variable] = STATE(733),
    [sym_variable] = STATE(733),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(733),
    [sym_relational_operator] = STATE(733),
    [sym_logical_operator] = STATE(733),
    [sym_arithmetic_operator] = STATE(733),
    [sym_unary_operator] = STATE(733),
    [sym_character_literal] = STATE(733),
    [anon_sym_CR] = ACTIONS(153),
    [anon_sym_LF] = ACTIONS(153),
    [anon_sym__iter] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(95),
    [anon_sym__gather] = ACTIONS(249),
    [anon_sym_LT_LT] = ACTIONS(153),
    [anon_sym_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym__proc] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(153),
    [anon_sym__block] = ACTIONS(101),
    [anon_sym__and_LT_LT] = ACTIONS(153),
    [anon_sym__andif_LT_LT] = ACTIONS(153),
    [anon_sym__or_LT_LT] = ACTIONS(153),
    [anon_sym__orif_LT_LT] = ACTIONS(153),
    [anon_sym__xor_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_SLASH_LT_LT] = ACTIONS(153),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(153),
    [anon_sym__mod_LT_LT] = ACTIONS(153),
    [anon_sym__div_LT_LT] = ACTIONS(153),
    [anon_sym_DASH_LT_LT] = ACTIONS(153),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_PLUS_LT_LT] = ACTIONS(153),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(153),
    [anon_sym__if] = ACTIONS(103),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__with] = ACTIONS(153),
    [anon_sym__handling] = ACTIONS(251),
    [anon_sym__catch] = ACTIONS(107),
    [anon_sym__throw] = ACTIONS(253),
    [anon_sym__primitive] = ACTIONS(111),
    [anon_sym__for] = ACTIONS(113),
    [anon_sym__over] = ACTIONS(115),
    [anon_sym__while] = ACTIONS(117),
    [anon_sym__try] = ACTIONS(119),
    [anon_sym__loopbody] = ACTIONS(121),
    [anon_sym__leave] = ACTIONS(123),
    [anon_sym__continue] = ACTIONS(125),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__protection] = ACTIONS(153),
    [anon_sym__lock] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_SQUOTE] = ACTIONS(133),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(255),
    [sym_false] = ACTIONS(255),
    [sym_maybe] = ACTIONS(255),
    [sym_unset] = ACTIONS(255),
    [sym_super] = ACTIONS(255),
    [sym_self] = ACTIONS(255),
    [sym_clone] = ACTIONS(255),
    [sym_thisthread] = ACTIONS(255),
    [anon_sym__class] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(153),
    [anon_sym__return] = ACTIONS(257),
    [anon_sym_GT_GT] = ACTIONS(259),
    [anon_sym__scatter] = ACTIONS(261),
    [anon_sym__allresults] = ACTIONS(263),
    [sym_dynamic_variable] = ACTIONS(255),
    [sym_global_variable] = ACTIONS(255),
    [sym_global_reference] = ACTIONS(255),
    [sym_number] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym__is] = ACTIONS(153),
    [anon_sym__isnt] = ACTIONS(153),
    [anon_sym__cf] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_TILDE_EQ] = ACTIONS(153),
    [anon_sym_LT_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(153),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym__and] = ACTIONS(153),
    [anon_sym__or] = ACTIONS(153),
    [anon_sym__xor] = ACTIONS(153),
    [anon_sym__andif] = ACTIONS(153),
    [anon_sym__orif] = ACTIONS(153),
    [anon_sym__xorif] = ACTIONS(153),
    [anon_sym_STAR_STAR] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym__mod] = ACTIONS(153),
    [anon_sym__div] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(265),
    [anon_sym__not] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_symbol] = ACTIONS(255),
    [anon_sym_PERCENT] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_procedure] = STATE(733),
    [sym_block] = STATE(733),
    [sym_assignment] = STATE(733),
    [sym_if] = STATE(733),
    [sym_loop] = STATE(733),
    [sym_handling] = STATE(733),
    [sym_catch] = STATE(733),
    [sym_throw] = STATE(733),
    [sym_primitive] = STATE(733),
    [sym_iterator] = STATE(733),
    [sym_while] = STATE(733),
    [sym_try] = STATE(733),
    [sym_loopbody] = STATE(733),
    [sym_leave] = STATE(733),
    [sym_continue] = STATE(733),
    [sym_protect] = STATE(733),
    [sym_lock] = STATE(733),
    [sym__literal] = STATE(733),
    [sym_string_literal] = STATE(733),
    [sym_call] = STATE(733),
    [sym_invoke] = STATE(733),
    [sym_indexed_access] = STATE(733),
    [sym_slot_accessor] = STATE(733),
    [sym__expression_list] = STATE(463),
    [sym_class] = STATE(733),
    [sym__expression] = STATE(733),
    [sym_return] = STATE(733),
    [sym_gather] = STATE(733),
    [sym_scatter] = STATE(733),
    [sym_allresults] = STATE(733),
    [sym_parenthesized_expression] = STATE(733),
    [sym__variable] = STATE(733),
    [sym_variable] = STATE(733),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(733),
    [sym_relational_operator] = STATE(733),
    [sym_logical_operator] = STATE(733),
    [sym_arithmetic_operator] = STATE(733),
    [sym_unary_operator] = STATE(733),
    [sym_character_literal] = STATE(733),
    [anon_sym_CR] = ACTIONS(89),
    [anon_sym_LF] = ACTIONS(89),
    [anon_sym__iter] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(95),
    [anon_sym__gather] = ACTIONS(249),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym__proc] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(89),
    [anon_sym__block] = ACTIONS(101),
    [anon_sym__and_LT_LT] = ACTIONS(89),
    [anon_sym__andif_LT_LT] = ACTIONS(89),
    [anon_sym__or_LT_LT] = ACTIONS(89),
    [anon_sym__orif_LT_LT] = ACTIONS(89),
    [anon_sym__xor_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_SLASH_LT_LT] = ACTIONS(89),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(89),
    [anon_sym__mod_LT_LT] = ACTIONS(89),
    [anon_sym__div_LT_LT] = ACTIONS(89),
    [anon_sym_DASH_LT_LT] = ACTIONS(89),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_PLUS_LT_LT] = ACTIONS(89),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(89),
    [anon_sym__if] = ACTIONS(103),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__with] = ACTIONS(89),
    [anon_sym__handling] = ACTIONS(251),
    [anon_sym__catch] = ACTIONS(107),
    [anon_sym__throw] = ACTIONS(253),
    [anon_sym__primitive] = ACTIONS(111),
    [anon_sym__for] = ACTIONS(113),
    [anon_sym__over] = ACTIONS(115),
    [anon_sym__while] = ACTIONS(117),
    [anon_sym__try] = ACTIONS(119),
    [anon_sym__loopbody] = ACTIONS(121),
    [anon_sym__leave] = ACTIONS(123),
    [anon_sym__continue] = ACTIONS(125),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__protection] = ACTIONS(89),
    [anon_sym__lock] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_SQUOTE] = ACTIONS(133),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(255),
    [sym_false] = ACTIONS(255),
    [sym_maybe] = ACTIONS(255),
    [sym_unset] = ACTIONS(255),
    [sym_super] = ACTIONS(255),
    [sym_self] = ACTIONS(255),
    [sym_clone] = ACTIONS(255),
    [sym_thisthread] = ACTIONS(255),
    [anon_sym__class] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym__return] = ACTIONS(257),
    [anon_sym_GT_GT] = ACTIONS(259),
    [anon_sym__scatter] = ACTIONS(261),
    [anon_sym__allresults] = ACTIONS(263),
    [sym_dynamic_variable] = ACTIONS(255),
    [sym_global_variable] = ACTIONS(255),
    [sym_global_reference] = ACTIONS(255),
    [sym_number] = ACTIONS(255),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym__is] = ACTIONS(89),
    [anon_sym__isnt] = ACTIONS(89),
    [anon_sym__cf] = ACTIONS(89),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_TILDE_EQ] = ACTIONS(89),
    [anon_sym_LT_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(89),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym__and] = ACTIONS(89),
    [anon_sym__or] = ACTIONS(89),
    [anon_sym__xor] = ACTIONS(89),
    [anon_sym__andif] = ACTIONS(89),
    [anon_sym__orif] = ACTIONS(89),
    [anon_sym__xorif] = ACTIONS(89),
    [anon_sym_STAR_STAR] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym__mod] = ACTIONS(89),
    [anon_sym__div] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(265),
    [anon_sym__not] = ACTIONS(265),
    [anon_sym_TILDE] = ACTIONS(265),
    [sym_symbol] = ACTIONS(255),
    [anon_sym_PERCENT] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(777),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym_RPAREN] = ACTIONS(185),
    [anon_sym_LT_LT] = ACTIONS(185),
    [anon_sym_CARET_LT_LT] = ACTIONS(185),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(185),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__and_LT_LT] = ACTIONS(185),
    [anon_sym__andif_LT_LT] = ACTIONS(185),
    [anon_sym__or_LT_LT] = ACTIONS(185),
    [anon_sym__orif_LT_LT] = ACTIONS(185),
    [anon_sym__xor_LT_LT] = ACTIONS(185),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(185),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(185),
    [anon_sym_STAR_LT_LT] = ACTIONS(185),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(185),
    [anon_sym_SLASH_LT_LT] = ACTIONS(185),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(185),
    [anon_sym__mod_LT_LT] = ACTIONS(185),
    [anon_sym__div_LT_LT] = ACTIONS(185),
    [anon_sym_DASH_LT_LT] = ACTIONS(185),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(185),
    [anon_sym_PLUS_LT_LT] = ACTIONS(185),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(185),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__then] = ACTIONS(185),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(185),
    [anon_sym__is] = ACTIONS(89),
    [anon_sym__isnt] = ACTIONS(185),
    [anon_sym__cf] = ACTIONS(185),
    [anon_sym_EQ] = ACTIONS(185),
    [anon_sym_TILDE_EQ] = ACTIONS(185),
    [anon_sym_LT_GT] = ACTIONS(185),
    [anon_sym_GT_EQ] = ACTIONS(185),
    [anon_sym_LT_EQ] = ACTIONS(185),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym__and] = ACTIONS(89),
    [anon_sym__or] = ACTIONS(89),
    [anon_sym__xor] = ACTIONS(89),
    [anon_sym__andif] = ACTIONS(89),
    [anon_sym__orif] = ACTIONS(89),
    [anon_sym__xorif] = ACTIONS(185),
    [anon_sym_STAR_STAR] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym__mod] = ACTIONS(89),
    [anon_sym__div] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(287),
    [anon_sym_PLUS] = ACTIONS(287),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(287),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [11] = {
    [sym_procedure] = STATE(843),
    [sym_block] = STATE(843),
    [sym_assignment] = STATE(843),
    [sym_if] = STATE(843),
    [sym_loop] = STATE(843),
    [sym_handling] = STATE(843),
    [sym_catch] = STATE(843),
    [sym_throw] = STATE(843),
    [sym_primitive] = STATE(843),
    [sym_iterator] = STATE(843),
    [sym_while] = STATE(843),
    [sym_try] = STATE(843),
    [sym_loopbody] = STATE(843),
    [sym_leave] = STATE(843),
    [sym_continue] = STATE(843),
    [sym_protect] = STATE(843),
    [sym_lock] = STATE(843),
    [sym__literal] = STATE(843),
    [sym_string_literal] = STATE(843),
    [sym_call] = STATE(843),
    [sym_invoke] = STATE(843),
    [sym_indexed_access] = STATE(843),
    [sym_slot_accessor] = STATE(843),
    [sym__expression_list] = STATE(546),
    [sym_class] = STATE(843),
    [sym__expression] = STATE(843),
    [sym_return] = STATE(843),
    [sym_gather] = STATE(843),
    [sym_scatter] = STATE(843),
    [sym_allresults] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym__variable] = STATE(843),
    [sym_variable] = STATE(843),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(843),
    [sym_relational_operator] = STATE(843),
    [sym_logical_operator] = STATE(843),
    [sym_arithmetic_operator] = STATE(843),
    [sym_unary_operator] = STATE(843),
    [sym_character_literal] = STATE(843),
    [anon_sym_CR] = ACTIONS(153),
    [anon_sym_LF] = ACTIONS(153),
    [anon_sym__iter] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(95),
    [anon_sym__gather] = ACTIONS(291),
    [anon_sym_LT_LT] = ACTIONS(153),
    [anon_sym_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_LBRACK] = ACTIONS(153),
    [anon_sym__proc] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(153),
    [anon_sym__block] = ACTIONS(101),
    [anon_sym__and_LT_LT] = ACTIONS(153),
    [anon_sym__andif_LT_LT] = ACTIONS(153),
    [anon_sym__or_LT_LT] = ACTIONS(153),
    [anon_sym__orif_LT_LT] = ACTIONS(153),
    [anon_sym__xor_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_LT_LT] = ACTIONS(153),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_SLASH_LT_LT] = ACTIONS(153),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(153),
    [anon_sym__mod_LT_LT] = ACTIONS(153),
    [anon_sym__div_LT_LT] = ACTIONS(153),
    [anon_sym_DASH_LT_LT] = ACTIONS(153),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(153),
    [anon_sym_PLUS_LT_LT] = ACTIONS(153),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(153),
    [anon_sym__if] = ACTIONS(103),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(293),
    [anon_sym__catch] = ACTIONS(107),
    [anon_sym__throw] = ACTIONS(295),
    [anon_sym__primitive] = ACTIONS(111),
    [anon_sym__for] = ACTIONS(113),
    [anon_sym__over] = ACTIONS(115),
    [anon_sym__while] = ACTIONS(117),
    [anon_sym__try] = ACTIONS(119),
    [anon_sym__loopbody] = ACTIONS(121),
    [anon_sym__leave] = ACTIONS(297),
    [anon_sym__continue] = ACTIONS(299),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__protection] = ACTIONS(153),
    [anon_sym__lock] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_SQUOTE] = ACTIONS(133),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(301),
    [sym_false] = ACTIONS(301),
    [sym_maybe] = ACTIONS(301),
    [sym_unset] = ACTIONS(301),
    [sym_super] = ACTIONS(301),
    [sym_self] = ACTIONS(301),
    [sym_clone] = ACTIONS(301),
    [sym_thisthread] = ACTIONS(301),
    [anon_sym__class] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(153),
    [anon_sym__return] = ACTIONS(303),
    [anon_sym_GT_GT] = ACTIONS(305),
    [anon_sym__scatter] = ACTIONS(307),
    [anon_sym__allresults] = ACTIONS(309),
    [sym_dynamic_variable] = ACTIONS(301),
    [sym_global_variable] = ACTIONS(301),
    [sym_global_reference] = ACTIONS(301),
    [sym_number] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym__is] = ACTIONS(153),
    [anon_sym__isnt] = ACTIONS(153),
    [anon_sym__cf] = ACTIONS(153),
    [anon_sym_EQ] = ACTIONS(153),
    [anon_sym_TILDE_EQ] = ACTIONS(153),
    [anon_sym_LT_GT] = ACTIONS(153),
    [anon_sym_GT_EQ] = ACTIONS(153),
    [anon_sym_LT_EQ] = ACTIONS(153),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym__and] = ACTIONS(153),
    [anon_sym__or] = ACTIONS(153),
    [anon_sym__xor] = ACTIONS(153),
    [anon_sym__andif] = ACTIONS(153),
    [anon_sym__orif] = ACTIONS(153),
    [anon_sym__xorif] = ACTIONS(153),
    [anon_sym_STAR_STAR] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym__mod] = ACTIONS(153),
    [anon_sym__div] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(311),
    [anon_sym__not] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(311),
    [sym_symbol] = ACTIONS(301),
    [anon_sym_PERCENT] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(769),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym_RPAREN] = ACTIONS(247),
    [anon_sym_LT_LT] = ACTIONS(247),
    [anon_sym_CARET_LT_LT] = ACTIONS(247),
    [anon_sym_LBRACK] = ACTIONS(247),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym_COMMA] = ACTIONS(247),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__and_LT_LT] = ACTIONS(247),
    [anon_sym__andif_LT_LT] = ACTIONS(247),
    [anon_sym__or_LT_LT] = ACTIONS(247),
    [anon_sym__orif_LT_LT] = ACTIONS(247),
    [anon_sym__xor_LT_LT] = ACTIONS(247),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(247),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(247),
    [anon_sym_STAR_LT_LT] = ACTIONS(247),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(247),
    [anon_sym_SLASH_LT_LT] = ACTIONS(247),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(247),
    [anon_sym__mod_LT_LT] = ACTIONS(247),
    [anon_sym__div_LT_LT] = ACTIONS(247),
    [anon_sym_DASH_LT_LT] = ACTIONS(247),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(247),
    [anon_sym_PLUS_LT_LT] = ACTIONS(247),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(247),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__then] = ACTIONS(247),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym__is] = ACTIONS(153),
    [anon_sym__isnt] = ACTIONS(247),
    [anon_sym__cf] = ACTIONS(247),
    [anon_sym_EQ] = ACTIONS(247),
    [anon_sym_TILDE_EQ] = ACTIONS(247),
    [anon_sym_LT_GT] = ACTIONS(247),
    [anon_sym_GT_EQ] = ACTIONS(247),
    [anon_sym_LT_EQ] = ACTIONS(247),
    [anon_sym_LT] = ACTIONS(153),
    [anon_sym_GT] = ACTIONS(153),
    [anon_sym__and] = ACTIONS(153),
    [anon_sym__or] = ACTIONS(153),
    [anon_sym__xor] = ACTIONS(153),
    [anon_sym__andif] = ACTIONS(153),
    [anon_sym__orif] = ACTIONS(153),
    [anon_sym__xorif] = ACTIONS(247),
    [anon_sym_STAR_STAR] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_SLASH] = ACTIONS(153),
    [anon_sym__mod] = ACTIONS(153),
    [anon_sym__div] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(287),
    [anon_sym_PLUS] = ACTIONS(287),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(287),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [13] = {
    [sym_procedure] = STATE(843),
    [sym_block] = STATE(843),
    [sym_assignment] = STATE(843),
    [sym_if] = STATE(843),
    [sym_loop] = STATE(843),
    [sym_handling] = STATE(843),
    [sym_catch] = STATE(843),
    [sym_throw] = STATE(843),
    [sym_primitive] = STATE(843),
    [sym_iterator] = STATE(843),
    [sym_while] = STATE(843),
    [sym_try] = STATE(843),
    [sym_loopbody] = STATE(843),
    [sym_leave] = STATE(843),
    [sym_continue] = STATE(843),
    [sym_protect] = STATE(843),
    [sym_lock] = STATE(843),
    [sym__literal] = STATE(843),
    [sym_string_literal] = STATE(843),
    [sym_call] = STATE(843),
    [sym_invoke] = STATE(843),
    [sym_indexed_access] = STATE(843),
    [sym_slot_accessor] = STATE(843),
    [sym__expression_list] = STATE(463),
    [sym_class] = STATE(843),
    [sym__expression] = STATE(843),
    [sym_return] = STATE(843),
    [sym_gather] = STATE(843),
    [sym_scatter] = STATE(843),
    [sym_allresults] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym__variable] = STATE(843),
    [sym_variable] = STATE(843),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(843),
    [sym_relational_operator] = STATE(843),
    [sym_logical_operator] = STATE(843),
    [sym_arithmetic_operator] = STATE(843),
    [sym_unary_operator] = STATE(843),
    [sym_character_literal] = STATE(843),
    [anon_sym_CR] = ACTIONS(89),
    [anon_sym_LF] = ACTIONS(89),
    [anon_sym__iter] = ACTIONS(91),
    [anon_sym_DOT] = ACTIONS(93),
    [anon_sym_LPAREN] = ACTIONS(95),
    [anon_sym__gather] = ACTIONS(291),
    [anon_sym_LT_LT] = ACTIONS(89),
    [anon_sym_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_LBRACK] = ACTIONS(89),
    [anon_sym__proc] = ACTIONS(99),
    [anon_sym_COMMA] = ACTIONS(89),
    [anon_sym__block] = ACTIONS(101),
    [anon_sym__and_LT_LT] = ACTIONS(89),
    [anon_sym__andif_LT_LT] = ACTIONS(89),
    [anon_sym__or_LT_LT] = ACTIONS(89),
    [anon_sym__orif_LT_LT] = ACTIONS(89),
    [anon_sym__xor_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_LT_LT] = ACTIONS(89),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_SLASH_LT_LT] = ACTIONS(89),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(89),
    [anon_sym__mod_LT_LT] = ACTIONS(89),
    [anon_sym__div_LT_LT] = ACTIONS(89),
    [anon_sym_DASH_LT_LT] = ACTIONS(89),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(89),
    [anon_sym_PLUS_LT_LT] = ACTIONS(89),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(89),
    [anon_sym__if] = ACTIONS(103),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(293),
    [anon_sym__catch] = ACTIONS(107),
    [anon_sym__throw] = ACTIONS(295),
    [anon_sym__primitive] = ACTIONS(111),
    [anon_sym__for] = ACTIONS(113),
    [anon_sym__over] = ACTIONS(115),
    [anon_sym__while] = ACTIONS(117),
    [anon_sym__try] = ACTIONS(119),
    [anon_sym__loopbody] = ACTIONS(121),
    [anon_sym__leave] = ACTIONS(297),
    [anon_sym__continue] = ACTIONS(299),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__protection] = ACTIONS(89),
    [anon_sym__lock] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(131),
    [anon_sym_SQUOTE] = ACTIONS(133),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(301),
    [sym_false] = ACTIONS(301),
    [sym_maybe] = ACTIONS(301),
    [sym_unset] = ACTIONS(301),
    [sym_super] = ACTIONS(301),
    [sym_self] = ACTIONS(301),
    [sym_clone] = ACTIONS(301),
    [sym_thisthread] = ACTIONS(301),
    [anon_sym__class] = ACTIONS(137),
    [anon_sym_SEMI] = ACTIONS(89),
    [anon_sym__return] = ACTIONS(303),
    [anon_sym_GT_GT] = ACTIONS(305),
    [anon_sym__scatter] = ACTIONS(307),
    [anon_sym__allresults] = ACTIONS(309),
    [sym_dynamic_variable] = ACTIONS(301),
    [sym_global_variable] = ACTIONS(301),
    [sym_global_reference] = ACTIONS(301),
    [sym_number] = ACTIONS(301),
    [anon_sym_LBRACE] = ACTIONS(147),
    [anon_sym__is] = ACTIONS(89),
    [anon_sym__isnt] = ACTIONS(89),
    [anon_sym__cf] = ACTIONS(89),
    [anon_sym_EQ] = ACTIONS(89),
    [anon_sym_TILDE_EQ] = ACTIONS(89),
    [anon_sym_LT_GT] = ACTIONS(89),
    [anon_sym_GT_EQ] = ACTIONS(89),
    [anon_sym_LT_EQ] = ACTIONS(89),
    [anon_sym_LT] = ACTIONS(89),
    [anon_sym_GT] = ACTIONS(89),
    [anon_sym__and] = ACTIONS(89),
    [anon_sym__or] = ACTIONS(89),
    [anon_sym__xor] = ACTIONS(89),
    [anon_sym__andif] = ACTIONS(89),
    [anon_sym__orif] = ACTIONS(89),
    [anon_sym__xorif] = ACTIONS(89),
    [anon_sym_STAR_STAR] = ACTIONS(89),
    [anon_sym_STAR] = ACTIONS(89),
    [anon_sym_SLASH] = ACTIONS(89),
    [anon_sym__mod] = ACTIONS(89),
    [anon_sym__div] = ACTIONS(89),
    [anon_sym_DASH] = ACTIONS(311),
    [anon_sym_PLUS] = ACTIONS(311),
    [anon_sym__not] = ACTIONS(311),
    [anon_sym_TILDE] = ACTIONS(311),
    [sym_symbol] = ACTIONS(301),
    [anon_sym_PERCENT] = ACTIONS(151),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_procedure] = STATE(611),
    [sym_block] = STATE(611),
    [sym_assignment] = STATE(611),
    [sym_if] = STATE(611),
    [sym_loop] = STATE(611),
    [sym_handling] = STATE(611),
    [sym_catch] = STATE(611),
    [sym_throw] = STATE(611),
    [sym_primitive] = STATE(611),
    [sym_iterator] = STATE(611),
    [sym_while] = STATE(611),
    [sym_try] = STATE(611),
    [sym_loopbody] = STATE(611),
    [sym_leave] = STATE(611),
    [sym_continue] = STATE(611),
    [sym_protect] = STATE(611),
    [sym_lock] = STATE(611),
    [sym__literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_call] = STATE(611),
    [sym_invoke] = STATE(611),
    [sym_indexed_access] = STATE(611),
    [sym_slot_accessor] = STATE(611),
    [sym_class] = STATE(611),
    [sym__expression] = STATE(611),
    [sym__defvar] = STATE(987),
    [sym_global] = STATE(987),
    [sym_local] = STATE(987),
    [sym_constant] = STATE(987),
    [sym_dynamic] = STATE(987),
    [sym_import] = STATE(987),
    [sym_dynamic_import] = STATE(987),
    [sym_return] = STATE(611),
    [sym_gather] = STATE(611),
    [sym_scatter] = STATE(611),
    [sym_allresults] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym__variable] = STATE(611),
    [sym_variable] = STATE(611),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(611),
    [sym_relational_operator] = STATE(611),
    [sym_logical_operator] = STATE(611),
    [sym_arithmetic_operator] = STATE(611),
    [sym_unary_operator] = STATE(611),
    [sym_character_literal] = STATE(611),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(315),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(315),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__endblock] = ACTIONS(315),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__endif] = ACTIONS(315),
    [anon_sym__elif] = ACTIONS(315),
    [anon_sym__else] = ACTIONS(315),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(315),
    [anon_sym__finally] = ACTIONS(315),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__endcatch] = ACTIONS(315),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__when] = ACTIONS(315),
    [anon_sym__endtry] = ACTIONS(315),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__endprotect] = ACTIONS(315),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym__endlock] = ACTIONS(315),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(317),
    [sym_false] = ACTIONS(317),
    [sym_maybe] = ACTIONS(317),
    [sym_unset] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_self] = ACTIONS(317),
    [sym_clone] = ACTIONS(317),
    [sym_thisthread] = ACTIONS(317),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(317),
    [sym_global_variable] = ACTIONS(317),
    [sym_global_reference] = ACTIONS(317),
    [sym_number] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [15] = {
    [sym_procedure] = STATE(611),
    [sym_block] = STATE(611),
    [sym_assignment] = STATE(611),
    [sym_if] = STATE(611),
    [sym_loop] = STATE(611),
    [sym_handling] = STATE(611),
    [sym_catch] = STATE(611),
    [sym_throw] = STATE(611),
    [sym_primitive] = STATE(611),
    [sym_iterator] = STATE(611),
    [sym_while] = STATE(611),
    [sym_try] = STATE(611),
    [sym_loopbody] = STATE(611),
    [sym_leave] = STATE(611),
    [sym_continue] = STATE(611),
    [sym_protect] = STATE(611),
    [sym_lock] = STATE(611),
    [sym__literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_call] = STATE(611),
    [sym_invoke] = STATE(611),
    [sym_indexed_access] = STATE(611),
    [sym_slot_accessor] = STATE(611),
    [sym_class] = STATE(611),
    [sym__expression] = STATE(611),
    [sym__defvar] = STATE(987),
    [sym_global] = STATE(987),
    [sym_local] = STATE(987),
    [sym_constant] = STATE(987),
    [sym_dynamic] = STATE(987),
    [sym_import] = STATE(987),
    [sym_dynamic_import] = STATE(987),
    [sym_return] = STATE(611),
    [sym_gather] = STATE(611),
    [sym_scatter] = STATE(611),
    [sym_allresults] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym__variable] = STATE(611),
    [sym_variable] = STATE(611),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(611),
    [sym_relational_operator] = STATE(611),
    [sym_logical_operator] = STATE(611),
    [sym_arithmetic_operator] = STATE(611),
    [sym_unary_operator] = STATE(611),
    [sym_character_literal] = STATE(611),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(329),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(329),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__endblock] = ACTIONS(329),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__endif] = ACTIONS(329),
    [anon_sym__elif] = ACTIONS(329),
    [anon_sym__else] = ACTIONS(329),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(329),
    [anon_sym__finally] = ACTIONS(329),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__endcatch] = ACTIONS(329),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__when] = ACTIONS(329),
    [anon_sym__endtry] = ACTIONS(329),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__endprotect] = ACTIONS(329),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym__endlock] = ACTIONS(329),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(317),
    [sym_false] = ACTIONS(317),
    [sym_maybe] = ACTIONS(317),
    [sym_unset] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_self] = ACTIONS(317),
    [sym_clone] = ACTIONS(317),
    [sym_thisthread] = ACTIONS(317),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(317),
    [sym_global_variable] = ACTIONS(317),
    [sym_global_reference] = ACTIONS(317),
    [sym_number] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [16] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_elif] = STATE(1026),
    [sym_else] = STATE(1650),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1025),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [aux_sym_if_repeat1] = STATE(1026),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__endif] = ACTIONS(331),
    [anon_sym__elif] = ACTIONS(333),
    [anon_sym__else] = ACTIONS(335),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [17] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_elif] = STATE(1032),
    [sym_else] = STATE(1552),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1034),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [aux_sym_if_repeat1] = STATE(1032),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__endif] = ACTIONS(339),
    [anon_sym__elif] = ACTIONS(333),
    [anon_sym__else] = ACTIONS(335),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [18] = {
    [sym_fragment] = STATE(18),
    [sym_package] = STATE(18),
    [sym__method_declaration] = STATE(1297),
    [sym_method] = STATE(1297),
    [sym_procedure] = STATE(938),
    [sym_block] = STATE(938),
    [sym_assignment] = STATE(938),
    [sym_if] = STATE(938),
    [sym_loop] = STATE(938),
    [sym_handling] = STATE(938),
    [sym_catch] = STATE(938),
    [sym_throw] = STATE(938),
    [sym_primitive] = STATE(938),
    [sym_iterator] = STATE(938),
    [sym_while] = STATE(938),
    [sym_try] = STATE(938),
    [sym_loopbody] = STATE(938),
    [sym_leave] = STATE(938),
    [sym_continue] = STATE(938),
    [sym_protect] = STATE(938),
    [sym_lock] = STATE(938),
    [sym_pragma] = STATE(211),
    [sym__literal] = STATE(938),
    [sym_string_literal] = STATE(938),
    [sym_call] = STATE(938),
    [sym_invoke] = STATE(938),
    [sym_indexed_access] = STATE(938),
    [sym_slot_accessor] = STATE(938),
    [sym_class] = STATE(938),
    [sym__top_level_statement] = STATE(1297),
    [sym__expression] = STATE(938),
    [sym__global_assignment] = STATE(1297),
    [sym_return] = STATE(938),
    [sym__definition] = STATE(1297),
    [sym_gather] = STATE(938),
    [sym_scatter] = STATE(938),
    [sym_allresults] = STATE(938),
    [sym_parenthesized_expression] = STATE(938),
    [sym__variable] = STATE(938),
    [sym_variable] = STATE(938),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(938),
    [sym_relational_operator] = STATE(938),
    [sym_logical_operator] = STATE(938),
    [sym_arithmetic_operator] = STATE(938),
    [sym_unary_operator] = STATE(938),
    [sym_character_literal] = STATE(938),
    [aux_sym_source_file_repeat1] = STATE(18),
    [aux_sym_fragment_repeat1] = STATE(112),
    [ts_builtin_sym_end] = ACTIONS(341),
    [anon_sym__package] = ACTIONS(343),
    [sym__dollar] = ACTIONS(346),
    [anon_sym__abstract] = ACTIONS(349),
    [anon_sym__private] = ACTIONS(352),
    [anon_sym__iter] = ACTIONS(355),
    [anon_sym__method] = ACTIONS(358),
    [anon_sym_DOT] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(364),
    [anon_sym__gather] = ACTIONS(367),
    [anon_sym__proc] = ACTIONS(370),
    [anon_sym__block] = ACTIONS(373),
    [anon_sym__if] = ACTIONS(376),
    [anon_sym__loop] = ACTIONS(379),
    [anon_sym__handling] = ACTIONS(382),
    [anon_sym__catch] = ACTIONS(385),
    [anon_sym__throw] = ACTIONS(388),
    [anon_sym__primitive] = ACTIONS(391),
    [anon_sym__for] = ACTIONS(394),
    [anon_sym__over] = ACTIONS(397),
    [anon_sym__while] = ACTIONS(400),
    [anon_sym__try] = ACTIONS(403),
    [anon_sym__loopbody] = ACTIONS(406),
    [anon_sym__leave] = ACTIONS(409),
    [anon_sym__continue] = ACTIONS(412),
    [anon_sym__protect] = ACTIONS(415),
    [anon_sym__lock] = ACTIONS(418),
    [anon_sym__pragma] = ACTIONS(421),
    [anon_sym_DQUOTE] = ACTIONS(424),
    [anon_sym_SQUOTE] = ACTIONS(427),
    [aux_sym_slot_accessor_token1] = ACTIONS(430),
    [sym_true] = ACTIONS(433),
    [sym_false] = ACTIONS(433),
    [sym_maybe] = ACTIONS(433),
    [sym_unset] = ACTIONS(433),
    [sym_super] = ACTIONS(433),
    [sym_self] = ACTIONS(433),
    [sym_clone] = ACTIONS(433),
    [sym_thisthread] = ACTIONS(433),
    [anon_sym__class] = ACTIONS(436),
    [anon_sym__global] = ACTIONS(439),
    [anon_sym__return] = ACTIONS(442),
    [anon_sym_GT_GT] = ACTIONS(445),
    [anon_sym__scatter] = ACTIONS(448),
    [anon_sym__allresults] = ACTIONS(451),
    [sym_dynamic_variable] = ACTIONS(433),
    [sym_global_variable] = ACTIONS(433),
    [sym_global_reference] = ACTIONS(433),
    [sym_number] = ACTIONS(433),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_DASH] = ACTIONS(457),
    [anon_sym_PLUS] = ACTIONS(457),
    [anon_sym__not] = ACTIONS(457),
    [anon_sym_TILDE] = ACTIONS(457),
    [sym_symbol] = ACTIONS(433),
    [anon_sym_PERCENT] = ACTIONS(460),
    [sym_comment] = ACTIONS(87),
  },
  [19] = {
    [sym_fragment] = STATE(18),
    [sym_package] = STATE(18),
    [sym__method_declaration] = STATE(1297),
    [sym_method] = STATE(1297),
    [sym_procedure] = STATE(938),
    [sym_block] = STATE(938),
    [sym_assignment] = STATE(938),
    [sym_if] = STATE(938),
    [sym_loop] = STATE(938),
    [sym_handling] = STATE(938),
    [sym_catch] = STATE(938),
    [sym_throw] = STATE(938),
    [sym_primitive] = STATE(938),
    [sym_iterator] = STATE(938),
    [sym_while] = STATE(938),
    [sym_try] = STATE(938),
    [sym_loopbody] = STATE(938),
    [sym_leave] = STATE(938),
    [sym_continue] = STATE(938),
    [sym_protect] = STATE(938),
    [sym_lock] = STATE(938),
    [sym_pragma] = STATE(211),
    [sym__literal] = STATE(938),
    [sym_string_literal] = STATE(938),
    [sym_call] = STATE(938),
    [sym_invoke] = STATE(938),
    [sym_indexed_access] = STATE(938),
    [sym_slot_accessor] = STATE(938),
    [sym_class] = STATE(938),
    [sym__top_level_statement] = STATE(1297),
    [sym__expression] = STATE(938),
    [sym__global_assignment] = STATE(1297),
    [sym_return] = STATE(938),
    [sym__definition] = STATE(1297),
    [sym_gather] = STATE(938),
    [sym_scatter] = STATE(938),
    [sym_allresults] = STATE(938),
    [sym_parenthesized_expression] = STATE(938),
    [sym__variable] = STATE(938),
    [sym_variable] = STATE(938),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(938),
    [sym_relational_operator] = STATE(938),
    [sym_logical_operator] = STATE(938),
    [sym_arithmetic_operator] = STATE(938),
    [sym_unary_operator] = STATE(938),
    [sym_character_literal] = STATE(938),
    [aux_sym_source_file_repeat1] = STATE(18),
    [aux_sym_fragment_repeat1] = STATE(112),
    [ts_builtin_sym_end] = ACTIONS(463),
    [anon_sym__package] = ACTIONS(7),
    [sym__dollar] = ACTIONS(465),
    [anon_sym__abstract] = ACTIONS(11),
    [anon_sym__private] = ACTIONS(13),
    [anon_sym__iter] = ACTIONS(15),
    [anon_sym__method] = ACTIONS(17),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym__pragma] = ACTIONS(59),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(67),
    [sym_false] = ACTIONS(67),
    [sym_maybe] = ACTIONS(67),
    [sym_unset] = ACTIONS(67),
    [sym_super] = ACTIONS(67),
    [sym_self] = ACTIONS(67),
    [sym_clone] = ACTIONS(67),
    [sym_thisthread] = ACTIONS(67),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(71),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(67),
    [sym_global_variable] = ACTIONS(67),
    [sym_global_reference] = ACTIONS(67),
    [sym_number] = ACTIONS(67),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(67),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [20] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1546),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(126),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(467),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1491),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(163),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(471),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1681),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(170),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(473),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1678),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(137),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(475),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1598),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(201),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(477),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1691),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(148),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(479),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1579),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(155),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(481),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1273),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [aux_sym_try_repeat2] = STATE(1268),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__with] = ACTIONS(483),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__when] = ACTIONS(485),
    [anon_sym__endtry] = ACTIONS(487),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [28] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1472),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [aux_sym_try_repeat1] = STATE(632),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(489),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__when] = ACTIONS(491),
    [anon_sym__endtry] = ACTIONS(491),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [29] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1654),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(133),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(493),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1500),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(179),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(495),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1483),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(198),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(497),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1560),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(149),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(499),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1555),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(141),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(501),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1606),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(196),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(503),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1595),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(139),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(505),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1676),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(195),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(507),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1549),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(134),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(509),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1495),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(202),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(511),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1583),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(121),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(513),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1615),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(189),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(515),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1582),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(124),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(517),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1622),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(182),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(519),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_fragment] = STATE(43),
    [sym__method_declaration] = STATE(1297),
    [sym_method] = STATE(1297),
    [sym_procedure] = STATE(938),
    [sym_block] = STATE(938),
    [sym_assignment] = STATE(938),
    [sym_if] = STATE(938),
    [sym_loop] = STATE(938),
    [sym_handling] = STATE(938),
    [sym_catch] = STATE(938),
    [sym_throw] = STATE(938),
    [sym_primitive] = STATE(938),
    [sym_iterator] = STATE(938),
    [sym_while] = STATE(938),
    [sym_try] = STATE(938),
    [sym_loopbody] = STATE(938),
    [sym_leave] = STATE(938),
    [sym_continue] = STATE(938),
    [sym_protect] = STATE(938),
    [sym_lock] = STATE(938),
    [sym_pragma] = STATE(211),
    [sym__literal] = STATE(938),
    [sym_string_literal] = STATE(938),
    [sym_call] = STATE(938),
    [sym_invoke] = STATE(938),
    [sym_indexed_access] = STATE(938),
    [sym_slot_accessor] = STATE(938),
    [sym_class] = STATE(938),
    [sym__top_level_statement] = STATE(1297),
    [sym__expression] = STATE(938),
    [sym__global_assignment] = STATE(1297),
    [sym_return] = STATE(938),
    [sym__definition] = STATE(1297),
    [sym_gather] = STATE(938),
    [sym_scatter] = STATE(938),
    [sym_allresults] = STATE(938),
    [sym_parenthesized_expression] = STATE(938),
    [sym__variable] = STATE(938),
    [sym_variable] = STATE(938),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(938),
    [sym_relational_operator] = STATE(938),
    [sym_logical_operator] = STATE(938),
    [sym_arithmetic_operator] = STATE(938),
    [sym_unary_operator] = STATE(938),
    [sym_character_literal] = STATE(938),
    [aux_sym_fragment_repeat1] = STATE(112),
    [aux_sym_package_repeat1] = STATE(43),
    [ts_builtin_sym_end] = ACTIONS(521),
    [anon_sym__package] = ACTIONS(521),
    [sym__dollar] = ACTIONS(521),
    [anon_sym__abstract] = ACTIONS(523),
    [anon_sym__private] = ACTIONS(526),
    [anon_sym__iter] = ACTIONS(529),
    [anon_sym__method] = ACTIONS(532),
    [anon_sym_DOT] = ACTIONS(535),
    [anon_sym_LPAREN] = ACTIONS(538),
    [anon_sym__gather] = ACTIONS(541),
    [anon_sym__proc] = ACTIONS(544),
    [anon_sym__block] = ACTIONS(547),
    [anon_sym__if] = ACTIONS(550),
    [anon_sym__loop] = ACTIONS(553),
    [anon_sym__handling] = ACTIONS(556),
    [anon_sym__catch] = ACTIONS(559),
    [anon_sym__throw] = ACTIONS(562),
    [anon_sym__primitive] = ACTIONS(565),
    [anon_sym__for] = ACTIONS(568),
    [anon_sym__over] = ACTIONS(571),
    [anon_sym__while] = ACTIONS(574),
    [anon_sym__try] = ACTIONS(577),
    [anon_sym__loopbody] = ACTIONS(580),
    [anon_sym__leave] = ACTIONS(583),
    [anon_sym__continue] = ACTIONS(586),
    [anon_sym__protect] = ACTIONS(589),
    [anon_sym__lock] = ACTIONS(592),
    [anon_sym__pragma] = ACTIONS(595),
    [anon_sym_DQUOTE] = ACTIONS(598),
    [anon_sym_SQUOTE] = ACTIONS(601),
    [aux_sym_slot_accessor_token1] = ACTIONS(604),
    [sym_true] = ACTIONS(607),
    [sym_false] = ACTIONS(607),
    [sym_maybe] = ACTIONS(607),
    [sym_unset] = ACTIONS(607),
    [sym_super] = ACTIONS(607),
    [sym_self] = ACTIONS(607),
    [sym_clone] = ACTIONS(607),
    [sym_thisthread] = ACTIONS(607),
    [anon_sym__class] = ACTIONS(610),
    [anon_sym__global] = ACTIONS(613),
    [anon_sym__return] = ACTIONS(616),
    [anon_sym_GT_GT] = ACTIONS(619),
    [anon_sym__scatter] = ACTIONS(622),
    [anon_sym__allresults] = ACTIONS(625),
    [sym_dynamic_variable] = ACTIONS(607),
    [sym_global_variable] = ACTIONS(607),
    [sym_global_reference] = ACTIONS(607),
    [sym_number] = ACTIONS(607),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_DASH] = ACTIONS(631),
    [anon_sym_PLUS] = ACTIONS(631),
    [anon_sym__not] = ACTIONS(631),
    [anon_sym_TILDE] = ACTIONS(631),
    [sym_symbol] = ACTIONS(607),
    [anon_sym_PERCENT] = ACTIONS(634),
    [sym_comment] = ACTIONS(87),
  },
  [44] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_finally] = STATE(1520),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1294),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(637),
    [anon_sym__finally] = ACTIONS(639),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_label] = ACTIONS(641),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(643),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [45] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1629),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(158),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(645),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_fragment] = STATE(43),
    [sym__method_declaration] = STATE(1297),
    [sym_method] = STATE(1297),
    [sym_procedure] = STATE(938),
    [sym_block] = STATE(938),
    [sym_assignment] = STATE(938),
    [sym_if] = STATE(938),
    [sym_loop] = STATE(938),
    [sym_handling] = STATE(938),
    [sym_catch] = STATE(938),
    [sym_throw] = STATE(938),
    [sym_primitive] = STATE(938),
    [sym_iterator] = STATE(938),
    [sym_while] = STATE(938),
    [sym_try] = STATE(938),
    [sym_loopbody] = STATE(938),
    [sym_leave] = STATE(938),
    [sym_continue] = STATE(938),
    [sym_protect] = STATE(938),
    [sym_lock] = STATE(938),
    [sym_pragma] = STATE(211),
    [sym__literal] = STATE(938),
    [sym_string_literal] = STATE(938),
    [sym_call] = STATE(938),
    [sym_invoke] = STATE(938),
    [sym_indexed_access] = STATE(938),
    [sym_slot_accessor] = STATE(938),
    [sym_class] = STATE(938),
    [sym__top_level_statement] = STATE(1297),
    [sym__expression] = STATE(938),
    [sym__global_assignment] = STATE(1297),
    [sym_return] = STATE(938),
    [sym__definition] = STATE(1297),
    [sym_gather] = STATE(938),
    [sym_scatter] = STATE(938),
    [sym_allresults] = STATE(938),
    [sym_parenthesized_expression] = STATE(938),
    [sym__variable] = STATE(938),
    [sym_variable] = STATE(938),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(938),
    [sym_relational_operator] = STATE(938),
    [sym_logical_operator] = STATE(938),
    [sym_arithmetic_operator] = STATE(938),
    [sym_unary_operator] = STATE(938),
    [sym_character_literal] = STATE(938),
    [aux_sym_fragment_repeat1] = STATE(112),
    [aux_sym_package_repeat1] = STATE(43),
    [ts_builtin_sym_end] = ACTIONS(647),
    [anon_sym__package] = ACTIONS(647),
    [sym__dollar] = ACTIONS(647),
    [anon_sym__abstract] = ACTIONS(647),
    [anon_sym__private] = ACTIONS(647),
    [anon_sym__iter] = ACTIONS(647),
    [anon_sym__method] = ACTIONS(647),
    [anon_sym_DOT] = ACTIONS(647),
    [anon_sym_LPAREN] = ACTIONS(647),
    [anon_sym__gather] = ACTIONS(647),
    [anon_sym__proc] = ACTIONS(647),
    [anon_sym__block] = ACTIONS(647),
    [anon_sym__if] = ACTIONS(647),
    [anon_sym__loop] = ACTIONS(649),
    [anon_sym__handling] = ACTIONS(647),
    [anon_sym__catch] = ACTIONS(647),
    [anon_sym__throw] = ACTIONS(647),
    [anon_sym__primitive] = ACTIONS(647),
    [anon_sym__for] = ACTIONS(647),
    [anon_sym__over] = ACTIONS(647),
    [anon_sym__while] = ACTIONS(647),
    [anon_sym__try] = ACTIONS(647),
    [anon_sym__loopbody] = ACTIONS(647),
    [anon_sym__leave] = ACTIONS(647),
    [anon_sym__continue] = ACTIONS(647),
    [anon_sym__protect] = ACTIONS(647),
    [anon_sym__lock] = ACTIONS(647),
    [anon_sym__pragma] = ACTIONS(647),
    [anon_sym_DQUOTE] = ACTIONS(647),
    [anon_sym_SQUOTE] = ACTIONS(647),
    [aux_sym_slot_accessor_token1] = ACTIONS(649),
    [sym_true] = ACTIONS(647),
    [sym_false] = ACTIONS(647),
    [sym_maybe] = ACTIONS(647),
    [sym_unset] = ACTIONS(647),
    [sym_super] = ACTIONS(647),
    [sym_self] = ACTIONS(647),
    [sym_clone] = ACTIONS(647),
    [sym_thisthread] = ACTIONS(647),
    [anon_sym__class] = ACTIONS(647),
    [anon_sym__global] = ACTIONS(647),
    [anon_sym__return] = ACTIONS(647),
    [anon_sym_GT_GT] = ACTIONS(647),
    [anon_sym__scatter] = ACTIONS(647),
    [anon_sym__allresults] = ACTIONS(647),
    [sym_dynamic_variable] = ACTIONS(647),
    [sym_global_variable] = ACTIONS(647),
    [sym_global_reference] = ACTIONS(647),
    [sym_number] = ACTIONS(647),
    [anon_sym_LBRACE] = ACTIONS(647),
    [anon_sym_DASH] = ACTIONS(647),
    [anon_sym_PLUS] = ACTIONS(647),
    [anon_sym__not] = ACTIONS(647),
    [anon_sym_TILDE] = ACTIONS(647),
    [sym_symbol] = ACTIONS(647),
    [anon_sym_PERCENT] = ACTIONS(647),
    [sym_comment] = ACTIONS(87),
  },
  [47] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1541),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(122),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(651),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_fragment] = STATE(46),
    [sym__method_declaration] = STATE(1297),
    [sym_method] = STATE(1297),
    [sym_procedure] = STATE(938),
    [sym_block] = STATE(938),
    [sym_assignment] = STATE(938),
    [sym_if] = STATE(938),
    [sym_loop] = STATE(938),
    [sym_handling] = STATE(938),
    [sym_catch] = STATE(938),
    [sym_throw] = STATE(938),
    [sym_primitive] = STATE(938),
    [sym_iterator] = STATE(938),
    [sym_while] = STATE(938),
    [sym_try] = STATE(938),
    [sym_loopbody] = STATE(938),
    [sym_leave] = STATE(938),
    [sym_continue] = STATE(938),
    [sym_protect] = STATE(938),
    [sym_lock] = STATE(938),
    [sym_pragma] = STATE(211),
    [sym__literal] = STATE(938),
    [sym_string_literal] = STATE(938),
    [sym_call] = STATE(938),
    [sym_invoke] = STATE(938),
    [sym_indexed_access] = STATE(938),
    [sym_slot_accessor] = STATE(938),
    [sym_class] = STATE(938),
    [sym__top_level_statement] = STATE(1297),
    [sym__expression] = STATE(938),
    [sym__global_assignment] = STATE(1297),
    [sym_return] = STATE(938),
    [sym__definition] = STATE(1297),
    [sym_gather] = STATE(938),
    [sym_scatter] = STATE(938),
    [sym_allresults] = STATE(938),
    [sym_parenthesized_expression] = STATE(938),
    [sym__variable] = STATE(938),
    [sym_variable] = STATE(938),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(938),
    [sym_relational_operator] = STATE(938),
    [sym_logical_operator] = STATE(938),
    [sym_arithmetic_operator] = STATE(938),
    [sym_unary_operator] = STATE(938),
    [sym_character_literal] = STATE(938),
    [aux_sym_fragment_repeat1] = STATE(112),
    [aux_sym_package_repeat1] = STATE(46),
    [ts_builtin_sym_end] = ACTIONS(653),
    [anon_sym__package] = ACTIONS(653),
    [sym__dollar] = ACTIONS(653),
    [anon_sym__abstract] = ACTIONS(653),
    [anon_sym__private] = ACTIONS(653),
    [anon_sym__iter] = ACTIONS(653),
    [anon_sym__method] = ACTIONS(653),
    [anon_sym_DOT] = ACTIONS(653),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym__gather] = ACTIONS(653),
    [anon_sym__proc] = ACTIONS(653),
    [anon_sym__block] = ACTIONS(653),
    [anon_sym__if] = ACTIONS(653),
    [anon_sym__loop] = ACTIONS(655),
    [anon_sym__handling] = ACTIONS(653),
    [anon_sym__catch] = ACTIONS(653),
    [anon_sym__throw] = ACTIONS(653),
    [anon_sym__primitive] = ACTIONS(653),
    [anon_sym__for] = ACTIONS(653),
    [anon_sym__over] = ACTIONS(653),
    [anon_sym__while] = ACTIONS(653),
    [anon_sym__try] = ACTIONS(653),
    [anon_sym__loopbody] = ACTIONS(653),
    [anon_sym__leave] = ACTIONS(653),
    [anon_sym__continue] = ACTIONS(653),
    [anon_sym__protect] = ACTIONS(653),
    [anon_sym__lock] = ACTIONS(653),
    [anon_sym__pragma] = ACTIONS(653),
    [anon_sym_DQUOTE] = ACTIONS(653),
    [anon_sym_SQUOTE] = ACTIONS(653),
    [aux_sym_slot_accessor_token1] = ACTIONS(655),
    [sym_true] = ACTIONS(653),
    [sym_false] = ACTIONS(653),
    [sym_maybe] = ACTIONS(653),
    [sym_unset] = ACTIONS(653),
    [sym_super] = ACTIONS(653),
    [sym_self] = ACTIONS(653),
    [sym_clone] = ACTIONS(653),
    [sym_thisthread] = ACTIONS(653),
    [anon_sym__class] = ACTIONS(653),
    [anon_sym__global] = ACTIONS(653),
    [anon_sym__return] = ACTIONS(653),
    [anon_sym_GT_GT] = ACTIONS(653),
    [anon_sym__scatter] = ACTIONS(653),
    [anon_sym__allresults] = ACTIONS(653),
    [sym_dynamic_variable] = ACTIONS(653),
    [sym_global_variable] = ACTIONS(653),
    [sym_global_reference] = ACTIONS(653),
    [sym_number] = ACTIONS(653),
    [anon_sym_LBRACE] = ACTIONS(653),
    [anon_sym_DASH] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(653),
    [anon_sym__not] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [sym_symbol] = ACTIONS(653),
    [anon_sym_PERCENT] = ACTIONS(653),
    [sym_comment] = ACTIONS(87),
  },
  [49] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1632),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(153),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(657),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1550),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(132),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(659),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1635),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(151),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(661),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_finally] = STATE(1668),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1352),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(663),
    [anon_sym__finally] = ACTIONS(639),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_label] = ACTIONS(665),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(643),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [53] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1536),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(119),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(667),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1671),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(197),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(669),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1291),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [aux_sym_try_repeat2] = STATE(1292),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__with] = ACTIONS(671),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__when] = ACTIONS(485),
    [anon_sym__endtry] = ACTIONS(673),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [56] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1519),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(152),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(675),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1557),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(136),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(677),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1685),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(142),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(679),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1538),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(144),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(681),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1587),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(194),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(683),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1669),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(156),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(685),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1638),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(146),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(687),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1507),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(181),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(689),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1604),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(174),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(691),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1642),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(145),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(693),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1458),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [aux_sym_try_repeat1] = STATE(28),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym_COMMA] = ACTIONS(489),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__when] = ACTIONS(695),
    [anon_sym__endtry] = ACTIONS(695),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [67] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1591),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(190),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(697),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_finally] = STATE(1542),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1228),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(699),
    [anon_sym__finally] = ACTIONS(639),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_label] = ACTIONS(701),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(643),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [69] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1526),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(161),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(703),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_finally] = STATE(1656),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1348),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(705),
    [anon_sym__finally] = ACTIONS(639),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_label] = ACTIONS(707),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(643),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [71] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1498),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(150),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(709),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1630),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(193),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(711),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1516),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(168),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(713),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1667),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(120),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(715),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1502),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(117),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(717),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1482),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(205),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(719),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1515),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(175),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(721),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1665),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(123),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(723),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1657),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(138),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(725),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1643),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(118),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(727),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1660),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(127),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(729),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1662),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [sym_documentation] = STATE(125),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(731),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1689),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(733),
    [anon_sym_CARET_LT_LT] = ACTIONS(733),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(735),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [84] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1563),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(737),
    [anon_sym_CARET_LT_LT] = ACTIONS(737),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(739),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [85] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1545),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(741),
    [anon_sym_CARET_LT_LT] = ACTIONS(741),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(743),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [86] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1616),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(745),
    [anon_sym_CARET_LT_LT] = ACTIONS(745),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(747),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [87] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_finally] = STATE(1690),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1365),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(749),
    [anon_sym__finally] = ACTIONS(639),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [88] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1328),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__endif] = ACTIONS(751),
    [anon_sym__elif] = ACTIONS(751),
    [anon_sym__else] = ACTIONS(751),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [89] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1568),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(753),
    [anon_sym_CARET_LT_LT] = ACTIONS(753),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(755),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [90] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_finally] = STATE(1504),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1259),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(757),
    [anon_sym__finally] = ACTIONS(639),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [91] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1229),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [aux_sym_try_repeat2] = STATE(1232),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__when] = ACTIONS(485),
    [anon_sym__endtry] = ACTIONS(759),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [92] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1517),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(761),
    [anon_sym_CARET_LT_LT] = ACTIONS(761),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(763),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [93] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1699),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(765),
    [anon_sym_CARET_LT_LT] = ACTIONS(765),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(767),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [94] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1484),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(769),
    [anon_sym_CARET_LT_LT] = ACTIONS(769),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(771),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [95] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1673),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(773),
    [anon_sym_CARET_LT_LT] = ACTIONS(773),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(775),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [96] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1355),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [aux_sym_try_repeat2] = STATE(1356),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__when] = ACTIONS(485),
    [anon_sym__endtry] = ACTIONS(777),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [97] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_finally] = STATE(1640),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1341),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(779),
    [anon_sym__finally] = ACTIONS(639),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [98] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1628),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(781),
    [anon_sym_CARET_LT_LT] = ACTIONS(781),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(783),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [99] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1620),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(785),
    [anon_sym_CARET_LT_LT] = ACTIONS(785),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(787),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [100] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1644),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(789),
    [anon_sym_CARET_LT_LT] = ACTIONS(789),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(791),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [101] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1605),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(793),
    [anon_sym_CARET_LT_LT] = ACTIONS(793),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(795),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [102] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1521),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(797),
    [anon_sym_CARET_LT_LT] = ACTIONS(797),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(799),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [103] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1600),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(801),
    [anon_sym_CARET_LT_LT] = ACTIONS(801),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(803),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [104] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1566),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym_LT_LT] = ACTIONS(805),
    [anon_sym_CARET_LT_LT] = ACTIONS(805),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(807),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [105] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_finally] = STATE(1584),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1329),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(809),
    [anon_sym__finally] = ACTIONS(639),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [106] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1499),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(811),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_label] = ACTIONS(813),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(643),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [107] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1670),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(815),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_label] = ACTIONS(817),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(643),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [108] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1505),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(819),
    [anon_sym__with] = ACTIONS(821),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [109] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1641),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__endblock] = ACTIONS(823),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_label] = ACTIONS(825),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(643),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [110] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1639),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(827),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_label] = ACTIONS(829),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(643),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [111] = {
    [sym_procedure] = STATE(673),
    [sym_block] = STATE(673),
    [sym_assignment] = STATE(673),
    [sym_if] = STATE(673),
    [sym_loop] = STATE(673),
    [sym_handling] = STATE(673),
    [sym_catch] = STATE(673),
    [sym_throw] = STATE(673),
    [sym_primitive] = STATE(673),
    [sym_iterator] = STATE(673),
    [sym_while] = STATE(673),
    [sym_try] = STATE(673),
    [sym_loopbody] = STATE(673),
    [sym_leave] = STATE(673),
    [sym_continue] = STATE(673),
    [sym_protect] = STATE(673),
    [sym_lock] = STATE(673),
    [sym__literal] = STATE(673),
    [sym_string_literal] = STATE(673),
    [sym_call] = STATE(673),
    [sym_invoke] = STATE(673),
    [sym_indexed_access] = STATE(673),
    [sym_slot_accessor] = STATE(673),
    [sym_class] = STATE(673),
    [sym__expression] = STATE(673),
    [sym__codeblock] = STATE(1631),
    [sym__defvar] = STATE(1021),
    [sym_global] = STATE(1021),
    [sym_local] = STATE(1021),
    [sym_constant] = STATE(1021),
    [sym_dynamic] = STATE(1021),
    [sym_import] = STATE(1021),
    [sym_dynamic_import] = STATE(1021),
    [sym_return] = STATE(673),
    [sym_gather] = STATE(673),
    [sym_scatter] = STATE(673),
    [sym_allresults] = STATE(673),
    [sym_parenthesized_expression] = STATE(673),
    [sym__variable] = STATE(673),
    [sym_variable] = STATE(673),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(673),
    [sym_relational_operator] = STATE(673),
    [sym_logical_operator] = STATE(673),
    [sym_arithmetic_operator] = STATE(673),
    [sym_unary_operator] = STATE(673),
    [sym_character_literal] = STATE(673),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__locking] = ACTIONS(841),
    [anon_sym__protection] = ACTIONS(843),
    [anon_sym__lock] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(845),
    [sym_false] = ACTIONS(845),
    [sym_maybe] = ACTIONS(845),
    [sym_unset] = ACTIONS(845),
    [sym_super] = ACTIONS(845),
    [sym_self] = ACTIONS(845),
    [sym_clone] = ACTIONS(845),
    [sym_thisthread] = ACTIONS(845),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(847),
    [anon_sym__constant] = ACTIONS(849),
    [anon_sym__dynamic] = ACTIONS(851),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(845),
    [sym_global_variable] = ACTIONS(845),
    [sym_global_reference] = ACTIONS(845),
    [sym_number] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [112] = {
    [sym__method_declaration] = STATE(1297),
    [sym_method] = STATE(1297),
    [sym_procedure] = STATE(938),
    [sym_block] = STATE(938),
    [sym_assignment] = STATE(938),
    [sym_if] = STATE(938),
    [sym_loop] = STATE(938),
    [sym_handling] = STATE(938),
    [sym_catch] = STATE(938),
    [sym_throw] = STATE(938),
    [sym_primitive] = STATE(938),
    [sym_iterator] = STATE(938),
    [sym_while] = STATE(938),
    [sym_try] = STATE(938),
    [sym_loopbody] = STATE(938),
    [sym_leave] = STATE(938),
    [sym_continue] = STATE(938),
    [sym_protect] = STATE(938),
    [sym_lock] = STATE(938),
    [sym_pragma] = STATE(211),
    [sym__literal] = STATE(938),
    [sym_string_literal] = STATE(938),
    [sym_call] = STATE(938),
    [sym_invoke] = STATE(938),
    [sym_indexed_access] = STATE(938),
    [sym_slot_accessor] = STATE(938),
    [sym_class] = STATE(938),
    [sym__top_level_statement] = STATE(1297),
    [sym__expression] = STATE(938),
    [sym__global_assignment] = STATE(1297),
    [sym_return] = STATE(938),
    [sym__definition] = STATE(1297),
    [sym_gather] = STATE(938),
    [sym_scatter] = STATE(938),
    [sym_allresults] = STATE(938),
    [sym_parenthesized_expression] = STATE(938),
    [sym__variable] = STATE(938),
    [sym_variable] = STATE(938),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(938),
    [sym_relational_operator] = STATE(938),
    [sym_logical_operator] = STATE(938),
    [sym_arithmetic_operator] = STATE(938),
    [sym_unary_operator] = STATE(938),
    [sym_character_literal] = STATE(938),
    [aux_sym_fragment_repeat1] = STATE(116),
    [ts_builtin_sym_end] = ACTIONS(863),
    [anon_sym__package] = ACTIONS(863),
    [sym__dollar] = ACTIONS(863),
    [anon_sym__abstract] = ACTIONS(863),
    [anon_sym__private] = ACTIONS(863),
    [anon_sym__iter] = ACTIONS(863),
    [anon_sym__method] = ACTIONS(863),
    [anon_sym_DOT] = ACTIONS(863),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym__gather] = ACTIONS(863),
    [anon_sym__proc] = ACTIONS(863),
    [anon_sym__block] = ACTIONS(863),
    [anon_sym__if] = ACTIONS(863),
    [anon_sym__loop] = ACTIONS(865),
    [anon_sym__handling] = ACTIONS(863),
    [anon_sym__catch] = ACTIONS(863),
    [anon_sym__throw] = ACTIONS(863),
    [anon_sym__primitive] = ACTIONS(863),
    [anon_sym__for] = ACTIONS(863),
    [anon_sym__over] = ACTIONS(863),
    [anon_sym__while] = ACTIONS(863),
    [anon_sym__try] = ACTIONS(863),
    [anon_sym__loopbody] = ACTIONS(863),
    [anon_sym__leave] = ACTIONS(863),
    [anon_sym__continue] = ACTIONS(863),
    [anon_sym__protect] = ACTIONS(863),
    [anon_sym__lock] = ACTIONS(863),
    [anon_sym__pragma] = ACTIONS(863),
    [anon_sym_DQUOTE] = ACTIONS(863),
    [anon_sym_SQUOTE] = ACTIONS(863),
    [aux_sym_slot_accessor_token1] = ACTIONS(865),
    [sym_true] = ACTIONS(863),
    [sym_false] = ACTIONS(863),
    [sym_maybe] = ACTIONS(863),
    [sym_unset] = ACTIONS(863),
    [sym_super] = ACTIONS(863),
    [sym_self] = ACTIONS(863),
    [sym_clone] = ACTIONS(863),
    [sym_thisthread] = ACTIONS(863),
    [anon_sym__class] = ACTIONS(863),
    [anon_sym__global] = ACTIONS(863),
    [anon_sym__return] = ACTIONS(863),
    [anon_sym_GT_GT] = ACTIONS(863),
    [anon_sym__scatter] = ACTIONS(863),
    [anon_sym__allresults] = ACTIONS(863),
    [sym_dynamic_variable] = ACTIONS(863),
    [sym_global_variable] = ACTIONS(863),
    [sym_global_reference] = ACTIONS(863),
    [sym_number] = ACTIONS(863),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_DASH] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(863),
    [anon_sym__not] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(863),
    [sym_symbol] = ACTIONS(863),
    [anon_sym_PERCENT] = ACTIONS(863),
    [sym_comment] = ACTIONS(87),
  },
  [113] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1494),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__endblock] = ACTIONS(867),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_label] = ACTIONS(869),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(643),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [114] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1540),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(871),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_label] = ACTIONS(873),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(643),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [115] = {
    [sym_procedure] = STATE(673),
    [sym_block] = STATE(673),
    [sym_assignment] = STATE(673),
    [sym_if] = STATE(673),
    [sym_loop] = STATE(673),
    [sym_handling] = STATE(673),
    [sym_catch] = STATE(673),
    [sym_throw] = STATE(673),
    [sym_primitive] = STATE(673),
    [sym_iterator] = STATE(673),
    [sym_while] = STATE(673),
    [sym_try] = STATE(673),
    [sym_loopbody] = STATE(673),
    [sym_leave] = STATE(673),
    [sym_continue] = STATE(673),
    [sym_protect] = STATE(673),
    [sym_lock] = STATE(673),
    [sym__literal] = STATE(673),
    [sym_string_literal] = STATE(673),
    [sym_call] = STATE(673),
    [sym_invoke] = STATE(673),
    [sym_indexed_access] = STATE(673),
    [sym_slot_accessor] = STATE(673),
    [sym_class] = STATE(673),
    [sym__expression] = STATE(673),
    [sym__codeblock] = STATE(1530),
    [sym__defvar] = STATE(1021),
    [sym_global] = STATE(1021),
    [sym_local] = STATE(1021),
    [sym_constant] = STATE(1021),
    [sym_dynamic] = STATE(1021),
    [sym_import] = STATE(1021),
    [sym_dynamic_import] = STATE(1021),
    [sym_return] = STATE(673),
    [sym_gather] = STATE(673),
    [sym_scatter] = STATE(673),
    [sym_allresults] = STATE(673),
    [sym_parenthesized_expression] = STATE(673),
    [sym__variable] = STATE(673),
    [sym_variable] = STATE(673),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(673),
    [sym_relational_operator] = STATE(673),
    [sym_logical_operator] = STATE(673),
    [sym_arithmetic_operator] = STATE(673),
    [sym_unary_operator] = STATE(673),
    [sym_character_literal] = STATE(673),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__locking] = ACTIONS(875),
    [anon_sym__protection] = ACTIONS(877),
    [anon_sym__lock] = ACTIONS(129),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(845),
    [sym_false] = ACTIONS(845),
    [sym_maybe] = ACTIONS(845),
    [sym_unset] = ACTIONS(845),
    [sym_super] = ACTIONS(845),
    [sym_self] = ACTIONS(845),
    [sym_clone] = ACTIONS(845),
    [sym_thisthread] = ACTIONS(845),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(847),
    [anon_sym__constant] = ACTIONS(849),
    [anon_sym__dynamic] = ACTIONS(851),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(845),
    [sym_global_variable] = ACTIONS(845),
    [sym_global_reference] = ACTIONS(845),
    [sym_number] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [116] = {
    [sym__method_declaration] = STATE(1297),
    [sym_method] = STATE(1297),
    [sym_procedure] = STATE(938),
    [sym_block] = STATE(938),
    [sym_assignment] = STATE(938),
    [sym_if] = STATE(938),
    [sym_loop] = STATE(938),
    [sym_handling] = STATE(938),
    [sym_catch] = STATE(938),
    [sym_throw] = STATE(938),
    [sym_primitive] = STATE(938),
    [sym_iterator] = STATE(938),
    [sym_while] = STATE(938),
    [sym_try] = STATE(938),
    [sym_loopbody] = STATE(938),
    [sym_leave] = STATE(938),
    [sym_continue] = STATE(938),
    [sym_protect] = STATE(938),
    [sym_lock] = STATE(938),
    [sym_pragma] = STATE(211),
    [sym__literal] = STATE(938),
    [sym_string_literal] = STATE(938),
    [sym_call] = STATE(938),
    [sym_invoke] = STATE(938),
    [sym_indexed_access] = STATE(938),
    [sym_slot_accessor] = STATE(938),
    [sym_class] = STATE(938),
    [sym__top_level_statement] = STATE(1297),
    [sym__expression] = STATE(938),
    [sym__global_assignment] = STATE(1297),
    [sym_return] = STATE(938),
    [sym__definition] = STATE(1297),
    [sym_gather] = STATE(938),
    [sym_scatter] = STATE(938),
    [sym_allresults] = STATE(938),
    [sym_parenthesized_expression] = STATE(938),
    [sym__variable] = STATE(938),
    [sym_variable] = STATE(938),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(938),
    [sym_relational_operator] = STATE(938),
    [sym_logical_operator] = STATE(938),
    [sym_arithmetic_operator] = STATE(938),
    [sym_unary_operator] = STATE(938),
    [sym_character_literal] = STATE(938),
    [aux_sym_fragment_repeat1] = STATE(116),
    [ts_builtin_sym_end] = ACTIONS(879),
    [anon_sym__package] = ACTIONS(879),
    [sym__dollar] = ACTIONS(879),
    [anon_sym__abstract] = ACTIONS(881),
    [anon_sym__private] = ACTIONS(884),
    [anon_sym__iter] = ACTIONS(887),
    [anon_sym__method] = ACTIONS(890),
    [anon_sym_DOT] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(896),
    [anon_sym__gather] = ACTIONS(899),
    [anon_sym__proc] = ACTIONS(902),
    [anon_sym__block] = ACTIONS(905),
    [anon_sym__if] = ACTIONS(908),
    [anon_sym__loop] = ACTIONS(911),
    [anon_sym__handling] = ACTIONS(914),
    [anon_sym__catch] = ACTIONS(917),
    [anon_sym__throw] = ACTIONS(920),
    [anon_sym__primitive] = ACTIONS(923),
    [anon_sym__for] = ACTIONS(926),
    [anon_sym__over] = ACTIONS(929),
    [anon_sym__while] = ACTIONS(932),
    [anon_sym__try] = ACTIONS(935),
    [anon_sym__loopbody] = ACTIONS(938),
    [anon_sym__leave] = ACTIONS(941),
    [anon_sym__continue] = ACTIONS(944),
    [anon_sym__protect] = ACTIONS(947),
    [anon_sym__lock] = ACTIONS(950),
    [anon_sym__pragma] = ACTIONS(953),
    [anon_sym_DQUOTE] = ACTIONS(956),
    [anon_sym_SQUOTE] = ACTIONS(959),
    [aux_sym_slot_accessor_token1] = ACTIONS(962),
    [sym_true] = ACTIONS(965),
    [sym_false] = ACTIONS(965),
    [sym_maybe] = ACTIONS(965),
    [sym_unset] = ACTIONS(965),
    [sym_super] = ACTIONS(965),
    [sym_self] = ACTIONS(965),
    [sym_clone] = ACTIONS(965),
    [sym_thisthread] = ACTIONS(965),
    [anon_sym__class] = ACTIONS(968),
    [anon_sym__global] = ACTIONS(971),
    [anon_sym__return] = ACTIONS(974),
    [anon_sym_GT_GT] = ACTIONS(977),
    [anon_sym__scatter] = ACTIONS(980),
    [anon_sym__allresults] = ACTIONS(983),
    [sym_dynamic_variable] = ACTIONS(965),
    [sym_global_variable] = ACTIONS(965),
    [sym_global_reference] = ACTIONS(965),
    [sym_number] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(986),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym__not] = ACTIONS(989),
    [anon_sym_TILDE] = ACTIONS(989),
    [sym_symbol] = ACTIONS(965),
    [anon_sym_PERCENT] = ACTIONS(992),
    [sym_comment] = ACTIONS(87),
  },
  [117] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1519),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(675),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [118] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1557),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(677),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [119] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1582),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(517),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [120] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1676),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(507),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [121] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1495),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(511),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [122] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1587),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(683),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [123] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1674),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(995),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [124] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1606),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(503),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [125] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1671),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(669),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [126] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1679),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(997),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [127] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1669),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(685),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [128] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1501),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(999),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [129] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1617),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__endprotect] = ACTIONS(1001),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [130] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1652),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__endcatch] = ACTIONS(1003),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [131] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1509),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__endif] = ACTIONS(1005),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [132] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1681),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(473),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [133] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1591),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(697),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [134] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1482),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(719),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [135] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1603),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__endprotect] = ACTIONS(1007),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [136] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1507),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(689),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [137] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1694),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(1009),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [138] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1667),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(715),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [139] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1492),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(1011),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [140] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1589),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(1013),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [141] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1593),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(1015),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [142] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1697),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(1017),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [143] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1687),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(1019),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [144] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1515),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(721),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [145] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1665),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(723),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [146] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1662),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(731),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [147] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1699),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(767),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [148] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1502),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(717),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [149] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1598),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(477),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [150] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1579),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(481),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [151] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1660),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(729),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [152] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1604),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(691),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [153] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1657),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(725),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [154] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1601),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(1021),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [155] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1654),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(493),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [156] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1678),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(475),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [157] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1673),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(775),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [158] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1642),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(693),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [159] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1568),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(755),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [160] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1588),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__endprotect] = ACTIONS(1023),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [161] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1516),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(713),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [162] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1484),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(771),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [163] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1577),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(1025),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [164] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1594),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__endprotect] = ACTIONS(1027),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [165] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1543),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__endcatch] = ACTIONS(1029),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [166] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1566),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(807),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [167] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1528),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__endprotect] = ACTIONS(1031),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [168] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1564),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(1033),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [169] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1608),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(1035),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [170] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1526),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(703),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [171] = {
    [sym_procedure] = STATE(673),
    [sym_block] = STATE(673),
    [sym_assignment] = STATE(673),
    [sym_if] = STATE(673),
    [sym_loop] = STATE(673),
    [sym_handling] = STATE(673),
    [sym_catch] = STATE(673),
    [sym_throw] = STATE(673),
    [sym_primitive] = STATE(673),
    [sym_iterator] = STATE(673),
    [sym_while] = STATE(673),
    [sym_try] = STATE(673),
    [sym_loopbody] = STATE(673),
    [sym_leave] = STATE(673),
    [sym_continue] = STATE(673),
    [sym_protect] = STATE(673),
    [sym_lock] = STATE(673),
    [sym__literal] = STATE(673),
    [sym_string_literal] = STATE(673),
    [sym_call] = STATE(673),
    [sym_invoke] = STATE(673),
    [sym_indexed_access] = STATE(673),
    [sym_slot_accessor] = STATE(673),
    [sym_class] = STATE(673),
    [sym__expression] = STATE(673),
    [sym__codeblock] = STATE(1570),
    [sym__defvar] = STATE(1021),
    [sym_global] = STATE(1021),
    [sym_local] = STATE(1021),
    [sym_constant] = STATE(1021),
    [sym_dynamic] = STATE(1021),
    [sym_import] = STATE(1021),
    [sym_dynamic_import] = STATE(1021),
    [sym_return] = STATE(673),
    [sym_gather] = STATE(673),
    [sym_scatter] = STATE(673),
    [sym_allresults] = STATE(673),
    [sym_parenthesized_expression] = STATE(673),
    [sym__variable] = STATE(673),
    [sym_variable] = STATE(673),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(673),
    [sym_relational_operator] = STATE(673),
    [sym_logical_operator] = STATE(673),
    [sym_arithmetic_operator] = STATE(673),
    [sym_unary_operator] = STATE(673),
    [sym_character_literal] = STATE(673),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__protection] = ACTIONS(1037),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(845),
    [sym_false] = ACTIONS(845),
    [sym_maybe] = ACTIONS(845),
    [sym_unset] = ACTIONS(845),
    [sym_super] = ACTIONS(845),
    [sym_self] = ACTIONS(845),
    [sym_clone] = ACTIONS(845),
    [sym_thisthread] = ACTIONS(845),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(847),
    [anon_sym__constant] = ACTIONS(849),
    [anon_sym__dynamic] = ACTIONS(851),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(845),
    [sym_global_variable] = ACTIONS(845),
    [sym_global_reference] = ACTIONS(845),
    [sym_number] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [172] = {
    [sym_procedure] = STATE(673),
    [sym_block] = STATE(673),
    [sym_assignment] = STATE(673),
    [sym_if] = STATE(673),
    [sym_loop] = STATE(673),
    [sym_handling] = STATE(673),
    [sym_catch] = STATE(673),
    [sym_throw] = STATE(673),
    [sym_primitive] = STATE(673),
    [sym_iterator] = STATE(673),
    [sym_while] = STATE(673),
    [sym_try] = STATE(673),
    [sym_loopbody] = STATE(673),
    [sym_leave] = STATE(673),
    [sym_continue] = STATE(673),
    [sym_protect] = STATE(673),
    [sym_lock] = STATE(673),
    [sym__literal] = STATE(673),
    [sym_string_literal] = STATE(673),
    [sym_call] = STATE(673),
    [sym_invoke] = STATE(673),
    [sym_indexed_access] = STATE(673),
    [sym_slot_accessor] = STATE(673),
    [sym_class] = STATE(673),
    [sym__expression] = STATE(673),
    [sym__codeblock] = STATE(1496),
    [sym__defvar] = STATE(1021),
    [sym_global] = STATE(1021),
    [sym_local] = STATE(1021),
    [sym_constant] = STATE(1021),
    [sym_dynamic] = STATE(1021),
    [sym_import] = STATE(1021),
    [sym_dynamic_import] = STATE(1021),
    [sym_return] = STATE(673),
    [sym_gather] = STATE(673),
    [sym_scatter] = STATE(673),
    [sym_allresults] = STATE(673),
    [sym_parenthesized_expression] = STATE(673),
    [sym__variable] = STATE(673),
    [sym_variable] = STATE(673),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(673),
    [sym_relational_operator] = STATE(673),
    [sym_logical_operator] = STATE(673),
    [sym_arithmetic_operator] = STATE(673),
    [sym_unary_operator] = STATE(673),
    [sym_character_literal] = STATE(673),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__protection] = ACTIONS(1039),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(845),
    [sym_false] = ACTIONS(845),
    [sym_maybe] = ACTIONS(845),
    [sym_unset] = ACTIONS(845),
    [sym_super] = ACTIONS(845),
    [sym_self] = ACTIONS(845),
    [sym_clone] = ACTIONS(845),
    [sym_thisthread] = ACTIONS(845),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(847),
    [anon_sym__constant] = ACTIONS(849),
    [anon_sym__dynamic] = ACTIONS(851),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(845),
    [sym_global_variable] = ACTIONS(845),
    [sym_global_reference] = ACTIONS(845),
    [sym_number] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(845),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [173] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1609),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__endblock] = ACTIONS(1041),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [174] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1483),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(497),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [175] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1560),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(499),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [176] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1649),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__endprotect] = ACTIONS(1043),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [177] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1586),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(1045),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [178] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1672),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(1047),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [179] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1549),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(509),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [180] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1517),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(763),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [181] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1555),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(501),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [182] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1638),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(687),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [183] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1644),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(791),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [184] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1573),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__endloop] = ACTIONS(1049),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [185] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1698),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym__endlock] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [186] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1634),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__endprotect] = ACTIONS(1053),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [187] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1533),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__endprotect] = ACTIONS(1055),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [188] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1531),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym__endlock] = ACTIONS(1057),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [189] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1635),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(661),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [190] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1527),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(1059),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [191] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1682),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__endblock] = ACTIONS(1061),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [192] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1628),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(783),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [193] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1574),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(1063),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [194] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1613),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(1065),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [195] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1685),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(679),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [196] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1632),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(657),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [197] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1680),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(1067),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [198] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1629),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(645),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [199] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1627),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(1069),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [200] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1620),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(787),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [201] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1622),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(519),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [202] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1541),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(651),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [203] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1563),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(739),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [204] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1605),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(795),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [205] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1615),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__endmethod] = ACTIONS(515),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [206] = {
    [sym_procedure] = STATE(519),
    [sym_block] = STATE(519),
    [sym_assignment] = STATE(519),
    [sym_if] = STATE(519),
    [sym_loop] = STATE(519),
    [sym_handling] = STATE(519),
    [sym_catch] = STATE(519),
    [sym_throw] = STATE(519),
    [sym_primitive] = STATE(519),
    [sym_iterator] = STATE(519),
    [sym_while] = STATE(519),
    [sym_try] = STATE(519),
    [sym_loopbody] = STATE(519),
    [sym_leave] = STATE(519),
    [sym_continue] = STATE(519),
    [sym_protect] = STATE(519),
    [sym_lock] = STATE(519),
    [sym__literal] = STATE(519),
    [sym_string_literal] = STATE(519),
    [sym_call] = STATE(519),
    [sym_invoke] = STATE(519),
    [sym_indexed_access] = STATE(519),
    [sym_slot_accessor] = STATE(519),
    [sym_class] = STATE(519),
    [sym__expression] = STATE(519),
    [sym__codeblock] = STATE(1600),
    [sym__defvar] = STATE(981),
    [sym_global] = STATE(981),
    [sym_local] = STATE(981),
    [sym_constant] = STATE(981),
    [sym_dynamic] = STATE(981),
    [sym_import] = STATE(981),
    [sym_dynamic_import] = STATE(981),
    [sym_return] = STATE(519),
    [sym_gather] = STATE(519),
    [sym_scatter] = STATE(519),
    [sym_allresults] = STATE(519),
    [sym_parenthesized_expression] = STATE(519),
    [sym__variable] = STATE(519),
    [sym_variable] = STATE(519),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(519),
    [sym_relational_operator] = STATE(519),
    [sym_logical_operator] = STATE(519),
    [sym_arithmetic_operator] = STATE(519),
    [sym_unary_operator] = STATE(519),
    [sym_character_literal] = STATE(519),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__endproc] = ACTIONS(803),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(337),
    [sym_false] = ACTIONS(337),
    [sym_maybe] = ACTIONS(337),
    [sym_unset] = ACTIONS(337),
    [sym_super] = ACTIONS(337),
    [sym_self] = ACTIONS(337),
    [sym_clone] = ACTIONS(337),
    [sym_thisthread] = ACTIONS(337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(337),
    [sym_global_variable] = ACTIONS(337),
    [sym_global_reference] = ACTIONS(337),
    [sym_number] = ACTIONS(337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [207] = {
    [sym_procedure] = STATE(899),
    [sym_block] = STATE(899),
    [sym_assignment] = STATE(899),
    [sym_if] = STATE(899),
    [sym_loop] = STATE(899),
    [sym_handling] = STATE(899),
    [sym_catch] = STATE(899),
    [sym_throw] = STATE(899),
    [sym_primitive] = STATE(899),
    [sym_iterator] = STATE(899),
    [sym_while] = STATE(899),
    [sym_try] = STATE(899),
    [sym_loopbody] = STATE(899),
    [sym_leave] = STATE(899),
    [sym_continue] = STATE(899),
    [sym_protect] = STATE(899),
    [sym_lock] = STATE(899),
    [sym__literal] = STATE(899),
    [sym_string_literal] = STATE(899),
    [sym_call] = STATE(899),
    [sym_invoke] = STATE(899),
    [sym_indexed_access] = STATE(899),
    [sym_slot_accessor] = STATE(899),
    [sym_class] = STATE(899),
    [sym__expression] = STATE(899),
    [sym__defvar] = STATE(987),
    [sym_global] = STATE(987),
    [sym_local] = STATE(987),
    [sym_constant] = STATE(987),
    [sym_dynamic] = STATE(987),
    [sym_import] = STATE(987),
    [sym_dynamic_import] = STATE(987),
    [sym_return] = STATE(899),
    [sym_gather] = STATE(899),
    [sym_scatter] = STATE(899),
    [sym_allresults] = STATE(899),
    [sym_parenthesized_expression] = STATE(899),
    [sym__variable] = STATE(899),
    [sym_variable] = STATE(899),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(899),
    [sym_relational_operator] = STATE(899),
    [sym_logical_operator] = STATE(899),
    [sym_arithmetic_operator] = STATE(899),
    [sym_unary_operator] = STATE(899),
    [sym_character_literal] = STATE(899),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__protection] = ACTIONS(329),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1071),
    [sym_false] = ACTIONS(1071),
    [sym_maybe] = ACTIONS(1071),
    [sym_unset] = ACTIONS(1071),
    [sym_super] = ACTIONS(1071),
    [sym_self] = ACTIONS(1071),
    [sym_clone] = ACTIONS(1071),
    [sym_thisthread] = ACTIONS(1071),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(847),
    [anon_sym__constant] = ACTIONS(849),
    [anon_sym__dynamic] = ACTIONS(851),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1071),
    [sym_global_variable] = ACTIONS(1071),
    [sym_global_reference] = ACTIONS(1071),
    [sym_number] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1071),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [208] = {
    [sym_procedure] = STATE(899),
    [sym_block] = STATE(899),
    [sym_assignment] = STATE(899),
    [sym_if] = STATE(899),
    [sym_loop] = STATE(899),
    [sym_handling] = STATE(899),
    [sym_catch] = STATE(899),
    [sym_throw] = STATE(899),
    [sym_primitive] = STATE(899),
    [sym_iterator] = STATE(899),
    [sym_while] = STATE(899),
    [sym_try] = STATE(899),
    [sym_loopbody] = STATE(899),
    [sym_leave] = STATE(899),
    [sym_continue] = STATE(899),
    [sym_protect] = STATE(899),
    [sym_lock] = STATE(899),
    [sym__literal] = STATE(899),
    [sym_string_literal] = STATE(899),
    [sym_call] = STATE(899),
    [sym_invoke] = STATE(899),
    [sym_indexed_access] = STATE(899),
    [sym_slot_accessor] = STATE(899),
    [sym_class] = STATE(899),
    [sym__expression] = STATE(899),
    [sym__defvar] = STATE(987),
    [sym_global] = STATE(987),
    [sym_local] = STATE(987),
    [sym_constant] = STATE(987),
    [sym_dynamic] = STATE(987),
    [sym_import] = STATE(987),
    [sym_dynamic_import] = STATE(987),
    [sym_return] = STATE(899),
    [sym_gather] = STATE(899),
    [sym_scatter] = STATE(899),
    [sym_allresults] = STATE(899),
    [sym_parenthesized_expression] = STATE(899),
    [sym__variable] = STATE(899),
    [sym_variable] = STATE(899),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(899),
    [sym_relational_operator] = STATE(899),
    [sym_logical_operator] = STATE(899),
    [sym_arithmetic_operator] = STATE(899),
    [sym_unary_operator] = STATE(899),
    [sym_character_literal] = STATE(899),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(127),
    [anon_sym__protection] = ACTIONS(315),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1071),
    [sym_false] = ACTIONS(1071),
    [sym_maybe] = ACTIONS(1071),
    [sym_unset] = ACTIONS(1071),
    [sym_super] = ACTIONS(1071),
    [sym_self] = ACTIONS(1071),
    [sym_clone] = ACTIONS(1071),
    [sym_thisthread] = ACTIONS(1071),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(847),
    [anon_sym__constant] = ACTIONS(849),
    [anon_sym__dynamic] = ACTIONS(851),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1071),
    [sym_global_variable] = ACTIONS(1071),
    [sym_global_reference] = ACTIONS(1071),
    [sym_number] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1071),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [209] = {
    [sym_procedure] = STATE(899),
    [sym_block] = STATE(899),
    [sym_assignment] = STATE(899),
    [sym_if] = STATE(899),
    [sym_loop] = STATE(899),
    [sym_handling] = STATE(899),
    [sym_catch] = STATE(899),
    [sym_throw] = STATE(899),
    [sym_primitive] = STATE(899),
    [sym_iterator] = STATE(899),
    [sym_while] = STATE(899),
    [sym_try] = STATE(899),
    [sym_loopbody] = STATE(899),
    [sym_leave] = STATE(899),
    [sym_continue] = STATE(899),
    [sym_protect] = STATE(899),
    [sym_lock] = STATE(899),
    [sym__literal] = STATE(899),
    [sym_string_literal] = STATE(899),
    [sym_call] = STATE(899),
    [sym_invoke] = STATE(899),
    [sym_indexed_access] = STATE(899),
    [sym_slot_accessor] = STATE(899),
    [sym_class] = STATE(899),
    [sym__expression] = STATE(899),
    [sym__defvar] = STATE(987),
    [sym_global] = STATE(987),
    [sym_local] = STATE(987),
    [sym_constant] = STATE(987),
    [sym_dynamic] = STATE(987),
    [sym_import] = STATE(987),
    [sym_dynamic_import] = STATE(987),
    [sym_return] = STATE(899),
    [sym_gather] = STATE(899),
    [sym_scatter] = STATE(899),
    [sym_allresults] = STATE(899),
    [sym_parenthesized_expression] = STATE(899),
    [sym__variable] = STATE(899),
    [sym_variable] = STATE(899),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(899),
    [sym_relational_operator] = STATE(899),
    [sym_logical_operator] = STATE(899),
    [sym_arithmetic_operator] = STATE(899),
    [sym_unary_operator] = STATE(899),
    [sym_character_literal] = STATE(899),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1071),
    [sym_false] = ACTIONS(1071),
    [sym_maybe] = ACTIONS(1071),
    [sym_unset] = ACTIONS(1071),
    [sym_super] = ACTIONS(1071),
    [sym_self] = ACTIONS(1071),
    [sym_clone] = ACTIONS(1071),
    [sym_thisthread] = ACTIONS(1071),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(847),
    [anon_sym__constant] = ACTIONS(849),
    [anon_sym__dynamic] = ACTIONS(851),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1071),
    [sym_global_variable] = ACTIONS(1071),
    [sym_global_reference] = ACTIONS(1071),
    [sym_number] = ACTIONS(1071),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1071),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [210] = {
    [sym_procedure] = STATE(611),
    [sym_block] = STATE(611),
    [sym_assignment] = STATE(611),
    [sym_if] = STATE(611),
    [sym_loop] = STATE(611),
    [sym_handling] = STATE(611),
    [sym_catch] = STATE(611),
    [sym_throw] = STATE(611),
    [sym_primitive] = STATE(611),
    [sym_iterator] = STATE(611),
    [sym_while] = STATE(611),
    [sym_try] = STATE(611),
    [sym_loopbody] = STATE(611),
    [sym_leave] = STATE(611),
    [sym_continue] = STATE(611),
    [sym_protect] = STATE(611),
    [sym_lock] = STATE(611),
    [sym__literal] = STATE(611),
    [sym_string_literal] = STATE(611),
    [sym_call] = STATE(611),
    [sym_invoke] = STATE(611),
    [sym_indexed_access] = STATE(611),
    [sym_slot_accessor] = STATE(611),
    [sym_class] = STATE(611),
    [sym__expression] = STATE(611),
    [sym__defvar] = STATE(987),
    [sym_global] = STATE(987),
    [sym_local] = STATE(987),
    [sym_constant] = STATE(987),
    [sym_dynamic] = STATE(987),
    [sym_import] = STATE(987),
    [sym_dynamic_import] = STATE(987),
    [sym_return] = STATE(611),
    [sym_gather] = STATE(611),
    [sym_scatter] = STATE(611),
    [sym_allresults] = STATE(611),
    [sym_parenthesized_expression] = STATE(611),
    [sym__variable] = STATE(611),
    [sym_variable] = STATE(611),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(611),
    [sym_relational_operator] = STATE(611),
    [sym_logical_operator] = STATE(611),
    [sym_arithmetic_operator] = STATE(611),
    [sym_unary_operator] = STATE(611),
    [sym_character_literal] = STATE(611),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(317),
    [sym_false] = ACTIONS(317),
    [sym_maybe] = ACTIONS(317),
    [sym_unset] = ACTIONS(317),
    [sym_super] = ACTIONS(317),
    [sym_self] = ACTIONS(317),
    [sym_clone] = ACTIONS(317),
    [sym_thisthread] = ACTIONS(317),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__global] = ACTIONS(319),
    [anon_sym__local] = ACTIONS(321),
    [anon_sym__constant] = ACTIONS(323),
    [anon_sym__dynamic] = ACTIONS(325),
    [anon_sym__import] = ACTIONS(327),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(317),
    [sym_global_variable] = ACTIONS(317),
    [sym_global_reference] = ACTIONS(317),
    [sym_number] = ACTIONS(317),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(317),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [211] = {
    [sym_method] = STATE(1410),
    [sym_procedure] = STATE(964),
    [sym_block] = STATE(964),
    [sym_assignment] = STATE(964),
    [sym_if] = STATE(964),
    [sym_loop] = STATE(964),
    [sym_handling] = STATE(964),
    [sym_catch] = STATE(964),
    [sym_throw] = STATE(964),
    [sym_primitive] = STATE(964),
    [sym_iterator] = STATE(964),
    [sym_while] = STATE(964),
    [sym_try] = STATE(964),
    [sym_loopbody] = STATE(964),
    [sym_leave] = STATE(964),
    [sym_continue] = STATE(964),
    [sym_protect] = STATE(964),
    [sym_lock] = STATE(964),
    [sym__literal] = STATE(964),
    [sym_string_literal] = STATE(964),
    [sym_call] = STATE(940),
    [sym_invoke] = STATE(940),
    [sym_indexed_access] = STATE(964),
    [sym_slot_accessor] = STATE(964),
    [sym_class] = STATE(964),
    [sym__expression] = STATE(964),
    [sym_return] = STATE(964),
    [sym_gather] = STATE(964),
    [sym_scatter] = STATE(964),
    [sym_allresults] = STATE(964),
    [sym_parenthesized_expression] = STATE(964),
    [sym__variable] = STATE(964),
    [sym_variable] = STATE(964),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(964),
    [sym_relational_operator] = STATE(964),
    [sym_logical_operator] = STATE(964),
    [sym_arithmetic_operator] = STATE(964),
    [sym_unary_operator] = STATE(964),
    [sym_character_literal] = STATE(964),
    [sym_documentation] = STATE(349),
    [aux_sym_documentation_repeat1] = STATE(641),
    [anon_sym__abstract] = ACTIONS(11),
    [anon_sym__private] = ACTIONS(13),
    [anon_sym__iter] = ACTIONS(1073),
    [anon_sym__method] = ACTIONS(17),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1083),
    [sym_false] = ACTIONS(1083),
    [sym_maybe] = ACTIONS(1083),
    [sym_unset] = ACTIONS(1083),
    [sym_super] = ACTIONS(1083),
    [sym_self] = ACTIONS(1083),
    [sym_clone] = ACTIONS(1083),
    [sym_thisthread] = ACTIONS(1083),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__global] = ACTIONS(1085),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1083),
    [sym_global_variable] = ACTIONS(1083),
    [sym_global_reference] = ACTIONS(1083),
    [sym_number] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1083),
    [anon_sym_PERCENT] = ACTIONS(245),
    [aux_sym_documentation_token1] = ACTIONS(469),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(1677),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym_RPAREN] = ACTIONS(1093),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [213] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(1590),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [214] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(1571),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym_RPAREN] = ACTIONS(1097),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [215] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(1534),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [216] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(1602),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym_RPAREN] = ACTIONS(1101),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [217] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(1612),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym_RBRACK] = ACTIONS(1103),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [218] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(1597),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym_RPAREN] = ACTIONS(1105),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [219] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(1596),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym_RBRACK] = ACTIONS(1107),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [220] = {
    [sym_procedure] = STATE(554),
    [sym_block] = STATE(554),
    [sym_assignment] = STATE(554),
    [sym_if] = STATE(554),
    [sym_loop] = STATE(554),
    [sym_handling] = STATE(554),
    [sym_catch] = STATE(554),
    [sym_throw] = STATE(554),
    [sym_primitive] = STATE(554),
    [sym_iterator] = STATE(554),
    [sym_while] = STATE(554),
    [sym_try] = STATE(554),
    [sym_loopbody] = STATE(554),
    [sym_leave] = STATE(554),
    [sym_continue] = STATE(554),
    [sym_protect] = STATE(554),
    [sym_lock] = STATE(554),
    [sym__literal] = STATE(554),
    [sym_string_literal] = STATE(554),
    [sym_call] = STATE(554),
    [sym_invoke] = STATE(554),
    [sym_indexed_access] = STATE(554),
    [sym_slot_accessor] = STATE(554),
    [sym__expression_list] = STATE(496),
    [sym_class] = STATE(554),
    [sym__expression] = STATE(554),
    [sym_return] = STATE(554),
    [sym_gather] = STATE(554),
    [sym_scatter] = STATE(554),
    [sym_allresults] = STATE(554),
    [sym_parenthesized_expression] = STATE(554),
    [sym__variable] = STATE(554),
    [sym_variable] = STATE(554),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(554),
    [sym_relational_operator] = STATE(554),
    [sym_logical_operator] = STATE(554),
    [sym_arithmetic_operator] = STATE(554),
    [sym_unary_operator] = STATE(554),
    [sym_character_literal] = STATE(554),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_maybe] = ACTIONS(1117),
    [sym_unset] = ACTIONS(1117),
    [sym_super] = ACTIONS(1117),
    [sym_self] = ACTIONS(1117),
    [sym_clone] = ACTIONS(1117),
    [sym_thisthread] = ACTIONS(1117),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1117),
    [sym_global_variable] = ACTIONS(1117),
    [sym_global_reference] = ACTIONS(1117),
    [sym_number] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [221] = {
    [sym_procedure] = STATE(916),
    [sym_block] = STATE(916),
    [sym_assignment] = STATE(916),
    [sym_if] = STATE(916),
    [sym_loop] = STATE(916),
    [sym_handling] = STATE(916),
    [sym_catch] = STATE(916),
    [sym_throw] = STATE(916),
    [sym_primitive] = STATE(916),
    [sym_iterator] = STATE(916),
    [sym_while] = STATE(916),
    [sym_try] = STATE(916),
    [sym_loopbody] = STATE(916),
    [sym_leave] = STATE(916),
    [sym_continue] = STATE(916),
    [sym_protect] = STATE(916),
    [sym_lock] = STATE(916),
    [sym__literal] = STATE(916),
    [sym_string_literal] = STATE(916),
    [sym_call] = STATE(916),
    [sym_invoke] = STATE(916),
    [sym_indexed_access] = STATE(916),
    [sym_slot_accessor] = STATE(916),
    [sym__expression_list] = STATE(1625),
    [sym_class] = STATE(916),
    [sym__expression] = STATE(916),
    [sym_return] = STATE(916),
    [sym_gather] = STATE(916),
    [sym_scatter] = STATE(916),
    [sym_allresults] = STATE(916),
    [sym_parenthesized_expression] = STATE(916),
    [sym__variable] = STATE(916),
    [sym_variable] = STATE(916),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(916),
    [sym_relational_operator] = STATE(916),
    [sym_logical_operator] = STATE(916),
    [sym_arithmetic_operator] = STATE(916),
    [sym_unary_operator] = STATE(916),
    [sym_character_literal] = STATE(916),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1125),
    [sym_false] = ACTIONS(1125),
    [sym_maybe] = ACTIONS(1125),
    [sym_unset] = ACTIONS(1125),
    [sym_super] = ACTIONS(1125),
    [sym_self] = ACTIONS(1125),
    [sym_clone] = ACTIONS(1125),
    [sym_thisthread] = ACTIONS(1125),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1125),
    [sym_global_variable] = ACTIONS(1125),
    [sym_global_reference] = ACTIONS(1125),
    [sym_number] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1125),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [222] = {
    [sym_procedure] = STATE(567),
    [sym_block] = STATE(567),
    [sym_assignment] = STATE(567),
    [sym_if] = STATE(567),
    [sym_loop] = STATE(567),
    [sym_handling] = STATE(567),
    [sym_catch] = STATE(567),
    [sym_throw] = STATE(567),
    [sym_primitive] = STATE(567),
    [sym_iterator] = STATE(567),
    [sym_while] = STATE(567),
    [sym_try] = STATE(567),
    [sym_loopbody] = STATE(567),
    [sym_leave] = STATE(567),
    [sym_continue] = STATE(567),
    [sym_protect] = STATE(567),
    [sym_lock] = STATE(567),
    [sym__literal] = STATE(567),
    [sym_string_literal] = STATE(567),
    [sym_call] = STATE(567),
    [sym_invoke] = STATE(567),
    [sym_indexed_access] = STATE(567),
    [sym_slot_accessor] = STATE(567),
    [sym_class] = STATE(567),
    [sym__expression] = STATE(567),
    [sym_return] = STATE(567),
    [sym_gather] = STATE(567),
    [sym_scatter] = STATE(567),
    [sym_allresults] = STATE(567),
    [sym_parenthesized_expression] = STATE(567),
    [sym__variable] = STATE(567),
    [sym_variable] = STATE(567),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(567),
    [sym_relational_operator] = STATE(567),
    [sym_logical_operator] = STATE(567),
    [sym_arithmetic_operator] = STATE(567),
    [sym_unary_operator] = STATE(567),
    [sym_character_literal] = STATE(567),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__default] = ACTIONS(1131),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1139),
    [sym_false] = ACTIONS(1139),
    [sym_maybe] = ACTIONS(1139),
    [sym_unset] = ACTIONS(1139),
    [sym_super] = ACTIONS(1139),
    [sym_self] = ACTIONS(1139),
    [sym_clone] = ACTIONS(1139),
    [sym_thisthread] = ACTIONS(1139),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1139),
    [sym_global_variable] = ACTIONS(1139),
    [sym_global_reference] = ACTIONS(1139),
    [sym_number] = ACTIONS(1139),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1139),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [223] = {
    [sym_procedure] = STATE(927),
    [sym_block] = STATE(927),
    [sym_assignment] = STATE(927),
    [sym_if] = STATE(927),
    [sym_loop] = STATE(927),
    [sym_handling] = STATE(927),
    [sym_catch] = STATE(927),
    [sym_throw] = STATE(927),
    [sym_primitive] = STATE(927),
    [sym_iterator] = STATE(927),
    [sym_while] = STATE(927),
    [sym_try] = STATE(927),
    [sym_loopbody] = STATE(927),
    [sym_leave] = STATE(927),
    [sym_continue] = STATE(927),
    [sym_protect] = STATE(927),
    [sym_lock] = STATE(927),
    [sym__literal] = STATE(927),
    [sym_string_literal] = STATE(927),
    [sym_call] = STATE(927),
    [sym_invoke] = STATE(927),
    [sym_indexed_access] = STATE(927),
    [sym_slot_accessor] = STATE(927),
    [sym_class] = STATE(927),
    [sym__expression] = STATE(927),
    [sym_return] = STATE(927),
    [sym_gather] = STATE(927),
    [sym_scatter] = STATE(927),
    [sym_allresults] = STATE(927),
    [sym_parenthesized_expression] = STATE(927),
    [sym__variable] = STATE(927),
    [sym_variable] = STATE(927),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(927),
    [sym_relational_operator] = STATE(927),
    [sym_logical_operator] = STATE(927),
    [sym_arithmetic_operator] = STATE(927),
    [sym_unary_operator] = STATE(927),
    [sym_character_literal] = STATE(927),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1151),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_maybe] = ACTIONS(1153),
    [sym_unset] = ACTIONS(1153),
    [sym_super] = ACTIONS(1153),
    [sym_self] = ACTIONS(1153),
    [sym_clone] = ACTIONS(1153),
    [sym_thisthread] = ACTIONS(1153),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1153),
    [sym_global_variable] = ACTIONS(1153),
    [sym_global_reference] = ACTIONS(1153),
    [sym_number] = ACTIONS(1153),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [224] = {
    [sym_procedure] = STATE(914),
    [sym_block] = STATE(914),
    [sym_assignment] = STATE(914),
    [sym_if] = STATE(914),
    [sym_loop] = STATE(914),
    [sym_handling] = STATE(914),
    [sym_catch] = STATE(914),
    [sym_throw] = STATE(914),
    [sym_primitive] = STATE(914),
    [sym_iterator] = STATE(914),
    [sym_while] = STATE(914),
    [sym_try] = STATE(914),
    [sym_loopbody] = STATE(914),
    [sym_leave] = STATE(914),
    [sym_continue] = STATE(914),
    [sym_protect] = STATE(914),
    [sym_lock] = STATE(914),
    [sym__literal] = STATE(914),
    [sym_string_literal] = STATE(914),
    [sym_call] = STATE(914),
    [sym_invoke] = STATE(914),
    [sym_indexed_access] = STATE(914),
    [sym_slot_accessor] = STATE(914),
    [sym_class] = STATE(914),
    [sym__expression] = STATE(914),
    [sym_return] = STATE(914),
    [sym_gather] = STATE(914),
    [sym_scatter] = STATE(914),
    [sym_allresults] = STATE(914),
    [sym_parenthesized_expression] = STATE(914),
    [sym__variable] = STATE(914),
    [sym_variable] = STATE(914),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(914),
    [sym_relational_operator] = STATE(914),
    [sym_logical_operator] = STATE(914),
    [sym_arithmetic_operator] = STATE(914),
    [sym_unary_operator] = STATE(914),
    [sym_character_literal] = STATE(914),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__default] = ACTIONS(1155),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1157),
    [sym_false] = ACTIONS(1157),
    [sym_maybe] = ACTIONS(1157),
    [sym_unset] = ACTIONS(1157),
    [sym_super] = ACTIONS(1157),
    [sym_self] = ACTIONS(1157),
    [sym_clone] = ACTIONS(1157),
    [sym_thisthread] = ACTIONS(1157),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1157),
    [sym_global_variable] = ACTIONS(1157),
    [sym_global_reference] = ACTIONS(1157),
    [sym_number] = ACTIONS(1157),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [225] = {
    [sym_procedure] = STATE(820),
    [sym_block] = STATE(820),
    [sym_assignment] = STATE(820),
    [sym_if] = STATE(820),
    [sym_loop] = STATE(820),
    [sym_handling] = STATE(820),
    [sym_catch] = STATE(820),
    [sym_throw] = STATE(820),
    [sym_primitive] = STATE(820),
    [sym_iterator] = STATE(820),
    [sym_while] = STATE(820),
    [sym_try] = STATE(820),
    [sym_loopbody] = STATE(820),
    [sym_leave] = STATE(820),
    [sym_continue] = STATE(820),
    [sym_protect] = STATE(820),
    [sym_lock] = STATE(820),
    [sym__literal] = STATE(820),
    [sym_string_literal] = STATE(820),
    [sym_call] = STATE(820),
    [sym_invoke] = STATE(820),
    [sym_indexed_access] = STATE(820),
    [sym_slot_accessor] = STATE(820),
    [sym_class] = STATE(820),
    [sym__expression] = STATE(820),
    [sym_return] = STATE(820),
    [sym_gather] = STATE(820),
    [sym_scatter] = STATE(820),
    [sym_allresults] = STATE(820),
    [sym_parenthesized_expression] = STATE(820),
    [sym__variable] = STATE(820),
    [sym_variable] = STATE(820),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(820),
    [sym_relational_operator] = STATE(820),
    [sym_logical_operator] = STATE(820),
    [sym_arithmetic_operator] = STATE(820),
    [sym_unary_operator] = STATE(820),
    [sym_character_literal] = STATE(820),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__default] = ACTIONS(1159),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1161),
    [sym_false] = ACTIONS(1161),
    [sym_maybe] = ACTIONS(1161),
    [sym_unset] = ACTIONS(1161),
    [sym_super] = ACTIONS(1161),
    [sym_self] = ACTIONS(1161),
    [sym_clone] = ACTIONS(1161),
    [sym_thisthread] = ACTIONS(1161),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1161),
    [sym_global_variable] = ACTIONS(1161),
    [sym_global_reference] = ACTIONS(1161),
    [sym_number] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1161),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [226] = {
    [sym_procedure] = STATE(554),
    [sym_block] = STATE(554),
    [sym_assignment] = STATE(554),
    [sym_if] = STATE(554),
    [sym_loop] = STATE(554),
    [sym_handling] = STATE(554),
    [sym_catch] = STATE(554),
    [sym_throw] = STATE(554),
    [sym_primitive] = STATE(554),
    [sym_iterator] = STATE(554),
    [sym_while] = STATE(554),
    [sym_try] = STATE(554),
    [sym_loopbody] = STATE(554),
    [sym_leave] = STATE(554),
    [sym_continue] = STATE(554),
    [sym_protect] = STATE(554),
    [sym_lock] = STATE(554),
    [sym__literal] = STATE(554),
    [sym_string_literal] = STATE(554),
    [sym_call] = STATE(554),
    [sym_invoke] = STATE(554),
    [sym_indexed_access] = STATE(554),
    [sym_slot_accessor] = STATE(554),
    [sym__expression_list] = STATE(463),
    [sym_class] = STATE(554),
    [sym__expression] = STATE(554),
    [sym_return] = STATE(554),
    [sym_gather] = STATE(554),
    [sym_scatter] = STATE(554),
    [sym_allresults] = STATE(554),
    [sym_parenthesized_expression] = STATE(554),
    [sym__variable] = STATE(554),
    [sym_variable] = STATE(554),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(554),
    [sym_relational_operator] = STATE(554),
    [sym_logical_operator] = STATE(554),
    [sym_arithmetic_operator] = STATE(554),
    [sym_unary_operator] = STATE(554),
    [sym_character_literal] = STATE(554),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_maybe] = ACTIONS(1117),
    [sym_unset] = ACTIONS(1117),
    [sym_super] = ACTIONS(1117),
    [sym_self] = ACTIONS(1117),
    [sym_clone] = ACTIONS(1117),
    [sym_thisthread] = ACTIONS(1117),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1117),
    [sym_global_variable] = ACTIONS(1117),
    [sym_global_reference] = ACTIONS(1117),
    [sym_number] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1117),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [227] = {
    [sym_procedure] = STATE(908),
    [sym_block] = STATE(908),
    [sym_assignment] = STATE(908),
    [sym_if] = STATE(908),
    [sym_loop] = STATE(908),
    [sym_handling] = STATE(908),
    [sym_catch] = STATE(908),
    [sym_throw] = STATE(908),
    [sym_primitive] = STATE(908),
    [sym_iterator] = STATE(908),
    [sym_while] = STATE(908),
    [sym_try] = STATE(908),
    [sym_loopbody] = STATE(908),
    [sym_leave] = STATE(908),
    [sym_continue] = STATE(908),
    [sym_protect] = STATE(908),
    [sym_lock] = STATE(908),
    [sym__literal] = STATE(908),
    [sym_string_literal] = STATE(908),
    [sym_call] = STATE(908),
    [sym_invoke] = STATE(908),
    [sym_indexed_access] = STATE(908),
    [sym_slot_accessor] = STATE(908),
    [sym__expression_list] = STATE(1646),
    [sym_class] = STATE(908),
    [sym__expression] = STATE(908),
    [sym_return] = STATE(908),
    [sym_gather] = STATE(908),
    [sym_scatter] = STATE(908),
    [sym_allresults] = STATE(908),
    [sym_parenthesized_expression] = STATE(908),
    [sym__variable] = STATE(908),
    [sym_variable] = STATE(908),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(908),
    [sym_relational_operator] = STATE(908),
    [sym_logical_operator] = STATE(908),
    [sym_arithmetic_operator] = STATE(908),
    [sym_unary_operator] = STATE(908),
    [sym_character_literal] = STATE(908),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [sym_maybe] = ACTIONS(1163),
    [sym_unset] = ACTIONS(1163),
    [sym_super] = ACTIONS(1163),
    [sym_self] = ACTIONS(1163),
    [sym_clone] = ACTIONS(1163),
    [sym_thisthread] = ACTIONS(1163),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1163),
    [sym_global_variable] = ACTIONS(1163),
    [sym_global_reference] = ACTIONS(1163),
    [sym_number] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [228] = {
    [sym_procedure] = STATE(935),
    [sym_block] = STATE(935),
    [sym_assignment] = STATE(935),
    [sym_if] = STATE(935),
    [sym_loop] = STATE(935),
    [sym_handling] = STATE(935),
    [sym_catch] = STATE(935),
    [sym_throw] = STATE(935),
    [sym_primitive] = STATE(935),
    [sym_iterator] = STATE(935),
    [sym_while] = STATE(935),
    [sym_try] = STATE(935),
    [sym_loopbody] = STATE(935),
    [sym_leave] = STATE(935),
    [sym_continue] = STATE(935),
    [sym_protect] = STATE(935),
    [sym_lock] = STATE(935),
    [sym__literal] = STATE(935),
    [sym_string_literal] = STATE(935),
    [sym_call] = STATE(935),
    [sym_invoke] = STATE(935),
    [sym_indexed_access] = STATE(935),
    [sym_slot_accessor] = STATE(935),
    [sym__expression_list] = STATE(1625),
    [sym_class] = STATE(935),
    [sym__expression] = STATE(935),
    [sym_return] = STATE(935),
    [sym_gather] = STATE(935),
    [sym_scatter] = STATE(935),
    [sym_allresults] = STATE(935),
    [sym_parenthesized_expression] = STATE(935),
    [sym__variable] = STATE(935),
    [sym_variable] = STATE(935),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(935),
    [sym_relational_operator] = STATE(935),
    [sym_logical_operator] = STATE(935),
    [sym_arithmetic_operator] = STATE(935),
    [sym_unary_operator] = STATE(935),
    [sym_character_literal] = STATE(935),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1165),
    [sym_false] = ACTIONS(1165),
    [sym_maybe] = ACTIONS(1165),
    [sym_unset] = ACTIONS(1165),
    [sym_super] = ACTIONS(1165),
    [sym_self] = ACTIONS(1165),
    [sym_clone] = ACTIONS(1165),
    [sym_thisthread] = ACTIONS(1165),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1165),
    [sym_global_variable] = ACTIONS(1165),
    [sym_global_reference] = ACTIONS(1165),
    [sym_number] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [229] = {
    [sym_procedure] = STATE(915),
    [sym_block] = STATE(915),
    [sym_assignment] = STATE(915),
    [sym_if] = STATE(915),
    [sym_loop] = STATE(915),
    [sym_handling] = STATE(915),
    [sym_catch] = STATE(915),
    [sym_throw] = STATE(915),
    [sym_primitive] = STATE(915),
    [sym_iterator] = STATE(915),
    [sym_while] = STATE(915),
    [sym_try] = STATE(915),
    [sym_loopbody] = STATE(915),
    [sym_leave] = STATE(915),
    [sym_continue] = STATE(915),
    [sym_protect] = STATE(915),
    [sym_lock] = STATE(915),
    [sym__literal] = STATE(915),
    [sym_string_literal] = STATE(915),
    [sym_call] = STATE(915),
    [sym_invoke] = STATE(915),
    [sym_indexed_access] = STATE(915),
    [sym_slot_accessor] = STATE(915),
    [sym__expression_list] = STATE(1646),
    [sym_class] = STATE(915),
    [sym__expression] = STATE(915),
    [sym_return] = STATE(915),
    [sym_gather] = STATE(915),
    [sym_scatter] = STATE(915),
    [sym_allresults] = STATE(915),
    [sym_parenthesized_expression] = STATE(915),
    [sym__variable] = STATE(915),
    [sym_variable] = STATE(915),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(915),
    [sym_relational_operator] = STATE(915),
    [sym_logical_operator] = STATE(915),
    [sym_arithmetic_operator] = STATE(915),
    [sym_unary_operator] = STATE(915),
    [sym_character_literal] = STATE(915),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [sym_maybe] = ACTIONS(1167),
    [sym_unset] = ACTIONS(1167),
    [sym_super] = ACTIONS(1167),
    [sym_self] = ACTIONS(1167),
    [sym_clone] = ACTIONS(1167),
    [sym_thisthread] = ACTIONS(1167),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1167),
    [sym_global_variable] = ACTIONS(1167),
    [sym_global_reference] = ACTIONS(1167),
    [sym_number] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1167),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [230] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(705),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [231] = {
    [sym_procedure] = STATE(934),
    [sym_block] = STATE(934),
    [sym_assignment] = STATE(934),
    [sym_if] = STATE(934),
    [sym_loop] = STATE(934),
    [sym_handling] = STATE(934),
    [sym_catch] = STATE(934),
    [sym_throw] = STATE(934),
    [sym_primitive] = STATE(934),
    [sym_iterator] = STATE(934),
    [sym_while] = STATE(934),
    [sym_try] = STATE(934),
    [sym_loopbody] = STATE(934),
    [sym_leave] = STATE(934),
    [sym_continue] = STATE(934),
    [sym_protect] = STATE(934),
    [sym_lock] = STATE(934),
    [sym__literal] = STATE(934),
    [sym_string_literal] = STATE(934),
    [sym_call] = STATE(934),
    [sym_invoke] = STATE(934),
    [sym_indexed_access] = STATE(934),
    [sym_slot_accessor] = STATE(934),
    [sym__expression_list] = STATE(1646),
    [sym_class] = STATE(934),
    [sym__expression] = STATE(934),
    [sym_return] = STATE(934),
    [sym_gather] = STATE(934),
    [sym_scatter] = STATE(934),
    [sym_allresults] = STATE(934),
    [sym_parenthesized_expression] = STATE(934),
    [sym__variable] = STATE(934),
    [sym_variable] = STATE(934),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(934),
    [sym_relational_operator] = STATE(934),
    [sym_logical_operator] = STATE(934),
    [sym_arithmetic_operator] = STATE(934),
    [sym_unary_operator] = STATE(934),
    [sym_character_literal] = STATE(934),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1169),
    [sym_false] = ACTIONS(1169),
    [sym_maybe] = ACTIONS(1169),
    [sym_unset] = ACTIONS(1169),
    [sym_super] = ACTIONS(1169),
    [sym_self] = ACTIONS(1169),
    [sym_clone] = ACTIONS(1169),
    [sym_thisthread] = ACTIONS(1169),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1169),
    [sym_global_variable] = ACTIONS(1169),
    [sym_global_reference] = ACTIONS(1169),
    [sym_number] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [232] = {
    [sym_procedure] = STATE(928),
    [sym_block] = STATE(928),
    [sym_assignment] = STATE(928),
    [sym_if] = STATE(928),
    [sym_loop] = STATE(928),
    [sym_handling] = STATE(928),
    [sym_catch] = STATE(928),
    [sym_throw] = STATE(928),
    [sym_primitive] = STATE(928),
    [sym_iterator] = STATE(928),
    [sym_while] = STATE(928),
    [sym_try] = STATE(928),
    [sym_loopbody] = STATE(928),
    [sym_leave] = STATE(928),
    [sym_continue] = STATE(928),
    [sym_protect] = STATE(928),
    [sym_lock] = STATE(928),
    [sym__literal] = STATE(928),
    [sym_string_literal] = STATE(928),
    [sym_call] = STATE(928),
    [sym_invoke] = STATE(928),
    [sym_indexed_access] = STATE(928),
    [sym_slot_accessor] = STATE(928),
    [sym__expression_list] = STATE(1646),
    [sym_class] = STATE(928),
    [sym__expression] = STATE(928),
    [sym_return] = STATE(928),
    [sym_gather] = STATE(928),
    [sym_scatter] = STATE(928),
    [sym_allresults] = STATE(928),
    [sym_parenthesized_expression] = STATE(928),
    [sym__variable] = STATE(928),
    [sym_variable] = STATE(928),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(928),
    [sym_relational_operator] = STATE(928),
    [sym_logical_operator] = STATE(928),
    [sym_arithmetic_operator] = STATE(928),
    [sym_unary_operator] = STATE(928),
    [sym_character_literal] = STATE(928),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [sym_maybe] = ACTIONS(1171),
    [sym_unset] = ACTIONS(1171),
    [sym_super] = ACTIONS(1171),
    [sym_self] = ACTIONS(1171),
    [sym_clone] = ACTIONS(1171),
    [sym_thisthread] = ACTIONS(1171),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1171),
    [sym_global_variable] = ACTIONS(1171),
    [sym_global_reference] = ACTIONS(1171),
    [sym_number] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1171),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [233] = {
    [sym_procedure] = STATE(880),
    [sym_block] = STATE(880),
    [sym_assignment] = STATE(880),
    [sym_if] = STATE(880),
    [sym_loop] = STATE(880),
    [sym_handling] = STATE(880),
    [sym_catch] = STATE(880),
    [sym_throw] = STATE(880),
    [sym_primitive] = STATE(880),
    [sym_iterator] = STATE(880),
    [sym_while] = STATE(880),
    [sym_try] = STATE(880),
    [sym_loopbody] = STATE(880),
    [sym_leave] = STATE(880),
    [sym_continue] = STATE(880),
    [sym_protect] = STATE(880),
    [sym_lock] = STATE(880),
    [sym__literal] = STATE(880),
    [sym_string_literal] = STATE(880),
    [sym_call] = STATE(880),
    [sym_invoke] = STATE(880),
    [sym_indexed_access] = STATE(880),
    [sym_slot_accessor] = STATE(880),
    [sym_class] = STATE(880),
    [sym__expression] = STATE(880),
    [sym_return] = STATE(880),
    [sym_gather] = STATE(880),
    [sym_scatter] = STATE(880),
    [sym_allresults] = STATE(880),
    [sym_parenthesized_expression] = STATE(880),
    [sym__variable] = STATE(880),
    [sym_variable] = STATE(880),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(880),
    [sym_relational_operator] = STATE(880),
    [sym_logical_operator] = STATE(880),
    [sym_arithmetic_operator] = STATE(880),
    [sym_unary_operator] = STATE(880),
    [sym_character_literal] = STATE(880),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__default] = ACTIONS(1131),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1173),
    [sym_false] = ACTIONS(1173),
    [sym_maybe] = ACTIONS(1173),
    [sym_unset] = ACTIONS(1173),
    [sym_super] = ACTIONS(1173),
    [sym_self] = ACTIONS(1173),
    [sym_clone] = ACTIONS(1173),
    [sym_thisthread] = ACTIONS(1173),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1173),
    [sym_global_variable] = ACTIONS(1173),
    [sym_global_reference] = ACTIONS(1173),
    [sym_number] = ACTIONS(1173),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [234] = {
    [sym_procedure] = STATE(465),
    [sym_block] = STATE(465),
    [sym_assignment] = STATE(465),
    [sym_if] = STATE(465),
    [sym_loop] = STATE(465),
    [sym_handling] = STATE(465),
    [sym_catch] = STATE(465),
    [sym_throw] = STATE(465),
    [sym_primitive] = STATE(465),
    [sym_iterator] = STATE(465),
    [sym_while] = STATE(465),
    [sym_try] = STATE(465),
    [sym_loopbody] = STATE(465),
    [sym_leave] = STATE(465),
    [sym_continue] = STATE(465),
    [sym_protect] = STATE(465),
    [sym_lock] = STATE(465),
    [sym__literal] = STATE(465),
    [sym_string_literal] = STATE(465),
    [sym_call] = STATE(465),
    [sym_invoke] = STATE(465),
    [sym_indexed_access] = STATE(465),
    [sym_slot_accessor] = STATE(465),
    [sym__expression_list] = STATE(463),
    [sym_class] = STATE(465),
    [sym__expression] = STATE(465),
    [sym_return] = STATE(465),
    [sym_gather] = STATE(465),
    [sym_scatter] = STATE(465),
    [sym_allresults] = STATE(465),
    [sym_parenthesized_expression] = STATE(465),
    [sym__variable] = STATE(465),
    [sym_variable] = STATE(465),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(465),
    [sym_relational_operator] = STATE(465),
    [sym_logical_operator] = STATE(465),
    [sym_arithmetic_operator] = STATE(465),
    [sym_unary_operator] = STATE(465),
    [sym_character_literal] = STATE(465),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [sym_maybe] = ACTIONS(1175),
    [sym_unset] = ACTIONS(1175),
    [sym_super] = ACTIONS(1175),
    [sym_self] = ACTIONS(1175),
    [sym_clone] = ACTIONS(1175),
    [sym_thisthread] = ACTIONS(1175),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1175),
    [sym_global_variable] = ACTIONS(1175),
    [sym_global_reference] = ACTIONS(1175),
    [sym_number] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1175),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [235] = {
    [sym_procedure] = STATE(929),
    [sym_block] = STATE(929),
    [sym_assignment] = STATE(929),
    [sym_if] = STATE(929),
    [sym_loop] = STATE(929),
    [sym_handling] = STATE(929),
    [sym_catch] = STATE(929),
    [sym_throw] = STATE(929),
    [sym_primitive] = STATE(929),
    [sym_iterator] = STATE(929),
    [sym_while] = STATE(929),
    [sym_try] = STATE(929),
    [sym_loopbody] = STATE(929),
    [sym_leave] = STATE(929),
    [sym_continue] = STATE(929),
    [sym_protect] = STATE(929),
    [sym_lock] = STATE(929),
    [sym__literal] = STATE(929),
    [sym_string_literal] = STATE(929),
    [sym_call] = STATE(929),
    [sym_invoke] = STATE(929),
    [sym_indexed_access] = STATE(929),
    [sym_slot_accessor] = STATE(929),
    [sym_class] = STATE(929),
    [sym__expression] = STATE(929),
    [sym_return] = STATE(929),
    [sym_gather] = STATE(929),
    [sym_scatter] = STATE(929),
    [sym_allresults] = STATE(929),
    [sym_parenthesized_expression] = STATE(929),
    [sym__variable] = STATE(929),
    [sym_variable] = STATE(929),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(929),
    [sym_relational_operator] = STATE(929),
    [sym_logical_operator] = STATE(929),
    [sym_arithmetic_operator] = STATE(929),
    [sym_unary_operator] = STATE(929),
    [sym_character_literal] = STATE(929),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1177),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [sym_maybe] = ACTIONS(1179),
    [sym_unset] = ACTIONS(1179),
    [sym_super] = ACTIONS(1179),
    [sym_self] = ACTIONS(1179),
    [sym_clone] = ACTIONS(1179),
    [sym_thisthread] = ACTIONS(1179),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1179),
    [sym_global_variable] = ACTIONS(1179),
    [sym_global_reference] = ACTIONS(1179),
    [sym_number] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1179),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [236] = {
    [sym_procedure] = STATE(843),
    [sym_block] = STATE(843),
    [sym_assignment] = STATE(843),
    [sym_if] = STATE(843),
    [sym_loop] = STATE(843),
    [sym_handling] = STATE(843),
    [sym_catch] = STATE(843),
    [sym_throw] = STATE(843),
    [sym_primitive] = STATE(843),
    [sym_iterator] = STATE(843),
    [sym_while] = STATE(843),
    [sym_try] = STATE(843),
    [sym_loopbody] = STATE(843),
    [sym_leave] = STATE(843),
    [sym_continue] = STATE(843),
    [sym_protect] = STATE(843),
    [sym_lock] = STATE(843),
    [sym__literal] = STATE(843),
    [sym_string_literal] = STATE(843),
    [sym_call] = STATE(843),
    [sym_invoke] = STATE(843),
    [sym_indexed_access] = STATE(843),
    [sym_slot_accessor] = STATE(843),
    [sym__expression_list] = STATE(496),
    [sym_class] = STATE(843),
    [sym__expression] = STATE(843),
    [sym_return] = STATE(843),
    [sym_gather] = STATE(843),
    [sym_scatter] = STATE(843),
    [sym_allresults] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym__variable] = STATE(843),
    [sym_variable] = STATE(843),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(843),
    [sym_relational_operator] = STATE(843),
    [sym_logical_operator] = STATE(843),
    [sym_arithmetic_operator] = STATE(843),
    [sym_unary_operator] = STATE(843),
    [sym_character_literal] = STATE(843),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1189),
    [sym_false] = ACTIONS(1189),
    [sym_maybe] = ACTIONS(1189),
    [sym_unset] = ACTIONS(1189),
    [sym_super] = ACTIONS(1189),
    [sym_self] = ACTIONS(1189),
    [sym_clone] = ACTIONS(1189),
    [sym_thisthread] = ACTIONS(1189),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1189),
    [sym_global_variable] = ACTIONS(1189),
    [sym_global_reference] = ACTIONS(1189),
    [sym_number] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1189),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [237] = {
    [sym_procedure] = STATE(932),
    [sym_block] = STATE(932),
    [sym_assignment] = STATE(932),
    [sym_if] = STATE(932),
    [sym_loop] = STATE(932),
    [sym_handling] = STATE(932),
    [sym_catch] = STATE(932),
    [sym_throw] = STATE(932),
    [sym_primitive] = STATE(932),
    [sym_iterator] = STATE(932),
    [sym_while] = STATE(932),
    [sym_try] = STATE(932),
    [sym_loopbody] = STATE(932),
    [sym_leave] = STATE(932),
    [sym_continue] = STATE(932),
    [sym_protect] = STATE(932),
    [sym_lock] = STATE(932),
    [sym__literal] = STATE(932),
    [sym_string_literal] = STATE(932),
    [sym_call] = STATE(932),
    [sym_invoke] = STATE(932),
    [sym_indexed_access] = STATE(932),
    [sym_slot_accessor] = STATE(932),
    [sym_class] = STATE(932),
    [sym__expression] = STATE(932),
    [sym_return] = STATE(932),
    [sym_gather] = STATE(932),
    [sym_scatter] = STATE(932),
    [sym_allresults] = STATE(932),
    [sym_parenthesized_expression] = STATE(932),
    [sym__variable] = STATE(932),
    [sym_variable] = STATE(932),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(932),
    [sym_relational_operator] = STATE(932),
    [sym_logical_operator] = STATE(932),
    [sym_arithmetic_operator] = STATE(932),
    [sym_unary_operator] = STATE(932),
    [sym_character_literal] = STATE(932),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1177),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1197),
    [sym_false] = ACTIONS(1197),
    [sym_maybe] = ACTIONS(1197),
    [sym_unset] = ACTIONS(1197),
    [sym_super] = ACTIONS(1197),
    [sym_self] = ACTIONS(1197),
    [sym_clone] = ACTIONS(1197),
    [sym_thisthread] = ACTIONS(1197),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1197),
    [sym_global_variable] = ACTIONS(1197),
    [sym_global_reference] = ACTIONS(1197),
    [sym_number] = ACTIONS(1197),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1197),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [238] = {
    [sym_procedure] = STATE(931),
    [sym_block] = STATE(931),
    [sym_assignment] = STATE(931),
    [sym_if] = STATE(931),
    [sym_loop] = STATE(931),
    [sym_handling] = STATE(931),
    [sym_catch] = STATE(931),
    [sym_throw] = STATE(931),
    [sym_primitive] = STATE(931),
    [sym_iterator] = STATE(931),
    [sym_while] = STATE(931),
    [sym_try] = STATE(931),
    [sym_loopbody] = STATE(931),
    [sym_leave] = STATE(931),
    [sym_continue] = STATE(931),
    [sym_protect] = STATE(931),
    [sym_lock] = STATE(931),
    [sym__literal] = STATE(931),
    [sym_string_literal] = STATE(931),
    [sym_call] = STATE(931),
    [sym_invoke] = STATE(931),
    [sym_indexed_access] = STATE(931),
    [sym_slot_accessor] = STATE(931),
    [sym_class] = STATE(931),
    [sym__expression] = STATE(931),
    [sym_return] = STATE(931),
    [sym_gather] = STATE(931),
    [sym_scatter] = STATE(931),
    [sym_allresults] = STATE(931),
    [sym_parenthesized_expression] = STATE(931),
    [sym__variable] = STATE(931),
    [sym_variable] = STATE(931),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(931),
    [sym_relational_operator] = STATE(931),
    [sym_logical_operator] = STATE(931),
    [sym_arithmetic_operator] = STATE(931),
    [sym_unary_operator] = STATE(931),
    [sym_character_literal] = STATE(931),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1177),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [sym_maybe] = ACTIONS(1199),
    [sym_unset] = ACTIONS(1199),
    [sym_super] = ACTIONS(1199),
    [sym_self] = ACTIONS(1199),
    [sym_clone] = ACTIONS(1199),
    [sym_thisthread] = ACTIONS(1199),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1199),
    [sym_global_variable] = ACTIONS(1199),
    [sym_global_reference] = ACTIONS(1199),
    [sym_number] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1199),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [239] = {
    [sym_procedure] = STATE(840),
    [sym_block] = STATE(840),
    [sym_assignment] = STATE(840),
    [sym_if] = STATE(840),
    [sym_loop] = STATE(840),
    [sym_handling] = STATE(840),
    [sym_catch] = STATE(840),
    [sym_throw] = STATE(840),
    [sym_primitive] = STATE(840),
    [sym_iterator] = STATE(840),
    [sym_while] = STATE(840),
    [sym_try] = STATE(840),
    [sym_loopbody] = STATE(840),
    [sym_leave] = STATE(840),
    [sym_continue] = STATE(840),
    [sym_protect] = STATE(840),
    [sym_lock] = STATE(840),
    [sym__literal] = STATE(840),
    [sym_string_literal] = STATE(840),
    [sym_call] = STATE(840),
    [sym_invoke] = STATE(840),
    [sym_indexed_access] = STATE(840),
    [sym_slot_accessor] = STATE(840),
    [sym_class] = STATE(840),
    [sym__expression] = STATE(840),
    [sym_return] = STATE(840),
    [sym_gather] = STATE(840),
    [sym_scatter] = STATE(840),
    [sym_allresults] = STATE(840),
    [sym_parenthesized_expression] = STATE(840),
    [sym__variable] = STATE(840),
    [sym_variable] = STATE(840),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(840),
    [sym_relational_operator] = STATE(840),
    [sym_logical_operator] = STATE(840),
    [sym_arithmetic_operator] = STATE(840),
    [sym_unary_operator] = STATE(840),
    [sym_character_literal] = STATE(840),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__default] = ACTIONS(1205),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1209),
    [sym_false] = ACTIONS(1209),
    [sym_maybe] = ACTIONS(1209),
    [sym_unset] = ACTIONS(1209),
    [sym_super] = ACTIONS(1209),
    [sym_self] = ACTIONS(1209),
    [sym_clone] = ACTIONS(1209),
    [sym_thisthread] = ACTIONS(1209),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1209),
    [sym_global_variable] = ACTIONS(1209),
    [sym_global_reference] = ACTIONS(1209),
    [sym_number] = ACTIONS(1209),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1209),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [240] = {
    [sym_procedure] = STATE(864),
    [sym_block] = STATE(864),
    [sym_assignment] = STATE(864),
    [sym_if] = STATE(864),
    [sym_loop] = STATE(864),
    [sym_handling] = STATE(864),
    [sym_catch] = STATE(864),
    [sym_throw] = STATE(864),
    [sym_primitive] = STATE(864),
    [sym_iterator] = STATE(864),
    [sym_while] = STATE(864),
    [sym_try] = STATE(864),
    [sym_loopbody] = STATE(864),
    [sym_leave] = STATE(864),
    [sym_continue] = STATE(864),
    [sym_protect] = STATE(864),
    [sym_lock] = STATE(864),
    [sym__literal] = STATE(864),
    [sym_string_literal] = STATE(864),
    [sym_call] = STATE(864),
    [sym_invoke] = STATE(864),
    [sym_indexed_access] = STATE(864),
    [sym_slot_accessor] = STATE(864),
    [sym_class] = STATE(864),
    [sym__expression] = STATE(864),
    [sym_return] = STATE(864),
    [sym_gather] = STATE(864),
    [sym_scatter] = STATE(864),
    [sym_allresults] = STATE(864),
    [sym_parenthesized_expression] = STATE(864),
    [sym__variable] = STATE(864),
    [sym_variable] = STATE(864),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(864),
    [sym_relational_operator] = STATE(864),
    [sym_logical_operator] = STATE(864),
    [sym_arithmetic_operator] = STATE(864),
    [sym_unary_operator] = STATE(864),
    [sym_character_literal] = STATE(864),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__default] = ACTIONS(1205),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1221),
    [sym_false] = ACTIONS(1221),
    [sym_maybe] = ACTIONS(1221),
    [sym_unset] = ACTIONS(1221),
    [sym_super] = ACTIONS(1221),
    [sym_self] = ACTIONS(1221),
    [sym_clone] = ACTIONS(1221),
    [sym_thisthread] = ACTIONS(1221),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1221),
    [sym_global_variable] = ACTIONS(1221),
    [sym_global_reference] = ACTIONS(1221),
    [sym_number] = ACTIONS(1221),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1221),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [241] = {
    [sym_procedure] = STATE(601),
    [sym_block] = STATE(601),
    [sym_assignment] = STATE(601),
    [sym_if] = STATE(601),
    [sym_loop] = STATE(601),
    [sym_handling] = STATE(601),
    [sym_catch] = STATE(601),
    [sym_throw] = STATE(601),
    [sym_primitive] = STATE(601),
    [sym_iterator] = STATE(601),
    [sym_while] = STATE(601),
    [sym_try] = STATE(601),
    [sym_loopbody] = STATE(601),
    [sym_leave] = STATE(601),
    [sym_continue] = STATE(601),
    [sym_protect] = STATE(601),
    [sym_lock] = STATE(601),
    [sym__literal] = STATE(601),
    [sym_string_literal] = STATE(601),
    [sym_call] = STATE(601),
    [sym_invoke] = STATE(601),
    [sym_indexed_access] = STATE(601),
    [sym_slot_accessor] = STATE(601),
    [sym_class] = STATE(601),
    [sym__expression] = STATE(601),
    [sym_return] = STATE(601),
    [sym_gather] = STATE(601),
    [sym_scatter] = STATE(601),
    [sym_allresults] = STATE(601),
    [sym_parenthesized_expression] = STATE(601),
    [sym__variable] = STATE(601),
    [sym_variable] = STATE(601),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(601),
    [sym_relational_operator] = STATE(601),
    [sym_logical_operator] = STATE(601),
    [sym_arithmetic_operator] = STATE(601),
    [sym_unary_operator] = STATE(601),
    [sym_character_literal] = STATE(601),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__default] = ACTIONS(1205),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1223),
    [sym_false] = ACTIONS(1223),
    [sym_maybe] = ACTIONS(1223),
    [sym_unset] = ACTIONS(1223),
    [sym_super] = ACTIONS(1223),
    [sym_self] = ACTIONS(1223),
    [sym_clone] = ACTIONS(1223),
    [sym_thisthread] = ACTIONS(1223),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1223),
    [sym_global_variable] = ACTIONS(1223),
    [sym_global_reference] = ACTIONS(1223),
    [sym_number] = ACTIONS(1223),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1223),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [242] = {
    [sym_procedure] = STATE(603),
    [sym_block] = STATE(603),
    [sym_assignment] = STATE(603),
    [sym_if] = STATE(603),
    [sym_loop] = STATE(603),
    [sym_handling] = STATE(603),
    [sym_catch] = STATE(603),
    [sym_throw] = STATE(603),
    [sym_primitive] = STATE(603),
    [sym_iterator] = STATE(603),
    [sym_while] = STATE(603),
    [sym_try] = STATE(603),
    [sym_loopbody] = STATE(603),
    [sym_leave] = STATE(603),
    [sym_continue] = STATE(603),
    [sym_protect] = STATE(603),
    [sym_lock] = STATE(603),
    [sym__literal] = STATE(603),
    [sym_string_literal] = STATE(603),
    [sym_call] = STATE(603),
    [sym_invoke] = STATE(603),
    [sym_indexed_access] = STATE(603),
    [sym_slot_accessor] = STATE(603),
    [sym_class] = STATE(603),
    [sym__expression] = STATE(603),
    [sym_return] = STATE(603),
    [sym_gather] = STATE(603),
    [sym_scatter] = STATE(603),
    [sym_allresults] = STATE(603),
    [sym_parenthesized_expression] = STATE(603),
    [sym__variable] = STATE(603),
    [sym_variable] = STATE(603),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(603),
    [sym_relational_operator] = STATE(603),
    [sym_logical_operator] = STATE(603),
    [sym_arithmetic_operator] = STATE(603),
    [sym_unary_operator] = STATE(603),
    [sym_character_literal] = STATE(603),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__default] = ACTIONS(1131),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [sym_maybe] = ACTIONS(1225),
    [sym_unset] = ACTIONS(1225),
    [sym_super] = ACTIONS(1225),
    [sym_self] = ACTIONS(1225),
    [sym_clone] = ACTIONS(1225),
    [sym_thisthread] = ACTIONS(1225),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1225),
    [sym_global_variable] = ACTIONS(1225),
    [sym_global_reference] = ACTIONS(1225),
    [sym_number] = ACTIONS(1225),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [243] = {
    [sym_procedure] = STATE(560),
    [sym_block] = STATE(560),
    [sym_assignment] = STATE(560),
    [sym_if] = STATE(560),
    [sym_loop] = STATE(560),
    [sym_handling] = STATE(560),
    [sym_catch] = STATE(560),
    [sym_throw] = STATE(560),
    [sym_primitive] = STATE(560),
    [sym_iterator] = STATE(560),
    [sym_while] = STATE(560),
    [sym_try] = STATE(560),
    [sym_loopbody] = STATE(560),
    [sym_leave] = STATE(560),
    [sym_continue] = STATE(560),
    [sym_protect] = STATE(560),
    [sym_lock] = STATE(560),
    [sym__literal] = STATE(560),
    [sym_string_literal] = STATE(560),
    [sym_call] = STATE(560),
    [sym_invoke] = STATE(560),
    [sym_indexed_access] = STATE(560),
    [sym_slot_accessor] = STATE(560),
    [sym_class] = STATE(560),
    [sym__expression] = STATE(560),
    [sym_return] = STATE(560),
    [sym_gather] = STATE(560),
    [sym_scatter] = STATE(560),
    [sym_allresults] = STATE(560),
    [sym_parenthesized_expression] = STATE(560),
    [sym__variable] = STATE(560),
    [sym_variable] = STATE(560),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(560),
    [sym_relational_operator] = STATE(560),
    [sym_logical_operator] = STATE(560),
    [sym_arithmetic_operator] = STATE(560),
    [sym_unary_operator] = STATE(560),
    [sym_character_literal] = STATE(560),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__default] = ACTIONS(1205),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1227),
    [sym_false] = ACTIONS(1227),
    [sym_maybe] = ACTIONS(1227),
    [sym_unset] = ACTIONS(1227),
    [sym_super] = ACTIONS(1227),
    [sym_self] = ACTIONS(1227),
    [sym_clone] = ACTIONS(1227),
    [sym_thisthread] = ACTIONS(1227),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1227),
    [sym_global_variable] = ACTIONS(1227),
    [sym_global_reference] = ACTIONS(1227),
    [sym_number] = ACTIONS(1227),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [244] = {
    [sym_procedure] = STATE(936),
    [sym_block] = STATE(936),
    [sym_assignment] = STATE(936),
    [sym_if] = STATE(936),
    [sym_loop] = STATE(936),
    [sym_handling] = STATE(936),
    [sym_catch] = STATE(936),
    [sym_throw] = STATE(936),
    [sym_primitive] = STATE(936),
    [sym_iterator] = STATE(936),
    [sym_while] = STATE(936),
    [sym_try] = STATE(936),
    [sym_loopbody] = STATE(936),
    [sym_leave] = STATE(936),
    [sym_continue] = STATE(936),
    [sym_protect] = STATE(936),
    [sym_lock] = STATE(936),
    [sym__literal] = STATE(936),
    [sym_string_literal] = STATE(936),
    [sym_call] = STATE(936),
    [sym_invoke] = STATE(936),
    [sym_indexed_access] = STATE(936),
    [sym_slot_accessor] = STATE(936),
    [sym__expression_list] = STATE(1625),
    [sym_class] = STATE(936),
    [sym__expression] = STATE(936),
    [sym_return] = STATE(936),
    [sym_gather] = STATE(936),
    [sym_scatter] = STATE(936),
    [sym_allresults] = STATE(936),
    [sym_parenthesized_expression] = STATE(936),
    [sym__variable] = STATE(936),
    [sym_variable] = STATE(936),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(936),
    [sym_relational_operator] = STATE(936),
    [sym_logical_operator] = STATE(936),
    [sym_arithmetic_operator] = STATE(936),
    [sym_unary_operator] = STATE(936),
    [sym_character_literal] = STATE(936),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1229),
    [sym_false] = ACTIONS(1229),
    [sym_maybe] = ACTIONS(1229),
    [sym_unset] = ACTIONS(1229),
    [sym_super] = ACTIONS(1229),
    [sym_self] = ACTIONS(1229),
    [sym_clone] = ACTIONS(1229),
    [sym_thisthread] = ACTIONS(1229),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1229),
    [sym_global_variable] = ACTIONS(1229),
    [sym_global_reference] = ACTIONS(1229),
    [sym_number] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [245] = {
    [sym_procedure] = STATE(879),
    [sym_block] = STATE(879),
    [sym_assignment] = STATE(879),
    [sym_if] = STATE(879),
    [sym_loop] = STATE(879),
    [sym_handling] = STATE(879),
    [sym_catch] = STATE(879),
    [sym_throw] = STATE(879),
    [sym_primitive] = STATE(879),
    [sym_iterator] = STATE(879),
    [sym_while] = STATE(879),
    [sym_try] = STATE(879),
    [sym_loopbody] = STATE(879),
    [sym_leave] = STATE(879),
    [sym_continue] = STATE(879),
    [sym_protect] = STATE(879),
    [sym_lock] = STATE(879),
    [sym__literal] = STATE(879),
    [sym_string_literal] = STATE(879),
    [sym_call] = STATE(879),
    [sym_invoke] = STATE(879),
    [sym_indexed_access] = STATE(879),
    [sym_slot_accessor] = STATE(879),
    [sym_class] = STATE(879),
    [sym__expression] = STATE(879),
    [sym_return] = STATE(879),
    [sym_gather] = STATE(879),
    [sym_scatter] = STATE(879),
    [sym_allresults] = STATE(879),
    [sym_parenthesized_expression] = STATE(879),
    [sym__variable] = STATE(879),
    [sym_variable] = STATE(879),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(879),
    [sym_relational_operator] = STATE(879),
    [sym_logical_operator] = STATE(879),
    [sym_arithmetic_operator] = STATE(879),
    [sym_unary_operator] = STATE(879),
    [sym_character_literal] = STATE(879),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__default] = ACTIONS(1205),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1231),
    [sym_false] = ACTIONS(1231),
    [sym_maybe] = ACTIONS(1231),
    [sym_unset] = ACTIONS(1231),
    [sym_super] = ACTIONS(1231),
    [sym_self] = ACTIONS(1231),
    [sym_clone] = ACTIONS(1231),
    [sym_thisthread] = ACTIONS(1231),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1231),
    [sym_global_variable] = ACTIONS(1231),
    [sym_global_reference] = ACTIONS(1231),
    [sym_number] = ACTIONS(1231),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1231),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [246] = {
    [sym_procedure] = STATE(920),
    [sym_block] = STATE(920),
    [sym_assignment] = STATE(920),
    [sym_if] = STATE(920),
    [sym_loop] = STATE(920),
    [sym_handling] = STATE(920),
    [sym_catch] = STATE(920),
    [sym_throw] = STATE(920),
    [sym_primitive] = STATE(920),
    [sym_iterator] = STATE(920),
    [sym_while] = STATE(920),
    [sym_try] = STATE(920),
    [sym_loopbody] = STATE(920),
    [sym_leave] = STATE(920),
    [sym_continue] = STATE(920),
    [sym_protect] = STATE(920),
    [sym_lock] = STATE(920),
    [sym__literal] = STATE(920),
    [sym_string_literal] = STATE(920),
    [sym_call] = STATE(920),
    [sym_invoke] = STATE(920),
    [sym_indexed_access] = STATE(920),
    [sym_slot_accessor] = STATE(920),
    [sym_class] = STATE(920),
    [sym__expression] = STATE(920),
    [sym_return] = STATE(920),
    [sym_gather] = STATE(920),
    [sym_scatter] = STATE(920),
    [sym_allresults] = STATE(920),
    [sym_parenthesized_expression] = STATE(920),
    [sym__variable] = STATE(920),
    [sym_variable] = STATE(920),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(920),
    [sym_relational_operator] = STATE(920),
    [sym_logical_operator] = STATE(920),
    [sym_arithmetic_operator] = STATE(920),
    [sym_unary_operator] = STATE(920),
    [sym_character_literal] = STATE(920),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__default] = ACTIONS(1159),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1233),
    [sym_false] = ACTIONS(1233),
    [sym_maybe] = ACTIONS(1233),
    [sym_unset] = ACTIONS(1233),
    [sym_super] = ACTIONS(1233),
    [sym_self] = ACTIONS(1233),
    [sym_clone] = ACTIONS(1233),
    [sym_thisthread] = ACTIONS(1233),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1233),
    [sym_global_variable] = ACTIONS(1233),
    [sym_global_reference] = ACTIONS(1233),
    [sym_number] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [247] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(777),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [248] = {
    [sym_procedure] = STATE(717),
    [sym_block] = STATE(717),
    [sym_assignment] = STATE(717),
    [sym_if] = STATE(717),
    [sym_loop] = STATE(717),
    [sym_handling] = STATE(717),
    [sym_catch] = STATE(717),
    [sym_throw] = STATE(717),
    [sym_primitive] = STATE(717),
    [sym_iterator] = STATE(717),
    [sym_while] = STATE(717),
    [sym_try] = STATE(717),
    [sym_loopbody] = STATE(717),
    [sym_leave] = STATE(717),
    [sym_continue] = STATE(717),
    [sym_protect] = STATE(717),
    [sym_lock] = STATE(717),
    [sym__literal] = STATE(717),
    [sym_string_literal] = STATE(717),
    [sym_call] = STATE(717),
    [sym_invoke] = STATE(717),
    [sym_indexed_access] = STATE(717),
    [sym_slot_accessor] = STATE(717),
    [sym_class] = STATE(717),
    [sym__expression] = STATE(717),
    [sym_return] = STATE(717),
    [sym_gather] = STATE(717),
    [sym_scatter] = STATE(717),
    [sym_allresults] = STATE(717),
    [sym_parenthesized_expression] = STATE(717),
    [sym__variable] = STATE(717),
    [sym_variable] = STATE(717),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(717),
    [sym_relational_operator] = STATE(717),
    [sym_logical_operator] = STATE(717),
    [sym_arithmetic_operator] = STATE(717),
    [sym_unary_operator] = STATE(717),
    [sym_character_literal] = STATE(717),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1159),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1235),
    [sym_false] = ACTIONS(1235),
    [sym_maybe] = ACTIONS(1235),
    [sym_unset] = ACTIONS(1235),
    [sym_super] = ACTIONS(1235),
    [sym_self] = ACTIONS(1235),
    [sym_clone] = ACTIONS(1235),
    [sym_thisthread] = ACTIONS(1235),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1235),
    [sym_global_variable] = ACTIONS(1235),
    [sym_global_reference] = ACTIONS(1235),
    [sym_number] = ACTIONS(1235),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1235),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [249] = {
    [sym_procedure] = STATE(933),
    [sym_block] = STATE(933),
    [sym_assignment] = STATE(933),
    [sym_if] = STATE(933),
    [sym_loop] = STATE(933),
    [sym_handling] = STATE(933),
    [sym_catch] = STATE(933),
    [sym_throw] = STATE(933),
    [sym_primitive] = STATE(933),
    [sym_iterator] = STATE(933),
    [sym_while] = STATE(933),
    [sym_try] = STATE(933),
    [sym_loopbody] = STATE(933),
    [sym_leave] = STATE(933),
    [sym_continue] = STATE(933),
    [sym_protect] = STATE(933),
    [sym_lock] = STATE(933),
    [sym__literal] = STATE(933),
    [sym_string_literal] = STATE(933),
    [sym_call] = STATE(933),
    [sym_invoke] = STATE(933),
    [sym_indexed_access] = STATE(933),
    [sym_slot_accessor] = STATE(933),
    [sym_class] = STATE(933),
    [sym__expression] = STATE(933),
    [sym_return] = STATE(933),
    [sym_gather] = STATE(933),
    [sym_scatter] = STATE(933),
    [sym_allresults] = STATE(933),
    [sym_parenthesized_expression] = STATE(933),
    [sym__variable] = STATE(933),
    [sym_variable] = STATE(933),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(933),
    [sym_relational_operator] = STATE(933),
    [sym_logical_operator] = STATE(933),
    [sym_arithmetic_operator] = STATE(933),
    [sym_unary_operator] = STATE(933),
    [sym_character_literal] = STATE(933),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1177),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1237),
    [sym_false] = ACTIONS(1237),
    [sym_maybe] = ACTIONS(1237),
    [sym_unset] = ACTIONS(1237),
    [sym_super] = ACTIONS(1237),
    [sym_self] = ACTIONS(1237),
    [sym_clone] = ACTIONS(1237),
    [sym_thisthread] = ACTIONS(1237),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1237),
    [sym_global_variable] = ACTIONS(1237),
    [sym_global_reference] = ACTIONS(1237),
    [sym_number] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [250] = {
    [sym_procedure] = STATE(921),
    [sym_block] = STATE(921),
    [sym_assignment] = STATE(921),
    [sym_if] = STATE(921),
    [sym_loop] = STATE(921),
    [sym_handling] = STATE(921),
    [sym_catch] = STATE(921),
    [sym_throw] = STATE(921),
    [sym_primitive] = STATE(921),
    [sym_iterator] = STATE(921),
    [sym_while] = STATE(921),
    [sym_try] = STATE(921),
    [sym_loopbody] = STATE(921),
    [sym_leave] = STATE(921),
    [sym_continue] = STATE(921),
    [sym_protect] = STATE(921),
    [sym_lock] = STATE(921),
    [sym__literal] = STATE(921),
    [sym_string_literal] = STATE(921),
    [sym_call] = STATE(921),
    [sym_invoke] = STATE(921),
    [sym_indexed_access] = STATE(921),
    [sym_slot_accessor] = STATE(921),
    [sym_class] = STATE(921),
    [sym__expression] = STATE(921),
    [sym_return] = STATE(921),
    [sym_gather] = STATE(921),
    [sym_scatter] = STATE(921),
    [sym_allresults] = STATE(921),
    [sym_parenthesized_expression] = STATE(921),
    [sym__variable] = STATE(921),
    [sym_variable] = STATE(921),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(921),
    [sym_relational_operator] = STATE(921),
    [sym_logical_operator] = STATE(921),
    [sym_arithmetic_operator] = STATE(921),
    [sym_unary_operator] = STATE(921),
    [sym_character_literal] = STATE(921),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1177),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1239),
    [sym_false] = ACTIONS(1239),
    [sym_maybe] = ACTIONS(1239),
    [sym_unset] = ACTIONS(1239),
    [sym_super] = ACTIONS(1239),
    [sym_self] = ACTIONS(1239),
    [sym_clone] = ACTIONS(1239),
    [sym_thisthread] = ACTIONS(1239),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1239),
    [sym_global_variable] = ACTIONS(1239),
    [sym_global_reference] = ACTIONS(1239),
    [sym_number] = ACTIONS(1239),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1239),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [251] = {
    [sym_procedure] = STATE(655),
    [sym_block] = STATE(655),
    [sym_assignment] = STATE(655),
    [sym_if] = STATE(655),
    [sym_loop] = STATE(655),
    [sym_handling] = STATE(655),
    [sym_catch] = STATE(655),
    [sym_throw] = STATE(655),
    [sym_primitive] = STATE(655),
    [sym_iterator] = STATE(655),
    [sym_while] = STATE(655),
    [sym_try] = STATE(655),
    [sym_loopbody] = STATE(655),
    [sym_leave] = STATE(655),
    [sym_continue] = STATE(655),
    [sym_protect] = STATE(655),
    [sym_lock] = STATE(655),
    [sym__literal] = STATE(655),
    [sym_string_literal] = STATE(655),
    [sym_call] = STATE(655),
    [sym_invoke] = STATE(655),
    [sym_indexed_access] = STATE(655),
    [sym_slot_accessor] = STATE(655),
    [sym__expression_list] = STATE(777),
    [sym_class] = STATE(655),
    [sym__expression] = STATE(655),
    [sym_return] = STATE(655),
    [sym_gather] = STATE(655),
    [sym_scatter] = STATE(655),
    [sym_allresults] = STATE(655),
    [sym_parenthesized_expression] = STATE(655),
    [sym__variable] = STATE(655),
    [sym_variable] = STATE(655),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(655),
    [sym_relational_operator] = STATE(655),
    [sym_logical_operator] = STATE(655),
    [sym_arithmetic_operator] = STATE(655),
    [sym_unary_operator] = STATE(655),
    [sym_character_literal] = STATE(655),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(227),
    [sym_false] = ACTIONS(227),
    [sym_maybe] = ACTIONS(227),
    [sym_unset] = ACTIONS(227),
    [sym_super] = ACTIONS(227),
    [sym_self] = ACTIONS(227),
    [sym_clone] = ACTIONS(227),
    [sym_thisthread] = ACTIONS(227),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(227),
    [sym_global_variable] = ACTIONS(227),
    [sym_global_reference] = ACTIONS(227),
    [sym_number] = ACTIONS(227),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(227),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [252] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(1625),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [253] = {
    [sym_procedure] = STATE(733),
    [sym_block] = STATE(733),
    [sym_assignment] = STATE(733),
    [sym_if] = STATE(733),
    [sym_loop] = STATE(733),
    [sym_handling] = STATE(733),
    [sym_catch] = STATE(733),
    [sym_throw] = STATE(733),
    [sym_primitive] = STATE(733),
    [sym_iterator] = STATE(733),
    [sym_while] = STATE(733),
    [sym_try] = STATE(733),
    [sym_loopbody] = STATE(733),
    [sym_leave] = STATE(733),
    [sym_continue] = STATE(733),
    [sym_protect] = STATE(733),
    [sym_lock] = STATE(733),
    [sym__literal] = STATE(733),
    [sym_string_literal] = STATE(733),
    [sym_call] = STATE(733),
    [sym_invoke] = STATE(733),
    [sym_indexed_access] = STATE(733),
    [sym_slot_accessor] = STATE(733),
    [sym__expression_list] = STATE(463),
    [sym_class] = STATE(733),
    [sym__expression] = STATE(733),
    [sym_return] = STATE(733),
    [sym_gather] = STATE(733),
    [sym_scatter] = STATE(733),
    [sym_allresults] = STATE(733),
    [sym_parenthesized_expression] = STATE(733),
    [sym__variable] = STATE(733),
    [sym_variable] = STATE(733),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(733),
    [sym_relational_operator] = STATE(733),
    [sym_logical_operator] = STATE(733),
    [sym_arithmetic_operator] = STATE(733),
    [sym_unary_operator] = STATE(733),
    [sym_character_literal] = STATE(733),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1241),
    [sym_false] = ACTIONS(1241),
    [sym_maybe] = ACTIONS(1241),
    [sym_unset] = ACTIONS(1241),
    [sym_super] = ACTIONS(1241),
    [sym_self] = ACTIONS(1241),
    [sym_clone] = ACTIONS(1241),
    [sym_thisthread] = ACTIONS(1241),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1241),
    [sym_global_variable] = ACTIONS(1241),
    [sym_global_reference] = ACTIONS(1241),
    [sym_number] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1241),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [254] = {
    [sym_procedure] = STATE(875),
    [sym_block] = STATE(875),
    [sym_assignment] = STATE(875),
    [sym_if] = STATE(875),
    [sym_loop] = STATE(875),
    [sym_handling] = STATE(875),
    [sym_catch] = STATE(875),
    [sym_throw] = STATE(875),
    [sym_primitive] = STATE(875),
    [sym_iterator] = STATE(875),
    [sym_while] = STATE(875),
    [sym_try] = STATE(875),
    [sym_loopbody] = STATE(875),
    [sym_leave] = STATE(875),
    [sym_continue] = STATE(875),
    [sym_protect] = STATE(875),
    [sym_lock] = STATE(875),
    [sym__literal] = STATE(875),
    [sym_string_literal] = STATE(875),
    [sym_call] = STATE(875),
    [sym_invoke] = STATE(875),
    [sym_indexed_access] = STATE(875),
    [sym_slot_accessor] = STATE(875),
    [sym_class] = STATE(875),
    [sym__expression] = STATE(875),
    [sym_return] = STATE(875),
    [sym_gather] = STATE(875),
    [sym_scatter] = STATE(875),
    [sym_allresults] = STATE(875),
    [sym_parenthesized_expression] = STATE(875),
    [sym__variable] = STATE(875),
    [sym_variable] = STATE(875),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(875),
    [sym_relational_operator] = STATE(875),
    [sym_logical_operator] = STATE(875),
    [sym_arithmetic_operator] = STATE(875),
    [sym_unary_operator] = STATE(875),
    [sym_character_literal] = STATE(875),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__default] = ACTIONS(1131),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1243),
    [sym_false] = ACTIONS(1243),
    [sym_maybe] = ACTIONS(1243),
    [sym_unset] = ACTIONS(1243),
    [sym_super] = ACTIONS(1243),
    [sym_self] = ACTIONS(1243),
    [sym_clone] = ACTIONS(1243),
    [sym_thisthread] = ACTIONS(1243),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1243),
    [sym_global_variable] = ACTIONS(1243),
    [sym_global_reference] = ACTIONS(1243),
    [sym_number] = ACTIONS(1243),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1243),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [255] = {
    [sym_procedure] = STATE(843),
    [sym_block] = STATE(843),
    [sym_assignment] = STATE(843),
    [sym_if] = STATE(843),
    [sym_loop] = STATE(843),
    [sym_handling] = STATE(843),
    [sym_catch] = STATE(843),
    [sym_throw] = STATE(843),
    [sym_primitive] = STATE(843),
    [sym_iterator] = STATE(843),
    [sym_while] = STATE(843),
    [sym_try] = STATE(843),
    [sym_loopbody] = STATE(843),
    [sym_leave] = STATE(843),
    [sym_continue] = STATE(843),
    [sym_protect] = STATE(843),
    [sym_lock] = STATE(843),
    [sym__literal] = STATE(843),
    [sym_string_literal] = STATE(843),
    [sym_call] = STATE(843),
    [sym_invoke] = STATE(843),
    [sym_indexed_access] = STATE(843),
    [sym_slot_accessor] = STATE(843),
    [sym__expression_list] = STATE(463),
    [sym_class] = STATE(843),
    [sym__expression] = STATE(843),
    [sym_return] = STATE(843),
    [sym_gather] = STATE(843),
    [sym_scatter] = STATE(843),
    [sym_allresults] = STATE(843),
    [sym_parenthesized_expression] = STATE(843),
    [sym__variable] = STATE(843),
    [sym_variable] = STATE(843),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(843),
    [sym_relational_operator] = STATE(843),
    [sym_logical_operator] = STATE(843),
    [sym_arithmetic_operator] = STATE(843),
    [sym_unary_operator] = STATE(843),
    [sym_character_literal] = STATE(843),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1189),
    [sym_false] = ACTIONS(1189),
    [sym_maybe] = ACTIONS(1189),
    [sym_unset] = ACTIONS(1189),
    [sym_super] = ACTIONS(1189),
    [sym_self] = ACTIONS(1189),
    [sym_clone] = ACTIONS(1189),
    [sym_thisthread] = ACTIONS(1189),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1189),
    [sym_global_variable] = ACTIONS(1189),
    [sym_global_reference] = ACTIONS(1189),
    [sym_number] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1189),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [256] = {
    [sym_procedure] = STATE(596),
    [sym_block] = STATE(596),
    [sym_assignment] = STATE(596),
    [sym_if] = STATE(596),
    [sym_loop] = STATE(596),
    [sym_handling] = STATE(596),
    [sym_catch] = STATE(596),
    [sym_throw] = STATE(596),
    [sym_primitive] = STATE(596),
    [sym_iterator] = STATE(596),
    [sym_while] = STATE(596),
    [sym_try] = STATE(596),
    [sym_loopbody] = STATE(596),
    [sym_leave] = STATE(596),
    [sym_continue] = STATE(596),
    [sym_protect] = STATE(596),
    [sym_lock] = STATE(596),
    [sym__literal] = STATE(596),
    [sym_string_literal] = STATE(596),
    [sym_call] = STATE(596),
    [sym_invoke] = STATE(596),
    [sym_indexed_access] = STATE(596),
    [sym_slot_accessor] = STATE(596),
    [sym_class] = STATE(596),
    [sym__expression] = STATE(596),
    [sym_return] = STATE(596),
    [sym_gather] = STATE(596),
    [sym_scatter] = STATE(596),
    [sym_allresults] = STATE(596),
    [sym_parenthesized_expression] = STATE(596),
    [sym__variable] = STATE(596),
    [sym_variable] = STATE(596),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(596),
    [sym_relational_operator] = STATE(596),
    [sym_logical_operator] = STATE(596),
    [sym_arithmetic_operator] = STATE(596),
    [sym_unary_operator] = STATE(596),
    [sym_character_literal] = STATE(596),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__default] = ACTIONS(1131),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1245),
    [sym_false] = ACTIONS(1245),
    [sym_maybe] = ACTIONS(1245),
    [sym_unset] = ACTIONS(1245),
    [sym_super] = ACTIONS(1245),
    [sym_self] = ACTIONS(1245),
    [sym_clone] = ACTIONS(1245),
    [sym_thisthread] = ACTIONS(1245),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1245),
    [sym_global_variable] = ACTIONS(1245),
    [sym_global_reference] = ACTIONS(1245),
    [sym_number] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1245),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [257] = {
    [sym_procedure] = STATE(819),
    [sym_block] = STATE(819),
    [sym_assignment] = STATE(819),
    [sym_if] = STATE(819),
    [sym_loop] = STATE(819),
    [sym_handling] = STATE(819),
    [sym_catch] = STATE(819),
    [sym_throw] = STATE(819),
    [sym_primitive] = STATE(819),
    [sym_iterator] = STATE(819),
    [sym_while] = STATE(819),
    [sym_try] = STATE(819),
    [sym_loopbody] = STATE(819),
    [sym_leave] = STATE(819),
    [sym_continue] = STATE(819),
    [sym_protect] = STATE(819),
    [sym_lock] = STATE(819),
    [sym__literal] = STATE(819),
    [sym_string_literal] = STATE(819),
    [sym_call] = STATE(819),
    [sym_invoke] = STATE(819),
    [sym_indexed_access] = STATE(819),
    [sym_slot_accessor] = STATE(819),
    [sym_class] = STATE(819),
    [sym__expression] = STATE(819),
    [sym_return] = STATE(819),
    [sym_gather] = STATE(819),
    [sym_scatter] = STATE(819),
    [sym_allresults] = STATE(819),
    [sym_parenthesized_expression] = STATE(819),
    [sym__variable] = STATE(819),
    [sym_variable] = STATE(819),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(819),
    [sym_relational_operator] = STATE(819),
    [sym_logical_operator] = STATE(819),
    [sym_arithmetic_operator] = STATE(819),
    [sym_unary_operator] = STATE(819),
    [sym_character_literal] = STATE(819),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__default] = ACTIONS(1155),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1247),
    [sym_false] = ACTIONS(1247),
    [sym_maybe] = ACTIONS(1247),
    [sym_unset] = ACTIONS(1247),
    [sym_super] = ACTIONS(1247),
    [sym_self] = ACTIONS(1247),
    [sym_clone] = ACTIONS(1247),
    [sym_thisthread] = ACTIONS(1247),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1247),
    [sym_global_variable] = ACTIONS(1247),
    [sym_global_reference] = ACTIONS(1247),
    [sym_number] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [258] = {
    [sym_procedure] = STATE(606),
    [sym_block] = STATE(606),
    [sym_assignment] = STATE(606),
    [sym_if] = STATE(606),
    [sym_loop] = STATE(606),
    [sym_handling] = STATE(606),
    [sym_catch] = STATE(606),
    [sym_throw] = STATE(606),
    [sym_primitive] = STATE(606),
    [sym_iterator] = STATE(606),
    [sym_while] = STATE(606),
    [sym_try] = STATE(606),
    [sym_loopbody] = STATE(606),
    [sym_leave] = STATE(606),
    [sym_continue] = STATE(606),
    [sym_protect] = STATE(606),
    [sym_lock] = STATE(606),
    [sym__literal] = STATE(606),
    [sym_string_literal] = STATE(606),
    [sym_call] = STATE(606),
    [sym_invoke] = STATE(606),
    [sym_indexed_access] = STATE(606),
    [sym_slot_accessor] = STATE(606),
    [sym_class] = STATE(606),
    [sym__expression] = STATE(606),
    [sym_return] = STATE(606),
    [sym_gather] = STATE(606),
    [sym_scatter] = STATE(606),
    [sym_allresults] = STATE(606),
    [sym_parenthesized_expression] = STATE(606),
    [sym__variable] = STATE(606),
    [sym_variable] = STATE(606),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(606),
    [sym_relational_operator] = STATE(606),
    [sym_logical_operator] = STATE(606),
    [sym_arithmetic_operator] = STATE(606),
    [sym_unary_operator] = STATE(606),
    [sym_character_literal] = STATE(606),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__default] = ACTIONS(1205),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1249),
    [sym_false] = ACTIONS(1249),
    [sym_maybe] = ACTIONS(1249),
    [sym_unset] = ACTIONS(1249),
    [sym_super] = ACTIONS(1249),
    [sym_self] = ACTIONS(1249),
    [sym_clone] = ACTIONS(1249),
    [sym_thisthread] = ACTIONS(1249),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1249),
    [sym_global_variable] = ACTIONS(1249),
    [sym_global_reference] = ACTIONS(1249),
    [sym_number] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1249),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [259] = {
    [sym_procedure] = STATE(674),
    [sym_block] = STATE(674),
    [sym_assignment] = STATE(674),
    [sym_if] = STATE(674),
    [sym_loop] = STATE(674),
    [sym_handling] = STATE(674),
    [sym_catch] = STATE(674),
    [sym_throw] = STATE(674),
    [sym_primitive] = STATE(674),
    [sym_iterator] = STATE(674),
    [sym_while] = STATE(674),
    [sym_try] = STATE(674),
    [sym_loopbody] = STATE(674),
    [sym_leave] = STATE(674),
    [sym_continue] = STATE(674),
    [sym_protect] = STATE(674),
    [sym_lock] = STATE(674),
    [sym__literal] = STATE(674),
    [sym_string_literal] = STATE(674),
    [sym_call] = STATE(674),
    [sym_invoke] = STATE(674),
    [sym_indexed_access] = STATE(674),
    [sym_slot_accessor] = STATE(674),
    [sym__expression_list] = STATE(1646),
    [sym_class] = STATE(674),
    [sym__expression] = STATE(674),
    [sym_return] = STATE(674),
    [sym_gather] = STATE(674),
    [sym_scatter] = STATE(674),
    [sym_allresults] = STATE(674),
    [sym_parenthesized_expression] = STATE(674),
    [sym__variable] = STATE(674),
    [sym_variable] = STATE(674),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(674),
    [sym_relational_operator] = STATE(674),
    [sym_logical_operator] = STATE(674),
    [sym_arithmetic_operator] = STATE(674),
    [sym_unary_operator] = STATE(674),
    [sym_character_literal] = STATE(674),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(277),
    [sym_false] = ACTIONS(277),
    [sym_maybe] = ACTIONS(277),
    [sym_unset] = ACTIONS(277),
    [sym_super] = ACTIONS(277),
    [sym_self] = ACTIONS(277),
    [sym_clone] = ACTIONS(277),
    [sym_thisthread] = ACTIONS(277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(277),
    [sym_global_variable] = ACTIONS(277),
    [sym_global_reference] = ACTIONS(277),
    [sym_number] = ACTIONS(277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [260] = {
    [sym_procedure] = STATE(716),
    [sym_block] = STATE(716),
    [sym_assignment] = STATE(716),
    [sym_if] = STATE(716),
    [sym_loop] = STATE(716),
    [sym_handling] = STATE(716),
    [sym_catch] = STATE(716),
    [sym_throw] = STATE(716),
    [sym_primitive] = STATE(716),
    [sym_iterator] = STATE(716),
    [sym_while] = STATE(716),
    [sym_try] = STATE(716),
    [sym_loopbody] = STATE(716),
    [sym_leave] = STATE(716),
    [sym_continue] = STATE(716),
    [sym_protect] = STATE(716),
    [sym_lock] = STATE(716),
    [sym__literal] = STATE(716),
    [sym_string_literal] = STATE(716),
    [sym_call] = STATE(716),
    [sym_invoke] = STATE(716),
    [sym_indexed_access] = STATE(716),
    [sym_slot_accessor] = STATE(716),
    [sym_class] = STATE(716),
    [sym__expression] = STATE(716),
    [sym_return] = STATE(716),
    [sym_gather] = STATE(716),
    [sym_scatter] = STATE(716),
    [sym_allresults] = STATE(716),
    [sym_parenthesized_expression] = STATE(716),
    [sym__variable] = STATE(716),
    [sym_variable] = STATE(716),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(716),
    [sym_relational_operator] = STATE(716),
    [sym_logical_operator] = STATE(716),
    [sym_arithmetic_operator] = STATE(716),
    [sym_unary_operator] = STATE(716),
    [sym_character_literal] = STATE(716),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1155),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1251),
    [sym_false] = ACTIONS(1251),
    [sym_maybe] = ACTIONS(1251),
    [sym_unset] = ACTIONS(1251),
    [sym_super] = ACTIONS(1251),
    [sym_self] = ACTIONS(1251),
    [sym_clone] = ACTIONS(1251),
    [sym_thisthread] = ACTIONS(1251),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1251),
    [sym_global_variable] = ACTIONS(1251),
    [sym_global_reference] = ACTIONS(1251),
    [sym_number] = ACTIONS(1251),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1251),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [261] = {
    [sym_procedure] = STATE(922),
    [sym_block] = STATE(922),
    [sym_assignment] = STATE(922),
    [sym_if] = STATE(922),
    [sym_loop] = STATE(922),
    [sym_handling] = STATE(922),
    [sym_catch] = STATE(922),
    [sym_throw] = STATE(922),
    [sym_primitive] = STATE(922),
    [sym_iterator] = STATE(922),
    [sym_while] = STATE(922),
    [sym_try] = STATE(922),
    [sym_loopbody] = STATE(922),
    [sym_leave] = STATE(922),
    [sym_continue] = STATE(922),
    [sym_protect] = STATE(922),
    [sym_lock] = STATE(922),
    [sym__literal] = STATE(922),
    [sym_string_literal] = STATE(922),
    [sym_call] = STATE(922),
    [sym_invoke] = STATE(922),
    [sym_indexed_access] = STATE(922),
    [sym_slot_accessor] = STATE(922),
    [sym_class] = STATE(922),
    [sym__expression] = STATE(922),
    [sym_return] = STATE(922),
    [sym_gather] = STATE(922),
    [sym_scatter] = STATE(922),
    [sym_allresults] = STATE(922),
    [sym_parenthesized_expression] = STATE(922),
    [sym__variable] = STATE(922),
    [sym_variable] = STATE(922),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(922),
    [sym_relational_operator] = STATE(922),
    [sym_logical_operator] = STATE(922),
    [sym_arithmetic_operator] = STATE(922),
    [sym_unary_operator] = STATE(922),
    [sym_character_literal] = STATE(922),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1151),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1253),
    [sym_false] = ACTIONS(1253),
    [sym_maybe] = ACTIONS(1253),
    [sym_unset] = ACTIONS(1253),
    [sym_super] = ACTIONS(1253),
    [sym_self] = ACTIONS(1253),
    [sym_clone] = ACTIONS(1253),
    [sym_thisthread] = ACTIONS(1253),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1253),
    [sym_global_variable] = ACTIONS(1253),
    [sym_global_reference] = ACTIONS(1253),
    [sym_number] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1253),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [262] = {
    [sym_procedure] = STATE(844),
    [sym_block] = STATE(844),
    [sym_assignment] = STATE(844),
    [sym_if] = STATE(844),
    [sym_loop] = STATE(844),
    [sym_handling] = STATE(844),
    [sym_catch] = STATE(844),
    [sym_throw] = STATE(844),
    [sym_primitive] = STATE(844),
    [sym_iterator] = STATE(844),
    [sym_while] = STATE(844),
    [sym_try] = STATE(844),
    [sym_loopbody] = STATE(844),
    [sym_leave] = STATE(844),
    [sym_continue] = STATE(844),
    [sym_protect] = STATE(844),
    [sym_lock] = STATE(844),
    [sym__literal] = STATE(844),
    [sym_string_literal] = STATE(844),
    [sym_call] = STATE(844),
    [sym_invoke] = STATE(844),
    [sym_indexed_access] = STATE(844),
    [sym_slot_accessor] = STATE(844),
    [sym_class] = STATE(844),
    [sym__expression] = STATE(844),
    [sym_return] = STATE(844),
    [sym_gather] = STATE(844),
    [sym_scatter] = STATE(844),
    [sym_allresults] = STATE(844),
    [sym_parenthesized_expression] = STATE(844),
    [sym__variable] = STATE(844),
    [sym_variable] = STATE(844),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(844),
    [sym_relational_operator] = STATE(844),
    [sym_logical_operator] = STATE(844),
    [sym_arithmetic_operator] = STATE(844),
    [sym_unary_operator] = STATE(844),
    [sym_character_literal] = STATE(844),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__default] = ACTIONS(1131),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1255),
    [sym_false] = ACTIONS(1255),
    [sym_maybe] = ACTIONS(1255),
    [sym_unset] = ACTIONS(1255),
    [sym_super] = ACTIONS(1255),
    [sym_self] = ACTIONS(1255),
    [sym_clone] = ACTIONS(1255),
    [sym_thisthread] = ACTIONS(1255),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1255),
    [sym_global_variable] = ACTIONS(1255),
    [sym_global_reference] = ACTIONS(1255),
    [sym_number] = ACTIONS(1255),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1255),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [263] = {
    [sym_procedure] = STATE(924),
    [sym_block] = STATE(924),
    [sym_assignment] = STATE(924),
    [sym_if] = STATE(924),
    [sym_loop] = STATE(924),
    [sym_handling] = STATE(924),
    [sym_catch] = STATE(924),
    [sym_throw] = STATE(924),
    [sym_primitive] = STATE(924),
    [sym_iterator] = STATE(924),
    [sym_while] = STATE(924),
    [sym_try] = STATE(924),
    [sym_loopbody] = STATE(924),
    [sym_leave] = STATE(924),
    [sym_continue] = STATE(924),
    [sym_protect] = STATE(924),
    [sym_lock] = STATE(924),
    [sym__literal] = STATE(924),
    [sym_string_literal] = STATE(924),
    [sym_call] = STATE(924),
    [sym_invoke] = STATE(924),
    [sym_indexed_access] = STATE(924),
    [sym_slot_accessor] = STATE(924),
    [sym__expression_list] = STATE(1625),
    [sym_class] = STATE(924),
    [sym__expression] = STATE(924),
    [sym_return] = STATE(924),
    [sym_gather] = STATE(924),
    [sym_scatter] = STATE(924),
    [sym_allresults] = STATE(924),
    [sym_parenthesized_expression] = STATE(924),
    [sym__variable] = STATE(924),
    [sym_variable] = STATE(924),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(924),
    [sym_relational_operator] = STATE(924),
    [sym_logical_operator] = STATE(924),
    [sym_arithmetic_operator] = STATE(924),
    [sym_unary_operator] = STATE(924),
    [sym_character_literal] = STATE(924),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1257),
    [sym_false] = ACTIONS(1257),
    [sym_maybe] = ACTIONS(1257),
    [sym_unset] = ACTIONS(1257),
    [sym_super] = ACTIONS(1257),
    [sym_self] = ACTIONS(1257),
    [sym_clone] = ACTIONS(1257),
    [sym_thisthread] = ACTIONS(1257),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1257),
    [sym_global_variable] = ACTIONS(1257),
    [sym_global_reference] = ACTIONS(1257),
    [sym_number] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1257),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [264] = {
    [sym_procedure] = STATE(910),
    [sym_block] = STATE(910),
    [sym_assignment] = STATE(910),
    [sym_if] = STATE(910),
    [sym_loop] = STATE(910),
    [sym_handling] = STATE(910),
    [sym_catch] = STATE(910),
    [sym_throw] = STATE(910),
    [sym_primitive] = STATE(910),
    [sym_iterator] = STATE(910),
    [sym_while] = STATE(910),
    [sym_try] = STATE(910),
    [sym_loopbody] = STATE(910),
    [sym_leave] = STATE(910),
    [sym_continue] = STATE(910),
    [sym_protect] = STATE(910),
    [sym_lock] = STATE(910),
    [sym__literal] = STATE(910),
    [sym_string_literal] = STATE(910),
    [sym_call] = STATE(910),
    [sym_invoke] = STATE(910),
    [sym_indexed_access] = STATE(910),
    [sym_slot_accessor] = STATE(910),
    [sym_class] = STATE(910),
    [sym__expression] = STATE(910),
    [sym_return] = STATE(910),
    [sym_gather] = STATE(910),
    [sym_scatter] = STATE(910),
    [sym_allresults] = STATE(910),
    [sym_parenthesized_expression] = STATE(910),
    [sym__variable] = STATE(910),
    [sym_variable] = STATE(910),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(910),
    [sym_relational_operator] = STATE(910),
    [sym_logical_operator] = STATE(910),
    [sym_arithmetic_operator] = STATE(910),
    [sym_unary_operator] = STATE(910),
    [sym_character_literal] = STATE(910),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1151),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1259),
    [sym_false] = ACTIONS(1259),
    [sym_maybe] = ACTIONS(1259),
    [sym_unset] = ACTIONS(1259),
    [sym_super] = ACTIONS(1259),
    [sym_self] = ACTIONS(1259),
    [sym_clone] = ACTIONS(1259),
    [sym_thisthread] = ACTIONS(1259),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1259),
    [sym_global_variable] = ACTIONS(1259),
    [sym_global_reference] = ACTIONS(1259),
    [sym_number] = ACTIONS(1259),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [265] = {
    [sym_procedure] = STATE(930),
    [sym_block] = STATE(930),
    [sym_assignment] = STATE(930),
    [sym_if] = STATE(930),
    [sym_loop] = STATE(930),
    [sym_handling] = STATE(930),
    [sym_catch] = STATE(930),
    [sym_throw] = STATE(930),
    [sym_primitive] = STATE(930),
    [sym_iterator] = STATE(930),
    [sym_while] = STATE(930),
    [sym_try] = STATE(930),
    [sym_loopbody] = STATE(930),
    [sym_leave] = STATE(930),
    [sym_continue] = STATE(930),
    [sym_protect] = STATE(930),
    [sym_lock] = STATE(930),
    [sym__literal] = STATE(930),
    [sym_string_literal] = STATE(930),
    [sym_call] = STATE(930),
    [sym_invoke] = STATE(930),
    [sym_indexed_access] = STATE(930),
    [sym_slot_accessor] = STATE(930),
    [sym_class] = STATE(930),
    [sym__expression] = STATE(930),
    [sym_return] = STATE(930),
    [sym_gather] = STATE(930),
    [sym_scatter] = STATE(930),
    [sym_allresults] = STATE(930),
    [sym_parenthesized_expression] = STATE(930),
    [sym__variable] = STATE(930),
    [sym_variable] = STATE(930),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(930),
    [sym_relational_operator] = STATE(930),
    [sym_logical_operator] = STATE(930),
    [sym_arithmetic_operator] = STATE(930),
    [sym_unary_operator] = STATE(930),
    [sym_character_literal] = STATE(930),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__default] = ACTIONS(1177),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1261),
    [sym_false] = ACTIONS(1261),
    [sym_maybe] = ACTIONS(1261),
    [sym_unset] = ACTIONS(1261),
    [sym_super] = ACTIONS(1261),
    [sym_self] = ACTIONS(1261),
    [sym_clone] = ACTIONS(1261),
    [sym_thisthread] = ACTIONS(1261),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1261),
    [sym_global_variable] = ACTIONS(1261),
    [sym_global_reference] = ACTIONS(1261),
    [sym_number] = ACTIONS(1261),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1261),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [266] = {
    [sym_procedure] = STATE(894),
    [sym_block] = STATE(894),
    [sym_assignment] = STATE(894),
    [sym_if] = STATE(894),
    [sym_loop] = STATE(894),
    [sym_handling] = STATE(894),
    [sym_catch] = STATE(894),
    [sym_throw] = STATE(894),
    [sym_primitive] = STATE(894),
    [sym_iterator] = STATE(894),
    [sym_while] = STATE(894),
    [sym_try] = STATE(894),
    [sym_loopbody] = STATE(894),
    [sym_leave] = STATE(894),
    [sym_continue] = STATE(894),
    [sym_protect] = STATE(894),
    [sym_lock] = STATE(894),
    [sym__literal] = STATE(894),
    [sym_string_literal] = STATE(894),
    [sym_call] = STATE(894),
    [sym_invoke] = STATE(894),
    [sym_indexed_access] = STATE(894),
    [sym_slot_accessor] = STATE(894),
    [sym_class] = STATE(894),
    [sym__expression] = STATE(894),
    [sym_return] = STATE(894),
    [sym_gather] = STATE(894),
    [sym_scatter] = STATE(894),
    [sym_allresults] = STATE(894),
    [sym_parenthesized_expression] = STATE(894),
    [sym__variable] = STATE(894),
    [sym_variable] = STATE(894),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(894),
    [sym_relational_operator] = STATE(894),
    [sym_logical_operator] = STATE(894),
    [sym_arithmetic_operator] = STATE(894),
    [sym_unary_operator] = STATE(894),
    [sym_character_literal] = STATE(894),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1263),
    [sym_false] = ACTIONS(1263),
    [sym_maybe] = ACTIONS(1263),
    [sym_unset] = ACTIONS(1263),
    [sym_super] = ACTIONS(1263),
    [sym_self] = ACTIONS(1263),
    [sym_clone] = ACTIONS(1263),
    [sym_thisthread] = ACTIONS(1263),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1263),
    [sym_global_variable] = ACTIONS(1263),
    [sym_global_reference] = ACTIONS(1263),
    [sym_number] = ACTIONS(1263),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1263),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [267] = {
    [sym_procedure] = STATE(838),
    [sym_block] = STATE(838),
    [sym_assignment] = STATE(838),
    [sym_if] = STATE(838),
    [sym_loop] = STATE(838),
    [sym_handling] = STATE(838),
    [sym_catch] = STATE(838),
    [sym_throw] = STATE(838),
    [sym_primitive] = STATE(838),
    [sym_iterator] = STATE(838),
    [sym_while] = STATE(838),
    [sym_try] = STATE(838),
    [sym_loopbody] = STATE(838),
    [sym_leave] = STATE(838),
    [sym_continue] = STATE(838),
    [sym_protect] = STATE(838),
    [sym_lock] = STATE(838),
    [sym__literal] = STATE(838),
    [sym_string_literal] = STATE(838),
    [sym_call] = STATE(838),
    [sym_invoke] = STATE(838),
    [sym_indexed_access] = STATE(838),
    [sym_slot_accessor] = STATE(838),
    [sym_class] = STATE(838),
    [sym__expression] = STATE(838),
    [sym_return] = STATE(838),
    [sym_gather] = STATE(838),
    [sym_scatter] = STATE(838),
    [sym_allresults] = STATE(838),
    [sym_parenthesized_expression] = STATE(838),
    [sym__variable] = STATE(838),
    [sym_variable] = STATE(838),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(838),
    [sym_relational_operator] = STATE(838),
    [sym_logical_operator] = STATE(838),
    [sym_arithmetic_operator] = STATE(838),
    [sym_unary_operator] = STATE(838),
    [sym_character_literal] = STATE(838),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1265),
    [sym_false] = ACTIONS(1265),
    [sym_maybe] = ACTIONS(1265),
    [sym_unset] = ACTIONS(1265),
    [sym_super] = ACTIONS(1265),
    [sym_self] = ACTIONS(1265),
    [sym_clone] = ACTIONS(1265),
    [sym_thisthread] = ACTIONS(1265),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1265),
    [sym_global_variable] = ACTIONS(1265),
    [sym_global_reference] = ACTIONS(1265),
    [sym_number] = ACTIONS(1265),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1265),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [268] = {
    [sym_procedure] = STATE(614),
    [sym_block] = STATE(614),
    [sym_assignment] = STATE(614),
    [sym_if] = STATE(614),
    [sym_loop] = STATE(614),
    [sym_handling] = STATE(614),
    [sym_catch] = STATE(614),
    [sym_throw] = STATE(614),
    [sym_primitive] = STATE(614),
    [sym_iterator] = STATE(614),
    [sym_while] = STATE(614),
    [sym_try] = STATE(614),
    [sym_loopbody] = STATE(614),
    [sym_leave] = STATE(614),
    [sym_continue] = STATE(614),
    [sym_protect] = STATE(614),
    [sym_lock] = STATE(614),
    [sym__literal] = STATE(614),
    [sym_string_literal] = STATE(614),
    [sym_call] = STATE(614),
    [sym_invoke] = STATE(614),
    [sym_indexed_access] = STATE(614),
    [sym_slot_accessor] = STATE(614),
    [sym_class] = STATE(614),
    [sym__expression] = STATE(614),
    [sym_return] = STATE(614),
    [sym_gather] = STATE(614),
    [sym_scatter] = STATE(614),
    [sym_allresults] = STATE(614),
    [sym_parenthesized_expression] = STATE(614),
    [sym__variable] = STATE(614),
    [sym_variable] = STATE(614),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(614),
    [sym_relational_operator] = STATE(614),
    [sym_logical_operator] = STATE(614),
    [sym_arithmetic_operator] = STATE(614),
    [sym_unary_operator] = STATE(614),
    [sym_character_literal] = STATE(614),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1267),
    [sym_false] = ACTIONS(1267),
    [sym_maybe] = ACTIONS(1267),
    [sym_unset] = ACTIONS(1267),
    [sym_super] = ACTIONS(1267),
    [sym_self] = ACTIONS(1267),
    [sym_clone] = ACTIONS(1267),
    [sym_thisthread] = ACTIONS(1267),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1267),
    [sym_global_variable] = ACTIONS(1267),
    [sym_global_reference] = ACTIONS(1267),
    [sym_number] = ACTIONS(1267),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [269] = {
    [sym_procedure] = STATE(537),
    [sym_block] = STATE(537),
    [sym_assignment] = STATE(537),
    [sym_if] = STATE(537),
    [sym_loop] = STATE(537),
    [sym_handling] = STATE(537),
    [sym_catch] = STATE(537),
    [sym_throw] = STATE(537),
    [sym_primitive] = STATE(537),
    [sym_iterator] = STATE(537),
    [sym_while] = STATE(537),
    [sym_try] = STATE(537),
    [sym_loopbody] = STATE(537),
    [sym_leave] = STATE(537),
    [sym_continue] = STATE(537),
    [sym_protect] = STATE(537),
    [sym_lock] = STATE(537),
    [sym__literal] = STATE(537),
    [sym_string_literal] = STATE(537),
    [sym_call] = STATE(537),
    [sym_invoke] = STATE(537),
    [sym_indexed_access] = STATE(537),
    [sym_slot_accessor] = STATE(537),
    [sym_class] = STATE(537),
    [sym__expression] = STATE(537),
    [sym_return] = STATE(537),
    [sym_gather] = STATE(537),
    [sym_scatter] = STATE(537),
    [sym_allresults] = STATE(537),
    [sym_parenthesized_expression] = STATE(537),
    [sym__variable] = STATE(537),
    [sym_variable] = STATE(537),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(537),
    [sym_relational_operator] = STATE(537),
    [sym_logical_operator] = STATE(537),
    [sym_arithmetic_operator] = STATE(537),
    [sym_unary_operator] = STATE(537),
    [sym_character_literal] = STATE(537),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1269),
    [sym_false] = ACTIONS(1269),
    [sym_maybe] = ACTIONS(1269),
    [sym_unset] = ACTIONS(1269),
    [sym_super] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [sym_clone] = ACTIONS(1269),
    [sym_thisthread] = ACTIONS(1269),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1269),
    [sym_global_variable] = ACTIONS(1269),
    [sym_global_reference] = ACTIONS(1269),
    [sym_number] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [270] = {
    [sym_procedure] = STATE(837),
    [sym_block] = STATE(837),
    [sym_assignment] = STATE(837),
    [sym_if] = STATE(837),
    [sym_loop] = STATE(837),
    [sym_handling] = STATE(837),
    [sym_catch] = STATE(837),
    [sym_throw] = STATE(837),
    [sym_primitive] = STATE(837),
    [sym_iterator] = STATE(837),
    [sym_while] = STATE(837),
    [sym_try] = STATE(837),
    [sym_loopbody] = STATE(837),
    [sym_leave] = STATE(837),
    [sym_continue] = STATE(837),
    [sym_protect] = STATE(837),
    [sym_lock] = STATE(837),
    [sym__literal] = STATE(837),
    [sym_string_literal] = STATE(837),
    [sym_call] = STATE(837),
    [sym_invoke] = STATE(837),
    [sym_indexed_access] = STATE(837),
    [sym_slot_accessor] = STATE(837),
    [sym_class] = STATE(837),
    [sym__expression] = STATE(837),
    [sym_return] = STATE(837),
    [sym_gather] = STATE(837),
    [sym_scatter] = STATE(837),
    [sym_allresults] = STATE(837),
    [sym_parenthesized_expression] = STATE(837),
    [sym__variable] = STATE(837),
    [sym_variable] = STATE(837),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(837),
    [sym_relational_operator] = STATE(837),
    [sym_logical_operator] = STATE(837),
    [sym_arithmetic_operator] = STATE(837),
    [sym_unary_operator] = STATE(837),
    [sym_character_literal] = STATE(837),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1271),
    [sym_false] = ACTIONS(1271),
    [sym_maybe] = ACTIONS(1271),
    [sym_unset] = ACTIONS(1271),
    [sym_super] = ACTIONS(1271),
    [sym_self] = ACTIONS(1271),
    [sym_clone] = ACTIONS(1271),
    [sym_thisthread] = ACTIONS(1271),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1271),
    [sym_global_variable] = ACTIONS(1271),
    [sym_global_reference] = ACTIONS(1271),
    [sym_number] = ACTIONS(1271),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [271] = {
    [sym_procedure] = STATE(835),
    [sym_block] = STATE(835),
    [sym_assignment] = STATE(835),
    [sym_if] = STATE(835),
    [sym_loop] = STATE(835),
    [sym_handling] = STATE(835),
    [sym_catch] = STATE(835),
    [sym_throw] = STATE(835),
    [sym_primitive] = STATE(835),
    [sym_iterator] = STATE(835),
    [sym_while] = STATE(835),
    [sym_try] = STATE(835),
    [sym_loopbody] = STATE(835),
    [sym_leave] = STATE(835),
    [sym_continue] = STATE(835),
    [sym_protect] = STATE(835),
    [sym_lock] = STATE(835),
    [sym__literal] = STATE(835),
    [sym_string_literal] = STATE(835),
    [sym_call] = STATE(835),
    [sym_invoke] = STATE(835),
    [sym_indexed_access] = STATE(835),
    [sym_slot_accessor] = STATE(835),
    [sym_class] = STATE(835),
    [sym__expression] = STATE(835),
    [sym_return] = STATE(835),
    [sym_gather] = STATE(835),
    [sym_scatter] = STATE(835),
    [sym_allresults] = STATE(835),
    [sym_parenthesized_expression] = STATE(835),
    [sym__variable] = STATE(835),
    [sym_variable] = STATE(835),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(835),
    [sym_relational_operator] = STATE(835),
    [sym_logical_operator] = STATE(835),
    [sym_arithmetic_operator] = STATE(835),
    [sym_unary_operator] = STATE(835),
    [sym_character_literal] = STATE(835),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_maybe] = ACTIONS(1273),
    [sym_unset] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_self] = ACTIONS(1273),
    [sym_clone] = ACTIONS(1273),
    [sym_thisthread] = ACTIONS(1273),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1273),
    [sym_global_variable] = ACTIONS(1273),
    [sym_global_reference] = ACTIONS(1273),
    [sym_number] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1273),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [272] = {
    [sym_procedure] = STATE(918),
    [sym_block] = STATE(918),
    [sym_assignment] = STATE(918),
    [sym_if] = STATE(918),
    [sym_loop] = STATE(918),
    [sym_handling] = STATE(918),
    [sym_catch] = STATE(918),
    [sym_throw] = STATE(918),
    [sym_primitive] = STATE(918),
    [sym_iterator] = STATE(918),
    [sym_while] = STATE(918),
    [sym_try] = STATE(918),
    [sym_loopbody] = STATE(918),
    [sym_leave] = STATE(918),
    [sym_continue] = STATE(918),
    [sym_protect] = STATE(918),
    [sym_lock] = STATE(918),
    [sym__literal] = STATE(918),
    [sym_string_literal] = STATE(918),
    [sym_call] = STATE(918),
    [sym_invoke] = STATE(918),
    [sym_indexed_access] = STATE(918),
    [sym_slot_accessor] = STATE(918),
    [sym_class] = STATE(918),
    [sym__expression] = STATE(918),
    [sym_return] = STATE(918),
    [sym_gather] = STATE(918),
    [sym_scatter] = STATE(918),
    [sym_allresults] = STATE(918),
    [sym_parenthesized_expression] = STATE(918),
    [sym__variable] = STATE(918),
    [sym_variable] = STATE(918),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(918),
    [sym_relational_operator] = STATE(918),
    [sym_logical_operator] = STATE(918),
    [sym_arithmetic_operator] = STATE(918),
    [sym_unary_operator] = STATE(918),
    [sym_character_literal] = STATE(918),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1275),
    [sym_false] = ACTIONS(1275),
    [sym_maybe] = ACTIONS(1275),
    [sym_unset] = ACTIONS(1275),
    [sym_super] = ACTIONS(1275),
    [sym_self] = ACTIONS(1275),
    [sym_clone] = ACTIONS(1275),
    [sym_thisthread] = ACTIONS(1275),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1275),
    [sym_global_variable] = ACTIONS(1275),
    [sym_global_reference] = ACTIONS(1275),
    [sym_number] = ACTIONS(1275),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1275),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [273] = {
    [sym_procedure] = STATE(962),
    [sym_block] = STATE(962),
    [sym_assignment] = STATE(962),
    [sym_if] = STATE(962),
    [sym_loop] = STATE(962),
    [sym_handling] = STATE(962),
    [sym_catch] = STATE(962),
    [sym_throw] = STATE(962),
    [sym_primitive] = STATE(962),
    [sym_iterator] = STATE(962),
    [sym_while] = STATE(962),
    [sym_try] = STATE(962),
    [sym_loopbody] = STATE(962),
    [sym_leave] = STATE(962),
    [sym_continue] = STATE(962),
    [sym_protect] = STATE(962),
    [sym_lock] = STATE(962),
    [sym__literal] = STATE(962),
    [sym_string_literal] = STATE(962),
    [sym_call] = STATE(962),
    [sym_invoke] = STATE(962),
    [sym_indexed_access] = STATE(962),
    [sym_slot_accessor] = STATE(962),
    [sym_class] = STATE(962),
    [sym__expression] = STATE(962),
    [sym_return] = STATE(962),
    [sym_gather] = STATE(962),
    [sym_scatter] = STATE(962),
    [sym_allresults] = STATE(962),
    [sym_parenthesized_expression] = STATE(962),
    [sym__variable] = STATE(962),
    [sym_variable] = STATE(962),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(962),
    [sym_relational_operator] = STATE(962),
    [sym_logical_operator] = STATE(962),
    [sym_arithmetic_operator] = STATE(962),
    [sym_unary_operator] = STATE(962),
    [sym_character_literal] = STATE(962),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1277),
    [sym_false] = ACTIONS(1277),
    [sym_maybe] = ACTIONS(1277),
    [sym_unset] = ACTIONS(1277),
    [sym_super] = ACTIONS(1277),
    [sym_self] = ACTIONS(1277),
    [sym_clone] = ACTIONS(1277),
    [sym_thisthread] = ACTIONS(1277),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1277),
    [sym_global_variable] = ACTIONS(1277),
    [sym_global_reference] = ACTIONS(1277),
    [sym_number] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1277),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [274] = {
    [sym_procedure] = STATE(804),
    [sym_block] = STATE(804),
    [sym_assignment] = STATE(804),
    [sym_if] = STATE(804),
    [sym_loop] = STATE(804),
    [sym_handling] = STATE(804),
    [sym_catch] = STATE(804),
    [sym_throw] = STATE(804),
    [sym_primitive] = STATE(804),
    [sym_iterator] = STATE(804),
    [sym_while] = STATE(804),
    [sym_try] = STATE(804),
    [sym_loopbody] = STATE(804),
    [sym_leave] = STATE(804),
    [sym_continue] = STATE(804),
    [sym_protect] = STATE(804),
    [sym_lock] = STATE(804),
    [sym__literal] = STATE(804),
    [sym_string_literal] = STATE(804),
    [sym_call] = STATE(804),
    [sym_invoke] = STATE(804),
    [sym_indexed_access] = STATE(804),
    [sym_slot_accessor] = STATE(804),
    [sym_class] = STATE(804),
    [sym__expression] = STATE(804),
    [sym_return] = STATE(804),
    [sym_gather] = STATE(804),
    [sym_scatter] = STATE(804),
    [sym_allresults] = STATE(804),
    [sym_parenthesized_expression] = STATE(804),
    [sym__variable] = STATE(804),
    [sym_variable] = STATE(804),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(804),
    [sym_relational_operator] = STATE(804),
    [sym_logical_operator] = STATE(804),
    [sym_arithmetic_operator] = STATE(804),
    [sym_unary_operator] = STATE(804),
    [sym_character_literal] = STATE(804),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1279),
    [sym_false] = ACTIONS(1279),
    [sym_maybe] = ACTIONS(1279),
    [sym_unset] = ACTIONS(1279),
    [sym_super] = ACTIONS(1279),
    [sym_self] = ACTIONS(1279),
    [sym_clone] = ACTIONS(1279),
    [sym_thisthread] = ACTIONS(1279),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1279),
    [sym_global_variable] = ACTIONS(1279),
    [sym_global_reference] = ACTIONS(1279),
    [sym_number] = ACTIONS(1279),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1279),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [275] = {
    [sym_procedure] = STATE(810),
    [sym_block] = STATE(810),
    [sym_assignment] = STATE(810),
    [sym_if] = STATE(810),
    [sym_loop] = STATE(810),
    [sym_handling] = STATE(810),
    [sym_catch] = STATE(810),
    [sym_throw] = STATE(810),
    [sym_primitive] = STATE(810),
    [sym_iterator] = STATE(810),
    [sym_while] = STATE(810),
    [sym_try] = STATE(810),
    [sym_loopbody] = STATE(810),
    [sym_leave] = STATE(810),
    [sym_continue] = STATE(810),
    [sym_protect] = STATE(810),
    [sym_lock] = STATE(810),
    [sym__literal] = STATE(810),
    [sym_string_literal] = STATE(810),
    [sym_call] = STATE(810),
    [sym_invoke] = STATE(810),
    [sym_indexed_access] = STATE(810),
    [sym_slot_accessor] = STATE(810),
    [sym_class] = STATE(810),
    [sym__expression] = STATE(810),
    [sym_return] = STATE(810),
    [sym_gather] = STATE(810),
    [sym_scatter] = STATE(810),
    [sym_allresults] = STATE(810),
    [sym_parenthesized_expression] = STATE(810),
    [sym__variable] = STATE(810),
    [sym_variable] = STATE(810),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(810),
    [sym_relational_operator] = STATE(810),
    [sym_logical_operator] = STATE(810),
    [sym_arithmetic_operator] = STATE(810),
    [sym_unary_operator] = STATE(810),
    [sym_character_literal] = STATE(810),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1281),
    [sym_false] = ACTIONS(1281),
    [sym_maybe] = ACTIONS(1281),
    [sym_unset] = ACTIONS(1281),
    [sym_super] = ACTIONS(1281),
    [sym_self] = ACTIONS(1281),
    [sym_clone] = ACTIONS(1281),
    [sym_thisthread] = ACTIONS(1281),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1281),
    [sym_global_variable] = ACTIONS(1281),
    [sym_global_reference] = ACTIONS(1281),
    [sym_number] = ACTIONS(1281),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1281),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [276] = {
    [sym_procedure] = STATE(811),
    [sym_block] = STATE(811),
    [sym_assignment] = STATE(811),
    [sym_if] = STATE(811),
    [sym_loop] = STATE(811),
    [sym_handling] = STATE(811),
    [sym_catch] = STATE(811),
    [sym_throw] = STATE(811),
    [sym_primitive] = STATE(811),
    [sym_iterator] = STATE(811),
    [sym_while] = STATE(811),
    [sym_try] = STATE(811),
    [sym_loopbody] = STATE(811),
    [sym_leave] = STATE(811),
    [sym_continue] = STATE(811),
    [sym_protect] = STATE(811),
    [sym_lock] = STATE(811),
    [sym__literal] = STATE(811),
    [sym_string_literal] = STATE(811),
    [sym_call] = STATE(811),
    [sym_invoke] = STATE(811),
    [sym_indexed_access] = STATE(811),
    [sym_slot_accessor] = STATE(811),
    [sym_class] = STATE(811),
    [sym__expression] = STATE(811),
    [sym_return] = STATE(811),
    [sym_gather] = STATE(811),
    [sym_scatter] = STATE(811),
    [sym_allresults] = STATE(811),
    [sym_parenthesized_expression] = STATE(811),
    [sym__variable] = STATE(811),
    [sym_variable] = STATE(811),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(811),
    [sym_relational_operator] = STATE(811),
    [sym_logical_operator] = STATE(811),
    [sym_arithmetic_operator] = STATE(811),
    [sym_unary_operator] = STATE(811),
    [sym_character_literal] = STATE(811),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1283),
    [sym_false] = ACTIONS(1283),
    [sym_maybe] = ACTIONS(1283),
    [sym_unset] = ACTIONS(1283),
    [sym_super] = ACTIONS(1283),
    [sym_self] = ACTIONS(1283),
    [sym_clone] = ACTIONS(1283),
    [sym_thisthread] = ACTIONS(1283),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1283),
    [sym_global_variable] = ACTIONS(1283),
    [sym_global_reference] = ACTIONS(1283),
    [sym_number] = ACTIONS(1283),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [277] = {
    [sym_procedure] = STATE(959),
    [sym_block] = STATE(959),
    [sym_assignment] = STATE(959),
    [sym_if] = STATE(959),
    [sym_loop] = STATE(959),
    [sym_handling] = STATE(959),
    [sym_catch] = STATE(959),
    [sym_throw] = STATE(959),
    [sym_primitive] = STATE(959),
    [sym_iterator] = STATE(959),
    [sym_while] = STATE(959),
    [sym_try] = STATE(959),
    [sym_loopbody] = STATE(959),
    [sym_leave] = STATE(959),
    [sym_continue] = STATE(959),
    [sym_protect] = STATE(959),
    [sym_lock] = STATE(959),
    [sym__literal] = STATE(959),
    [sym_string_literal] = STATE(959),
    [sym_call] = STATE(959),
    [sym_invoke] = STATE(959),
    [sym_indexed_access] = STATE(959),
    [sym_slot_accessor] = STATE(959),
    [sym_class] = STATE(959),
    [sym__expression] = STATE(959),
    [sym_return] = STATE(959),
    [sym_gather] = STATE(959),
    [sym_scatter] = STATE(959),
    [sym_allresults] = STATE(959),
    [sym_parenthesized_expression] = STATE(959),
    [sym__variable] = STATE(959),
    [sym_variable] = STATE(959),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(959),
    [sym_relational_operator] = STATE(959),
    [sym_logical_operator] = STATE(959),
    [sym_arithmetic_operator] = STATE(959),
    [sym_unary_operator] = STATE(959),
    [sym_character_literal] = STATE(959),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1285),
    [sym_false] = ACTIONS(1285),
    [sym_maybe] = ACTIONS(1285),
    [sym_unset] = ACTIONS(1285),
    [sym_super] = ACTIONS(1285),
    [sym_self] = ACTIONS(1285),
    [sym_clone] = ACTIONS(1285),
    [sym_thisthread] = ACTIONS(1285),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1285),
    [sym_global_variable] = ACTIONS(1285),
    [sym_global_reference] = ACTIONS(1285),
    [sym_number] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1285),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [278] = {
    [sym_procedure] = STATE(537),
    [sym_block] = STATE(537),
    [sym_assignment] = STATE(537),
    [sym_if] = STATE(537),
    [sym_loop] = STATE(537),
    [sym_handling] = STATE(537),
    [sym_catch] = STATE(537),
    [sym_throw] = STATE(537),
    [sym_primitive] = STATE(537),
    [sym_iterator] = STATE(537),
    [sym_while] = STATE(537),
    [sym_try] = STATE(537),
    [sym_loopbody] = STATE(537),
    [sym_leave] = STATE(537),
    [sym_continue] = STATE(537),
    [sym_protect] = STATE(537),
    [sym_lock] = STATE(537),
    [sym__literal] = STATE(537),
    [sym_string_literal] = STATE(537),
    [sym_call] = STATE(537),
    [sym_invoke] = STATE(537),
    [sym_indexed_access] = STATE(537),
    [sym_slot_accessor] = STATE(537),
    [sym_class] = STATE(537),
    [sym__expression] = STATE(537),
    [sym_return] = STATE(537),
    [sym_gather] = STATE(537),
    [sym_scatter] = STATE(537),
    [sym_allresults] = STATE(537),
    [sym_parenthesized_expression] = STATE(537),
    [sym__variable] = STATE(537),
    [sym_variable] = STATE(537),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(537),
    [sym_relational_operator] = STATE(537),
    [sym_logical_operator] = STATE(537),
    [sym_arithmetic_operator] = STATE(537),
    [sym_unary_operator] = STATE(537),
    [sym_character_literal] = STATE(537),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1269),
    [sym_false] = ACTIONS(1269),
    [sym_maybe] = ACTIONS(1269),
    [sym_unset] = ACTIONS(1269),
    [sym_super] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [sym_clone] = ACTIONS(1269),
    [sym_thisthread] = ACTIONS(1269),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1269),
    [sym_global_variable] = ACTIONS(1269),
    [sym_global_reference] = ACTIONS(1269),
    [sym_number] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [279] = {
    [sym_procedure] = STATE(590),
    [sym_block] = STATE(590),
    [sym_assignment] = STATE(590),
    [sym_if] = STATE(590),
    [sym_loop] = STATE(590),
    [sym_handling] = STATE(590),
    [sym_catch] = STATE(590),
    [sym_throw] = STATE(590),
    [sym_primitive] = STATE(590),
    [sym_iterator] = STATE(590),
    [sym_while] = STATE(590),
    [sym_try] = STATE(590),
    [sym_loopbody] = STATE(590),
    [sym_leave] = STATE(590),
    [sym_continue] = STATE(590),
    [sym_protect] = STATE(590),
    [sym_lock] = STATE(590),
    [sym__literal] = STATE(590),
    [sym_string_literal] = STATE(590),
    [sym_call] = STATE(590),
    [sym_invoke] = STATE(590),
    [sym_indexed_access] = STATE(590),
    [sym_slot_accessor] = STATE(590),
    [sym_class] = STATE(590),
    [sym__expression] = STATE(590),
    [sym_return] = STATE(590),
    [sym_gather] = STATE(590),
    [sym_scatter] = STATE(590),
    [sym_allresults] = STATE(590),
    [sym_parenthesized_expression] = STATE(590),
    [sym__variable] = STATE(590),
    [sym_variable] = STATE(590),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(590),
    [sym_relational_operator] = STATE(590),
    [sym_logical_operator] = STATE(590),
    [sym_arithmetic_operator] = STATE(590),
    [sym_unary_operator] = STATE(590),
    [sym_character_literal] = STATE(590),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1287),
    [sym_false] = ACTIONS(1287),
    [sym_maybe] = ACTIONS(1287),
    [sym_unset] = ACTIONS(1287),
    [sym_super] = ACTIONS(1287),
    [sym_self] = ACTIONS(1287),
    [sym_clone] = ACTIONS(1287),
    [sym_thisthread] = ACTIONS(1287),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1287),
    [sym_global_variable] = ACTIONS(1287),
    [sym_global_reference] = ACTIONS(1287),
    [sym_number] = ACTIONS(1287),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1287),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [280] = {
    [sym_procedure] = STATE(602),
    [sym_block] = STATE(602),
    [sym_assignment] = STATE(602),
    [sym_if] = STATE(602),
    [sym_loop] = STATE(602),
    [sym_handling] = STATE(602),
    [sym_catch] = STATE(602),
    [sym_throw] = STATE(602),
    [sym_primitive] = STATE(602),
    [sym_iterator] = STATE(602),
    [sym_while] = STATE(602),
    [sym_try] = STATE(602),
    [sym_loopbody] = STATE(602),
    [sym_leave] = STATE(602),
    [sym_continue] = STATE(602),
    [sym_protect] = STATE(602),
    [sym_lock] = STATE(602),
    [sym__literal] = STATE(602),
    [sym_string_literal] = STATE(602),
    [sym_call] = STATE(602),
    [sym_invoke] = STATE(602),
    [sym_indexed_access] = STATE(602),
    [sym_slot_accessor] = STATE(602),
    [sym_class] = STATE(602),
    [sym__expression] = STATE(602),
    [sym_return] = STATE(602),
    [sym_gather] = STATE(602),
    [sym_scatter] = STATE(602),
    [sym_allresults] = STATE(602),
    [sym_parenthesized_expression] = STATE(602),
    [sym__variable] = STATE(602),
    [sym_variable] = STATE(602),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(602),
    [sym_relational_operator] = STATE(602),
    [sym_logical_operator] = STATE(602),
    [sym_arithmetic_operator] = STATE(602),
    [sym_unary_operator] = STATE(602),
    [sym_character_literal] = STATE(602),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1289),
    [sym_false] = ACTIONS(1289),
    [sym_maybe] = ACTIONS(1289),
    [sym_unset] = ACTIONS(1289),
    [sym_super] = ACTIONS(1289),
    [sym_self] = ACTIONS(1289),
    [sym_clone] = ACTIONS(1289),
    [sym_thisthread] = ACTIONS(1289),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1289),
    [sym_global_variable] = ACTIONS(1289),
    [sym_global_reference] = ACTIONS(1289),
    [sym_number] = ACTIONS(1289),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1289),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [281] = {
    [sym_procedure] = STATE(613),
    [sym_block] = STATE(613),
    [sym_assignment] = STATE(613),
    [sym_if] = STATE(613),
    [sym_loop] = STATE(613),
    [sym_handling] = STATE(613),
    [sym_catch] = STATE(613),
    [sym_throw] = STATE(613),
    [sym_primitive] = STATE(613),
    [sym_iterator] = STATE(613),
    [sym_while] = STATE(613),
    [sym_try] = STATE(613),
    [sym_loopbody] = STATE(613),
    [sym_leave] = STATE(613),
    [sym_continue] = STATE(613),
    [sym_protect] = STATE(613),
    [sym_lock] = STATE(613),
    [sym__literal] = STATE(613),
    [sym_string_literal] = STATE(613),
    [sym_call] = STATE(613),
    [sym_invoke] = STATE(613),
    [sym_indexed_access] = STATE(613),
    [sym_slot_accessor] = STATE(613),
    [sym_class] = STATE(613),
    [sym__expression] = STATE(613),
    [sym_return] = STATE(613),
    [sym_gather] = STATE(613),
    [sym_scatter] = STATE(613),
    [sym_allresults] = STATE(613),
    [sym_parenthesized_expression] = STATE(613),
    [sym__variable] = STATE(613),
    [sym_variable] = STATE(613),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(613),
    [sym_relational_operator] = STATE(613),
    [sym_logical_operator] = STATE(613),
    [sym_arithmetic_operator] = STATE(613),
    [sym_unary_operator] = STATE(613),
    [sym_character_literal] = STATE(613),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1291),
    [sym_false] = ACTIONS(1291),
    [sym_maybe] = ACTIONS(1291),
    [sym_unset] = ACTIONS(1291),
    [sym_super] = ACTIONS(1291),
    [sym_self] = ACTIONS(1291),
    [sym_clone] = ACTIONS(1291),
    [sym_thisthread] = ACTIONS(1291),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1291),
    [sym_global_variable] = ACTIONS(1291),
    [sym_global_reference] = ACTIONS(1291),
    [sym_number] = ACTIONS(1291),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1291),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [282] = {
    [sym_procedure] = STATE(616),
    [sym_block] = STATE(616),
    [sym_assignment] = STATE(616),
    [sym_if] = STATE(616),
    [sym_loop] = STATE(616),
    [sym_handling] = STATE(616),
    [sym_catch] = STATE(616),
    [sym_throw] = STATE(616),
    [sym_primitive] = STATE(616),
    [sym_iterator] = STATE(616),
    [sym_while] = STATE(616),
    [sym_try] = STATE(616),
    [sym_loopbody] = STATE(616),
    [sym_leave] = STATE(616),
    [sym_continue] = STATE(616),
    [sym_protect] = STATE(616),
    [sym_lock] = STATE(616),
    [sym__literal] = STATE(616),
    [sym_string_literal] = STATE(616),
    [sym_call] = STATE(616),
    [sym_invoke] = STATE(616),
    [sym_indexed_access] = STATE(616),
    [sym_slot_accessor] = STATE(616),
    [sym_class] = STATE(616),
    [sym__expression] = STATE(616),
    [sym_return] = STATE(616),
    [sym_gather] = STATE(616),
    [sym_scatter] = STATE(616),
    [sym_allresults] = STATE(616),
    [sym_parenthesized_expression] = STATE(616),
    [sym__variable] = STATE(616),
    [sym_variable] = STATE(616),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(616),
    [sym_relational_operator] = STATE(616),
    [sym_logical_operator] = STATE(616),
    [sym_arithmetic_operator] = STATE(616),
    [sym_unary_operator] = STATE(616),
    [sym_character_literal] = STATE(616),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1293),
    [sym_false] = ACTIONS(1293),
    [sym_maybe] = ACTIONS(1293),
    [sym_unset] = ACTIONS(1293),
    [sym_super] = ACTIONS(1293),
    [sym_self] = ACTIONS(1293),
    [sym_clone] = ACTIONS(1293),
    [sym_thisthread] = ACTIONS(1293),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1293),
    [sym_global_variable] = ACTIONS(1293),
    [sym_global_reference] = ACTIONS(1293),
    [sym_number] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1293),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [283] = {
    [sym_procedure] = STATE(792),
    [sym_block] = STATE(792),
    [sym_assignment] = STATE(792),
    [sym_if] = STATE(792),
    [sym_loop] = STATE(792),
    [sym_handling] = STATE(792),
    [sym_catch] = STATE(792),
    [sym_throw] = STATE(792),
    [sym_primitive] = STATE(792),
    [sym_iterator] = STATE(792),
    [sym_while] = STATE(792),
    [sym_try] = STATE(792),
    [sym_loopbody] = STATE(792),
    [sym_leave] = STATE(792),
    [sym_continue] = STATE(792),
    [sym_protect] = STATE(792),
    [sym_lock] = STATE(792),
    [sym__literal] = STATE(792),
    [sym_string_literal] = STATE(792),
    [sym_call] = STATE(792),
    [sym_invoke] = STATE(792),
    [sym_indexed_access] = STATE(792),
    [sym_slot_accessor] = STATE(792),
    [sym_class] = STATE(792),
    [sym__expression] = STATE(792),
    [sym_return] = STATE(792),
    [sym_gather] = STATE(792),
    [sym_scatter] = STATE(792),
    [sym_allresults] = STATE(792),
    [sym_parenthesized_expression] = STATE(792),
    [sym__variable] = STATE(792),
    [sym_variable] = STATE(792),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(792),
    [sym_relational_operator] = STATE(792),
    [sym_logical_operator] = STATE(792),
    [sym_arithmetic_operator] = STATE(792),
    [sym_unary_operator] = STATE(792),
    [sym_character_literal] = STATE(792),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1295),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1297),
    [sym_false] = ACTIONS(1297),
    [sym_maybe] = ACTIONS(1297),
    [sym_unset] = ACTIONS(1297),
    [sym_super] = ACTIONS(1297),
    [sym_self] = ACTIONS(1297),
    [sym_clone] = ACTIONS(1297),
    [sym_thisthread] = ACTIONS(1297),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1297),
    [sym_global_variable] = ACTIONS(1297),
    [sym_global_reference] = ACTIONS(1297),
    [sym_number] = ACTIONS(1297),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [284] = {
    [sym_procedure] = STATE(593),
    [sym_block] = STATE(593),
    [sym_assignment] = STATE(593),
    [sym_if] = STATE(593),
    [sym_loop] = STATE(593),
    [sym_handling] = STATE(593),
    [sym_catch] = STATE(593),
    [sym_throw] = STATE(593),
    [sym_primitive] = STATE(593),
    [sym_iterator] = STATE(593),
    [sym_while] = STATE(593),
    [sym_try] = STATE(593),
    [sym_loopbody] = STATE(593),
    [sym_leave] = STATE(593),
    [sym_continue] = STATE(593),
    [sym_protect] = STATE(593),
    [sym_lock] = STATE(593),
    [sym__literal] = STATE(593),
    [sym_string_literal] = STATE(593),
    [sym_call] = STATE(593),
    [sym_invoke] = STATE(593),
    [sym_indexed_access] = STATE(593),
    [sym_slot_accessor] = STATE(593),
    [sym_class] = STATE(593),
    [sym__expression] = STATE(593),
    [sym_return] = STATE(593),
    [sym_gather] = STATE(593),
    [sym_scatter] = STATE(593),
    [sym_allresults] = STATE(593),
    [sym_parenthesized_expression] = STATE(593),
    [sym__variable] = STATE(593),
    [sym_variable] = STATE(593),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(593),
    [sym_relational_operator] = STATE(593),
    [sym_logical_operator] = STATE(593),
    [sym_arithmetic_operator] = STATE(593),
    [sym_unary_operator] = STATE(593),
    [sym_character_literal] = STATE(593),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1299),
    [sym_false] = ACTIONS(1299),
    [sym_maybe] = ACTIONS(1299),
    [sym_unset] = ACTIONS(1299),
    [sym_super] = ACTIONS(1299),
    [sym_self] = ACTIONS(1299),
    [sym_clone] = ACTIONS(1299),
    [sym_thisthread] = ACTIONS(1299),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1299),
    [sym_global_variable] = ACTIONS(1299),
    [sym_global_reference] = ACTIONS(1299),
    [sym_number] = ACTIONS(1299),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1299),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [285] = {
    [sym_procedure] = STATE(586),
    [sym_block] = STATE(586),
    [sym_assignment] = STATE(586),
    [sym_if] = STATE(586),
    [sym_loop] = STATE(586),
    [sym_handling] = STATE(586),
    [sym_catch] = STATE(586),
    [sym_throw] = STATE(586),
    [sym_primitive] = STATE(586),
    [sym_iterator] = STATE(586),
    [sym_while] = STATE(586),
    [sym_try] = STATE(586),
    [sym_loopbody] = STATE(586),
    [sym_leave] = STATE(586),
    [sym_continue] = STATE(586),
    [sym_protect] = STATE(586),
    [sym_lock] = STATE(586),
    [sym__literal] = STATE(586),
    [sym_string_literal] = STATE(586),
    [sym_call] = STATE(586),
    [sym_invoke] = STATE(586),
    [sym_indexed_access] = STATE(586),
    [sym_slot_accessor] = STATE(586),
    [sym_class] = STATE(586),
    [sym__expression] = STATE(586),
    [sym_return] = STATE(586),
    [sym_gather] = STATE(586),
    [sym_scatter] = STATE(586),
    [sym_allresults] = STATE(586),
    [sym_parenthesized_expression] = STATE(586),
    [sym__variable] = STATE(586),
    [sym_variable] = STATE(586),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(586),
    [sym_relational_operator] = STATE(586),
    [sym_logical_operator] = STATE(586),
    [sym_arithmetic_operator] = STATE(586),
    [sym_unary_operator] = STATE(586),
    [sym_character_literal] = STATE(586),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1301),
    [sym_false] = ACTIONS(1301),
    [sym_maybe] = ACTIONS(1301),
    [sym_unset] = ACTIONS(1301),
    [sym_super] = ACTIONS(1301),
    [sym_self] = ACTIONS(1301),
    [sym_clone] = ACTIONS(1301),
    [sym_thisthread] = ACTIONS(1301),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1301),
    [sym_global_variable] = ACTIONS(1301),
    [sym_global_reference] = ACTIONS(1301),
    [sym_number] = ACTIONS(1301),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1301),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [286] = {
    [sym_procedure] = STATE(845),
    [sym_block] = STATE(845),
    [sym_assignment] = STATE(845),
    [sym_if] = STATE(845),
    [sym_loop] = STATE(845),
    [sym_handling] = STATE(845),
    [sym_catch] = STATE(845),
    [sym_throw] = STATE(845),
    [sym_primitive] = STATE(845),
    [sym_iterator] = STATE(845),
    [sym_while] = STATE(845),
    [sym_try] = STATE(845),
    [sym_loopbody] = STATE(845),
    [sym_leave] = STATE(845),
    [sym_continue] = STATE(845),
    [sym_protect] = STATE(845),
    [sym_lock] = STATE(845),
    [sym__literal] = STATE(845),
    [sym_string_literal] = STATE(845),
    [sym_call] = STATE(845),
    [sym_invoke] = STATE(845),
    [sym_indexed_access] = STATE(845),
    [sym_slot_accessor] = STATE(845),
    [sym_class] = STATE(845),
    [sym__expression] = STATE(845),
    [sym_return] = STATE(845),
    [sym_gather] = STATE(845),
    [sym_scatter] = STATE(845),
    [sym_allresults] = STATE(845),
    [sym_parenthesized_expression] = STATE(845),
    [sym__variable] = STATE(845),
    [sym_variable] = STATE(845),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(845),
    [sym_relational_operator] = STATE(845),
    [sym_logical_operator] = STATE(845),
    [sym_arithmetic_operator] = STATE(845),
    [sym_unary_operator] = STATE(845),
    [sym_character_literal] = STATE(845),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1305),
    [sym_false] = ACTIONS(1305),
    [sym_maybe] = ACTIONS(1305),
    [sym_unset] = ACTIONS(1305),
    [sym_super] = ACTIONS(1305),
    [sym_self] = ACTIONS(1305),
    [sym_clone] = ACTIONS(1305),
    [sym_thisthread] = ACTIONS(1305),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1305),
    [sym_global_variable] = ACTIONS(1305),
    [sym_global_reference] = ACTIONS(1305),
    [sym_number] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1305),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [287] = {
    [sym_procedure] = STATE(628),
    [sym_block] = STATE(628),
    [sym_assignment] = STATE(628),
    [sym_if] = STATE(628),
    [sym_loop] = STATE(628),
    [sym_handling] = STATE(628),
    [sym_catch] = STATE(628),
    [sym_throw] = STATE(628),
    [sym_primitive] = STATE(628),
    [sym_iterator] = STATE(628),
    [sym_while] = STATE(628),
    [sym_try] = STATE(628),
    [sym_loopbody] = STATE(628),
    [sym_leave] = STATE(628),
    [sym_continue] = STATE(628),
    [sym_protect] = STATE(628),
    [sym_lock] = STATE(628),
    [sym__literal] = STATE(628),
    [sym_string_literal] = STATE(628),
    [sym_call] = STATE(628),
    [sym_invoke] = STATE(628),
    [sym_indexed_access] = STATE(628),
    [sym_slot_accessor] = STATE(628),
    [sym_class] = STATE(628),
    [sym__expression] = STATE(628),
    [sym_return] = STATE(628),
    [sym_gather] = STATE(628),
    [sym_scatter] = STATE(628),
    [sym_allresults] = STATE(628),
    [sym_parenthesized_expression] = STATE(628),
    [sym__variable] = STATE(628),
    [sym_variable] = STATE(628),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(628),
    [sym_relational_operator] = STATE(628),
    [sym_logical_operator] = STATE(628),
    [sym_arithmetic_operator] = STATE(628),
    [sym_unary_operator] = STATE(628),
    [sym_character_literal] = STATE(628),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1307),
    [sym_false] = ACTIONS(1307),
    [sym_maybe] = ACTIONS(1307),
    [sym_unset] = ACTIONS(1307),
    [sym_super] = ACTIONS(1307),
    [sym_self] = ACTIONS(1307),
    [sym_clone] = ACTIONS(1307),
    [sym_thisthread] = ACTIONS(1307),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1307),
    [sym_global_variable] = ACTIONS(1307),
    [sym_global_reference] = ACTIONS(1307),
    [sym_number] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [288] = {
    [sym_procedure] = STATE(945),
    [sym_block] = STATE(945),
    [sym_assignment] = STATE(945),
    [sym_if] = STATE(945),
    [sym_loop] = STATE(945),
    [sym_handling] = STATE(945),
    [sym_catch] = STATE(945),
    [sym_throw] = STATE(945),
    [sym_primitive] = STATE(945),
    [sym_iterator] = STATE(945),
    [sym_while] = STATE(945),
    [sym_try] = STATE(945),
    [sym_loopbody] = STATE(945),
    [sym_leave] = STATE(945),
    [sym_continue] = STATE(945),
    [sym_protect] = STATE(945),
    [sym_lock] = STATE(945),
    [sym__literal] = STATE(945),
    [sym_string_literal] = STATE(945),
    [sym_call] = STATE(945),
    [sym_invoke] = STATE(945),
    [sym_indexed_access] = STATE(945),
    [sym_slot_accessor] = STATE(945),
    [sym_class] = STATE(945),
    [sym__expression] = STATE(945),
    [sym_return] = STATE(945),
    [sym_gather] = STATE(945),
    [sym_scatter] = STATE(945),
    [sym_allresults] = STATE(945),
    [sym_parenthesized_expression] = STATE(945),
    [sym__variable] = STATE(945),
    [sym_variable] = STATE(945),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(945),
    [sym_relational_operator] = STATE(945),
    [sym_logical_operator] = STATE(945),
    [sym_arithmetic_operator] = STATE(945),
    [sym_unary_operator] = STATE(945),
    [sym_character_literal] = STATE(945),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1309),
    [sym_false] = ACTIONS(1309),
    [sym_maybe] = ACTIONS(1309),
    [sym_unset] = ACTIONS(1309),
    [sym_super] = ACTIONS(1309),
    [sym_self] = ACTIONS(1309),
    [sym_clone] = ACTIONS(1309),
    [sym_thisthread] = ACTIONS(1309),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1309),
    [sym_global_variable] = ACTIONS(1309),
    [sym_global_reference] = ACTIONS(1309),
    [sym_number] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1309),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [289] = {
    [sym_procedure] = STATE(537),
    [sym_block] = STATE(537),
    [sym_assignment] = STATE(537),
    [sym_if] = STATE(537),
    [sym_loop] = STATE(537),
    [sym_handling] = STATE(537),
    [sym_catch] = STATE(537),
    [sym_throw] = STATE(537),
    [sym_primitive] = STATE(537),
    [sym_iterator] = STATE(537),
    [sym_while] = STATE(537),
    [sym_try] = STATE(537),
    [sym_loopbody] = STATE(537),
    [sym_leave] = STATE(537),
    [sym_continue] = STATE(537),
    [sym_protect] = STATE(537),
    [sym_lock] = STATE(537),
    [sym__literal] = STATE(537),
    [sym_string_literal] = STATE(537),
    [sym_call] = STATE(537),
    [sym_invoke] = STATE(537),
    [sym_indexed_access] = STATE(537),
    [sym_slot_accessor] = STATE(537),
    [sym_class] = STATE(537),
    [sym__expression] = STATE(537),
    [sym_return] = STATE(537),
    [sym_gather] = STATE(537),
    [sym_scatter] = STATE(537),
    [sym_allresults] = STATE(537),
    [sym_parenthesized_expression] = STATE(537),
    [sym__variable] = STATE(537),
    [sym_variable] = STATE(537),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(537),
    [sym_relational_operator] = STATE(537),
    [sym_logical_operator] = STATE(537),
    [sym_arithmetic_operator] = STATE(537),
    [sym_unary_operator] = STATE(537),
    [sym_character_literal] = STATE(537),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1269),
    [sym_false] = ACTIONS(1269),
    [sym_maybe] = ACTIONS(1269),
    [sym_unset] = ACTIONS(1269),
    [sym_super] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [sym_clone] = ACTIONS(1269),
    [sym_thisthread] = ACTIONS(1269),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1269),
    [sym_global_variable] = ACTIONS(1269),
    [sym_global_reference] = ACTIONS(1269),
    [sym_number] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [290] = {
    [sym_procedure] = STATE(882),
    [sym_block] = STATE(882),
    [sym_assignment] = STATE(882),
    [sym_if] = STATE(882),
    [sym_loop] = STATE(882),
    [sym_handling] = STATE(882),
    [sym_catch] = STATE(882),
    [sym_throw] = STATE(882),
    [sym_primitive] = STATE(882),
    [sym_iterator] = STATE(882),
    [sym_while] = STATE(882),
    [sym_try] = STATE(882),
    [sym_loopbody] = STATE(882),
    [sym_leave] = STATE(882),
    [sym_continue] = STATE(882),
    [sym_protect] = STATE(882),
    [sym_lock] = STATE(882),
    [sym__literal] = STATE(882),
    [sym_string_literal] = STATE(882),
    [sym_call] = STATE(882),
    [sym_invoke] = STATE(882),
    [sym_indexed_access] = STATE(882),
    [sym_slot_accessor] = STATE(882),
    [sym_class] = STATE(882),
    [sym__expression] = STATE(882),
    [sym_return] = STATE(882),
    [sym_gather] = STATE(882),
    [sym_scatter] = STATE(882),
    [sym_allresults] = STATE(882),
    [sym_parenthesized_expression] = STATE(882),
    [sym__variable] = STATE(882),
    [sym_variable] = STATE(882),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(882),
    [sym_relational_operator] = STATE(882),
    [sym_logical_operator] = STATE(882),
    [sym_arithmetic_operator] = STATE(882),
    [sym_unary_operator] = STATE(882),
    [sym_character_literal] = STATE(882),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1311),
    [sym_false] = ACTIONS(1311),
    [sym_maybe] = ACTIONS(1311),
    [sym_unset] = ACTIONS(1311),
    [sym_super] = ACTIONS(1311),
    [sym_self] = ACTIONS(1311),
    [sym_clone] = ACTIONS(1311),
    [sym_thisthread] = ACTIONS(1311),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1311),
    [sym_global_variable] = ACTIONS(1311),
    [sym_global_reference] = ACTIONS(1311),
    [sym_number] = ACTIONS(1311),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1311),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [291] = {
    [sym_procedure] = STATE(892),
    [sym_block] = STATE(892),
    [sym_assignment] = STATE(892),
    [sym_if] = STATE(892),
    [sym_loop] = STATE(892),
    [sym_handling] = STATE(892),
    [sym_catch] = STATE(892),
    [sym_throw] = STATE(892),
    [sym_primitive] = STATE(892),
    [sym_iterator] = STATE(892),
    [sym_while] = STATE(892),
    [sym_try] = STATE(892),
    [sym_loopbody] = STATE(892),
    [sym_leave] = STATE(892),
    [sym_continue] = STATE(892),
    [sym_protect] = STATE(892),
    [sym_lock] = STATE(892),
    [sym__literal] = STATE(892),
    [sym_string_literal] = STATE(892),
    [sym_call] = STATE(892),
    [sym_invoke] = STATE(892),
    [sym_indexed_access] = STATE(892),
    [sym_slot_accessor] = STATE(892),
    [sym_class] = STATE(892),
    [sym__expression] = STATE(892),
    [sym_return] = STATE(892),
    [sym_gather] = STATE(892),
    [sym_scatter] = STATE(892),
    [sym_allresults] = STATE(892),
    [sym_parenthesized_expression] = STATE(892),
    [sym__variable] = STATE(892),
    [sym_variable] = STATE(892),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(892),
    [sym_relational_operator] = STATE(892),
    [sym_logical_operator] = STATE(892),
    [sym_arithmetic_operator] = STATE(892),
    [sym_unary_operator] = STATE(892),
    [sym_character_literal] = STATE(892),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_maybe] = ACTIONS(1313),
    [sym_unset] = ACTIONS(1313),
    [sym_super] = ACTIONS(1313),
    [sym_self] = ACTIONS(1313),
    [sym_clone] = ACTIONS(1313),
    [sym_thisthread] = ACTIONS(1313),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1313),
    [sym_global_variable] = ACTIONS(1313),
    [sym_global_reference] = ACTIONS(1313),
    [sym_number] = ACTIONS(1313),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1313),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [292] = {
    [sym_procedure] = STATE(833),
    [sym_block] = STATE(833),
    [sym_assignment] = STATE(833),
    [sym_if] = STATE(833),
    [sym_loop] = STATE(833),
    [sym_handling] = STATE(833),
    [sym_catch] = STATE(833),
    [sym_throw] = STATE(833),
    [sym_primitive] = STATE(833),
    [sym_iterator] = STATE(833),
    [sym_while] = STATE(833),
    [sym_try] = STATE(833),
    [sym_loopbody] = STATE(833),
    [sym_leave] = STATE(833),
    [sym_continue] = STATE(833),
    [sym_protect] = STATE(833),
    [sym_lock] = STATE(833),
    [sym__literal] = STATE(833),
    [sym_string_literal] = STATE(833),
    [sym_call] = STATE(833),
    [sym_invoke] = STATE(833),
    [sym_indexed_access] = STATE(833),
    [sym_slot_accessor] = STATE(833),
    [sym_class] = STATE(833),
    [sym__expression] = STATE(833),
    [sym_return] = STATE(833),
    [sym_gather] = STATE(833),
    [sym_scatter] = STATE(833),
    [sym_allresults] = STATE(833),
    [sym_parenthesized_expression] = STATE(833),
    [sym__variable] = STATE(833),
    [sym_variable] = STATE(833),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(833),
    [sym_relational_operator] = STATE(833),
    [sym_logical_operator] = STATE(833),
    [sym_arithmetic_operator] = STATE(833),
    [sym_unary_operator] = STATE(833),
    [sym_character_literal] = STATE(833),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_maybe] = ACTIONS(1317),
    [sym_unset] = ACTIONS(1317),
    [sym_super] = ACTIONS(1317),
    [sym_self] = ACTIONS(1317),
    [sym_clone] = ACTIONS(1317),
    [sym_thisthread] = ACTIONS(1317),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1317),
    [sym_global_variable] = ACTIONS(1317),
    [sym_global_reference] = ACTIONS(1317),
    [sym_number] = ACTIONS(1317),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1317),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [293] = {
    [sym_procedure] = STATE(832),
    [sym_block] = STATE(832),
    [sym_assignment] = STATE(832),
    [sym_if] = STATE(832),
    [sym_loop] = STATE(832),
    [sym_handling] = STATE(832),
    [sym_catch] = STATE(832),
    [sym_throw] = STATE(832),
    [sym_primitive] = STATE(832),
    [sym_iterator] = STATE(832),
    [sym_while] = STATE(832),
    [sym_try] = STATE(832),
    [sym_loopbody] = STATE(832),
    [sym_leave] = STATE(832),
    [sym_continue] = STATE(832),
    [sym_protect] = STATE(832),
    [sym_lock] = STATE(832),
    [sym__literal] = STATE(832),
    [sym_string_literal] = STATE(832),
    [sym_call] = STATE(832),
    [sym_invoke] = STATE(832),
    [sym_indexed_access] = STATE(832),
    [sym_slot_accessor] = STATE(832),
    [sym_class] = STATE(832),
    [sym__expression] = STATE(832),
    [sym_return] = STATE(832),
    [sym_gather] = STATE(832),
    [sym_scatter] = STATE(832),
    [sym_allresults] = STATE(832),
    [sym_parenthesized_expression] = STATE(832),
    [sym__variable] = STATE(832),
    [sym_variable] = STATE(832),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(832),
    [sym_relational_operator] = STATE(832),
    [sym_logical_operator] = STATE(832),
    [sym_arithmetic_operator] = STATE(832),
    [sym_unary_operator] = STATE(832),
    [sym_character_literal] = STATE(832),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1319),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1321),
    [sym_false] = ACTIONS(1321),
    [sym_maybe] = ACTIONS(1321),
    [sym_unset] = ACTIONS(1321),
    [sym_super] = ACTIONS(1321),
    [sym_self] = ACTIONS(1321),
    [sym_clone] = ACTIONS(1321),
    [sym_thisthread] = ACTIONS(1321),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1321),
    [sym_global_variable] = ACTIONS(1321),
    [sym_global_reference] = ACTIONS(1321),
    [sym_number] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1321),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [294] = {
    [sym_procedure] = STATE(902),
    [sym_block] = STATE(902),
    [sym_assignment] = STATE(902),
    [sym_if] = STATE(902),
    [sym_loop] = STATE(902),
    [sym_handling] = STATE(902),
    [sym_catch] = STATE(902),
    [sym_throw] = STATE(902),
    [sym_primitive] = STATE(902),
    [sym_iterator] = STATE(902),
    [sym_while] = STATE(902),
    [sym_try] = STATE(902),
    [sym_loopbody] = STATE(902),
    [sym_leave] = STATE(902),
    [sym_continue] = STATE(902),
    [sym_protect] = STATE(902),
    [sym_lock] = STATE(902),
    [sym__literal] = STATE(902),
    [sym_string_literal] = STATE(902),
    [sym_call] = STATE(902),
    [sym_invoke] = STATE(902),
    [sym_indexed_access] = STATE(902),
    [sym_slot_accessor] = STATE(902),
    [sym_class] = STATE(902),
    [sym__expression] = STATE(902),
    [sym_return] = STATE(902),
    [sym_gather] = STATE(902),
    [sym_scatter] = STATE(902),
    [sym_allresults] = STATE(902),
    [sym_parenthesized_expression] = STATE(902),
    [sym__variable] = STATE(902),
    [sym_variable] = STATE(902),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(902),
    [sym_relational_operator] = STATE(902),
    [sym_logical_operator] = STATE(902),
    [sym_arithmetic_operator] = STATE(902),
    [sym_unary_operator] = STATE(902),
    [sym_character_literal] = STATE(902),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1323),
    [sym_false] = ACTIONS(1323),
    [sym_maybe] = ACTIONS(1323),
    [sym_unset] = ACTIONS(1323),
    [sym_super] = ACTIONS(1323),
    [sym_self] = ACTIONS(1323),
    [sym_clone] = ACTIONS(1323),
    [sym_thisthread] = ACTIONS(1323),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1323),
    [sym_global_variable] = ACTIONS(1323),
    [sym_global_reference] = ACTIONS(1323),
    [sym_number] = ACTIONS(1323),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1323),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [295] = {
    [sym_procedure] = STATE(900),
    [sym_block] = STATE(900),
    [sym_assignment] = STATE(900),
    [sym_if] = STATE(900),
    [sym_loop] = STATE(900),
    [sym_handling] = STATE(900),
    [sym_catch] = STATE(900),
    [sym_throw] = STATE(900),
    [sym_primitive] = STATE(900),
    [sym_iterator] = STATE(900),
    [sym_while] = STATE(900),
    [sym_try] = STATE(900),
    [sym_loopbody] = STATE(900),
    [sym_leave] = STATE(900),
    [sym_continue] = STATE(900),
    [sym_protect] = STATE(900),
    [sym_lock] = STATE(900),
    [sym__literal] = STATE(900),
    [sym_string_literal] = STATE(900),
    [sym_call] = STATE(900),
    [sym_invoke] = STATE(900),
    [sym_indexed_access] = STATE(900),
    [sym_slot_accessor] = STATE(900),
    [sym_class] = STATE(900),
    [sym__expression] = STATE(900),
    [sym_return] = STATE(900),
    [sym_gather] = STATE(900),
    [sym_scatter] = STATE(900),
    [sym_allresults] = STATE(900),
    [sym_parenthesized_expression] = STATE(900),
    [sym__variable] = STATE(900),
    [sym_variable] = STATE(900),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(900),
    [sym_relational_operator] = STATE(900),
    [sym_logical_operator] = STATE(900),
    [sym_arithmetic_operator] = STATE(900),
    [sym_unary_operator] = STATE(900),
    [sym_character_literal] = STATE(900),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_maybe] = ACTIONS(1325),
    [sym_unset] = ACTIONS(1325),
    [sym_super] = ACTIONS(1325),
    [sym_self] = ACTIONS(1325),
    [sym_clone] = ACTIONS(1325),
    [sym_thisthread] = ACTIONS(1325),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1325),
    [sym_global_variable] = ACTIONS(1325),
    [sym_global_reference] = ACTIONS(1325),
    [sym_number] = ACTIONS(1325),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1325),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [296] = {
    [sym_procedure] = STATE(794),
    [sym_block] = STATE(794),
    [sym_assignment] = STATE(794),
    [sym_if] = STATE(794),
    [sym_loop] = STATE(794),
    [sym_handling] = STATE(794),
    [sym_catch] = STATE(794),
    [sym_throw] = STATE(794),
    [sym_primitive] = STATE(794),
    [sym_iterator] = STATE(794),
    [sym_while] = STATE(794),
    [sym_try] = STATE(794),
    [sym_loopbody] = STATE(794),
    [sym_leave] = STATE(794),
    [sym_continue] = STATE(794),
    [sym_protect] = STATE(794),
    [sym_lock] = STATE(794),
    [sym__literal] = STATE(794),
    [sym_string_literal] = STATE(794),
    [sym_call] = STATE(794),
    [sym_invoke] = STATE(794),
    [sym_indexed_access] = STATE(794),
    [sym_slot_accessor] = STATE(794),
    [sym_class] = STATE(794),
    [sym__expression] = STATE(794),
    [sym_return] = STATE(794),
    [sym_gather] = STATE(794),
    [sym_scatter] = STATE(794),
    [sym_allresults] = STATE(794),
    [sym_parenthesized_expression] = STATE(794),
    [sym__variable] = STATE(794),
    [sym_variable] = STATE(794),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(794),
    [sym_relational_operator] = STATE(794),
    [sym_logical_operator] = STATE(794),
    [sym_arithmetic_operator] = STATE(794),
    [sym_unary_operator] = STATE(794),
    [sym_character_literal] = STATE(794),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1327),
    [sym_false] = ACTIONS(1327),
    [sym_maybe] = ACTIONS(1327),
    [sym_unset] = ACTIONS(1327),
    [sym_super] = ACTIONS(1327),
    [sym_self] = ACTIONS(1327),
    [sym_clone] = ACTIONS(1327),
    [sym_thisthread] = ACTIONS(1327),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1327),
    [sym_global_variable] = ACTIONS(1327),
    [sym_global_reference] = ACTIONS(1327),
    [sym_number] = ACTIONS(1327),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [297] = {
    [sym_procedure] = STATE(898),
    [sym_block] = STATE(898),
    [sym_assignment] = STATE(898),
    [sym_if] = STATE(898),
    [sym_loop] = STATE(898),
    [sym_handling] = STATE(898),
    [sym_catch] = STATE(898),
    [sym_throw] = STATE(898),
    [sym_primitive] = STATE(898),
    [sym_iterator] = STATE(898),
    [sym_while] = STATE(898),
    [sym_try] = STATE(898),
    [sym_loopbody] = STATE(898),
    [sym_leave] = STATE(898),
    [sym_continue] = STATE(898),
    [sym_protect] = STATE(898),
    [sym_lock] = STATE(898),
    [sym__literal] = STATE(898),
    [sym_string_literal] = STATE(898),
    [sym_call] = STATE(898),
    [sym_invoke] = STATE(898),
    [sym_indexed_access] = STATE(898),
    [sym_slot_accessor] = STATE(898),
    [sym_class] = STATE(898),
    [sym__expression] = STATE(898),
    [sym_return] = STATE(898),
    [sym_gather] = STATE(898),
    [sym_scatter] = STATE(898),
    [sym_allresults] = STATE(898),
    [sym_parenthesized_expression] = STATE(898),
    [sym__variable] = STATE(898),
    [sym_variable] = STATE(898),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(898),
    [sym_relational_operator] = STATE(898),
    [sym_logical_operator] = STATE(898),
    [sym_arithmetic_operator] = STATE(898),
    [sym_unary_operator] = STATE(898),
    [sym_character_literal] = STATE(898),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1329),
    [sym_false] = ACTIONS(1329),
    [sym_maybe] = ACTIONS(1329),
    [sym_unset] = ACTIONS(1329),
    [sym_super] = ACTIONS(1329),
    [sym_self] = ACTIONS(1329),
    [sym_clone] = ACTIONS(1329),
    [sym_thisthread] = ACTIONS(1329),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1329),
    [sym_global_variable] = ACTIONS(1329),
    [sym_global_reference] = ACTIONS(1329),
    [sym_number] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1329),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [298] = {
    [sym_procedure] = STATE(943),
    [sym_block] = STATE(943),
    [sym_assignment] = STATE(943),
    [sym_if] = STATE(943),
    [sym_loop] = STATE(943),
    [sym_handling] = STATE(943),
    [sym_catch] = STATE(943),
    [sym_throw] = STATE(943),
    [sym_primitive] = STATE(943),
    [sym_iterator] = STATE(943),
    [sym_while] = STATE(943),
    [sym_try] = STATE(943),
    [sym_loopbody] = STATE(943),
    [sym_leave] = STATE(943),
    [sym_continue] = STATE(943),
    [sym_protect] = STATE(943),
    [sym_lock] = STATE(943),
    [sym__literal] = STATE(943),
    [sym_string_literal] = STATE(943),
    [sym_call] = STATE(943),
    [sym_invoke] = STATE(943),
    [sym_indexed_access] = STATE(943),
    [sym_slot_accessor] = STATE(943),
    [sym_class] = STATE(943),
    [sym__expression] = STATE(943),
    [sym_return] = STATE(943),
    [sym_gather] = STATE(943),
    [sym_scatter] = STATE(943),
    [sym_allresults] = STATE(943),
    [sym_parenthesized_expression] = STATE(943),
    [sym__variable] = STATE(943),
    [sym_variable] = STATE(943),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(943),
    [sym_relational_operator] = STATE(943),
    [sym_logical_operator] = STATE(943),
    [sym_arithmetic_operator] = STATE(943),
    [sym_unary_operator] = STATE(943),
    [sym_character_literal] = STATE(943),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1331),
    [sym_false] = ACTIONS(1331),
    [sym_maybe] = ACTIONS(1331),
    [sym_unset] = ACTIONS(1331),
    [sym_super] = ACTIONS(1331),
    [sym_self] = ACTIONS(1331),
    [sym_clone] = ACTIONS(1331),
    [sym_thisthread] = ACTIONS(1331),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1331),
    [sym_global_variable] = ACTIONS(1331),
    [sym_global_reference] = ACTIONS(1331),
    [sym_number] = ACTIONS(1331),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [299] = {
    [sym_procedure] = STATE(610),
    [sym_block] = STATE(610),
    [sym_assignment] = STATE(610),
    [sym_if] = STATE(610),
    [sym_loop] = STATE(610),
    [sym_handling] = STATE(610),
    [sym_catch] = STATE(610),
    [sym_throw] = STATE(610),
    [sym_primitive] = STATE(610),
    [sym_iterator] = STATE(610),
    [sym_while] = STATE(610),
    [sym_try] = STATE(610),
    [sym_loopbody] = STATE(610),
    [sym_leave] = STATE(610),
    [sym_continue] = STATE(610),
    [sym_protect] = STATE(610),
    [sym_lock] = STATE(610),
    [sym__literal] = STATE(610),
    [sym_string_literal] = STATE(610),
    [sym_call] = STATE(610),
    [sym_invoke] = STATE(610),
    [sym_indexed_access] = STATE(610),
    [sym_slot_accessor] = STATE(610),
    [sym_class] = STATE(610),
    [sym__expression] = STATE(610),
    [sym_return] = STATE(610),
    [sym_gather] = STATE(610),
    [sym_scatter] = STATE(610),
    [sym_allresults] = STATE(610),
    [sym_parenthesized_expression] = STATE(610),
    [sym__variable] = STATE(610),
    [sym_variable] = STATE(610),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(610),
    [sym_relational_operator] = STATE(610),
    [sym_logical_operator] = STATE(610),
    [sym_arithmetic_operator] = STATE(610),
    [sym_unary_operator] = STATE(610),
    [sym_character_literal] = STATE(610),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_maybe] = ACTIONS(1333),
    [sym_unset] = ACTIONS(1333),
    [sym_super] = ACTIONS(1333),
    [sym_self] = ACTIONS(1333),
    [sym_clone] = ACTIONS(1333),
    [sym_thisthread] = ACTIONS(1333),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1333),
    [sym_global_variable] = ACTIONS(1333),
    [sym_global_reference] = ACTIONS(1333),
    [sym_number] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1333),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [300] = {
    [sym_procedure] = STATE(917),
    [sym_block] = STATE(917),
    [sym_assignment] = STATE(917),
    [sym_if] = STATE(917),
    [sym_loop] = STATE(917),
    [sym_handling] = STATE(917),
    [sym_catch] = STATE(917),
    [sym_throw] = STATE(917),
    [sym_primitive] = STATE(917),
    [sym_iterator] = STATE(917),
    [sym_while] = STATE(917),
    [sym_try] = STATE(917),
    [sym_loopbody] = STATE(917),
    [sym_leave] = STATE(917),
    [sym_continue] = STATE(917),
    [sym_protect] = STATE(917),
    [sym_lock] = STATE(917),
    [sym__literal] = STATE(917),
    [sym_string_literal] = STATE(917),
    [sym_call] = STATE(917),
    [sym_invoke] = STATE(917),
    [sym_indexed_access] = STATE(917),
    [sym_slot_accessor] = STATE(917),
    [sym_class] = STATE(917),
    [sym__expression] = STATE(917),
    [sym_return] = STATE(917),
    [sym_gather] = STATE(917),
    [sym_scatter] = STATE(917),
    [sym_allresults] = STATE(917),
    [sym_parenthesized_expression] = STATE(917),
    [sym__variable] = STATE(917),
    [sym_variable] = STATE(917),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(917),
    [sym_relational_operator] = STATE(917),
    [sym_logical_operator] = STATE(917),
    [sym_arithmetic_operator] = STATE(917),
    [sym_unary_operator] = STATE(917),
    [sym_character_literal] = STATE(917),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1335),
    [sym_false] = ACTIONS(1335),
    [sym_maybe] = ACTIONS(1335),
    [sym_unset] = ACTIONS(1335),
    [sym_super] = ACTIONS(1335),
    [sym_self] = ACTIONS(1335),
    [sym_clone] = ACTIONS(1335),
    [sym_thisthread] = ACTIONS(1335),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1335),
    [sym_global_variable] = ACTIONS(1335),
    [sym_global_reference] = ACTIONS(1335),
    [sym_number] = ACTIONS(1335),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1335),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [301] = {
    [sym_procedure] = STATE(868),
    [sym_block] = STATE(868),
    [sym_assignment] = STATE(868),
    [sym_if] = STATE(868),
    [sym_loop] = STATE(868),
    [sym_handling] = STATE(868),
    [sym_catch] = STATE(868),
    [sym_throw] = STATE(868),
    [sym_primitive] = STATE(868),
    [sym_iterator] = STATE(868),
    [sym_while] = STATE(868),
    [sym_try] = STATE(868),
    [sym_loopbody] = STATE(868),
    [sym_leave] = STATE(868),
    [sym_continue] = STATE(868),
    [sym_protect] = STATE(868),
    [sym_lock] = STATE(868),
    [sym__literal] = STATE(868),
    [sym_string_literal] = STATE(868),
    [sym_call] = STATE(868),
    [sym_invoke] = STATE(868),
    [sym_indexed_access] = STATE(868),
    [sym_slot_accessor] = STATE(868),
    [sym_class] = STATE(868),
    [sym__expression] = STATE(868),
    [sym_return] = STATE(868),
    [sym_gather] = STATE(868),
    [sym_scatter] = STATE(868),
    [sym_allresults] = STATE(868),
    [sym_parenthesized_expression] = STATE(868),
    [sym__variable] = STATE(868),
    [sym_variable] = STATE(868),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(868),
    [sym_relational_operator] = STATE(868),
    [sym_logical_operator] = STATE(868),
    [sym_arithmetic_operator] = STATE(868),
    [sym_unary_operator] = STATE(868),
    [sym_character_literal] = STATE(868),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1337),
    [sym_false] = ACTIONS(1337),
    [sym_maybe] = ACTIONS(1337),
    [sym_unset] = ACTIONS(1337),
    [sym_super] = ACTIONS(1337),
    [sym_self] = ACTIONS(1337),
    [sym_clone] = ACTIONS(1337),
    [sym_thisthread] = ACTIONS(1337),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1337),
    [sym_global_variable] = ACTIONS(1337),
    [sym_global_reference] = ACTIONS(1337),
    [sym_number] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1337),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [302] = {
    [sym_procedure] = STATE(537),
    [sym_block] = STATE(537),
    [sym_assignment] = STATE(537),
    [sym_if] = STATE(537),
    [sym_loop] = STATE(537),
    [sym_handling] = STATE(537),
    [sym_catch] = STATE(537),
    [sym_throw] = STATE(537),
    [sym_primitive] = STATE(537),
    [sym_iterator] = STATE(537),
    [sym_while] = STATE(537),
    [sym_try] = STATE(537),
    [sym_loopbody] = STATE(537),
    [sym_leave] = STATE(537),
    [sym_continue] = STATE(537),
    [sym_protect] = STATE(537),
    [sym_lock] = STATE(537),
    [sym__literal] = STATE(537),
    [sym_string_literal] = STATE(537),
    [sym_call] = STATE(537),
    [sym_invoke] = STATE(537),
    [sym_indexed_access] = STATE(537),
    [sym_slot_accessor] = STATE(537),
    [sym_class] = STATE(537),
    [sym__expression] = STATE(537),
    [sym_return] = STATE(537),
    [sym_gather] = STATE(537),
    [sym_scatter] = STATE(537),
    [sym_allresults] = STATE(537),
    [sym_parenthesized_expression] = STATE(537),
    [sym__variable] = STATE(537),
    [sym_variable] = STATE(537),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(537),
    [sym_relational_operator] = STATE(537),
    [sym_logical_operator] = STATE(537),
    [sym_arithmetic_operator] = STATE(537),
    [sym_unary_operator] = STATE(537),
    [sym_character_literal] = STATE(537),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1269),
    [sym_false] = ACTIONS(1269),
    [sym_maybe] = ACTIONS(1269),
    [sym_unset] = ACTIONS(1269),
    [sym_super] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [sym_clone] = ACTIONS(1269),
    [sym_thisthread] = ACTIONS(1269),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1269),
    [sym_global_variable] = ACTIONS(1269),
    [sym_global_reference] = ACTIONS(1269),
    [sym_number] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [303] = {
    [sym_procedure] = STATE(569),
    [sym_block] = STATE(569),
    [sym_assignment] = STATE(569),
    [sym_if] = STATE(569),
    [sym_loop] = STATE(569),
    [sym_handling] = STATE(569),
    [sym_catch] = STATE(569),
    [sym_throw] = STATE(569),
    [sym_primitive] = STATE(569),
    [sym_iterator] = STATE(569),
    [sym_while] = STATE(569),
    [sym_try] = STATE(569),
    [sym_loopbody] = STATE(569),
    [sym_leave] = STATE(569),
    [sym_continue] = STATE(569),
    [sym_protect] = STATE(569),
    [sym_lock] = STATE(569),
    [sym__literal] = STATE(569),
    [sym_string_literal] = STATE(569),
    [sym_call] = STATE(569),
    [sym_invoke] = STATE(569),
    [sym_indexed_access] = STATE(569),
    [sym_slot_accessor] = STATE(569),
    [sym_class] = STATE(569),
    [sym__expression] = STATE(569),
    [sym_return] = STATE(569),
    [sym_gather] = STATE(569),
    [sym_scatter] = STATE(569),
    [sym_allresults] = STATE(569),
    [sym_parenthesized_expression] = STATE(569),
    [sym__variable] = STATE(569),
    [sym_variable] = STATE(569),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(569),
    [sym_relational_operator] = STATE(569),
    [sym_logical_operator] = STATE(569),
    [sym_arithmetic_operator] = STATE(569),
    [sym_unary_operator] = STATE(569),
    [sym_character_literal] = STATE(569),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1339),
    [sym_false] = ACTIONS(1339),
    [sym_maybe] = ACTIONS(1339),
    [sym_unset] = ACTIONS(1339),
    [sym_super] = ACTIONS(1339),
    [sym_self] = ACTIONS(1339),
    [sym_clone] = ACTIONS(1339),
    [sym_thisthread] = ACTIONS(1339),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1339),
    [sym_global_variable] = ACTIONS(1339),
    [sym_global_reference] = ACTIONS(1339),
    [sym_number] = ACTIONS(1339),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1339),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [304] = {
    [sym_procedure] = STATE(790),
    [sym_block] = STATE(790),
    [sym_assignment] = STATE(790),
    [sym_if] = STATE(790),
    [sym_loop] = STATE(790),
    [sym_handling] = STATE(790),
    [sym_catch] = STATE(790),
    [sym_throw] = STATE(790),
    [sym_primitive] = STATE(790),
    [sym_iterator] = STATE(790),
    [sym_while] = STATE(790),
    [sym_try] = STATE(790),
    [sym_loopbody] = STATE(790),
    [sym_leave] = STATE(790),
    [sym_continue] = STATE(790),
    [sym_protect] = STATE(790),
    [sym_lock] = STATE(790),
    [sym__literal] = STATE(790),
    [sym_string_literal] = STATE(790),
    [sym_call] = STATE(790),
    [sym_invoke] = STATE(790),
    [sym_indexed_access] = STATE(790),
    [sym_slot_accessor] = STATE(790),
    [sym_class] = STATE(790),
    [sym__expression] = STATE(790),
    [sym_return] = STATE(790),
    [sym_gather] = STATE(790),
    [sym_scatter] = STATE(790),
    [sym_allresults] = STATE(790),
    [sym_parenthesized_expression] = STATE(790),
    [sym__variable] = STATE(790),
    [sym_variable] = STATE(790),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(790),
    [sym_relational_operator] = STATE(790),
    [sym_logical_operator] = STATE(790),
    [sym_arithmetic_operator] = STATE(790),
    [sym_unary_operator] = STATE(790),
    [sym_character_literal] = STATE(790),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1341),
    [sym_false] = ACTIONS(1341),
    [sym_maybe] = ACTIONS(1341),
    [sym_unset] = ACTIONS(1341),
    [sym_super] = ACTIONS(1341),
    [sym_self] = ACTIONS(1341),
    [sym_clone] = ACTIONS(1341),
    [sym_thisthread] = ACTIONS(1341),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1341),
    [sym_global_variable] = ACTIONS(1341),
    [sym_global_reference] = ACTIONS(1341),
    [sym_number] = ACTIONS(1341),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1341),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [305] = {
    [sym_procedure] = STATE(907),
    [sym_block] = STATE(907),
    [sym_assignment] = STATE(907),
    [sym_if] = STATE(907),
    [sym_loop] = STATE(907),
    [sym_handling] = STATE(907),
    [sym_catch] = STATE(907),
    [sym_throw] = STATE(907),
    [sym_primitive] = STATE(907),
    [sym_iterator] = STATE(907),
    [sym_while] = STATE(907),
    [sym_try] = STATE(907),
    [sym_loopbody] = STATE(907),
    [sym_leave] = STATE(907),
    [sym_continue] = STATE(907),
    [sym_protect] = STATE(907),
    [sym_lock] = STATE(907),
    [sym__literal] = STATE(907),
    [sym_string_literal] = STATE(907),
    [sym_call] = STATE(907),
    [sym_invoke] = STATE(907),
    [sym_indexed_access] = STATE(907),
    [sym_slot_accessor] = STATE(907),
    [sym_class] = STATE(907),
    [sym__expression] = STATE(907),
    [sym_return] = STATE(907),
    [sym_gather] = STATE(907),
    [sym_scatter] = STATE(907),
    [sym_allresults] = STATE(907),
    [sym_parenthesized_expression] = STATE(907),
    [sym__variable] = STATE(907),
    [sym_variable] = STATE(907),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(907),
    [sym_relational_operator] = STATE(907),
    [sym_logical_operator] = STATE(907),
    [sym_arithmetic_operator] = STATE(907),
    [sym_unary_operator] = STATE(907),
    [sym_character_literal] = STATE(907),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [sym_maybe] = ACTIONS(1343),
    [sym_unset] = ACTIONS(1343),
    [sym_super] = ACTIONS(1343),
    [sym_self] = ACTIONS(1343),
    [sym_clone] = ACTIONS(1343),
    [sym_thisthread] = ACTIONS(1343),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1343),
    [sym_global_variable] = ACTIONS(1343),
    [sym_global_reference] = ACTIONS(1343),
    [sym_number] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1343),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [306] = {
    [sym_procedure] = STATE(909),
    [sym_block] = STATE(909),
    [sym_assignment] = STATE(909),
    [sym_if] = STATE(909),
    [sym_loop] = STATE(909),
    [sym_handling] = STATE(909),
    [sym_catch] = STATE(909),
    [sym_throw] = STATE(909),
    [sym_primitive] = STATE(909),
    [sym_iterator] = STATE(909),
    [sym_while] = STATE(909),
    [sym_try] = STATE(909),
    [sym_loopbody] = STATE(909),
    [sym_leave] = STATE(909),
    [sym_continue] = STATE(909),
    [sym_protect] = STATE(909),
    [sym_lock] = STATE(909),
    [sym__literal] = STATE(909),
    [sym_string_literal] = STATE(909),
    [sym_call] = STATE(909),
    [sym_invoke] = STATE(909),
    [sym_indexed_access] = STATE(909),
    [sym_slot_accessor] = STATE(909),
    [sym_class] = STATE(909),
    [sym__expression] = STATE(909),
    [sym_return] = STATE(909),
    [sym_gather] = STATE(909),
    [sym_scatter] = STATE(909),
    [sym_allresults] = STATE(909),
    [sym_parenthesized_expression] = STATE(909),
    [sym__variable] = STATE(909),
    [sym_variable] = STATE(909),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(909),
    [sym_relational_operator] = STATE(909),
    [sym_logical_operator] = STATE(909),
    [sym_arithmetic_operator] = STATE(909),
    [sym_unary_operator] = STATE(909),
    [sym_character_literal] = STATE(909),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1345),
    [sym_false] = ACTIONS(1345),
    [sym_maybe] = ACTIONS(1345),
    [sym_unset] = ACTIONS(1345),
    [sym_super] = ACTIONS(1345),
    [sym_self] = ACTIONS(1345),
    [sym_clone] = ACTIONS(1345),
    [sym_thisthread] = ACTIONS(1345),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1345),
    [sym_global_variable] = ACTIONS(1345),
    [sym_global_reference] = ACTIONS(1345),
    [sym_number] = ACTIONS(1345),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1345),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [307] = {
    [sym_procedure] = STATE(941),
    [sym_block] = STATE(941),
    [sym_assignment] = STATE(941),
    [sym_if] = STATE(941),
    [sym_loop] = STATE(941),
    [sym_handling] = STATE(941),
    [sym_catch] = STATE(941),
    [sym_throw] = STATE(941),
    [sym_primitive] = STATE(941),
    [sym_iterator] = STATE(941),
    [sym_while] = STATE(941),
    [sym_try] = STATE(941),
    [sym_loopbody] = STATE(941),
    [sym_leave] = STATE(941),
    [sym_continue] = STATE(941),
    [sym_protect] = STATE(941),
    [sym_lock] = STATE(941),
    [sym__literal] = STATE(941),
    [sym_string_literal] = STATE(941),
    [sym_call] = STATE(941),
    [sym_invoke] = STATE(941),
    [sym_indexed_access] = STATE(941),
    [sym_slot_accessor] = STATE(941),
    [sym_class] = STATE(941),
    [sym__expression] = STATE(941),
    [sym_return] = STATE(941),
    [sym_gather] = STATE(941),
    [sym_scatter] = STATE(941),
    [sym_allresults] = STATE(941),
    [sym_parenthesized_expression] = STATE(941),
    [sym__variable] = STATE(941),
    [sym_variable] = STATE(941),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(941),
    [sym_relational_operator] = STATE(941),
    [sym_logical_operator] = STATE(941),
    [sym_arithmetic_operator] = STATE(941),
    [sym_unary_operator] = STATE(941),
    [sym_character_literal] = STATE(941),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [sym_maybe] = ACTIONS(1347),
    [sym_unset] = ACTIONS(1347),
    [sym_super] = ACTIONS(1347),
    [sym_self] = ACTIONS(1347),
    [sym_clone] = ACTIONS(1347),
    [sym_thisthread] = ACTIONS(1347),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1347),
    [sym_global_variable] = ACTIONS(1347),
    [sym_global_reference] = ACTIONS(1347),
    [sym_number] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1347),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [308] = {
    [sym_procedure] = STATE(961),
    [sym_block] = STATE(961),
    [sym_assignment] = STATE(961),
    [sym_if] = STATE(961),
    [sym_loop] = STATE(961),
    [sym_handling] = STATE(961),
    [sym_catch] = STATE(961),
    [sym_throw] = STATE(961),
    [sym_primitive] = STATE(961),
    [sym_iterator] = STATE(961),
    [sym_while] = STATE(961),
    [sym_try] = STATE(961),
    [sym_loopbody] = STATE(961),
    [sym_leave] = STATE(961),
    [sym_continue] = STATE(961),
    [sym_protect] = STATE(961),
    [sym_lock] = STATE(961),
    [sym__literal] = STATE(961),
    [sym_string_literal] = STATE(961),
    [sym_call] = STATE(961),
    [sym_invoke] = STATE(961),
    [sym_indexed_access] = STATE(961),
    [sym_slot_accessor] = STATE(961),
    [sym_class] = STATE(961),
    [sym__expression] = STATE(961),
    [sym_return] = STATE(961),
    [sym_gather] = STATE(961),
    [sym_scatter] = STATE(961),
    [sym_allresults] = STATE(961),
    [sym_parenthesized_expression] = STATE(961),
    [sym__variable] = STATE(961),
    [sym_variable] = STATE(961),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(961),
    [sym_relational_operator] = STATE(961),
    [sym_logical_operator] = STATE(961),
    [sym_arithmetic_operator] = STATE(961),
    [sym_unary_operator] = STATE(961),
    [sym_character_literal] = STATE(961),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1349),
    [sym_false] = ACTIONS(1349),
    [sym_maybe] = ACTIONS(1349),
    [sym_unset] = ACTIONS(1349),
    [sym_super] = ACTIONS(1349),
    [sym_self] = ACTIONS(1349),
    [sym_clone] = ACTIONS(1349),
    [sym_thisthread] = ACTIONS(1349),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1349),
    [sym_global_variable] = ACTIONS(1349),
    [sym_global_reference] = ACTIONS(1349),
    [sym_number] = ACTIONS(1349),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1349),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [309] = {
    [sym_procedure] = STATE(926),
    [sym_block] = STATE(926),
    [sym_assignment] = STATE(926),
    [sym_if] = STATE(926),
    [sym_loop] = STATE(926),
    [sym_handling] = STATE(926),
    [sym_catch] = STATE(926),
    [sym_throw] = STATE(926),
    [sym_primitive] = STATE(926),
    [sym_iterator] = STATE(926),
    [sym_while] = STATE(926),
    [sym_try] = STATE(926),
    [sym_loopbody] = STATE(926),
    [sym_leave] = STATE(926),
    [sym_continue] = STATE(926),
    [sym_protect] = STATE(926),
    [sym_lock] = STATE(926),
    [sym__literal] = STATE(926),
    [sym_string_literal] = STATE(926),
    [sym_call] = STATE(926),
    [sym_invoke] = STATE(926),
    [sym_indexed_access] = STATE(926),
    [sym_slot_accessor] = STATE(926),
    [sym_class] = STATE(926),
    [sym__expression] = STATE(926),
    [sym_return] = STATE(926),
    [sym_gather] = STATE(926),
    [sym_scatter] = STATE(926),
    [sym_allresults] = STATE(926),
    [sym_parenthesized_expression] = STATE(926),
    [sym__variable] = STATE(926),
    [sym_variable] = STATE(926),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(926),
    [sym_relational_operator] = STATE(926),
    [sym_logical_operator] = STATE(926),
    [sym_arithmetic_operator] = STATE(926),
    [sym_unary_operator] = STATE(926),
    [sym_character_literal] = STATE(926),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_maybe] = ACTIONS(1351),
    [sym_unset] = ACTIONS(1351),
    [sym_super] = ACTIONS(1351),
    [sym_self] = ACTIONS(1351),
    [sym_clone] = ACTIONS(1351),
    [sym_thisthread] = ACTIONS(1351),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1351),
    [sym_global_variable] = ACTIONS(1351),
    [sym_global_reference] = ACTIONS(1351),
    [sym_number] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1351),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [310] = {
    [sym_procedure] = STATE(615),
    [sym_block] = STATE(615),
    [sym_assignment] = STATE(615),
    [sym_if] = STATE(615),
    [sym_loop] = STATE(615),
    [sym_handling] = STATE(615),
    [sym_catch] = STATE(615),
    [sym_throw] = STATE(615),
    [sym_primitive] = STATE(615),
    [sym_iterator] = STATE(615),
    [sym_while] = STATE(615),
    [sym_try] = STATE(615),
    [sym_loopbody] = STATE(615),
    [sym_leave] = STATE(615),
    [sym_continue] = STATE(615),
    [sym_protect] = STATE(615),
    [sym_lock] = STATE(615),
    [sym__literal] = STATE(615),
    [sym_string_literal] = STATE(615),
    [sym_call] = STATE(615),
    [sym_invoke] = STATE(615),
    [sym_indexed_access] = STATE(615),
    [sym_slot_accessor] = STATE(615),
    [sym_class] = STATE(615),
    [sym__expression] = STATE(615),
    [sym_return] = STATE(615),
    [sym_gather] = STATE(615),
    [sym_scatter] = STATE(615),
    [sym_allresults] = STATE(615),
    [sym_parenthesized_expression] = STATE(615),
    [sym__variable] = STATE(615),
    [sym_variable] = STATE(615),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(615),
    [sym_relational_operator] = STATE(615),
    [sym_logical_operator] = STATE(615),
    [sym_arithmetic_operator] = STATE(615),
    [sym_unary_operator] = STATE(615),
    [sym_character_literal] = STATE(615),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1353),
    [sym_false] = ACTIONS(1353),
    [sym_maybe] = ACTIONS(1353),
    [sym_unset] = ACTIONS(1353),
    [sym_super] = ACTIONS(1353),
    [sym_self] = ACTIONS(1353),
    [sym_clone] = ACTIONS(1353),
    [sym_thisthread] = ACTIONS(1353),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1353),
    [sym_global_variable] = ACTIONS(1353),
    [sym_global_reference] = ACTIONS(1353),
    [sym_number] = ACTIONS(1353),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [311] = {
    [sym_procedure] = STATE(572),
    [sym_block] = STATE(572),
    [sym_assignment] = STATE(572),
    [sym_if] = STATE(572),
    [sym_loop] = STATE(572),
    [sym_handling] = STATE(572),
    [sym_catch] = STATE(572),
    [sym_throw] = STATE(572),
    [sym_primitive] = STATE(572),
    [sym_iterator] = STATE(572),
    [sym_while] = STATE(572),
    [sym_try] = STATE(572),
    [sym_loopbody] = STATE(572),
    [sym_leave] = STATE(572),
    [sym_continue] = STATE(572),
    [sym_protect] = STATE(572),
    [sym_lock] = STATE(572),
    [sym__literal] = STATE(572),
    [sym_string_literal] = STATE(572),
    [sym_call] = STATE(572),
    [sym_invoke] = STATE(572),
    [sym_indexed_access] = STATE(572),
    [sym_slot_accessor] = STATE(572),
    [sym_class] = STATE(572),
    [sym__expression] = STATE(572),
    [sym_return] = STATE(572),
    [sym_gather] = STATE(572),
    [sym_scatter] = STATE(572),
    [sym_allresults] = STATE(572),
    [sym_parenthesized_expression] = STATE(572),
    [sym__variable] = STATE(572),
    [sym_variable] = STATE(572),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(572),
    [sym_relational_operator] = STATE(572),
    [sym_logical_operator] = STATE(572),
    [sym_arithmetic_operator] = STATE(572),
    [sym_unary_operator] = STATE(572),
    [sym_character_literal] = STATE(572),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1355),
    [sym_false] = ACTIONS(1355),
    [sym_maybe] = ACTIONS(1355),
    [sym_unset] = ACTIONS(1355),
    [sym_super] = ACTIONS(1355),
    [sym_self] = ACTIONS(1355),
    [sym_clone] = ACTIONS(1355),
    [sym_thisthread] = ACTIONS(1355),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1355),
    [sym_global_variable] = ACTIONS(1355),
    [sym_global_reference] = ACTIONS(1355),
    [sym_number] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1355),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [312] = {
    [sym_procedure] = STATE(575),
    [sym_block] = STATE(575),
    [sym_assignment] = STATE(575),
    [sym_if] = STATE(575),
    [sym_loop] = STATE(575),
    [sym_handling] = STATE(575),
    [sym_catch] = STATE(575),
    [sym_throw] = STATE(575),
    [sym_primitive] = STATE(575),
    [sym_iterator] = STATE(575),
    [sym_while] = STATE(575),
    [sym_try] = STATE(575),
    [sym_loopbody] = STATE(575),
    [sym_leave] = STATE(575),
    [sym_continue] = STATE(575),
    [sym_protect] = STATE(575),
    [sym_lock] = STATE(575),
    [sym__literal] = STATE(575),
    [sym_string_literal] = STATE(575),
    [sym_call] = STATE(575),
    [sym_invoke] = STATE(575),
    [sym_indexed_access] = STATE(575),
    [sym_slot_accessor] = STATE(575),
    [sym_class] = STATE(575),
    [sym__expression] = STATE(575),
    [sym_return] = STATE(575),
    [sym_gather] = STATE(575),
    [sym_scatter] = STATE(575),
    [sym_allresults] = STATE(575),
    [sym_parenthesized_expression] = STATE(575),
    [sym__variable] = STATE(575),
    [sym_variable] = STATE(575),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(575),
    [sym_relational_operator] = STATE(575),
    [sym_logical_operator] = STATE(575),
    [sym_arithmetic_operator] = STATE(575),
    [sym_unary_operator] = STATE(575),
    [sym_character_literal] = STATE(575),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1357),
    [sym_false] = ACTIONS(1357),
    [sym_maybe] = ACTIONS(1357),
    [sym_unset] = ACTIONS(1357),
    [sym_super] = ACTIONS(1357),
    [sym_self] = ACTIONS(1357),
    [sym_clone] = ACTIONS(1357),
    [sym_thisthread] = ACTIONS(1357),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1357),
    [sym_global_variable] = ACTIONS(1357),
    [sym_global_reference] = ACTIONS(1357),
    [sym_number] = ACTIONS(1357),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1357),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [313] = {
    [sym_procedure] = STATE(923),
    [sym_block] = STATE(923),
    [sym_assignment] = STATE(923),
    [sym_if] = STATE(923),
    [sym_loop] = STATE(923),
    [sym_handling] = STATE(923),
    [sym_catch] = STATE(923),
    [sym_throw] = STATE(923),
    [sym_primitive] = STATE(923),
    [sym_iterator] = STATE(923),
    [sym_while] = STATE(923),
    [sym_try] = STATE(923),
    [sym_loopbody] = STATE(923),
    [sym_leave] = STATE(923),
    [sym_continue] = STATE(923),
    [sym_protect] = STATE(923),
    [sym_lock] = STATE(923),
    [sym__literal] = STATE(923),
    [sym_string_literal] = STATE(923),
    [sym_call] = STATE(923),
    [sym_invoke] = STATE(923),
    [sym_indexed_access] = STATE(923),
    [sym_slot_accessor] = STATE(923),
    [sym_class] = STATE(923),
    [sym__expression] = STATE(923),
    [sym_return] = STATE(923),
    [sym_gather] = STATE(923),
    [sym_scatter] = STATE(923),
    [sym_allresults] = STATE(923),
    [sym_parenthesized_expression] = STATE(923),
    [sym__variable] = STATE(923),
    [sym_variable] = STATE(923),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(923),
    [sym_relational_operator] = STATE(923),
    [sym_logical_operator] = STATE(923),
    [sym_arithmetic_operator] = STATE(923),
    [sym_unary_operator] = STATE(923),
    [sym_character_literal] = STATE(923),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_maybe] = ACTIONS(1359),
    [sym_unset] = ACTIONS(1359),
    [sym_super] = ACTIONS(1359),
    [sym_self] = ACTIONS(1359),
    [sym_clone] = ACTIONS(1359),
    [sym_thisthread] = ACTIONS(1359),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1359),
    [sym_global_variable] = ACTIONS(1359),
    [sym_global_reference] = ACTIONS(1359),
    [sym_number] = ACTIONS(1359),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1359),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [314] = {
    [sym_procedure] = STATE(578),
    [sym_block] = STATE(578),
    [sym_assignment] = STATE(578),
    [sym_if] = STATE(578),
    [sym_loop] = STATE(578),
    [sym_handling] = STATE(578),
    [sym_catch] = STATE(578),
    [sym_throw] = STATE(578),
    [sym_primitive] = STATE(578),
    [sym_iterator] = STATE(578),
    [sym_while] = STATE(578),
    [sym_try] = STATE(578),
    [sym_loopbody] = STATE(578),
    [sym_leave] = STATE(578),
    [sym_continue] = STATE(578),
    [sym_protect] = STATE(578),
    [sym_lock] = STATE(578),
    [sym__literal] = STATE(578),
    [sym_string_literal] = STATE(578),
    [sym_call] = STATE(578),
    [sym_invoke] = STATE(578),
    [sym_indexed_access] = STATE(578),
    [sym_slot_accessor] = STATE(578),
    [sym_class] = STATE(578),
    [sym__expression] = STATE(578),
    [sym_return] = STATE(578),
    [sym_gather] = STATE(578),
    [sym_scatter] = STATE(578),
    [sym_allresults] = STATE(578),
    [sym_parenthesized_expression] = STATE(578),
    [sym__variable] = STATE(578),
    [sym_variable] = STATE(578),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(578),
    [sym_relational_operator] = STATE(578),
    [sym_logical_operator] = STATE(578),
    [sym_arithmetic_operator] = STATE(578),
    [sym_unary_operator] = STATE(578),
    [sym_character_literal] = STATE(578),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1361),
    [sym_false] = ACTIONS(1361),
    [sym_maybe] = ACTIONS(1361),
    [sym_unset] = ACTIONS(1361),
    [sym_super] = ACTIONS(1361),
    [sym_self] = ACTIONS(1361),
    [sym_clone] = ACTIONS(1361),
    [sym_thisthread] = ACTIONS(1361),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1361),
    [sym_global_variable] = ACTIONS(1361),
    [sym_global_reference] = ACTIONS(1361),
    [sym_number] = ACTIONS(1361),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1361),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [315] = {
    [sym_procedure] = STATE(552),
    [sym_block] = STATE(552),
    [sym_assignment] = STATE(552),
    [sym_if] = STATE(552),
    [sym_loop] = STATE(552),
    [sym_handling] = STATE(552),
    [sym_catch] = STATE(552),
    [sym_throw] = STATE(552),
    [sym_primitive] = STATE(552),
    [sym_iterator] = STATE(552),
    [sym_while] = STATE(552),
    [sym_try] = STATE(552),
    [sym_loopbody] = STATE(552),
    [sym_leave] = STATE(552),
    [sym_continue] = STATE(552),
    [sym_protect] = STATE(552),
    [sym_lock] = STATE(552),
    [sym__literal] = STATE(552),
    [sym_string_literal] = STATE(552),
    [sym_call] = STATE(552),
    [sym_invoke] = STATE(552),
    [sym_indexed_access] = STATE(552),
    [sym_slot_accessor] = STATE(552),
    [sym_class] = STATE(552),
    [sym__expression] = STATE(552),
    [sym_return] = STATE(552),
    [sym_gather] = STATE(552),
    [sym_scatter] = STATE(552),
    [sym_allresults] = STATE(552),
    [sym_parenthesized_expression] = STATE(552),
    [sym__variable] = STATE(552),
    [sym_variable] = STATE(552),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(552),
    [sym_relational_operator] = STATE(552),
    [sym_logical_operator] = STATE(552),
    [sym_arithmetic_operator] = STATE(552),
    [sym_unary_operator] = STATE(552),
    [sym_character_literal] = STATE(552),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_maybe] = ACTIONS(1363),
    [sym_unset] = ACTIONS(1363),
    [sym_super] = ACTIONS(1363),
    [sym_self] = ACTIONS(1363),
    [sym_clone] = ACTIONS(1363),
    [sym_thisthread] = ACTIONS(1363),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1363),
    [sym_global_variable] = ACTIONS(1363),
    [sym_global_reference] = ACTIONS(1363),
    [sym_number] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1363),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [316] = {
    [sym_procedure] = STATE(583),
    [sym_block] = STATE(583),
    [sym_assignment] = STATE(583),
    [sym_if] = STATE(583),
    [sym_loop] = STATE(583),
    [sym_handling] = STATE(583),
    [sym_catch] = STATE(583),
    [sym_throw] = STATE(583),
    [sym_primitive] = STATE(583),
    [sym_iterator] = STATE(583),
    [sym_while] = STATE(583),
    [sym_try] = STATE(583),
    [sym_loopbody] = STATE(583),
    [sym_leave] = STATE(583),
    [sym_continue] = STATE(583),
    [sym_protect] = STATE(583),
    [sym_lock] = STATE(583),
    [sym__literal] = STATE(583),
    [sym_string_literal] = STATE(583),
    [sym_call] = STATE(583),
    [sym_invoke] = STATE(583),
    [sym_indexed_access] = STATE(583),
    [sym_slot_accessor] = STATE(583),
    [sym_class] = STATE(583),
    [sym__expression] = STATE(583),
    [sym_return] = STATE(583),
    [sym_gather] = STATE(583),
    [sym_scatter] = STATE(583),
    [sym_allresults] = STATE(583),
    [sym_parenthesized_expression] = STATE(583),
    [sym__variable] = STATE(583),
    [sym_variable] = STATE(583),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(583),
    [sym_relational_operator] = STATE(583),
    [sym_logical_operator] = STATE(583),
    [sym_arithmetic_operator] = STATE(583),
    [sym_unary_operator] = STATE(583),
    [sym_character_literal] = STATE(583),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1319),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1365),
    [sym_false] = ACTIONS(1365),
    [sym_maybe] = ACTIONS(1365),
    [sym_unset] = ACTIONS(1365),
    [sym_super] = ACTIONS(1365),
    [sym_self] = ACTIONS(1365),
    [sym_clone] = ACTIONS(1365),
    [sym_thisthread] = ACTIONS(1365),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1365),
    [sym_global_variable] = ACTIONS(1365),
    [sym_global_reference] = ACTIONS(1365),
    [sym_number] = ACTIONS(1365),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1365),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [317] = {
    [sym_procedure] = STATE(555),
    [sym_block] = STATE(555),
    [sym_assignment] = STATE(555),
    [sym_if] = STATE(555),
    [sym_loop] = STATE(555),
    [sym_handling] = STATE(555),
    [sym_catch] = STATE(555),
    [sym_throw] = STATE(555),
    [sym_primitive] = STATE(555),
    [sym_iterator] = STATE(555),
    [sym_while] = STATE(555),
    [sym_try] = STATE(555),
    [sym_loopbody] = STATE(555),
    [sym_leave] = STATE(555),
    [sym_continue] = STATE(555),
    [sym_protect] = STATE(555),
    [sym_lock] = STATE(555),
    [sym__literal] = STATE(555),
    [sym_string_literal] = STATE(555),
    [sym_call] = STATE(555),
    [sym_invoke] = STATE(555),
    [sym_indexed_access] = STATE(555),
    [sym_slot_accessor] = STATE(555),
    [sym_class] = STATE(555),
    [sym__expression] = STATE(555),
    [sym_return] = STATE(555),
    [sym_gather] = STATE(555),
    [sym_scatter] = STATE(555),
    [sym_allresults] = STATE(555),
    [sym_parenthesized_expression] = STATE(555),
    [sym__variable] = STATE(555),
    [sym_variable] = STATE(555),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(555),
    [sym_relational_operator] = STATE(555),
    [sym_logical_operator] = STATE(555),
    [sym_arithmetic_operator] = STATE(555),
    [sym_unary_operator] = STATE(555),
    [sym_character_literal] = STATE(555),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1295),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_maybe] = ACTIONS(1367),
    [sym_unset] = ACTIONS(1367),
    [sym_super] = ACTIONS(1367),
    [sym_self] = ACTIONS(1367),
    [sym_clone] = ACTIONS(1367),
    [sym_thisthread] = ACTIONS(1367),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1367),
    [sym_global_variable] = ACTIONS(1367),
    [sym_global_reference] = ACTIONS(1367),
    [sym_number] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1367),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [318] = {
    [sym_procedure] = STATE(556),
    [sym_block] = STATE(556),
    [sym_assignment] = STATE(556),
    [sym_if] = STATE(556),
    [sym_loop] = STATE(556),
    [sym_handling] = STATE(556),
    [sym_catch] = STATE(556),
    [sym_throw] = STATE(556),
    [sym_primitive] = STATE(556),
    [sym_iterator] = STATE(556),
    [sym_while] = STATE(556),
    [sym_try] = STATE(556),
    [sym_loopbody] = STATE(556),
    [sym_leave] = STATE(556),
    [sym_continue] = STATE(556),
    [sym_protect] = STATE(556),
    [sym_lock] = STATE(556),
    [sym__literal] = STATE(556),
    [sym_string_literal] = STATE(556),
    [sym_call] = STATE(556),
    [sym_invoke] = STATE(556),
    [sym_indexed_access] = STATE(556),
    [sym_slot_accessor] = STATE(556),
    [sym_class] = STATE(556),
    [sym__expression] = STATE(556),
    [sym_return] = STATE(556),
    [sym_gather] = STATE(556),
    [sym_scatter] = STATE(556),
    [sym_allresults] = STATE(556),
    [sym_parenthesized_expression] = STATE(556),
    [sym__variable] = STATE(556),
    [sym_variable] = STATE(556),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(556),
    [sym_relational_operator] = STATE(556),
    [sym_logical_operator] = STATE(556),
    [sym_arithmetic_operator] = STATE(556),
    [sym_unary_operator] = STATE(556),
    [sym_character_literal] = STATE(556),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1369),
    [sym_false] = ACTIONS(1369),
    [sym_maybe] = ACTIONS(1369),
    [sym_unset] = ACTIONS(1369),
    [sym_super] = ACTIONS(1369),
    [sym_self] = ACTIONS(1369),
    [sym_clone] = ACTIONS(1369),
    [sym_thisthread] = ACTIONS(1369),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1369),
    [sym_global_variable] = ACTIONS(1369),
    [sym_global_reference] = ACTIONS(1369),
    [sym_number] = ACTIONS(1369),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [319] = {
    [sym_procedure] = STATE(589),
    [sym_block] = STATE(589),
    [sym_assignment] = STATE(589),
    [sym_if] = STATE(589),
    [sym_loop] = STATE(589),
    [sym_handling] = STATE(589),
    [sym_catch] = STATE(589),
    [sym_throw] = STATE(589),
    [sym_primitive] = STATE(589),
    [sym_iterator] = STATE(589),
    [sym_while] = STATE(589),
    [sym_try] = STATE(589),
    [sym_loopbody] = STATE(589),
    [sym_leave] = STATE(589),
    [sym_continue] = STATE(589),
    [sym_protect] = STATE(589),
    [sym_lock] = STATE(589),
    [sym__literal] = STATE(589),
    [sym_string_literal] = STATE(589),
    [sym_call] = STATE(589),
    [sym_invoke] = STATE(589),
    [sym_indexed_access] = STATE(589),
    [sym_slot_accessor] = STATE(589),
    [sym_class] = STATE(589),
    [sym__expression] = STATE(589),
    [sym_return] = STATE(589),
    [sym_gather] = STATE(589),
    [sym_scatter] = STATE(589),
    [sym_allresults] = STATE(589),
    [sym_parenthesized_expression] = STATE(589),
    [sym__variable] = STATE(589),
    [sym_variable] = STATE(589),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(589),
    [sym_relational_operator] = STATE(589),
    [sym_logical_operator] = STATE(589),
    [sym_arithmetic_operator] = STATE(589),
    [sym_unary_operator] = STATE(589),
    [sym_character_literal] = STATE(589),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_maybe] = ACTIONS(1371),
    [sym_unset] = ACTIONS(1371),
    [sym_super] = ACTIONS(1371),
    [sym_self] = ACTIONS(1371),
    [sym_clone] = ACTIONS(1371),
    [sym_thisthread] = ACTIONS(1371),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1371),
    [sym_global_variable] = ACTIONS(1371),
    [sym_global_reference] = ACTIONS(1371),
    [sym_number] = ACTIONS(1371),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1371),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [320] = {
    [sym_procedure] = STATE(573),
    [sym_block] = STATE(573),
    [sym_assignment] = STATE(573),
    [sym_if] = STATE(573),
    [sym_loop] = STATE(573),
    [sym_handling] = STATE(573),
    [sym_catch] = STATE(573),
    [sym_throw] = STATE(573),
    [sym_primitive] = STATE(573),
    [sym_iterator] = STATE(573),
    [sym_while] = STATE(573),
    [sym_try] = STATE(573),
    [sym_loopbody] = STATE(573),
    [sym_leave] = STATE(573),
    [sym_continue] = STATE(573),
    [sym_protect] = STATE(573),
    [sym_lock] = STATE(573),
    [sym__literal] = STATE(573),
    [sym_string_literal] = STATE(573),
    [sym_call] = STATE(573),
    [sym_invoke] = STATE(573),
    [sym_indexed_access] = STATE(573),
    [sym_slot_accessor] = STATE(573),
    [sym_class] = STATE(573),
    [sym__expression] = STATE(573),
    [sym_return] = STATE(573),
    [sym_gather] = STATE(573),
    [sym_scatter] = STATE(573),
    [sym_allresults] = STATE(573),
    [sym_parenthesized_expression] = STATE(573),
    [sym__variable] = STATE(573),
    [sym_variable] = STATE(573),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(573),
    [sym_relational_operator] = STATE(573),
    [sym_logical_operator] = STATE(573),
    [sym_arithmetic_operator] = STATE(573),
    [sym_unary_operator] = STATE(573),
    [sym_character_literal] = STATE(573),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1373),
    [sym_false] = ACTIONS(1373),
    [sym_maybe] = ACTIONS(1373),
    [sym_unset] = ACTIONS(1373),
    [sym_super] = ACTIONS(1373),
    [sym_self] = ACTIONS(1373),
    [sym_clone] = ACTIONS(1373),
    [sym_thisthread] = ACTIONS(1373),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1373),
    [sym_global_variable] = ACTIONS(1373),
    [sym_global_reference] = ACTIONS(1373),
    [sym_number] = ACTIONS(1373),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [321] = {
    [sym_procedure] = STATE(588),
    [sym_block] = STATE(588),
    [sym_assignment] = STATE(588),
    [sym_if] = STATE(588),
    [sym_loop] = STATE(588),
    [sym_handling] = STATE(588),
    [sym_catch] = STATE(588),
    [sym_throw] = STATE(588),
    [sym_primitive] = STATE(588),
    [sym_iterator] = STATE(588),
    [sym_while] = STATE(588),
    [sym_try] = STATE(588),
    [sym_loopbody] = STATE(588),
    [sym_leave] = STATE(588),
    [sym_continue] = STATE(588),
    [sym_protect] = STATE(588),
    [sym_lock] = STATE(588),
    [sym__literal] = STATE(588),
    [sym_string_literal] = STATE(588),
    [sym_call] = STATE(588),
    [sym_invoke] = STATE(588),
    [sym_indexed_access] = STATE(588),
    [sym_slot_accessor] = STATE(588),
    [sym_class] = STATE(588),
    [sym__expression] = STATE(588),
    [sym_return] = STATE(588),
    [sym_gather] = STATE(588),
    [sym_scatter] = STATE(588),
    [sym_allresults] = STATE(588),
    [sym_parenthesized_expression] = STATE(588),
    [sym__variable] = STATE(588),
    [sym_variable] = STATE(588),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(588),
    [sym_relational_operator] = STATE(588),
    [sym_logical_operator] = STATE(588),
    [sym_arithmetic_operator] = STATE(588),
    [sym_unary_operator] = STATE(588),
    [sym_character_literal] = STATE(588),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1375),
    [sym_false] = ACTIONS(1375),
    [sym_maybe] = ACTIONS(1375),
    [sym_unset] = ACTIONS(1375),
    [sym_super] = ACTIONS(1375),
    [sym_self] = ACTIONS(1375),
    [sym_clone] = ACTIONS(1375),
    [sym_thisthread] = ACTIONS(1375),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1375),
    [sym_global_variable] = ACTIONS(1375),
    [sym_global_reference] = ACTIONS(1375),
    [sym_number] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [322] = {
    [sym_procedure] = STATE(587),
    [sym_block] = STATE(587),
    [sym_assignment] = STATE(587),
    [sym_if] = STATE(587),
    [sym_loop] = STATE(587),
    [sym_handling] = STATE(587),
    [sym_catch] = STATE(587),
    [sym_throw] = STATE(587),
    [sym_primitive] = STATE(587),
    [sym_iterator] = STATE(587),
    [sym_while] = STATE(587),
    [sym_try] = STATE(587),
    [sym_loopbody] = STATE(587),
    [sym_leave] = STATE(587),
    [sym_continue] = STATE(587),
    [sym_protect] = STATE(587),
    [sym_lock] = STATE(587),
    [sym__literal] = STATE(587),
    [sym_string_literal] = STATE(587),
    [sym_call] = STATE(587),
    [sym_invoke] = STATE(587),
    [sym_indexed_access] = STATE(587),
    [sym_slot_accessor] = STATE(587),
    [sym_class] = STATE(587),
    [sym__expression] = STATE(587),
    [sym_return] = STATE(587),
    [sym_gather] = STATE(587),
    [sym_scatter] = STATE(587),
    [sym_allresults] = STATE(587),
    [sym_parenthesized_expression] = STATE(587),
    [sym__variable] = STATE(587),
    [sym_variable] = STATE(587),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(587),
    [sym_relational_operator] = STATE(587),
    [sym_logical_operator] = STATE(587),
    [sym_arithmetic_operator] = STATE(587),
    [sym_unary_operator] = STATE(587),
    [sym_character_literal] = STATE(587),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1377),
    [sym_false] = ACTIONS(1377),
    [sym_maybe] = ACTIONS(1377),
    [sym_unset] = ACTIONS(1377),
    [sym_super] = ACTIONS(1377),
    [sym_self] = ACTIONS(1377),
    [sym_clone] = ACTIONS(1377),
    [sym_thisthread] = ACTIONS(1377),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1377),
    [sym_global_variable] = ACTIONS(1377),
    [sym_global_reference] = ACTIONS(1377),
    [sym_number] = ACTIONS(1377),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1377),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [323] = {
    [sym_procedure] = STATE(537),
    [sym_block] = STATE(537),
    [sym_assignment] = STATE(537),
    [sym_if] = STATE(537),
    [sym_loop] = STATE(537),
    [sym_handling] = STATE(537),
    [sym_catch] = STATE(537),
    [sym_throw] = STATE(537),
    [sym_primitive] = STATE(537),
    [sym_iterator] = STATE(537),
    [sym_while] = STATE(537),
    [sym_try] = STATE(537),
    [sym_loopbody] = STATE(537),
    [sym_leave] = STATE(537),
    [sym_continue] = STATE(537),
    [sym_protect] = STATE(537),
    [sym_lock] = STATE(537),
    [sym__literal] = STATE(537),
    [sym_string_literal] = STATE(537),
    [sym_call] = STATE(537),
    [sym_invoke] = STATE(537),
    [sym_indexed_access] = STATE(537),
    [sym_slot_accessor] = STATE(537),
    [sym_class] = STATE(537),
    [sym__expression] = STATE(537),
    [sym_return] = STATE(537),
    [sym_gather] = STATE(537),
    [sym_scatter] = STATE(537),
    [sym_allresults] = STATE(537),
    [sym_parenthesized_expression] = STATE(537),
    [sym__variable] = STATE(537),
    [sym_variable] = STATE(537),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(537),
    [sym_relational_operator] = STATE(537),
    [sym_logical_operator] = STATE(537),
    [sym_arithmetic_operator] = STATE(537),
    [sym_unary_operator] = STATE(537),
    [sym_character_literal] = STATE(537),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1269),
    [sym_false] = ACTIONS(1269),
    [sym_maybe] = ACTIONS(1269),
    [sym_unset] = ACTIONS(1269),
    [sym_super] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [sym_clone] = ACTIONS(1269),
    [sym_thisthread] = ACTIONS(1269),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1269),
    [sym_global_variable] = ACTIONS(1269),
    [sym_global_reference] = ACTIONS(1269),
    [sym_number] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [324] = {
    [sym_procedure] = STATE(599),
    [sym_block] = STATE(599),
    [sym_assignment] = STATE(599),
    [sym_if] = STATE(599),
    [sym_loop] = STATE(599),
    [sym_handling] = STATE(599),
    [sym_catch] = STATE(599),
    [sym_throw] = STATE(599),
    [sym_primitive] = STATE(599),
    [sym_iterator] = STATE(599),
    [sym_while] = STATE(599),
    [sym_try] = STATE(599),
    [sym_loopbody] = STATE(599),
    [sym_leave] = STATE(599),
    [sym_continue] = STATE(599),
    [sym_protect] = STATE(599),
    [sym_lock] = STATE(599),
    [sym__literal] = STATE(599),
    [sym_string_literal] = STATE(599),
    [sym_call] = STATE(599),
    [sym_invoke] = STATE(599),
    [sym_indexed_access] = STATE(599),
    [sym_slot_accessor] = STATE(599),
    [sym_class] = STATE(599),
    [sym__expression] = STATE(599),
    [sym_return] = STATE(599),
    [sym_gather] = STATE(599),
    [sym_scatter] = STATE(599),
    [sym_allresults] = STATE(599),
    [sym_parenthesized_expression] = STATE(599),
    [sym__variable] = STATE(599),
    [sym_variable] = STATE(599),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(599),
    [sym_relational_operator] = STATE(599),
    [sym_logical_operator] = STATE(599),
    [sym_arithmetic_operator] = STATE(599),
    [sym_unary_operator] = STATE(599),
    [sym_character_literal] = STATE(599),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_maybe] = ACTIONS(1379),
    [sym_unset] = ACTIONS(1379),
    [sym_super] = ACTIONS(1379),
    [sym_self] = ACTIONS(1379),
    [sym_clone] = ACTIONS(1379),
    [sym_thisthread] = ACTIONS(1379),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1379),
    [sym_global_variable] = ACTIONS(1379),
    [sym_global_reference] = ACTIONS(1379),
    [sym_number] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [325] = {
    [sym_procedure] = STATE(912),
    [sym_block] = STATE(912),
    [sym_assignment] = STATE(912),
    [sym_if] = STATE(912),
    [sym_loop] = STATE(912),
    [sym_handling] = STATE(912),
    [sym_catch] = STATE(912),
    [sym_throw] = STATE(912),
    [sym_primitive] = STATE(912),
    [sym_iterator] = STATE(912),
    [sym_while] = STATE(912),
    [sym_try] = STATE(912),
    [sym_loopbody] = STATE(912),
    [sym_leave] = STATE(912),
    [sym_continue] = STATE(912),
    [sym_protect] = STATE(912),
    [sym_lock] = STATE(912),
    [sym__literal] = STATE(912),
    [sym_string_literal] = STATE(912),
    [sym_call] = STATE(912),
    [sym_invoke] = STATE(912),
    [sym_indexed_access] = STATE(912),
    [sym_slot_accessor] = STATE(912),
    [sym_class] = STATE(912),
    [sym__expression] = STATE(912),
    [sym_return] = STATE(912),
    [sym_gather] = STATE(912),
    [sym_scatter] = STATE(912),
    [sym_allresults] = STATE(912),
    [sym_parenthesized_expression] = STATE(912),
    [sym__variable] = STATE(912),
    [sym_variable] = STATE(912),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(912),
    [sym_relational_operator] = STATE(912),
    [sym_logical_operator] = STATE(912),
    [sym_arithmetic_operator] = STATE(912),
    [sym_unary_operator] = STATE(912),
    [sym_character_literal] = STATE(912),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1381),
    [sym_false] = ACTIONS(1381),
    [sym_maybe] = ACTIONS(1381),
    [sym_unset] = ACTIONS(1381),
    [sym_super] = ACTIONS(1381),
    [sym_self] = ACTIONS(1381),
    [sym_clone] = ACTIONS(1381),
    [sym_thisthread] = ACTIONS(1381),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1381),
    [sym_global_variable] = ACTIONS(1381),
    [sym_global_reference] = ACTIONS(1381),
    [sym_number] = ACTIONS(1381),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [326] = {
    [sym_procedure] = STATE(963),
    [sym_block] = STATE(963),
    [sym_assignment] = STATE(963),
    [sym_if] = STATE(963),
    [sym_loop] = STATE(963),
    [sym_handling] = STATE(963),
    [sym_catch] = STATE(963),
    [sym_throw] = STATE(963),
    [sym_primitive] = STATE(963),
    [sym_iterator] = STATE(963),
    [sym_while] = STATE(963),
    [sym_try] = STATE(963),
    [sym_loopbody] = STATE(963),
    [sym_leave] = STATE(963),
    [sym_continue] = STATE(963),
    [sym_protect] = STATE(963),
    [sym_lock] = STATE(963),
    [sym__literal] = STATE(963),
    [sym_string_literal] = STATE(963),
    [sym_call] = STATE(963),
    [sym_invoke] = STATE(963),
    [sym_indexed_access] = STATE(963),
    [sym_slot_accessor] = STATE(963),
    [sym_class] = STATE(963),
    [sym__expression] = STATE(963),
    [sym_return] = STATE(963),
    [sym_gather] = STATE(963),
    [sym_scatter] = STATE(963),
    [sym_allresults] = STATE(963),
    [sym_parenthesized_expression] = STATE(963),
    [sym__variable] = STATE(963),
    [sym_variable] = STATE(963),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(963),
    [sym_relational_operator] = STATE(963),
    [sym_logical_operator] = STATE(963),
    [sym_arithmetic_operator] = STATE(963),
    [sym_unary_operator] = STATE(963),
    [sym_character_literal] = STATE(963),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_maybe] = ACTIONS(1383),
    [sym_unset] = ACTIONS(1383),
    [sym_super] = ACTIONS(1383),
    [sym_self] = ACTIONS(1383),
    [sym_clone] = ACTIONS(1383),
    [sym_thisthread] = ACTIONS(1383),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1383),
    [sym_global_variable] = ACTIONS(1383),
    [sym_global_reference] = ACTIONS(1383),
    [sym_number] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [327] = {
    [sym_procedure] = STATE(675),
    [sym_block] = STATE(675),
    [sym_assignment] = STATE(675),
    [sym_if] = STATE(675),
    [sym_loop] = STATE(675),
    [sym_handling] = STATE(675),
    [sym_catch] = STATE(675),
    [sym_throw] = STATE(675),
    [sym_primitive] = STATE(675),
    [sym_iterator] = STATE(675),
    [sym_while] = STATE(675),
    [sym_try] = STATE(675),
    [sym_loopbody] = STATE(675),
    [sym_leave] = STATE(675),
    [sym_continue] = STATE(675),
    [sym_protect] = STATE(675),
    [sym_lock] = STATE(675),
    [sym__literal] = STATE(675),
    [sym_string_literal] = STATE(675),
    [sym_call] = STATE(675),
    [sym_invoke] = STATE(675),
    [sym_indexed_access] = STATE(675),
    [sym_slot_accessor] = STATE(675),
    [sym_class] = STATE(675),
    [sym__expression] = STATE(675),
    [sym_return] = STATE(675),
    [sym_gather] = STATE(675),
    [sym_scatter] = STATE(675),
    [sym_allresults] = STATE(675),
    [sym_parenthesized_expression] = STATE(675),
    [sym__variable] = STATE(675),
    [sym_variable] = STATE(675),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(675),
    [sym_relational_operator] = STATE(675),
    [sym_logical_operator] = STATE(675),
    [sym_arithmetic_operator] = STATE(675),
    [sym_unary_operator] = STATE(675),
    [sym_character_literal] = STATE(675),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1385),
    [sym_false] = ACTIONS(1385),
    [sym_maybe] = ACTIONS(1385),
    [sym_unset] = ACTIONS(1385),
    [sym_super] = ACTIONS(1385),
    [sym_self] = ACTIONS(1385),
    [sym_clone] = ACTIONS(1385),
    [sym_thisthread] = ACTIONS(1385),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1385),
    [sym_global_variable] = ACTIONS(1385),
    [sym_global_reference] = ACTIONS(1385),
    [sym_number] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1385),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [328] = {
    [sym_procedure] = STATE(942),
    [sym_block] = STATE(942),
    [sym_assignment] = STATE(942),
    [sym_if] = STATE(942),
    [sym_loop] = STATE(942),
    [sym_handling] = STATE(942),
    [sym_catch] = STATE(942),
    [sym_throw] = STATE(942),
    [sym_primitive] = STATE(942),
    [sym_iterator] = STATE(942),
    [sym_while] = STATE(942),
    [sym_try] = STATE(942),
    [sym_loopbody] = STATE(942),
    [sym_leave] = STATE(942),
    [sym_continue] = STATE(942),
    [sym_protect] = STATE(942),
    [sym_lock] = STATE(942),
    [sym__literal] = STATE(942),
    [sym_string_literal] = STATE(942),
    [sym_call] = STATE(942),
    [sym_invoke] = STATE(942),
    [sym_indexed_access] = STATE(942),
    [sym_slot_accessor] = STATE(942),
    [sym_class] = STATE(942),
    [sym__expression] = STATE(942),
    [sym_return] = STATE(942),
    [sym_gather] = STATE(942),
    [sym_scatter] = STATE(942),
    [sym_allresults] = STATE(942),
    [sym_parenthesized_expression] = STATE(942),
    [sym__variable] = STATE(942),
    [sym_variable] = STATE(942),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(942),
    [sym_relational_operator] = STATE(942),
    [sym_logical_operator] = STATE(942),
    [sym_arithmetic_operator] = STATE(942),
    [sym_unary_operator] = STATE(942),
    [sym_character_literal] = STATE(942),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_maybe] = ACTIONS(1387),
    [sym_unset] = ACTIONS(1387),
    [sym_super] = ACTIONS(1387),
    [sym_self] = ACTIONS(1387),
    [sym_clone] = ACTIONS(1387),
    [sym_thisthread] = ACTIONS(1387),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1387),
    [sym_global_variable] = ACTIONS(1387),
    [sym_global_reference] = ACTIONS(1387),
    [sym_number] = ACTIONS(1387),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1387),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [329] = {
    [sym_procedure] = STATE(617),
    [sym_block] = STATE(617),
    [sym_assignment] = STATE(617),
    [sym_if] = STATE(617),
    [sym_loop] = STATE(617),
    [sym_handling] = STATE(617),
    [sym_catch] = STATE(617),
    [sym_throw] = STATE(617),
    [sym_primitive] = STATE(617),
    [sym_iterator] = STATE(617),
    [sym_while] = STATE(617),
    [sym_try] = STATE(617),
    [sym_loopbody] = STATE(617),
    [sym_leave] = STATE(617),
    [sym_continue] = STATE(617),
    [sym_protect] = STATE(617),
    [sym_lock] = STATE(617),
    [sym__literal] = STATE(617),
    [sym_string_literal] = STATE(617),
    [sym_call] = STATE(617),
    [sym_invoke] = STATE(617),
    [sym_indexed_access] = STATE(617),
    [sym_slot_accessor] = STATE(617),
    [sym_class] = STATE(617),
    [sym__expression] = STATE(617),
    [sym_return] = STATE(617),
    [sym_gather] = STATE(617),
    [sym_scatter] = STATE(617),
    [sym_allresults] = STATE(617),
    [sym_parenthesized_expression] = STATE(617),
    [sym__variable] = STATE(617),
    [sym_variable] = STATE(617),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(617),
    [sym_relational_operator] = STATE(617),
    [sym_logical_operator] = STATE(617),
    [sym_arithmetic_operator] = STATE(617),
    [sym_unary_operator] = STATE(617),
    [sym_character_literal] = STATE(617),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1389),
    [sym_false] = ACTIONS(1389),
    [sym_maybe] = ACTIONS(1389),
    [sym_unset] = ACTIONS(1389),
    [sym_super] = ACTIONS(1389),
    [sym_self] = ACTIONS(1389),
    [sym_clone] = ACTIONS(1389),
    [sym_thisthread] = ACTIONS(1389),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1389),
    [sym_global_variable] = ACTIONS(1389),
    [sym_global_reference] = ACTIONS(1389),
    [sym_number] = ACTIONS(1389),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [330] = {
    [sym_procedure] = STATE(944),
    [sym_block] = STATE(944),
    [sym_assignment] = STATE(944),
    [sym_if] = STATE(944),
    [sym_loop] = STATE(944),
    [sym_handling] = STATE(944),
    [sym_catch] = STATE(944),
    [sym_throw] = STATE(944),
    [sym_primitive] = STATE(944),
    [sym_iterator] = STATE(944),
    [sym_while] = STATE(944),
    [sym_try] = STATE(944),
    [sym_loopbody] = STATE(944),
    [sym_leave] = STATE(944),
    [sym_continue] = STATE(944),
    [sym_protect] = STATE(944),
    [sym_lock] = STATE(944),
    [sym__literal] = STATE(944),
    [sym_string_literal] = STATE(944),
    [sym_call] = STATE(944),
    [sym_invoke] = STATE(944),
    [sym_indexed_access] = STATE(944),
    [sym_slot_accessor] = STATE(944),
    [sym_class] = STATE(944),
    [sym__expression] = STATE(944),
    [sym_return] = STATE(944),
    [sym_gather] = STATE(944),
    [sym_scatter] = STATE(944),
    [sym_allresults] = STATE(944),
    [sym_parenthesized_expression] = STATE(944),
    [sym__variable] = STATE(944),
    [sym_variable] = STATE(944),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(944),
    [sym_relational_operator] = STATE(944),
    [sym_logical_operator] = STATE(944),
    [sym_arithmetic_operator] = STATE(944),
    [sym_unary_operator] = STATE(944),
    [sym_character_literal] = STATE(944),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_maybe] = ACTIONS(1391),
    [sym_unset] = ACTIONS(1391),
    [sym_super] = ACTIONS(1391),
    [sym_self] = ACTIONS(1391),
    [sym_clone] = ACTIONS(1391),
    [sym_thisthread] = ACTIONS(1391),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1391),
    [sym_global_variable] = ACTIONS(1391),
    [sym_global_reference] = ACTIONS(1391),
    [sym_number] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1391),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [331] = {
    [sym_procedure] = STATE(862),
    [sym_block] = STATE(862),
    [sym_assignment] = STATE(862),
    [sym_if] = STATE(862),
    [sym_loop] = STATE(862),
    [sym_handling] = STATE(862),
    [sym_catch] = STATE(862),
    [sym_throw] = STATE(862),
    [sym_primitive] = STATE(862),
    [sym_iterator] = STATE(862),
    [sym_while] = STATE(862),
    [sym_try] = STATE(862),
    [sym_loopbody] = STATE(862),
    [sym_leave] = STATE(862),
    [sym_continue] = STATE(862),
    [sym_protect] = STATE(862),
    [sym_lock] = STATE(862),
    [sym__literal] = STATE(862),
    [sym_string_literal] = STATE(862),
    [sym_call] = STATE(862),
    [sym_invoke] = STATE(862),
    [sym_indexed_access] = STATE(862),
    [sym_slot_accessor] = STATE(862),
    [sym_class] = STATE(862),
    [sym__expression] = STATE(862),
    [sym_return] = STATE(862),
    [sym_gather] = STATE(862),
    [sym_scatter] = STATE(862),
    [sym_allresults] = STATE(862),
    [sym_parenthesized_expression] = STATE(862),
    [sym__variable] = STATE(862),
    [sym_variable] = STATE(862),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(862),
    [sym_relational_operator] = STATE(862),
    [sym_logical_operator] = STATE(862),
    [sym_arithmetic_operator] = STATE(862),
    [sym_unary_operator] = STATE(862),
    [sym_character_literal] = STATE(862),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1393),
    [sym_false] = ACTIONS(1393),
    [sym_maybe] = ACTIONS(1393),
    [sym_unset] = ACTIONS(1393),
    [sym_super] = ACTIONS(1393),
    [sym_self] = ACTIONS(1393),
    [sym_clone] = ACTIONS(1393),
    [sym_thisthread] = ACTIONS(1393),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1393),
    [sym_global_variable] = ACTIONS(1393),
    [sym_global_reference] = ACTIONS(1393),
    [sym_number] = ACTIONS(1393),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1393),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [332] = {
    [sym_procedure] = STATE(870),
    [sym_block] = STATE(870),
    [sym_assignment] = STATE(870),
    [sym_if] = STATE(870),
    [sym_loop] = STATE(870),
    [sym_handling] = STATE(870),
    [sym_catch] = STATE(870),
    [sym_throw] = STATE(870),
    [sym_primitive] = STATE(870),
    [sym_iterator] = STATE(870),
    [sym_while] = STATE(870),
    [sym_try] = STATE(870),
    [sym_loopbody] = STATE(870),
    [sym_leave] = STATE(870),
    [sym_continue] = STATE(870),
    [sym_protect] = STATE(870),
    [sym_lock] = STATE(870),
    [sym__literal] = STATE(870),
    [sym_string_literal] = STATE(870),
    [sym_call] = STATE(870),
    [sym_invoke] = STATE(870),
    [sym_indexed_access] = STATE(870),
    [sym_slot_accessor] = STATE(870),
    [sym_class] = STATE(870),
    [sym__expression] = STATE(870),
    [sym_return] = STATE(870),
    [sym_gather] = STATE(870),
    [sym_scatter] = STATE(870),
    [sym_allresults] = STATE(870),
    [sym_parenthesized_expression] = STATE(870),
    [sym__variable] = STATE(870),
    [sym_variable] = STATE(870),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(870),
    [sym_relational_operator] = STATE(870),
    [sym_logical_operator] = STATE(870),
    [sym_arithmetic_operator] = STATE(870),
    [sym_unary_operator] = STATE(870),
    [sym_character_literal] = STATE(870),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1395),
    [sym_false] = ACTIONS(1395),
    [sym_maybe] = ACTIONS(1395),
    [sym_unset] = ACTIONS(1395),
    [sym_super] = ACTIONS(1395),
    [sym_self] = ACTIONS(1395),
    [sym_clone] = ACTIONS(1395),
    [sym_thisthread] = ACTIONS(1395),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1395),
    [sym_global_variable] = ACTIONS(1395),
    [sym_global_reference] = ACTIONS(1395),
    [sym_number] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1395),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [333] = {
    [sym_procedure] = STATE(913),
    [sym_block] = STATE(913),
    [sym_assignment] = STATE(913),
    [sym_if] = STATE(913),
    [sym_loop] = STATE(913),
    [sym_handling] = STATE(913),
    [sym_catch] = STATE(913),
    [sym_throw] = STATE(913),
    [sym_primitive] = STATE(913),
    [sym_iterator] = STATE(913),
    [sym_while] = STATE(913),
    [sym_try] = STATE(913),
    [sym_loopbody] = STATE(913),
    [sym_leave] = STATE(913),
    [sym_continue] = STATE(913),
    [sym_protect] = STATE(913),
    [sym_lock] = STATE(913),
    [sym__literal] = STATE(913),
    [sym_string_literal] = STATE(913),
    [sym_call] = STATE(913),
    [sym_invoke] = STATE(913),
    [sym_indexed_access] = STATE(913),
    [sym_slot_accessor] = STATE(913),
    [sym_class] = STATE(913),
    [sym__expression] = STATE(913),
    [sym_return] = STATE(913),
    [sym_gather] = STATE(913),
    [sym_scatter] = STATE(913),
    [sym_allresults] = STATE(913),
    [sym_parenthesized_expression] = STATE(913),
    [sym__variable] = STATE(913),
    [sym_variable] = STATE(913),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(913),
    [sym_relational_operator] = STATE(913),
    [sym_logical_operator] = STATE(913),
    [sym_arithmetic_operator] = STATE(913),
    [sym_unary_operator] = STATE(913),
    [sym_character_literal] = STATE(913),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1397),
    [sym_false] = ACTIONS(1397),
    [sym_maybe] = ACTIONS(1397),
    [sym_unset] = ACTIONS(1397),
    [sym_super] = ACTIONS(1397),
    [sym_self] = ACTIONS(1397),
    [sym_clone] = ACTIONS(1397),
    [sym_thisthread] = ACTIONS(1397),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1397),
    [sym_global_variable] = ACTIONS(1397),
    [sym_global_reference] = ACTIONS(1397),
    [sym_number] = ACTIONS(1397),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1397),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [334] = {
    [sym_procedure] = STATE(741),
    [sym_block] = STATE(741),
    [sym_assignment] = STATE(741),
    [sym_if] = STATE(741),
    [sym_loop] = STATE(741),
    [sym_handling] = STATE(741),
    [sym_catch] = STATE(741),
    [sym_throw] = STATE(741),
    [sym_primitive] = STATE(741),
    [sym_iterator] = STATE(741),
    [sym_while] = STATE(741),
    [sym_try] = STATE(741),
    [sym_loopbody] = STATE(741),
    [sym_leave] = STATE(741),
    [sym_continue] = STATE(741),
    [sym_protect] = STATE(741),
    [sym_lock] = STATE(741),
    [sym__literal] = STATE(741),
    [sym_string_literal] = STATE(741),
    [sym_call] = STATE(741),
    [sym_invoke] = STATE(741),
    [sym_indexed_access] = STATE(741),
    [sym_slot_accessor] = STATE(741),
    [sym_class] = STATE(741),
    [sym__expression] = STATE(741),
    [sym_return] = STATE(741),
    [sym_gather] = STATE(741),
    [sym_scatter] = STATE(741),
    [sym_allresults] = STATE(741),
    [sym_parenthesized_expression] = STATE(741),
    [sym__variable] = STATE(741),
    [sym_variable] = STATE(741),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(741),
    [sym_relational_operator] = STATE(741),
    [sym_logical_operator] = STATE(741),
    [sym_arithmetic_operator] = STATE(741),
    [sym_unary_operator] = STATE(741),
    [sym_character_literal] = STATE(741),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1399),
    [sym_false] = ACTIONS(1399),
    [sym_maybe] = ACTIONS(1399),
    [sym_unset] = ACTIONS(1399),
    [sym_super] = ACTIONS(1399),
    [sym_self] = ACTIONS(1399),
    [sym_clone] = ACTIONS(1399),
    [sym_thisthread] = ACTIONS(1399),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1399),
    [sym_global_variable] = ACTIONS(1399),
    [sym_global_reference] = ACTIONS(1399),
    [sym_number] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [335] = {
    [sym_procedure] = STATE(866),
    [sym_block] = STATE(866),
    [sym_assignment] = STATE(866),
    [sym_if] = STATE(866),
    [sym_loop] = STATE(866),
    [sym_handling] = STATE(866),
    [sym_catch] = STATE(866),
    [sym_throw] = STATE(866),
    [sym_primitive] = STATE(866),
    [sym_iterator] = STATE(866),
    [sym_while] = STATE(866),
    [sym_try] = STATE(866),
    [sym_loopbody] = STATE(866),
    [sym_leave] = STATE(866),
    [sym_continue] = STATE(866),
    [sym_protect] = STATE(866),
    [sym_lock] = STATE(866),
    [sym__literal] = STATE(866),
    [sym_string_literal] = STATE(866),
    [sym_call] = STATE(866),
    [sym_invoke] = STATE(866),
    [sym_indexed_access] = STATE(866),
    [sym_slot_accessor] = STATE(866),
    [sym_class] = STATE(866),
    [sym__expression] = STATE(866),
    [sym_return] = STATE(866),
    [sym_gather] = STATE(866),
    [sym_scatter] = STATE(866),
    [sym_allresults] = STATE(866),
    [sym_parenthesized_expression] = STATE(866),
    [sym__variable] = STATE(866),
    [sym_variable] = STATE(866),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(866),
    [sym_relational_operator] = STATE(866),
    [sym_logical_operator] = STATE(866),
    [sym_arithmetic_operator] = STATE(866),
    [sym_unary_operator] = STATE(866),
    [sym_character_literal] = STATE(866),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1401),
    [sym_false] = ACTIONS(1401),
    [sym_maybe] = ACTIONS(1401),
    [sym_unset] = ACTIONS(1401),
    [sym_super] = ACTIONS(1401),
    [sym_self] = ACTIONS(1401),
    [sym_clone] = ACTIONS(1401),
    [sym_thisthread] = ACTIONS(1401),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1401),
    [sym_global_variable] = ACTIONS(1401),
    [sym_global_reference] = ACTIONS(1401),
    [sym_number] = ACTIONS(1401),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1401),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [336] = {
    [sym_procedure] = STATE(605),
    [sym_block] = STATE(605),
    [sym_assignment] = STATE(605),
    [sym_if] = STATE(605),
    [sym_loop] = STATE(605),
    [sym_handling] = STATE(605),
    [sym_catch] = STATE(605),
    [sym_throw] = STATE(605),
    [sym_primitive] = STATE(605),
    [sym_iterator] = STATE(605),
    [sym_while] = STATE(605),
    [sym_try] = STATE(605),
    [sym_loopbody] = STATE(605),
    [sym_leave] = STATE(605),
    [sym_continue] = STATE(605),
    [sym_protect] = STATE(605),
    [sym_lock] = STATE(605),
    [sym__literal] = STATE(605),
    [sym_string_literal] = STATE(605),
    [sym_call] = STATE(605),
    [sym_invoke] = STATE(605),
    [sym_indexed_access] = STATE(605),
    [sym_slot_accessor] = STATE(605),
    [sym_class] = STATE(605),
    [sym__expression] = STATE(605),
    [sym_return] = STATE(605),
    [sym_gather] = STATE(605),
    [sym_scatter] = STATE(605),
    [sym_allresults] = STATE(605),
    [sym_parenthesized_expression] = STATE(605),
    [sym__variable] = STATE(605),
    [sym_variable] = STATE(605),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(605),
    [sym_relational_operator] = STATE(605),
    [sym_logical_operator] = STATE(605),
    [sym_arithmetic_operator] = STATE(605),
    [sym_unary_operator] = STATE(605),
    [sym_character_literal] = STATE(605),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1403),
    [sym_false] = ACTIONS(1403),
    [sym_maybe] = ACTIONS(1403),
    [sym_unset] = ACTIONS(1403),
    [sym_super] = ACTIONS(1403),
    [sym_self] = ACTIONS(1403),
    [sym_clone] = ACTIONS(1403),
    [sym_thisthread] = ACTIONS(1403),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1403),
    [sym_global_variable] = ACTIONS(1403),
    [sym_global_reference] = ACTIONS(1403),
    [sym_number] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1403),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [337] = {
    [sym_procedure] = STATE(604),
    [sym_block] = STATE(604),
    [sym_assignment] = STATE(604),
    [sym_if] = STATE(604),
    [sym_loop] = STATE(604),
    [sym_handling] = STATE(604),
    [sym_catch] = STATE(604),
    [sym_throw] = STATE(604),
    [sym_primitive] = STATE(604),
    [sym_iterator] = STATE(604),
    [sym_while] = STATE(604),
    [sym_try] = STATE(604),
    [sym_loopbody] = STATE(604),
    [sym_leave] = STATE(604),
    [sym_continue] = STATE(604),
    [sym_protect] = STATE(604),
    [sym_lock] = STATE(604),
    [sym__literal] = STATE(604),
    [sym_string_literal] = STATE(604),
    [sym_call] = STATE(604),
    [sym_invoke] = STATE(604),
    [sym_indexed_access] = STATE(604),
    [sym_slot_accessor] = STATE(604),
    [sym_class] = STATE(604),
    [sym__expression] = STATE(604),
    [sym_return] = STATE(604),
    [sym_gather] = STATE(604),
    [sym_scatter] = STATE(604),
    [sym_allresults] = STATE(604),
    [sym_parenthesized_expression] = STATE(604),
    [sym__variable] = STATE(604),
    [sym_variable] = STATE(604),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(604),
    [sym_relational_operator] = STATE(604),
    [sym_logical_operator] = STATE(604),
    [sym_arithmetic_operator] = STATE(604),
    [sym_unary_operator] = STATE(604),
    [sym_character_literal] = STATE(604),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1405),
    [sym_false] = ACTIONS(1405),
    [sym_maybe] = ACTIONS(1405),
    [sym_unset] = ACTIONS(1405),
    [sym_super] = ACTIONS(1405),
    [sym_self] = ACTIONS(1405),
    [sym_clone] = ACTIONS(1405),
    [sym_thisthread] = ACTIONS(1405),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1405),
    [sym_global_variable] = ACTIONS(1405),
    [sym_global_reference] = ACTIONS(1405),
    [sym_number] = ACTIONS(1405),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1405),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [338] = {
    [sym_procedure] = STATE(821),
    [sym_block] = STATE(821),
    [sym_assignment] = STATE(821),
    [sym_if] = STATE(821),
    [sym_loop] = STATE(821),
    [sym_handling] = STATE(821),
    [sym_catch] = STATE(821),
    [sym_throw] = STATE(821),
    [sym_primitive] = STATE(821),
    [sym_iterator] = STATE(821),
    [sym_while] = STATE(821),
    [sym_try] = STATE(821),
    [sym_loopbody] = STATE(821),
    [sym_leave] = STATE(821),
    [sym_continue] = STATE(821),
    [sym_protect] = STATE(821),
    [sym_lock] = STATE(821),
    [sym__literal] = STATE(821),
    [sym_string_literal] = STATE(821),
    [sym_call] = STATE(821),
    [sym_invoke] = STATE(821),
    [sym_indexed_access] = STATE(821),
    [sym_slot_accessor] = STATE(821),
    [sym_class] = STATE(821),
    [sym__expression] = STATE(821),
    [sym_return] = STATE(821),
    [sym_gather] = STATE(821),
    [sym_scatter] = STATE(821),
    [sym_allresults] = STATE(821),
    [sym_parenthesized_expression] = STATE(821),
    [sym__variable] = STATE(821),
    [sym_variable] = STATE(821),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(821),
    [sym_relational_operator] = STATE(821),
    [sym_logical_operator] = STATE(821),
    [sym_arithmetic_operator] = STATE(821),
    [sym_unary_operator] = STATE(821),
    [sym_character_literal] = STATE(821),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1407),
    [sym_false] = ACTIONS(1407),
    [sym_maybe] = ACTIONS(1407),
    [sym_unset] = ACTIONS(1407),
    [sym_super] = ACTIONS(1407),
    [sym_self] = ACTIONS(1407),
    [sym_clone] = ACTIONS(1407),
    [sym_thisthread] = ACTIONS(1407),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1407),
    [sym_global_variable] = ACTIONS(1407),
    [sym_global_reference] = ACTIONS(1407),
    [sym_number] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [339] = {
    [sym_procedure] = STATE(874),
    [sym_block] = STATE(874),
    [sym_assignment] = STATE(874),
    [sym_if] = STATE(874),
    [sym_loop] = STATE(874),
    [sym_handling] = STATE(874),
    [sym_catch] = STATE(874),
    [sym_throw] = STATE(874),
    [sym_primitive] = STATE(874),
    [sym_iterator] = STATE(874),
    [sym_while] = STATE(874),
    [sym_try] = STATE(874),
    [sym_loopbody] = STATE(874),
    [sym_leave] = STATE(874),
    [sym_continue] = STATE(874),
    [sym_protect] = STATE(874),
    [sym_lock] = STATE(874),
    [sym__literal] = STATE(874),
    [sym_string_literal] = STATE(874),
    [sym_call] = STATE(874),
    [sym_invoke] = STATE(874),
    [sym_indexed_access] = STATE(874),
    [sym_slot_accessor] = STATE(874),
    [sym_class] = STATE(874),
    [sym__expression] = STATE(874),
    [sym_return] = STATE(874),
    [sym_gather] = STATE(874),
    [sym_scatter] = STATE(874),
    [sym_allresults] = STATE(874),
    [sym_parenthesized_expression] = STATE(874),
    [sym__variable] = STATE(874),
    [sym_variable] = STATE(874),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(874),
    [sym_relational_operator] = STATE(874),
    [sym_logical_operator] = STATE(874),
    [sym_arithmetic_operator] = STATE(874),
    [sym_unary_operator] = STATE(874),
    [sym_character_literal] = STATE(874),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1409),
    [sym_false] = ACTIONS(1409),
    [sym_maybe] = ACTIONS(1409),
    [sym_unset] = ACTIONS(1409),
    [sym_super] = ACTIONS(1409),
    [sym_self] = ACTIONS(1409),
    [sym_clone] = ACTIONS(1409),
    [sym_thisthread] = ACTIONS(1409),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1409),
    [sym_global_variable] = ACTIONS(1409),
    [sym_global_reference] = ACTIONS(1409),
    [sym_number] = ACTIONS(1409),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [340] = {
    [sym_procedure] = STATE(607),
    [sym_block] = STATE(607),
    [sym_assignment] = STATE(607),
    [sym_if] = STATE(607),
    [sym_loop] = STATE(607),
    [sym_handling] = STATE(607),
    [sym_catch] = STATE(607),
    [sym_throw] = STATE(607),
    [sym_primitive] = STATE(607),
    [sym_iterator] = STATE(607),
    [sym_while] = STATE(607),
    [sym_try] = STATE(607),
    [sym_loopbody] = STATE(607),
    [sym_leave] = STATE(607),
    [sym_continue] = STATE(607),
    [sym_protect] = STATE(607),
    [sym_lock] = STATE(607),
    [sym__literal] = STATE(607),
    [sym_string_literal] = STATE(607),
    [sym_call] = STATE(607),
    [sym_invoke] = STATE(607),
    [sym_indexed_access] = STATE(607),
    [sym_slot_accessor] = STATE(607),
    [sym_class] = STATE(607),
    [sym__expression] = STATE(607),
    [sym_return] = STATE(607),
    [sym_gather] = STATE(607),
    [sym_scatter] = STATE(607),
    [sym_allresults] = STATE(607),
    [sym_parenthesized_expression] = STATE(607),
    [sym__variable] = STATE(607),
    [sym_variable] = STATE(607),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(607),
    [sym_relational_operator] = STATE(607),
    [sym_logical_operator] = STATE(607),
    [sym_arithmetic_operator] = STATE(607),
    [sym_unary_operator] = STATE(607),
    [sym_character_literal] = STATE(607),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1411),
    [sym_false] = ACTIONS(1411),
    [sym_maybe] = ACTIONS(1411),
    [sym_unset] = ACTIONS(1411),
    [sym_super] = ACTIONS(1411),
    [sym_self] = ACTIONS(1411),
    [sym_clone] = ACTIONS(1411),
    [sym_thisthread] = ACTIONS(1411),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1411),
    [sym_global_variable] = ACTIONS(1411),
    [sym_global_reference] = ACTIONS(1411),
    [sym_number] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1411),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [341] = {
    [sym_procedure] = STATE(876),
    [sym_block] = STATE(876),
    [sym_assignment] = STATE(876),
    [sym_if] = STATE(876),
    [sym_loop] = STATE(876),
    [sym_handling] = STATE(876),
    [sym_catch] = STATE(876),
    [sym_throw] = STATE(876),
    [sym_primitive] = STATE(876),
    [sym_iterator] = STATE(876),
    [sym_while] = STATE(876),
    [sym_try] = STATE(876),
    [sym_loopbody] = STATE(876),
    [sym_leave] = STATE(876),
    [sym_continue] = STATE(876),
    [sym_protect] = STATE(876),
    [sym_lock] = STATE(876),
    [sym__literal] = STATE(876),
    [sym_string_literal] = STATE(876),
    [sym_call] = STATE(876),
    [sym_invoke] = STATE(876),
    [sym_indexed_access] = STATE(876),
    [sym_slot_accessor] = STATE(876),
    [sym_class] = STATE(876),
    [sym__expression] = STATE(876),
    [sym_return] = STATE(876),
    [sym_gather] = STATE(876),
    [sym_scatter] = STATE(876),
    [sym_allresults] = STATE(876),
    [sym_parenthesized_expression] = STATE(876),
    [sym__variable] = STATE(876),
    [sym_variable] = STATE(876),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(876),
    [sym_relational_operator] = STATE(876),
    [sym_logical_operator] = STATE(876),
    [sym_arithmetic_operator] = STATE(876),
    [sym_unary_operator] = STATE(876),
    [sym_character_literal] = STATE(876),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1413),
    [sym_false] = ACTIONS(1413),
    [sym_maybe] = ACTIONS(1413),
    [sym_unset] = ACTIONS(1413),
    [sym_super] = ACTIONS(1413),
    [sym_self] = ACTIONS(1413),
    [sym_clone] = ACTIONS(1413),
    [sym_thisthread] = ACTIONS(1413),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1413),
    [sym_global_variable] = ACTIONS(1413),
    [sym_global_reference] = ACTIONS(1413),
    [sym_number] = ACTIONS(1413),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [342] = {
    [sym_procedure] = STATE(878),
    [sym_block] = STATE(878),
    [sym_assignment] = STATE(878),
    [sym_if] = STATE(878),
    [sym_loop] = STATE(878),
    [sym_handling] = STATE(878),
    [sym_catch] = STATE(878),
    [sym_throw] = STATE(878),
    [sym_primitive] = STATE(878),
    [sym_iterator] = STATE(878),
    [sym_while] = STATE(878),
    [sym_try] = STATE(878),
    [sym_loopbody] = STATE(878),
    [sym_leave] = STATE(878),
    [sym_continue] = STATE(878),
    [sym_protect] = STATE(878),
    [sym_lock] = STATE(878),
    [sym__literal] = STATE(878),
    [sym_string_literal] = STATE(878),
    [sym_call] = STATE(878),
    [sym_invoke] = STATE(878),
    [sym_indexed_access] = STATE(878),
    [sym_slot_accessor] = STATE(878),
    [sym_class] = STATE(878),
    [sym__expression] = STATE(878),
    [sym_return] = STATE(878),
    [sym_gather] = STATE(878),
    [sym_scatter] = STATE(878),
    [sym_allresults] = STATE(878),
    [sym_parenthesized_expression] = STATE(878),
    [sym__variable] = STATE(878),
    [sym_variable] = STATE(878),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(878),
    [sym_relational_operator] = STATE(878),
    [sym_logical_operator] = STATE(878),
    [sym_arithmetic_operator] = STATE(878),
    [sym_unary_operator] = STATE(878),
    [sym_character_literal] = STATE(878),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1415),
    [sym_false] = ACTIONS(1415),
    [sym_maybe] = ACTIONS(1415),
    [sym_unset] = ACTIONS(1415),
    [sym_super] = ACTIONS(1415),
    [sym_self] = ACTIONS(1415),
    [sym_clone] = ACTIONS(1415),
    [sym_thisthread] = ACTIONS(1415),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1415),
    [sym_global_variable] = ACTIONS(1415),
    [sym_global_reference] = ACTIONS(1415),
    [sym_number] = ACTIONS(1415),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1415),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [343] = {
    [sym_procedure] = STATE(867),
    [sym_block] = STATE(867),
    [sym_assignment] = STATE(867),
    [sym_if] = STATE(867),
    [sym_loop] = STATE(867),
    [sym_handling] = STATE(867),
    [sym_catch] = STATE(867),
    [sym_throw] = STATE(867),
    [sym_primitive] = STATE(867),
    [sym_iterator] = STATE(867),
    [sym_while] = STATE(867),
    [sym_try] = STATE(867),
    [sym_loopbody] = STATE(867),
    [sym_leave] = STATE(867),
    [sym_continue] = STATE(867),
    [sym_protect] = STATE(867),
    [sym_lock] = STATE(867),
    [sym__literal] = STATE(867),
    [sym_string_literal] = STATE(867),
    [sym_call] = STATE(867),
    [sym_invoke] = STATE(867),
    [sym_indexed_access] = STATE(867),
    [sym_slot_accessor] = STATE(867),
    [sym_class] = STATE(867),
    [sym__expression] = STATE(867),
    [sym_return] = STATE(867),
    [sym_gather] = STATE(867),
    [sym_scatter] = STATE(867),
    [sym_allresults] = STATE(867),
    [sym_parenthesized_expression] = STATE(867),
    [sym__variable] = STATE(867),
    [sym_variable] = STATE(867),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(867),
    [sym_relational_operator] = STATE(867),
    [sym_logical_operator] = STATE(867),
    [sym_arithmetic_operator] = STATE(867),
    [sym_unary_operator] = STATE(867),
    [sym_character_literal] = STATE(867),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1417),
    [sym_false] = ACTIONS(1417),
    [sym_maybe] = ACTIONS(1417),
    [sym_unset] = ACTIONS(1417),
    [sym_super] = ACTIONS(1417),
    [sym_self] = ACTIONS(1417),
    [sym_clone] = ACTIONS(1417),
    [sym_thisthread] = ACTIONS(1417),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1417),
    [sym_global_variable] = ACTIONS(1417),
    [sym_global_reference] = ACTIONS(1417),
    [sym_number] = ACTIONS(1417),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1417),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [344] = {
    [sym_procedure] = STATE(537),
    [sym_block] = STATE(537),
    [sym_assignment] = STATE(537),
    [sym_if] = STATE(537),
    [sym_loop] = STATE(537),
    [sym_handling] = STATE(537),
    [sym_catch] = STATE(537),
    [sym_throw] = STATE(537),
    [sym_primitive] = STATE(537),
    [sym_iterator] = STATE(537),
    [sym_while] = STATE(537),
    [sym_try] = STATE(537),
    [sym_loopbody] = STATE(537),
    [sym_leave] = STATE(537),
    [sym_continue] = STATE(537),
    [sym_protect] = STATE(537),
    [sym_lock] = STATE(537),
    [sym__literal] = STATE(537),
    [sym_string_literal] = STATE(537),
    [sym_call] = STATE(537),
    [sym_invoke] = STATE(537),
    [sym_indexed_access] = STATE(537),
    [sym_slot_accessor] = STATE(537),
    [sym_class] = STATE(537),
    [sym__expression] = STATE(537),
    [sym_return] = STATE(537),
    [sym_gather] = STATE(537),
    [sym_scatter] = STATE(537),
    [sym_allresults] = STATE(537),
    [sym_parenthesized_expression] = STATE(537),
    [sym__variable] = STATE(537),
    [sym_variable] = STATE(537),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(537),
    [sym_relational_operator] = STATE(537),
    [sym_logical_operator] = STATE(537),
    [sym_arithmetic_operator] = STATE(537),
    [sym_unary_operator] = STATE(537),
    [sym_character_literal] = STATE(537),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1269),
    [sym_false] = ACTIONS(1269),
    [sym_maybe] = ACTIONS(1269),
    [sym_unset] = ACTIONS(1269),
    [sym_super] = ACTIONS(1269),
    [sym_self] = ACTIONS(1269),
    [sym_clone] = ACTIONS(1269),
    [sym_thisthread] = ACTIONS(1269),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1269),
    [sym_global_variable] = ACTIONS(1269),
    [sym_global_reference] = ACTIONS(1269),
    [sym_number] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [345] = {
    [sym_procedure] = STATE(612),
    [sym_block] = STATE(612),
    [sym_assignment] = STATE(612),
    [sym_if] = STATE(612),
    [sym_loop] = STATE(612),
    [sym_handling] = STATE(612),
    [sym_catch] = STATE(612),
    [sym_throw] = STATE(612),
    [sym_primitive] = STATE(612),
    [sym_iterator] = STATE(612),
    [sym_while] = STATE(612),
    [sym_try] = STATE(612),
    [sym_loopbody] = STATE(612),
    [sym_leave] = STATE(612),
    [sym_continue] = STATE(612),
    [sym_protect] = STATE(612),
    [sym_lock] = STATE(612),
    [sym__literal] = STATE(612),
    [sym_string_literal] = STATE(612),
    [sym_call] = STATE(612),
    [sym_invoke] = STATE(612),
    [sym_indexed_access] = STATE(612),
    [sym_slot_accessor] = STATE(612),
    [sym_class] = STATE(612),
    [sym__expression] = STATE(612),
    [sym_return] = STATE(612),
    [sym_gather] = STATE(612),
    [sym_scatter] = STATE(612),
    [sym_allresults] = STATE(612),
    [sym_parenthesized_expression] = STATE(612),
    [sym__variable] = STATE(612),
    [sym_variable] = STATE(612),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(612),
    [sym_relational_operator] = STATE(612),
    [sym_logical_operator] = STATE(612),
    [sym_arithmetic_operator] = STATE(612),
    [sym_unary_operator] = STATE(612),
    [sym_character_literal] = STATE(612),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1419),
    [sym_false] = ACTIONS(1419),
    [sym_maybe] = ACTIONS(1419),
    [sym_unset] = ACTIONS(1419),
    [sym_super] = ACTIONS(1419),
    [sym_self] = ACTIONS(1419),
    [sym_clone] = ACTIONS(1419),
    [sym_thisthread] = ACTIONS(1419),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1419),
    [sym_global_variable] = ACTIONS(1419),
    [sym_global_reference] = ACTIONS(1419),
    [sym_number] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1419),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [346] = {
    [sym_procedure] = STATE(627),
    [sym_block] = STATE(627),
    [sym_assignment] = STATE(627),
    [sym_if] = STATE(627),
    [sym_loop] = STATE(627),
    [sym_handling] = STATE(627),
    [sym_catch] = STATE(627),
    [sym_throw] = STATE(627),
    [sym_primitive] = STATE(627),
    [sym_iterator] = STATE(627),
    [sym_while] = STATE(627),
    [sym_try] = STATE(627),
    [sym_loopbody] = STATE(627),
    [sym_leave] = STATE(627),
    [sym_continue] = STATE(627),
    [sym_protect] = STATE(627),
    [sym_lock] = STATE(627),
    [sym__literal] = STATE(627),
    [sym_string_literal] = STATE(627),
    [sym_call] = STATE(627),
    [sym_invoke] = STATE(627),
    [sym_indexed_access] = STATE(627),
    [sym_slot_accessor] = STATE(627),
    [sym_class] = STATE(627),
    [sym__expression] = STATE(627),
    [sym_return] = STATE(627),
    [sym_gather] = STATE(627),
    [sym_scatter] = STATE(627),
    [sym_allresults] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym__variable] = STATE(627),
    [sym_variable] = STATE(627),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(627),
    [sym_relational_operator] = STATE(627),
    [sym_logical_operator] = STATE(627),
    [sym_arithmetic_operator] = STATE(627),
    [sym_unary_operator] = STATE(627),
    [sym_character_literal] = STATE(627),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1421),
    [sym_false] = ACTIONS(1421),
    [sym_maybe] = ACTIONS(1421),
    [sym_unset] = ACTIONS(1421),
    [sym_super] = ACTIONS(1421),
    [sym_self] = ACTIONS(1421),
    [sym_clone] = ACTIONS(1421),
    [sym_thisthread] = ACTIONS(1421),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1421),
    [sym_global_variable] = ACTIONS(1421),
    [sym_global_reference] = ACTIONS(1421),
    [sym_number] = ACTIONS(1421),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [347] = {
    [sym_procedure] = STATE(609),
    [sym_block] = STATE(609),
    [sym_assignment] = STATE(609),
    [sym_if] = STATE(609),
    [sym_loop] = STATE(609),
    [sym_handling] = STATE(609),
    [sym_catch] = STATE(609),
    [sym_throw] = STATE(609),
    [sym_primitive] = STATE(609),
    [sym_iterator] = STATE(609),
    [sym_while] = STATE(609),
    [sym_try] = STATE(609),
    [sym_loopbody] = STATE(609),
    [sym_leave] = STATE(609),
    [sym_continue] = STATE(609),
    [sym_protect] = STATE(609),
    [sym_lock] = STATE(609),
    [sym__literal] = STATE(609),
    [sym_string_literal] = STATE(609),
    [sym_call] = STATE(609),
    [sym_invoke] = STATE(609),
    [sym_indexed_access] = STATE(609),
    [sym_slot_accessor] = STATE(609),
    [sym_class] = STATE(609),
    [sym__expression] = STATE(609),
    [sym_return] = STATE(609),
    [sym_gather] = STATE(609),
    [sym_scatter] = STATE(609),
    [sym_allresults] = STATE(609),
    [sym_parenthesized_expression] = STATE(609),
    [sym__variable] = STATE(609),
    [sym_variable] = STATE(609),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(609),
    [sym_relational_operator] = STATE(609),
    [sym_logical_operator] = STATE(609),
    [sym_arithmetic_operator] = STATE(609),
    [sym_unary_operator] = STATE(609),
    [sym_character_literal] = STATE(609),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [sym_maybe] = ACTIONS(1423),
    [sym_unset] = ACTIONS(1423),
    [sym_super] = ACTIONS(1423),
    [sym_self] = ACTIONS(1423),
    [sym_clone] = ACTIONS(1423),
    [sym_thisthread] = ACTIONS(1423),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1423),
    [sym_global_variable] = ACTIONS(1423),
    [sym_global_reference] = ACTIONS(1423),
    [sym_number] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1423),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [348] = {
    [sym_procedure] = STATE(620),
    [sym_block] = STATE(620),
    [sym_assignment] = STATE(620),
    [sym_if] = STATE(620),
    [sym_loop] = STATE(620),
    [sym_handling] = STATE(620),
    [sym_catch] = STATE(620),
    [sym_throw] = STATE(620),
    [sym_primitive] = STATE(620),
    [sym_iterator] = STATE(620),
    [sym_while] = STATE(620),
    [sym_try] = STATE(620),
    [sym_loopbody] = STATE(620),
    [sym_leave] = STATE(620),
    [sym_continue] = STATE(620),
    [sym_protect] = STATE(620),
    [sym_lock] = STATE(620),
    [sym__literal] = STATE(620),
    [sym_string_literal] = STATE(620),
    [sym_call] = STATE(620),
    [sym_invoke] = STATE(620),
    [sym_indexed_access] = STATE(620),
    [sym_slot_accessor] = STATE(620),
    [sym_class] = STATE(620),
    [sym__expression] = STATE(620),
    [sym_return] = STATE(620),
    [sym_gather] = STATE(620),
    [sym_scatter] = STATE(620),
    [sym_allresults] = STATE(620),
    [sym_parenthesized_expression] = STATE(620),
    [sym__variable] = STATE(620),
    [sym_variable] = STATE(620),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(620),
    [sym_relational_operator] = STATE(620),
    [sym_logical_operator] = STATE(620),
    [sym_arithmetic_operator] = STATE(620),
    [sym_unary_operator] = STATE(620),
    [sym_character_literal] = STATE(620),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1425),
    [sym_false] = ACTIONS(1425),
    [sym_maybe] = ACTIONS(1425),
    [sym_unset] = ACTIONS(1425),
    [sym_super] = ACTIONS(1425),
    [sym_self] = ACTIONS(1425),
    [sym_clone] = ACTIONS(1425),
    [sym_thisthread] = ACTIONS(1425),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1425),
    [sym_global_variable] = ACTIONS(1425),
    [sym_global_reference] = ACTIONS(1425),
    [sym_number] = ACTIONS(1425),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1425),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [349] = {
    [sym_procedure] = STATE(964),
    [sym_block] = STATE(964),
    [sym_assignment] = STATE(964),
    [sym_if] = STATE(964),
    [sym_loop] = STATE(964),
    [sym_handling] = STATE(964),
    [sym_catch] = STATE(964),
    [sym_throw] = STATE(964),
    [sym_primitive] = STATE(964),
    [sym_iterator] = STATE(964),
    [sym_while] = STATE(964),
    [sym_try] = STATE(964),
    [sym_loopbody] = STATE(964),
    [sym_leave] = STATE(964),
    [sym_continue] = STATE(964),
    [sym_protect] = STATE(964),
    [sym_lock] = STATE(964),
    [sym__literal] = STATE(964),
    [sym_string_literal] = STATE(964),
    [sym_call] = STATE(937),
    [sym_invoke] = STATE(937),
    [sym_indexed_access] = STATE(964),
    [sym_slot_accessor] = STATE(964),
    [sym_class] = STATE(964),
    [sym__expression] = STATE(964),
    [sym_return] = STATE(964),
    [sym_gather] = STATE(964),
    [sym_scatter] = STATE(964),
    [sym_allresults] = STATE(964),
    [sym_parenthesized_expression] = STATE(964),
    [sym__variable] = STATE(964),
    [sym_variable] = STATE(964),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(964),
    [sym_relational_operator] = STATE(964),
    [sym_logical_operator] = STATE(964),
    [sym_arithmetic_operator] = STATE(964),
    [sym_unary_operator] = STATE(964),
    [sym_character_literal] = STATE(964),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1083),
    [sym_false] = ACTIONS(1083),
    [sym_maybe] = ACTIONS(1083),
    [sym_unset] = ACTIONS(1083),
    [sym_super] = ACTIONS(1083),
    [sym_self] = ACTIONS(1083),
    [sym_clone] = ACTIONS(1083),
    [sym_thisthread] = ACTIONS(1083),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1083),
    [sym_global_variable] = ACTIONS(1083),
    [sym_global_reference] = ACTIONS(1083),
    [sym_number] = ACTIONS(1083),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1083),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [350] = {
    [sym_procedure] = STATE(582),
    [sym_block] = STATE(582),
    [sym_assignment] = STATE(582),
    [sym_if] = STATE(582),
    [sym_loop] = STATE(582),
    [sym_handling] = STATE(582),
    [sym_catch] = STATE(582),
    [sym_throw] = STATE(582),
    [sym_primitive] = STATE(582),
    [sym_iterator] = STATE(582),
    [sym_while] = STATE(582),
    [sym_try] = STATE(582),
    [sym_loopbody] = STATE(582),
    [sym_leave] = STATE(582),
    [sym_continue] = STATE(582),
    [sym_protect] = STATE(582),
    [sym_lock] = STATE(582),
    [sym__literal] = STATE(582),
    [sym_string_literal] = STATE(582),
    [sym_call] = STATE(582),
    [sym_invoke] = STATE(582),
    [sym_indexed_access] = STATE(582),
    [sym_slot_accessor] = STATE(582),
    [sym_class] = STATE(582),
    [sym__expression] = STATE(582),
    [sym_return] = STATE(582),
    [sym_gather] = STATE(582),
    [sym_scatter] = STATE(582),
    [sym_allresults] = STATE(582),
    [sym_parenthesized_expression] = STATE(582),
    [sym__variable] = STATE(582),
    [sym_variable] = STATE(582),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(582),
    [sym_relational_operator] = STATE(582),
    [sym_logical_operator] = STATE(582),
    [sym_arithmetic_operator] = STATE(582),
    [sym_unary_operator] = STATE(582),
    [sym_character_literal] = STATE(582),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1427),
    [sym_false] = ACTIONS(1427),
    [sym_maybe] = ACTIONS(1427),
    [sym_unset] = ACTIONS(1427),
    [sym_super] = ACTIONS(1427),
    [sym_self] = ACTIONS(1427),
    [sym_clone] = ACTIONS(1427),
    [sym_thisthread] = ACTIONS(1427),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1427),
    [sym_global_variable] = ACTIONS(1427),
    [sym_global_reference] = ACTIONS(1427),
    [sym_number] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1427),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [351] = {
    [sym_procedure] = STATE(851),
    [sym_block] = STATE(851),
    [sym_assignment] = STATE(851),
    [sym_if] = STATE(851),
    [sym_loop] = STATE(851),
    [sym_handling] = STATE(851),
    [sym_catch] = STATE(851),
    [sym_throw] = STATE(851),
    [sym_primitive] = STATE(851),
    [sym_iterator] = STATE(851),
    [sym_while] = STATE(851),
    [sym_try] = STATE(851),
    [sym_loopbody] = STATE(851),
    [sym_leave] = STATE(851),
    [sym_continue] = STATE(851),
    [sym_protect] = STATE(851),
    [sym_lock] = STATE(851),
    [sym__literal] = STATE(851),
    [sym_string_literal] = STATE(851),
    [sym_call] = STATE(851),
    [sym_invoke] = STATE(851),
    [sym_indexed_access] = STATE(851),
    [sym_slot_accessor] = STATE(851),
    [sym_class] = STATE(851),
    [sym__expression] = STATE(851),
    [sym_return] = STATE(851),
    [sym_gather] = STATE(851),
    [sym_scatter] = STATE(851),
    [sym_allresults] = STATE(851),
    [sym_parenthesized_expression] = STATE(851),
    [sym__variable] = STATE(851),
    [sym_variable] = STATE(851),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(851),
    [sym_relational_operator] = STATE(851),
    [sym_logical_operator] = STATE(851),
    [sym_arithmetic_operator] = STATE(851),
    [sym_unary_operator] = STATE(851),
    [sym_character_literal] = STATE(851),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1429),
    [sym_false] = ACTIONS(1429),
    [sym_maybe] = ACTIONS(1429),
    [sym_unset] = ACTIONS(1429),
    [sym_super] = ACTIONS(1429),
    [sym_self] = ACTIONS(1429),
    [sym_clone] = ACTIONS(1429),
    [sym_thisthread] = ACTIONS(1429),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1429),
    [sym_global_variable] = ACTIONS(1429),
    [sym_global_reference] = ACTIONS(1429),
    [sym_number] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1429),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [352] = {
    [sym_procedure] = STATE(675),
    [sym_block] = STATE(675),
    [sym_assignment] = STATE(675),
    [sym_if] = STATE(675),
    [sym_loop] = STATE(675),
    [sym_handling] = STATE(675),
    [sym_catch] = STATE(675),
    [sym_throw] = STATE(675),
    [sym_primitive] = STATE(675),
    [sym_iterator] = STATE(675),
    [sym_while] = STATE(675),
    [sym_try] = STATE(675),
    [sym_loopbody] = STATE(675),
    [sym_leave] = STATE(675),
    [sym_continue] = STATE(675),
    [sym_protect] = STATE(675),
    [sym_lock] = STATE(675),
    [sym__literal] = STATE(675),
    [sym_string_literal] = STATE(675),
    [sym_call] = STATE(675),
    [sym_invoke] = STATE(675),
    [sym_indexed_access] = STATE(675),
    [sym_slot_accessor] = STATE(675),
    [sym_class] = STATE(675),
    [sym__expression] = STATE(675),
    [sym_return] = STATE(675),
    [sym_gather] = STATE(675),
    [sym_scatter] = STATE(675),
    [sym_allresults] = STATE(675),
    [sym_parenthesized_expression] = STATE(675),
    [sym__variable] = STATE(675),
    [sym_variable] = STATE(675),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(675),
    [sym_relational_operator] = STATE(675),
    [sym_logical_operator] = STATE(675),
    [sym_arithmetic_operator] = STATE(675),
    [sym_unary_operator] = STATE(675),
    [sym_character_literal] = STATE(675),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1385),
    [sym_false] = ACTIONS(1385),
    [sym_maybe] = ACTIONS(1385),
    [sym_unset] = ACTIONS(1385),
    [sym_super] = ACTIONS(1385),
    [sym_self] = ACTIONS(1385),
    [sym_clone] = ACTIONS(1385),
    [sym_thisthread] = ACTIONS(1385),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1385),
    [sym_global_variable] = ACTIONS(1385),
    [sym_global_reference] = ACTIONS(1385),
    [sym_number] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1385),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [353] = {
    [sym_procedure] = STATE(706),
    [sym_block] = STATE(706),
    [sym_assignment] = STATE(706),
    [sym_if] = STATE(706),
    [sym_loop] = STATE(706),
    [sym_handling] = STATE(706),
    [sym_catch] = STATE(706),
    [sym_throw] = STATE(706),
    [sym_primitive] = STATE(706),
    [sym_iterator] = STATE(706),
    [sym_while] = STATE(706),
    [sym_try] = STATE(706),
    [sym_loopbody] = STATE(706),
    [sym_leave] = STATE(706),
    [sym_continue] = STATE(706),
    [sym_protect] = STATE(706),
    [sym_lock] = STATE(706),
    [sym__literal] = STATE(706),
    [sym_string_literal] = STATE(706),
    [sym_call] = STATE(706),
    [sym_invoke] = STATE(706),
    [sym_indexed_access] = STATE(706),
    [sym_slot_accessor] = STATE(706),
    [sym_class] = STATE(706),
    [sym__expression] = STATE(706),
    [sym_return] = STATE(706),
    [sym_gather] = STATE(706),
    [sym_scatter] = STATE(706),
    [sym_allresults] = STATE(706),
    [sym_parenthesized_expression] = STATE(706),
    [sym__variable] = STATE(706),
    [sym_variable] = STATE(706),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(706),
    [sym_relational_operator] = STATE(706),
    [sym_logical_operator] = STATE(706),
    [sym_arithmetic_operator] = STATE(706),
    [sym_unary_operator] = STATE(706),
    [sym_character_literal] = STATE(706),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1431),
    [sym_false] = ACTIONS(1431),
    [sym_maybe] = ACTIONS(1431),
    [sym_unset] = ACTIONS(1431),
    [sym_super] = ACTIONS(1431),
    [sym_self] = ACTIONS(1431),
    [sym_clone] = ACTIONS(1431),
    [sym_thisthread] = ACTIONS(1431),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1431),
    [sym_global_variable] = ACTIONS(1431),
    [sym_global_reference] = ACTIONS(1431),
    [sym_number] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [354] = {
    [sym_procedure] = STATE(584),
    [sym_block] = STATE(584),
    [sym_assignment] = STATE(584),
    [sym_if] = STATE(584),
    [sym_loop] = STATE(584),
    [sym_handling] = STATE(584),
    [sym_catch] = STATE(584),
    [sym_throw] = STATE(584),
    [sym_primitive] = STATE(584),
    [sym_iterator] = STATE(584),
    [sym_while] = STATE(584),
    [sym_try] = STATE(584),
    [sym_loopbody] = STATE(584),
    [sym_leave] = STATE(584),
    [sym_continue] = STATE(584),
    [sym_protect] = STATE(584),
    [sym_lock] = STATE(584),
    [sym__literal] = STATE(584),
    [sym_string_literal] = STATE(584),
    [sym_call] = STATE(584),
    [sym_invoke] = STATE(584),
    [sym_indexed_access] = STATE(584),
    [sym_slot_accessor] = STATE(584),
    [sym_class] = STATE(584),
    [sym__expression] = STATE(584),
    [sym_return] = STATE(584),
    [sym_gather] = STATE(584),
    [sym_scatter] = STATE(584),
    [sym_allresults] = STATE(584),
    [sym_parenthesized_expression] = STATE(584),
    [sym__variable] = STATE(584),
    [sym_variable] = STATE(584),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(584),
    [sym_relational_operator] = STATE(584),
    [sym_logical_operator] = STATE(584),
    [sym_arithmetic_operator] = STATE(584),
    [sym_unary_operator] = STATE(584),
    [sym_character_literal] = STATE(584),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1433),
    [sym_false] = ACTIONS(1433),
    [sym_maybe] = ACTIONS(1433),
    [sym_unset] = ACTIONS(1433),
    [sym_super] = ACTIONS(1433),
    [sym_self] = ACTIONS(1433),
    [sym_clone] = ACTIONS(1433),
    [sym_thisthread] = ACTIONS(1433),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1433),
    [sym_global_variable] = ACTIONS(1433),
    [sym_global_reference] = ACTIONS(1433),
    [sym_number] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1433),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [355] = {
    [sym_procedure] = STATE(703),
    [sym_block] = STATE(703),
    [sym_assignment] = STATE(703),
    [sym_if] = STATE(703),
    [sym_loop] = STATE(703),
    [sym_handling] = STATE(703),
    [sym_catch] = STATE(703),
    [sym_throw] = STATE(703),
    [sym_primitive] = STATE(703),
    [sym_iterator] = STATE(703),
    [sym_while] = STATE(703),
    [sym_try] = STATE(703),
    [sym_loopbody] = STATE(703),
    [sym_leave] = STATE(703),
    [sym_continue] = STATE(703),
    [sym_protect] = STATE(703),
    [sym_lock] = STATE(703),
    [sym__literal] = STATE(703),
    [sym_string_literal] = STATE(703),
    [sym_call] = STATE(703),
    [sym_invoke] = STATE(703),
    [sym_indexed_access] = STATE(703),
    [sym_slot_accessor] = STATE(703),
    [sym_class] = STATE(703),
    [sym__expression] = STATE(703),
    [sym_return] = STATE(703),
    [sym_gather] = STATE(703),
    [sym_scatter] = STATE(703),
    [sym_allresults] = STATE(703),
    [sym_parenthesized_expression] = STATE(703),
    [sym__variable] = STATE(703),
    [sym_variable] = STATE(703),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(703),
    [sym_relational_operator] = STATE(703),
    [sym_logical_operator] = STATE(703),
    [sym_arithmetic_operator] = STATE(703),
    [sym_unary_operator] = STATE(703),
    [sym_character_literal] = STATE(703),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1435),
    [sym_false] = ACTIONS(1435),
    [sym_maybe] = ACTIONS(1435),
    [sym_unset] = ACTIONS(1435),
    [sym_super] = ACTIONS(1435),
    [sym_self] = ACTIONS(1435),
    [sym_clone] = ACTIONS(1435),
    [sym_thisthread] = ACTIONS(1435),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1435),
    [sym_global_variable] = ACTIONS(1435),
    [sym_global_reference] = ACTIONS(1435),
    [sym_number] = ACTIONS(1435),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1435),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [356] = {
    [sym_procedure] = STATE(580),
    [sym_block] = STATE(580),
    [sym_assignment] = STATE(580),
    [sym_if] = STATE(580),
    [sym_loop] = STATE(580),
    [sym_handling] = STATE(580),
    [sym_catch] = STATE(580),
    [sym_throw] = STATE(580),
    [sym_primitive] = STATE(580),
    [sym_iterator] = STATE(580),
    [sym_while] = STATE(580),
    [sym_try] = STATE(580),
    [sym_loopbody] = STATE(580),
    [sym_leave] = STATE(580),
    [sym_continue] = STATE(580),
    [sym_protect] = STATE(580),
    [sym_lock] = STATE(580),
    [sym__literal] = STATE(580),
    [sym_string_literal] = STATE(580),
    [sym_call] = STATE(580),
    [sym_invoke] = STATE(580),
    [sym_indexed_access] = STATE(580),
    [sym_slot_accessor] = STATE(580),
    [sym_class] = STATE(580),
    [sym__expression] = STATE(580),
    [sym_return] = STATE(580),
    [sym_gather] = STATE(580),
    [sym_scatter] = STATE(580),
    [sym_allresults] = STATE(580),
    [sym_parenthesized_expression] = STATE(580),
    [sym__variable] = STATE(580),
    [sym_variable] = STATE(580),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(580),
    [sym_relational_operator] = STATE(580),
    [sym_logical_operator] = STATE(580),
    [sym_arithmetic_operator] = STATE(580),
    [sym_unary_operator] = STATE(580),
    [sym_character_literal] = STATE(580),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1295),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1437),
    [sym_false] = ACTIONS(1437),
    [sym_maybe] = ACTIONS(1437),
    [sym_unset] = ACTIONS(1437),
    [sym_super] = ACTIONS(1437),
    [sym_self] = ACTIONS(1437),
    [sym_clone] = ACTIONS(1437),
    [sym_thisthread] = ACTIONS(1437),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1437),
    [sym_global_variable] = ACTIONS(1437),
    [sym_global_reference] = ACTIONS(1437),
    [sym_number] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1437),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [357] = {
    [sym_procedure] = STATE(701),
    [sym_block] = STATE(701),
    [sym_assignment] = STATE(701),
    [sym_if] = STATE(701),
    [sym_loop] = STATE(701),
    [sym_handling] = STATE(701),
    [sym_catch] = STATE(701),
    [sym_throw] = STATE(701),
    [sym_primitive] = STATE(701),
    [sym_iterator] = STATE(701),
    [sym_while] = STATE(701),
    [sym_try] = STATE(701),
    [sym_loopbody] = STATE(701),
    [sym_leave] = STATE(701),
    [sym_continue] = STATE(701),
    [sym_protect] = STATE(701),
    [sym_lock] = STATE(701),
    [sym__literal] = STATE(701),
    [sym_string_literal] = STATE(701),
    [sym_call] = STATE(701),
    [sym_invoke] = STATE(701),
    [sym_indexed_access] = STATE(701),
    [sym_slot_accessor] = STATE(701),
    [sym_class] = STATE(701),
    [sym__expression] = STATE(701),
    [sym_return] = STATE(701),
    [sym_gather] = STATE(701),
    [sym_scatter] = STATE(701),
    [sym_allresults] = STATE(701),
    [sym_parenthesized_expression] = STATE(701),
    [sym__variable] = STATE(701),
    [sym_variable] = STATE(701),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(701),
    [sym_relational_operator] = STATE(701),
    [sym_logical_operator] = STATE(701),
    [sym_arithmetic_operator] = STATE(701),
    [sym_unary_operator] = STATE(701),
    [sym_character_literal] = STATE(701),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1439),
    [sym_false] = ACTIONS(1439),
    [sym_maybe] = ACTIONS(1439),
    [sym_unset] = ACTIONS(1439),
    [sym_super] = ACTIONS(1439),
    [sym_self] = ACTIONS(1439),
    [sym_clone] = ACTIONS(1439),
    [sym_thisthread] = ACTIONS(1439),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1439),
    [sym_global_variable] = ACTIONS(1439),
    [sym_global_reference] = ACTIONS(1439),
    [sym_number] = ACTIONS(1439),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1439),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [358] = {
    [sym_procedure] = STATE(720),
    [sym_block] = STATE(720),
    [sym_assignment] = STATE(720),
    [sym_if] = STATE(720),
    [sym_loop] = STATE(720),
    [sym_handling] = STATE(720),
    [sym_catch] = STATE(720),
    [sym_throw] = STATE(720),
    [sym_primitive] = STATE(720),
    [sym_iterator] = STATE(720),
    [sym_while] = STATE(720),
    [sym_try] = STATE(720),
    [sym_loopbody] = STATE(720),
    [sym_leave] = STATE(720),
    [sym_continue] = STATE(720),
    [sym_protect] = STATE(720),
    [sym_lock] = STATE(720),
    [sym__literal] = STATE(720),
    [sym_string_literal] = STATE(720),
    [sym_call] = STATE(720),
    [sym_invoke] = STATE(720),
    [sym_indexed_access] = STATE(720),
    [sym_slot_accessor] = STATE(720),
    [sym_class] = STATE(720),
    [sym__expression] = STATE(720),
    [sym_return] = STATE(720),
    [sym_gather] = STATE(720),
    [sym_scatter] = STATE(720),
    [sym_allresults] = STATE(720),
    [sym_parenthesized_expression] = STATE(720),
    [sym__variable] = STATE(720),
    [sym_variable] = STATE(720),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(720),
    [sym_relational_operator] = STATE(720),
    [sym_logical_operator] = STATE(720),
    [sym_arithmetic_operator] = STATE(720),
    [sym_unary_operator] = STATE(720),
    [sym_character_literal] = STATE(720),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1441),
    [sym_false] = ACTIONS(1441),
    [sym_maybe] = ACTIONS(1441),
    [sym_unset] = ACTIONS(1441),
    [sym_super] = ACTIONS(1441),
    [sym_self] = ACTIONS(1441),
    [sym_clone] = ACTIONS(1441),
    [sym_thisthread] = ACTIONS(1441),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1441),
    [sym_global_variable] = ACTIONS(1441),
    [sym_global_reference] = ACTIONS(1441),
    [sym_number] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1441),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [359] = {
    [sym_procedure] = STATE(727),
    [sym_block] = STATE(727),
    [sym_assignment] = STATE(727),
    [sym_if] = STATE(727),
    [sym_loop] = STATE(727),
    [sym_handling] = STATE(727),
    [sym_catch] = STATE(727),
    [sym_throw] = STATE(727),
    [sym_primitive] = STATE(727),
    [sym_iterator] = STATE(727),
    [sym_while] = STATE(727),
    [sym_try] = STATE(727),
    [sym_loopbody] = STATE(727),
    [sym_leave] = STATE(727),
    [sym_continue] = STATE(727),
    [sym_protect] = STATE(727),
    [sym_lock] = STATE(727),
    [sym__literal] = STATE(727),
    [sym_string_literal] = STATE(727),
    [sym_call] = STATE(727),
    [sym_invoke] = STATE(727),
    [sym_indexed_access] = STATE(727),
    [sym_slot_accessor] = STATE(727),
    [sym_class] = STATE(727),
    [sym__expression] = STATE(727),
    [sym_return] = STATE(727),
    [sym_gather] = STATE(727),
    [sym_scatter] = STATE(727),
    [sym_allresults] = STATE(727),
    [sym_parenthesized_expression] = STATE(727),
    [sym__variable] = STATE(727),
    [sym_variable] = STATE(727),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(727),
    [sym_relational_operator] = STATE(727),
    [sym_logical_operator] = STATE(727),
    [sym_arithmetic_operator] = STATE(727),
    [sym_unary_operator] = STATE(727),
    [sym_character_literal] = STATE(727),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1443),
    [sym_false] = ACTIONS(1443),
    [sym_maybe] = ACTIONS(1443),
    [sym_unset] = ACTIONS(1443),
    [sym_super] = ACTIONS(1443),
    [sym_self] = ACTIONS(1443),
    [sym_clone] = ACTIONS(1443),
    [sym_thisthread] = ACTIONS(1443),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1443),
    [sym_global_variable] = ACTIONS(1443),
    [sym_global_reference] = ACTIONS(1443),
    [sym_number] = ACTIONS(1443),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1443),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [360] = {
    [sym_procedure] = STATE(812),
    [sym_block] = STATE(812),
    [sym_assignment] = STATE(812),
    [sym_if] = STATE(812),
    [sym_loop] = STATE(812),
    [sym_handling] = STATE(812),
    [sym_catch] = STATE(812),
    [sym_throw] = STATE(812),
    [sym_primitive] = STATE(812),
    [sym_iterator] = STATE(812),
    [sym_while] = STATE(812),
    [sym_try] = STATE(812),
    [sym_loopbody] = STATE(812),
    [sym_leave] = STATE(812),
    [sym_continue] = STATE(812),
    [sym_protect] = STATE(812),
    [sym_lock] = STATE(812),
    [sym__literal] = STATE(812),
    [sym_string_literal] = STATE(812),
    [sym_call] = STATE(812),
    [sym_invoke] = STATE(812),
    [sym_indexed_access] = STATE(812),
    [sym_slot_accessor] = STATE(812),
    [sym_class] = STATE(812),
    [sym__expression] = STATE(812),
    [sym_return] = STATE(812),
    [sym_gather] = STATE(812),
    [sym_scatter] = STATE(812),
    [sym_allresults] = STATE(812),
    [sym_parenthesized_expression] = STATE(812),
    [sym__variable] = STATE(812),
    [sym_variable] = STATE(812),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(812),
    [sym_relational_operator] = STATE(812),
    [sym_logical_operator] = STATE(812),
    [sym_arithmetic_operator] = STATE(812),
    [sym_unary_operator] = STATE(812),
    [sym_character_literal] = STATE(812),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1445),
    [sym_false] = ACTIONS(1445),
    [sym_maybe] = ACTIONS(1445),
    [sym_unset] = ACTIONS(1445),
    [sym_super] = ACTIONS(1445),
    [sym_self] = ACTIONS(1445),
    [sym_clone] = ACTIONS(1445),
    [sym_thisthread] = ACTIONS(1445),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1445),
    [sym_global_variable] = ACTIONS(1445),
    [sym_global_reference] = ACTIONS(1445),
    [sym_number] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1445),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [361] = {
    [sym_procedure] = STATE(815),
    [sym_block] = STATE(815),
    [sym_assignment] = STATE(815),
    [sym_if] = STATE(815),
    [sym_loop] = STATE(815),
    [sym_handling] = STATE(815),
    [sym_catch] = STATE(815),
    [sym_throw] = STATE(815),
    [sym_primitive] = STATE(815),
    [sym_iterator] = STATE(815),
    [sym_while] = STATE(815),
    [sym_try] = STATE(815),
    [sym_loopbody] = STATE(815),
    [sym_leave] = STATE(815),
    [sym_continue] = STATE(815),
    [sym_protect] = STATE(815),
    [sym_lock] = STATE(815),
    [sym__literal] = STATE(815),
    [sym_string_literal] = STATE(815),
    [sym_call] = STATE(815),
    [sym_invoke] = STATE(815),
    [sym_indexed_access] = STATE(815),
    [sym_slot_accessor] = STATE(815),
    [sym_class] = STATE(815),
    [sym__expression] = STATE(815),
    [sym_return] = STATE(815),
    [sym_gather] = STATE(815),
    [sym_scatter] = STATE(815),
    [sym_allresults] = STATE(815),
    [sym_parenthesized_expression] = STATE(815),
    [sym__variable] = STATE(815),
    [sym_variable] = STATE(815),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(815),
    [sym_relational_operator] = STATE(815),
    [sym_logical_operator] = STATE(815),
    [sym_arithmetic_operator] = STATE(815),
    [sym_unary_operator] = STATE(815),
    [sym_character_literal] = STATE(815),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1447),
    [sym_false] = ACTIONS(1447),
    [sym_maybe] = ACTIONS(1447),
    [sym_unset] = ACTIONS(1447),
    [sym_super] = ACTIONS(1447),
    [sym_self] = ACTIONS(1447),
    [sym_clone] = ACTIONS(1447),
    [sym_thisthread] = ACTIONS(1447),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1447),
    [sym_global_variable] = ACTIONS(1447),
    [sym_global_reference] = ACTIONS(1447),
    [sym_number] = ACTIONS(1447),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1447),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [362] = {
    [sym_procedure] = STATE(919),
    [sym_block] = STATE(919),
    [sym_assignment] = STATE(919),
    [sym_if] = STATE(919),
    [sym_loop] = STATE(919),
    [sym_handling] = STATE(919),
    [sym_catch] = STATE(919),
    [sym_throw] = STATE(919),
    [sym_primitive] = STATE(919),
    [sym_iterator] = STATE(919),
    [sym_while] = STATE(919),
    [sym_try] = STATE(919),
    [sym_loopbody] = STATE(919),
    [sym_leave] = STATE(919),
    [sym_continue] = STATE(919),
    [sym_protect] = STATE(919),
    [sym_lock] = STATE(919),
    [sym__literal] = STATE(919),
    [sym_string_literal] = STATE(919),
    [sym_call] = STATE(919),
    [sym_invoke] = STATE(919),
    [sym_indexed_access] = STATE(919),
    [sym_slot_accessor] = STATE(919),
    [sym_class] = STATE(919),
    [sym__expression] = STATE(919),
    [sym_return] = STATE(919),
    [sym_gather] = STATE(919),
    [sym_scatter] = STATE(919),
    [sym_allresults] = STATE(919),
    [sym_parenthesized_expression] = STATE(919),
    [sym__variable] = STATE(919),
    [sym_variable] = STATE(919),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(919),
    [sym_relational_operator] = STATE(919),
    [sym_logical_operator] = STATE(919),
    [sym_arithmetic_operator] = STATE(919),
    [sym_unary_operator] = STATE(919),
    [sym_character_literal] = STATE(919),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [sym_maybe] = ACTIONS(1449),
    [sym_unset] = ACTIONS(1449),
    [sym_super] = ACTIONS(1449),
    [sym_self] = ACTIONS(1449),
    [sym_clone] = ACTIONS(1449),
    [sym_thisthread] = ACTIONS(1449),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1449),
    [sym_global_variable] = ACTIONS(1449),
    [sym_global_reference] = ACTIONS(1449),
    [sym_number] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1449),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [363] = {
    [sym_procedure] = STATE(731),
    [sym_block] = STATE(731),
    [sym_assignment] = STATE(731),
    [sym_if] = STATE(731),
    [sym_loop] = STATE(731),
    [sym_handling] = STATE(731),
    [sym_catch] = STATE(731),
    [sym_throw] = STATE(731),
    [sym_primitive] = STATE(731),
    [sym_iterator] = STATE(731),
    [sym_while] = STATE(731),
    [sym_try] = STATE(731),
    [sym_loopbody] = STATE(731),
    [sym_leave] = STATE(731),
    [sym_continue] = STATE(731),
    [sym_protect] = STATE(731),
    [sym_lock] = STATE(731),
    [sym__literal] = STATE(731),
    [sym_string_literal] = STATE(731),
    [sym_call] = STATE(731),
    [sym_invoke] = STATE(731),
    [sym_indexed_access] = STATE(731),
    [sym_slot_accessor] = STATE(731),
    [sym_class] = STATE(731),
    [sym__expression] = STATE(731),
    [sym_return] = STATE(731),
    [sym_gather] = STATE(731),
    [sym_scatter] = STATE(731),
    [sym_allresults] = STATE(731),
    [sym_parenthesized_expression] = STATE(731),
    [sym__variable] = STATE(731),
    [sym_variable] = STATE(731),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(731),
    [sym_relational_operator] = STATE(731),
    [sym_logical_operator] = STATE(731),
    [sym_arithmetic_operator] = STATE(731),
    [sym_unary_operator] = STATE(731),
    [sym_character_literal] = STATE(731),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1451),
    [sym_false] = ACTIONS(1451),
    [sym_maybe] = ACTIONS(1451),
    [sym_unset] = ACTIONS(1451),
    [sym_super] = ACTIONS(1451),
    [sym_self] = ACTIONS(1451),
    [sym_clone] = ACTIONS(1451),
    [sym_thisthread] = ACTIONS(1451),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1451),
    [sym_global_variable] = ACTIONS(1451),
    [sym_global_reference] = ACTIONS(1451),
    [sym_number] = ACTIONS(1451),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1451),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [364] = {
    [sym_procedure] = STATE(799),
    [sym_block] = STATE(799),
    [sym_assignment] = STATE(799),
    [sym_if] = STATE(799),
    [sym_loop] = STATE(799),
    [sym_handling] = STATE(799),
    [sym_catch] = STATE(799),
    [sym_throw] = STATE(799),
    [sym_primitive] = STATE(799),
    [sym_iterator] = STATE(799),
    [sym_while] = STATE(799),
    [sym_try] = STATE(799),
    [sym_loopbody] = STATE(799),
    [sym_leave] = STATE(799),
    [sym_continue] = STATE(799),
    [sym_protect] = STATE(799),
    [sym_lock] = STATE(799),
    [sym__literal] = STATE(799),
    [sym_string_literal] = STATE(799),
    [sym_call] = STATE(799),
    [sym_invoke] = STATE(799),
    [sym_indexed_access] = STATE(799),
    [sym_slot_accessor] = STATE(799),
    [sym_class] = STATE(799),
    [sym__expression] = STATE(799),
    [sym_return] = STATE(799),
    [sym_gather] = STATE(799),
    [sym_scatter] = STATE(799),
    [sym_allresults] = STATE(799),
    [sym_parenthesized_expression] = STATE(799),
    [sym__variable] = STATE(799),
    [sym_variable] = STATE(799),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(799),
    [sym_relational_operator] = STATE(799),
    [sym_logical_operator] = STATE(799),
    [sym_arithmetic_operator] = STATE(799),
    [sym_unary_operator] = STATE(799),
    [sym_character_literal] = STATE(799),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1453),
    [sym_false] = ACTIONS(1453),
    [sym_maybe] = ACTIONS(1453),
    [sym_unset] = ACTIONS(1453),
    [sym_super] = ACTIONS(1453),
    [sym_self] = ACTIONS(1453),
    [sym_clone] = ACTIONS(1453),
    [sym_thisthread] = ACTIONS(1453),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1453),
    [sym_global_variable] = ACTIONS(1453),
    [sym_global_reference] = ACTIONS(1453),
    [sym_number] = ACTIONS(1453),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [365] = {
    [sym_procedure] = STATE(950),
    [sym_block] = STATE(950),
    [sym_assignment] = STATE(950),
    [sym_if] = STATE(950),
    [sym_loop] = STATE(950),
    [sym_handling] = STATE(950),
    [sym_catch] = STATE(950),
    [sym_throw] = STATE(950),
    [sym_primitive] = STATE(950),
    [sym_iterator] = STATE(950),
    [sym_while] = STATE(950),
    [sym_try] = STATE(950),
    [sym_loopbody] = STATE(950),
    [sym_leave] = STATE(950),
    [sym_continue] = STATE(950),
    [sym_protect] = STATE(950),
    [sym_lock] = STATE(950),
    [sym__literal] = STATE(950),
    [sym_string_literal] = STATE(950),
    [sym_call] = STATE(950),
    [sym_invoke] = STATE(950),
    [sym_indexed_access] = STATE(950),
    [sym_slot_accessor] = STATE(950),
    [sym_class] = STATE(950),
    [sym__expression] = STATE(950),
    [sym_return] = STATE(950),
    [sym_gather] = STATE(950),
    [sym_scatter] = STATE(950),
    [sym_allresults] = STATE(950),
    [sym_parenthesized_expression] = STATE(950),
    [sym__variable] = STATE(950),
    [sym_variable] = STATE(950),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(950),
    [sym_relational_operator] = STATE(950),
    [sym_logical_operator] = STATE(950),
    [sym_arithmetic_operator] = STATE(950),
    [sym_unary_operator] = STATE(950),
    [sym_character_literal] = STATE(950),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1455),
    [sym_false] = ACTIONS(1455),
    [sym_maybe] = ACTIONS(1455),
    [sym_unset] = ACTIONS(1455),
    [sym_super] = ACTIONS(1455),
    [sym_self] = ACTIONS(1455),
    [sym_clone] = ACTIONS(1455),
    [sym_thisthread] = ACTIONS(1455),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1455),
    [sym_global_variable] = ACTIONS(1455),
    [sym_global_reference] = ACTIONS(1455),
    [sym_number] = ACTIONS(1455),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1455),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [366] = {
    [sym_procedure] = STATE(903),
    [sym_block] = STATE(903),
    [sym_assignment] = STATE(903),
    [sym_if] = STATE(903),
    [sym_loop] = STATE(903),
    [sym_handling] = STATE(903),
    [sym_catch] = STATE(903),
    [sym_throw] = STATE(903),
    [sym_primitive] = STATE(903),
    [sym_iterator] = STATE(903),
    [sym_while] = STATE(903),
    [sym_try] = STATE(903),
    [sym_loopbody] = STATE(903),
    [sym_leave] = STATE(903),
    [sym_continue] = STATE(903),
    [sym_protect] = STATE(903),
    [sym_lock] = STATE(903),
    [sym__literal] = STATE(903),
    [sym_string_literal] = STATE(903),
    [sym_call] = STATE(903),
    [sym_invoke] = STATE(903),
    [sym_indexed_access] = STATE(903),
    [sym_slot_accessor] = STATE(903),
    [sym_class] = STATE(903),
    [sym__expression] = STATE(903),
    [sym_return] = STATE(903),
    [sym_gather] = STATE(903),
    [sym_scatter] = STATE(903),
    [sym_allresults] = STATE(903),
    [sym_parenthesized_expression] = STATE(903),
    [sym__variable] = STATE(903),
    [sym_variable] = STATE(903),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(903),
    [sym_relational_operator] = STATE(903),
    [sym_logical_operator] = STATE(903),
    [sym_arithmetic_operator] = STATE(903),
    [sym_unary_operator] = STATE(903),
    [sym_character_literal] = STATE(903),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1457),
    [sym_false] = ACTIONS(1457),
    [sym_maybe] = ACTIONS(1457),
    [sym_unset] = ACTIONS(1457),
    [sym_super] = ACTIONS(1457),
    [sym_self] = ACTIONS(1457),
    [sym_clone] = ACTIONS(1457),
    [sym_thisthread] = ACTIONS(1457),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1457),
    [sym_global_variable] = ACTIONS(1457),
    [sym_global_reference] = ACTIONS(1457),
    [sym_number] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1457),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [367] = {
    [sym_procedure] = STATE(623),
    [sym_block] = STATE(623),
    [sym_assignment] = STATE(623),
    [sym_if] = STATE(623),
    [sym_loop] = STATE(623),
    [sym_handling] = STATE(623),
    [sym_catch] = STATE(623),
    [sym_throw] = STATE(623),
    [sym_primitive] = STATE(623),
    [sym_iterator] = STATE(623),
    [sym_while] = STATE(623),
    [sym_try] = STATE(623),
    [sym_loopbody] = STATE(623),
    [sym_leave] = STATE(623),
    [sym_continue] = STATE(623),
    [sym_protect] = STATE(623),
    [sym_lock] = STATE(623),
    [sym__literal] = STATE(623),
    [sym_string_literal] = STATE(623),
    [sym_call] = STATE(623),
    [sym_invoke] = STATE(623),
    [sym_indexed_access] = STATE(623),
    [sym_slot_accessor] = STATE(623),
    [sym_class] = STATE(623),
    [sym__expression] = STATE(623),
    [sym_return] = STATE(623),
    [sym_gather] = STATE(623),
    [sym_scatter] = STATE(623),
    [sym_allresults] = STATE(623),
    [sym_parenthesized_expression] = STATE(623),
    [sym__variable] = STATE(623),
    [sym_variable] = STATE(623),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(623),
    [sym_relational_operator] = STATE(623),
    [sym_logical_operator] = STATE(623),
    [sym_arithmetic_operator] = STATE(623),
    [sym_unary_operator] = STATE(623),
    [sym_character_literal] = STATE(623),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1459),
    [sym_false] = ACTIONS(1459),
    [sym_maybe] = ACTIONS(1459),
    [sym_unset] = ACTIONS(1459),
    [sym_super] = ACTIONS(1459),
    [sym_self] = ACTIONS(1459),
    [sym_clone] = ACTIONS(1459),
    [sym_thisthread] = ACTIONS(1459),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1459),
    [sym_global_variable] = ACTIONS(1459),
    [sym_global_reference] = ACTIONS(1459),
    [sym_number] = ACTIONS(1459),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1459),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [368] = {
    [sym_procedure] = STATE(860),
    [sym_block] = STATE(860),
    [sym_assignment] = STATE(860),
    [sym_if] = STATE(860),
    [sym_loop] = STATE(860),
    [sym_handling] = STATE(860),
    [sym_catch] = STATE(860),
    [sym_throw] = STATE(860),
    [sym_primitive] = STATE(860),
    [sym_iterator] = STATE(860),
    [sym_while] = STATE(860),
    [sym_try] = STATE(860),
    [sym_loopbody] = STATE(860),
    [sym_leave] = STATE(860),
    [sym_continue] = STATE(860),
    [sym_protect] = STATE(860),
    [sym_lock] = STATE(860),
    [sym__literal] = STATE(860),
    [sym_string_literal] = STATE(860),
    [sym_call] = STATE(860),
    [sym_invoke] = STATE(860),
    [sym_indexed_access] = STATE(860),
    [sym_slot_accessor] = STATE(860),
    [sym_class] = STATE(860),
    [sym__expression] = STATE(860),
    [sym_return] = STATE(860),
    [sym_gather] = STATE(860),
    [sym_scatter] = STATE(860),
    [sym_allresults] = STATE(860),
    [sym_parenthesized_expression] = STATE(860),
    [sym__variable] = STATE(860),
    [sym_variable] = STATE(860),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(860),
    [sym_relational_operator] = STATE(860),
    [sym_logical_operator] = STATE(860),
    [sym_arithmetic_operator] = STATE(860),
    [sym_unary_operator] = STATE(860),
    [sym_character_literal] = STATE(860),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [sym_maybe] = ACTIONS(1461),
    [sym_unset] = ACTIONS(1461),
    [sym_super] = ACTIONS(1461),
    [sym_self] = ACTIONS(1461),
    [sym_clone] = ACTIONS(1461),
    [sym_thisthread] = ACTIONS(1461),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1461),
    [sym_global_variable] = ACTIONS(1461),
    [sym_global_reference] = ACTIONS(1461),
    [sym_number] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1461),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [369] = {
    [sym_procedure] = STATE(559),
    [sym_block] = STATE(559),
    [sym_assignment] = STATE(559),
    [sym_if] = STATE(559),
    [sym_loop] = STATE(559),
    [sym_handling] = STATE(559),
    [sym_catch] = STATE(559),
    [sym_throw] = STATE(559),
    [sym_primitive] = STATE(559),
    [sym_iterator] = STATE(559),
    [sym_while] = STATE(559),
    [sym_try] = STATE(559),
    [sym_loopbody] = STATE(559),
    [sym_leave] = STATE(559),
    [sym_continue] = STATE(559),
    [sym_protect] = STATE(559),
    [sym_lock] = STATE(559),
    [sym__literal] = STATE(559),
    [sym_string_literal] = STATE(559),
    [sym_call] = STATE(559),
    [sym_invoke] = STATE(559),
    [sym_indexed_access] = STATE(559),
    [sym_slot_accessor] = STATE(559),
    [sym_class] = STATE(559),
    [sym__expression] = STATE(559),
    [sym_return] = STATE(559),
    [sym_gather] = STATE(559),
    [sym_scatter] = STATE(559),
    [sym_allresults] = STATE(559),
    [sym_parenthesized_expression] = STATE(559),
    [sym__variable] = STATE(559),
    [sym_variable] = STATE(559),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(559),
    [sym_relational_operator] = STATE(559),
    [sym_logical_operator] = STATE(559),
    [sym_arithmetic_operator] = STATE(559),
    [sym_unary_operator] = STATE(559),
    [sym_character_literal] = STATE(559),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1463),
    [sym_false] = ACTIONS(1463),
    [sym_maybe] = ACTIONS(1463),
    [sym_unset] = ACTIONS(1463),
    [sym_super] = ACTIONS(1463),
    [sym_self] = ACTIONS(1463),
    [sym_clone] = ACTIONS(1463),
    [sym_thisthread] = ACTIONS(1463),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1463),
    [sym_global_variable] = ACTIONS(1463),
    [sym_global_reference] = ACTIONS(1463),
    [sym_number] = ACTIONS(1463),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1463),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [370] = {
    [sym_procedure] = STATE(551),
    [sym_block] = STATE(551),
    [sym_assignment] = STATE(551),
    [sym_if] = STATE(551),
    [sym_loop] = STATE(551),
    [sym_handling] = STATE(551),
    [sym_catch] = STATE(551),
    [sym_throw] = STATE(551),
    [sym_primitive] = STATE(551),
    [sym_iterator] = STATE(551),
    [sym_while] = STATE(551),
    [sym_try] = STATE(551),
    [sym_loopbody] = STATE(551),
    [sym_leave] = STATE(551),
    [sym_continue] = STATE(551),
    [sym_protect] = STATE(551),
    [sym_lock] = STATE(551),
    [sym__literal] = STATE(551),
    [sym_string_literal] = STATE(551),
    [sym_call] = STATE(551),
    [sym_invoke] = STATE(551),
    [sym_indexed_access] = STATE(551),
    [sym_slot_accessor] = STATE(551),
    [sym_class] = STATE(551),
    [sym__expression] = STATE(551),
    [sym_return] = STATE(551),
    [sym_gather] = STATE(551),
    [sym_scatter] = STATE(551),
    [sym_allresults] = STATE(551),
    [sym_parenthesized_expression] = STATE(551),
    [sym__variable] = STATE(551),
    [sym_variable] = STATE(551),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(551),
    [sym_relational_operator] = STATE(551),
    [sym_logical_operator] = STATE(551),
    [sym_arithmetic_operator] = STATE(551),
    [sym_unary_operator] = STATE(551),
    [sym_character_literal] = STATE(551),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1319),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [sym_maybe] = ACTIONS(1465),
    [sym_unset] = ACTIONS(1465),
    [sym_super] = ACTIONS(1465),
    [sym_self] = ACTIONS(1465),
    [sym_clone] = ACTIONS(1465),
    [sym_thisthread] = ACTIONS(1465),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1465),
    [sym_global_variable] = ACTIONS(1465),
    [sym_global_reference] = ACTIONS(1465),
    [sym_number] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1465),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [371] = {
    [sym_procedure] = STATE(911),
    [sym_block] = STATE(911),
    [sym_assignment] = STATE(911),
    [sym_if] = STATE(911),
    [sym_loop] = STATE(911),
    [sym_handling] = STATE(911),
    [sym_catch] = STATE(911),
    [sym_throw] = STATE(911),
    [sym_primitive] = STATE(911),
    [sym_iterator] = STATE(911),
    [sym_while] = STATE(911),
    [sym_try] = STATE(911),
    [sym_loopbody] = STATE(911),
    [sym_leave] = STATE(911),
    [sym_continue] = STATE(911),
    [sym_protect] = STATE(911),
    [sym_lock] = STATE(911),
    [sym__literal] = STATE(911),
    [sym_string_literal] = STATE(911),
    [sym_call] = STATE(911),
    [sym_invoke] = STATE(911),
    [sym_indexed_access] = STATE(911),
    [sym_slot_accessor] = STATE(911),
    [sym_class] = STATE(911),
    [sym__expression] = STATE(911),
    [sym_return] = STATE(911),
    [sym_gather] = STATE(911),
    [sym_scatter] = STATE(911),
    [sym_allresults] = STATE(911),
    [sym_parenthesized_expression] = STATE(911),
    [sym__variable] = STATE(911),
    [sym_variable] = STATE(911),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(911),
    [sym_relational_operator] = STATE(911),
    [sym_logical_operator] = STATE(911),
    [sym_arithmetic_operator] = STATE(911),
    [sym_unary_operator] = STATE(911),
    [sym_character_literal] = STATE(911),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1467),
    [sym_false] = ACTIONS(1467),
    [sym_maybe] = ACTIONS(1467),
    [sym_unset] = ACTIONS(1467),
    [sym_super] = ACTIONS(1467),
    [sym_self] = ACTIONS(1467),
    [sym_clone] = ACTIONS(1467),
    [sym_thisthread] = ACTIONS(1467),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1467),
    [sym_global_variable] = ACTIONS(1467),
    [sym_global_reference] = ACTIONS(1467),
    [sym_number] = ACTIONS(1467),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1467),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [372] = {
    [sym_procedure] = STATE(901),
    [sym_block] = STATE(901),
    [sym_assignment] = STATE(901),
    [sym_if] = STATE(901),
    [sym_loop] = STATE(901),
    [sym_handling] = STATE(901),
    [sym_catch] = STATE(901),
    [sym_throw] = STATE(901),
    [sym_primitive] = STATE(901),
    [sym_iterator] = STATE(901),
    [sym_while] = STATE(901),
    [sym_try] = STATE(901),
    [sym_loopbody] = STATE(901),
    [sym_leave] = STATE(901),
    [sym_continue] = STATE(901),
    [sym_protect] = STATE(901),
    [sym_lock] = STATE(901),
    [sym__literal] = STATE(901),
    [sym_string_literal] = STATE(901),
    [sym_call] = STATE(901),
    [sym_invoke] = STATE(901),
    [sym_indexed_access] = STATE(901),
    [sym_slot_accessor] = STATE(901),
    [sym_class] = STATE(901),
    [sym__expression] = STATE(901),
    [sym_return] = STATE(901),
    [sym_gather] = STATE(901),
    [sym_scatter] = STATE(901),
    [sym_allresults] = STATE(901),
    [sym_parenthesized_expression] = STATE(901),
    [sym__variable] = STATE(901),
    [sym_variable] = STATE(901),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(901),
    [sym_relational_operator] = STATE(901),
    [sym_logical_operator] = STATE(901),
    [sym_arithmetic_operator] = STATE(901),
    [sym_unary_operator] = STATE(901),
    [sym_character_literal] = STATE(901),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [sym_maybe] = ACTIONS(1469),
    [sym_unset] = ACTIONS(1469),
    [sym_super] = ACTIONS(1469),
    [sym_self] = ACTIONS(1469),
    [sym_clone] = ACTIONS(1469),
    [sym_thisthread] = ACTIONS(1469),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1469),
    [sym_global_variable] = ACTIONS(1469),
    [sym_global_reference] = ACTIONS(1469),
    [sym_number] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1469),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [373] = {
    [sym_procedure] = STATE(904),
    [sym_block] = STATE(904),
    [sym_assignment] = STATE(904),
    [sym_if] = STATE(904),
    [sym_loop] = STATE(904),
    [sym_handling] = STATE(904),
    [sym_catch] = STATE(904),
    [sym_throw] = STATE(904),
    [sym_primitive] = STATE(904),
    [sym_iterator] = STATE(904),
    [sym_while] = STATE(904),
    [sym_try] = STATE(904),
    [sym_loopbody] = STATE(904),
    [sym_leave] = STATE(904),
    [sym_continue] = STATE(904),
    [sym_protect] = STATE(904),
    [sym_lock] = STATE(904),
    [sym__literal] = STATE(904),
    [sym_string_literal] = STATE(904),
    [sym_call] = STATE(904),
    [sym_invoke] = STATE(904),
    [sym_indexed_access] = STATE(904),
    [sym_slot_accessor] = STATE(904),
    [sym_class] = STATE(904),
    [sym__expression] = STATE(904),
    [sym_return] = STATE(904),
    [sym_gather] = STATE(904),
    [sym_scatter] = STATE(904),
    [sym_allresults] = STATE(904),
    [sym_parenthesized_expression] = STATE(904),
    [sym__variable] = STATE(904),
    [sym_variable] = STATE(904),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(904),
    [sym_relational_operator] = STATE(904),
    [sym_logical_operator] = STATE(904),
    [sym_arithmetic_operator] = STATE(904),
    [sym_unary_operator] = STATE(904),
    [sym_character_literal] = STATE(904),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1471),
    [sym_false] = ACTIONS(1471),
    [sym_maybe] = ACTIONS(1471),
    [sym_unset] = ACTIONS(1471),
    [sym_super] = ACTIONS(1471),
    [sym_self] = ACTIONS(1471),
    [sym_clone] = ACTIONS(1471),
    [sym_thisthread] = ACTIONS(1471),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1471),
    [sym_global_variable] = ACTIONS(1471),
    [sym_global_reference] = ACTIONS(1471),
    [sym_number] = ACTIONS(1471),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1471),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [374] = {
    [sym_procedure] = STATE(906),
    [sym_block] = STATE(906),
    [sym_assignment] = STATE(906),
    [sym_if] = STATE(906),
    [sym_loop] = STATE(906),
    [sym_handling] = STATE(906),
    [sym_catch] = STATE(906),
    [sym_throw] = STATE(906),
    [sym_primitive] = STATE(906),
    [sym_iterator] = STATE(906),
    [sym_while] = STATE(906),
    [sym_try] = STATE(906),
    [sym_loopbody] = STATE(906),
    [sym_leave] = STATE(906),
    [sym_continue] = STATE(906),
    [sym_protect] = STATE(906),
    [sym_lock] = STATE(906),
    [sym__literal] = STATE(906),
    [sym_string_literal] = STATE(906),
    [sym_call] = STATE(906),
    [sym_invoke] = STATE(906),
    [sym_indexed_access] = STATE(906),
    [sym_slot_accessor] = STATE(906),
    [sym_class] = STATE(906),
    [sym__expression] = STATE(906),
    [sym_return] = STATE(906),
    [sym_gather] = STATE(906),
    [sym_scatter] = STATE(906),
    [sym_allresults] = STATE(906),
    [sym_parenthesized_expression] = STATE(906),
    [sym__variable] = STATE(906),
    [sym_variable] = STATE(906),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(906),
    [sym_relational_operator] = STATE(906),
    [sym_logical_operator] = STATE(906),
    [sym_arithmetic_operator] = STATE(906),
    [sym_unary_operator] = STATE(906),
    [sym_character_literal] = STATE(906),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1473),
    [sym_false] = ACTIONS(1473),
    [sym_maybe] = ACTIONS(1473),
    [sym_unset] = ACTIONS(1473),
    [sym_super] = ACTIONS(1473),
    [sym_self] = ACTIONS(1473),
    [sym_clone] = ACTIONS(1473),
    [sym_thisthread] = ACTIONS(1473),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1473),
    [sym_global_variable] = ACTIONS(1473),
    [sym_global_reference] = ACTIONS(1473),
    [sym_number] = ACTIONS(1473),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1473),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [375] = {
    [sym_procedure] = STATE(796),
    [sym_block] = STATE(796),
    [sym_assignment] = STATE(796),
    [sym_if] = STATE(796),
    [sym_loop] = STATE(796),
    [sym_handling] = STATE(796),
    [sym_catch] = STATE(796),
    [sym_throw] = STATE(796),
    [sym_primitive] = STATE(796),
    [sym_iterator] = STATE(796),
    [sym_while] = STATE(796),
    [sym_try] = STATE(796),
    [sym_loopbody] = STATE(796),
    [sym_leave] = STATE(796),
    [sym_continue] = STATE(796),
    [sym_protect] = STATE(796),
    [sym_lock] = STATE(796),
    [sym__literal] = STATE(796),
    [sym_string_literal] = STATE(796),
    [sym_call] = STATE(796),
    [sym_invoke] = STATE(796),
    [sym_indexed_access] = STATE(796),
    [sym_slot_accessor] = STATE(796),
    [sym_class] = STATE(796),
    [sym__expression] = STATE(796),
    [sym_return] = STATE(796),
    [sym_gather] = STATE(796),
    [sym_scatter] = STATE(796),
    [sym_allresults] = STATE(796),
    [sym_parenthesized_expression] = STATE(796),
    [sym__variable] = STATE(796),
    [sym_variable] = STATE(796),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(796),
    [sym_relational_operator] = STATE(796),
    [sym_logical_operator] = STATE(796),
    [sym_arithmetic_operator] = STATE(796),
    [sym_unary_operator] = STATE(796),
    [sym_character_literal] = STATE(796),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1475),
    [sym_false] = ACTIONS(1475),
    [sym_maybe] = ACTIONS(1475),
    [sym_unset] = ACTIONS(1475),
    [sym_super] = ACTIONS(1475),
    [sym_self] = ACTIONS(1475),
    [sym_clone] = ACTIONS(1475),
    [sym_thisthread] = ACTIONS(1475),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1475),
    [sym_global_variable] = ACTIONS(1475),
    [sym_global_reference] = ACTIONS(1475),
    [sym_number] = ACTIONS(1475),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1475),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [376] = {
    [sym_procedure] = STATE(797),
    [sym_block] = STATE(797),
    [sym_assignment] = STATE(797),
    [sym_if] = STATE(797),
    [sym_loop] = STATE(797),
    [sym_handling] = STATE(797),
    [sym_catch] = STATE(797),
    [sym_throw] = STATE(797),
    [sym_primitive] = STATE(797),
    [sym_iterator] = STATE(797),
    [sym_while] = STATE(797),
    [sym_try] = STATE(797),
    [sym_loopbody] = STATE(797),
    [sym_leave] = STATE(797),
    [sym_continue] = STATE(797),
    [sym_protect] = STATE(797),
    [sym_lock] = STATE(797),
    [sym__literal] = STATE(797),
    [sym_string_literal] = STATE(797),
    [sym_call] = STATE(797),
    [sym_invoke] = STATE(797),
    [sym_indexed_access] = STATE(797),
    [sym_slot_accessor] = STATE(797),
    [sym_class] = STATE(797),
    [sym__expression] = STATE(797),
    [sym_return] = STATE(797),
    [sym_gather] = STATE(797),
    [sym_scatter] = STATE(797),
    [sym_allresults] = STATE(797),
    [sym_parenthesized_expression] = STATE(797),
    [sym__variable] = STATE(797),
    [sym_variable] = STATE(797),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(797),
    [sym_relational_operator] = STATE(797),
    [sym_logical_operator] = STATE(797),
    [sym_arithmetic_operator] = STATE(797),
    [sym_unary_operator] = STATE(797),
    [sym_character_literal] = STATE(797),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [sym_maybe] = ACTIONS(1477),
    [sym_unset] = ACTIONS(1477),
    [sym_super] = ACTIONS(1477),
    [sym_self] = ACTIONS(1477),
    [sym_clone] = ACTIONS(1477),
    [sym_thisthread] = ACTIONS(1477),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1477),
    [sym_global_variable] = ACTIONS(1477),
    [sym_global_reference] = ACTIONS(1477),
    [sym_number] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [377] = {
    [sym_procedure] = STATE(798),
    [sym_block] = STATE(798),
    [sym_assignment] = STATE(798),
    [sym_if] = STATE(798),
    [sym_loop] = STATE(798),
    [sym_handling] = STATE(798),
    [sym_catch] = STATE(798),
    [sym_throw] = STATE(798),
    [sym_primitive] = STATE(798),
    [sym_iterator] = STATE(798),
    [sym_while] = STATE(798),
    [sym_try] = STATE(798),
    [sym_loopbody] = STATE(798),
    [sym_leave] = STATE(798),
    [sym_continue] = STATE(798),
    [sym_protect] = STATE(798),
    [sym_lock] = STATE(798),
    [sym__literal] = STATE(798),
    [sym_string_literal] = STATE(798),
    [sym_call] = STATE(798),
    [sym_invoke] = STATE(798),
    [sym_indexed_access] = STATE(798),
    [sym_slot_accessor] = STATE(798),
    [sym_class] = STATE(798),
    [sym__expression] = STATE(798),
    [sym_return] = STATE(798),
    [sym_gather] = STATE(798),
    [sym_scatter] = STATE(798),
    [sym_allresults] = STATE(798),
    [sym_parenthesized_expression] = STATE(798),
    [sym__variable] = STATE(798),
    [sym_variable] = STATE(798),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(798),
    [sym_relational_operator] = STATE(798),
    [sym_logical_operator] = STATE(798),
    [sym_arithmetic_operator] = STATE(798),
    [sym_unary_operator] = STATE(798),
    [sym_character_literal] = STATE(798),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1479),
    [sym_false] = ACTIONS(1479),
    [sym_maybe] = ACTIONS(1479),
    [sym_unset] = ACTIONS(1479),
    [sym_super] = ACTIONS(1479),
    [sym_self] = ACTIONS(1479),
    [sym_clone] = ACTIONS(1479),
    [sym_thisthread] = ACTIONS(1479),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1479),
    [sym_global_variable] = ACTIONS(1479),
    [sym_global_reference] = ACTIONS(1479),
    [sym_number] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1479),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [378] = {
    [sym_procedure] = STATE(736),
    [sym_block] = STATE(736),
    [sym_assignment] = STATE(736),
    [sym_if] = STATE(736),
    [sym_loop] = STATE(736),
    [sym_handling] = STATE(736),
    [sym_catch] = STATE(736),
    [sym_throw] = STATE(736),
    [sym_primitive] = STATE(736),
    [sym_iterator] = STATE(736),
    [sym_while] = STATE(736),
    [sym_try] = STATE(736),
    [sym_loopbody] = STATE(736),
    [sym_leave] = STATE(736),
    [sym_continue] = STATE(736),
    [sym_protect] = STATE(736),
    [sym_lock] = STATE(736),
    [sym__literal] = STATE(736),
    [sym_string_literal] = STATE(736),
    [sym_call] = STATE(736),
    [sym_invoke] = STATE(736),
    [sym_indexed_access] = STATE(736),
    [sym_slot_accessor] = STATE(736),
    [sym_class] = STATE(736),
    [sym__expression] = STATE(736),
    [sym_return] = STATE(736),
    [sym_gather] = STATE(736),
    [sym_scatter] = STATE(736),
    [sym_allresults] = STATE(736),
    [sym_parenthesized_expression] = STATE(736),
    [sym__variable] = STATE(736),
    [sym_variable] = STATE(736),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(736),
    [sym_relational_operator] = STATE(736),
    [sym_logical_operator] = STATE(736),
    [sym_arithmetic_operator] = STATE(736),
    [sym_unary_operator] = STATE(736),
    [sym_character_literal] = STATE(736),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1483),
    [sym_false] = ACTIONS(1483),
    [sym_maybe] = ACTIONS(1483),
    [sym_unset] = ACTIONS(1483),
    [sym_super] = ACTIONS(1483),
    [sym_self] = ACTIONS(1483),
    [sym_clone] = ACTIONS(1483),
    [sym_thisthread] = ACTIONS(1483),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1483),
    [sym_global_variable] = ACTIONS(1483),
    [sym_global_reference] = ACTIONS(1483),
    [sym_number] = ACTIONS(1483),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1483),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [379] = {
    [sym_procedure] = STATE(735),
    [sym_block] = STATE(735),
    [sym_assignment] = STATE(735),
    [sym_if] = STATE(735),
    [sym_loop] = STATE(735),
    [sym_handling] = STATE(735),
    [sym_catch] = STATE(735),
    [sym_throw] = STATE(735),
    [sym_primitive] = STATE(735),
    [sym_iterator] = STATE(735),
    [sym_while] = STATE(735),
    [sym_try] = STATE(735),
    [sym_loopbody] = STATE(735),
    [sym_leave] = STATE(735),
    [sym_continue] = STATE(735),
    [sym_protect] = STATE(735),
    [sym_lock] = STATE(735),
    [sym__literal] = STATE(735),
    [sym_string_literal] = STATE(735),
    [sym_call] = STATE(735),
    [sym_invoke] = STATE(735),
    [sym_indexed_access] = STATE(735),
    [sym_slot_accessor] = STATE(735),
    [sym_class] = STATE(735),
    [sym__expression] = STATE(735),
    [sym_return] = STATE(735),
    [sym_gather] = STATE(735),
    [sym_scatter] = STATE(735),
    [sym_allresults] = STATE(735),
    [sym_parenthesized_expression] = STATE(735),
    [sym__variable] = STATE(735),
    [sym_variable] = STATE(735),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(735),
    [sym_relational_operator] = STATE(735),
    [sym_logical_operator] = STATE(735),
    [sym_arithmetic_operator] = STATE(735),
    [sym_unary_operator] = STATE(735),
    [sym_character_literal] = STATE(735),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1487),
    [sym_false] = ACTIONS(1487),
    [sym_maybe] = ACTIONS(1487),
    [sym_unset] = ACTIONS(1487),
    [sym_super] = ACTIONS(1487),
    [sym_self] = ACTIONS(1487),
    [sym_clone] = ACTIONS(1487),
    [sym_thisthread] = ACTIONS(1487),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1487),
    [sym_global_variable] = ACTIONS(1487),
    [sym_global_reference] = ACTIONS(1487),
    [sym_number] = ACTIONS(1487),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1487),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [380] = {
    [sym_procedure] = STATE(836),
    [sym_block] = STATE(836),
    [sym_assignment] = STATE(836),
    [sym_if] = STATE(836),
    [sym_loop] = STATE(836),
    [sym_handling] = STATE(836),
    [sym_catch] = STATE(836),
    [sym_throw] = STATE(836),
    [sym_primitive] = STATE(836),
    [sym_iterator] = STATE(836),
    [sym_while] = STATE(836),
    [sym_try] = STATE(836),
    [sym_loopbody] = STATE(836),
    [sym_leave] = STATE(836),
    [sym_continue] = STATE(836),
    [sym_protect] = STATE(836),
    [sym_lock] = STATE(836),
    [sym__literal] = STATE(836),
    [sym_string_literal] = STATE(836),
    [sym_call] = STATE(836),
    [sym_invoke] = STATE(836),
    [sym_indexed_access] = STATE(836),
    [sym_slot_accessor] = STATE(836),
    [sym_class] = STATE(836),
    [sym__expression] = STATE(836),
    [sym_return] = STATE(836),
    [sym_gather] = STATE(836),
    [sym_scatter] = STATE(836),
    [sym_allresults] = STATE(836),
    [sym_parenthesized_expression] = STATE(836),
    [sym__variable] = STATE(836),
    [sym_variable] = STATE(836),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(836),
    [sym_relational_operator] = STATE(836),
    [sym_logical_operator] = STATE(836),
    [sym_arithmetic_operator] = STATE(836),
    [sym_unary_operator] = STATE(836),
    [sym_character_literal] = STATE(836),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1489),
    [sym_false] = ACTIONS(1489),
    [sym_maybe] = ACTIONS(1489),
    [sym_unset] = ACTIONS(1489),
    [sym_super] = ACTIONS(1489),
    [sym_self] = ACTIONS(1489),
    [sym_clone] = ACTIONS(1489),
    [sym_thisthread] = ACTIONS(1489),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1489),
    [sym_global_variable] = ACTIONS(1489),
    [sym_global_reference] = ACTIONS(1489),
    [sym_number] = ACTIONS(1489),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [381] = {
    [sym_procedure] = STATE(809),
    [sym_block] = STATE(809),
    [sym_assignment] = STATE(809),
    [sym_if] = STATE(809),
    [sym_loop] = STATE(809),
    [sym_handling] = STATE(809),
    [sym_catch] = STATE(809),
    [sym_throw] = STATE(809),
    [sym_primitive] = STATE(809),
    [sym_iterator] = STATE(809),
    [sym_while] = STATE(809),
    [sym_try] = STATE(809),
    [sym_loopbody] = STATE(809),
    [sym_leave] = STATE(809),
    [sym_continue] = STATE(809),
    [sym_protect] = STATE(809),
    [sym_lock] = STATE(809),
    [sym__literal] = STATE(809),
    [sym_string_literal] = STATE(809),
    [sym_call] = STATE(809),
    [sym_invoke] = STATE(809),
    [sym_indexed_access] = STATE(809),
    [sym_slot_accessor] = STATE(809),
    [sym_class] = STATE(809),
    [sym__expression] = STATE(809),
    [sym_return] = STATE(809),
    [sym_gather] = STATE(809),
    [sym_scatter] = STATE(809),
    [sym_allresults] = STATE(809),
    [sym_parenthesized_expression] = STATE(809),
    [sym__variable] = STATE(809),
    [sym_variable] = STATE(809),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(809),
    [sym_relational_operator] = STATE(809),
    [sym_logical_operator] = STATE(809),
    [sym_arithmetic_operator] = STATE(809),
    [sym_unary_operator] = STATE(809),
    [sym_character_literal] = STATE(809),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1491),
    [sym_false] = ACTIONS(1491),
    [sym_maybe] = ACTIONS(1491),
    [sym_unset] = ACTIONS(1491),
    [sym_super] = ACTIONS(1491),
    [sym_self] = ACTIONS(1491),
    [sym_clone] = ACTIONS(1491),
    [sym_thisthread] = ACTIONS(1491),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1491),
    [sym_global_variable] = ACTIONS(1491),
    [sym_global_reference] = ACTIONS(1491),
    [sym_number] = ACTIONS(1491),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1491),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [382] = {
    [sym_procedure] = STATE(801),
    [sym_block] = STATE(801),
    [sym_assignment] = STATE(801),
    [sym_if] = STATE(801),
    [sym_loop] = STATE(801),
    [sym_handling] = STATE(801),
    [sym_catch] = STATE(801),
    [sym_throw] = STATE(801),
    [sym_primitive] = STATE(801),
    [sym_iterator] = STATE(801),
    [sym_while] = STATE(801),
    [sym_try] = STATE(801),
    [sym_loopbody] = STATE(801),
    [sym_leave] = STATE(801),
    [sym_continue] = STATE(801),
    [sym_protect] = STATE(801),
    [sym_lock] = STATE(801),
    [sym__literal] = STATE(801),
    [sym_string_literal] = STATE(801),
    [sym_call] = STATE(801),
    [sym_invoke] = STATE(801),
    [sym_indexed_access] = STATE(801),
    [sym_slot_accessor] = STATE(801),
    [sym_class] = STATE(801),
    [sym__expression] = STATE(801),
    [sym_return] = STATE(801),
    [sym_gather] = STATE(801),
    [sym_scatter] = STATE(801),
    [sym_allresults] = STATE(801),
    [sym_parenthesized_expression] = STATE(801),
    [sym__variable] = STATE(801),
    [sym_variable] = STATE(801),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(801),
    [sym_relational_operator] = STATE(801),
    [sym_logical_operator] = STATE(801),
    [sym_arithmetic_operator] = STATE(801),
    [sym_unary_operator] = STATE(801),
    [sym_character_literal] = STATE(801),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1493),
    [sym_false] = ACTIONS(1493),
    [sym_maybe] = ACTIONS(1493),
    [sym_unset] = ACTIONS(1493),
    [sym_super] = ACTIONS(1493),
    [sym_self] = ACTIONS(1493),
    [sym_clone] = ACTIONS(1493),
    [sym_thisthread] = ACTIONS(1493),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1493),
    [sym_global_variable] = ACTIONS(1493),
    [sym_global_reference] = ACTIONS(1493),
    [sym_number] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1493),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [383] = {
    [sym_procedure] = STATE(675),
    [sym_block] = STATE(675),
    [sym_assignment] = STATE(675),
    [sym_if] = STATE(675),
    [sym_loop] = STATE(675),
    [sym_handling] = STATE(675),
    [sym_catch] = STATE(675),
    [sym_throw] = STATE(675),
    [sym_primitive] = STATE(675),
    [sym_iterator] = STATE(675),
    [sym_while] = STATE(675),
    [sym_try] = STATE(675),
    [sym_loopbody] = STATE(675),
    [sym_leave] = STATE(675),
    [sym_continue] = STATE(675),
    [sym_protect] = STATE(675),
    [sym_lock] = STATE(675),
    [sym__literal] = STATE(675),
    [sym_string_literal] = STATE(675),
    [sym_call] = STATE(675),
    [sym_invoke] = STATE(675),
    [sym_indexed_access] = STATE(675),
    [sym_slot_accessor] = STATE(675),
    [sym_class] = STATE(675),
    [sym__expression] = STATE(675),
    [sym_return] = STATE(675),
    [sym_gather] = STATE(675),
    [sym_scatter] = STATE(675),
    [sym_allresults] = STATE(675),
    [sym_parenthesized_expression] = STATE(675),
    [sym__variable] = STATE(675),
    [sym_variable] = STATE(675),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(675),
    [sym_relational_operator] = STATE(675),
    [sym_logical_operator] = STATE(675),
    [sym_arithmetic_operator] = STATE(675),
    [sym_unary_operator] = STATE(675),
    [sym_character_literal] = STATE(675),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1385),
    [sym_false] = ACTIONS(1385),
    [sym_maybe] = ACTIONS(1385),
    [sym_unset] = ACTIONS(1385),
    [sym_super] = ACTIONS(1385),
    [sym_self] = ACTIONS(1385),
    [sym_clone] = ACTIONS(1385),
    [sym_thisthread] = ACTIONS(1385),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1385),
    [sym_global_variable] = ACTIONS(1385),
    [sym_global_reference] = ACTIONS(1385),
    [sym_number] = ACTIONS(1385),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1385),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [384] = {
    [sym_procedure] = STATE(597),
    [sym_block] = STATE(597),
    [sym_assignment] = STATE(597),
    [sym_if] = STATE(597),
    [sym_loop] = STATE(597),
    [sym_handling] = STATE(597),
    [sym_catch] = STATE(597),
    [sym_throw] = STATE(597),
    [sym_primitive] = STATE(597),
    [sym_iterator] = STATE(597),
    [sym_while] = STATE(597),
    [sym_try] = STATE(597),
    [sym_loopbody] = STATE(597),
    [sym_leave] = STATE(597),
    [sym_continue] = STATE(597),
    [sym_protect] = STATE(597),
    [sym_lock] = STATE(597),
    [sym__literal] = STATE(597),
    [sym_string_literal] = STATE(597),
    [sym_call] = STATE(597),
    [sym_invoke] = STATE(597),
    [sym_indexed_access] = STATE(597),
    [sym_slot_accessor] = STATE(597),
    [sym_class] = STATE(597),
    [sym__expression] = STATE(597),
    [sym_return] = STATE(597),
    [sym_gather] = STATE(597),
    [sym_scatter] = STATE(597),
    [sym_allresults] = STATE(597),
    [sym_parenthesized_expression] = STATE(597),
    [sym__variable] = STATE(597),
    [sym_variable] = STATE(597),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(597),
    [sym_relational_operator] = STATE(597),
    [sym_logical_operator] = STATE(597),
    [sym_arithmetic_operator] = STATE(597),
    [sym_unary_operator] = STATE(597),
    [sym_character_literal] = STATE(597),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1495),
    [sym_false] = ACTIONS(1495),
    [sym_maybe] = ACTIONS(1495),
    [sym_unset] = ACTIONS(1495),
    [sym_super] = ACTIONS(1495),
    [sym_self] = ACTIONS(1495),
    [sym_clone] = ACTIONS(1495),
    [sym_thisthread] = ACTIONS(1495),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1495),
    [sym_global_variable] = ACTIONS(1495),
    [sym_global_reference] = ACTIONS(1495),
    [sym_number] = ACTIONS(1495),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1495),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [385] = {
    [sym_procedure] = STATE(939),
    [sym_block] = STATE(939),
    [sym_assignment] = STATE(939),
    [sym_if] = STATE(939),
    [sym_loop] = STATE(939),
    [sym_handling] = STATE(939),
    [sym_catch] = STATE(939),
    [sym_throw] = STATE(939),
    [sym_primitive] = STATE(939),
    [sym_iterator] = STATE(939),
    [sym_while] = STATE(939),
    [sym_try] = STATE(939),
    [sym_loopbody] = STATE(939),
    [sym_leave] = STATE(939),
    [sym_continue] = STATE(939),
    [sym_protect] = STATE(939),
    [sym_lock] = STATE(939),
    [sym__literal] = STATE(939),
    [sym_string_literal] = STATE(939),
    [sym_call] = STATE(939),
    [sym_invoke] = STATE(939),
    [sym_indexed_access] = STATE(939),
    [sym_slot_accessor] = STATE(939),
    [sym_class] = STATE(939),
    [sym__expression] = STATE(939),
    [sym_return] = STATE(939),
    [sym_gather] = STATE(939),
    [sym_scatter] = STATE(939),
    [sym_allresults] = STATE(939),
    [sym_parenthesized_expression] = STATE(939),
    [sym__variable] = STATE(939),
    [sym_variable] = STATE(939),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(939),
    [sym_relational_operator] = STATE(939),
    [sym_logical_operator] = STATE(939),
    [sym_arithmetic_operator] = STATE(939),
    [sym_unary_operator] = STATE(939),
    [sym_character_literal] = STATE(939),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1497),
    [sym_false] = ACTIONS(1497),
    [sym_maybe] = ACTIONS(1497),
    [sym_unset] = ACTIONS(1497),
    [sym_super] = ACTIONS(1497),
    [sym_self] = ACTIONS(1497),
    [sym_clone] = ACTIONS(1497),
    [sym_thisthread] = ACTIONS(1497),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1497),
    [sym_global_variable] = ACTIONS(1497),
    [sym_global_reference] = ACTIONS(1497),
    [sym_number] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1497),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [386] = {
    [sym_procedure] = STATE(885),
    [sym_block] = STATE(885),
    [sym_assignment] = STATE(885),
    [sym_if] = STATE(885),
    [sym_loop] = STATE(885),
    [sym_handling] = STATE(885),
    [sym_catch] = STATE(885),
    [sym_throw] = STATE(885),
    [sym_primitive] = STATE(885),
    [sym_iterator] = STATE(885),
    [sym_while] = STATE(885),
    [sym_try] = STATE(885),
    [sym_loopbody] = STATE(885),
    [sym_leave] = STATE(885),
    [sym_continue] = STATE(885),
    [sym_protect] = STATE(885),
    [sym_lock] = STATE(885),
    [sym__literal] = STATE(885),
    [sym_string_literal] = STATE(885),
    [sym_call] = STATE(885),
    [sym_invoke] = STATE(885),
    [sym_indexed_access] = STATE(885),
    [sym_slot_accessor] = STATE(885),
    [sym_class] = STATE(885),
    [sym__expression] = STATE(885),
    [sym_return] = STATE(885),
    [sym_gather] = STATE(885),
    [sym_scatter] = STATE(885),
    [sym_allresults] = STATE(885),
    [sym_parenthesized_expression] = STATE(885),
    [sym__variable] = STATE(885),
    [sym_variable] = STATE(885),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(885),
    [sym_relational_operator] = STATE(885),
    [sym_logical_operator] = STATE(885),
    [sym_arithmetic_operator] = STATE(885),
    [sym_unary_operator] = STATE(885),
    [sym_character_literal] = STATE(885),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1499),
    [sym_false] = ACTIONS(1499),
    [sym_maybe] = ACTIONS(1499),
    [sym_unset] = ACTIONS(1499),
    [sym_super] = ACTIONS(1499),
    [sym_self] = ACTIONS(1499),
    [sym_clone] = ACTIONS(1499),
    [sym_thisthread] = ACTIONS(1499),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1499),
    [sym_global_variable] = ACTIONS(1499),
    [sym_global_reference] = ACTIONS(1499),
    [sym_number] = ACTIONS(1499),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1499),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [387] = {
    [sym_procedure] = STATE(592),
    [sym_block] = STATE(592),
    [sym_assignment] = STATE(592),
    [sym_if] = STATE(592),
    [sym_loop] = STATE(592),
    [sym_handling] = STATE(592),
    [sym_catch] = STATE(592),
    [sym_throw] = STATE(592),
    [sym_primitive] = STATE(592),
    [sym_iterator] = STATE(592),
    [sym_while] = STATE(592),
    [sym_try] = STATE(592),
    [sym_loopbody] = STATE(592),
    [sym_leave] = STATE(592),
    [sym_continue] = STATE(592),
    [sym_protect] = STATE(592),
    [sym_lock] = STATE(592),
    [sym__literal] = STATE(592),
    [sym_string_literal] = STATE(592),
    [sym_call] = STATE(592),
    [sym_invoke] = STATE(592),
    [sym_indexed_access] = STATE(592),
    [sym_slot_accessor] = STATE(592),
    [sym_class] = STATE(592),
    [sym__expression] = STATE(592),
    [sym_return] = STATE(592),
    [sym_gather] = STATE(592),
    [sym_scatter] = STATE(592),
    [sym_allresults] = STATE(592),
    [sym_parenthesized_expression] = STATE(592),
    [sym__variable] = STATE(592),
    [sym_variable] = STATE(592),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(592),
    [sym_relational_operator] = STATE(592),
    [sym_logical_operator] = STATE(592),
    [sym_arithmetic_operator] = STATE(592),
    [sym_unary_operator] = STATE(592),
    [sym_character_literal] = STATE(592),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
    [sym_maybe] = ACTIONS(1501),
    [sym_unset] = ACTIONS(1501),
    [sym_super] = ACTIONS(1501),
    [sym_self] = ACTIONS(1501),
    [sym_clone] = ACTIONS(1501),
    [sym_thisthread] = ACTIONS(1501),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1501),
    [sym_global_variable] = ACTIONS(1501),
    [sym_global_reference] = ACTIONS(1501),
    [sym_number] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1501),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [388] = {
    [sym_procedure] = STATE(905),
    [sym_block] = STATE(905),
    [sym_assignment] = STATE(905),
    [sym_if] = STATE(905),
    [sym_loop] = STATE(905),
    [sym_handling] = STATE(905),
    [sym_catch] = STATE(905),
    [sym_throw] = STATE(905),
    [sym_primitive] = STATE(905),
    [sym_iterator] = STATE(905),
    [sym_while] = STATE(905),
    [sym_try] = STATE(905),
    [sym_loopbody] = STATE(905),
    [sym_leave] = STATE(905),
    [sym_continue] = STATE(905),
    [sym_protect] = STATE(905),
    [sym_lock] = STATE(905),
    [sym__literal] = STATE(905),
    [sym_string_literal] = STATE(905),
    [sym_call] = STATE(905),
    [sym_invoke] = STATE(905),
    [sym_indexed_access] = STATE(905),
    [sym_slot_accessor] = STATE(905),
    [sym_class] = STATE(905),
    [sym__expression] = STATE(905),
    [sym_return] = STATE(905),
    [sym_gather] = STATE(905),
    [sym_scatter] = STATE(905),
    [sym_allresults] = STATE(905),
    [sym_parenthesized_expression] = STATE(905),
    [sym__variable] = STATE(905),
    [sym_variable] = STATE(905),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(905),
    [sym_relational_operator] = STATE(905),
    [sym_logical_operator] = STATE(905),
    [sym_arithmetic_operator] = STATE(905),
    [sym_unary_operator] = STATE(905),
    [sym_character_literal] = STATE(905),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_maybe] = ACTIONS(1503),
    [sym_unset] = ACTIONS(1503),
    [sym_super] = ACTIONS(1503),
    [sym_self] = ACTIONS(1503),
    [sym_clone] = ACTIONS(1503),
    [sym_thisthread] = ACTIONS(1503),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1503),
    [sym_global_variable] = ACTIONS(1503),
    [sym_global_reference] = ACTIONS(1503),
    [sym_number] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [389] = {
    [sym_procedure] = STATE(715),
    [sym_block] = STATE(715),
    [sym_assignment] = STATE(715),
    [sym_if] = STATE(715),
    [sym_loop] = STATE(715),
    [sym_handling] = STATE(715),
    [sym_catch] = STATE(715),
    [sym_throw] = STATE(715),
    [sym_primitive] = STATE(715),
    [sym_iterator] = STATE(715),
    [sym_while] = STATE(715),
    [sym_try] = STATE(715),
    [sym_loopbody] = STATE(715),
    [sym_leave] = STATE(715),
    [sym_continue] = STATE(715),
    [sym_protect] = STATE(715),
    [sym_lock] = STATE(715),
    [sym__literal] = STATE(715),
    [sym_string_literal] = STATE(715),
    [sym_call] = STATE(715),
    [sym_invoke] = STATE(715),
    [sym_indexed_access] = STATE(715),
    [sym_slot_accessor] = STATE(715),
    [sym_class] = STATE(715),
    [sym__expression] = STATE(715),
    [sym_return] = STATE(715),
    [sym_gather] = STATE(715),
    [sym_scatter] = STATE(715),
    [sym_allresults] = STATE(715),
    [sym_parenthesized_expression] = STATE(715),
    [sym__variable] = STATE(715),
    [sym_variable] = STATE(715),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(715),
    [sym_relational_operator] = STATE(715),
    [sym_logical_operator] = STATE(715),
    [sym_arithmetic_operator] = STATE(715),
    [sym_unary_operator] = STATE(715),
    [sym_character_literal] = STATE(715),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_maybe] = ACTIONS(1507),
    [sym_unset] = ACTIONS(1507),
    [sym_super] = ACTIONS(1507),
    [sym_self] = ACTIONS(1507),
    [sym_clone] = ACTIONS(1507),
    [sym_thisthread] = ACTIONS(1507),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1507),
    [sym_global_variable] = ACTIONS(1507),
    [sym_global_reference] = ACTIONS(1507),
    [sym_number] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1507),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [390] = {
    [sym_procedure] = STATE(957),
    [sym_block] = STATE(957),
    [sym_assignment] = STATE(957),
    [sym_if] = STATE(957),
    [sym_loop] = STATE(957),
    [sym_handling] = STATE(957),
    [sym_catch] = STATE(957),
    [sym_throw] = STATE(957),
    [sym_primitive] = STATE(957),
    [sym_iterator] = STATE(957),
    [sym_while] = STATE(957),
    [sym_try] = STATE(957),
    [sym_loopbody] = STATE(957),
    [sym_leave] = STATE(957),
    [sym_continue] = STATE(957),
    [sym_protect] = STATE(957),
    [sym_lock] = STATE(957),
    [sym__literal] = STATE(957),
    [sym_string_literal] = STATE(957),
    [sym_call] = STATE(957),
    [sym_invoke] = STATE(957),
    [sym_indexed_access] = STATE(957),
    [sym_slot_accessor] = STATE(957),
    [sym_class] = STATE(957),
    [sym__expression] = STATE(957),
    [sym_return] = STATE(957),
    [sym_gather] = STATE(957),
    [sym_scatter] = STATE(957),
    [sym_allresults] = STATE(957),
    [sym_parenthesized_expression] = STATE(957),
    [sym__variable] = STATE(957),
    [sym_variable] = STATE(957),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(957),
    [sym_relational_operator] = STATE(957),
    [sym_logical_operator] = STATE(957),
    [sym_arithmetic_operator] = STATE(957),
    [sym_unary_operator] = STATE(957),
    [sym_character_literal] = STATE(957),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1509),
    [sym_false] = ACTIONS(1509),
    [sym_maybe] = ACTIONS(1509),
    [sym_unset] = ACTIONS(1509),
    [sym_super] = ACTIONS(1509),
    [sym_self] = ACTIONS(1509),
    [sym_clone] = ACTIONS(1509),
    [sym_thisthread] = ACTIONS(1509),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1509),
    [sym_global_variable] = ACTIONS(1509),
    [sym_global_reference] = ACTIONS(1509),
    [sym_number] = ACTIONS(1509),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1509),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [391] = {
    [sym_procedure] = STATE(721),
    [sym_block] = STATE(721),
    [sym_assignment] = STATE(721),
    [sym_if] = STATE(721),
    [sym_loop] = STATE(721),
    [sym_handling] = STATE(721),
    [sym_catch] = STATE(721),
    [sym_throw] = STATE(721),
    [sym_primitive] = STATE(721),
    [sym_iterator] = STATE(721),
    [sym_while] = STATE(721),
    [sym_try] = STATE(721),
    [sym_loopbody] = STATE(721),
    [sym_leave] = STATE(721),
    [sym_continue] = STATE(721),
    [sym_protect] = STATE(721),
    [sym_lock] = STATE(721),
    [sym__literal] = STATE(721),
    [sym_string_literal] = STATE(721),
    [sym_call] = STATE(721),
    [sym_invoke] = STATE(721),
    [sym_indexed_access] = STATE(721),
    [sym_slot_accessor] = STATE(721),
    [sym_class] = STATE(721),
    [sym__expression] = STATE(721),
    [sym_return] = STATE(721),
    [sym_gather] = STATE(721),
    [sym_scatter] = STATE(721),
    [sym_allresults] = STATE(721),
    [sym_parenthesized_expression] = STATE(721),
    [sym__variable] = STATE(721),
    [sym_variable] = STATE(721),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(721),
    [sym_relational_operator] = STATE(721),
    [sym_logical_operator] = STATE(721),
    [sym_arithmetic_operator] = STATE(721),
    [sym_unary_operator] = STATE(721),
    [sym_character_literal] = STATE(721),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [sym_maybe] = ACTIONS(1513),
    [sym_unset] = ACTIONS(1513),
    [sym_super] = ACTIONS(1513),
    [sym_self] = ACTIONS(1513),
    [sym_clone] = ACTIONS(1513),
    [sym_thisthread] = ACTIONS(1513),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1513),
    [sym_global_variable] = ACTIONS(1513),
    [sym_global_reference] = ACTIONS(1513),
    [sym_number] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1513),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [392] = {
    [sym_procedure] = STATE(828),
    [sym_block] = STATE(828),
    [sym_assignment] = STATE(828),
    [sym_if] = STATE(828),
    [sym_loop] = STATE(828),
    [sym_handling] = STATE(828),
    [sym_catch] = STATE(828),
    [sym_throw] = STATE(828),
    [sym_primitive] = STATE(828),
    [sym_iterator] = STATE(828),
    [sym_while] = STATE(828),
    [sym_try] = STATE(828),
    [sym_loopbody] = STATE(828),
    [sym_leave] = STATE(828),
    [sym_continue] = STATE(828),
    [sym_protect] = STATE(828),
    [sym_lock] = STATE(828),
    [sym__literal] = STATE(828),
    [sym_string_literal] = STATE(828),
    [sym_call] = STATE(828),
    [sym_invoke] = STATE(828),
    [sym_indexed_access] = STATE(828),
    [sym_slot_accessor] = STATE(828),
    [sym_class] = STATE(828),
    [sym__expression] = STATE(828),
    [sym_return] = STATE(828),
    [sym_gather] = STATE(828),
    [sym_scatter] = STATE(828),
    [sym_allresults] = STATE(828),
    [sym_parenthesized_expression] = STATE(828),
    [sym__variable] = STATE(828),
    [sym_variable] = STATE(828),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(828),
    [sym_relational_operator] = STATE(828),
    [sym_logical_operator] = STATE(828),
    [sym_arithmetic_operator] = STATE(828),
    [sym_unary_operator] = STATE(828),
    [sym_character_literal] = STATE(828),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1515),
    [sym_false] = ACTIONS(1515),
    [sym_maybe] = ACTIONS(1515),
    [sym_unset] = ACTIONS(1515),
    [sym_super] = ACTIONS(1515),
    [sym_self] = ACTIONS(1515),
    [sym_clone] = ACTIONS(1515),
    [sym_thisthread] = ACTIONS(1515),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1515),
    [sym_global_variable] = ACTIONS(1515),
    [sym_global_reference] = ACTIONS(1515),
    [sym_number] = ACTIONS(1515),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1515),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [393] = {
    [sym_procedure] = STATE(861),
    [sym_block] = STATE(861),
    [sym_assignment] = STATE(861),
    [sym_if] = STATE(861),
    [sym_loop] = STATE(861),
    [sym_handling] = STATE(861),
    [sym_catch] = STATE(861),
    [sym_throw] = STATE(861),
    [sym_primitive] = STATE(861),
    [sym_iterator] = STATE(861),
    [sym_while] = STATE(861),
    [sym_try] = STATE(861),
    [sym_loopbody] = STATE(861),
    [sym_leave] = STATE(861),
    [sym_continue] = STATE(861),
    [sym_protect] = STATE(861),
    [sym_lock] = STATE(861),
    [sym__literal] = STATE(861),
    [sym_string_literal] = STATE(861),
    [sym_call] = STATE(861),
    [sym_invoke] = STATE(861),
    [sym_indexed_access] = STATE(861),
    [sym_slot_accessor] = STATE(861),
    [sym_class] = STATE(861),
    [sym__expression] = STATE(861),
    [sym_return] = STATE(861),
    [sym_gather] = STATE(861),
    [sym_scatter] = STATE(861),
    [sym_allresults] = STATE(861),
    [sym_parenthesized_expression] = STATE(861),
    [sym__variable] = STATE(861),
    [sym_variable] = STATE(861),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(861),
    [sym_relational_operator] = STATE(861),
    [sym_logical_operator] = STATE(861),
    [sym_arithmetic_operator] = STATE(861),
    [sym_unary_operator] = STATE(861),
    [sym_character_literal] = STATE(861),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1517),
    [sym_false] = ACTIONS(1517),
    [sym_maybe] = ACTIONS(1517),
    [sym_unset] = ACTIONS(1517),
    [sym_super] = ACTIONS(1517),
    [sym_self] = ACTIONS(1517),
    [sym_clone] = ACTIONS(1517),
    [sym_thisthread] = ACTIONS(1517),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1517),
    [sym_global_variable] = ACTIONS(1517),
    [sym_global_reference] = ACTIONS(1517),
    [sym_number] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1517),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [394] = {
    [sym_procedure] = STATE(949),
    [sym_block] = STATE(949),
    [sym_assignment] = STATE(949),
    [sym_if] = STATE(949),
    [sym_loop] = STATE(949),
    [sym_handling] = STATE(949),
    [sym_catch] = STATE(949),
    [sym_throw] = STATE(949),
    [sym_primitive] = STATE(949),
    [sym_iterator] = STATE(949),
    [sym_while] = STATE(949),
    [sym_try] = STATE(949),
    [sym_loopbody] = STATE(949),
    [sym_leave] = STATE(949),
    [sym_continue] = STATE(949),
    [sym_protect] = STATE(949),
    [sym_lock] = STATE(949),
    [sym__literal] = STATE(949),
    [sym_string_literal] = STATE(949),
    [sym_call] = STATE(949),
    [sym_invoke] = STATE(949),
    [sym_indexed_access] = STATE(949),
    [sym_slot_accessor] = STATE(949),
    [sym_class] = STATE(949),
    [sym__expression] = STATE(949),
    [sym_return] = STATE(949),
    [sym_gather] = STATE(949),
    [sym_scatter] = STATE(949),
    [sym_allresults] = STATE(949),
    [sym_parenthesized_expression] = STATE(949),
    [sym__variable] = STATE(949),
    [sym_variable] = STATE(949),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(949),
    [sym_relational_operator] = STATE(949),
    [sym_logical_operator] = STATE(949),
    [sym_arithmetic_operator] = STATE(949),
    [sym_unary_operator] = STATE(949),
    [sym_character_literal] = STATE(949),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1519),
    [sym_false] = ACTIONS(1519),
    [sym_maybe] = ACTIONS(1519),
    [sym_unset] = ACTIONS(1519),
    [sym_super] = ACTIONS(1519),
    [sym_self] = ACTIONS(1519),
    [sym_clone] = ACTIONS(1519),
    [sym_thisthread] = ACTIONS(1519),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1519),
    [sym_global_variable] = ACTIONS(1519),
    [sym_global_reference] = ACTIONS(1519),
    [sym_number] = ACTIONS(1519),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1519),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [395] = {
    [sym_procedure] = STATE(888),
    [sym_block] = STATE(888),
    [sym_assignment] = STATE(888),
    [sym_if] = STATE(888),
    [sym_loop] = STATE(888),
    [sym_handling] = STATE(888),
    [sym_catch] = STATE(888),
    [sym_throw] = STATE(888),
    [sym_primitive] = STATE(888),
    [sym_iterator] = STATE(888),
    [sym_while] = STATE(888),
    [sym_try] = STATE(888),
    [sym_loopbody] = STATE(888),
    [sym_leave] = STATE(888),
    [sym_continue] = STATE(888),
    [sym_protect] = STATE(888),
    [sym_lock] = STATE(888),
    [sym__literal] = STATE(888),
    [sym_string_literal] = STATE(888),
    [sym_call] = STATE(888),
    [sym_invoke] = STATE(888),
    [sym_indexed_access] = STATE(888),
    [sym_slot_accessor] = STATE(888),
    [sym_class] = STATE(888),
    [sym__expression] = STATE(888),
    [sym_return] = STATE(888),
    [sym_gather] = STATE(888),
    [sym_scatter] = STATE(888),
    [sym_allresults] = STATE(888),
    [sym_parenthesized_expression] = STATE(888),
    [sym__variable] = STATE(888),
    [sym_variable] = STATE(888),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(888),
    [sym_relational_operator] = STATE(888),
    [sym_logical_operator] = STATE(888),
    [sym_arithmetic_operator] = STATE(888),
    [sym_unary_operator] = STATE(888),
    [sym_character_literal] = STATE(888),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1521),
    [sym_false] = ACTIONS(1521),
    [sym_maybe] = ACTIONS(1521),
    [sym_unset] = ACTIONS(1521),
    [sym_super] = ACTIONS(1521),
    [sym_self] = ACTIONS(1521),
    [sym_clone] = ACTIONS(1521),
    [sym_thisthread] = ACTIONS(1521),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1521),
    [sym_global_variable] = ACTIONS(1521),
    [sym_global_reference] = ACTIONS(1521),
    [sym_number] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1521),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [396] = {
    [sym_procedure] = STATE(887),
    [sym_block] = STATE(887),
    [sym_assignment] = STATE(887),
    [sym_if] = STATE(887),
    [sym_loop] = STATE(887),
    [sym_handling] = STATE(887),
    [sym_catch] = STATE(887),
    [sym_throw] = STATE(887),
    [sym_primitive] = STATE(887),
    [sym_iterator] = STATE(887),
    [sym_while] = STATE(887),
    [sym_try] = STATE(887),
    [sym_loopbody] = STATE(887),
    [sym_leave] = STATE(887),
    [sym_continue] = STATE(887),
    [sym_protect] = STATE(887),
    [sym_lock] = STATE(887),
    [sym__literal] = STATE(887),
    [sym_string_literal] = STATE(887),
    [sym_call] = STATE(887),
    [sym_invoke] = STATE(887),
    [sym_indexed_access] = STATE(887),
    [sym_slot_accessor] = STATE(887),
    [sym_class] = STATE(887),
    [sym__expression] = STATE(887),
    [sym_return] = STATE(887),
    [sym_gather] = STATE(887),
    [sym_scatter] = STATE(887),
    [sym_allresults] = STATE(887),
    [sym_parenthesized_expression] = STATE(887),
    [sym__variable] = STATE(887),
    [sym_variable] = STATE(887),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(887),
    [sym_relational_operator] = STATE(887),
    [sym_logical_operator] = STATE(887),
    [sym_arithmetic_operator] = STATE(887),
    [sym_unary_operator] = STATE(887),
    [sym_character_literal] = STATE(887),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1523),
    [sym_false] = ACTIONS(1523),
    [sym_maybe] = ACTIONS(1523),
    [sym_unset] = ACTIONS(1523),
    [sym_super] = ACTIONS(1523),
    [sym_self] = ACTIONS(1523),
    [sym_clone] = ACTIONS(1523),
    [sym_thisthread] = ACTIONS(1523),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1523),
    [sym_global_variable] = ACTIONS(1523),
    [sym_global_reference] = ACTIONS(1523),
    [sym_number] = ACTIONS(1523),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1523),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [397] = {
    [sym_procedure] = STATE(951),
    [sym_block] = STATE(951),
    [sym_assignment] = STATE(951),
    [sym_if] = STATE(951),
    [sym_loop] = STATE(951),
    [sym_handling] = STATE(951),
    [sym_catch] = STATE(951),
    [sym_throw] = STATE(951),
    [sym_primitive] = STATE(951),
    [sym_iterator] = STATE(951),
    [sym_while] = STATE(951),
    [sym_try] = STATE(951),
    [sym_loopbody] = STATE(951),
    [sym_leave] = STATE(951),
    [sym_continue] = STATE(951),
    [sym_protect] = STATE(951),
    [sym_lock] = STATE(951),
    [sym__literal] = STATE(951),
    [sym_string_literal] = STATE(951),
    [sym_call] = STATE(951),
    [sym_invoke] = STATE(951),
    [sym_indexed_access] = STATE(951),
    [sym_slot_accessor] = STATE(951),
    [sym_class] = STATE(951),
    [sym__expression] = STATE(951),
    [sym_return] = STATE(951),
    [sym_gather] = STATE(951),
    [sym_scatter] = STATE(951),
    [sym_allresults] = STATE(951),
    [sym_parenthesized_expression] = STATE(951),
    [sym__variable] = STATE(951),
    [sym_variable] = STATE(951),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(951),
    [sym_relational_operator] = STATE(951),
    [sym_logical_operator] = STATE(951),
    [sym_arithmetic_operator] = STATE(951),
    [sym_unary_operator] = STATE(951),
    [sym_character_literal] = STATE(951),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1525),
    [sym_false] = ACTIONS(1525),
    [sym_maybe] = ACTIONS(1525),
    [sym_unset] = ACTIONS(1525),
    [sym_super] = ACTIONS(1525),
    [sym_self] = ACTIONS(1525),
    [sym_clone] = ACTIONS(1525),
    [sym_thisthread] = ACTIONS(1525),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1525),
    [sym_global_variable] = ACTIONS(1525),
    [sym_global_reference] = ACTIONS(1525),
    [sym_number] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1525),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [398] = {
    [sym_procedure] = STATE(865),
    [sym_block] = STATE(865),
    [sym_assignment] = STATE(865),
    [sym_if] = STATE(865),
    [sym_loop] = STATE(865),
    [sym_handling] = STATE(865),
    [sym_catch] = STATE(865),
    [sym_throw] = STATE(865),
    [sym_primitive] = STATE(865),
    [sym_iterator] = STATE(865),
    [sym_while] = STATE(865),
    [sym_try] = STATE(865),
    [sym_loopbody] = STATE(865),
    [sym_leave] = STATE(865),
    [sym_continue] = STATE(865),
    [sym_protect] = STATE(865),
    [sym_lock] = STATE(865),
    [sym__literal] = STATE(865),
    [sym_string_literal] = STATE(865),
    [sym_call] = STATE(865),
    [sym_invoke] = STATE(865),
    [sym_indexed_access] = STATE(865),
    [sym_slot_accessor] = STATE(865),
    [sym_class] = STATE(865),
    [sym__expression] = STATE(865),
    [sym_return] = STATE(865),
    [sym_gather] = STATE(865),
    [sym_scatter] = STATE(865),
    [sym_allresults] = STATE(865),
    [sym_parenthesized_expression] = STATE(865),
    [sym__variable] = STATE(865),
    [sym_variable] = STATE(865),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(865),
    [sym_relational_operator] = STATE(865),
    [sym_logical_operator] = STATE(865),
    [sym_arithmetic_operator] = STATE(865),
    [sym_unary_operator] = STATE(865),
    [sym_character_literal] = STATE(865),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1527),
    [sym_false] = ACTIONS(1527),
    [sym_maybe] = ACTIONS(1527),
    [sym_unset] = ACTIONS(1527),
    [sym_super] = ACTIONS(1527),
    [sym_self] = ACTIONS(1527),
    [sym_clone] = ACTIONS(1527),
    [sym_thisthread] = ACTIONS(1527),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1527),
    [sym_global_variable] = ACTIONS(1527),
    [sym_global_reference] = ACTIONS(1527),
    [sym_number] = ACTIONS(1527),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1527),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [399] = {
    [sym_procedure] = STATE(891),
    [sym_block] = STATE(891),
    [sym_assignment] = STATE(891),
    [sym_if] = STATE(891),
    [sym_loop] = STATE(891),
    [sym_handling] = STATE(891),
    [sym_catch] = STATE(891),
    [sym_throw] = STATE(891),
    [sym_primitive] = STATE(891),
    [sym_iterator] = STATE(891),
    [sym_while] = STATE(891),
    [sym_try] = STATE(891),
    [sym_loopbody] = STATE(891),
    [sym_leave] = STATE(891),
    [sym_continue] = STATE(891),
    [sym_protect] = STATE(891),
    [sym_lock] = STATE(891),
    [sym__literal] = STATE(891),
    [sym_string_literal] = STATE(891),
    [sym_call] = STATE(891),
    [sym_invoke] = STATE(891),
    [sym_indexed_access] = STATE(891),
    [sym_slot_accessor] = STATE(891),
    [sym_class] = STATE(891),
    [sym__expression] = STATE(891),
    [sym_return] = STATE(891),
    [sym_gather] = STATE(891),
    [sym_scatter] = STATE(891),
    [sym_allresults] = STATE(891),
    [sym_parenthesized_expression] = STATE(891),
    [sym__variable] = STATE(891),
    [sym_variable] = STATE(891),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(891),
    [sym_relational_operator] = STATE(891),
    [sym_logical_operator] = STATE(891),
    [sym_arithmetic_operator] = STATE(891),
    [sym_unary_operator] = STATE(891),
    [sym_character_literal] = STATE(891),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1529),
    [sym_false] = ACTIONS(1529),
    [sym_maybe] = ACTIONS(1529),
    [sym_unset] = ACTIONS(1529),
    [sym_super] = ACTIONS(1529),
    [sym_self] = ACTIONS(1529),
    [sym_clone] = ACTIONS(1529),
    [sym_thisthread] = ACTIONS(1529),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1529),
    [sym_global_variable] = ACTIONS(1529),
    [sym_global_reference] = ACTIONS(1529),
    [sym_number] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [400] = {
    [sym_procedure] = STATE(886),
    [sym_block] = STATE(886),
    [sym_assignment] = STATE(886),
    [sym_if] = STATE(886),
    [sym_loop] = STATE(886),
    [sym_handling] = STATE(886),
    [sym_catch] = STATE(886),
    [sym_throw] = STATE(886),
    [sym_primitive] = STATE(886),
    [sym_iterator] = STATE(886),
    [sym_while] = STATE(886),
    [sym_try] = STATE(886),
    [sym_loopbody] = STATE(886),
    [sym_leave] = STATE(886),
    [sym_continue] = STATE(886),
    [sym_protect] = STATE(886),
    [sym_lock] = STATE(886),
    [sym__literal] = STATE(886),
    [sym_string_literal] = STATE(886),
    [sym_call] = STATE(886),
    [sym_invoke] = STATE(886),
    [sym_indexed_access] = STATE(886),
    [sym_slot_accessor] = STATE(886),
    [sym_class] = STATE(886),
    [sym__expression] = STATE(886),
    [sym_return] = STATE(886),
    [sym_gather] = STATE(886),
    [sym_scatter] = STATE(886),
    [sym_allresults] = STATE(886),
    [sym_parenthesized_expression] = STATE(886),
    [sym__variable] = STATE(886),
    [sym_variable] = STATE(886),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(886),
    [sym_relational_operator] = STATE(886),
    [sym_logical_operator] = STATE(886),
    [sym_arithmetic_operator] = STATE(886),
    [sym_unary_operator] = STATE(886),
    [sym_character_literal] = STATE(886),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1531),
    [sym_false] = ACTIONS(1531),
    [sym_maybe] = ACTIONS(1531),
    [sym_unset] = ACTIONS(1531),
    [sym_super] = ACTIONS(1531),
    [sym_self] = ACTIONS(1531),
    [sym_clone] = ACTIONS(1531),
    [sym_thisthread] = ACTIONS(1531),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1531),
    [sym_global_variable] = ACTIONS(1531),
    [sym_global_reference] = ACTIONS(1531),
    [sym_number] = ACTIONS(1531),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1531),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [401] = {
    [sym_procedure] = STATE(884),
    [sym_block] = STATE(884),
    [sym_assignment] = STATE(884),
    [sym_if] = STATE(884),
    [sym_loop] = STATE(884),
    [sym_handling] = STATE(884),
    [sym_catch] = STATE(884),
    [sym_throw] = STATE(884),
    [sym_primitive] = STATE(884),
    [sym_iterator] = STATE(884),
    [sym_while] = STATE(884),
    [sym_try] = STATE(884),
    [sym_loopbody] = STATE(884),
    [sym_leave] = STATE(884),
    [sym_continue] = STATE(884),
    [sym_protect] = STATE(884),
    [sym_lock] = STATE(884),
    [sym__literal] = STATE(884),
    [sym_string_literal] = STATE(884),
    [sym_call] = STATE(884),
    [sym_invoke] = STATE(884),
    [sym_indexed_access] = STATE(884),
    [sym_slot_accessor] = STATE(884),
    [sym_class] = STATE(884),
    [sym__expression] = STATE(884),
    [sym_return] = STATE(884),
    [sym_gather] = STATE(884),
    [sym_scatter] = STATE(884),
    [sym_allresults] = STATE(884),
    [sym_parenthesized_expression] = STATE(884),
    [sym__variable] = STATE(884),
    [sym_variable] = STATE(884),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(884),
    [sym_relational_operator] = STATE(884),
    [sym_logical_operator] = STATE(884),
    [sym_arithmetic_operator] = STATE(884),
    [sym_unary_operator] = STATE(884),
    [sym_character_literal] = STATE(884),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1533),
    [sym_false] = ACTIONS(1533),
    [sym_maybe] = ACTIONS(1533),
    [sym_unset] = ACTIONS(1533),
    [sym_super] = ACTIONS(1533),
    [sym_self] = ACTIONS(1533),
    [sym_clone] = ACTIONS(1533),
    [sym_thisthread] = ACTIONS(1533),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1533),
    [sym_global_variable] = ACTIONS(1533),
    [sym_global_reference] = ACTIONS(1533),
    [sym_number] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1533),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [402] = {
    [sym_procedure] = STATE(881),
    [sym_block] = STATE(881),
    [sym_assignment] = STATE(881),
    [sym_if] = STATE(881),
    [sym_loop] = STATE(881),
    [sym_handling] = STATE(881),
    [sym_catch] = STATE(881),
    [sym_throw] = STATE(881),
    [sym_primitive] = STATE(881),
    [sym_iterator] = STATE(881),
    [sym_while] = STATE(881),
    [sym_try] = STATE(881),
    [sym_loopbody] = STATE(881),
    [sym_leave] = STATE(881),
    [sym_continue] = STATE(881),
    [sym_protect] = STATE(881),
    [sym_lock] = STATE(881),
    [sym__literal] = STATE(881),
    [sym_string_literal] = STATE(881),
    [sym_call] = STATE(881),
    [sym_invoke] = STATE(881),
    [sym_indexed_access] = STATE(881),
    [sym_slot_accessor] = STATE(881),
    [sym_class] = STATE(881),
    [sym__expression] = STATE(881),
    [sym_return] = STATE(881),
    [sym_gather] = STATE(881),
    [sym_scatter] = STATE(881),
    [sym_allresults] = STATE(881),
    [sym_parenthesized_expression] = STATE(881),
    [sym__variable] = STATE(881),
    [sym_variable] = STATE(881),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(881),
    [sym_relational_operator] = STATE(881),
    [sym_logical_operator] = STATE(881),
    [sym_arithmetic_operator] = STATE(881),
    [sym_unary_operator] = STATE(881),
    [sym_character_literal] = STATE(881),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1535),
    [sym_false] = ACTIONS(1535),
    [sym_maybe] = ACTIONS(1535),
    [sym_unset] = ACTIONS(1535),
    [sym_super] = ACTIONS(1535),
    [sym_self] = ACTIONS(1535),
    [sym_clone] = ACTIONS(1535),
    [sym_thisthread] = ACTIONS(1535),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1535),
    [sym_global_variable] = ACTIONS(1535),
    [sym_global_reference] = ACTIONS(1535),
    [sym_number] = ACTIONS(1535),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [403] = {
    [sym_procedure] = STATE(960),
    [sym_block] = STATE(960),
    [sym_assignment] = STATE(960),
    [sym_if] = STATE(960),
    [sym_loop] = STATE(960),
    [sym_handling] = STATE(960),
    [sym_catch] = STATE(960),
    [sym_throw] = STATE(960),
    [sym_primitive] = STATE(960),
    [sym_iterator] = STATE(960),
    [sym_while] = STATE(960),
    [sym_try] = STATE(960),
    [sym_loopbody] = STATE(960),
    [sym_leave] = STATE(960),
    [sym_continue] = STATE(960),
    [sym_protect] = STATE(960),
    [sym_lock] = STATE(960),
    [sym__literal] = STATE(960),
    [sym_string_literal] = STATE(960),
    [sym_call] = STATE(960),
    [sym_invoke] = STATE(960),
    [sym_indexed_access] = STATE(960),
    [sym_slot_accessor] = STATE(960),
    [sym_class] = STATE(960),
    [sym__expression] = STATE(960),
    [sym_return] = STATE(960),
    [sym_gather] = STATE(960),
    [sym_scatter] = STATE(960),
    [sym_allresults] = STATE(960),
    [sym_parenthesized_expression] = STATE(960),
    [sym__variable] = STATE(960),
    [sym_variable] = STATE(960),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(960),
    [sym_relational_operator] = STATE(960),
    [sym_logical_operator] = STATE(960),
    [sym_arithmetic_operator] = STATE(960),
    [sym_unary_operator] = STATE(960),
    [sym_character_literal] = STATE(960),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [sym_maybe] = ACTIONS(1537),
    [sym_unset] = ACTIONS(1537),
    [sym_super] = ACTIONS(1537),
    [sym_self] = ACTIONS(1537),
    [sym_clone] = ACTIONS(1537),
    [sym_thisthread] = ACTIONS(1537),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1537),
    [sym_global_variable] = ACTIONS(1537),
    [sym_global_reference] = ACTIONS(1537),
    [sym_number] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1537),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [404] = {
    [sym_procedure] = STATE(608),
    [sym_block] = STATE(608),
    [sym_assignment] = STATE(608),
    [sym_if] = STATE(608),
    [sym_loop] = STATE(608),
    [sym_handling] = STATE(608),
    [sym_catch] = STATE(608),
    [sym_throw] = STATE(608),
    [sym_primitive] = STATE(608),
    [sym_iterator] = STATE(608),
    [sym_while] = STATE(608),
    [sym_try] = STATE(608),
    [sym_loopbody] = STATE(608),
    [sym_leave] = STATE(608),
    [sym_continue] = STATE(608),
    [sym_protect] = STATE(608),
    [sym_lock] = STATE(608),
    [sym__literal] = STATE(608),
    [sym_string_literal] = STATE(608),
    [sym_call] = STATE(608),
    [sym_invoke] = STATE(608),
    [sym_indexed_access] = STATE(608),
    [sym_slot_accessor] = STATE(608),
    [sym_class] = STATE(608),
    [sym__expression] = STATE(608),
    [sym_return] = STATE(608),
    [sym_gather] = STATE(608),
    [sym_scatter] = STATE(608),
    [sym_allresults] = STATE(608),
    [sym_parenthesized_expression] = STATE(608),
    [sym__variable] = STATE(608),
    [sym_variable] = STATE(608),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(608),
    [sym_relational_operator] = STATE(608),
    [sym_logical_operator] = STATE(608),
    [sym_arithmetic_operator] = STATE(608),
    [sym_unary_operator] = STATE(608),
    [sym_character_literal] = STATE(608),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1539),
    [sym_false] = ACTIONS(1539),
    [sym_maybe] = ACTIONS(1539),
    [sym_unset] = ACTIONS(1539),
    [sym_super] = ACTIONS(1539),
    [sym_self] = ACTIONS(1539),
    [sym_clone] = ACTIONS(1539),
    [sym_thisthread] = ACTIONS(1539),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1539),
    [sym_global_variable] = ACTIONS(1539),
    [sym_global_reference] = ACTIONS(1539),
    [sym_number] = ACTIONS(1539),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1539),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [405] = {
    [sym_procedure] = STATE(621),
    [sym_block] = STATE(621),
    [sym_assignment] = STATE(621),
    [sym_if] = STATE(621),
    [sym_loop] = STATE(621),
    [sym_handling] = STATE(621),
    [sym_catch] = STATE(621),
    [sym_throw] = STATE(621),
    [sym_primitive] = STATE(621),
    [sym_iterator] = STATE(621),
    [sym_while] = STATE(621),
    [sym_try] = STATE(621),
    [sym_loopbody] = STATE(621),
    [sym_leave] = STATE(621),
    [sym_continue] = STATE(621),
    [sym_protect] = STATE(621),
    [sym_lock] = STATE(621),
    [sym__literal] = STATE(621),
    [sym_string_literal] = STATE(621),
    [sym_call] = STATE(621),
    [sym_invoke] = STATE(621),
    [sym_indexed_access] = STATE(621),
    [sym_slot_accessor] = STATE(621),
    [sym_class] = STATE(621),
    [sym__expression] = STATE(621),
    [sym_return] = STATE(621),
    [sym_gather] = STATE(621),
    [sym_scatter] = STATE(621),
    [sym_allresults] = STATE(621),
    [sym_parenthesized_expression] = STATE(621),
    [sym__variable] = STATE(621),
    [sym_variable] = STATE(621),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(621),
    [sym_relational_operator] = STATE(621),
    [sym_logical_operator] = STATE(621),
    [sym_arithmetic_operator] = STATE(621),
    [sym_unary_operator] = STATE(621),
    [sym_character_literal] = STATE(621),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1541),
    [sym_false] = ACTIONS(1541),
    [sym_maybe] = ACTIONS(1541),
    [sym_unset] = ACTIONS(1541),
    [sym_super] = ACTIONS(1541),
    [sym_self] = ACTIONS(1541),
    [sym_clone] = ACTIONS(1541),
    [sym_thisthread] = ACTIONS(1541),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1541),
    [sym_global_variable] = ACTIONS(1541),
    [sym_global_reference] = ACTIONS(1541),
    [sym_number] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1541),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [406] = {
    [sym_procedure] = STATE(563),
    [sym_block] = STATE(563),
    [sym_assignment] = STATE(563),
    [sym_if] = STATE(563),
    [sym_loop] = STATE(563),
    [sym_handling] = STATE(563),
    [sym_catch] = STATE(563),
    [sym_throw] = STATE(563),
    [sym_primitive] = STATE(563),
    [sym_iterator] = STATE(563),
    [sym_while] = STATE(563),
    [sym_try] = STATE(563),
    [sym_loopbody] = STATE(563),
    [sym_leave] = STATE(563),
    [sym_continue] = STATE(563),
    [sym_protect] = STATE(563),
    [sym_lock] = STATE(563),
    [sym__literal] = STATE(563),
    [sym_string_literal] = STATE(563),
    [sym_call] = STATE(563),
    [sym_invoke] = STATE(563),
    [sym_indexed_access] = STATE(563),
    [sym_slot_accessor] = STATE(563),
    [sym_class] = STATE(563),
    [sym__expression] = STATE(563),
    [sym_return] = STATE(563),
    [sym_gather] = STATE(563),
    [sym_scatter] = STATE(563),
    [sym_allresults] = STATE(563),
    [sym_parenthesized_expression] = STATE(563),
    [sym__variable] = STATE(563),
    [sym_variable] = STATE(563),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(563),
    [sym_relational_operator] = STATE(563),
    [sym_logical_operator] = STATE(563),
    [sym_arithmetic_operator] = STATE(563),
    [sym_unary_operator] = STATE(563),
    [sym_character_literal] = STATE(563),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1543),
    [sym_false] = ACTIONS(1543),
    [sym_maybe] = ACTIONS(1543),
    [sym_unset] = ACTIONS(1543),
    [sym_super] = ACTIONS(1543),
    [sym_self] = ACTIONS(1543),
    [sym_clone] = ACTIONS(1543),
    [sym_thisthread] = ACTIONS(1543),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1543),
    [sym_global_variable] = ACTIONS(1543),
    [sym_global_reference] = ACTIONS(1543),
    [sym_number] = ACTIONS(1543),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1543),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [407] = {
    [sym_procedure] = STATE(585),
    [sym_block] = STATE(585),
    [sym_assignment] = STATE(585),
    [sym_if] = STATE(585),
    [sym_loop] = STATE(585),
    [sym_handling] = STATE(585),
    [sym_catch] = STATE(585),
    [sym_throw] = STATE(585),
    [sym_primitive] = STATE(585),
    [sym_iterator] = STATE(585),
    [sym_while] = STATE(585),
    [sym_try] = STATE(585),
    [sym_loopbody] = STATE(585),
    [sym_leave] = STATE(585),
    [sym_continue] = STATE(585),
    [sym_protect] = STATE(585),
    [sym_lock] = STATE(585),
    [sym__literal] = STATE(585),
    [sym_string_literal] = STATE(585),
    [sym_call] = STATE(585),
    [sym_invoke] = STATE(585),
    [sym_indexed_access] = STATE(585),
    [sym_slot_accessor] = STATE(585),
    [sym_class] = STATE(585),
    [sym__expression] = STATE(585),
    [sym_return] = STATE(585),
    [sym_gather] = STATE(585),
    [sym_scatter] = STATE(585),
    [sym_allresults] = STATE(585),
    [sym_parenthesized_expression] = STATE(585),
    [sym__variable] = STATE(585),
    [sym_variable] = STATE(585),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(585),
    [sym_relational_operator] = STATE(585),
    [sym_logical_operator] = STATE(585),
    [sym_arithmetic_operator] = STATE(585),
    [sym_unary_operator] = STATE(585),
    [sym_character_literal] = STATE(585),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [sym_maybe] = ACTIONS(1545),
    [sym_unset] = ACTIONS(1545),
    [sym_super] = ACTIONS(1545),
    [sym_self] = ACTIONS(1545),
    [sym_clone] = ACTIONS(1545),
    [sym_thisthread] = ACTIONS(1545),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1545),
    [sym_global_variable] = ACTIONS(1545),
    [sym_global_reference] = ACTIONS(1545),
    [sym_number] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1545),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [408] = {
    [sym_procedure] = STATE(626),
    [sym_block] = STATE(626),
    [sym_assignment] = STATE(626),
    [sym_if] = STATE(626),
    [sym_loop] = STATE(626),
    [sym_handling] = STATE(626),
    [sym_catch] = STATE(626),
    [sym_throw] = STATE(626),
    [sym_primitive] = STATE(626),
    [sym_iterator] = STATE(626),
    [sym_while] = STATE(626),
    [sym_try] = STATE(626),
    [sym_loopbody] = STATE(626),
    [sym_leave] = STATE(626),
    [sym_continue] = STATE(626),
    [sym_protect] = STATE(626),
    [sym_lock] = STATE(626),
    [sym__literal] = STATE(626),
    [sym_string_literal] = STATE(626),
    [sym_call] = STATE(626),
    [sym_invoke] = STATE(626),
    [sym_indexed_access] = STATE(626),
    [sym_slot_accessor] = STATE(626),
    [sym_class] = STATE(626),
    [sym__expression] = STATE(626),
    [sym_return] = STATE(626),
    [sym_gather] = STATE(626),
    [sym_scatter] = STATE(626),
    [sym_allresults] = STATE(626),
    [sym_parenthesized_expression] = STATE(626),
    [sym__variable] = STATE(626),
    [sym_variable] = STATE(626),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(626),
    [sym_relational_operator] = STATE(626),
    [sym_logical_operator] = STATE(626),
    [sym_arithmetic_operator] = STATE(626),
    [sym_unary_operator] = STATE(626),
    [sym_character_literal] = STATE(626),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1547),
    [sym_false] = ACTIONS(1547),
    [sym_maybe] = ACTIONS(1547),
    [sym_unset] = ACTIONS(1547),
    [sym_super] = ACTIONS(1547),
    [sym_self] = ACTIONS(1547),
    [sym_clone] = ACTIONS(1547),
    [sym_thisthread] = ACTIONS(1547),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1547),
    [sym_global_variable] = ACTIONS(1547),
    [sym_global_reference] = ACTIONS(1547),
    [sym_number] = ACTIONS(1547),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1547),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [409] = {
    [sym_procedure] = STATE(897),
    [sym_block] = STATE(897),
    [sym_assignment] = STATE(897),
    [sym_if] = STATE(897),
    [sym_loop] = STATE(897),
    [sym_handling] = STATE(897),
    [sym_catch] = STATE(897),
    [sym_throw] = STATE(897),
    [sym_primitive] = STATE(897),
    [sym_iterator] = STATE(897),
    [sym_while] = STATE(897),
    [sym_try] = STATE(897),
    [sym_loopbody] = STATE(897),
    [sym_leave] = STATE(897),
    [sym_continue] = STATE(897),
    [sym_protect] = STATE(897),
    [sym_lock] = STATE(897),
    [sym__literal] = STATE(897),
    [sym_string_literal] = STATE(897),
    [sym_call] = STATE(897),
    [sym_invoke] = STATE(897),
    [sym_indexed_access] = STATE(897),
    [sym_slot_accessor] = STATE(897),
    [sym_class] = STATE(897),
    [sym__expression] = STATE(897),
    [sym_return] = STATE(897),
    [sym_gather] = STATE(897),
    [sym_scatter] = STATE(897),
    [sym_allresults] = STATE(897),
    [sym_parenthesized_expression] = STATE(897),
    [sym__variable] = STATE(897),
    [sym_variable] = STATE(897),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(897),
    [sym_relational_operator] = STATE(897),
    [sym_logical_operator] = STATE(897),
    [sym_arithmetic_operator] = STATE(897),
    [sym_unary_operator] = STATE(897),
    [sym_character_literal] = STATE(897),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_maybe] = ACTIONS(1549),
    [sym_unset] = ACTIONS(1549),
    [sym_super] = ACTIONS(1549),
    [sym_self] = ACTIONS(1549),
    [sym_clone] = ACTIONS(1549),
    [sym_thisthread] = ACTIONS(1549),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1549),
    [sym_global_variable] = ACTIONS(1549),
    [sym_global_reference] = ACTIONS(1549),
    [sym_number] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1549),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [410] = {
    [sym_procedure] = STATE(925),
    [sym_block] = STATE(925),
    [sym_assignment] = STATE(925),
    [sym_if] = STATE(925),
    [sym_loop] = STATE(925),
    [sym_handling] = STATE(925),
    [sym_catch] = STATE(925),
    [sym_throw] = STATE(925),
    [sym_primitive] = STATE(925),
    [sym_iterator] = STATE(925),
    [sym_while] = STATE(925),
    [sym_try] = STATE(925),
    [sym_loopbody] = STATE(925),
    [sym_leave] = STATE(925),
    [sym_continue] = STATE(925),
    [sym_protect] = STATE(925),
    [sym_lock] = STATE(925),
    [sym__literal] = STATE(925),
    [sym_string_literal] = STATE(925),
    [sym_call] = STATE(925),
    [sym_invoke] = STATE(925),
    [sym_indexed_access] = STATE(925),
    [sym_slot_accessor] = STATE(925),
    [sym_class] = STATE(925),
    [sym__expression] = STATE(925),
    [sym_return] = STATE(925),
    [sym_gather] = STATE(925),
    [sym_scatter] = STATE(925),
    [sym_allresults] = STATE(925),
    [sym_parenthesized_expression] = STATE(925),
    [sym__variable] = STATE(925),
    [sym_variable] = STATE(925),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(925),
    [sym_relational_operator] = STATE(925),
    [sym_logical_operator] = STATE(925),
    [sym_arithmetic_operator] = STATE(925),
    [sym_unary_operator] = STATE(925),
    [sym_character_literal] = STATE(925),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1551),
    [sym_false] = ACTIONS(1551),
    [sym_maybe] = ACTIONS(1551),
    [sym_unset] = ACTIONS(1551),
    [sym_super] = ACTIONS(1551),
    [sym_self] = ACTIONS(1551),
    [sym_clone] = ACTIONS(1551),
    [sym_thisthread] = ACTIONS(1551),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1551),
    [sym_global_variable] = ACTIONS(1551),
    [sym_global_reference] = ACTIONS(1551),
    [sym_number] = ACTIONS(1551),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1551),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [411] = {
    [sym_procedure] = STATE(948),
    [sym_block] = STATE(948),
    [sym_assignment] = STATE(948),
    [sym_if] = STATE(948),
    [sym_loop] = STATE(948),
    [sym_handling] = STATE(948),
    [sym_catch] = STATE(948),
    [sym_throw] = STATE(948),
    [sym_primitive] = STATE(948),
    [sym_iterator] = STATE(948),
    [sym_while] = STATE(948),
    [sym_try] = STATE(948),
    [sym_loopbody] = STATE(948),
    [sym_leave] = STATE(948),
    [sym_continue] = STATE(948),
    [sym_protect] = STATE(948),
    [sym_lock] = STATE(948),
    [sym__literal] = STATE(948),
    [sym_string_literal] = STATE(948),
    [sym_call] = STATE(948),
    [sym_invoke] = STATE(948),
    [sym_indexed_access] = STATE(948),
    [sym_slot_accessor] = STATE(948),
    [sym_class] = STATE(948),
    [sym__expression] = STATE(948),
    [sym_return] = STATE(948),
    [sym_gather] = STATE(948),
    [sym_scatter] = STATE(948),
    [sym_allresults] = STATE(948),
    [sym_parenthesized_expression] = STATE(948),
    [sym__variable] = STATE(948),
    [sym_variable] = STATE(948),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(948),
    [sym_relational_operator] = STATE(948),
    [sym_logical_operator] = STATE(948),
    [sym_arithmetic_operator] = STATE(948),
    [sym_unary_operator] = STATE(948),
    [sym_character_literal] = STATE(948),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_maybe] = ACTIONS(1553),
    [sym_unset] = ACTIONS(1553),
    [sym_super] = ACTIONS(1553),
    [sym_self] = ACTIONS(1553),
    [sym_clone] = ACTIONS(1553),
    [sym_thisthread] = ACTIONS(1553),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1553),
    [sym_global_variable] = ACTIONS(1553),
    [sym_global_reference] = ACTIONS(1553),
    [sym_number] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1553),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [412] = {
    [sym_procedure] = STATE(618),
    [sym_block] = STATE(618),
    [sym_assignment] = STATE(618),
    [sym_if] = STATE(618),
    [sym_loop] = STATE(618),
    [sym_handling] = STATE(618),
    [sym_catch] = STATE(618),
    [sym_throw] = STATE(618),
    [sym_primitive] = STATE(618),
    [sym_iterator] = STATE(618),
    [sym_while] = STATE(618),
    [sym_try] = STATE(618),
    [sym_loopbody] = STATE(618),
    [sym_leave] = STATE(618),
    [sym_continue] = STATE(618),
    [sym_protect] = STATE(618),
    [sym_lock] = STATE(618),
    [sym__literal] = STATE(618),
    [sym_string_literal] = STATE(618),
    [sym_call] = STATE(618),
    [sym_invoke] = STATE(618),
    [sym_indexed_access] = STATE(618),
    [sym_slot_accessor] = STATE(618),
    [sym_class] = STATE(618),
    [sym__expression] = STATE(618),
    [sym_return] = STATE(618),
    [sym_gather] = STATE(618),
    [sym_scatter] = STATE(618),
    [sym_allresults] = STATE(618),
    [sym_parenthesized_expression] = STATE(618),
    [sym__variable] = STATE(618),
    [sym_variable] = STATE(618),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(618),
    [sym_relational_operator] = STATE(618),
    [sym_logical_operator] = STATE(618),
    [sym_arithmetic_operator] = STATE(618),
    [sym_unary_operator] = STATE(618),
    [sym_character_literal] = STATE(618),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1555),
    [sym_false] = ACTIONS(1555),
    [sym_maybe] = ACTIONS(1555),
    [sym_unset] = ACTIONS(1555),
    [sym_super] = ACTIONS(1555),
    [sym_self] = ACTIONS(1555),
    [sym_clone] = ACTIONS(1555),
    [sym_thisthread] = ACTIONS(1555),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1555),
    [sym_global_variable] = ACTIONS(1555),
    [sym_global_reference] = ACTIONS(1555),
    [sym_number] = ACTIONS(1555),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1555),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [413] = {
    [sym_procedure] = STATE(873),
    [sym_block] = STATE(873),
    [sym_assignment] = STATE(873),
    [sym_if] = STATE(873),
    [sym_loop] = STATE(873),
    [sym_handling] = STATE(873),
    [sym_catch] = STATE(873),
    [sym_throw] = STATE(873),
    [sym_primitive] = STATE(873),
    [sym_iterator] = STATE(873),
    [sym_while] = STATE(873),
    [sym_try] = STATE(873),
    [sym_loopbody] = STATE(873),
    [sym_leave] = STATE(873),
    [sym_continue] = STATE(873),
    [sym_protect] = STATE(873),
    [sym_lock] = STATE(873),
    [sym__literal] = STATE(873),
    [sym_string_literal] = STATE(873),
    [sym_call] = STATE(873),
    [sym_invoke] = STATE(873),
    [sym_indexed_access] = STATE(873),
    [sym_slot_accessor] = STATE(873),
    [sym_class] = STATE(873),
    [sym__expression] = STATE(873),
    [sym_return] = STATE(873),
    [sym_gather] = STATE(873),
    [sym_scatter] = STATE(873),
    [sym_allresults] = STATE(873),
    [sym_parenthesized_expression] = STATE(873),
    [sym__variable] = STATE(873),
    [sym_variable] = STATE(873),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(873),
    [sym_relational_operator] = STATE(873),
    [sym_logical_operator] = STATE(873),
    [sym_arithmetic_operator] = STATE(873),
    [sym_unary_operator] = STATE(873),
    [sym_character_literal] = STATE(873),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_maybe] = ACTIONS(1557),
    [sym_unset] = ACTIONS(1557),
    [sym_super] = ACTIONS(1557),
    [sym_self] = ACTIONS(1557),
    [sym_clone] = ACTIONS(1557),
    [sym_thisthread] = ACTIONS(1557),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1557),
    [sym_global_variable] = ACTIONS(1557),
    [sym_global_reference] = ACTIONS(1557),
    [sym_number] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1557),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [414] = {
    [sym_procedure] = STATE(872),
    [sym_block] = STATE(872),
    [sym_assignment] = STATE(872),
    [sym_if] = STATE(872),
    [sym_loop] = STATE(872),
    [sym_handling] = STATE(872),
    [sym_catch] = STATE(872),
    [sym_throw] = STATE(872),
    [sym_primitive] = STATE(872),
    [sym_iterator] = STATE(872),
    [sym_while] = STATE(872),
    [sym_try] = STATE(872),
    [sym_loopbody] = STATE(872),
    [sym_leave] = STATE(872),
    [sym_continue] = STATE(872),
    [sym_protect] = STATE(872),
    [sym_lock] = STATE(872),
    [sym__literal] = STATE(872),
    [sym_string_literal] = STATE(872),
    [sym_call] = STATE(872),
    [sym_invoke] = STATE(872),
    [sym_indexed_access] = STATE(872),
    [sym_slot_accessor] = STATE(872),
    [sym_class] = STATE(872),
    [sym__expression] = STATE(872),
    [sym_return] = STATE(872),
    [sym_gather] = STATE(872),
    [sym_scatter] = STATE(872),
    [sym_allresults] = STATE(872),
    [sym_parenthesized_expression] = STATE(872),
    [sym__variable] = STATE(872),
    [sym_variable] = STATE(872),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(872),
    [sym_relational_operator] = STATE(872),
    [sym_logical_operator] = STATE(872),
    [sym_arithmetic_operator] = STATE(872),
    [sym_unary_operator] = STATE(872),
    [sym_character_literal] = STATE(872),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(1485),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1559),
    [sym_false] = ACTIONS(1559),
    [sym_maybe] = ACTIONS(1559),
    [sym_unset] = ACTIONS(1559),
    [sym_super] = ACTIONS(1559),
    [sym_self] = ACTIONS(1559),
    [sym_clone] = ACTIONS(1559),
    [sym_thisthread] = ACTIONS(1559),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1559),
    [sym_global_variable] = ACTIONS(1559),
    [sym_global_reference] = ACTIONS(1559),
    [sym_number] = ACTIONS(1559),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1559),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [415] = {
    [sym_procedure] = STATE(622),
    [sym_block] = STATE(622),
    [sym_assignment] = STATE(622),
    [sym_if] = STATE(622),
    [sym_loop] = STATE(622),
    [sym_handling] = STATE(622),
    [sym_catch] = STATE(622),
    [sym_throw] = STATE(622),
    [sym_primitive] = STATE(622),
    [sym_iterator] = STATE(622),
    [sym_while] = STATE(622),
    [sym_try] = STATE(622),
    [sym_loopbody] = STATE(622),
    [sym_leave] = STATE(622),
    [sym_continue] = STATE(622),
    [sym_protect] = STATE(622),
    [sym_lock] = STATE(622),
    [sym__literal] = STATE(622),
    [sym_string_literal] = STATE(622),
    [sym_call] = STATE(622),
    [sym_invoke] = STATE(622),
    [sym_indexed_access] = STATE(622),
    [sym_slot_accessor] = STATE(622),
    [sym_class] = STATE(622),
    [sym__expression] = STATE(622),
    [sym_return] = STATE(622),
    [sym_gather] = STATE(622),
    [sym_scatter] = STATE(622),
    [sym_allresults] = STATE(622),
    [sym_parenthesized_expression] = STATE(622),
    [sym__variable] = STATE(622),
    [sym_variable] = STATE(622),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(622),
    [sym_relational_operator] = STATE(622),
    [sym_logical_operator] = STATE(622),
    [sym_arithmetic_operator] = STATE(622),
    [sym_unary_operator] = STATE(622),
    [sym_character_literal] = STATE(622),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_maybe] = ACTIONS(1561),
    [sym_unset] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_self] = ACTIONS(1561),
    [sym_clone] = ACTIONS(1561),
    [sym_thisthread] = ACTIONS(1561),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1561),
    [sym_global_variable] = ACTIONS(1561),
    [sym_global_reference] = ACTIONS(1561),
    [sym_number] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1561),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [416] = {
    [sym_procedure] = STATE(947),
    [sym_block] = STATE(947),
    [sym_assignment] = STATE(947),
    [sym_if] = STATE(947),
    [sym_loop] = STATE(947),
    [sym_handling] = STATE(947),
    [sym_catch] = STATE(947),
    [sym_throw] = STATE(947),
    [sym_primitive] = STATE(947),
    [sym_iterator] = STATE(947),
    [sym_while] = STATE(947),
    [sym_try] = STATE(947),
    [sym_loopbody] = STATE(947),
    [sym_leave] = STATE(947),
    [sym_continue] = STATE(947),
    [sym_protect] = STATE(947),
    [sym_lock] = STATE(947),
    [sym__literal] = STATE(947),
    [sym_string_literal] = STATE(947),
    [sym_call] = STATE(947),
    [sym_invoke] = STATE(947),
    [sym_indexed_access] = STATE(947),
    [sym_slot_accessor] = STATE(947),
    [sym_class] = STATE(947),
    [sym__expression] = STATE(947),
    [sym_return] = STATE(947),
    [sym_gather] = STATE(947),
    [sym_scatter] = STATE(947),
    [sym_allresults] = STATE(947),
    [sym_parenthesized_expression] = STATE(947),
    [sym__variable] = STATE(947),
    [sym_variable] = STATE(947),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(947),
    [sym_relational_operator] = STATE(947),
    [sym_logical_operator] = STATE(947),
    [sym_arithmetic_operator] = STATE(947),
    [sym_unary_operator] = STATE(947),
    [sym_character_literal] = STATE(947),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1563),
    [sym_false] = ACTIONS(1563),
    [sym_maybe] = ACTIONS(1563),
    [sym_unset] = ACTIONS(1563),
    [sym_super] = ACTIONS(1563),
    [sym_self] = ACTIONS(1563),
    [sym_clone] = ACTIONS(1563),
    [sym_thisthread] = ACTIONS(1563),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1563),
    [sym_global_variable] = ACTIONS(1563),
    [sym_global_reference] = ACTIONS(1563),
    [sym_number] = ACTIONS(1563),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1563),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [417] = {
    [sym_procedure] = STATE(849),
    [sym_block] = STATE(849),
    [sym_assignment] = STATE(849),
    [sym_if] = STATE(849),
    [sym_loop] = STATE(849),
    [sym_handling] = STATE(849),
    [sym_catch] = STATE(849),
    [sym_throw] = STATE(849),
    [sym_primitive] = STATE(849),
    [sym_iterator] = STATE(849),
    [sym_while] = STATE(849),
    [sym_try] = STATE(849),
    [sym_loopbody] = STATE(849),
    [sym_leave] = STATE(849),
    [sym_continue] = STATE(849),
    [sym_protect] = STATE(849),
    [sym_lock] = STATE(849),
    [sym__literal] = STATE(849),
    [sym_string_literal] = STATE(849),
    [sym_call] = STATE(849),
    [sym_invoke] = STATE(849),
    [sym_indexed_access] = STATE(849),
    [sym_slot_accessor] = STATE(849),
    [sym_class] = STATE(849),
    [sym__expression] = STATE(849),
    [sym_return] = STATE(849),
    [sym_gather] = STATE(849),
    [sym_scatter] = STATE(849),
    [sym_allresults] = STATE(849),
    [sym_parenthesized_expression] = STATE(849),
    [sym__variable] = STATE(849),
    [sym_variable] = STATE(849),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(849),
    [sym_relational_operator] = STATE(849),
    [sym_logical_operator] = STATE(849),
    [sym_arithmetic_operator] = STATE(849),
    [sym_unary_operator] = STATE(849),
    [sym_character_literal] = STATE(849),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_maybe] = ACTIONS(1565),
    [sym_unset] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_self] = ACTIONS(1565),
    [sym_clone] = ACTIONS(1565),
    [sym_thisthread] = ACTIONS(1565),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1565),
    [sym_global_variable] = ACTIONS(1565),
    [sym_global_reference] = ACTIONS(1565),
    [sym_number] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [418] = {
    [sym_procedure] = STATE(857),
    [sym_block] = STATE(857),
    [sym_assignment] = STATE(857),
    [sym_if] = STATE(857),
    [sym_loop] = STATE(857),
    [sym_handling] = STATE(857),
    [sym_catch] = STATE(857),
    [sym_throw] = STATE(857),
    [sym_primitive] = STATE(857),
    [sym_iterator] = STATE(857),
    [sym_while] = STATE(857),
    [sym_try] = STATE(857),
    [sym_loopbody] = STATE(857),
    [sym_leave] = STATE(857),
    [sym_continue] = STATE(857),
    [sym_protect] = STATE(857),
    [sym_lock] = STATE(857),
    [sym__literal] = STATE(857),
    [sym_string_literal] = STATE(857),
    [sym_call] = STATE(857),
    [sym_invoke] = STATE(857),
    [sym_indexed_access] = STATE(857),
    [sym_slot_accessor] = STATE(857),
    [sym_class] = STATE(857),
    [sym__expression] = STATE(857),
    [sym_return] = STATE(857),
    [sym_gather] = STATE(857),
    [sym_scatter] = STATE(857),
    [sym_allresults] = STATE(857),
    [sym_parenthesized_expression] = STATE(857),
    [sym__variable] = STATE(857),
    [sym_variable] = STATE(857),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(857),
    [sym_relational_operator] = STATE(857),
    [sym_logical_operator] = STATE(857),
    [sym_arithmetic_operator] = STATE(857),
    [sym_unary_operator] = STATE(857),
    [sym_character_literal] = STATE(857),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1567),
    [sym_false] = ACTIONS(1567),
    [sym_maybe] = ACTIONS(1567),
    [sym_unset] = ACTIONS(1567),
    [sym_super] = ACTIONS(1567),
    [sym_self] = ACTIONS(1567),
    [sym_clone] = ACTIONS(1567),
    [sym_thisthread] = ACTIONS(1567),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1567),
    [sym_global_variable] = ACTIONS(1567),
    [sym_global_reference] = ACTIONS(1567),
    [sym_number] = ACTIONS(1567),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [419] = {
    [sym_procedure] = STATE(877),
    [sym_block] = STATE(877),
    [sym_assignment] = STATE(877),
    [sym_if] = STATE(877),
    [sym_loop] = STATE(877),
    [sym_handling] = STATE(877),
    [sym_catch] = STATE(877),
    [sym_throw] = STATE(877),
    [sym_primitive] = STATE(877),
    [sym_iterator] = STATE(877),
    [sym_while] = STATE(877),
    [sym_try] = STATE(877),
    [sym_loopbody] = STATE(877),
    [sym_leave] = STATE(877),
    [sym_continue] = STATE(877),
    [sym_protect] = STATE(877),
    [sym_lock] = STATE(877),
    [sym__literal] = STATE(877),
    [sym_string_literal] = STATE(877),
    [sym_call] = STATE(877),
    [sym_invoke] = STATE(877),
    [sym_indexed_access] = STATE(877),
    [sym_slot_accessor] = STATE(877),
    [sym_class] = STATE(877),
    [sym__expression] = STATE(877),
    [sym_return] = STATE(877),
    [sym_gather] = STATE(877),
    [sym_scatter] = STATE(877),
    [sym_allresults] = STATE(877),
    [sym_parenthesized_expression] = STATE(877),
    [sym__variable] = STATE(877),
    [sym_variable] = STATE(877),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(877),
    [sym_relational_operator] = STATE(877),
    [sym_logical_operator] = STATE(877),
    [sym_arithmetic_operator] = STATE(877),
    [sym_unary_operator] = STATE(877),
    [sym_character_literal] = STATE(877),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_maybe] = ACTIONS(1569),
    [sym_unset] = ACTIONS(1569),
    [sym_super] = ACTIONS(1569),
    [sym_self] = ACTIONS(1569),
    [sym_clone] = ACTIONS(1569),
    [sym_thisthread] = ACTIONS(1569),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1569),
    [sym_global_variable] = ACTIONS(1569),
    [sym_global_reference] = ACTIONS(1569),
    [sym_number] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1569),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [420] = {
    [sym_procedure] = STATE(850),
    [sym_block] = STATE(850),
    [sym_assignment] = STATE(850),
    [sym_if] = STATE(850),
    [sym_loop] = STATE(850),
    [sym_handling] = STATE(850),
    [sym_catch] = STATE(850),
    [sym_throw] = STATE(850),
    [sym_primitive] = STATE(850),
    [sym_iterator] = STATE(850),
    [sym_while] = STATE(850),
    [sym_try] = STATE(850),
    [sym_loopbody] = STATE(850),
    [sym_leave] = STATE(850),
    [sym_continue] = STATE(850),
    [sym_protect] = STATE(850),
    [sym_lock] = STATE(850),
    [sym__literal] = STATE(850),
    [sym_string_literal] = STATE(850),
    [sym_call] = STATE(850),
    [sym_invoke] = STATE(850),
    [sym_indexed_access] = STATE(850),
    [sym_slot_accessor] = STATE(850),
    [sym_class] = STATE(850),
    [sym__expression] = STATE(850),
    [sym_return] = STATE(850),
    [sym_gather] = STATE(850),
    [sym_scatter] = STATE(850),
    [sym_allresults] = STATE(850),
    [sym_parenthesized_expression] = STATE(850),
    [sym__variable] = STATE(850),
    [sym_variable] = STATE(850),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(850),
    [sym_relational_operator] = STATE(850),
    [sym_logical_operator] = STATE(850),
    [sym_arithmetic_operator] = STATE(850),
    [sym_unary_operator] = STATE(850),
    [sym_character_literal] = STATE(850),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1571),
    [sym_false] = ACTIONS(1571),
    [sym_maybe] = ACTIONS(1571),
    [sym_unset] = ACTIONS(1571),
    [sym_super] = ACTIONS(1571),
    [sym_self] = ACTIONS(1571),
    [sym_clone] = ACTIONS(1571),
    [sym_thisthread] = ACTIONS(1571),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1571),
    [sym_global_variable] = ACTIONS(1571),
    [sym_global_reference] = ACTIONS(1571),
    [sym_number] = ACTIONS(1571),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1571),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [421] = {
    [sym_procedure] = STATE(946),
    [sym_block] = STATE(946),
    [sym_assignment] = STATE(946),
    [sym_if] = STATE(946),
    [sym_loop] = STATE(946),
    [sym_handling] = STATE(946),
    [sym_catch] = STATE(946),
    [sym_throw] = STATE(946),
    [sym_primitive] = STATE(946),
    [sym_iterator] = STATE(946),
    [sym_while] = STATE(946),
    [sym_try] = STATE(946),
    [sym_loopbody] = STATE(946),
    [sym_leave] = STATE(946),
    [sym_continue] = STATE(946),
    [sym_protect] = STATE(946),
    [sym_lock] = STATE(946),
    [sym__literal] = STATE(946),
    [sym_string_literal] = STATE(946),
    [sym_call] = STATE(946),
    [sym_invoke] = STATE(946),
    [sym_indexed_access] = STATE(946),
    [sym_slot_accessor] = STATE(946),
    [sym_class] = STATE(946),
    [sym__expression] = STATE(946),
    [sym_return] = STATE(946),
    [sym_gather] = STATE(946),
    [sym_scatter] = STATE(946),
    [sym_allresults] = STATE(946),
    [sym_parenthesized_expression] = STATE(946),
    [sym__variable] = STATE(946),
    [sym_variable] = STATE(946),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(946),
    [sym_relational_operator] = STATE(946),
    [sym_logical_operator] = STATE(946),
    [sym_arithmetic_operator] = STATE(946),
    [sym_unary_operator] = STATE(946),
    [sym_character_literal] = STATE(946),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1573),
    [sym_false] = ACTIONS(1573),
    [sym_maybe] = ACTIONS(1573),
    [sym_unset] = ACTIONS(1573),
    [sym_super] = ACTIONS(1573),
    [sym_self] = ACTIONS(1573),
    [sym_clone] = ACTIONS(1573),
    [sym_thisthread] = ACTIONS(1573),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1573),
    [sym_global_variable] = ACTIONS(1573),
    [sym_global_reference] = ACTIONS(1573),
    [sym_number] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1573),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [422] = {
    [sym_procedure] = STATE(954),
    [sym_block] = STATE(954),
    [sym_assignment] = STATE(954),
    [sym_if] = STATE(954),
    [sym_loop] = STATE(954),
    [sym_handling] = STATE(954),
    [sym_catch] = STATE(954),
    [sym_throw] = STATE(954),
    [sym_primitive] = STATE(954),
    [sym_iterator] = STATE(954),
    [sym_while] = STATE(954),
    [sym_try] = STATE(954),
    [sym_loopbody] = STATE(954),
    [sym_leave] = STATE(954),
    [sym_continue] = STATE(954),
    [sym_protect] = STATE(954),
    [sym_lock] = STATE(954),
    [sym__literal] = STATE(954),
    [sym_string_literal] = STATE(954),
    [sym_call] = STATE(954),
    [sym_invoke] = STATE(954),
    [sym_indexed_access] = STATE(954),
    [sym_slot_accessor] = STATE(954),
    [sym_class] = STATE(954),
    [sym__expression] = STATE(954),
    [sym_return] = STATE(954),
    [sym_gather] = STATE(954),
    [sym_scatter] = STATE(954),
    [sym_allresults] = STATE(954),
    [sym_parenthesized_expression] = STATE(954),
    [sym__variable] = STATE(954),
    [sym_variable] = STATE(954),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(954),
    [sym_relational_operator] = STATE(954),
    [sym_logical_operator] = STATE(954),
    [sym_arithmetic_operator] = STATE(954),
    [sym_unary_operator] = STATE(954),
    [sym_character_literal] = STATE(954),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [sym_maybe] = ACTIONS(1575),
    [sym_unset] = ACTIONS(1575),
    [sym_super] = ACTIONS(1575),
    [sym_self] = ACTIONS(1575),
    [sym_clone] = ACTIONS(1575),
    [sym_thisthread] = ACTIONS(1575),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1575),
    [sym_global_variable] = ACTIONS(1575),
    [sym_global_reference] = ACTIONS(1575),
    [sym_number] = ACTIONS(1575),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [423] = {
    [sym_procedure] = STATE(855),
    [sym_block] = STATE(855),
    [sym_assignment] = STATE(855),
    [sym_if] = STATE(855),
    [sym_loop] = STATE(855),
    [sym_handling] = STATE(855),
    [sym_catch] = STATE(855),
    [sym_throw] = STATE(855),
    [sym_primitive] = STATE(855),
    [sym_iterator] = STATE(855),
    [sym_while] = STATE(855),
    [sym_try] = STATE(855),
    [sym_loopbody] = STATE(855),
    [sym_leave] = STATE(855),
    [sym_continue] = STATE(855),
    [sym_protect] = STATE(855),
    [sym_lock] = STATE(855),
    [sym__literal] = STATE(855),
    [sym_string_literal] = STATE(855),
    [sym_call] = STATE(855),
    [sym_invoke] = STATE(855),
    [sym_indexed_access] = STATE(855),
    [sym_slot_accessor] = STATE(855),
    [sym_class] = STATE(855),
    [sym__expression] = STATE(855),
    [sym_return] = STATE(855),
    [sym_gather] = STATE(855),
    [sym_scatter] = STATE(855),
    [sym_allresults] = STATE(855),
    [sym_parenthesized_expression] = STATE(855),
    [sym__variable] = STATE(855),
    [sym_variable] = STATE(855),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(855),
    [sym_relational_operator] = STATE(855),
    [sym_logical_operator] = STATE(855),
    [sym_arithmetic_operator] = STATE(855),
    [sym_unary_operator] = STATE(855),
    [sym_character_literal] = STATE(855),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym__gather] = ACTIONS(267),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(269),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(273),
    [anon_sym__continue] = ACTIONS(275),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1577),
    [sym_false] = ACTIONS(1577),
    [sym_maybe] = ACTIONS(1577),
    [sym_unset] = ACTIONS(1577),
    [sym_super] = ACTIONS(1577),
    [sym_self] = ACTIONS(1577),
    [sym_clone] = ACTIONS(1577),
    [sym_thisthread] = ACTIONS(1577),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(283),
    [anon_sym__allresults] = ACTIONS(285),
    [sym_dynamic_variable] = ACTIONS(1577),
    [sym_global_variable] = ACTIONS(1577),
    [sym_global_reference] = ACTIONS(1577),
    [sym_number] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(289),
    [anon_sym_PLUS] = ACTIONS(289),
    [anon_sym__not] = ACTIONS(289),
    [anon_sym_TILDE] = ACTIONS(289),
    [sym_symbol] = ACTIONS(1577),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [424] = {
    [sym_procedure] = STATE(952),
    [sym_block] = STATE(952),
    [sym_assignment] = STATE(952),
    [sym_if] = STATE(952),
    [sym_loop] = STATE(952),
    [sym_handling] = STATE(952),
    [sym_catch] = STATE(952),
    [sym_throw] = STATE(952),
    [sym_primitive] = STATE(952),
    [sym_iterator] = STATE(952),
    [sym_while] = STATE(952),
    [sym_try] = STATE(952),
    [sym_loopbody] = STATE(952),
    [sym_leave] = STATE(952),
    [sym_continue] = STATE(952),
    [sym_protect] = STATE(952),
    [sym_lock] = STATE(952),
    [sym__literal] = STATE(952),
    [sym_string_literal] = STATE(952),
    [sym_call] = STATE(952),
    [sym_invoke] = STATE(952),
    [sym_indexed_access] = STATE(952),
    [sym_slot_accessor] = STATE(952),
    [sym_class] = STATE(952),
    [sym__expression] = STATE(952),
    [sym_return] = STATE(952),
    [sym_gather] = STATE(952),
    [sym_scatter] = STATE(952),
    [sym_allresults] = STATE(952),
    [sym_parenthesized_expression] = STATE(952),
    [sym__variable] = STATE(952),
    [sym_variable] = STATE(952),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(952),
    [sym_relational_operator] = STATE(952),
    [sym_logical_operator] = STATE(952),
    [sym_arithmetic_operator] = STATE(952),
    [sym_unary_operator] = STATE(952),
    [sym_character_literal] = STATE(952),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1579),
    [sym_false] = ACTIONS(1579),
    [sym_maybe] = ACTIONS(1579),
    [sym_unset] = ACTIONS(1579),
    [sym_super] = ACTIONS(1579),
    [sym_self] = ACTIONS(1579),
    [sym_clone] = ACTIONS(1579),
    [sym_thisthread] = ACTIONS(1579),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1579),
    [sym_global_variable] = ACTIONS(1579),
    [sym_global_reference] = ACTIONS(1579),
    [sym_number] = ACTIONS(1579),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [425] = {
    [sym_procedure] = STATE(958),
    [sym_block] = STATE(958),
    [sym_assignment] = STATE(958),
    [sym_if] = STATE(958),
    [sym_loop] = STATE(958),
    [sym_handling] = STATE(958),
    [sym_catch] = STATE(958),
    [sym_throw] = STATE(958),
    [sym_primitive] = STATE(958),
    [sym_iterator] = STATE(958),
    [sym_while] = STATE(958),
    [sym_try] = STATE(958),
    [sym_loopbody] = STATE(958),
    [sym_leave] = STATE(958),
    [sym_continue] = STATE(958),
    [sym_protect] = STATE(958),
    [sym_lock] = STATE(958),
    [sym__literal] = STATE(958),
    [sym_string_literal] = STATE(958),
    [sym_call] = STATE(958),
    [sym_invoke] = STATE(958),
    [sym_indexed_access] = STATE(958),
    [sym_slot_accessor] = STATE(958),
    [sym_class] = STATE(958),
    [sym__expression] = STATE(958),
    [sym_return] = STATE(958),
    [sym_gather] = STATE(958),
    [sym_scatter] = STATE(958),
    [sym_allresults] = STATE(958),
    [sym_parenthesized_expression] = STATE(958),
    [sym__variable] = STATE(958),
    [sym_variable] = STATE(958),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(958),
    [sym_relational_operator] = STATE(958),
    [sym_logical_operator] = STATE(958),
    [sym_arithmetic_operator] = STATE(958),
    [sym_unary_operator] = STATE(958),
    [sym_character_literal] = STATE(958),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [sym_maybe] = ACTIONS(1581),
    [sym_unset] = ACTIONS(1581),
    [sym_super] = ACTIONS(1581),
    [sym_self] = ACTIONS(1581),
    [sym_clone] = ACTIONS(1581),
    [sym_thisthread] = ACTIONS(1581),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1581),
    [sym_global_variable] = ACTIONS(1581),
    [sym_global_reference] = ACTIONS(1581),
    [sym_number] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [426] = {
    [sym_procedure] = STATE(625),
    [sym_block] = STATE(625),
    [sym_assignment] = STATE(625),
    [sym_if] = STATE(625),
    [sym_loop] = STATE(625),
    [sym_handling] = STATE(625),
    [sym_catch] = STATE(625),
    [sym_throw] = STATE(625),
    [sym_primitive] = STATE(625),
    [sym_iterator] = STATE(625),
    [sym_while] = STATE(625),
    [sym_try] = STATE(625),
    [sym_loopbody] = STATE(625),
    [sym_leave] = STATE(625),
    [sym_continue] = STATE(625),
    [sym_protect] = STATE(625),
    [sym_lock] = STATE(625),
    [sym__literal] = STATE(625),
    [sym_string_literal] = STATE(625),
    [sym_call] = STATE(625),
    [sym_invoke] = STATE(625),
    [sym_indexed_access] = STATE(625),
    [sym_slot_accessor] = STATE(625),
    [sym_class] = STATE(625),
    [sym__expression] = STATE(625),
    [sym_return] = STATE(625),
    [sym_gather] = STATE(625),
    [sym_scatter] = STATE(625),
    [sym_allresults] = STATE(625),
    [sym_parenthesized_expression] = STATE(625),
    [sym__variable] = STATE(625),
    [sym_variable] = STATE(625),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(625),
    [sym_relational_operator] = STATE(625),
    [sym_logical_operator] = STATE(625),
    [sym_arithmetic_operator] = STATE(625),
    [sym_unary_operator] = STATE(625),
    [sym_character_literal] = STATE(625),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1583),
    [sym_false] = ACTIONS(1583),
    [sym_maybe] = ACTIONS(1583),
    [sym_unset] = ACTIONS(1583),
    [sym_super] = ACTIONS(1583),
    [sym_self] = ACTIONS(1583),
    [sym_clone] = ACTIONS(1583),
    [sym_thisthread] = ACTIONS(1583),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1583),
    [sym_global_variable] = ACTIONS(1583),
    [sym_global_reference] = ACTIONS(1583),
    [sym_number] = ACTIONS(1583),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [427] = {
    [sym_procedure] = STATE(831),
    [sym_block] = STATE(831),
    [sym_assignment] = STATE(831),
    [sym_if] = STATE(831),
    [sym_loop] = STATE(831),
    [sym_handling] = STATE(831),
    [sym_catch] = STATE(831),
    [sym_throw] = STATE(831),
    [sym_primitive] = STATE(831),
    [sym_iterator] = STATE(831),
    [sym_while] = STATE(831),
    [sym_try] = STATE(831),
    [sym_loopbody] = STATE(831),
    [sym_leave] = STATE(831),
    [sym_continue] = STATE(831),
    [sym_protect] = STATE(831),
    [sym_lock] = STATE(831),
    [sym__literal] = STATE(831),
    [sym_string_literal] = STATE(831),
    [sym_call] = STATE(831),
    [sym_invoke] = STATE(831),
    [sym_indexed_access] = STATE(831),
    [sym_slot_accessor] = STATE(831),
    [sym_class] = STATE(831),
    [sym__expression] = STATE(831),
    [sym_return] = STATE(831),
    [sym_gather] = STATE(831),
    [sym_scatter] = STATE(831),
    [sym_allresults] = STATE(831),
    [sym_parenthesized_expression] = STATE(831),
    [sym__variable] = STATE(831),
    [sym_variable] = STATE(831),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(831),
    [sym_relational_operator] = STATE(831),
    [sym_logical_operator] = STATE(831),
    [sym_arithmetic_operator] = STATE(831),
    [sym_unary_operator] = STATE(831),
    [sym_character_literal] = STATE(831),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1201),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1203),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1207),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1585),
    [sym_false] = ACTIONS(1585),
    [sym_maybe] = ACTIONS(1585),
    [sym_unset] = ACTIONS(1585),
    [sym_super] = ACTIONS(1585),
    [sym_self] = ACTIONS(1585),
    [sym_clone] = ACTIONS(1585),
    [sym_thisthread] = ACTIONS(1585),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym__scatter] = ACTIONS(1215),
    [anon_sym__allresults] = ACTIONS(1217),
    [sym_dynamic_variable] = ACTIONS(1585),
    [sym_global_variable] = ACTIONS(1585),
    [sym_global_reference] = ACTIONS(1585),
    [sym_number] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1219),
    [anon_sym__not] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [sym_symbol] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [428] = {
    [sym_procedure] = STATE(955),
    [sym_block] = STATE(955),
    [sym_assignment] = STATE(955),
    [sym_if] = STATE(955),
    [sym_loop] = STATE(955),
    [sym_handling] = STATE(955),
    [sym_catch] = STATE(955),
    [sym_throw] = STATE(955),
    [sym_primitive] = STATE(955),
    [sym_iterator] = STATE(955),
    [sym_while] = STATE(955),
    [sym_try] = STATE(955),
    [sym_loopbody] = STATE(955),
    [sym_leave] = STATE(955),
    [sym_continue] = STATE(955),
    [sym_protect] = STATE(955),
    [sym_lock] = STATE(955),
    [sym__literal] = STATE(955),
    [sym_string_literal] = STATE(955),
    [sym_call] = STATE(955),
    [sym_invoke] = STATE(955),
    [sym_indexed_access] = STATE(955),
    [sym_slot_accessor] = STATE(955),
    [sym_class] = STATE(955),
    [sym__expression] = STATE(955),
    [sym_return] = STATE(955),
    [sym_gather] = STATE(955),
    [sym_scatter] = STATE(955),
    [sym_allresults] = STATE(955),
    [sym_parenthesized_expression] = STATE(955),
    [sym__variable] = STATE(955),
    [sym_variable] = STATE(955),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(955),
    [sym_relational_operator] = STATE(955),
    [sym_logical_operator] = STATE(955),
    [sym_arithmetic_operator] = STATE(955),
    [sym_unary_operator] = STATE(955),
    [sym_character_literal] = STATE(955),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1587),
    [sym_false] = ACTIONS(1587),
    [sym_maybe] = ACTIONS(1587),
    [sym_unset] = ACTIONS(1587),
    [sym_super] = ACTIONS(1587),
    [sym_self] = ACTIONS(1587),
    [sym_clone] = ACTIONS(1587),
    [sym_thisthread] = ACTIONS(1587),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1587),
    [sym_global_variable] = ACTIONS(1587),
    [sym_global_reference] = ACTIONS(1587),
    [sym_number] = ACTIONS(1587),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [429] = {
    [sym_procedure] = STATE(953),
    [sym_block] = STATE(953),
    [sym_assignment] = STATE(953),
    [sym_if] = STATE(953),
    [sym_loop] = STATE(953),
    [sym_handling] = STATE(953),
    [sym_catch] = STATE(953),
    [sym_throw] = STATE(953),
    [sym_primitive] = STATE(953),
    [sym_iterator] = STATE(953),
    [sym_while] = STATE(953),
    [sym_try] = STATE(953),
    [sym_loopbody] = STATE(953),
    [sym_leave] = STATE(953),
    [sym_continue] = STATE(953),
    [sym_protect] = STATE(953),
    [sym_lock] = STATE(953),
    [sym__literal] = STATE(953),
    [sym_string_literal] = STATE(953),
    [sym_call] = STATE(953),
    [sym_invoke] = STATE(953),
    [sym_indexed_access] = STATE(953),
    [sym_slot_accessor] = STATE(953),
    [sym_class] = STATE(953),
    [sym__expression] = STATE(953),
    [sym_return] = STATE(953),
    [sym_gather] = STATE(953),
    [sym_scatter] = STATE(953),
    [sym_allresults] = STATE(953),
    [sym_parenthesized_expression] = STATE(953),
    [sym__variable] = STATE(953),
    [sym_variable] = STATE(953),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(953),
    [sym_relational_operator] = STATE(953),
    [sym_logical_operator] = STATE(953),
    [sym_arithmetic_operator] = STATE(953),
    [sym_unary_operator] = STATE(953),
    [sym_character_literal] = STATE(953),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1589),
    [sym_false] = ACTIONS(1589),
    [sym_maybe] = ACTIONS(1589),
    [sym_unset] = ACTIONS(1589),
    [sym_super] = ACTIONS(1589),
    [sym_self] = ACTIONS(1589),
    [sym_clone] = ACTIONS(1589),
    [sym_thisthread] = ACTIONS(1589),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1589),
    [sym_global_variable] = ACTIONS(1589),
    [sym_global_reference] = ACTIONS(1589),
    [sym_number] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1589),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [430] = {
    [sym_procedure] = STATE(581),
    [sym_block] = STATE(581),
    [sym_assignment] = STATE(581),
    [sym_if] = STATE(581),
    [sym_loop] = STATE(581),
    [sym_handling] = STATE(581),
    [sym_catch] = STATE(581),
    [sym_throw] = STATE(581),
    [sym_primitive] = STATE(581),
    [sym_iterator] = STATE(581),
    [sym_while] = STATE(581),
    [sym_try] = STATE(581),
    [sym_loopbody] = STATE(581),
    [sym_leave] = STATE(581),
    [sym_continue] = STATE(581),
    [sym_protect] = STATE(581),
    [sym_lock] = STATE(581),
    [sym__literal] = STATE(581),
    [sym_string_literal] = STATE(581),
    [sym_call] = STATE(581),
    [sym_invoke] = STATE(581),
    [sym_indexed_access] = STATE(581),
    [sym_slot_accessor] = STATE(581),
    [sym_class] = STATE(581),
    [sym__expression] = STATE(581),
    [sym_return] = STATE(581),
    [sym_gather] = STATE(581),
    [sym_scatter] = STATE(581),
    [sym_allresults] = STATE(581),
    [sym_parenthesized_expression] = STATE(581),
    [sym__variable] = STATE(581),
    [sym_variable] = STATE(581),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(581),
    [sym_relational_operator] = STATE(581),
    [sym_logical_operator] = STATE(581),
    [sym_arithmetic_operator] = STATE(581),
    [sym_unary_operator] = STATE(581),
    [sym_character_literal] = STATE(581),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1127),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1129),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(1133),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1135),
    [anon_sym__continue] = ACTIONS(1137),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1591),
    [sym_false] = ACTIONS(1591),
    [sym_maybe] = ACTIONS(1591),
    [sym_unset] = ACTIONS(1591),
    [sym_super] = ACTIONS(1591),
    [sym_self] = ACTIONS(1591),
    [sym_clone] = ACTIONS(1591),
    [sym_thisthread] = ACTIONS(1591),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(1141),
    [anon_sym_GT_GT] = ACTIONS(1143),
    [anon_sym__scatter] = ACTIONS(1145),
    [anon_sym__allresults] = ACTIONS(1147),
    [sym_dynamic_variable] = ACTIONS(1591),
    [sym_global_variable] = ACTIONS(1591),
    [sym_global_reference] = ACTIONS(1591),
    [sym_number] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym__not] = ACTIONS(1149),
    [anon_sym_TILDE] = ACTIONS(1149),
    [sym_symbol] = ACTIONS(1591),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [431] = {
    [sym_procedure] = STATE(854),
    [sym_block] = STATE(854),
    [sym_assignment] = STATE(854),
    [sym_if] = STATE(854),
    [sym_loop] = STATE(854),
    [sym_handling] = STATE(854),
    [sym_catch] = STATE(854),
    [sym_throw] = STATE(854),
    [sym_primitive] = STATE(854),
    [sym_iterator] = STATE(854),
    [sym_while] = STATE(854),
    [sym_try] = STATE(854),
    [sym_loopbody] = STATE(854),
    [sym_leave] = STATE(854),
    [sym_continue] = STATE(854),
    [sym_protect] = STATE(854),
    [sym_lock] = STATE(854),
    [sym__literal] = STATE(854),
    [sym_string_literal] = STATE(854),
    [sym_call] = STATE(854),
    [sym_invoke] = STATE(854),
    [sym_indexed_access] = STATE(854),
    [sym_slot_accessor] = STATE(854),
    [sym_class] = STATE(854),
    [sym__expression] = STATE(854),
    [sym_return] = STATE(854),
    [sym_gather] = STATE(854),
    [sym_scatter] = STATE(854),
    [sym_allresults] = STATE(854),
    [sym_parenthesized_expression] = STATE(854),
    [sym__variable] = STATE(854),
    [sym_variable] = STATE(854),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(854),
    [sym_relational_operator] = STATE(854),
    [sym_logical_operator] = STATE(854),
    [sym_arithmetic_operator] = STATE(854),
    [sym_unary_operator] = STATE(854),
    [sym_character_literal] = STATE(854),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_maybe] = ACTIONS(1593),
    [sym_unset] = ACTIONS(1593),
    [sym_super] = ACTIONS(1593),
    [sym_self] = ACTIONS(1593),
    [sym_clone] = ACTIONS(1593),
    [sym_thisthread] = ACTIONS(1593),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1593),
    [sym_global_variable] = ACTIONS(1593),
    [sym_global_reference] = ACTIONS(1593),
    [sym_number] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1593),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [432] = {
    [sym_procedure] = STATE(594),
    [sym_block] = STATE(594),
    [sym_assignment] = STATE(594),
    [sym_if] = STATE(594),
    [sym_loop] = STATE(594),
    [sym_handling] = STATE(594),
    [sym_catch] = STATE(594),
    [sym_throw] = STATE(594),
    [sym_primitive] = STATE(594),
    [sym_iterator] = STATE(594),
    [sym_while] = STATE(594),
    [sym_try] = STATE(594),
    [sym_loopbody] = STATE(594),
    [sym_leave] = STATE(594),
    [sym_continue] = STATE(594),
    [sym_protect] = STATE(594),
    [sym_lock] = STATE(594),
    [sym__literal] = STATE(594),
    [sym_string_literal] = STATE(594),
    [sym_call] = STATE(594),
    [sym_invoke] = STATE(594),
    [sym_indexed_access] = STATE(594),
    [sym_slot_accessor] = STATE(594),
    [sym_class] = STATE(594),
    [sym__expression] = STATE(594),
    [sym_return] = STATE(594),
    [sym_gather] = STATE(594),
    [sym_scatter] = STATE(594),
    [sym_allresults] = STATE(594),
    [sym_parenthesized_expression] = STATE(594),
    [sym__variable] = STATE(594),
    [sym_variable] = STATE(594),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(594),
    [sym_relational_operator] = STATE(594),
    [sym_logical_operator] = STATE(594),
    [sym_arithmetic_operator] = STATE(594),
    [sym_unary_operator] = STATE(594),
    [sym_character_literal] = STATE(594),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1595),
    [sym_false] = ACTIONS(1595),
    [sym_maybe] = ACTIONS(1595),
    [sym_unset] = ACTIONS(1595),
    [sym_super] = ACTIONS(1595),
    [sym_self] = ACTIONS(1595),
    [sym_clone] = ACTIONS(1595),
    [sym_thisthread] = ACTIONS(1595),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1595),
    [sym_global_variable] = ACTIONS(1595),
    [sym_global_reference] = ACTIONS(1595),
    [sym_number] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [433] = {
    [sym_procedure] = STATE(956),
    [sym_block] = STATE(956),
    [sym_assignment] = STATE(956),
    [sym_if] = STATE(956),
    [sym_loop] = STATE(956),
    [sym_handling] = STATE(956),
    [sym_catch] = STATE(956),
    [sym_throw] = STATE(956),
    [sym_primitive] = STATE(956),
    [sym_iterator] = STATE(956),
    [sym_while] = STATE(956),
    [sym_try] = STATE(956),
    [sym_loopbody] = STATE(956),
    [sym_leave] = STATE(956),
    [sym_continue] = STATE(956),
    [sym_protect] = STATE(956),
    [sym_lock] = STATE(956),
    [sym__literal] = STATE(956),
    [sym_string_literal] = STATE(956),
    [sym_call] = STATE(956),
    [sym_invoke] = STATE(956),
    [sym_indexed_access] = STATE(956),
    [sym_slot_accessor] = STATE(956),
    [sym_class] = STATE(956),
    [sym__expression] = STATE(956),
    [sym_return] = STATE(956),
    [sym_gather] = STATE(956),
    [sym_scatter] = STATE(956),
    [sym_allresults] = STATE(956),
    [sym_parenthesized_expression] = STATE(956),
    [sym__variable] = STATE(956),
    [sym_variable] = STATE(956),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(956),
    [sym_relational_operator] = STATE(956),
    [sym_logical_operator] = STATE(956),
    [sym_arithmetic_operator] = STATE(956),
    [sym_unary_operator] = STATE(956),
    [sym_character_literal] = STATE(956),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(1075),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(1077),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(271),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(1079),
    [anon_sym__continue] = ACTIONS(1081),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1597),
    [sym_false] = ACTIONS(1597),
    [sym_maybe] = ACTIONS(1597),
    [sym_unset] = ACTIONS(1597),
    [sym_super] = ACTIONS(1597),
    [sym_self] = ACTIONS(1597),
    [sym_clone] = ACTIONS(1597),
    [sym_thisthread] = ACTIONS(1597),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(279),
    [anon_sym_GT_GT] = ACTIONS(281),
    [anon_sym__scatter] = ACTIONS(1087),
    [anon_sym__allresults] = ACTIONS(1089),
    [sym_dynamic_variable] = ACTIONS(1597),
    [sym_global_variable] = ACTIONS(1597),
    [sym_global_reference] = ACTIONS(1597),
    [sym_number] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1091),
    [anon_sym__not] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [sym_symbol] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [434] = {
    [sym_procedure] = STATE(591),
    [sym_block] = STATE(591),
    [sym_assignment] = STATE(591),
    [sym_if] = STATE(591),
    [sym_loop] = STATE(591),
    [sym_handling] = STATE(591),
    [sym_catch] = STATE(591),
    [sym_throw] = STATE(591),
    [sym_primitive] = STATE(591),
    [sym_iterator] = STATE(591),
    [sym_while] = STATE(591),
    [sym_try] = STATE(591),
    [sym_loopbody] = STATE(591),
    [sym_leave] = STATE(591),
    [sym_continue] = STATE(591),
    [sym_protect] = STATE(591),
    [sym_lock] = STATE(591),
    [sym__literal] = STATE(591),
    [sym_string_literal] = STATE(591),
    [sym_call] = STATE(591),
    [sym_invoke] = STATE(591),
    [sym_indexed_access] = STATE(591),
    [sym_slot_accessor] = STATE(591),
    [sym_class] = STATE(591),
    [sym__expression] = STATE(591),
    [sym_return] = STATE(591),
    [sym_gather] = STATE(591),
    [sym_scatter] = STATE(591),
    [sym_allresults] = STATE(591),
    [sym_parenthesized_expression] = STATE(591),
    [sym__variable] = STATE(591),
    [sym_variable] = STATE(591),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(591),
    [sym_relational_operator] = STATE(591),
    [sym_logical_operator] = STATE(591),
    [sym_arithmetic_operator] = STATE(591),
    [sym_unary_operator] = STATE(591),
    [sym_character_literal] = STATE(591),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(1109),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1111),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1113),
    [anon_sym__continue] = ACTIONS(1115),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1599),
    [sym_false] = ACTIONS(1599),
    [sym_maybe] = ACTIONS(1599),
    [sym_unset] = ACTIONS(1599),
    [sym_super] = ACTIONS(1599),
    [sym_self] = ACTIONS(1599),
    [sym_clone] = ACTIONS(1599),
    [sym_thisthread] = ACTIONS(1599),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(1119),
    [anon_sym__allresults] = ACTIONS(1121),
    [sym_dynamic_variable] = ACTIONS(1599),
    [sym_global_variable] = ACTIONS(1599),
    [sym_global_reference] = ACTIONS(1599),
    [sym_number] = ACTIONS(1599),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1123),
    [anon_sym__not] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [sym_symbol] = ACTIONS(1599),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [435] = {
    [sym_procedure] = STATE(807),
    [sym_block] = STATE(807),
    [sym_assignment] = STATE(807),
    [sym_if] = STATE(807),
    [sym_loop] = STATE(807),
    [sym_handling] = STATE(807),
    [sym_catch] = STATE(807),
    [sym_throw] = STATE(807),
    [sym_primitive] = STATE(807),
    [sym_iterator] = STATE(807),
    [sym_while] = STATE(807),
    [sym_try] = STATE(807),
    [sym_loopbody] = STATE(807),
    [sym_leave] = STATE(807),
    [sym_continue] = STATE(807),
    [sym_protect] = STATE(807),
    [sym_lock] = STATE(807),
    [sym__literal] = STATE(807),
    [sym_string_literal] = STATE(807),
    [sym_call] = STATE(807),
    [sym_invoke] = STATE(807),
    [sym_indexed_access] = STATE(807),
    [sym_slot_accessor] = STATE(807),
    [sym_class] = STATE(807),
    [sym__expression] = STATE(807),
    [sym_return] = STATE(807),
    [sym_gather] = STATE(807),
    [sym_scatter] = STATE(807),
    [sym_allresults] = STATE(807),
    [sym_parenthesized_expression] = STATE(807),
    [sym__variable] = STATE(807),
    [sym_variable] = STATE(807),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(807),
    [sym_relational_operator] = STATE(807),
    [sym_logical_operator] = STATE(807),
    [sym_arithmetic_operator] = STATE(807),
    [sym_unary_operator] = STATE(807),
    [sym_character_literal] = STATE(807),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1319),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1601),
    [sym_false] = ACTIONS(1601),
    [sym_maybe] = ACTIONS(1601),
    [sym_unset] = ACTIONS(1601),
    [sym_super] = ACTIONS(1601),
    [sym_self] = ACTIONS(1601),
    [sym_clone] = ACTIONS(1601),
    [sym_thisthread] = ACTIONS(1601),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1601),
    [sym_global_variable] = ACTIONS(1601),
    [sym_global_reference] = ACTIONS(1601),
    [sym_number] = ACTIONS(1601),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1601),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [436] = {
    [sym_procedure] = STATE(619),
    [sym_block] = STATE(619),
    [sym_assignment] = STATE(619),
    [sym_if] = STATE(619),
    [sym_loop] = STATE(619),
    [sym_handling] = STATE(619),
    [sym_catch] = STATE(619),
    [sym_throw] = STATE(619),
    [sym_primitive] = STATE(619),
    [sym_iterator] = STATE(619),
    [sym_while] = STATE(619),
    [sym_try] = STATE(619),
    [sym_loopbody] = STATE(619),
    [sym_leave] = STATE(619),
    [sym_continue] = STATE(619),
    [sym_protect] = STATE(619),
    [sym_lock] = STATE(619),
    [sym__literal] = STATE(619),
    [sym_string_literal] = STATE(619),
    [sym_call] = STATE(619),
    [sym_invoke] = STATE(619),
    [sym_indexed_access] = STATE(619),
    [sym_slot_accessor] = STATE(619),
    [sym_class] = STATE(619),
    [sym__expression] = STATE(619),
    [sym_return] = STATE(619),
    [sym_gather] = STATE(619),
    [sym_scatter] = STATE(619),
    [sym_allresults] = STATE(619),
    [sym_parenthesized_expression] = STATE(619),
    [sym__variable] = STATE(619),
    [sym_variable] = STATE(619),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(619),
    [sym_relational_operator] = STATE(619),
    [sym_logical_operator] = STATE(619),
    [sym_arithmetic_operator] = STATE(619),
    [sym_unary_operator] = STATE(619),
    [sym_character_literal] = STATE(619),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1603),
    [sym_false] = ACTIONS(1603),
    [sym_maybe] = ACTIONS(1603),
    [sym_unset] = ACTIONS(1603),
    [sym_super] = ACTIONS(1603),
    [sym_self] = ACTIONS(1603),
    [sym_clone] = ACTIONS(1603),
    [sym_thisthread] = ACTIONS(1603),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1603),
    [sym_global_variable] = ACTIONS(1603),
    [sym_global_reference] = ACTIONS(1603),
    [sym_number] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1603),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [437] = {
    [sym_procedure] = STATE(806),
    [sym_block] = STATE(806),
    [sym_assignment] = STATE(806),
    [sym_if] = STATE(806),
    [sym_loop] = STATE(806),
    [sym_handling] = STATE(806),
    [sym_catch] = STATE(806),
    [sym_throw] = STATE(806),
    [sym_primitive] = STATE(806),
    [sym_iterator] = STATE(806),
    [sym_while] = STATE(806),
    [sym_try] = STATE(806),
    [sym_loopbody] = STATE(806),
    [sym_leave] = STATE(806),
    [sym_continue] = STATE(806),
    [sym_protect] = STATE(806),
    [sym_lock] = STATE(806),
    [sym__literal] = STATE(806),
    [sym_string_literal] = STATE(806),
    [sym_call] = STATE(806),
    [sym_invoke] = STATE(806),
    [sym_indexed_access] = STATE(806),
    [sym_slot_accessor] = STATE(806),
    [sym_class] = STATE(806),
    [sym__expression] = STATE(806),
    [sym_return] = STATE(806),
    [sym_gather] = STATE(806),
    [sym_scatter] = STATE(806),
    [sym_allresults] = STATE(806),
    [sym_parenthesized_expression] = STATE(806),
    [sym__variable] = STATE(806),
    [sym_variable] = STATE(806),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(806),
    [sym_relational_operator] = STATE(806),
    [sym_logical_operator] = STATE(806),
    [sym_arithmetic_operator] = STATE(806),
    [sym_unary_operator] = STATE(806),
    [sym_character_literal] = STATE(806),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1605),
    [sym_false] = ACTIONS(1605),
    [sym_maybe] = ACTIONS(1605),
    [sym_unset] = ACTIONS(1605),
    [sym_super] = ACTIONS(1605),
    [sym_self] = ACTIONS(1605),
    [sym_clone] = ACTIONS(1605),
    [sym_thisthread] = ACTIONS(1605),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1605),
    [sym_global_variable] = ACTIONS(1605),
    [sym_global_reference] = ACTIONS(1605),
    [sym_number] = ACTIONS(1605),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1605),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [438] = {
    [sym_procedure] = STATE(883),
    [sym_block] = STATE(883),
    [sym_assignment] = STATE(883),
    [sym_if] = STATE(883),
    [sym_loop] = STATE(883),
    [sym_handling] = STATE(883),
    [sym_catch] = STATE(883),
    [sym_throw] = STATE(883),
    [sym_primitive] = STATE(883),
    [sym_iterator] = STATE(883),
    [sym_while] = STATE(883),
    [sym_try] = STATE(883),
    [sym_loopbody] = STATE(883),
    [sym_leave] = STATE(883),
    [sym_continue] = STATE(883),
    [sym_protect] = STATE(883),
    [sym_lock] = STATE(883),
    [sym__literal] = STATE(883),
    [sym_string_literal] = STATE(883),
    [sym_call] = STATE(883),
    [sym_invoke] = STATE(883),
    [sym_indexed_access] = STATE(883),
    [sym_slot_accessor] = STATE(883),
    [sym_class] = STATE(883),
    [sym__expression] = STATE(883),
    [sym_return] = STATE(883),
    [sym_gather] = STATE(883),
    [sym_scatter] = STATE(883),
    [sym_allresults] = STATE(883),
    [sym_parenthesized_expression] = STATE(883),
    [sym__variable] = STATE(883),
    [sym_variable] = STATE(883),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(883),
    [sym_relational_operator] = STATE(883),
    [sym_logical_operator] = STATE(883),
    [sym_arithmetic_operator] = STATE(883),
    [sym_unary_operator] = STATE(883),
    [sym_character_literal] = STATE(883),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [sym_maybe] = ACTIONS(1607),
    [sym_unset] = ACTIONS(1607),
    [sym_super] = ACTIONS(1607),
    [sym_self] = ACTIONS(1607),
    [sym_clone] = ACTIONS(1607),
    [sym_thisthread] = ACTIONS(1607),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1607),
    [sym_global_variable] = ACTIONS(1607),
    [sym_global_reference] = ACTIONS(1607),
    [sym_number] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1607),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [439] = {
    [sym_procedure] = STATE(803),
    [sym_block] = STATE(803),
    [sym_assignment] = STATE(803),
    [sym_if] = STATE(803),
    [sym_loop] = STATE(803),
    [sym_handling] = STATE(803),
    [sym_catch] = STATE(803),
    [sym_throw] = STATE(803),
    [sym_primitive] = STATE(803),
    [sym_iterator] = STATE(803),
    [sym_while] = STATE(803),
    [sym_try] = STATE(803),
    [sym_loopbody] = STATE(803),
    [sym_leave] = STATE(803),
    [sym_continue] = STATE(803),
    [sym_protect] = STATE(803),
    [sym_lock] = STATE(803),
    [sym__literal] = STATE(803),
    [sym_string_literal] = STATE(803),
    [sym_call] = STATE(803),
    [sym_invoke] = STATE(803),
    [sym_indexed_access] = STATE(803),
    [sym_slot_accessor] = STATE(803),
    [sym_class] = STATE(803),
    [sym__expression] = STATE(803),
    [sym_return] = STATE(803),
    [sym_gather] = STATE(803),
    [sym_scatter] = STATE(803),
    [sym_allresults] = STATE(803),
    [sym_parenthesized_expression] = STATE(803),
    [sym__variable] = STATE(803),
    [sym_variable] = STATE(803),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(803),
    [sym_relational_operator] = STATE(803),
    [sym_logical_operator] = STATE(803),
    [sym_arithmetic_operator] = STATE(803),
    [sym_unary_operator] = STATE(803),
    [sym_character_literal] = STATE(803),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1609),
    [sym_false] = ACTIONS(1609),
    [sym_maybe] = ACTIONS(1609),
    [sym_unset] = ACTIONS(1609),
    [sym_super] = ACTIONS(1609),
    [sym_self] = ACTIONS(1609),
    [sym_clone] = ACTIONS(1609),
    [sym_thisthread] = ACTIONS(1609),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1609),
    [sym_global_variable] = ACTIONS(1609),
    [sym_global_reference] = ACTIONS(1609),
    [sym_number] = ACTIONS(1609),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1609),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [440] = {
    [sym_procedure] = STATE(624),
    [sym_block] = STATE(624),
    [sym_assignment] = STATE(624),
    [sym_if] = STATE(624),
    [sym_loop] = STATE(624),
    [sym_handling] = STATE(624),
    [sym_catch] = STATE(624),
    [sym_throw] = STATE(624),
    [sym_primitive] = STATE(624),
    [sym_iterator] = STATE(624),
    [sym_while] = STATE(624),
    [sym_try] = STATE(624),
    [sym_loopbody] = STATE(624),
    [sym_leave] = STATE(624),
    [sym_continue] = STATE(624),
    [sym_protect] = STATE(624),
    [sym_lock] = STATE(624),
    [sym__literal] = STATE(624),
    [sym_string_literal] = STATE(624),
    [sym_call] = STATE(624),
    [sym_invoke] = STATE(624),
    [sym_indexed_access] = STATE(624),
    [sym_slot_accessor] = STATE(624),
    [sym_class] = STATE(624),
    [sym__expression] = STATE(624),
    [sym_return] = STATE(624),
    [sym_gather] = STATE(624),
    [sym_scatter] = STATE(624),
    [sym_allresults] = STATE(624),
    [sym_parenthesized_expression] = STATE(624),
    [sym__variable] = STATE(624),
    [sym_variable] = STATE(624),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(624),
    [sym_relational_operator] = STATE(624),
    [sym_logical_operator] = STATE(624),
    [sym_arithmetic_operator] = STATE(624),
    [sym_unary_operator] = STATE(624),
    [sym_character_literal] = STATE(624),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(23),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(33),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(37),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(51),
    [anon_sym__continue] = ACTIONS(53),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1611),
    [sym_false] = ACTIONS(1611),
    [sym_maybe] = ACTIONS(1611),
    [sym_unset] = ACTIONS(1611),
    [sym_super] = ACTIONS(1611),
    [sym_self] = ACTIONS(1611),
    [sym_clone] = ACTIONS(1611),
    [sym_thisthread] = ACTIONS(1611),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(73),
    [anon_sym_GT_GT] = ACTIONS(75),
    [anon_sym__scatter] = ACTIONS(77),
    [anon_sym__allresults] = ACTIONS(79),
    [sym_dynamic_variable] = ACTIONS(1611),
    [sym_global_variable] = ACTIONS(1611),
    [sym_global_reference] = ACTIONS(1611),
    [sym_number] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(83),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym__not] = ACTIONS(83),
    [anon_sym_TILDE] = ACTIONS(83),
    [sym_symbol] = ACTIONS(1611),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [441] = {
    [sym_procedure] = STATE(802),
    [sym_block] = STATE(802),
    [sym_assignment] = STATE(802),
    [sym_if] = STATE(802),
    [sym_loop] = STATE(802),
    [sym_handling] = STATE(802),
    [sym_catch] = STATE(802),
    [sym_throw] = STATE(802),
    [sym_primitive] = STATE(802),
    [sym_iterator] = STATE(802),
    [sym_while] = STATE(802),
    [sym_try] = STATE(802),
    [sym_loopbody] = STATE(802),
    [sym_leave] = STATE(802),
    [sym_continue] = STATE(802),
    [sym_protect] = STATE(802),
    [sym_lock] = STATE(802),
    [sym__literal] = STATE(802),
    [sym_string_literal] = STATE(802),
    [sym_call] = STATE(802),
    [sym_invoke] = STATE(802),
    [sym_indexed_access] = STATE(802),
    [sym_slot_accessor] = STATE(802),
    [sym_class] = STATE(802),
    [sym__expression] = STATE(802),
    [sym_return] = STATE(802),
    [sym_gather] = STATE(802),
    [sym_scatter] = STATE(802),
    [sym_allresults] = STATE(802),
    [sym_parenthesized_expression] = STATE(802),
    [sym__variable] = STATE(802),
    [sym_variable] = STATE(802),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(802),
    [sym_relational_operator] = STATE(802),
    [sym_logical_operator] = STATE(802),
    [sym_arithmetic_operator] = STATE(802),
    [sym_unary_operator] = STATE(802),
    [sym_character_literal] = STATE(802),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(1295),
    [anon_sym__gather] = ACTIONS(1181),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(1183),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(1185),
    [anon_sym__continue] = ACTIONS(1187),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1613),
    [sym_false] = ACTIONS(1613),
    [sym_maybe] = ACTIONS(1613),
    [sym_unset] = ACTIONS(1613),
    [sym_super] = ACTIONS(1613),
    [sym_self] = ACTIONS(1613),
    [sym_clone] = ACTIONS(1613),
    [sym_thisthread] = ACTIONS(1613),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(1191),
    [anon_sym__allresults] = ACTIONS(1193),
    [sym_dynamic_variable] = ACTIONS(1613),
    [sym_global_variable] = ACTIONS(1613),
    [sym_global_reference] = ACTIONS(1613),
    [sym_number] = ACTIONS(1613),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym__not] = ACTIONS(1195),
    [anon_sym_TILDE] = ACTIONS(1195),
    [sym_symbol] = ACTIONS(1613),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [442] = {
    [sym_procedure] = STATE(895),
    [sym_block] = STATE(895),
    [sym_assignment] = STATE(895),
    [sym_if] = STATE(895),
    [sym_loop] = STATE(895),
    [sym_handling] = STATE(895),
    [sym_catch] = STATE(895),
    [sym_throw] = STATE(895),
    [sym_primitive] = STATE(895),
    [sym_iterator] = STATE(895),
    [sym_while] = STATE(895),
    [sym_try] = STATE(895),
    [sym_loopbody] = STATE(895),
    [sym_leave] = STATE(895),
    [sym_continue] = STATE(895),
    [sym_protect] = STATE(895),
    [sym_lock] = STATE(895),
    [sym__literal] = STATE(895),
    [sym_string_literal] = STATE(895),
    [sym_call] = STATE(895),
    [sym_invoke] = STATE(895),
    [sym_indexed_access] = STATE(895),
    [sym_slot_accessor] = STATE(895),
    [sym_class] = STATE(895),
    [sym__expression] = STATE(895),
    [sym_return] = STATE(895),
    [sym_gather] = STATE(895),
    [sym_scatter] = STATE(895),
    [sym_allresults] = STATE(895),
    [sym_parenthesized_expression] = STATE(895),
    [sym__variable] = STATE(895),
    [sym_variable] = STATE(895),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(895),
    [sym_relational_operator] = STATE(895),
    [sym_logical_operator] = STATE(895),
    [sym_arithmetic_operator] = STATE(895),
    [sym_unary_operator] = STATE(895),
    [sym_character_literal] = STATE(895),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1615),
    [sym_false] = ACTIONS(1615),
    [sym_maybe] = ACTIONS(1615),
    [sym_unset] = ACTIONS(1615),
    [sym_super] = ACTIONS(1615),
    [sym_self] = ACTIONS(1615),
    [sym_clone] = ACTIONS(1615),
    [sym_thisthread] = ACTIONS(1615),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1615),
    [sym_global_variable] = ACTIONS(1615),
    [sym_global_reference] = ACTIONS(1615),
    [sym_number] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1615),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [443] = {
    [sym_procedure] = STATE(896),
    [sym_block] = STATE(896),
    [sym_assignment] = STATE(896),
    [sym_if] = STATE(896),
    [sym_loop] = STATE(896),
    [sym_handling] = STATE(896),
    [sym_catch] = STATE(896),
    [sym_throw] = STATE(896),
    [sym_primitive] = STATE(896),
    [sym_iterator] = STATE(896),
    [sym_while] = STATE(896),
    [sym_try] = STATE(896),
    [sym_loopbody] = STATE(896),
    [sym_leave] = STATE(896),
    [sym_continue] = STATE(896),
    [sym_protect] = STATE(896),
    [sym_lock] = STATE(896),
    [sym__literal] = STATE(896),
    [sym_string_literal] = STATE(896),
    [sym_call] = STATE(896),
    [sym_invoke] = STATE(896),
    [sym_indexed_access] = STATE(896),
    [sym_slot_accessor] = STATE(896),
    [sym_class] = STATE(896),
    [sym__expression] = STATE(896),
    [sym_return] = STATE(896),
    [sym_gather] = STATE(896),
    [sym_scatter] = STATE(896),
    [sym_allresults] = STATE(896),
    [sym_parenthesized_expression] = STATE(896),
    [sym__variable] = STATE(896),
    [sym_variable] = STATE(896),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(896),
    [sym_relational_operator] = STATE(896),
    [sym_logical_operator] = STATE(896),
    [sym_arithmetic_operator] = STATE(896),
    [sym_unary_operator] = STATE(896),
    [sym_character_literal] = STATE(896),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1617),
    [sym_false] = ACTIONS(1617),
    [sym_maybe] = ACTIONS(1617),
    [sym_unset] = ACTIONS(1617),
    [sym_super] = ACTIONS(1617),
    [sym_self] = ACTIONS(1617),
    [sym_clone] = ACTIONS(1617),
    [sym_thisthread] = ACTIONS(1617),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1617),
    [sym_global_variable] = ACTIONS(1617),
    [sym_global_reference] = ACTIONS(1617),
    [sym_number] = ACTIONS(1617),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1617),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [444] = {
    [sym_procedure] = STATE(734),
    [sym_block] = STATE(734),
    [sym_assignment] = STATE(734),
    [sym_if] = STATE(734),
    [sym_loop] = STATE(734),
    [sym_handling] = STATE(734),
    [sym_catch] = STATE(734),
    [sym_throw] = STATE(734),
    [sym_primitive] = STATE(734),
    [sym_iterator] = STATE(734),
    [sym_while] = STATE(734),
    [sym_try] = STATE(734),
    [sym_loopbody] = STATE(734),
    [sym_leave] = STATE(734),
    [sym_continue] = STATE(734),
    [sym_protect] = STATE(734),
    [sym_lock] = STATE(734),
    [sym__literal] = STATE(734),
    [sym_string_literal] = STATE(734),
    [sym_call] = STATE(734),
    [sym_invoke] = STATE(734),
    [sym_indexed_access] = STATE(734),
    [sym_slot_accessor] = STATE(734),
    [sym_class] = STATE(734),
    [sym__expression] = STATE(734),
    [sym_return] = STATE(734),
    [sym_gather] = STATE(734),
    [sym_scatter] = STATE(734),
    [sym_allresults] = STATE(734),
    [sym_parenthesized_expression] = STATE(734),
    [sym__variable] = STATE(734),
    [sym_variable] = STATE(734),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(734),
    [sym_relational_operator] = STATE(734),
    [sym_logical_operator] = STATE(734),
    [sym_arithmetic_operator] = STATE(734),
    [sym_unary_operator] = STATE(734),
    [sym_character_literal] = STATE(734),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1619),
    [sym_false] = ACTIONS(1619),
    [sym_maybe] = ACTIONS(1619),
    [sym_unset] = ACTIONS(1619),
    [sym_super] = ACTIONS(1619),
    [sym_self] = ACTIONS(1619),
    [sym_clone] = ACTIONS(1619),
    [sym_thisthread] = ACTIONS(1619),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1619),
    [sym_global_variable] = ACTIONS(1619),
    [sym_global_reference] = ACTIONS(1619),
    [sym_number] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1619),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [445] = {
    [sym_procedure] = STATE(889),
    [sym_block] = STATE(889),
    [sym_assignment] = STATE(889),
    [sym_if] = STATE(889),
    [sym_loop] = STATE(889),
    [sym_handling] = STATE(889),
    [sym_catch] = STATE(889),
    [sym_throw] = STATE(889),
    [sym_primitive] = STATE(889),
    [sym_iterator] = STATE(889),
    [sym_while] = STATE(889),
    [sym_try] = STATE(889),
    [sym_loopbody] = STATE(889),
    [sym_leave] = STATE(889),
    [sym_continue] = STATE(889),
    [sym_protect] = STATE(889),
    [sym_lock] = STATE(889),
    [sym__literal] = STATE(889),
    [sym_string_literal] = STATE(889),
    [sym_call] = STATE(889),
    [sym_invoke] = STATE(889),
    [sym_indexed_access] = STATE(889),
    [sym_slot_accessor] = STATE(889),
    [sym_class] = STATE(889),
    [sym__expression] = STATE(889),
    [sym_return] = STATE(889),
    [sym_gather] = STATE(889),
    [sym_scatter] = STATE(889),
    [sym_allresults] = STATE(889),
    [sym_parenthesized_expression] = STATE(889),
    [sym__variable] = STATE(889),
    [sym_variable] = STATE(889),
    [sym__identifier] = STATE(513),
    [sym_vector] = STATE(889),
    [sym_relational_operator] = STATE(889),
    [sym_logical_operator] = STATE(889),
    [sym_arithmetic_operator] = STATE(889),
    [sym_unary_operator] = STATE(889),
    [sym_character_literal] = STATE(889),
    [anon_sym__iter] = ACTIONS(313),
    [anon_sym_DOT] = ACTIONS(19),
    [anon_sym_LPAREN] = ACTIONS(21),
    [anon_sym__gather] = ACTIONS(831),
    [anon_sym__proc] = ACTIONS(25),
    [anon_sym__block] = ACTIONS(27),
    [anon_sym__if] = ACTIONS(29),
    [anon_sym__loop] = ACTIONS(31),
    [anon_sym__handling] = ACTIONS(833),
    [anon_sym__catch] = ACTIONS(35),
    [anon_sym__throw] = ACTIONS(835),
    [anon_sym__primitive] = ACTIONS(39),
    [anon_sym__for] = ACTIONS(41),
    [anon_sym__over] = ACTIONS(43),
    [anon_sym__while] = ACTIONS(45),
    [anon_sym__try] = ACTIONS(47),
    [anon_sym__loopbody] = ACTIONS(49),
    [anon_sym__leave] = ACTIONS(837),
    [anon_sym__continue] = ACTIONS(839),
    [anon_sym__protect] = ACTIONS(55),
    [anon_sym__lock] = ACTIONS(57),
    [anon_sym_DQUOTE] = ACTIONS(61),
    [anon_sym_SQUOTE] = ACTIONS(63),
    [aux_sym_slot_accessor_token1] = ACTIONS(65),
    [sym_true] = ACTIONS(1621),
    [sym_false] = ACTIONS(1621),
    [sym_maybe] = ACTIONS(1621),
    [sym_unset] = ACTIONS(1621),
    [sym_super] = ACTIONS(1621),
    [sym_self] = ACTIONS(1621),
    [sym_clone] = ACTIONS(1621),
    [sym_thisthread] = ACTIONS(1621),
    [anon_sym__class] = ACTIONS(69),
    [anon_sym__return] = ACTIONS(853),
    [anon_sym_GT_GT] = ACTIONS(855),
    [anon_sym__scatter] = ACTIONS(857),
    [anon_sym__allresults] = ACTIONS(859),
    [sym_dynamic_variable] = ACTIONS(1621),
    [sym_global_variable] = ACTIONS(1621),
    [sym_global_reference] = ACTIONS(1621),
    [sym_number] = ACTIONS(1621),
    [anon_sym_LBRACE] = ACTIONS(81),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym__not] = ACTIONS(861),
    [anon_sym_TILDE] = ACTIONS(861),
    [sym_symbol] = ACTIONS(1621),
    [anon_sym_PERCENT] = ACTIONS(85),
    [sym_comment] = ACTIONS(87),
  },
  [446] = {
    [sym_procedure] = STATE(686),
    [sym_block] = STATE(686),
    [sym_assignment] = STATE(686),
    [sym_if] = STATE(686),
    [sym_loop] = STATE(686),
    [sym_handling] = STATE(686),
    [sym_catch] = STATE(686),
    [sym_throw] = STATE(686),
    [sym_primitive] = STATE(686),
    [sym_iterator] = STATE(686),
    [sym_while] = STATE(686),
    [sym_try] = STATE(686),
    [sym_loopbody] = STATE(686),
    [sym_leave] = STATE(686),
    [sym_continue] = STATE(686),
    [sym_protect] = STATE(686),
    [sym_lock] = STATE(686),
    [sym__literal] = STATE(686),
    [sym_string_literal] = STATE(686),
    [sym_call] = STATE(686),
    [sym_invoke] = STATE(686),
    [sym_indexed_access] = STATE(686),
    [sym_slot_accessor] = STATE(686),
    [sym_class] = STATE(686),
    [sym__expression] = STATE(686),
    [sym_return] = STATE(686),
    [sym_gather] = STATE(686),
    [sym_scatter] = STATE(686),
    [sym_allresults] = STATE(686),
    [sym_parenthesized_expression] = STATE(686),
    [sym__variable] = STATE(686),
    [sym_variable] = STATE(686),
    [sym__identifier] = STATE(768),
    [sym_vector] = STATE(686),
    [sym_relational_operator] = STATE(686),
    [sym_logical_operator] = STATE(686),
    [sym_arithmetic_operator] = STATE(686),
    [sym_unary_operator] = STATE(686),
    [sym_character_literal] = STATE(686),
    [anon_sym__iter] = ACTIONS(177),
    [anon_sym_DOT] = ACTIONS(179),
    [anon_sym_LPAREN] = ACTIONS(181),
    [anon_sym__gather] = ACTIONS(183),
    [anon_sym__proc] = ACTIONS(187),
    [anon_sym__block] = ACTIONS(189),
    [anon_sym__if] = ACTIONS(191),
    [anon_sym__loop] = ACTIONS(193),
    [anon_sym__handling] = ACTIONS(195),
    [anon_sym__catch] = ACTIONS(197),
    [anon_sym__throw] = ACTIONS(199),
    [anon_sym__primitive] = ACTIONS(201),
    [anon_sym__for] = ACTIONS(203),
    [anon_sym__over] = ACTIONS(205),
    [anon_sym__while] = ACTIONS(207),
    [anon_sym__try] = ACTIONS(209),
    [anon_sym__loopbody] = ACTIONS(211),
    [anon_sym__leave] = ACTIONS(213),
    [anon_sym__continue] = ACTIONS(215),
    [anon_sym__protect] = ACTIONS(217),
    [anon_sym__lock] = ACTIONS(219),
    [anon_sym_DQUOTE] = ACTIONS(221),
    [anon_sym_SQUOTE] = ACTIONS(223),
    [aux_sym_slot_accessor_token1] = ACTIONS(225),
    [sym_true] = ACTIONS(1623),
    [sym_false] = ACTIONS(1623),
    [sym_maybe] = ACTIONS(1623),
    [sym_unset] = ACTIONS(1623),
    [sym_super] = ACTIONS(1623),
    [sym_self] = ACTIONS(1623),
    [sym_clone] = ACTIONS(1623),
    [sym_thisthread] = ACTIONS(1623),
    [anon_sym__class] = ACTIONS(229),
    [anon_sym__return] = ACTIONS(231),
    [anon_sym_GT_GT] = ACTIONS(233),
    [anon_sym__scatter] = ACTIONS(235),
    [anon_sym__allresults] = ACTIONS(237),
    [sym_dynamic_variable] = ACTIONS(1623),
    [sym_global_variable] = ACTIONS(1623),
    [sym_global_reference] = ACTIONS(1623),
    [sym_number] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(239),
    [anon_sym_DASH] = ACTIONS(243),
    [anon_sym_PLUS] = ACTIONS(243),
    [anon_sym__not] = ACTIONS(243),
    [anon_sym_TILDE] = ACTIONS(243),
    [sym_symbol] = ACTIONS(1623),
    [anon_sym_PERCENT] = ACTIONS(245),
    [sym_comment] = ACTIONS(87),
  },
  [447] = {
    [anon_sym__iter] = ACTIONS(1625),
    [anon_sym_DOT] = ACTIONS(1625),
    [anon_sym_LPAREN] = ACTIONS(1625),
    [anon_sym__gather] = ACTIONS(1625),
    [anon_sym__endmethod] = ACTIONS(1625),
    [anon_sym__proc] = ACTIONS(1625),
    [anon_sym__endproc] = ACTIONS(1625),
    [anon_sym__block] = ACTIONS(1625),
    [anon_sym__endblock] = ACTIONS(1625),
    [anon_sym__if] = ACTIONS(1625),
    [anon_sym__endif] = ACTIONS(1625),
    [anon_sym__elif] = ACTIONS(1625),
    [anon_sym__else] = ACTIONS(1625),
    [anon_sym__loop] = ACTIONS(1627),
    [anon_sym__endloop] = ACTIONS(1625),
    [anon_sym__finally] = ACTIONS(1625),
    [anon_sym__handling] = ACTIONS(1625),
    [anon_sym__catch] = ACTIONS(1625),
    [anon_sym__endcatch] = ACTIONS(1625),
    [anon_sym__throw] = ACTIONS(1625),
    [anon_sym__primitive] = ACTIONS(1625),
    [anon_sym__for] = ACTIONS(1625),
    [anon_sym__over] = ACTIONS(1625),
    [anon_sym__while] = ACTIONS(1625),
    [anon_sym__try] = ACTIONS(1625),
    [anon_sym__when] = ACTIONS(1625),
    [anon_sym__endtry] = ACTIONS(1625),
    [anon_sym__loopbody] = ACTIONS(1625),
    [anon_sym__leave] = ACTIONS(1625),
    [anon_sym__continue] = ACTIONS(1625),
    [anon_sym__protect] = ACTIONS(1625),
    [anon_sym__endprotect] = ACTIONS(1625),
    [anon_sym__lock] = ACTIONS(1625),
    [anon_sym__endlock] = ACTIONS(1625),
    [anon_sym_DQUOTE] = ACTIONS(1625),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [aux_sym_slot_accessor_token1] = ACTIONS(1627),
    [sym_true] = ACTIONS(1625),
    [sym_false] = ACTIONS(1625),
    [sym_maybe] = ACTIONS(1625),
    [sym_unset] = ACTIONS(1625),
    [sym_super] = ACTIONS(1625),
    [sym_self] = ACTIONS(1625),
    [sym_clone] = ACTIONS(1625),
    [sym_thisthread] = ACTIONS(1625),
    [anon_sym__class] = ACTIONS(1625),
    [anon_sym__global] = ACTIONS(1625),
    [anon_sym__local] = ACTIONS(1625),
    [anon_sym__constant] = ACTIONS(1625),
    [anon_sym__dynamic] = ACTIONS(1625),
    [anon_sym__import] = ACTIONS(1625),
    [anon_sym__return] = ACTIONS(1625),
    [anon_sym_GT_GT] = ACTIONS(1625),
    [anon_sym__scatter] = ACTIONS(1625),
    [anon_sym__allresults] = ACTIONS(1625),
    [sym_dynamic_variable] = ACTIONS(1625),
    [sym_global_variable] = ACTIONS(1625),
    [sym_global_reference] = ACTIONS(1625),
    [sym_number] = ACTIONS(1625),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1625),
    [anon_sym_PLUS] = ACTIONS(1625),
    [anon_sym__not] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [sym_symbol] = ACTIONS(1625),
    [anon_sym_PERCENT] = ACTIONS(1625),
    [sym_comment] = ACTIONS(87),
  },
  [448] = {
    [anon_sym_CR] = ACTIONS(1629),
    [anon_sym_LF] = ACTIONS(1629),
    [anon_sym_DOT] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym__endmethod] = ACTIONS(1629),
    [anon_sym__endproc] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1629),
    [anon_sym__endblock] = ACTIONS(1629),
    [anon_sym__and_LT_LT] = ACTIONS(1629),
    [anon_sym__andif_LT_LT] = ACTIONS(1629),
    [anon_sym__or_LT_LT] = ACTIONS(1629),
    [anon_sym__orif_LT_LT] = ACTIONS(1629),
    [anon_sym__xor_LT_LT] = ACTIONS(1629),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1629),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym_STAR_LT_LT] = ACTIONS(1629),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1629),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym__mod_LT_LT] = ACTIONS(1629),
    [anon_sym__div_LT_LT] = ACTIONS(1629),
    [anon_sym_DASH_LT_LT] = ACTIONS(1629),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1629),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym__endif] = ACTIONS(1629),
    [anon_sym__elif] = ACTIONS(1629),
    [anon_sym__else] = ACTIONS(1629),
    [anon_sym__endloop] = ACTIONS(1629),
    [anon_sym__finally] = ACTIONS(1629),
    [anon_sym__with] = ACTIONS(1629),
    [anon_sym__endcatch] = ACTIONS(1629),
    [anon_sym__when] = ACTIONS(1629),
    [anon_sym__endtry] = ACTIONS(1629),
    [anon_sym__protection] = ACTIONS(1629),
    [anon_sym__endprotect] = ACTIONS(1629),
    [anon_sym__endlock] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [sym_label] = ACTIONS(1631),
    [anon_sym__is] = ACTIONS(1629),
    [anon_sym__isnt] = ACTIONS(1629),
    [anon_sym__cf] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1629),
    [anon_sym_TILDE_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1629),
    [anon_sym_GT] = ACTIONS(1629),
    [anon_sym__and] = ACTIONS(1629),
    [anon_sym__or] = ACTIONS(1629),
    [anon_sym__xor] = ACTIONS(1629),
    [anon_sym__andif] = ACTIONS(1629),
    [anon_sym__orif] = ACTIONS(1629),
    [anon_sym__xorif] = ACTIONS(1629),
    [anon_sym_STAR_STAR] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1629),
    [anon_sym__mod] = ACTIONS(1629),
    [anon_sym__div] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [anon_sym_CR] = ACTIONS(1633),
    [anon_sym_LF] = ACTIONS(1633),
    [anon_sym_DOT] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym__endmethod] = ACTIONS(1633),
    [anon_sym__endproc] = ACTIONS(1633),
    [anon_sym_COMMA] = ACTIONS(1633),
    [anon_sym__endblock] = ACTIONS(1633),
    [anon_sym__and_LT_LT] = ACTIONS(1633),
    [anon_sym__andif_LT_LT] = ACTIONS(1633),
    [anon_sym__or_LT_LT] = ACTIONS(1633),
    [anon_sym__orif_LT_LT] = ACTIONS(1633),
    [anon_sym__xor_LT_LT] = ACTIONS(1633),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1633),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym_STAR_LT_LT] = ACTIONS(1633),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1633),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym__mod_LT_LT] = ACTIONS(1633),
    [anon_sym__div_LT_LT] = ACTIONS(1633),
    [anon_sym_DASH_LT_LT] = ACTIONS(1633),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1633),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym__endif] = ACTIONS(1633),
    [anon_sym__elif] = ACTIONS(1633),
    [anon_sym__else] = ACTIONS(1633),
    [anon_sym__endloop] = ACTIONS(1633),
    [anon_sym__finally] = ACTIONS(1633),
    [anon_sym__with] = ACTIONS(1633),
    [anon_sym__endcatch] = ACTIONS(1633),
    [anon_sym__when] = ACTIONS(1633),
    [anon_sym__endtry] = ACTIONS(1633),
    [anon_sym__protection] = ACTIONS(1633),
    [anon_sym__endprotect] = ACTIONS(1633),
    [anon_sym__endlock] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [sym_label] = ACTIONS(1635),
    [anon_sym__is] = ACTIONS(1633),
    [anon_sym__isnt] = ACTIONS(1633),
    [anon_sym__cf] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(1633),
    [anon_sym_TILDE_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_GT] = ACTIONS(1633),
    [anon_sym__and] = ACTIONS(1633),
    [anon_sym__or] = ACTIONS(1633),
    [anon_sym__xor] = ACTIONS(1633),
    [anon_sym__andif] = ACTIONS(1633),
    [anon_sym__orif] = ACTIONS(1633),
    [anon_sym__xorif] = ACTIONS(1633),
    [anon_sym_STAR_STAR] = ACTIONS(1633),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1633),
    [anon_sym__mod] = ACTIONS(1633),
    [anon_sym__div] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [anon_sym_CR] = ACTIONS(1637),
    [anon_sym_LF] = ACTIONS(1637),
    [anon_sym_DOT] = ACTIONS(1637),
    [anon_sym_LPAREN] = ACTIONS(1637),
    [anon_sym_LT_LT] = ACTIONS(1637),
    [anon_sym_CARET_LT_LT] = ACTIONS(1637),
    [anon_sym_LBRACK] = ACTIONS(1637),
    [anon_sym__endmethod] = ACTIONS(1637),
    [anon_sym__endproc] = ACTIONS(1637),
    [anon_sym_COMMA] = ACTIONS(1637),
    [anon_sym__endblock] = ACTIONS(1637),
    [anon_sym__and_LT_LT] = ACTIONS(1637),
    [anon_sym__andif_LT_LT] = ACTIONS(1637),
    [anon_sym__or_LT_LT] = ACTIONS(1637),
    [anon_sym__orif_LT_LT] = ACTIONS(1637),
    [anon_sym__xor_LT_LT] = ACTIONS(1637),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1637),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1637),
    [anon_sym_STAR_LT_LT] = ACTIONS(1637),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1637),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1637),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1637),
    [anon_sym__mod_LT_LT] = ACTIONS(1637),
    [anon_sym__div_LT_LT] = ACTIONS(1637),
    [anon_sym_DASH_LT_LT] = ACTIONS(1637),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1637),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1637),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1637),
    [anon_sym__endif] = ACTIONS(1637),
    [anon_sym__elif] = ACTIONS(1637),
    [anon_sym__else] = ACTIONS(1637),
    [anon_sym__endloop] = ACTIONS(1637),
    [anon_sym__finally] = ACTIONS(1637),
    [anon_sym__with] = ACTIONS(1637),
    [anon_sym__endcatch] = ACTIONS(1637),
    [anon_sym__when] = ACTIONS(1637),
    [anon_sym__endtry] = ACTIONS(1637),
    [anon_sym__protection] = ACTIONS(1637),
    [anon_sym__endprotect] = ACTIONS(1637),
    [anon_sym__endlock] = ACTIONS(1637),
    [anon_sym_SEMI] = ACTIONS(1637),
    [anon_sym__is] = ACTIONS(1637),
    [anon_sym__isnt] = ACTIONS(1637),
    [anon_sym__cf] = ACTIONS(1637),
    [anon_sym_EQ] = ACTIONS(1637),
    [anon_sym_TILDE_EQ] = ACTIONS(1637),
    [anon_sym_LT_GT] = ACTIONS(1637),
    [anon_sym_GT_EQ] = ACTIONS(1637),
    [anon_sym_LT_EQ] = ACTIONS(1637),
    [anon_sym_LT] = ACTIONS(1637),
    [anon_sym_GT] = ACTIONS(1637),
    [anon_sym__and] = ACTIONS(1637),
    [anon_sym__or] = ACTIONS(1637),
    [anon_sym__xor] = ACTIONS(1637),
    [anon_sym__andif] = ACTIONS(1637),
    [anon_sym__orif] = ACTIONS(1637),
    [anon_sym__xorif] = ACTIONS(1637),
    [anon_sym_STAR_STAR] = ACTIONS(1637),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_SLASH] = ACTIONS(1637),
    [anon_sym__mod] = ACTIONS(1637),
    [anon_sym__div] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1637),
    [anon_sym_PLUS] = ACTIONS(1637),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [anon_sym_CR] = ACTIONS(1639),
    [anon_sym_LF] = ACTIONS(1639),
    [anon_sym_DOT] = ACTIONS(1639),
    [anon_sym_LPAREN] = ACTIONS(1639),
    [anon_sym_LT_LT] = ACTIONS(1639),
    [anon_sym_CARET_LT_LT] = ACTIONS(1639),
    [anon_sym_LBRACK] = ACTIONS(1639),
    [anon_sym__endmethod] = ACTIONS(1639),
    [anon_sym__endproc] = ACTIONS(1639),
    [anon_sym_COMMA] = ACTIONS(1639),
    [anon_sym__endblock] = ACTIONS(1639),
    [anon_sym__and_LT_LT] = ACTIONS(1639),
    [anon_sym__andif_LT_LT] = ACTIONS(1639),
    [anon_sym__or_LT_LT] = ACTIONS(1639),
    [anon_sym__orif_LT_LT] = ACTIONS(1639),
    [anon_sym__xor_LT_LT] = ACTIONS(1639),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1639),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1639),
    [anon_sym_STAR_LT_LT] = ACTIONS(1639),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1639),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1639),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1639),
    [anon_sym__mod_LT_LT] = ACTIONS(1639),
    [anon_sym__div_LT_LT] = ACTIONS(1639),
    [anon_sym_DASH_LT_LT] = ACTIONS(1639),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1639),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1639),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1639),
    [anon_sym__endif] = ACTIONS(1639),
    [anon_sym__elif] = ACTIONS(1639),
    [anon_sym__else] = ACTIONS(1639),
    [anon_sym__endloop] = ACTIONS(1639),
    [anon_sym__finally] = ACTIONS(1639),
    [anon_sym__with] = ACTIONS(1639),
    [anon_sym__endcatch] = ACTIONS(1639),
    [anon_sym__when] = ACTIONS(1639),
    [anon_sym__endtry] = ACTIONS(1639),
    [anon_sym__protection] = ACTIONS(1639),
    [anon_sym__endprotect] = ACTIONS(1639),
    [anon_sym__endlock] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1639),
    [anon_sym__is] = ACTIONS(1639),
    [anon_sym__isnt] = ACTIONS(1639),
    [anon_sym__cf] = ACTIONS(1639),
    [anon_sym_EQ] = ACTIONS(1639),
    [anon_sym_TILDE_EQ] = ACTIONS(1639),
    [anon_sym_LT_GT] = ACTIONS(1639),
    [anon_sym_GT_EQ] = ACTIONS(1639),
    [anon_sym_LT_EQ] = ACTIONS(1639),
    [anon_sym_LT] = ACTIONS(1639),
    [anon_sym_GT] = ACTIONS(1639),
    [anon_sym__and] = ACTIONS(1639),
    [anon_sym__or] = ACTIONS(1639),
    [anon_sym__xor] = ACTIONS(1639),
    [anon_sym__andif] = ACTIONS(1639),
    [anon_sym__orif] = ACTIONS(1639),
    [anon_sym__xorif] = ACTIONS(1639),
    [anon_sym_STAR_STAR] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1639),
    [anon_sym_SLASH] = ACTIONS(1639),
    [anon_sym__mod] = ACTIONS(1639),
    [anon_sym__div] = ACTIONS(1639),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [anon_sym_CR] = ACTIONS(1641),
    [anon_sym_LF] = ACTIONS(1641),
    [anon_sym_DOT] = ACTIONS(1641),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [anon_sym_LT_LT] = ACTIONS(1641),
    [anon_sym_CARET_LT_LT] = ACTIONS(1641),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [anon_sym__endmethod] = ACTIONS(1641),
    [anon_sym__endproc] = ACTIONS(1641),
    [anon_sym_COMMA] = ACTIONS(1641),
    [anon_sym__endblock] = ACTIONS(1641),
    [anon_sym__and_LT_LT] = ACTIONS(1641),
    [anon_sym__andif_LT_LT] = ACTIONS(1641),
    [anon_sym__or_LT_LT] = ACTIONS(1641),
    [anon_sym__orif_LT_LT] = ACTIONS(1641),
    [anon_sym__xor_LT_LT] = ACTIONS(1641),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1641),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1641),
    [anon_sym_STAR_LT_LT] = ACTIONS(1641),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1641),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1641),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1641),
    [anon_sym__mod_LT_LT] = ACTIONS(1641),
    [anon_sym__div_LT_LT] = ACTIONS(1641),
    [anon_sym_DASH_LT_LT] = ACTIONS(1641),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1641),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1641),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1641),
    [anon_sym__endif] = ACTIONS(1641),
    [anon_sym__elif] = ACTIONS(1641),
    [anon_sym__else] = ACTIONS(1641),
    [anon_sym__endloop] = ACTIONS(1641),
    [anon_sym__finally] = ACTIONS(1641),
    [anon_sym__with] = ACTIONS(1641),
    [anon_sym__endcatch] = ACTIONS(1641),
    [anon_sym__when] = ACTIONS(1641),
    [anon_sym__endtry] = ACTIONS(1641),
    [anon_sym__protection] = ACTIONS(1641),
    [anon_sym__endprotect] = ACTIONS(1641),
    [anon_sym__endlock] = ACTIONS(1641),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym__is] = ACTIONS(1641),
    [anon_sym__isnt] = ACTIONS(1641),
    [anon_sym__cf] = ACTIONS(1641),
    [anon_sym_EQ] = ACTIONS(1641),
    [anon_sym_TILDE_EQ] = ACTIONS(1641),
    [anon_sym_LT_GT] = ACTIONS(1641),
    [anon_sym_GT_EQ] = ACTIONS(1641),
    [anon_sym_LT_EQ] = ACTIONS(1641),
    [anon_sym_LT] = ACTIONS(1641),
    [anon_sym_GT] = ACTIONS(1641),
    [anon_sym__and] = ACTIONS(1641),
    [anon_sym__or] = ACTIONS(1641),
    [anon_sym__xor] = ACTIONS(1641),
    [anon_sym__andif] = ACTIONS(1641),
    [anon_sym__orif] = ACTIONS(1641),
    [anon_sym__xorif] = ACTIONS(1641),
    [anon_sym_STAR_STAR] = ACTIONS(1641),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_SLASH] = ACTIONS(1641),
    [anon_sym__mod] = ACTIONS(1641),
    [anon_sym__div] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1641),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [anon_sym_CR] = ACTIONS(1643),
    [anon_sym_LF] = ACTIONS(1643),
    [anon_sym_DOT] = ACTIONS(1643),
    [anon_sym_LPAREN] = ACTIONS(1643),
    [anon_sym_LT_LT] = ACTIONS(1643),
    [anon_sym_CARET_LT_LT] = ACTIONS(1643),
    [anon_sym_LBRACK] = ACTIONS(1643),
    [anon_sym__endmethod] = ACTIONS(1643),
    [anon_sym__endproc] = ACTIONS(1643),
    [anon_sym_COMMA] = ACTIONS(1643),
    [anon_sym__endblock] = ACTIONS(1643),
    [anon_sym__and_LT_LT] = ACTIONS(1643),
    [anon_sym__andif_LT_LT] = ACTIONS(1643),
    [anon_sym__or_LT_LT] = ACTIONS(1643),
    [anon_sym__orif_LT_LT] = ACTIONS(1643),
    [anon_sym__xor_LT_LT] = ACTIONS(1643),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1643),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1643),
    [anon_sym_STAR_LT_LT] = ACTIONS(1643),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1643),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1643),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1643),
    [anon_sym__mod_LT_LT] = ACTIONS(1643),
    [anon_sym__div_LT_LT] = ACTIONS(1643),
    [anon_sym_DASH_LT_LT] = ACTIONS(1643),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1643),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1643),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1643),
    [anon_sym__endif] = ACTIONS(1643),
    [anon_sym__elif] = ACTIONS(1643),
    [anon_sym__else] = ACTIONS(1643),
    [anon_sym__endloop] = ACTIONS(1643),
    [anon_sym__finally] = ACTIONS(1643),
    [anon_sym__with] = ACTIONS(1643),
    [anon_sym__endcatch] = ACTIONS(1643),
    [anon_sym__when] = ACTIONS(1643),
    [anon_sym__endtry] = ACTIONS(1643),
    [anon_sym__protection] = ACTIONS(1643),
    [anon_sym__endprotect] = ACTIONS(1643),
    [anon_sym__endlock] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1643),
    [anon_sym__is] = ACTIONS(1643),
    [anon_sym__isnt] = ACTIONS(1643),
    [anon_sym__cf] = ACTIONS(1643),
    [anon_sym_EQ] = ACTIONS(1643),
    [anon_sym_TILDE_EQ] = ACTIONS(1643),
    [anon_sym_LT_GT] = ACTIONS(1643),
    [anon_sym_GT_EQ] = ACTIONS(1643),
    [anon_sym_LT_EQ] = ACTIONS(1643),
    [anon_sym_LT] = ACTIONS(1643),
    [anon_sym_GT] = ACTIONS(1643),
    [anon_sym__and] = ACTIONS(1643),
    [anon_sym__or] = ACTIONS(1643),
    [anon_sym__xor] = ACTIONS(1643),
    [anon_sym__andif] = ACTIONS(1643),
    [anon_sym__orif] = ACTIONS(1643),
    [anon_sym__xorif] = ACTIONS(1643),
    [anon_sym_STAR_STAR] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1643),
    [anon_sym_SLASH] = ACTIONS(1643),
    [anon_sym__mod] = ACTIONS(1643),
    [anon_sym__div] = ACTIONS(1643),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [anon_sym_CR] = ACTIONS(1645),
    [anon_sym_LF] = ACTIONS(1645),
    [anon_sym_DOT] = ACTIONS(1645),
    [anon_sym_LPAREN] = ACTIONS(1645),
    [anon_sym_LT_LT] = ACTIONS(1645),
    [anon_sym_CARET_LT_LT] = ACTIONS(1645),
    [anon_sym_LBRACK] = ACTIONS(1645),
    [anon_sym__endmethod] = ACTIONS(1645),
    [anon_sym__endproc] = ACTIONS(1645),
    [anon_sym_COMMA] = ACTIONS(1645),
    [anon_sym__endblock] = ACTIONS(1645),
    [anon_sym__and_LT_LT] = ACTIONS(1645),
    [anon_sym__andif_LT_LT] = ACTIONS(1645),
    [anon_sym__or_LT_LT] = ACTIONS(1645),
    [anon_sym__orif_LT_LT] = ACTIONS(1645),
    [anon_sym__xor_LT_LT] = ACTIONS(1645),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1645),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1645),
    [anon_sym_STAR_LT_LT] = ACTIONS(1645),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1645),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1645),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1645),
    [anon_sym__mod_LT_LT] = ACTIONS(1645),
    [anon_sym__div_LT_LT] = ACTIONS(1645),
    [anon_sym_DASH_LT_LT] = ACTIONS(1645),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1645),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1645),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1645),
    [anon_sym__endif] = ACTIONS(1645),
    [anon_sym__elif] = ACTIONS(1645),
    [anon_sym__else] = ACTIONS(1645),
    [anon_sym__endloop] = ACTIONS(1645),
    [anon_sym__finally] = ACTIONS(1645),
    [anon_sym__with] = ACTIONS(1645),
    [anon_sym__endcatch] = ACTIONS(1645),
    [anon_sym__when] = ACTIONS(1645),
    [anon_sym__endtry] = ACTIONS(1645),
    [anon_sym__protection] = ACTIONS(1645),
    [anon_sym__endprotect] = ACTIONS(1645),
    [anon_sym__endlock] = ACTIONS(1645),
    [anon_sym_SEMI] = ACTIONS(1645),
    [anon_sym__is] = ACTIONS(1645),
    [anon_sym__isnt] = ACTIONS(1645),
    [anon_sym__cf] = ACTIONS(1645),
    [anon_sym_EQ] = ACTIONS(1645),
    [anon_sym_TILDE_EQ] = ACTIONS(1645),
    [anon_sym_LT_GT] = ACTIONS(1645),
    [anon_sym_GT_EQ] = ACTIONS(1645),
    [anon_sym_LT_EQ] = ACTIONS(1645),
    [anon_sym_LT] = ACTIONS(1645),
    [anon_sym_GT] = ACTIONS(1645),
    [anon_sym__and] = ACTIONS(1645),
    [anon_sym__or] = ACTIONS(1645),
    [anon_sym__xor] = ACTIONS(1645),
    [anon_sym__andif] = ACTIONS(1645),
    [anon_sym__orif] = ACTIONS(1645),
    [anon_sym__xorif] = ACTIONS(1645),
    [anon_sym_STAR_STAR] = ACTIONS(1645),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_SLASH] = ACTIONS(1645),
    [anon_sym__mod] = ACTIONS(1645),
    [anon_sym__div] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1645),
    [anon_sym_PLUS] = ACTIONS(1645),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [anon_sym_CR] = ACTIONS(1647),
    [anon_sym_LF] = ACTIONS(1647),
    [anon_sym_DOT] = ACTIONS(1647),
    [anon_sym_LPAREN] = ACTIONS(1647),
    [anon_sym_LT_LT] = ACTIONS(1647),
    [anon_sym_CARET_LT_LT] = ACTIONS(1647),
    [anon_sym_LBRACK] = ACTIONS(1647),
    [anon_sym__endmethod] = ACTIONS(1647),
    [anon_sym__endproc] = ACTIONS(1647),
    [anon_sym_COMMA] = ACTIONS(1647),
    [anon_sym__endblock] = ACTIONS(1647),
    [anon_sym__and_LT_LT] = ACTIONS(1647),
    [anon_sym__andif_LT_LT] = ACTIONS(1647),
    [anon_sym__or_LT_LT] = ACTIONS(1647),
    [anon_sym__orif_LT_LT] = ACTIONS(1647),
    [anon_sym__xor_LT_LT] = ACTIONS(1647),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1647),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1647),
    [anon_sym_STAR_LT_LT] = ACTIONS(1647),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1647),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1647),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1647),
    [anon_sym__mod_LT_LT] = ACTIONS(1647),
    [anon_sym__div_LT_LT] = ACTIONS(1647),
    [anon_sym_DASH_LT_LT] = ACTIONS(1647),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1647),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1647),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1647),
    [anon_sym__endif] = ACTIONS(1647),
    [anon_sym__elif] = ACTIONS(1647),
    [anon_sym__else] = ACTIONS(1647),
    [anon_sym__endloop] = ACTIONS(1647),
    [anon_sym__finally] = ACTIONS(1647),
    [anon_sym__with] = ACTIONS(1647),
    [anon_sym__endcatch] = ACTIONS(1647),
    [anon_sym__when] = ACTIONS(1647),
    [anon_sym__endtry] = ACTIONS(1647),
    [anon_sym__protection] = ACTIONS(1647),
    [anon_sym__endprotect] = ACTIONS(1647),
    [anon_sym__endlock] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1647),
    [anon_sym__is] = ACTIONS(1647),
    [anon_sym__isnt] = ACTIONS(1647),
    [anon_sym__cf] = ACTIONS(1647),
    [anon_sym_EQ] = ACTIONS(1647),
    [anon_sym_TILDE_EQ] = ACTIONS(1647),
    [anon_sym_LT_GT] = ACTIONS(1647),
    [anon_sym_GT_EQ] = ACTIONS(1647),
    [anon_sym_LT_EQ] = ACTIONS(1647),
    [anon_sym_LT] = ACTIONS(1647),
    [anon_sym_GT] = ACTIONS(1647),
    [anon_sym__and] = ACTIONS(1647),
    [anon_sym__or] = ACTIONS(1647),
    [anon_sym__xor] = ACTIONS(1647),
    [anon_sym__andif] = ACTIONS(1647),
    [anon_sym__orif] = ACTIONS(1647),
    [anon_sym__xorif] = ACTIONS(1647),
    [anon_sym_STAR_STAR] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1647),
    [anon_sym_SLASH] = ACTIONS(1647),
    [anon_sym__mod] = ACTIONS(1647),
    [anon_sym__div] = ACTIONS(1647),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [anon_sym_CR] = ACTIONS(1649),
    [anon_sym_LF] = ACTIONS(1649),
    [anon_sym_DOT] = ACTIONS(1649),
    [anon_sym_LPAREN] = ACTIONS(1649),
    [anon_sym_LT_LT] = ACTIONS(1649),
    [anon_sym_CARET_LT_LT] = ACTIONS(1649),
    [anon_sym_LBRACK] = ACTIONS(1649),
    [anon_sym__endmethod] = ACTIONS(1649),
    [anon_sym__endproc] = ACTIONS(1649),
    [anon_sym_COMMA] = ACTIONS(1649),
    [anon_sym__endblock] = ACTIONS(1649),
    [anon_sym__and_LT_LT] = ACTIONS(1649),
    [anon_sym__andif_LT_LT] = ACTIONS(1649),
    [anon_sym__or_LT_LT] = ACTIONS(1649),
    [anon_sym__orif_LT_LT] = ACTIONS(1649),
    [anon_sym__xor_LT_LT] = ACTIONS(1649),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1649),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1649),
    [anon_sym_STAR_LT_LT] = ACTIONS(1649),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1649),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1649),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1649),
    [anon_sym__mod_LT_LT] = ACTIONS(1649),
    [anon_sym__div_LT_LT] = ACTIONS(1649),
    [anon_sym_DASH_LT_LT] = ACTIONS(1649),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1649),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1649),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1649),
    [anon_sym__endif] = ACTIONS(1649),
    [anon_sym__elif] = ACTIONS(1649),
    [anon_sym__else] = ACTIONS(1649),
    [anon_sym__endloop] = ACTIONS(1649),
    [anon_sym__finally] = ACTIONS(1649),
    [anon_sym__with] = ACTIONS(1649),
    [anon_sym__endcatch] = ACTIONS(1649),
    [anon_sym__when] = ACTIONS(1649),
    [anon_sym__endtry] = ACTIONS(1649),
    [anon_sym__protection] = ACTIONS(1649),
    [anon_sym__endprotect] = ACTIONS(1649),
    [anon_sym__endlock] = ACTIONS(1649),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym__is] = ACTIONS(1649),
    [anon_sym__isnt] = ACTIONS(1649),
    [anon_sym__cf] = ACTIONS(1649),
    [anon_sym_EQ] = ACTIONS(1649),
    [anon_sym_TILDE_EQ] = ACTIONS(1649),
    [anon_sym_LT_GT] = ACTIONS(1649),
    [anon_sym_GT_EQ] = ACTIONS(1649),
    [anon_sym_LT_EQ] = ACTIONS(1649),
    [anon_sym_LT] = ACTIONS(1649),
    [anon_sym_GT] = ACTIONS(1649),
    [anon_sym__and] = ACTIONS(1649),
    [anon_sym__or] = ACTIONS(1649),
    [anon_sym__xor] = ACTIONS(1649),
    [anon_sym__andif] = ACTIONS(1649),
    [anon_sym__orif] = ACTIONS(1649),
    [anon_sym__xorif] = ACTIONS(1649),
    [anon_sym_STAR_STAR] = ACTIONS(1649),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_SLASH] = ACTIONS(1649),
    [anon_sym__mod] = ACTIONS(1649),
    [anon_sym__div] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1649),
    [anon_sym_PLUS] = ACTIONS(1649),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [anon_sym_CR] = ACTIONS(1651),
    [anon_sym_LF] = ACTIONS(1651),
    [anon_sym_DOT] = ACTIONS(1651),
    [anon_sym_LPAREN] = ACTIONS(1651),
    [anon_sym_LT_LT] = ACTIONS(1651),
    [anon_sym_CARET_LT_LT] = ACTIONS(1651),
    [anon_sym_LBRACK] = ACTIONS(1651),
    [anon_sym__endmethod] = ACTIONS(1651),
    [anon_sym__endproc] = ACTIONS(1651),
    [anon_sym_COMMA] = ACTIONS(1651),
    [anon_sym__endblock] = ACTIONS(1651),
    [anon_sym__and_LT_LT] = ACTIONS(1651),
    [anon_sym__andif_LT_LT] = ACTIONS(1651),
    [anon_sym__or_LT_LT] = ACTIONS(1651),
    [anon_sym__orif_LT_LT] = ACTIONS(1651),
    [anon_sym__xor_LT_LT] = ACTIONS(1651),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1651),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1651),
    [anon_sym_STAR_LT_LT] = ACTIONS(1651),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1651),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1651),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1651),
    [anon_sym__mod_LT_LT] = ACTIONS(1651),
    [anon_sym__div_LT_LT] = ACTIONS(1651),
    [anon_sym_DASH_LT_LT] = ACTIONS(1651),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1651),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1651),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1651),
    [anon_sym__endif] = ACTIONS(1651),
    [anon_sym__elif] = ACTIONS(1651),
    [anon_sym__else] = ACTIONS(1651),
    [anon_sym__endloop] = ACTIONS(1651),
    [anon_sym__finally] = ACTIONS(1651),
    [anon_sym__with] = ACTIONS(1651),
    [anon_sym__endcatch] = ACTIONS(1651),
    [anon_sym__when] = ACTIONS(1651),
    [anon_sym__endtry] = ACTIONS(1651),
    [anon_sym__protection] = ACTIONS(1651),
    [anon_sym__endprotect] = ACTIONS(1651),
    [anon_sym__endlock] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1651),
    [anon_sym__is] = ACTIONS(1651),
    [anon_sym__isnt] = ACTIONS(1651),
    [anon_sym__cf] = ACTIONS(1651),
    [anon_sym_EQ] = ACTIONS(1651),
    [anon_sym_TILDE_EQ] = ACTIONS(1651),
    [anon_sym_LT_GT] = ACTIONS(1651),
    [anon_sym_GT_EQ] = ACTIONS(1651),
    [anon_sym_LT_EQ] = ACTIONS(1651),
    [anon_sym_LT] = ACTIONS(1651),
    [anon_sym_GT] = ACTIONS(1651),
    [anon_sym__and] = ACTIONS(1651),
    [anon_sym__or] = ACTIONS(1651),
    [anon_sym__xor] = ACTIONS(1651),
    [anon_sym__andif] = ACTIONS(1651),
    [anon_sym__orif] = ACTIONS(1651),
    [anon_sym__xorif] = ACTIONS(1651),
    [anon_sym_STAR_STAR] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1651),
    [anon_sym_SLASH] = ACTIONS(1651),
    [anon_sym__mod] = ACTIONS(1651),
    [anon_sym__div] = ACTIONS(1651),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_PLUS] = ACTIONS(1651),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [anon_sym_CR] = ACTIONS(1653),
    [anon_sym_LF] = ACTIONS(1653),
    [anon_sym_DOT] = ACTIONS(1653),
    [anon_sym_LPAREN] = ACTIONS(1653),
    [anon_sym_LT_LT] = ACTIONS(1653),
    [anon_sym_CARET_LT_LT] = ACTIONS(1653),
    [anon_sym_LBRACK] = ACTIONS(1653),
    [anon_sym__endmethod] = ACTIONS(1653),
    [anon_sym__endproc] = ACTIONS(1653),
    [anon_sym_COMMA] = ACTIONS(1653),
    [anon_sym__endblock] = ACTIONS(1653),
    [anon_sym__and_LT_LT] = ACTIONS(1653),
    [anon_sym__andif_LT_LT] = ACTIONS(1653),
    [anon_sym__or_LT_LT] = ACTIONS(1653),
    [anon_sym__orif_LT_LT] = ACTIONS(1653),
    [anon_sym__xor_LT_LT] = ACTIONS(1653),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1653),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1653),
    [anon_sym_STAR_LT_LT] = ACTIONS(1653),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1653),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1653),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1653),
    [anon_sym__mod_LT_LT] = ACTIONS(1653),
    [anon_sym__div_LT_LT] = ACTIONS(1653),
    [anon_sym_DASH_LT_LT] = ACTIONS(1653),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1653),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1653),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1653),
    [anon_sym__endif] = ACTIONS(1653),
    [anon_sym__elif] = ACTIONS(1653),
    [anon_sym__else] = ACTIONS(1653),
    [anon_sym__endloop] = ACTIONS(1653),
    [anon_sym__finally] = ACTIONS(1653),
    [anon_sym__with] = ACTIONS(1653),
    [anon_sym__endcatch] = ACTIONS(1653),
    [anon_sym__when] = ACTIONS(1653),
    [anon_sym__endtry] = ACTIONS(1653),
    [anon_sym__protection] = ACTIONS(1653),
    [anon_sym__endprotect] = ACTIONS(1653),
    [anon_sym__endlock] = ACTIONS(1653),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym__is] = ACTIONS(1653),
    [anon_sym__isnt] = ACTIONS(1653),
    [anon_sym__cf] = ACTIONS(1653),
    [anon_sym_EQ] = ACTIONS(1653),
    [anon_sym_TILDE_EQ] = ACTIONS(1653),
    [anon_sym_LT_GT] = ACTIONS(1653),
    [anon_sym_GT_EQ] = ACTIONS(1653),
    [anon_sym_LT_EQ] = ACTIONS(1653),
    [anon_sym_LT] = ACTIONS(1653),
    [anon_sym_GT] = ACTIONS(1653),
    [anon_sym__and] = ACTIONS(1653),
    [anon_sym__or] = ACTIONS(1653),
    [anon_sym__xor] = ACTIONS(1653),
    [anon_sym__andif] = ACTIONS(1653),
    [anon_sym__orif] = ACTIONS(1653),
    [anon_sym__xorif] = ACTIONS(1653),
    [anon_sym_STAR_STAR] = ACTIONS(1653),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_SLASH] = ACTIONS(1653),
    [anon_sym__mod] = ACTIONS(1653),
    [anon_sym__div] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1653),
    [anon_sym_PLUS] = ACTIONS(1653),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [anon_sym_CR] = ACTIONS(1655),
    [anon_sym_LF] = ACTIONS(1655),
    [anon_sym_DOT] = ACTIONS(1655),
    [anon_sym_LPAREN] = ACTIONS(1655),
    [anon_sym_LT_LT] = ACTIONS(1655),
    [anon_sym_CARET_LT_LT] = ACTIONS(1655),
    [anon_sym_LBRACK] = ACTIONS(1655),
    [anon_sym__endmethod] = ACTIONS(1655),
    [anon_sym__endproc] = ACTIONS(1655),
    [anon_sym_COMMA] = ACTIONS(1655),
    [anon_sym__endblock] = ACTIONS(1655),
    [anon_sym__and_LT_LT] = ACTIONS(1655),
    [anon_sym__andif_LT_LT] = ACTIONS(1655),
    [anon_sym__or_LT_LT] = ACTIONS(1655),
    [anon_sym__orif_LT_LT] = ACTIONS(1655),
    [anon_sym__xor_LT_LT] = ACTIONS(1655),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1655),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1655),
    [anon_sym_STAR_LT_LT] = ACTIONS(1655),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1655),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1655),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1655),
    [anon_sym__mod_LT_LT] = ACTIONS(1655),
    [anon_sym__div_LT_LT] = ACTIONS(1655),
    [anon_sym_DASH_LT_LT] = ACTIONS(1655),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1655),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1655),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1655),
    [anon_sym__endif] = ACTIONS(1655),
    [anon_sym__elif] = ACTIONS(1655),
    [anon_sym__else] = ACTIONS(1655),
    [anon_sym__endloop] = ACTIONS(1655),
    [anon_sym__finally] = ACTIONS(1655),
    [anon_sym__with] = ACTIONS(1655),
    [anon_sym__endcatch] = ACTIONS(1655),
    [anon_sym__when] = ACTIONS(1655),
    [anon_sym__endtry] = ACTIONS(1655),
    [anon_sym__protection] = ACTIONS(1655),
    [anon_sym__endprotect] = ACTIONS(1655),
    [anon_sym__endlock] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1655),
    [anon_sym__is] = ACTIONS(1655),
    [anon_sym__isnt] = ACTIONS(1655),
    [anon_sym__cf] = ACTIONS(1655),
    [anon_sym_EQ] = ACTIONS(1655),
    [anon_sym_TILDE_EQ] = ACTIONS(1655),
    [anon_sym_LT_GT] = ACTIONS(1655),
    [anon_sym_GT_EQ] = ACTIONS(1655),
    [anon_sym_LT_EQ] = ACTIONS(1655),
    [anon_sym_LT] = ACTIONS(1655),
    [anon_sym_GT] = ACTIONS(1655),
    [anon_sym__and] = ACTIONS(1655),
    [anon_sym__or] = ACTIONS(1655),
    [anon_sym__xor] = ACTIONS(1655),
    [anon_sym__andif] = ACTIONS(1655),
    [anon_sym__orif] = ACTIONS(1655),
    [anon_sym__xorif] = ACTIONS(1655),
    [anon_sym_STAR_STAR] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1655),
    [anon_sym_SLASH] = ACTIONS(1655),
    [anon_sym__mod] = ACTIONS(1655),
    [anon_sym__div] = ACTIONS(1655),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [anon_sym_CR] = ACTIONS(1657),
    [anon_sym_LF] = ACTIONS(1657),
    [anon_sym_DOT] = ACTIONS(1657),
    [anon_sym_LPAREN] = ACTIONS(1657),
    [anon_sym_LT_LT] = ACTIONS(1657),
    [anon_sym_CARET_LT_LT] = ACTIONS(1657),
    [anon_sym_LBRACK] = ACTIONS(1657),
    [anon_sym__endmethod] = ACTIONS(1657),
    [anon_sym__endproc] = ACTIONS(1657),
    [anon_sym_COMMA] = ACTIONS(1657),
    [anon_sym__endblock] = ACTIONS(1657),
    [anon_sym__and_LT_LT] = ACTIONS(1657),
    [anon_sym__andif_LT_LT] = ACTIONS(1657),
    [anon_sym__or_LT_LT] = ACTIONS(1657),
    [anon_sym__orif_LT_LT] = ACTIONS(1657),
    [anon_sym__xor_LT_LT] = ACTIONS(1657),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1657),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1657),
    [anon_sym_STAR_LT_LT] = ACTIONS(1657),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1657),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1657),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1657),
    [anon_sym__mod_LT_LT] = ACTIONS(1657),
    [anon_sym__div_LT_LT] = ACTIONS(1657),
    [anon_sym_DASH_LT_LT] = ACTIONS(1657),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1657),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1657),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1657),
    [anon_sym__endif] = ACTIONS(1657),
    [anon_sym__elif] = ACTIONS(1657),
    [anon_sym__else] = ACTIONS(1657),
    [anon_sym__endloop] = ACTIONS(1657),
    [anon_sym__finally] = ACTIONS(1657),
    [anon_sym__with] = ACTIONS(1657),
    [anon_sym__endcatch] = ACTIONS(1657),
    [anon_sym__when] = ACTIONS(1657),
    [anon_sym__endtry] = ACTIONS(1657),
    [anon_sym__protection] = ACTIONS(1657),
    [anon_sym__endprotect] = ACTIONS(1657),
    [anon_sym__endlock] = ACTIONS(1657),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym__is] = ACTIONS(1657),
    [anon_sym__isnt] = ACTIONS(1657),
    [anon_sym__cf] = ACTIONS(1657),
    [anon_sym_EQ] = ACTIONS(1657),
    [anon_sym_TILDE_EQ] = ACTIONS(1657),
    [anon_sym_LT_GT] = ACTIONS(1657),
    [anon_sym_GT_EQ] = ACTIONS(1657),
    [anon_sym_LT_EQ] = ACTIONS(1657),
    [anon_sym_LT] = ACTIONS(1657),
    [anon_sym_GT] = ACTIONS(1657),
    [anon_sym__and] = ACTIONS(1657),
    [anon_sym__or] = ACTIONS(1657),
    [anon_sym__xor] = ACTIONS(1657),
    [anon_sym__andif] = ACTIONS(1657),
    [anon_sym__orif] = ACTIONS(1657),
    [anon_sym__xorif] = ACTIONS(1657),
    [anon_sym_STAR_STAR] = ACTIONS(1657),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_SLASH] = ACTIONS(1657),
    [anon_sym__mod] = ACTIONS(1657),
    [anon_sym__div] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1657),
    [anon_sym_PLUS] = ACTIONS(1657),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [anon_sym_CR] = ACTIONS(1659),
    [anon_sym_LF] = ACTIONS(1659),
    [anon_sym_DOT] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1659),
    [anon_sym_LT_LT] = ACTIONS(1659),
    [anon_sym_CARET_LT_LT] = ACTIONS(1659),
    [anon_sym_LBRACK] = ACTIONS(1659),
    [anon_sym__endmethod] = ACTIONS(1659),
    [anon_sym__endproc] = ACTIONS(1659),
    [anon_sym_COMMA] = ACTIONS(1659),
    [anon_sym__endblock] = ACTIONS(1659),
    [anon_sym__and_LT_LT] = ACTIONS(1659),
    [anon_sym__andif_LT_LT] = ACTIONS(1659),
    [anon_sym__or_LT_LT] = ACTIONS(1659),
    [anon_sym__orif_LT_LT] = ACTIONS(1659),
    [anon_sym__xor_LT_LT] = ACTIONS(1659),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1659),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1659),
    [anon_sym_STAR_LT_LT] = ACTIONS(1659),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1659),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1659),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1659),
    [anon_sym__mod_LT_LT] = ACTIONS(1659),
    [anon_sym__div_LT_LT] = ACTIONS(1659),
    [anon_sym_DASH_LT_LT] = ACTIONS(1659),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1659),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1659),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1659),
    [anon_sym__endif] = ACTIONS(1659),
    [anon_sym__elif] = ACTIONS(1659),
    [anon_sym__else] = ACTIONS(1659),
    [anon_sym__endloop] = ACTIONS(1659),
    [anon_sym__finally] = ACTIONS(1659),
    [anon_sym__with] = ACTIONS(1659),
    [anon_sym__endcatch] = ACTIONS(1659),
    [anon_sym__when] = ACTIONS(1659),
    [anon_sym__endtry] = ACTIONS(1659),
    [anon_sym__protection] = ACTIONS(1659),
    [anon_sym__endprotect] = ACTIONS(1659),
    [anon_sym__endlock] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1659),
    [anon_sym__is] = ACTIONS(1659),
    [anon_sym__isnt] = ACTIONS(1659),
    [anon_sym__cf] = ACTIONS(1659),
    [anon_sym_EQ] = ACTIONS(1659),
    [anon_sym_TILDE_EQ] = ACTIONS(1659),
    [anon_sym_LT_GT] = ACTIONS(1659),
    [anon_sym_GT_EQ] = ACTIONS(1659),
    [anon_sym_LT_EQ] = ACTIONS(1659),
    [anon_sym_LT] = ACTIONS(1659),
    [anon_sym_GT] = ACTIONS(1659),
    [anon_sym__and] = ACTIONS(1659),
    [anon_sym__or] = ACTIONS(1659),
    [anon_sym__xor] = ACTIONS(1659),
    [anon_sym__andif] = ACTIONS(1659),
    [anon_sym__orif] = ACTIONS(1659),
    [anon_sym__xorif] = ACTIONS(1659),
    [anon_sym_STAR_STAR] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1659),
    [anon_sym_SLASH] = ACTIONS(1659),
    [anon_sym__mod] = ACTIONS(1659),
    [anon_sym__div] = ACTIONS(1659),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [anon_sym_CR] = ACTIONS(1661),
    [anon_sym_LF] = ACTIONS(1661),
    [anon_sym_DOT] = ACTIONS(1661),
    [anon_sym_LPAREN] = ACTIONS(1661),
    [anon_sym_LT_LT] = ACTIONS(1661),
    [anon_sym_CARET_LT_LT] = ACTIONS(1661),
    [anon_sym_LBRACK] = ACTIONS(1661),
    [anon_sym__endmethod] = ACTIONS(1661),
    [anon_sym__endproc] = ACTIONS(1661),
    [anon_sym_COMMA] = ACTIONS(1661),
    [anon_sym__endblock] = ACTIONS(1661),
    [anon_sym__and_LT_LT] = ACTIONS(1661),
    [anon_sym__andif_LT_LT] = ACTIONS(1661),
    [anon_sym__or_LT_LT] = ACTIONS(1661),
    [anon_sym__orif_LT_LT] = ACTIONS(1661),
    [anon_sym__xor_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_LT_LT] = ACTIONS(1661),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1661),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1661),
    [anon_sym__mod_LT_LT] = ACTIONS(1661),
    [anon_sym__div_LT_LT] = ACTIONS(1661),
    [anon_sym_DASH_LT_LT] = ACTIONS(1661),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1661),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1661),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1661),
    [anon_sym__endif] = ACTIONS(1661),
    [anon_sym__elif] = ACTIONS(1661),
    [anon_sym__else] = ACTIONS(1661),
    [anon_sym__endloop] = ACTIONS(1661),
    [anon_sym__finally] = ACTIONS(1661),
    [anon_sym__with] = ACTIONS(1661),
    [anon_sym__endcatch] = ACTIONS(1661),
    [anon_sym__when] = ACTIONS(1661),
    [anon_sym__endtry] = ACTIONS(1661),
    [anon_sym__protection] = ACTIONS(1661),
    [anon_sym__endprotect] = ACTIONS(1661),
    [anon_sym__endlock] = ACTIONS(1661),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym__is] = ACTIONS(1661),
    [anon_sym__isnt] = ACTIONS(1661),
    [anon_sym__cf] = ACTIONS(1661),
    [anon_sym_EQ] = ACTIONS(1661),
    [anon_sym_TILDE_EQ] = ACTIONS(1661),
    [anon_sym_LT_GT] = ACTIONS(1661),
    [anon_sym_GT_EQ] = ACTIONS(1661),
    [anon_sym_LT_EQ] = ACTIONS(1661),
    [anon_sym_LT] = ACTIONS(1661),
    [anon_sym_GT] = ACTIONS(1661),
    [anon_sym__and] = ACTIONS(1661),
    [anon_sym__or] = ACTIONS(1661),
    [anon_sym__xor] = ACTIONS(1661),
    [anon_sym__andif] = ACTIONS(1661),
    [anon_sym__orif] = ACTIONS(1661),
    [anon_sym__xorif] = ACTIONS(1661),
    [anon_sym_STAR_STAR] = ACTIONS(1661),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_SLASH] = ACTIONS(1661),
    [anon_sym__mod] = ACTIONS(1661),
    [anon_sym__div] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1661),
    [anon_sym_PLUS] = ACTIONS(1661),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [anon_sym_CR] = ACTIONS(1663),
    [anon_sym_LF] = ACTIONS(1663),
    [anon_sym_DOT] = ACTIONS(1663),
    [anon_sym_LPAREN] = ACTIONS(1663),
    [anon_sym_LT_LT] = ACTIONS(1663),
    [anon_sym_CARET_LT_LT] = ACTIONS(1663),
    [anon_sym_LBRACK] = ACTIONS(1663),
    [anon_sym__endmethod] = ACTIONS(1663),
    [anon_sym__endproc] = ACTIONS(1663),
    [anon_sym_COMMA] = ACTIONS(1663),
    [anon_sym__endblock] = ACTIONS(1663),
    [anon_sym__and_LT_LT] = ACTIONS(1663),
    [anon_sym__andif_LT_LT] = ACTIONS(1663),
    [anon_sym__or_LT_LT] = ACTIONS(1663),
    [anon_sym__orif_LT_LT] = ACTIONS(1663),
    [anon_sym__xor_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_LT_LT] = ACTIONS(1663),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1663),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1663),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1663),
    [anon_sym__mod_LT_LT] = ACTIONS(1663),
    [anon_sym__div_LT_LT] = ACTIONS(1663),
    [anon_sym_DASH_LT_LT] = ACTIONS(1663),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1663),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1663),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1663),
    [anon_sym__endif] = ACTIONS(1663),
    [anon_sym__elif] = ACTIONS(1663),
    [anon_sym__else] = ACTIONS(1663),
    [anon_sym__endloop] = ACTIONS(1663),
    [anon_sym__finally] = ACTIONS(1663),
    [anon_sym__with] = ACTIONS(1663),
    [anon_sym__endcatch] = ACTIONS(1663),
    [anon_sym__when] = ACTIONS(1663),
    [anon_sym__endtry] = ACTIONS(1663),
    [anon_sym__protection] = ACTIONS(1663),
    [anon_sym__endprotect] = ACTIONS(1663),
    [anon_sym__endlock] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1663),
    [anon_sym__is] = ACTIONS(1663),
    [anon_sym__isnt] = ACTIONS(1663),
    [anon_sym__cf] = ACTIONS(1663),
    [anon_sym_EQ] = ACTIONS(1663),
    [anon_sym_TILDE_EQ] = ACTIONS(1663),
    [anon_sym_LT_GT] = ACTIONS(1663),
    [anon_sym_GT_EQ] = ACTIONS(1663),
    [anon_sym_LT_EQ] = ACTIONS(1663),
    [anon_sym_LT] = ACTIONS(1663),
    [anon_sym_GT] = ACTIONS(1663),
    [anon_sym__and] = ACTIONS(1663),
    [anon_sym__or] = ACTIONS(1663),
    [anon_sym__xor] = ACTIONS(1663),
    [anon_sym__andif] = ACTIONS(1663),
    [anon_sym__orif] = ACTIONS(1663),
    [anon_sym__xorif] = ACTIONS(1663),
    [anon_sym_STAR_STAR] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1663),
    [anon_sym_SLASH] = ACTIONS(1663),
    [anon_sym__mod] = ACTIONS(1663),
    [anon_sym__div] = ACTIONS(1663),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [anon_sym_CR] = ACTIONS(1665),
    [anon_sym_LF] = ACTIONS(1665),
    [anon_sym_DOT] = ACTIONS(1665),
    [anon_sym_LPAREN] = ACTIONS(1665),
    [anon_sym_LT_LT] = ACTIONS(1665),
    [anon_sym_CARET_LT_LT] = ACTIONS(1665),
    [anon_sym_LBRACK] = ACTIONS(1665),
    [anon_sym__endmethod] = ACTIONS(1665),
    [anon_sym__endproc] = ACTIONS(1665),
    [anon_sym_COMMA] = ACTIONS(1665),
    [anon_sym__endblock] = ACTIONS(1665),
    [anon_sym__and_LT_LT] = ACTIONS(1665),
    [anon_sym__andif_LT_LT] = ACTIONS(1665),
    [anon_sym__or_LT_LT] = ACTIONS(1665),
    [anon_sym__orif_LT_LT] = ACTIONS(1665),
    [anon_sym__xor_LT_LT] = ACTIONS(1665),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1665),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1665),
    [anon_sym_STAR_LT_LT] = ACTIONS(1665),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1665),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1665),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1665),
    [anon_sym__mod_LT_LT] = ACTIONS(1665),
    [anon_sym__div_LT_LT] = ACTIONS(1665),
    [anon_sym_DASH_LT_LT] = ACTIONS(1665),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1665),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1665),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1665),
    [anon_sym__endif] = ACTIONS(1665),
    [anon_sym__elif] = ACTIONS(1665),
    [anon_sym__else] = ACTIONS(1665),
    [anon_sym__endloop] = ACTIONS(1665),
    [anon_sym__finally] = ACTIONS(1665),
    [anon_sym__with] = ACTIONS(1665),
    [anon_sym__endcatch] = ACTIONS(1665),
    [anon_sym__when] = ACTIONS(1665),
    [anon_sym__endtry] = ACTIONS(1665),
    [anon_sym__protection] = ACTIONS(1665),
    [anon_sym__endprotect] = ACTIONS(1665),
    [anon_sym__endlock] = ACTIONS(1665),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym__is] = ACTIONS(1665),
    [anon_sym__isnt] = ACTIONS(1665),
    [anon_sym__cf] = ACTIONS(1665),
    [anon_sym_EQ] = ACTIONS(1665),
    [anon_sym_TILDE_EQ] = ACTIONS(1665),
    [anon_sym_LT_GT] = ACTIONS(1665),
    [anon_sym_GT_EQ] = ACTIONS(1665),
    [anon_sym_LT_EQ] = ACTIONS(1665),
    [anon_sym_LT] = ACTIONS(1665),
    [anon_sym_GT] = ACTIONS(1665),
    [anon_sym__and] = ACTIONS(1665),
    [anon_sym__or] = ACTIONS(1665),
    [anon_sym__xor] = ACTIONS(1665),
    [anon_sym__andif] = ACTIONS(1665),
    [anon_sym__orif] = ACTIONS(1665),
    [anon_sym__xorif] = ACTIONS(1665),
    [anon_sym_STAR_STAR] = ACTIONS(1665),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_SLASH] = ACTIONS(1665),
    [anon_sym__mod] = ACTIONS(1665),
    [anon_sym__div] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1665),
    [anon_sym_PLUS] = ACTIONS(1665),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [aux_sym_loopbody_repeat1] = STATE(481),
    [anon_sym_CR] = ACTIONS(1667),
    [anon_sym_LF] = ACTIONS(1667),
    [anon_sym_DOT] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym__endmethod] = ACTIONS(1667),
    [anon_sym__endproc] = ACTIONS(1667),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym__endblock] = ACTIONS(1667),
    [anon_sym__and_LT_LT] = ACTIONS(1673),
    [anon_sym__andif_LT_LT] = ACTIONS(1673),
    [anon_sym__or_LT_LT] = ACTIONS(1673),
    [anon_sym__orif_LT_LT] = ACTIONS(1673),
    [anon_sym__xor_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__mod_LT_LT] = ACTIONS(1673),
    [anon_sym__div_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__endif] = ACTIONS(1667),
    [anon_sym__elif] = ACTIONS(1667),
    [anon_sym__else] = ACTIONS(1667),
    [anon_sym__endloop] = ACTIONS(1667),
    [anon_sym__finally] = ACTIONS(1667),
    [anon_sym__with] = ACTIONS(1667),
    [anon_sym__endcatch] = ACTIONS(1667),
    [anon_sym__when] = ACTIONS(1667),
    [anon_sym__endtry] = ACTIONS(1667),
    [anon_sym__endprotect] = ACTIONS(1667),
    [anon_sym__endlock] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1667),
    [anon_sym__is] = ACTIONS(1679),
    [anon_sym__isnt] = ACTIONS(1679),
    [anon_sym__cf] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1679),
    [anon_sym_TILDE_EQ] = ACTIONS(1679),
    [anon_sym_LT_GT] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym__and] = ACTIONS(1681),
    [anon_sym__or] = ACTIONS(1681),
    [anon_sym__xor] = ACTIONS(1681),
    [anon_sym__andif] = ACTIONS(1681),
    [anon_sym__orif] = ACTIONS(1681),
    [anon_sym__xorif] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym__mod] = ACTIONS(1683),
    [anon_sym__div] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [anon_sym_CR] = ACTIONS(1685),
    [anon_sym_LF] = ACTIONS(1685),
    [anon_sym_DOT] = ACTIONS(1685),
    [anon_sym_LPAREN] = ACTIONS(1685),
    [anon_sym_LT_LT] = ACTIONS(1685),
    [anon_sym_CARET_LT_LT] = ACTIONS(1685),
    [anon_sym_LBRACK] = ACTIONS(1685),
    [anon_sym__endmethod] = ACTIONS(1685),
    [anon_sym__endproc] = ACTIONS(1685),
    [anon_sym_COMMA] = ACTIONS(1685),
    [anon_sym__endblock] = ACTIONS(1685),
    [anon_sym__and_LT_LT] = ACTIONS(1685),
    [anon_sym__andif_LT_LT] = ACTIONS(1685),
    [anon_sym__or_LT_LT] = ACTIONS(1685),
    [anon_sym__orif_LT_LT] = ACTIONS(1685),
    [anon_sym__xor_LT_LT] = ACTIONS(1685),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1685),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1685),
    [anon_sym_STAR_LT_LT] = ACTIONS(1685),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1685),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1685),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1685),
    [anon_sym__mod_LT_LT] = ACTIONS(1685),
    [anon_sym__div_LT_LT] = ACTIONS(1685),
    [anon_sym_DASH_LT_LT] = ACTIONS(1685),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1685),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1685),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1685),
    [anon_sym__endif] = ACTIONS(1685),
    [anon_sym__elif] = ACTIONS(1685),
    [anon_sym__else] = ACTIONS(1685),
    [anon_sym__endloop] = ACTIONS(1685),
    [anon_sym__finally] = ACTIONS(1685),
    [anon_sym__with] = ACTIONS(1685),
    [anon_sym__endcatch] = ACTIONS(1685),
    [anon_sym__when] = ACTIONS(1685),
    [anon_sym__endtry] = ACTIONS(1685),
    [anon_sym__protection] = ACTIONS(1685),
    [anon_sym__endprotect] = ACTIONS(1685),
    [anon_sym__endlock] = ACTIONS(1685),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym__is] = ACTIONS(1685),
    [anon_sym__isnt] = ACTIONS(1685),
    [anon_sym__cf] = ACTIONS(1685),
    [anon_sym_EQ] = ACTIONS(1685),
    [anon_sym_TILDE_EQ] = ACTIONS(1685),
    [anon_sym_LT_GT] = ACTIONS(1685),
    [anon_sym_GT_EQ] = ACTIONS(1685),
    [anon_sym_LT_EQ] = ACTIONS(1685),
    [anon_sym_LT] = ACTIONS(1685),
    [anon_sym_GT] = ACTIONS(1685),
    [anon_sym__and] = ACTIONS(1685),
    [anon_sym__or] = ACTIONS(1685),
    [anon_sym__xor] = ACTIONS(1685),
    [anon_sym__andif] = ACTIONS(1685),
    [anon_sym__orif] = ACTIONS(1685),
    [anon_sym__xorif] = ACTIONS(1685),
    [anon_sym_STAR_STAR] = ACTIONS(1685),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_SLASH] = ACTIONS(1685),
    [anon_sym__mod] = ACTIONS(1685),
    [anon_sym__div] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1685),
    [anon_sym_PLUS] = ACTIONS(1685),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [anon_sym_CR] = ACTIONS(1687),
    [anon_sym_LF] = ACTIONS(1687),
    [anon_sym_DOT] = ACTIONS(1687),
    [anon_sym_LPAREN] = ACTIONS(1687),
    [anon_sym_LT_LT] = ACTIONS(1687),
    [anon_sym_CARET_LT_LT] = ACTIONS(1687),
    [anon_sym_LBRACK] = ACTIONS(1687),
    [anon_sym__endmethod] = ACTIONS(1687),
    [anon_sym__endproc] = ACTIONS(1687),
    [anon_sym_COMMA] = ACTIONS(1687),
    [anon_sym__endblock] = ACTIONS(1687),
    [anon_sym__and_LT_LT] = ACTIONS(1687),
    [anon_sym__andif_LT_LT] = ACTIONS(1687),
    [anon_sym__or_LT_LT] = ACTIONS(1687),
    [anon_sym__orif_LT_LT] = ACTIONS(1687),
    [anon_sym__xor_LT_LT] = ACTIONS(1687),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1687),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1687),
    [anon_sym_STAR_LT_LT] = ACTIONS(1687),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1687),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1687),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1687),
    [anon_sym__mod_LT_LT] = ACTIONS(1687),
    [anon_sym__div_LT_LT] = ACTIONS(1687),
    [anon_sym_DASH_LT_LT] = ACTIONS(1687),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1687),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1687),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1687),
    [anon_sym__endif] = ACTIONS(1687),
    [anon_sym__elif] = ACTIONS(1687),
    [anon_sym__else] = ACTIONS(1687),
    [anon_sym__endloop] = ACTIONS(1687),
    [anon_sym__finally] = ACTIONS(1687),
    [anon_sym__with] = ACTIONS(1687),
    [anon_sym__endcatch] = ACTIONS(1687),
    [anon_sym__when] = ACTIONS(1687),
    [anon_sym__endtry] = ACTIONS(1687),
    [anon_sym__protection] = ACTIONS(1687),
    [anon_sym__endprotect] = ACTIONS(1687),
    [anon_sym__endlock] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1687),
    [anon_sym__is] = ACTIONS(1687),
    [anon_sym__isnt] = ACTIONS(1687),
    [anon_sym__cf] = ACTIONS(1687),
    [anon_sym_EQ] = ACTIONS(1687),
    [anon_sym_TILDE_EQ] = ACTIONS(1687),
    [anon_sym_LT_GT] = ACTIONS(1687),
    [anon_sym_GT_EQ] = ACTIONS(1687),
    [anon_sym_LT_EQ] = ACTIONS(1687),
    [anon_sym_LT] = ACTIONS(1687),
    [anon_sym_GT] = ACTIONS(1687),
    [anon_sym__and] = ACTIONS(1687),
    [anon_sym__or] = ACTIONS(1687),
    [anon_sym__xor] = ACTIONS(1687),
    [anon_sym__andif] = ACTIONS(1687),
    [anon_sym__orif] = ACTIONS(1687),
    [anon_sym__xorif] = ACTIONS(1687),
    [anon_sym_STAR_STAR] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1687),
    [anon_sym_SLASH] = ACTIONS(1687),
    [anon_sym__mod] = ACTIONS(1687),
    [anon_sym__div] = ACTIONS(1687),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_PLUS] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [anon_sym_CR] = ACTIONS(1689),
    [anon_sym_LF] = ACTIONS(1689),
    [anon_sym_DOT] = ACTIONS(1689),
    [anon_sym_LPAREN] = ACTIONS(1689),
    [anon_sym_LT_LT] = ACTIONS(1689),
    [anon_sym_CARET_LT_LT] = ACTIONS(1689),
    [anon_sym_LBRACK] = ACTIONS(1689),
    [anon_sym__endmethod] = ACTIONS(1689),
    [anon_sym__endproc] = ACTIONS(1689),
    [anon_sym_COMMA] = ACTIONS(1689),
    [anon_sym__endblock] = ACTIONS(1689),
    [anon_sym__and_LT_LT] = ACTIONS(1689),
    [anon_sym__andif_LT_LT] = ACTIONS(1689),
    [anon_sym__or_LT_LT] = ACTIONS(1689),
    [anon_sym__orif_LT_LT] = ACTIONS(1689),
    [anon_sym__xor_LT_LT] = ACTIONS(1689),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1689),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1689),
    [anon_sym_STAR_LT_LT] = ACTIONS(1689),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1689),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1689),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1689),
    [anon_sym__mod_LT_LT] = ACTIONS(1689),
    [anon_sym__div_LT_LT] = ACTIONS(1689),
    [anon_sym_DASH_LT_LT] = ACTIONS(1689),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1689),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1689),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1689),
    [anon_sym__endif] = ACTIONS(1689),
    [anon_sym__elif] = ACTIONS(1689),
    [anon_sym__else] = ACTIONS(1689),
    [anon_sym__endloop] = ACTIONS(1689),
    [anon_sym__finally] = ACTIONS(1689),
    [anon_sym__with] = ACTIONS(1689),
    [anon_sym__endcatch] = ACTIONS(1689),
    [anon_sym__when] = ACTIONS(1689),
    [anon_sym__endtry] = ACTIONS(1689),
    [anon_sym__protection] = ACTIONS(1689),
    [anon_sym__endprotect] = ACTIONS(1689),
    [anon_sym__endlock] = ACTIONS(1689),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym__is] = ACTIONS(1689),
    [anon_sym__isnt] = ACTIONS(1689),
    [anon_sym__cf] = ACTIONS(1689),
    [anon_sym_EQ] = ACTIONS(1689),
    [anon_sym_TILDE_EQ] = ACTIONS(1689),
    [anon_sym_LT_GT] = ACTIONS(1689),
    [anon_sym_GT_EQ] = ACTIONS(1689),
    [anon_sym_LT_EQ] = ACTIONS(1689),
    [anon_sym_LT] = ACTIONS(1689),
    [anon_sym_GT] = ACTIONS(1689),
    [anon_sym__and] = ACTIONS(1689),
    [anon_sym__or] = ACTIONS(1689),
    [anon_sym__xor] = ACTIONS(1689),
    [anon_sym__andif] = ACTIONS(1689),
    [anon_sym__orif] = ACTIONS(1689),
    [anon_sym__xorif] = ACTIONS(1689),
    [anon_sym_STAR_STAR] = ACTIONS(1689),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_SLASH] = ACTIONS(1689),
    [anon_sym__mod] = ACTIONS(1689),
    [anon_sym__div] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1689),
    [anon_sym_PLUS] = ACTIONS(1689),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [anon_sym_CR] = ACTIONS(1691),
    [anon_sym_LF] = ACTIONS(1691),
    [anon_sym_DOT] = ACTIONS(1691),
    [anon_sym_LPAREN] = ACTIONS(1691),
    [anon_sym_LT_LT] = ACTIONS(1691),
    [anon_sym_CARET_LT_LT] = ACTIONS(1691),
    [anon_sym_LBRACK] = ACTIONS(1691),
    [anon_sym__endmethod] = ACTIONS(1691),
    [anon_sym__endproc] = ACTIONS(1691),
    [anon_sym_COMMA] = ACTIONS(1691),
    [anon_sym__endblock] = ACTIONS(1691),
    [anon_sym__and_LT_LT] = ACTIONS(1691),
    [anon_sym__andif_LT_LT] = ACTIONS(1691),
    [anon_sym__or_LT_LT] = ACTIONS(1691),
    [anon_sym__orif_LT_LT] = ACTIONS(1691),
    [anon_sym__xor_LT_LT] = ACTIONS(1691),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1691),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1691),
    [anon_sym_STAR_LT_LT] = ACTIONS(1691),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1691),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1691),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1691),
    [anon_sym__mod_LT_LT] = ACTIONS(1691),
    [anon_sym__div_LT_LT] = ACTIONS(1691),
    [anon_sym_DASH_LT_LT] = ACTIONS(1691),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1691),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1691),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1691),
    [anon_sym__endif] = ACTIONS(1691),
    [anon_sym__elif] = ACTIONS(1691),
    [anon_sym__else] = ACTIONS(1691),
    [anon_sym__endloop] = ACTIONS(1691),
    [anon_sym__finally] = ACTIONS(1691),
    [anon_sym__with] = ACTIONS(1691),
    [anon_sym__endcatch] = ACTIONS(1691),
    [anon_sym__when] = ACTIONS(1691),
    [anon_sym__endtry] = ACTIONS(1691),
    [anon_sym__protection] = ACTIONS(1691),
    [anon_sym__endprotect] = ACTIONS(1691),
    [anon_sym__endlock] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1691),
    [anon_sym__is] = ACTIONS(1691),
    [anon_sym__isnt] = ACTIONS(1691),
    [anon_sym__cf] = ACTIONS(1691),
    [anon_sym_EQ] = ACTIONS(1691),
    [anon_sym_TILDE_EQ] = ACTIONS(1691),
    [anon_sym_LT_GT] = ACTIONS(1691),
    [anon_sym_GT_EQ] = ACTIONS(1691),
    [anon_sym_LT_EQ] = ACTIONS(1691),
    [anon_sym_LT] = ACTIONS(1691),
    [anon_sym_GT] = ACTIONS(1691),
    [anon_sym__and] = ACTIONS(1691),
    [anon_sym__or] = ACTIONS(1691),
    [anon_sym__xor] = ACTIONS(1691),
    [anon_sym__andif] = ACTIONS(1691),
    [anon_sym__orif] = ACTIONS(1691),
    [anon_sym__xorif] = ACTIONS(1691),
    [anon_sym_STAR_STAR] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1691),
    [anon_sym_SLASH] = ACTIONS(1691),
    [anon_sym__mod] = ACTIONS(1691),
    [anon_sym__div] = ACTIONS(1691),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [aux_sym_loopbody_repeat1] = STATE(474),
    [anon_sym_CR] = ACTIONS(1693),
    [anon_sym_LF] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym__endmethod] = ACTIONS(1693),
    [anon_sym__endproc] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym__endblock] = ACTIONS(1693),
    [anon_sym__and_LT_LT] = ACTIONS(1673),
    [anon_sym__andif_LT_LT] = ACTIONS(1673),
    [anon_sym__or_LT_LT] = ACTIONS(1673),
    [anon_sym__orif_LT_LT] = ACTIONS(1673),
    [anon_sym__xor_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__mod_LT_LT] = ACTIONS(1673),
    [anon_sym__div_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__endif] = ACTIONS(1693),
    [anon_sym__elif] = ACTIONS(1693),
    [anon_sym__else] = ACTIONS(1693),
    [anon_sym__endloop] = ACTIONS(1693),
    [anon_sym__finally] = ACTIONS(1693),
    [anon_sym__with] = ACTIONS(1693),
    [anon_sym__endcatch] = ACTIONS(1693),
    [anon_sym__when] = ACTIONS(1693),
    [anon_sym__endtry] = ACTIONS(1693),
    [anon_sym__endprotect] = ACTIONS(1693),
    [anon_sym__endlock] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym__is] = ACTIONS(1679),
    [anon_sym__isnt] = ACTIONS(1679),
    [anon_sym__cf] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1679),
    [anon_sym_TILDE_EQ] = ACTIONS(1679),
    [anon_sym_LT_GT] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym__and] = ACTIONS(1681),
    [anon_sym__or] = ACTIONS(1681),
    [anon_sym__xor] = ACTIONS(1681),
    [anon_sym__andif] = ACTIONS(1681),
    [anon_sym__orif] = ACTIONS(1681),
    [anon_sym__xorif] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym__mod] = ACTIONS(1683),
    [anon_sym__div] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [anon_sym_CR] = ACTIONS(1695),
    [anon_sym_LF] = ACTIONS(1695),
    [anon_sym_DOT] = ACTIONS(1695),
    [anon_sym_LPAREN] = ACTIONS(1695),
    [anon_sym_LT_LT] = ACTIONS(1695),
    [anon_sym_CARET_LT_LT] = ACTIONS(1695),
    [anon_sym_LBRACK] = ACTIONS(1695),
    [anon_sym__endmethod] = ACTIONS(1695),
    [anon_sym__endproc] = ACTIONS(1695),
    [anon_sym_COMMA] = ACTIONS(1695),
    [anon_sym__endblock] = ACTIONS(1695),
    [anon_sym__and_LT_LT] = ACTIONS(1695),
    [anon_sym__andif_LT_LT] = ACTIONS(1695),
    [anon_sym__or_LT_LT] = ACTIONS(1695),
    [anon_sym__orif_LT_LT] = ACTIONS(1695),
    [anon_sym__xor_LT_LT] = ACTIONS(1695),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1695),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1695),
    [anon_sym_STAR_LT_LT] = ACTIONS(1695),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1695),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1695),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1695),
    [anon_sym__mod_LT_LT] = ACTIONS(1695),
    [anon_sym__div_LT_LT] = ACTIONS(1695),
    [anon_sym_DASH_LT_LT] = ACTIONS(1695),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1695),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1695),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1695),
    [anon_sym__endif] = ACTIONS(1695),
    [anon_sym__elif] = ACTIONS(1695),
    [anon_sym__else] = ACTIONS(1695),
    [anon_sym__endloop] = ACTIONS(1695),
    [anon_sym__finally] = ACTIONS(1695),
    [anon_sym__with] = ACTIONS(1695),
    [anon_sym__endcatch] = ACTIONS(1695),
    [anon_sym__when] = ACTIONS(1695),
    [anon_sym__endtry] = ACTIONS(1695),
    [anon_sym__protection] = ACTIONS(1695),
    [anon_sym__endprotect] = ACTIONS(1695),
    [anon_sym__endlock] = ACTIONS(1695),
    [anon_sym_SEMI] = ACTIONS(1695),
    [anon_sym__is] = ACTIONS(1695),
    [anon_sym__isnt] = ACTIONS(1695),
    [anon_sym__cf] = ACTIONS(1695),
    [anon_sym_EQ] = ACTIONS(1695),
    [anon_sym_TILDE_EQ] = ACTIONS(1695),
    [anon_sym_LT_GT] = ACTIONS(1695),
    [anon_sym_GT_EQ] = ACTIONS(1695),
    [anon_sym_LT_EQ] = ACTIONS(1695),
    [anon_sym_LT] = ACTIONS(1695),
    [anon_sym_GT] = ACTIONS(1695),
    [anon_sym__and] = ACTIONS(1695),
    [anon_sym__or] = ACTIONS(1695),
    [anon_sym__xor] = ACTIONS(1695),
    [anon_sym__andif] = ACTIONS(1695),
    [anon_sym__orif] = ACTIONS(1695),
    [anon_sym__xorif] = ACTIONS(1695),
    [anon_sym_STAR_STAR] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1695),
    [anon_sym_SLASH] = ACTIONS(1695),
    [anon_sym__mod] = ACTIONS(1695),
    [anon_sym__div] = ACTIONS(1695),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [anon_sym_CR] = ACTIONS(1697),
    [anon_sym_LF] = ACTIONS(1697),
    [anon_sym_DOT] = ACTIONS(1697),
    [anon_sym_LPAREN] = ACTIONS(1697),
    [anon_sym_LT_LT] = ACTIONS(1697),
    [anon_sym_CARET_LT_LT] = ACTIONS(1697),
    [anon_sym_LBRACK] = ACTIONS(1697),
    [anon_sym__endmethod] = ACTIONS(1697),
    [anon_sym__endproc] = ACTIONS(1697),
    [anon_sym_COMMA] = ACTIONS(1697),
    [anon_sym__endblock] = ACTIONS(1697),
    [anon_sym__and_LT_LT] = ACTIONS(1697),
    [anon_sym__andif_LT_LT] = ACTIONS(1697),
    [anon_sym__or_LT_LT] = ACTIONS(1697),
    [anon_sym__orif_LT_LT] = ACTIONS(1697),
    [anon_sym__xor_LT_LT] = ACTIONS(1697),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1697),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1697),
    [anon_sym_STAR_LT_LT] = ACTIONS(1697),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1697),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1697),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1697),
    [anon_sym__mod_LT_LT] = ACTIONS(1697),
    [anon_sym__div_LT_LT] = ACTIONS(1697),
    [anon_sym_DASH_LT_LT] = ACTIONS(1697),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1697),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1697),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1697),
    [anon_sym__endif] = ACTIONS(1697),
    [anon_sym__elif] = ACTIONS(1697),
    [anon_sym__else] = ACTIONS(1697),
    [anon_sym__endloop] = ACTIONS(1697),
    [anon_sym__finally] = ACTIONS(1697),
    [anon_sym__with] = ACTIONS(1697),
    [anon_sym__endcatch] = ACTIONS(1697),
    [anon_sym__when] = ACTIONS(1697),
    [anon_sym__endtry] = ACTIONS(1697),
    [anon_sym__protection] = ACTIONS(1697),
    [anon_sym__endprotect] = ACTIONS(1697),
    [anon_sym__endlock] = ACTIONS(1697),
    [anon_sym_SEMI] = ACTIONS(1697),
    [anon_sym__is] = ACTIONS(1697),
    [anon_sym__isnt] = ACTIONS(1697),
    [anon_sym__cf] = ACTIONS(1697),
    [anon_sym_EQ] = ACTIONS(1697),
    [anon_sym_TILDE_EQ] = ACTIONS(1697),
    [anon_sym_LT_GT] = ACTIONS(1697),
    [anon_sym_GT_EQ] = ACTIONS(1697),
    [anon_sym_LT_EQ] = ACTIONS(1697),
    [anon_sym_LT] = ACTIONS(1697),
    [anon_sym_GT] = ACTIONS(1697),
    [anon_sym__and] = ACTIONS(1697),
    [anon_sym__or] = ACTIONS(1697),
    [anon_sym__xor] = ACTIONS(1697),
    [anon_sym__andif] = ACTIONS(1697),
    [anon_sym__orif] = ACTIONS(1697),
    [anon_sym__xorif] = ACTIONS(1697),
    [anon_sym_STAR_STAR] = ACTIONS(1697),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_SLASH] = ACTIONS(1697),
    [anon_sym__mod] = ACTIONS(1697),
    [anon_sym__div] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1697),
    [anon_sym_PLUS] = ACTIONS(1697),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [aux_sym_loopbody_repeat1] = STATE(475),
    [anon_sym_CR] = ACTIONS(1699),
    [anon_sym_LF] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym__endmethod] = ACTIONS(1699),
    [anon_sym__endproc] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym__endblock] = ACTIONS(1699),
    [anon_sym__and_LT_LT] = ACTIONS(1673),
    [anon_sym__andif_LT_LT] = ACTIONS(1673),
    [anon_sym__or_LT_LT] = ACTIONS(1673),
    [anon_sym__orif_LT_LT] = ACTIONS(1673),
    [anon_sym__xor_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__mod_LT_LT] = ACTIONS(1673),
    [anon_sym__div_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__endif] = ACTIONS(1699),
    [anon_sym__elif] = ACTIONS(1699),
    [anon_sym__else] = ACTIONS(1699),
    [anon_sym__endloop] = ACTIONS(1699),
    [anon_sym__finally] = ACTIONS(1699),
    [anon_sym__with] = ACTIONS(1699),
    [anon_sym__endcatch] = ACTIONS(1699),
    [anon_sym__when] = ACTIONS(1699),
    [anon_sym__endtry] = ACTIONS(1699),
    [anon_sym__endprotect] = ACTIONS(1699),
    [anon_sym__endlock] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym__is] = ACTIONS(1679),
    [anon_sym__isnt] = ACTIONS(1679),
    [anon_sym__cf] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1679),
    [anon_sym_TILDE_EQ] = ACTIONS(1679),
    [anon_sym_LT_GT] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym__and] = ACTIONS(1681),
    [anon_sym__or] = ACTIONS(1681),
    [anon_sym__xor] = ACTIONS(1681),
    [anon_sym__andif] = ACTIONS(1681),
    [anon_sym__orif] = ACTIONS(1681),
    [anon_sym__xorif] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym__mod] = ACTIONS(1683),
    [anon_sym__div] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [aux_sym_loopbody_repeat1] = STATE(489),
    [anon_sym_CR] = ACTIONS(1701),
    [anon_sym_LF] = ACTIONS(1701),
    [anon_sym_DOT] = ACTIONS(1701),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [anon_sym__endmethod] = ACTIONS(1701),
    [anon_sym__endproc] = ACTIONS(1701),
    [anon_sym_COMMA] = ACTIONS(1701),
    [anon_sym__endblock] = ACTIONS(1701),
    [anon_sym__and_LT_LT] = ACTIONS(1701),
    [anon_sym__andif_LT_LT] = ACTIONS(1701),
    [anon_sym__or_LT_LT] = ACTIONS(1701),
    [anon_sym__orif_LT_LT] = ACTIONS(1701),
    [anon_sym__xor_LT_LT] = ACTIONS(1701),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1701),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym_STAR_LT_LT] = ACTIONS(1701),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1701),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym__mod_LT_LT] = ACTIONS(1701),
    [anon_sym__div_LT_LT] = ACTIONS(1701),
    [anon_sym_DASH_LT_LT] = ACTIONS(1701),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1701),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym__endif] = ACTIONS(1701),
    [anon_sym__elif] = ACTIONS(1701),
    [anon_sym__else] = ACTIONS(1701),
    [anon_sym__endloop] = ACTIONS(1701),
    [anon_sym__finally] = ACTIONS(1701),
    [anon_sym__with] = ACTIONS(1701),
    [anon_sym__endcatch] = ACTIONS(1701),
    [anon_sym__when] = ACTIONS(1701),
    [anon_sym__endtry] = ACTIONS(1701),
    [anon_sym__endprotect] = ACTIONS(1701),
    [anon_sym__endlock] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym__is] = ACTIONS(1701),
    [anon_sym__isnt] = ACTIONS(1701),
    [anon_sym__cf] = ACTIONS(1701),
    [anon_sym_EQ] = ACTIONS(1701),
    [anon_sym_TILDE_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1701),
    [anon_sym_GT] = ACTIONS(1701),
    [anon_sym__and] = ACTIONS(1701),
    [anon_sym__or] = ACTIONS(1701),
    [anon_sym__xor] = ACTIONS(1701),
    [anon_sym__andif] = ACTIONS(1701),
    [anon_sym__orif] = ACTIONS(1701),
    [anon_sym__xorif] = ACTIONS(1701),
    [anon_sym_STAR_STAR] = ACTIONS(1701),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1701),
    [anon_sym__mod] = ACTIONS(1701),
    [anon_sym__div] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [aux_sym_loopbody_repeat1] = STATE(489),
    [anon_sym_CR] = ACTIONS(1703),
    [anon_sym_LF] = ACTIONS(1703),
    [anon_sym_DOT] = ACTIONS(1703),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [anon_sym__endmethod] = ACTIONS(1703),
    [anon_sym__endproc] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1703),
    [anon_sym__endblock] = ACTIONS(1703),
    [anon_sym__and_LT_LT] = ACTIONS(1703),
    [anon_sym__andif_LT_LT] = ACTIONS(1703),
    [anon_sym__or_LT_LT] = ACTIONS(1703),
    [anon_sym__orif_LT_LT] = ACTIONS(1703),
    [anon_sym__xor_LT_LT] = ACTIONS(1703),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1703),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym_STAR_LT_LT] = ACTIONS(1703),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1703),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym__mod_LT_LT] = ACTIONS(1703),
    [anon_sym__div_LT_LT] = ACTIONS(1703),
    [anon_sym_DASH_LT_LT] = ACTIONS(1703),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1703),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym__endif] = ACTIONS(1703),
    [anon_sym__elif] = ACTIONS(1703),
    [anon_sym__else] = ACTIONS(1703),
    [anon_sym__endloop] = ACTIONS(1703),
    [anon_sym__finally] = ACTIONS(1703),
    [anon_sym__with] = ACTIONS(1703),
    [anon_sym__endcatch] = ACTIONS(1703),
    [anon_sym__when] = ACTIONS(1703),
    [anon_sym__endtry] = ACTIONS(1703),
    [anon_sym__endprotect] = ACTIONS(1703),
    [anon_sym__endlock] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym__is] = ACTIONS(1703),
    [anon_sym__isnt] = ACTIONS(1703),
    [anon_sym__cf] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1703),
    [anon_sym_TILDE_EQ] = ACTIONS(1703),
    [anon_sym_LT_GT] = ACTIONS(1703),
    [anon_sym_GT_EQ] = ACTIONS(1703),
    [anon_sym_LT_EQ] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [anon_sym__and] = ACTIONS(1703),
    [anon_sym__or] = ACTIONS(1703),
    [anon_sym__xor] = ACTIONS(1703),
    [anon_sym__andif] = ACTIONS(1703),
    [anon_sym__orif] = ACTIONS(1703),
    [anon_sym__xorif] = ACTIONS(1703),
    [anon_sym_STAR_STAR] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1703),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym__mod] = ACTIONS(1703),
    [anon_sym__div] = ACTIONS(1703),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [aux_sym_loopbody_repeat1] = STATE(489),
    [anon_sym_CR] = ACTIONS(1693),
    [anon_sym_LF] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [anon_sym__endmethod] = ACTIONS(1693),
    [anon_sym__endproc] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1693),
    [anon_sym__endblock] = ACTIONS(1693),
    [anon_sym__and_LT_LT] = ACTIONS(1693),
    [anon_sym__andif_LT_LT] = ACTIONS(1693),
    [anon_sym__or_LT_LT] = ACTIONS(1693),
    [anon_sym__orif_LT_LT] = ACTIONS(1693),
    [anon_sym__xor_LT_LT] = ACTIONS(1693),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1693),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym_STAR_LT_LT] = ACTIONS(1693),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1693),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym__mod_LT_LT] = ACTIONS(1693),
    [anon_sym__div_LT_LT] = ACTIONS(1693),
    [anon_sym_DASH_LT_LT] = ACTIONS(1693),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1693),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym__endif] = ACTIONS(1693),
    [anon_sym__elif] = ACTIONS(1693),
    [anon_sym__else] = ACTIONS(1693),
    [anon_sym__endloop] = ACTIONS(1693),
    [anon_sym__finally] = ACTIONS(1693),
    [anon_sym__with] = ACTIONS(1693),
    [anon_sym__endcatch] = ACTIONS(1693),
    [anon_sym__when] = ACTIONS(1693),
    [anon_sym__endtry] = ACTIONS(1693),
    [anon_sym__endprotect] = ACTIONS(1693),
    [anon_sym__endlock] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym__is] = ACTIONS(1693),
    [anon_sym__isnt] = ACTIONS(1693),
    [anon_sym__cf] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1693),
    [anon_sym_TILDE_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1693),
    [anon_sym_GT] = ACTIONS(1693),
    [anon_sym__and] = ACTIONS(1693),
    [anon_sym__or] = ACTIONS(1693),
    [anon_sym__xor] = ACTIONS(1693),
    [anon_sym__andif] = ACTIONS(1693),
    [anon_sym__orif] = ACTIONS(1693),
    [anon_sym__xorif] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym__mod] = ACTIONS(1693),
    [anon_sym__div] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [aux_sym_loopbody_repeat1] = STATE(489),
    [anon_sym_CR] = ACTIONS(1699),
    [anon_sym_LF] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_LPAREN] = ACTIONS(1699),
    [anon_sym_LT_LT] = ACTIONS(1699),
    [anon_sym_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym__endmethod] = ACTIONS(1699),
    [anon_sym__endproc] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1699),
    [anon_sym__endblock] = ACTIONS(1699),
    [anon_sym__and_LT_LT] = ACTIONS(1699),
    [anon_sym__andif_LT_LT] = ACTIONS(1699),
    [anon_sym__or_LT_LT] = ACTIONS(1699),
    [anon_sym__orif_LT_LT] = ACTIONS(1699),
    [anon_sym__xor_LT_LT] = ACTIONS(1699),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1699),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym_STAR_LT_LT] = ACTIONS(1699),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1699),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym__mod_LT_LT] = ACTIONS(1699),
    [anon_sym__div_LT_LT] = ACTIONS(1699),
    [anon_sym_DASH_LT_LT] = ACTIONS(1699),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1699),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym__endif] = ACTIONS(1699),
    [anon_sym__elif] = ACTIONS(1699),
    [anon_sym__else] = ACTIONS(1699),
    [anon_sym__endloop] = ACTIONS(1699),
    [anon_sym__finally] = ACTIONS(1699),
    [anon_sym__with] = ACTIONS(1699),
    [anon_sym__endcatch] = ACTIONS(1699),
    [anon_sym__when] = ACTIONS(1699),
    [anon_sym__endtry] = ACTIONS(1699),
    [anon_sym__endprotect] = ACTIONS(1699),
    [anon_sym__endlock] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym__is] = ACTIONS(1699),
    [anon_sym__isnt] = ACTIONS(1699),
    [anon_sym__cf] = ACTIONS(1699),
    [anon_sym_EQ] = ACTIONS(1699),
    [anon_sym_TILDE_EQ] = ACTIONS(1699),
    [anon_sym_LT_GT] = ACTIONS(1699),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [anon_sym__and] = ACTIONS(1699),
    [anon_sym__or] = ACTIONS(1699),
    [anon_sym__xor] = ACTIONS(1699),
    [anon_sym__andif] = ACTIONS(1699),
    [anon_sym__orif] = ACTIONS(1699),
    [anon_sym__xorif] = ACTIONS(1699),
    [anon_sym_STAR_STAR] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1699),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym__mod] = ACTIONS(1699),
    [anon_sym__div] = ACTIONS(1699),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [aux_sym_loopbody_repeat1] = STATE(476),
    [anon_sym_CR] = ACTIONS(1705),
    [anon_sym_LF] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym__endmethod] = ACTIONS(1705),
    [anon_sym__endproc] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1705),
    [anon_sym__endblock] = ACTIONS(1705),
    [anon_sym__and_LT_LT] = ACTIONS(1673),
    [anon_sym__andif_LT_LT] = ACTIONS(1673),
    [anon_sym__or_LT_LT] = ACTIONS(1673),
    [anon_sym__orif_LT_LT] = ACTIONS(1673),
    [anon_sym__xor_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__mod_LT_LT] = ACTIONS(1673),
    [anon_sym__div_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__endif] = ACTIONS(1705),
    [anon_sym__elif] = ACTIONS(1705),
    [anon_sym__else] = ACTIONS(1705),
    [anon_sym__endloop] = ACTIONS(1705),
    [anon_sym__finally] = ACTIONS(1705),
    [anon_sym__with] = ACTIONS(1705),
    [anon_sym__endcatch] = ACTIONS(1705),
    [anon_sym__when] = ACTIONS(1705),
    [anon_sym__endtry] = ACTIONS(1705),
    [anon_sym__endprotect] = ACTIONS(1705),
    [anon_sym__endlock] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym__is] = ACTIONS(1679),
    [anon_sym__isnt] = ACTIONS(1679),
    [anon_sym__cf] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1679),
    [anon_sym_TILDE_EQ] = ACTIONS(1679),
    [anon_sym_LT_GT] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym__and] = ACTIONS(1681),
    [anon_sym__or] = ACTIONS(1681),
    [anon_sym__xor] = ACTIONS(1681),
    [anon_sym__andif] = ACTIONS(1681),
    [anon_sym__orif] = ACTIONS(1681),
    [anon_sym__xorif] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym__mod] = ACTIONS(1683),
    [anon_sym__div] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [anon_sym_CR] = ACTIONS(1707),
    [anon_sym_LF] = ACTIONS(1707),
    [anon_sym_DOT] = ACTIONS(1707),
    [anon_sym_LPAREN] = ACTIONS(1707),
    [anon_sym_LT_LT] = ACTIONS(1707),
    [anon_sym_CARET_LT_LT] = ACTIONS(1707),
    [anon_sym_LBRACK] = ACTIONS(1707),
    [anon_sym__endmethod] = ACTIONS(1707),
    [anon_sym__endproc] = ACTIONS(1707),
    [anon_sym_COMMA] = ACTIONS(1707),
    [anon_sym__endblock] = ACTIONS(1707),
    [anon_sym__and_LT_LT] = ACTIONS(1707),
    [anon_sym__andif_LT_LT] = ACTIONS(1707),
    [anon_sym__or_LT_LT] = ACTIONS(1707),
    [anon_sym__orif_LT_LT] = ACTIONS(1707),
    [anon_sym__xor_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_LT_LT] = ACTIONS(1707),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1707),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1707),
    [anon_sym__mod_LT_LT] = ACTIONS(1707),
    [anon_sym__div_LT_LT] = ACTIONS(1707),
    [anon_sym_DASH_LT_LT] = ACTIONS(1707),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1707),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1707),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1707),
    [anon_sym__endif] = ACTIONS(1707),
    [anon_sym__elif] = ACTIONS(1707),
    [anon_sym__else] = ACTIONS(1707),
    [anon_sym__endloop] = ACTIONS(1707),
    [anon_sym__finally] = ACTIONS(1707),
    [anon_sym__with] = ACTIONS(1707),
    [anon_sym__endcatch] = ACTIONS(1707),
    [anon_sym__when] = ACTIONS(1707),
    [anon_sym__endtry] = ACTIONS(1707),
    [anon_sym__protection] = ACTIONS(1707),
    [anon_sym__endprotect] = ACTIONS(1707),
    [anon_sym__endlock] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1707),
    [anon_sym__is] = ACTIONS(1707),
    [anon_sym__isnt] = ACTIONS(1707),
    [anon_sym__cf] = ACTIONS(1707),
    [anon_sym_EQ] = ACTIONS(1707),
    [anon_sym_TILDE_EQ] = ACTIONS(1707),
    [anon_sym_LT_GT] = ACTIONS(1707),
    [anon_sym_GT_EQ] = ACTIONS(1707),
    [anon_sym_LT_EQ] = ACTIONS(1707),
    [anon_sym_LT] = ACTIONS(1707),
    [anon_sym_GT] = ACTIONS(1707),
    [anon_sym__and] = ACTIONS(1707),
    [anon_sym__or] = ACTIONS(1707),
    [anon_sym__xor] = ACTIONS(1707),
    [anon_sym__andif] = ACTIONS(1707),
    [anon_sym__orif] = ACTIONS(1707),
    [anon_sym__xorif] = ACTIONS(1707),
    [anon_sym_STAR_STAR] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1707),
    [anon_sym_SLASH] = ACTIONS(1707),
    [anon_sym__mod] = ACTIONS(1707),
    [anon_sym__div] = ACTIONS(1707),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [aux_sym_loopbody_repeat1] = STATE(477),
    [anon_sym_CR] = ACTIONS(1709),
    [anon_sym_LF] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym__endmethod] = ACTIONS(1709),
    [anon_sym__endproc] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1709),
    [anon_sym__endblock] = ACTIONS(1709),
    [anon_sym__and_LT_LT] = ACTIONS(1673),
    [anon_sym__andif_LT_LT] = ACTIONS(1673),
    [anon_sym__or_LT_LT] = ACTIONS(1673),
    [anon_sym__orif_LT_LT] = ACTIONS(1673),
    [anon_sym__xor_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__mod_LT_LT] = ACTIONS(1673),
    [anon_sym__div_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__endif] = ACTIONS(1709),
    [anon_sym__elif] = ACTIONS(1709),
    [anon_sym__else] = ACTIONS(1709),
    [anon_sym__endloop] = ACTIONS(1709),
    [anon_sym__finally] = ACTIONS(1709),
    [anon_sym__with] = ACTIONS(1709),
    [anon_sym__endcatch] = ACTIONS(1709),
    [anon_sym__when] = ACTIONS(1709),
    [anon_sym__endtry] = ACTIONS(1709),
    [anon_sym__endprotect] = ACTIONS(1709),
    [anon_sym__endlock] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym__is] = ACTIONS(1679),
    [anon_sym__isnt] = ACTIONS(1679),
    [anon_sym__cf] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1679),
    [anon_sym_TILDE_EQ] = ACTIONS(1679),
    [anon_sym_LT_GT] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym__and] = ACTIONS(1681),
    [anon_sym__or] = ACTIONS(1681),
    [anon_sym__xor] = ACTIONS(1681),
    [anon_sym__andif] = ACTIONS(1681),
    [anon_sym__orif] = ACTIONS(1681),
    [anon_sym__xorif] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym__mod] = ACTIONS(1683),
    [anon_sym__div] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [aux_sym_loopbody_repeat1] = STATE(489),
    [anon_sym_CR] = ACTIONS(1711),
    [anon_sym_LF] = ACTIONS(1711),
    [anon_sym_DOT] = ACTIONS(1711),
    [anon_sym_LPAREN] = ACTIONS(1711),
    [anon_sym_LT_LT] = ACTIONS(1711),
    [anon_sym_CARET_LT_LT] = ACTIONS(1711),
    [anon_sym_LBRACK] = ACTIONS(1711),
    [anon_sym__endmethod] = ACTIONS(1711),
    [anon_sym__endproc] = ACTIONS(1711),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym__endblock] = ACTIONS(1711),
    [anon_sym__and_LT_LT] = ACTIONS(1711),
    [anon_sym__andif_LT_LT] = ACTIONS(1711),
    [anon_sym__or_LT_LT] = ACTIONS(1711),
    [anon_sym__orif_LT_LT] = ACTIONS(1711),
    [anon_sym__xor_LT_LT] = ACTIONS(1711),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1711),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1711),
    [anon_sym_STAR_LT_LT] = ACTIONS(1711),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1711),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1711),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1711),
    [anon_sym__mod_LT_LT] = ACTIONS(1711),
    [anon_sym__div_LT_LT] = ACTIONS(1711),
    [anon_sym_DASH_LT_LT] = ACTIONS(1711),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1711),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1711),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1711),
    [anon_sym__endif] = ACTIONS(1711),
    [anon_sym__elif] = ACTIONS(1711),
    [anon_sym__else] = ACTIONS(1711),
    [anon_sym__endloop] = ACTIONS(1711),
    [anon_sym__finally] = ACTIONS(1711),
    [anon_sym__with] = ACTIONS(1711),
    [anon_sym__endcatch] = ACTIONS(1711),
    [anon_sym__when] = ACTIONS(1711),
    [anon_sym__endtry] = ACTIONS(1711),
    [anon_sym__endprotect] = ACTIONS(1711),
    [anon_sym__endlock] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1711),
    [anon_sym__is] = ACTIONS(1711),
    [anon_sym__isnt] = ACTIONS(1711),
    [anon_sym__cf] = ACTIONS(1711),
    [anon_sym_EQ] = ACTIONS(1711),
    [anon_sym_TILDE_EQ] = ACTIONS(1711),
    [anon_sym_LT_GT] = ACTIONS(1711),
    [anon_sym_GT_EQ] = ACTIONS(1711),
    [anon_sym_LT_EQ] = ACTIONS(1711),
    [anon_sym_LT] = ACTIONS(1711),
    [anon_sym_GT] = ACTIONS(1711),
    [anon_sym__and] = ACTIONS(1711),
    [anon_sym__or] = ACTIONS(1711),
    [anon_sym__xor] = ACTIONS(1711),
    [anon_sym__andif] = ACTIONS(1711),
    [anon_sym__orif] = ACTIONS(1711),
    [anon_sym__xorif] = ACTIONS(1711),
    [anon_sym_STAR_STAR] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1711),
    [anon_sym_SLASH] = ACTIONS(1711),
    [anon_sym__mod] = ACTIONS(1711),
    [anon_sym__div] = ACTIONS(1711),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [anon_sym_CR] = ACTIONS(1713),
    [anon_sym_LF] = ACTIONS(1713),
    [anon_sym_DOT] = ACTIONS(1713),
    [anon_sym_LPAREN] = ACTIONS(1713),
    [anon_sym_LT_LT] = ACTIONS(1713),
    [anon_sym_CARET_LT_LT] = ACTIONS(1713),
    [anon_sym_LBRACK] = ACTIONS(1713),
    [anon_sym__endmethod] = ACTIONS(1713),
    [anon_sym__endproc] = ACTIONS(1713),
    [anon_sym_COMMA] = ACTIONS(1713),
    [anon_sym__endblock] = ACTIONS(1713),
    [anon_sym__and_LT_LT] = ACTIONS(1713),
    [anon_sym__andif_LT_LT] = ACTIONS(1713),
    [anon_sym__or_LT_LT] = ACTIONS(1713),
    [anon_sym__orif_LT_LT] = ACTIONS(1713),
    [anon_sym__xor_LT_LT] = ACTIONS(1713),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1713),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1713),
    [anon_sym_STAR_LT_LT] = ACTIONS(1713),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1713),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1713),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1713),
    [anon_sym__mod_LT_LT] = ACTIONS(1713),
    [anon_sym__div_LT_LT] = ACTIONS(1713),
    [anon_sym_DASH_LT_LT] = ACTIONS(1713),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1713),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1713),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1713),
    [anon_sym__endif] = ACTIONS(1713),
    [anon_sym__elif] = ACTIONS(1713),
    [anon_sym__else] = ACTIONS(1713),
    [anon_sym__endloop] = ACTIONS(1713),
    [anon_sym__finally] = ACTIONS(1713),
    [anon_sym__with] = ACTIONS(1713),
    [anon_sym__endcatch] = ACTIONS(1713),
    [anon_sym__when] = ACTIONS(1713),
    [anon_sym__endtry] = ACTIONS(1713),
    [anon_sym__protection] = ACTIONS(1713),
    [anon_sym__endprotect] = ACTIONS(1713),
    [anon_sym__endlock] = ACTIONS(1713),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym__is] = ACTIONS(1713),
    [anon_sym__isnt] = ACTIONS(1713),
    [anon_sym__cf] = ACTIONS(1713),
    [anon_sym_EQ] = ACTIONS(1713),
    [anon_sym_TILDE_EQ] = ACTIONS(1713),
    [anon_sym_LT_GT] = ACTIONS(1713),
    [anon_sym_GT_EQ] = ACTIONS(1713),
    [anon_sym_LT_EQ] = ACTIONS(1713),
    [anon_sym_LT] = ACTIONS(1713),
    [anon_sym_GT] = ACTIONS(1713),
    [anon_sym__and] = ACTIONS(1713),
    [anon_sym__or] = ACTIONS(1713),
    [anon_sym__xor] = ACTIONS(1713),
    [anon_sym__andif] = ACTIONS(1713),
    [anon_sym__orif] = ACTIONS(1713),
    [anon_sym__xorif] = ACTIONS(1713),
    [anon_sym_STAR_STAR] = ACTIONS(1713),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_SLASH] = ACTIONS(1713),
    [anon_sym__mod] = ACTIONS(1713),
    [anon_sym__div] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1713),
    [anon_sym_PLUS] = ACTIONS(1713),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [anon_sym_CR] = ACTIONS(1715),
    [anon_sym_LF] = ACTIONS(1715),
    [anon_sym_DOT] = ACTIONS(1715),
    [anon_sym_LPAREN] = ACTIONS(1715),
    [anon_sym_LT_LT] = ACTIONS(1715),
    [anon_sym_CARET_LT_LT] = ACTIONS(1715),
    [anon_sym_LBRACK] = ACTIONS(1715),
    [anon_sym__endmethod] = ACTIONS(1715),
    [anon_sym__endproc] = ACTIONS(1715),
    [anon_sym_COMMA] = ACTIONS(1715),
    [anon_sym__endblock] = ACTIONS(1715),
    [anon_sym__and_LT_LT] = ACTIONS(1715),
    [anon_sym__andif_LT_LT] = ACTIONS(1715),
    [anon_sym__or_LT_LT] = ACTIONS(1715),
    [anon_sym__orif_LT_LT] = ACTIONS(1715),
    [anon_sym__xor_LT_LT] = ACTIONS(1715),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1715),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1715),
    [anon_sym_STAR_LT_LT] = ACTIONS(1715),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1715),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1715),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1715),
    [anon_sym__mod_LT_LT] = ACTIONS(1715),
    [anon_sym__div_LT_LT] = ACTIONS(1715),
    [anon_sym_DASH_LT_LT] = ACTIONS(1715),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1715),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1715),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1715),
    [anon_sym__endif] = ACTIONS(1715),
    [anon_sym__elif] = ACTIONS(1715),
    [anon_sym__else] = ACTIONS(1715),
    [anon_sym__endloop] = ACTIONS(1715),
    [anon_sym__finally] = ACTIONS(1715),
    [anon_sym__with] = ACTIONS(1715),
    [anon_sym__endcatch] = ACTIONS(1715),
    [anon_sym__when] = ACTIONS(1715),
    [anon_sym__endtry] = ACTIONS(1715),
    [anon_sym__protection] = ACTIONS(1715),
    [anon_sym__endprotect] = ACTIONS(1715),
    [anon_sym__endlock] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1715),
    [anon_sym__is] = ACTIONS(1715),
    [anon_sym__isnt] = ACTIONS(1715),
    [anon_sym__cf] = ACTIONS(1715),
    [anon_sym_EQ] = ACTIONS(1715),
    [anon_sym_TILDE_EQ] = ACTIONS(1715),
    [anon_sym_LT_GT] = ACTIONS(1715),
    [anon_sym_GT_EQ] = ACTIONS(1715),
    [anon_sym_LT_EQ] = ACTIONS(1715),
    [anon_sym_LT] = ACTIONS(1715),
    [anon_sym_GT] = ACTIONS(1715),
    [anon_sym__and] = ACTIONS(1715),
    [anon_sym__or] = ACTIONS(1715),
    [anon_sym__xor] = ACTIONS(1715),
    [anon_sym__andif] = ACTIONS(1715),
    [anon_sym__orif] = ACTIONS(1715),
    [anon_sym__xorif] = ACTIONS(1715),
    [anon_sym_STAR_STAR] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1715),
    [anon_sym_SLASH] = ACTIONS(1715),
    [anon_sym__mod] = ACTIONS(1715),
    [anon_sym__div] = ACTIONS(1715),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [anon_sym_CR] = ACTIONS(1629),
    [anon_sym_LF] = ACTIONS(1629),
    [anon_sym_DOT] = ACTIONS(1629),
    [anon_sym_LPAREN] = ACTIONS(1629),
    [anon_sym_LT_LT] = ACTIONS(1629),
    [anon_sym_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym_LBRACK] = ACTIONS(1629),
    [anon_sym__endmethod] = ACTIONS(1629),
    [anon_sym__endproc] = ACTIONS(1629),
    [anon_sym_COMMA] = ACTIONS(1629),
    [anon_sym__endblock] = ACTIONS(1629),
    [anon_sym__and_LT_LT] = ACTIONS(1629),
    [anon_sym__andif_LT_LT] = ACTIONS(1629),
    [anon_sym__or_LT_LT] = ACTIONS(1629),
    [anon_sym__orif_LT_LT] = ACTIONS(1629),
    [anon_sym__xor_LT_LT] = ACTIONS(1629),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1629),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym_STAR_LT_LT] = ACTIONS(1629),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1629),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym__mod_LT_LT] = ACTIONS(1629),
    [anon_sym__div_LT_LT] = ACTIONS(1629),
    [anon_sym_DASH_LT_LT] = ACTIONS(1629),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1629),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1629),
    [anon_sym__endif] = ACTIONS(1629),
    [anon_sym__elif] = ACTIONS(1629),
    [anon_sym__else] = ACTIONS(1629),
    [anon_sym__endloop] = ACTIONS(1629),
    [anon_sym__finally] = ACTIONS(1629),
    [anon_sym__with] = ACTIONS(1717),
    [anon_sym__endcatch] = ACTIONS(1629),
    [anon_sym__when] = ACTIONS(1629),
    [anon_sym__endtry] = ACTIONS(1629),
    [anon_sym__endprotect] = ACTIONS(1629),
    [anon_sym__endlock] = ACTIONS(1629),
    [anon_sym_SEMI] = ACTIONS(1629),
    [sym_label] = ACTIONS(1719),
    [anon_sym__is] = ACTIONS(1629),
    [anon_sym__isnt] = ACTIONS(1629),
    [anon_sym__cf] = ACTIONS(1629),
    [anon_sym_EQ] = ACTIONS(1629),
    [anon_sym_TILDE_EQ] = ACTIONS(1629),
    [anon_sym_LT_GT] = ACTIONS(1629),
    [anon_sym_GT_EQ] = ACTIONS(1629),
    [anon_sym_LT_EQ] = ACTIONS(1629),
    [anon_sym_LT] = ACTIONS(1629),
    [anon_sym_GT] = ACTIONS(1629),
    [anon_sym__and] = ACTIONS(1629),
    [anon_sym__or] = ACTIONS(1629),
    [anon_sym__xor] = ACTIONS(1629),
    [anon_sym__andif] = ACTIONS(1629),
    [anon_sym__orif] = ACTIONS(1629),
    [anon_sym__xorif] = ACTIONS(1629),
    [anon_sym_STAR_STAR] = ACTIONS(1629),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_SLASH] = ACTIONS(1629),
    [anon_sym__mod] = ACTIONS(1629),
    [anon_sym__div] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1629),
    [anon_sym_PLUS] = ACTIONS(1629),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [anon_sym_CR] = ACTIONS(1633),
    [anon_sym_LF] = ACTIONS(1633),
    [anon_sym_DOT] = ACTIONS(1633),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_LT_LT] = ACTIONS(1633),
    [anon_sym_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym__endmethod] = ACTIONS(1633),
    [anon_sym__endproc] = ACTIONS(1633),
    [anon_sym_COMMA] = ACTIONS(1633),
    [anon_sym__endblock] = ACTIONS(1633),
    [anon_sym__and_LT_LT] = ACTIONS(1633),
    [anon_sym__andif_LT_LT] = ACTIONS(1633),
    [anon_sym__or_LT_LT] = ACTIONS(1633),
    [anon_sym__orif_LT_LT] = ACTIONS(1633),
    [anon_sym__xor_LT_LT] = ACTIONS(1633),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1633),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym_STAR_LT_LT] = ACTIONS(1633),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1633),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym__mod_LT_LT] = ACTIONS(1633),
    [anon_sym__div_LT_LT] = ACTIONS(1633),
    [anon_sym_DASH_LT_LT] = ACTIONS(1633),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1633),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1633),
    [anon_sym__endif] = ACTIONS(1633),
    [anon_sym__elif] = ACTIONS(1633),
    [anon_sym__else] = ACTIONS(1633),
    [anon_sym__endloop] = ACTIONS(1633),
    [anon_sym__finally] = ACTIONS(1633),
    [anon_sym__with] = ACTIONS(1721),
    [anon_sym__endcatch] = ACTIONS(1633),
    [anon_sym__when] = ACTIONS(1633),
    [anon_sym__endtry] = ACTIONS(1633),
    [anon_sym__endprotect] = ACTIONS(1633),
    [anon_sym__endlock] = ACTIONS(1633),
    [anon_sym_SEMI] = ACTIONS(1633),
    [sym_label] = ACTIONS(1723),
    [anon_sym__is] = ACTIONS(1633),
    [anon_sym__isnt] = ACTIONS(1633),
    [anon_sym__cf] = ACTIONS(1633),
    [anon_sym_EQ] = ACTIONS(1633),
    [anon_sym_TILDE_EQ] = ACTIONS(1633),
    [anon_sym_LT_GT] = ACTIONS(1633),
    [anon_sym_GT_EQ] = ACTIONS(1633),
    [anon_sym_LT_EQ] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_GT] = ACTIONS(1633),
    [anon_sym__and] = ACTIONS(1633),
    [anon_sym__or] = ACTIONS(1633),
    [anon_sym__xor] = ACTIONS(1633),
    [anon_sym__andif] = ACTIONS(1633),
    [anon_sym__orif] = ACTIONS(1633),
    [anon_sym__xorif] = ACTIONS(1633),
    [anon_sym_STAR_STAR] = ACTIONS(1633),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_SLASH] = ACTIONS(1633),
    [anon_sym__mod] = ACTIONS(1633),
    [anon_sym__div] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1633),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [anon_sym_CR] = ACTIONS(1725),
    [anon_sym_LF] = ACTIONS(1725),
    [anon_sym_DOT] = ACTIONS(1725),
    [anon_sym_LPAREN] = ACTIONS(1725),
    [anon_sym_LT_LT] = ACTIONS(1725),
    [anon_sym_CARET_LT_LT] = ACTIONS(1725),
    [anon_sym_LBRACK] = ACTIONS(1725),
    [anon_sym__endmethod] = ACTIONS(1725),
    [anon_sym__endproc] = ACTIONS(1725),
    [anon_sym_COMMA] = ACTIONS(1725),
    [anon_sym__endblock] = ACTIONS(1725),
    [anon_sym__and_LT_LT] = ACTIONS(1725),
    [anon_sym__andif_LT_LT] = ACTIONS(1725),
    [anon_sym__or_LT_LT] = ACTIONS(1725),
    [anon_sym__orif_LT_LT] = ACTIONS(1725),
    [anon_sym__xor_LT_LT] = ACTIONS(1725),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1725),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1725),
    [anon_sym_STAR_LT_LT] = ACTIONS(1725),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1725),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1725),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1725),
    [anon_sym__mod_LT_LT] = ACTIONS(1725),
    [anon_sym__div_LT_LT] = ACTIONS(1725),
    [anon_sym_DASH_LT_LT] = ACTIONS(1725),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1725),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1725),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1725),
    [anon_sym__endif] = ACTIONS(1725),
    [anon_sym__elif] = ACTIONS(1725),
    [anon_sym__else] = ACTIONS(1725),
    [anon_sym__endloop] = ACTIONS(1725),
    [anon_sym__finally] = ACTIONS(1725),
    [anon_sym__with] = ACTIONS(1725),
    [anon_sym__endcatch] = ACTIONS(1725),
    [anon_sym__when] = ACTIONS(1725),
    [anon_sym__endtry] = ACTIONS(1725),
    [anon_sym__protection] = ACTIONS(1725),
    [anon_sym__endprotect] = ACTIONS(1725),
    [anon_sym__endlock] = ACTIONS(1725),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym__is] = ACTIONS(1725),
    [anon_sym__isnt] = ACTIONS(1725),
    [anon_sym__cf] = ACTIONS(1725),
    [anon_sym_EQ] = ACTIONS(1725),
    [anon_sym_TILDE_EQ] = ACTIONS(1725),
    [anon_sym_LT_GT] = ACTIONS(1725),
    [anon_sym_GT_EQ] = ACTIONS(1725),
    [anon_sym_LT_EQ] = ACTIONS(1725),
    [anon_sym_LT] = ACTIONS(1725),
    [anon_sym_GT] = ACTIONS(1725),
    [anon_sym__and] = ACTIONS(1725),
    [anon_sym__or] = ACTIONS(1725),
    [anon_sym__xor] = ACTIONS(1725),
    [anon_sym__andif] = ACTIONS(1725),
    [anon_sym__orif] = ACTIONS(1725),
    [anon_sym__xorif] = ACTIONS(1725),
    [anon_sym_STAR_STAR] = ACTIONS(1725),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_SLASH] = ACTIONS(1725),
    [anon_sym__mod] = ACTIONS(1725),
    [anon_sym__div] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1725),
    [anon_sym_PLUS] = ACTIONS(1725),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [anon_sym_CR] = ACTIONS(1727),
    [anon_sym_LF] = ACTIONS(1727),
    [anon_sym_DOT] = ACTIONS(1727),
    [anon_sym_LPAREN] = ACTIONS(1727),
    [anon_sym_LT_LT] = ACTIONS(1727),
    [anon_sym_CARET_LT_LT] = ACTIONS(1727),
    [anon_sym_LBRACK] = ACTIONS(1727),
    [anon_sym__endmethod] = ACTIONS(1727),
    [anon_sym__endproc] = ACTIONS(1727),
    [anon_sym_COMMA] = ACTIONS(1727),
    [anon_sym__endblock] = ACTIONS(1727),
    [anon_sym__and_LT_LT] = ACTIONS(1727),
    [anon_sym__andif_LT_LT] = ACTIONS(1727),
    [anon_sym__or_LT_LT] = ACTIONS(1727),
    [anon_sym__orif_LT_LT] = ACTIONS(1727),
    [anon_sym__xor_LT_LT] = ACTIONS(1727),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1727),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1727),
    [anon_sym_STAR_LT_LT] = ACTIONS(1727),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1727),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1727),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1727),
    [anon_sym__mod_LT_LT] = ACTIONS(1727),
    [anon_sym__div_LT_LT] = ACTIONS(1727),
    [anon_sym_DASH_LT_LT] = ACTIONS(1727),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1727),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1727),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1727),
    [anon_sym__endif] = ACTIONS(1727),
    [anon_sym__elif] = ACTIONS(1727),
    [anon_sym__else] = ACTIONS(1727),
    [anon_sym__endloop] = ACTIONS(1727),
    [anon_sym__finally] = ACTIONS(1727),
    [anon_sym__with] = ACTIONS(1727),
    [anon_sym__endcatch] = ACTIONS(1727),
    [anon_sym__when] = ACTIONS(1727),
    [anon_sym__endtry] = ACTIONS(1727),
    [anon_sym__protection] = ACTIONS(1727),
    [anon_sym__endprotect] = ACTIONS(1727),
    [anon_sym__endlock] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(1727),
    [anon_sym__is] = ACTIONS(1727),
    [anon_sym__isnt] = ACTIONS(1727),
    [anon_sym__cf] = ACTIONS(1727),
    [anon_sym_EQ] = ACTIONS(1727),
    [anon_sym_TILDE_EQ] = ACTIONS(1727),
    [anon_sym_LT_GT] = ACTIONS(1727),
    [anon_sym_GT_EQ] = ACTIONS(1727),
    [anon_sym_LT_EQ] = ACTIONS(1727),
    [anon_sym_LT] = ACTIONS(1727),
    [anon_sym_GT] = ACTIONS(1727),
    [anon_sym__and] = ACTIONS(1727),
    [anon_sym__or] = ACTIONS(1727),
    [anon_sym__xor] = ACTIONS(1727),
    [anon_sym__andif] = ACTIONS(1727),
    [anon_sym__orif] = ACTIONS(1727),
    [anon_sym__xorif] = ACTIONS(1727),
    [anon_sym_STAR_STAR] = ACTIONS(1727),
    [anon_sym_STAR] = ACTIONS(1727),
    [anon_sym_SLASH] = ACTIONS(1727),
    [anon_sym__mod] = ACTIONS(1727),
    [anon_sym__div] = ACTIONS(1727),
    [anon_sym_DASH] = ACTIONS(1727),
    [anon_sym_PLUS] = ACTIONS(1727),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [anon_sym_CR] = ACTIONS(1729),
    [anon_sym_LF] = ACTIONS(1729),
    [anon_sym_DOT] = ACTIONS(1729),
    [anon_sym_LPAREN] = ACTIONS(1729),
    [anon_sym_LT_LT] = ACTIONS(1729),
    [anon_sym_CARET_LT_LT] = ACTIONS(1729),
    [anon_sym_LBRACK] = ACTIONS(1729),
    [anon_sym__endmethod] = ACTIONS(1729),
    [anon_sym__endproc] = ACTIONS(1729),
    [anon_sym_COMMA] = ACTIONS(1729),
    [anon_sym__endblock] = ACTIONS(1729),
    [anon_sym__and_LT_LT] = ACTIONS(1729),
    [anon_sym__andif_LT_LT] = ACTIONS(1729),
    [anon_sym__or_LT_LT] = ACTIONS(1729),
    [anon_sym__orif_LT_LT] = ACTIONS(1729),
    [anon_sym__xor_LT_LT] = ACTIONS(1729),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1729),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1729),
    [anon_sym_STAR_LT_LT] = ACTIONS(1729),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1729),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1729),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1729),
    [anon_sym__mod_LT_LT] = ACTIONS(1729),
    [anon_sym__div_LT_LT] = ACTIONS(1729),
    [anon_sym_DASH_LT_LT] = ACTIONS(1729),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1729),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1729),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1729),
    [anon_sym__endif] = ACTIONS(1729),
    [anon_sym__elif] = ACTIONS(1729),
    [anon_sym__else] = ACTIONS(1729),
    [anon_sym__endloop] = ACTIONS(1729),
    [anon_sym__finally] = ACTIONS(1729),
    [anon_sym__with] = ACTIONS(1729),
    [anon_sym__endcatch] = ACTIONS(1729),
    [anon_sym__when] = ACTIONS(1729),
    [anon_sym__endtry] = ACTIONS(1729),
    [anon_sym__protection] = ACTIONS(1729),
    [anon_sym__endprotect] = ACTIONS(1729),
    [anon_sym__endlock] = ACTIONS(1729),
    [anon_sym_SEMI] = ACTIONS(1729),
    [anon_sym__is] = ACTIONS(1729),
    [anon_sym__isnt] = ACTIONS(1729),
    [anon_sym__cf] = ACTIONS(1729),
    [anon_sym_EQ] = ACTIONS(1729),
    [anon_sym_TILDE_EQ] = ACTIONS(1729),
    [anon_sym_LT_GT] = ACTIONS(1729),
    [anon_sym_GT_EQ] = ACTIONS(1729),
    [anon_sym_LT_EQ] = ACTIONS(1729),
    [anon_sym_LT] = ACTIONS(1729),
    [anon_sym_GT] = ACTIONS(1729),
    [anon_sym__and] = ACTIONS(1729),
    [anon_sym__or] = ACTIONS(1729),
    [anon_sym__xor] = ACTIONS(1729),
    [anon_sym__andif] = ACTIONS(1729),
    [anon_sym__orif] = ACTIONS(1729),
    [anon_sym__xorif] = ACTIONS(1729),
    [anon_sym_STAR_STAR] = ACTIONS(1729),
    [anon_sym_STAR] = ACTIONS(1729),
    [anon_sym_SLASH] = ACTIONS(1729),
    [anon_sym__mod] = ACTIONS(1729),
    [anon_sym__div] = ACTIONS(1729),
    [anon_sym_DASH] = ACTIONS(1729),
    [anon_sym_PLUS] = ACTIONS(1729),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [aux_sym_loopbody_repeat1] = STATE(489),
    [anon_sym_CR] = ACTIONS(1731),
    [anon_sym_LF] = ACTIONS(1731),
    [anon_sym_DOT] = ACTIONS(1731),
    [anon_sym_LPAREN] = ACTIONS(1731),
    [anon_sym_LT_LT] = ACTIONS(1731),
    [anon_sym_CARET_LT_LT] = ACTIONS(1731),
    [anon_sym_LBRACK] = ACTIONS(1731),
    [anon_sym__endmethod] = ACTIONS(1731),
    [anon_sym__endproc] = ACTIONS(1731),
    [anon_sym_COMMA] = ACTIONS(1733),
    [anon_sym__endblock] = ACTIONS(1731),
    [anon_sym__and_LT_LT] = ACTIONS(1731),
    [anon_sym__andif_LT_LT] = ACTIONS(1731),
    [anon_sym__or_LT_LT] = ACTIONS(1731),
    [anon_sym__orif_LT_LT] = ACTIONS(1731),
    [anon_sym__xor_LT_LT] = ACTIONS(1731),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1731),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1731),
    [anon_sym_STAR_LT_LT] = ACTIONS(1731),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1731),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1731),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1731),
    [anon_sym__mod_LT_LT] = ACTIONS(1731),
    [anon_sym__div_LT_LT] = ACTIONS(1731),
    [anon_sym_DASH_LT_LT] = ACTIONS(1731),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1731),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1731),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1731),
    [anon_sym__endif] = ACTIONS(1731),
    [anon_sym__elif] = ACTIONS(1731),
    [anon_sym__else] = ACTIONS(1731),
    [anon_sym__endloop] = ACTIONS(1731),
    [anon_sym__finally] = ACTIONS(1731),
    [anon_sym__with] = ACTIONS(1731),
    [anon_sym__endcatch] = ACTIONS(1731),
    [anon_sym__when] = ACTIONS(1731),
    [anon_sym__endtry] = ACTIONS(1731),
    [anon_sym__endprotect] = ACTIONS(1731),
    [anon_sym__endlock] = ACTIONS(1731),
    [anon_sym_SEMI] = ACTIONS(1731),
    [anon_sym__is] = ACTIONS(1731),
    [anon_sym__isnt] = ACTIONS(1731),
    [anon_sym__cf] = ACTIONS(1731),
    [anon_sym_EQ] = ACTIONS(1731),
    [anon_sym_TILDE_EQ] = ACTIONS(1731),
    [anon_sym_LT_GT] = ACTIONS(1731),
    [anon_sym_GT_EQ] = ACTIONS(1731),
    [anon_sym_LT_EQ] = ACTIONS(1731),
    [anon_sym_LT] = ACTIONS(1731),
    [anon_sym_GT] = ACTIONS(1731),
    [anon_sym__and] = ACTIONS(1731),
    [anon_sym__or] = ACTIONS(1731),
    [anon_sym__xor] = ACTIONS(1731),
    [anon_sym__andif] = ACTIONS(1731),
    [anon_sym__orif] = ACTIONS(1731),
    [anon_sym__xorif] = ACTIONS(1731),
    [anon_sym_STAR_STAR] = ACTIONS(1731),
    [anon_sym_STAR] = ACTIONS(1731),
    [anon_sym_SLASH] = ACTIONS(1731),
    [anon_sym__mod] = ACTIONS(1731),
    [anon_sym__div] = ACTIONS(1731),
    [anon_sym_DASH] = ACTIONS(1731),
    [anon_sym_PLUS] = ACTIONS(1731),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [anon_sym_CR] = ACTIONS(1736),
    [anon_sym_LF] = ACTIONS(1736),
    [anon_sym_DOT] = ACTIONS(1736),
    [anon_sym_LPAREN] = ACTIONS(1736),
    [anon_sym_LT_LT] = ACTIONS(1736),
    [anon_sym_CARET_LT_LT] = ACTIONS(1736),
    [anon_sym_LBRACK] = ACTIONS(1736),
    [anon_sym__endmethod] = ACTIONS(1736),
    [anon_sym__endproc] = ACTIONS(1736),
    [anon_sym_COMMA] = ACTIONS(1736),
    [anon_sym__endblock] = ACTIONS(1736),
    [anon_sym__and_LT_LT] = ACTIONS(1736),
    [anon_sym__andif_LT_LT] = ACTIONS(1736),
    [anon_sym__or_LT_LT] = ACTIONS(1736),
    [anon_sym__orif_LT_LT] = ACTIONS(1736),
    [anon_sym__xor_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_LT_LT] = ACTIONS(1736),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1736),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1736),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1736),
    [anon_sym__mod_LT_LT] = ACTIONS(1736),
    [anon_sym__div_LT_LT] = ACTIONS(1736),
    [anon_sym_DASH_LT_LT] = ACTIONS(1736),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1736),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1736),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1736),
    [anon_sym__endif] = ACTIONS(1736),
    [anon_sym__elif] = ACTIONS(1736),
    [anon_sym__else] = ACTIONS(1736),
    [anon_sym__endloop] = ACTIONS(1736),
    [anon_sym__finally] = ACTIONS(1736),
    [anon_sym__with] = ACTIONS(1736),
    [anon_sym__endcatch] = ACTIONS(1736),
    [anon_sym__when] = ACTIONS(1736),
    [anon_sym__endtry] = ACTIONS(1736),
    [anon_sym__protection] = ACTIONS(1736),
    [anon_sym__endprotect] = ACTIONS(1736),
    [anon_sym__endlock] = ACTIONS(1736),
    [anon_sym_SEMI] = ACTIONS(1736),
    [anon_sym__is] = ACTIONS(1736),
    [anon_sym__isnt] = ACTIONS(1736),
    [anon_sym__cf] = ACTIONS(1736),
    [anon_sym_EQ] = ACTIONS(1736),
    [anon_sym_TILDE_EQ] = ACTIONS(1736),
    [anon_sym_LT_GT] = ACTIONS(1736),
    [anon_sym_GT_EQ] = ACTIONS(1736),
    [anon_sym_LT_EQ] = ACTIONS(1736),
    [anon_sym_LT] = ACTIONS(1736),
    [anon_sym_GT] = ACTIONS(1736),
    [anon_sym__and] = ACTIONS(1736),
    [anon_sym__or] = ACTIONS(1736),
    [anon_sym__xor] = ACTIONS(1736),
    [anon_sym__andif] = ACTIONS(1736),
    [anon_sym__orif] = ACTIONS(1736),
    [anon_sym__xorif] = ACTIONS(1736),
    [anon_sym_STAR_STAR] = ACTIONS(1736),
    [anon_sym_STAR] = ACTIONS(1736),
    [anon_sym_SLASH] = ACTIONS(1736),
    [anon_sym__mod] = ACTIONS(1736),
    [anon_sym__div] = ACTIONS(1736),
    [anon_sym_DASH] = ACTIONS(1736),
    [anon_sym_PLUS] = ACTIONS(1736),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [anon_sym_CR] = ACTIONS(1738),
    [anon_sym_LF] = ACTIONS(1738),
    [anon_sym_DOT] = ACTIONS(1738),
    [anon_sym_LPAREN] = ACTIONS(1738),
    [anon_sym_LT_LT] = ACTIONS(1738),
    [anon_sym_CARET_LT_LT] = ACTIONS(1738),
    [anon_sym_LBRACK] = ACTIONS(1738),
    [anon_sym__endmethod] = ACTIONS(1738),
    [anon_sym__endproc] = ACTIONS(1738),
    [anon_sym_COMMA] = ACTIONS(1738),
    [anon_sym__endblock] = ACTIONS(1738),
    [anon_sym__and_LT_LT] = ACTIONS(1738),
    [anon_sym__andif_LT_LT] = ACTIONS(1738),
    [anon_sym__or_LT_LT] = ACTIONS(1738),
    [anon_sym__orif_LT_LT] = ACTIONS(1738),
    [anon_sym__xor_LT_LT] = ACTIONS(1738),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1738),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1738),
    [anon_sym_STAR_LT_LT] = ACTIONS(1738),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1738),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1738),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1738),
    [anon_sym__mod_LT_LT] = ACTIONS(1738),
    [anon_sym__div_LT_LT] = ACTIONS(1738),
    [anon_sym_DASH_LT_LT] = ACTIONS(1738),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1738),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1738),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1738),
    [anon_sym__endif] = ACTIONS(1738),
    [anon_sym__elif] = ACTIONS(1738),
    [anon_sym__else] = ACTIONS(1738),
    [anon_sym__endloop] = ACTIONS(1738),
    [anon_sym__finally] = ACTIONS(1738),
    [anon_sym__with] = ACTIONS(1738),
    [anon_sym__endcatch] = ACTIONS(1738),
    [anon_sym__when] = ACTIONS(1738),
    [anon_sym__endtry] = ACTIONS(1738),
    [anon_sym__protection] = ACTIONS(1738),
    [anon_sym__endprotect] = ACTIONS(1738),
    [anon_sym__endlock] = ACTIONS(1738),
    [anon_sym_SEMI] = ACTIONS(1738),
    [anon_sym__is] = ACTIONS(1738),
    [anon_sym__isnt] = ACTIONS(1738),
    [anon_sym__cf] = ACTIONS(1738),
    [anon_sym_EQ] = ACTIONS(1738),
    [anon_sym_TILDE_EQ] = ACTIONS(1738),
    [anon_sym_LT_GT] = ACTIONS(1738),
    [anon_sym_GT_EQ] = ACTIONS(1738),
    [anon_sym_LT_EQ] = ACTIONS(1738),
    [anon_sym_LT] = ACTIONS(1738),
    [anon_sym_GT] = ACTIONS(1738),
    [anon_sym__and] = ACTIONS(1738),
    [anon_sym__or] = ACTIONS(1738),
    [anon_sym__xor] = ACTIONS(1738),
    [anon_sym__andif] = ACTIONS(1738),
    [anon_sym__orif] = ACTIONS(1738),
    [anon_sym__xorif] = ACTIONS(1738),
    [anon_sym_STAR_STAR] = ACTIONS(1738),
    [anon_sym_STAR] = ACTIONS(1738),
    [anon_sym_SLASH] = ACTIONS(1738),
    [anon_sym__mod] = ACTIONS(1738),
    [anon_sym__div] = ACTIONS(1738),
    [anon_sym_DASH] = ACTIONS(1738),
    [anon_sym_PLUS] = ACTIONS(1738),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [anon_sym_CR] = ACTIONS(1740),
    [anon_sym_LF] = ACTIONS(1740),
    [anon_sym_DOT] = ACTIONS(1740),
    [anon_sym_LPAREN] = ACTIONS(1740),
    [anon_sym_LT_LT] = ACTIONS(1740),
    [anon_sym_CARET_LT_LT] = ACTIONS(1740),
    [anon_sym_LBRACK] = ACTIONS(1740),
    [anon_sym__endmethod] = ACTIONS(1740),
    [anon_sym__endproc] = ACTIONS(1740),
    [anon_sym_COMMA] = ACTIONS(1740),
    [anon_sym__endblock] = ACTIONS(1740),
    [anon_sym__and_LT_LT] = ACTIONS(1740),
    [anon_sym__andif_LT_LT] = ACTIONS(1740),
    [anon_sym__or_LT_LT] = ACTIONS(1740),
    [anon_sym__orif_LT_LT] = ACTIONS(1740),
    [anon_sym__xor_LT_LT] = ACTIONS(1740),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1740),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1740),
    [anon_sym_STAR_LT_LT] = ACTIONS(1740),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1740),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1740),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1740),
    [anon_sym__mod_LT_LT] = ACTIONS(1740),
    [anon_sym__div_LT_LT] = ACTIONS(1740),
    [anon_sym_DASH_LT_LT] = ACTIONS(1740),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1740),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1740),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1740),
    [anon_sym__endif] = ACTIONS(1740),
    [anon_sym__elif] = ACTIONS(1740),
    [anon_sym__else] = ACTIONS(1740),
    [anon_sym__endloop] = ACTIONS(1740),
    [anon_sym__finally] = ACTIONS(1740),
    [anon_sym__with] = ACTIONS(1740),
    [anon_sym__endcatch] = ACTIONS(1740),
    [anon_sym__when] = ACTIONS(1740),
    [anon_sym__endtry] = ACTIONS(1740),
    [anon_sym__protection] = ACTIONS(1740),
    [anon_sym__endprotect] = ACTIONS(1740),
    [anon_sym__endlock] = ACTIONS(1740),
    [anon_sym_SEMI] = ACTIONS(1740),
    [anon_sym__is] = ACTIONS(1740),
    [anon_sym__isnt] = ACTIONS(1740),
    [anon_sym__cf] = ACTIONS(1740),
    [anon_sym_EQ] = ACTIONS(1740),
    [anon_sym_TILDE_EQ] = ACTIONS(1740),
    [anon_sym_LT_GT] = ACTIONS(1740),
    [anon_sym_GT_EQ] = ACTIONS(1740),
    [anon_sym_LT_EQ] = ACTIONS(1740),
    [anon_sym_LT] = ACTIONS(1740),
    [anon_sym_GT] = ACTIONS(1740),
    [anon_sym__and] = ACTIONS(1740),
    [anon_sym__or] = ACTIONS(1740),
    [anon_sym__xor] = ACTIONS(1740),
    [anon_sym__andif] = ACTIONS(1740),
    [anon_sym__orif] = ACTIONS(1740),
    [anon_sym__xorif] = ACTIONS(1740),
    [anon_sym_STAR_STAR] = ACTIONS(1740),
    [anon_sym_STAR] = ACTIONS(1740),
    [anon_sym_SLASH] = ACTIONS(1740),
    [anon_sym__mod] = ACTIONS(1740),
    [anon_sym__div] = ACTIONS(1740),
    [anon_sym_DASH] = ACTIONS(1740),
    [anon_sym_PLUS] = ACTIONS(1740),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [anon_sym_CR] = ACTIONS(1742),
    [anon_sym_LF] = ACTIONS(1742),
    [anon_sym_DOT] = ACTIONS(1742),
    [anon_sym_LPAREN] = ACTIONS(1742),
    [anon_sym_LT_LT] = ACTIONS(1742),
    [anon_sym_CARET_LT_LT] = ACTIONS(1742),
    [anon_sym_LBRACK] = ACTIONS(1742),
    [anon_sym__endmethod] = ACTIONS(1742),
    [anon_sym__endproc] = ACTIONS(1742),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym__endblock] = ACTIONS(1742),
    [anon_sym__and_LT_LT] = ACTIONS(1742),
    [anon_sym__andif_LT_LT] = ACTIONS(1742),
    [anon_sym__or_LT_LT] = ACTIONS(1742),
    [anon_sym__orif_LT_LT] = ACTIONS(1742),
    [anon_sym__xor_LT_LT] = ACTIONS(1742),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1742),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1742),
    [anon_sym_STAR_LT_LT] = ACTIONS(1742),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1742),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1742),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1742),
    [anon_sym__mod_LT_LT] = ACTIONS(1742),
    [anon_sym__div_LT_LT] = ACTIONS(1742),
    [anon_sym_DASH_LT_LT] = ACTIONS(1742),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1742),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1742),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1742),
    [anon_sym__endif] = ACTIONS(1742),
    [anon_sym__elif] = ACTIONS(1742),
    [anon_sym__else] = ACTIONS(1742),
    [anon_sym__endloop] = ACTIONS(1742),
    [anon_sym__finally] = ACTIONS(1742),
    [anon_sym__with] = ACTIONS(1742),
    [anon_sym__endcatch] = ACTIONS(1742),
    [anon_sym__when] = ACTIONS(1742),
    [anon_sym__endtry] = ACTIONS(1742),
    [anon_sym__protection] = ACTIONS(1742),
    [anon_sym__endprotect] = ACTIONS(1742),
    [anon_sym__endlock] = ACTIONS(1742),
    [anon_sym_SEMI] = ACTIONS(1742),
    [anon_sym__is] = ACTIONS(1742),
    [anon_sym__isnt] = ACTIONS(1742),
    [anon_sym__cf] = ACTIONS(1742),
    [anon_sym_EQ] = ACTIONS(1742),
    [anon_sym_TILDE_EQ] = ACTIONS(1742),
    [anon_sym_LT_GT] = ACTIONS(1742),
    [anon_sym_GT_EQ] = ACTIONS(1742),
    [anon_sym_LT_EQ] = ACTIONS(1742),
    [anon_sym_LT] = ACTIONS(1742),
    [anon_sym_GT] = ACTIONS(1742),
    [anon_sym__and] = ACTIONS(1742),
    [anon_sym__or] = ACTIONS(1742),
    [anon_sym__xor] = ACTIONS(1742),
    [anon_sym__andif] = ACTIONS(1742),
    [anon_sym__orif] = ACTIONS(1742),
    [anon_sym__xorif] = ACTIONS(1742),
    [anon_sym_STAR_STAR] = ACTIONS(1742),
    [anon_sym_STAR] = ACTIONS(1742),
    [anon_sym_SLASH] = ACTIONS(1742),
    [anon_sym__mod] = ACTIONS(1742),
    [anon_sym__div] = ACTIONS(1742),
    [anon_sym_DASH] = ACTIONS(1742),
    [anon_sym_PLUS] = ACTIONS(1742),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [anon_sym_CR] = ACTIONS(1744),
    [anon_sym_LF] = ACTIONS(1744),
    [anon_sym_DOT] = ACTIONS(1744),
    [anon_sym_LPAREN] = ACTIONS(1744),
    [anon_sym_LT_LT] = ACTIONS(1744),
    [anon_sym_CARET_LT_LT] = ACTIONS(1744),
    [anon_sym_LBRACK] = ACTIONS(1744),
    [anon_sym__endmethod] = ACTIONS(1744),
    [anon_sym__endproc] = ACTIONS(1744),
    [anon_sym_COMMA] = ACTIONS(1744),
    [anon_sym__endblock] = ACTIONS(1744),
    [anon_sym__and_LT_LT] = ACTIONS(1744),
    [anon_sym__andif_LT_LT] = ACTIONS(1744),
    [anon_sym__or_LT_LT] = ACTIONS(1744),
    [anon_sym__orif_LT_LT] = ACTIONS(1744),
    [anon_sym__xor_LT_LT] = ACTIONS(1744),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1744),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1744),
    [anon_sym_STAR_LT_LT] = ACTIONS(1744),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1744),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1744),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1744),
    [anon_sym__mod_LT_LT] = ACTIONS(1744),
    [anon_sym__div_LT_LT] = ACTIONS(1744),
    [anon_sym_DASH_LT_LT] = ACTIONS(1744),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1744),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1744),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1744),
    [anon_sym__endif] = ACTIONS(1744),
    [anon_sym__elif] = ACTIONS(1744),
    [anon_sym__else] = ACTIONS(1744),
    [anon_sym__endloop] = ACTIONS(1744),
    [anon_sym__finally] = ACTIONS(1744),
    [anon_sym__with] = ACTIONS(1744),
    [anon_sym__endcatch] = ACTIONS(1744),
    [anon_sym__when] = ACTIONS(1744),
    [anon_sym__endtry] = ACTIONS(1744),
    [anon_sym__protection] = ACTIONS(1744),
    [anon_sym__endprotect] = ACTIONS(1744),
    [anon_sym__endlock] = ACTIONS(1744),
    [anon_sym_SEMI] = ACTIONS(1744),
    [anon_sym__is] = ACTIONS(1744),
    [anon_sym__isnt] = ACTIONS(1744),
    [anon_sym__cf] = ACTIONS(1744),
    [anon_sym_EQ] = ACTIONS(1744),
    [anon_sym_TILDE_EQ] = ACTIONS(1744),
    [anon_sym_LT_GT] = ACTIONS(1744),
    [anon_sym_GT_EQ] = ACTIONS(1744),
    [anon_sym_LT_EQ] = ACTIONS(1744),
    [anon_sym_LT] = ACTIONS(1744),
    [anon_sym_GT] = ACTIONS(1744),
    [anon_sym__and] = ACTIONS(1744),
    [anon_sym__or] = ACTIONS(1744),
    [anon_sym__xor] = ACTIONS(1744),
    [anon_sym__andif] = ACTIONS(1744),
    [anon_sym__orif] = ACTIONS(1744),
    [anon_sym__xorif] = ACTIONS(1744),
    [anon_sym_STAR_STAR] = ACTIONS(1744),
    [anon_sym_STAR] = ACTIONS(1744),
    [anon_sym_SLASH] = ACTIONS(1744),
    [anon_sym__mod] = ACTIONS(1744),
    [anon_sym__div] = ACTIONS(1744),
    [anon_sym_DASH] = ACTIONS(1744),
    [anon_sym_PLUS] = ACTIONS(1744),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [anon_sym_CR] = ACTIONS(1746),
    [anon_sym_LF] = ACTIONS(1746),
    [anon_sym_DOT] = ACTIONS(1746),
    [anon_sym_LPAREN] = ACTIONS(1746),
    [anon_sym_LT_LT] = ACTIONS(1746),
    [anon_sym_CARET_LT_LT] = ACTIONS(1746),
    [anon_sym_LBRACK] = ACTIONS(1746),
    [anon_sym__endmethod] = ACTIONS(1746),
    [anon_sym__endproc] = ACTIONS(1746),
    [anon_sym_COMMA] = ACTIONS(1746),
    [anon_sym__endblock] = ACTIONS(1746),
    [anon_sym__and_LT_LT] = ACTIONS(1746),
    [anon_sym__andif_LT_LT] = ACTIONS(1746),
    [anon_sym__or_LT_LT] = ACTIONS(1746),
    [anon_sym__orif_LT_LT] = ACTIONS(1746),
    [anon_sym__xor_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_LT_LT] = ACTIONS(1746),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1746),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1746),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1746),
    [anon_sym__mod_LT_LT] = ACTIONS(1746),
    [anon_sym__div_LT_LT] = ACTIONS(1746),
    [anon_sym_DASH_LT_LT] = ACTIONS(1746),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1746),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1746),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1746),
    [anon_sym__endif] = ACTIONS(1746),
    [anon_sym__elif] = ACTIONS(1746),
    [anon_sym__else] = ACTIONS(1746),
    [anon_sym__endloop] = ACTIONS(1746),
    [anon_sym__finally] = ACTIONS(1746),
    [anon_sym__with] = ACTIONS(1746),
    [anon_sym__endcatch] = ACTIONS(1746),
    [anon_sym__when] = ACTIONS(1746),
    [anon_sym__endtry] = ACTIONS(1746),
    [anon_sym__protection] = ACTIONS(1746),
    [anon_sym__endprotect] = ACTIONS(1746),
    [anon_sym__endlock] = ACTIONS(1746),
    [anon_sym_SEMI] = ACTIONS(1746),
    [anon_sym__is] = ACTIONS(1746),
    [anon_sym__isnt] = ACTIONS(1746),
    [anon_sym__cf] = ACTIONS(1746),
    [anon_sym_EQ] = ACTIONS(1746),
    [anon_sym_TILDE_EQ] = ACTIONS(1746),
    [anon_sym_LT_GT] = ACTIONS(1746),
    [anon_sym_GT_EQ] = ACTIONS(1746),
    [anon_sym_LT_EQ] = ACTIONS(1746),
    [anon_sym_LT] = ACTIONS(1746),
    [anon_sym_GT] = ACTIONS(1746),
    [anon_sym__and] = ACTIONS(1746),
    [anon_sym__or] = ACTIONS(1746),
    [anon_sym__xor] = ACTIONS(1746),
    [anon_sym__andif] = ACTIONS(1746),
    [anon_sym__orif] = ACTIONS(1746),
    [anon_sym__xorif] = ACTIONS(1746),
    [anon_sym_STAR_STAR] = ACTIONS(1746),
    [anon_sym_STAR] = ACTIONS(1746),
    [anon_sym_SLASH] = ACTIONS(1746),
    [anon_sym__mod] = ACTIONS(1746),
    [anon_sym__div] = ACTIONS(1746),
    [anon_sym_DASH] = ACTIONS(1746),
    [anon_sym_PLUS] = ACTIONS(1746),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [anon_sym_CR] = ACTIONS(1748),
    [anon_sym_LF] = ACTIONS(1748),
    [anon_sym_DOT] = ACTIONS(1748),
    [anon_sym_LPAREN] = ACTIONS(1748),
    [anon_sym_LT_LT] = ACTIONS(1748),
    [anon_sym_CARET_LT_LT] = ACTIONS(1748),
    [anon_sym_LBRACK] = ACTIONS(1748),
    [anon_sym__endmethod] = ACTIONS(1748),
    [anon_sym__endproc] = ACTIONS(1748),
    [anon_sym_COMMA] = ACTIONS(1748),
    [anon_sym__endblock] = ACTIONS(1748),
    [anon_sym__and_LT_LT] = ACTIONS(1748),
    [anon_sym__andif_LT_LT] = ACTIONS(1748),
    [anon_sym__or_LT_LT] = ACTIONS(1748),
    [anon_sym__orif_LT_LT] = ACTIONS(1748),
    [anon_sym__xor_LT_LT] = ACTIONS(1748),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1748),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1748),
    [anon_sym_STAR_LT_LT] = ACTIONS(1748),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1748),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1748),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1748),
    [anon_sym__mod_LT_LT] = ACTIONS(1748),
    [anon_sym__div_LT_LT] = ACTIONS(1748),
    [anon_sym_DASH_LT_LT] = ACTIONS(1748),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1748),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1748),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1748),
    [anon_sym__endif] = ACTIONS(1748),
    [anon_sym__elif] = ACTIONS(1748),
    [anon_sym__else] = ACTIONS(1748),
    [anon_sym__endloop] = ACTIONS(1748),
    [anon_sym__finally] = ACTIONS(1748),
    [anon_sym__with] = ACTIONS(1748),
    [anon_sym__endcatch] = ACTIONS(1748),
    [anon_sym__when] = ACTIONS(1748),
    [anon_sym__endtry] = ACTIONS(1748),
    [anon_sym__protection] = ACTIONS(1748),
    [anon_sym__endprotect] = ACTIONS(1748),
    [anon_sym__endlock] = ACTIONS(1748),
    [anon_sym_SEMI] = ACTIONS(1748),
    [anon_sym__is] = ACTIONS(1748),
    [anon_sym__isnt] = ACTIONS(1748),
    [anon_sym__cf] = ACTIONS(1748),
    [anon_sym_EQ] = ACTIONS(1748),
    [anon_sym_TILDE_EQ] = ACTIONS(1748),
    [anon_sym_LT_GT] = ACTIONS(1748),
    [anon_sym_GT_EQ] = ACTIONS(1748),
    [anon_sym_LT_EQ] = ACTIONS(1748),
    [anon_sym_LT] = ACTIONS(1748),
    [anon_sym_GT] = ACTIONS(1748),
    [anon_sym__and] = ACTIONS(1748),
    [anon_sym__or] = ACTIONS(1748),
    [anon_sym__xor] = ACTIONS(1748),
    [anon_sym__andif] = ACTIONS(1748),
    [anon_sym__orif] = ACTIONS(1748),
    [anon_sym__xorif] = ACTIONS(1748),
    [anon_sym_STAR_STAR] = ACTIONS(1748),
    [anon_sym_STAR] = ACTIONS(1748),
    [anon_sym_SLASH] = ACTIONS(1748),
    [anon_sym__mod] = ACTIONS(1748),
    [anon_sym__div] = ACTIONS(1748),
    [anon_sym_DASH] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(1748),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [anon_sym_CR] = ACTIONS(1750),
    [anon_sym_LF] = ACTIONS(1750),
    [anon_sym_DOT] = ACTIONS(1750),
    [anon_sym_LPAREN] = ACTIONS(1750),
    [anon_sym_LT_LT] = ACTIONS(1750),
    [anon_sym_CARET_LT_LT] = ACTIONS(1750),
    [anon_sym_LBRACK] = ACTIONS(1750),
    [anon_sym__endmethod] = ACTIONS(1750),
    [anon_sym__endproc] = ACTIONS(1750),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym__endblock] = ACTIONS(1750),
    [anon_sym__and_LT_LT] = ACTIONS(1750),
    [anon_sym__andif_LT_LT] = ACTIONS(1750),
    [anon_sym__or_LT_LT] = ACTIONS(1750),
    [anon_sym__orif_LT_LT] = ACTIONS(1750),
    [anon_sym__xor_LT_LT] = ACTIONS(1750),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1750),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1750),
    [anon_sym_STAR_LT_LT] = ACTIONS(1750),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1750),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1750),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1750),
    [anon_sym__mod_LT_LT] = ACTIONS(1750),
    [anon_sym__div_LT_LT] = ACTIONS(1750),
    [anon_sym_DASH_LT_LT] = ACTIONS(1750),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1750),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1750),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1750),
    [anon_sym__endif] = ACTIONS(1750),
    [anon_sym__elif] = ACTIONS(1750),
    [anon_sym__else] = ACTIONS(1750),
    [anon_sym__endloop] = ACTIONS(1750),
    [anon_sym__finally] = ACTIONS(1750),
    [anon_sym__with] = ACTIONS(1750),
    [anon_sym__endcatch] = ACTIONS(1750),
    [anon_sym__when] = ACTIONS(1750),
    [anon_sym__endtry] = ACTIONS(1750),
    [anon_sym__protection] = ACTIONS(1750),
    [anon_sym__endprotect] = ACTIONS(1750),
    [anon_sym__endlock] = ACTIONS(1750),
    [anon_sym_SEMI] = ACTIONS(1750),
    [anon_sym__is] = ACTIONS(1750),
    [anon_sym__isnt] = ACTIONS(1750),
    [anon_sym__cf] = ACTIONS(1750),
    [anon_sym_EQ] = ACTIONS(1750),
    [anon_sym_TILDE_EQ] = ACTIONS(1750),
    [anon_sym_LT_GT] = ACTIONS(1750),
    [anon_sym_GT_EQ] = ACTIONS(1750),
    [anon_sym_LT_EQ] = ACTIONS(1750),
    [anon_sym_LT] = ACTIONS(1750),
    [anon_sym_GT] = ACTIONS(1750),
    [anon_sym__and] = ACTIONS(1750),
    [anon_sym__or] = ACTIONS(1750),
    [anon_sym__xor] = ACTIONS(1750),
    [anon_sym__andif] = ACTIONS(1750),
    [anon_sym__orif] = ACTIONS(1750),
    [anon_sym__xorif] = ACTIONS(1750),
    [anon_sym_STAR_STAR] = ACTIONS(1750),
    [anon_sym_STAR] = ACTIONS(1750),
    [anon_sym_SLASH] = ACTIONS(1750),
    [anon_sym__mod] = ACTIONS(1750),
    [anon_sym__div] = ACTIONS(1750),
    [anon_sym_DASH] = ACTIONS(1750),
    [anon_sym_PLUS] = ACTIONS(1750),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [anon_sym_CR] = ACTIONS(1752),
    [anon_sym_LF] = ACTIONS(1752),
    [anon_sym_DOT] = ACTIONS(1752),
    [anon_sym_LPAREN] = ACTIONS(1752),
    [anon_sym_LT_LT] = ACTIONS(1752),
    [anon_sym_CARET_LT_LT] = ACTIONS(1752),
    [anon_sym_LBRACK] = ACTIONS(1752),
    [anon_sym__endmethod] = ACTIONS(1752),
    [anon_sym__endproc] = ACTIONS(1752),
    [anon_sym_COMMA] = ACTIONS(1752),
    [anon_sym__endblock] = ACTIONS(1752),
    [anon_sym__and_LT_LT] = ACTIONS(1752),
    [anon_sym__andif_LT_LT] = ACTIONS(1752),
    [anon_sym__or_LT_LT] = ACTIONS(1752),
    [anon_sym__orif_LT_LT] = ACTIONS(1752),
    [anon_sym__xor_LT_LT] = ACTIONS(1752),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1752),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1752),
    [anon_sym_STAR_LT_LT] = ACTIONS(1752),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1752),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1752),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1752),
    [anon_sym__mod_LT_LT] = ACTIONS(1752),
    [anon_sym__div_LT_LT] = ACTIONS(1752),
    [anon_sym_DASH_LT_LT] = ACTIONS(1752),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1752),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1752),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1752),
    [anon_sym__endif] = ACTIONS(1752),
    [anon_sym__elif] = ACTIONS(1752),
    [anon_sym__else] = ACTIONS(1752),
    [anon_sym__endloop] = ACTIONS(1752),
    [anon_sym__finally] = ACTIONS(1752),
    [anon_sym__with] = ACTIONS(1752),
    [anon_sym__endcatch] = ACTIONS(1752),
    [anon_sym__when] = ACTIONS(1752),
    [anon_sym__endtry] = ACTIONS(1752),
    [anon_sym__protection] = ACTIONS(1752),
    [anon_sym__endprotect] = ACTIONS(1752),
    [anon_sym__endlock] = ACTIONS(1752),
    [anon_sym_SEMI] = ACTIONS(1752),
    [anon_sym__is] = ACTIONS(1752),
    [anon_sym__isnt] = ACTIONS(1752),
    [anon_sym__cf] = ACTIONS(1752),
    [anon_sym_EQ] = ACTIONS(1752),
    [anon_sym_TILDE_EQ] = ACTIONS(1752),
    [anon_sym_LT_GT] = ACTIONS(1752),
    [anon_sym_GT_EQ] = ACTIONS(1752),
    [anon_sym_LT_EQ] = ACTIONS(1752),
    [anon_sym_LT] = ACTIONS(1752),
    [anon_sym_GT] = ACTIONS(1752),
    [anon_sym__and] = ACTIONS(1752),
    [anon_sym__or] = ACTIONS(1752),
    [anon_sym__xor] = ACTIONS(1752),
    [anon_sym__andif] = ACTIONS(1752),
    [anon_sym__orif] = ACTIONS(1752),
    [anon_sym__xorif] = ACTIONS(1752),
    [anon_sym_STAR_STAR] = ACTIONS(1752),
    [anon_sym_STAR] = ACTIONS(1752),
    [anon_sym_SLASH] = ACTIONS(1752),
    [anon_sym__mod] = ACTIONS(1752),
    [anon_sym__div] = ACTIONS(1752),
    [anon_sym_DASH] = ACTIONS(1752),
    [anon_sym_PLUS] = ACTIONS(1752),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [anon_sym_CR] = ACTIONS(1754),
    [anon_sym_LF] = ACTIONS(1754),
    [anon_sym_DOT] = ACTIONS(1754),
    [anon_sym_LPAREN] = ACTIONS(1754),
    [anon_sym_LT_LT] = ACTIONS(1754),
    [anon_sym_CARET_LT_LT] = ACTIONS(1754),
    [anon_sym_LBRACK] = ACTIONS(1754),
    [anon_sym__endmethod] = ACTIONS(1754),
    [anon_sym__endproc] = ACTIONS(1754),
    [anon_sym_COMMA] = ACTIONS(1754),
    [anon_sym__endblock] = ACTIONS(1754),
    [anon_sym__and_LT_LT] = ACTIONS(1754),
    [anon_sym__andif_LT_LT] = ACTIONS(1754),
    [anon_sym__or_LT_LT] = ACTIONS(1754),
    [anon_sym__orif_LT_LT] = ACTIONS(1754),
    [anon_sym__xor_LT_LT] = ACTIONS(1754),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1754),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1754),
    [anon_sym_STAR_LT_LT] = ACTIONS(1754),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1754),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1754),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1754),
    [anon_sym__mod_LT_LT] = ACTIONS(1754),
    [anon_sym__div_LT_LT] = ACTIONS(1754),
    [anon_sym_DASH_LT_LT] = ACTIONS(1754),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1754),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1754),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1754),
    [anon_sym__endif] = ACTIONS(1754),
    [anon_sym__elif] = ACTIONS(1754),
    [anon_sym__else] = ACTIONS(1754),
    [anon_sym__endloop] = ACTIONS(1754),
    [anon_sym__finally] = ACTIONS(1754),
    [anon_sym__with] = ACTIONS(1754),
    [anon_sym__endcatch] = ACTIONS(1754),
    [anon_sym__when] = ACTIONS(1754),
    [anon_sym__endtry] = ACTIONS(1754),
    [anon_sym__protection] = ACTIONS(1754),
    [anon_sym__endprotect] = ACTIONS(1754),
    [anon_sym__endlock] = ACTIONS(1754),
    [anon_sym_SEMI] = ACTIONS(1754),
    [anon_sym__is] = ACTIONS(1754),
    [anon_sym__isnt] = ACTIONS(1754),
    [anon_sym__cf] = ACTIONS(1754),
    [anon_sym_EQ] = ACTIONS(1754),
    [anon_sym_TILDE_EQ] = ACTIONS(1754),
    [anon_sym_LT_GT] = ACTIONS(1754),
    [anon_sym_GT_EQ] = ACTIONS(1754),
    [anon_sym_LT_EQ] = ACTIONS(1754),
    [anon_sym_LT] = ACTIONS(1754),
    [anon_sym_GT] = ACTIONS(1754),
    [anon_sym__and] = ACTIONS(1754),
    [anon_sym__or] = ACTIONS(1754),
    [anon_sym__xor] = ACTIONS(1754),
    [anon_sym__andif] = ACTIONS(1754),
    [anon_sym__orif] = ACTIONS(1754),
    [anon_sym__xorif] = ACTIONS(1754),
    [anon_sym_STAR_STAR] = ACTIONS(1754),
    [anon_sym_STAR] = ACTIONS(1754),
    [anon_sym_SLASH] = ACTIONS(1754),
    [anon_sym__mod] = ACTIONS(1754),
    [anon_sym__div] = ACTIONS(1754),
    [anon_sym_DASH] = ACTIONS(1754),
    [anon_sym_PLUS] = ACTIONS(1754),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [anon_sym_CR] = ACTIONS(1756),
    [anon_sym_LF] = ACTIONS(1756),
    [anon_sym_DOT] = ACTIONS(1756),
    [anon_sym_LPAREN] = ACTIONS(1756),
    [anon_sym_LT_LT] = ACTIONS(1756),
    [anon_sym_CARET_LT_LT] = ACTIONS(1756),
    [anon_sym_LBRACK] = ACTIONS(1756),
    [anon_sym__endmethod] = ACTIONS(1756),
    [anon_sym__endproc] = ACTIONS(1756),
    [anon_sym_COMMA] = ACTIONS(1756),
    [anon_sym__endblock] = ACTIONS(1756),
    [anon_sym__and_LT_LT] = ACTIONS(1756),
    [anon_sym__andif_LT_LT] = ACTIONS(1756),
    [anon_sym__or_LT_LT] = ACTIONS(1756),
    [anon_sym__orif_LT_LT] = ACTIONS(1756),
    [anon_sym__xor_LT_LT] = ACTIONS(1756),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1756),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1756),
    [anon_sym_STAR_LT_LT] = ACTIONS(1756),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1756),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1756),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1756),
    [anon_sym__mod_LT_LT] = ACTIONS(1756),
    [anon_sym__div_LT_LT] = ACTIONS(1756),
    [anon_sym_DASH_LT_LT] = ACTIONS(1756),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1756),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1756),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1756),
    [anon_sym__endif] = ACTIONS(1756),
    [anon_sym__elif] = ACTIONS(1756),
    [anon_sym__else] = ACTIONS(1756),
    [anon_sym__endloop] = ACTIONS(1756),
    [anon_sym__finally] = ACTIONS(1756),
    [anon_sym__with] = ACTIONS(1756),
    [anon_sym__endcatch] = ACTIONS(1756),
    [anon_sym__when] = ACTIONS(1756),
    [anon_sym__endtry] = ACTIONS(1756),
    [anon_sym__protection] = ACTIONS(1756),
    [anon_sym__endprotect] = ACTIONS(1756),
    [anon_sym__endlock] = ACTIONS(1756),
    [anon_sym_SEMI] = ACTIONS(1756),
    [anon_sym__is] = ACTIONS(1756),
    [anon_sym__isnt] = ACTIONS(1756),
    [anon_sym__cf] = ACTIONS(1756),
    [anon_sym_EQ] = ACTIONS(1756),
    [anon_sym_TILDE_EQ] = ACTIONS(1756),
    [anon_sym_LT_GT] = ACTIONS(1756),
    [anon_sym_GT_EQ] = ACTIONS(1756),
    [anon_sym_LT_EQ] = ACTIONS(1756),
    [anon_sym_LT] = ACTIONS(1756),
    [anon_sym_GT] = ACTIONS(1756),
    [anon_sym__and] = ACTIONS(1756),
    [anon_sym__or] = ACTIONS(1756),
    [anon_sym__xor] = ACTIONS(1756),
    [anon_sym__andif] = ACTIONS(1756),
    [anon_sym__orif] = ACTIONS(1756),
    [anon_sym__xorif] = ACTIONS(1756),
    [anon_sym_STAR_STAR] = ACTIONS(1756),
    [anon_sym_STAR] = ACTIONS(1756),
    [anon_sym_SLASH] = ACTIONS(1756),
    [anon_sym__mod] = ACTIONS(1756),
    [anon_sym__div] = ACTIONS(1756),
    [anon_sym_DASH] = ACTIONS(1756),
    [anon_sym_PLUS] = ACTIONS(1756),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [anon_sym_CR] = ACTIONS(1758),
    [anon_sym_LF] = ACTIONS(1758),
    [anon_sym_DOT] = ACTIONS(1758),
    [anon_sym_LPAREN] = ACTIONS(1758),
    [anon_sym_LT_LT] = ACTIONS(1758),
    [anon_sym_CARET_LT_LT] = ACTIONS(1758),
    [anon_sym_LBRACK] = ACTIONS(1758),
    [anon_sym__endmethod] = ACTIONS(1758),
    [anon_sym__endproc] = ACTIONS(1758),
    [anon_sym_COMMA] = ACTIONS(1758),
    [anon_sym__endblock] = ACTIONS(1758),
    [anon_sym__and_LT_LT] = ACTIONS(1758),
    [anon_sym__andif_LT_LT] = ACTIONS(1758),
    [anon_sym__or_LT_LT] = ACTIONS(1758),
    [anon_sym__orif_LT_LT] = ACTIONS(1758),
    [anon_sym__xor_LT_LT] = ACTIONS(1758),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1758),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1758),
    [anon_sym_STAR_LT_LT] = ACTIONS(1758),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1758),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1758),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1758),
    [anon_sym__mod_LT_LT] = ACTIONS(1758),
    [anon_sym__div_LT_LT] = ACTIONS(1758),
    [anon_sym_DASH_LT_LT] = ACTIONS(1758),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1758),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1758),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1758),
    [anon_sym__endif] = ACTIONS(1758),
    [anon_sym__elif] = ACTIONS(1758),
    [anon_sym__else] = ACTIONS(1758),
    [anon_sym__endloop] = ACTIONS(1758),
    [anon_sym__finally] = ACTIONS(1758),
    [anon_sym__with] = ACTIONS(1758),
    [anon_sym__endcatch] = ACTIONS(1758),
    [anon_sym__when] = ACTIONS(1758),
    [anon_sym__endtry] = ACTIONS(1758),
    [anon_sym__protection] = ACTIONS(1758),
    [anon_sym__endprotect] = ACTIONS(1758),
    [anon_sym__endlock] = ACTIONS(1758),
    [anon_sym_SEMI] = ACTIONS(1758),
    [anon_sym__is] = ACTIONS(1758),
    [anon_sym__isnt] = ACTIONS(1758),
    [anon_sym__cf] = ACTIONS(1758),
    [anon_sym_EQ] = ACTIONS(1758),
    [anon_sym_TILDE_EQ] = ACTIONS(1758),
    [anon_sym_LT_GT] = ACTIONS(1758),
    [anon_sym_GT_EQ] = ACTIONS(1758),
    [anon_sym_LT_EQ] = ACTIONS(1758),
    [anon_sym_LT] = ACTIONS(1758),
    [anon_sym_GT] = ACTIONS(1758),
    [anon_sym__and] = ACTIONS(1758),
    [anon_sym__or] = ACTIONS(1758),
    [anon_sym__xor] = ACTIONS(1758),
    [anon_sym__andif] = ACTIONS(1758),
    [anon_sym__orif] = ACTIONS(1758),
    [anon_sym__xorif] = ACTIONS(1758),
    [anon_sym_STAR_STAR] = ACTIONS(1758),
    [anon_sym_STAR] = ACTIONS(1758),
    [anon_sym_SLASH] = ACTIONS(1758),
    [anon_sym__mod] = ACTIONS(1758),
    [anon_sym__div] = ACTIONS(1758),
    [anon_sym_DASH] = ACTIONS(1758),
    [anon_sym_PLUS] = ACTIONS(1758),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [anon_sym_CR] = ACTIONS(1760),
    [anon_sym_LF] = ACTIONS(1760),
    [anon_sym_DOT] = ACTIONS(1760),
    [anon_sym_LPAREN] = ACTIONS(1760),
    [anon_sym_LT_LT] = ACTIONS(1760),
    [anon_sym_CARET_LT_LT] = ACTIONS(1760),
    [anon_sym_LBRACK] = ACTIONS(1760),
    [anon_sym__endmethod] = ACTIONS(1760),
    [anon_sym__endproc] = ACTIONS(1760),
    [anon_sym_COMMA] = ACTIONS(1760),
    [anon_sym__endblock] = ACTIONS(1760),
    [anon_sym__and_LT_LT] = ACTIONS(1760),
    [anon_sym__andif_LT_LT] = ACTIONS(1760),
    [anon_sym__or_LT_LT] = ACTIONS(1760),
    [anon_sym__orif_LT_LT] = ACTIONS(1760),
    [anon_sym__xor_LT_LT] = ACTIONS(1760),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1760),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1760),
    [anon_sym_STAR_LT_LT] = ACTIONS(1760),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1760),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1760),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1760),
    [anon_sym__mod_LT_LT] = ACTIONS(1760),
    [anon_sym__div_LT_LT] = ACTIONS(1760),
    [anon_sym_DASH_LT_LT] = ACTIONS(1760),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1760),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1760),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1760),
    [anon_sym__endif] = ACTIONS(1760),
    [anon_sym__elif] = ACTIONS(1760),
    [anon_sym__else] = ACTIONS(1760),
    [anon_sym__endloop] = ACTIONS(1760),
    [anon_sym__finally] = ACTIONS(1760),
    [anon_sym__with] = ACTIONS(1760),
    [anon_sym__endcatch] = ACTIONS(1760),
    [anon_sym__when] = ACTIONS(1760),
    [anon_sym__endtry] = ACTIONS(1760),
    [anon_sym__protection] = ACTIONS(1760),
    [anon_sym__endprotect] = ACTIONS(1760),
    [anon_sym__endlock] = ACTIONS(1760),
    [anon_sym_SEMI] = ACTIONS(1760),
    [anon_sym__is] = ACTIONS(1760),
    [anon_sym__isnt] = ACTIONS(1760),
    [anon_sym__cf] = ACTIONS(1760),
    [anon_sym_EQ] = ACTIONS(1760),
    [anon_sym_TILDE_EQ] = ACTIONS(1760),
    [anon_sym_LT_GT] = ACTIONS(1760),
    [anon_sym_GT_EQ] = ACTIONS(1760),
    [anon_sym_LT_EQ] = ACTIONS(1760),
    [anon_sym_LT] = ACTIONS(1760),
    [anon_sym_GT] = ACTIONS(1760),
    [anon_sym__and] = ACTIONS(1760),
    [anon_sym__or] = ACTIONS(1760),
    [anon_sym__xor] = ACTIONS(1760),
    [anon_sym__andif] = ACTIONS(1760),
    [anon_sym__orif] = ACTIONS(1760),
    [anon_sym__xorif] = ACTIONS(1760),
    [anon_sym_STAR_STAR] = ACTIONS(1760),
    [anon_sym_STAR] = ACTIONS(1760),
    [anon_sym_SLASH] = ACTIONS(1760),
    [anon_sym__mod] = ACTIONS(1760),
    [anon_sym__div] = ACTIONS(1760),
    [anon_sym_DASH] = ACTIONS(1760),
    [anon_sym_PLUS] = ACTIONS(1760),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [anon_sym_CR] = ACTIONS(1762),
    [anon_sym_LF] = ACTIONS(1762),
    [anon_sym_DOT] = ACTIONS(1762),
    [anon_sym_LPAREN] = ACTIONS(1762),
    [anon_sym_LT_LT] = ACTIONS(1762),
    [anon_sym_CARET_LT_LT] = ACTIONS(1762),
    [anon_sym_LBRACK] = ACTIONS(1762),
    [anon_sym__endmethod] = ACTIONS(1762),
    [anon_sym__endproc] = ACTIONS(1762),
    [anon_sym_COMMA] = ACTIONS(1762),
    [anon_sym__endblock] = ACTIONS(1762),
    [anon_sym__and_LT_LT] = ACTIONS(1762),
    [anon_sym__andif_LT_LT] = ACTIONS(1762),
    [anon_sym__or_LT_LT] = ACTIONS(1762),
    [anon_sym__orif_LT_LT] = ACTIONS(1762),
    [anon_sym__xor_LT_LT] = ACTIONS(1762),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1762),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1762),
    [anon_sym_STAR_LT_LT] = ACTIONS(1762),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1762),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1762),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1762),
    [anon_sym__mod_LT_LT] = ACTIONS(1762),
    [anon_sym__div_LT_LT] = ACTIONS(1762),
    [anon_sym_DASH_LT_LT] = ACTIONS(1762),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1762),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1762),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1762),
    [anon_sym__endif] = ACTIONS(1762),
    [anon_sym__elif] = ACTIONS(1762),
    [anon_sym__else] = ACTIONS(1762),
    [anon_sym__endloop] = ACTIONS(1762),
    [anon_sym__finally] = ACTIONS(1762),
    [anon_sym__with] = ACTIONS(1762),
    [anon_sym__endcatch] = ACTIONS(1762),
    [anon_sym__when] = ACTIONS(1762),
    [anon_sym__endtry] = ACTIONS(1762),
    [anon_sym__protection] = ACTIONS(1762),
    [anon_sym__endprotect] = ACTIONS(1762),
    [anon_sym__endlock] = ACTIONS(1762),
    [anon_sym_SEMI] = ACTIONS(1762),
    [anon_sym__is] = ACTIONS(1762),
    [anon_sym__isnt] = ACTIONS(1762),
    [anon_sym__cf] = ACTIONS(1762),
    [anon_sym_EQ] = ACTIONS(1762),
    [anon_sym_TILDE_EQ] = ACTIONS(1762),
    [anon_sym_LT_GT] = ACTIONS(1762),
    [anon_sym_GT_EQ] = ACTIONS(1762),
    [anon_sym_LT_EQ] = ACTIONS(1762),
    [anon_sym_LT] = ACTIONS(1762),
    [anon_sym_GT] = ACTIONS(1762),
    [anon_sym__and] = ACTIONS(1762),
    [anon_sym__or] = ACTIONS(1762),
    [anon_sym__xor] = ACTIONS(1762),
    [anon_sym__andif] = ACTIONS(1762),
    [anon_sym__orif] = ACTIONS(1762),
    [anon_sym__xorif] = ACTIONS(1762),
    [anon_sym_STAR_STAR] = ACTIONS(1762),
    [anon_sym_STAR] = ACTIONS(1762),
    [anon_sym_SLASH] = ACTIONS(1762),
    [anon_sym__mod] = ACTIONS(1762),
    [anon_sym__div] = ACTIONS(1762),
    [anon_sym_DASH] = ACTIONS(1762),
    [anon_sym_PLUS] = ACTIONS(1762),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [anon_sym_CR] = ACTIONS(1764),
    [anon_sym_LF] = ACTIONS(1764),
    [anon_sym_DOT] = ACTIONS(1764),
    [anon_sym_LPAREN] = ACTIONS(1764),
    [anon_sym_LT_LT] = ACTIONS(1764),
    [anon_sym_CARET_LT_LT] = ACTIONS(1764),
    [anon_sym_LBRACK] = ACTIONS(1764),
    [anon_sym__endmethod] = ACTIONS(1764),
    [anon_sym__endproc] = ACTIONS(1764),
    [anon_sym_COMMA] = ACTIONS(1764),
    [anon_sym__endblock] = ACTIONS(1764),
    [anon_sym__and_LT_LT] = ACTIONS(1764),
    [anon_sym__andif_LT_LT] = ACTIONS(1764),
    [anon_sym__or_LT_LT] = ACTIONS(1764),
    [anon_sym__orif_LT_LT] = ACTIONS(1764),
    [anon_sym__xor_LT_LT] = ACTIONS(1764),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1764),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1764),
    [anon_sym_STAR_LT_LT] = ACTIONS(1764),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1764),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1764),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1764),
    [anon_sym__mod_LT_LT] = ACTIONS(1764),
    [anon_sym__div_LT_LT] = ACTIONS(1764),
    [anon_sym_DASH_LT_LT] = ACTIONS(1764),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1764),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1764),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1764),
    [anon_sym__endif] = ACTIONS(1764),
    [anon_sym__elif] = ACTIONS(1764),
    [anon_sym__else] = ACTIONS(1764),
    [anon_sym__endloop] = ACTIONS(1764),
    [anon_sym__finally] = ACTIONS(1764),
    [anon_sym__with] = ACTIONS(1764),
    [anon_sym__endcatch] = ACTIONS(1764),
    [anon_sym__when] = ACTIONS(1764),
    [anon_sym__endtry] = ACTIONS(1764),
    [anon_sym__protection] = ACTIONS(1764),
    [anon_sym__endprotect] = ACTIONS(1764),
    [anon_sym__endlock] = ACTIONS(1764),
    [anon_sym_SEMI] = ACTIONS(1764),
    [anon_sym__is] = ACTIONS(1764),
    [anon_sym__isnt] = ACTIONS(1764),
    [anon_sym__cf] = ACTIONS(1764),
    [anon_sym_EQ] = ACTIONS(1764),
    [anon_sym_TILDE_EQ] = ACTIONS(1764),
    [anon_sym_LT_GT] = ACTIONS(1764),
    [anon_sym_GT_EQ] = ACTIONS(1764),
    [anon_sym_LT_EQ] = ACTIONS(1764),
    [anon_sym_LT] = ACTIONS(1764),
    [anon_sym_GT] = ACTIONS(1764),
    [anon_sym__and] = ACTIONS(1764),
    [anon_sym__or] = ACTIONS(1764),
    [anon_sym__xor] = ACTIONS(1764),
    [anon_sym__andif] = ACTIONS(1764),
    [anon_sym__orif] = ACTIONS(1764),
    [anon_sym__xorif] = ACTIONS(1764),
    [anon_sym_STAR_STAR] = ACTIONS(1764),
    [anon_sym_STAR] = ACTIONS(1764),
    [anon_sym_SLASH] = ACTIONS(1764),
    [anon_sym__mod] = ACTIONS(1764),
    [anon_sym__div] = ACTIONS(1764),
    [anon_sym_DASH] = ACTIONS(1764),
    [anon_sym_PLUS] = ACTIONS(1764),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [anon_sym_CR] = ACTIONS(1766),
    [anon_sym_LF] = ACTIONS(1766),
    [anon_sym_DOT] = ACTIONS(1766),
    [anon_sym_LPAREN] = ACTIONS(1766),
    [anon_sym_LT_LT] = ACTIONS(1766),
    [anon_sym_CARET_LT_LT] = ACTIONS(1766),
    [anon_sym_LBRACK] = ACTIONS(1766),
    [anon_sym__endmethod] = ACTIONS(1766),
    [anon_sym__endproc] = ACTIONS(1766),
    [anon_sym_COMMA] = ACTIONS(1766),
    [anon_sym__endblock] = ACTIONS(1766),
    [anon_sym__and_LT_LT] = ACTIONS(1766),
    [anon_sym__andif_LT_LT] = ACTIONS(1766),
    [anon_sym__or_LT_LT] = ACTIONS(1766),
    [anon_sym__orif_LT_LT] = ACTIONS(1766),
    [anon_sym__xor_LT_LT] = ACTIONS(1766),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1766),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1766),
    [anon_sym_STAR_LT_LT] = ACTIONS(1766),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1766),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1766),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1766),
    [anon_sym__mod_LT_LT] = ACTIONS(1766),
    [anon_sym__div_LT_LT] = ACTIONS(1766),
    [anon_sym_DASH_LT_LT] = ACTIONS(1766),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1766),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1766),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1766),
    [anon_sym__endif] = ACTIONS(1766),
    [anon_sym__elif] = ACTIONS(1766),
    [anon_sym__else] = ACTIONS(1766),
    [anon_sym__endloop] = ACTIONS(1766),
    [anon_sym__finally] = ACTIONS(1766),
    [anon_sym__with] = ACTIONS(1766),
    [anon_sym__endcatch] = ACTIONS(1766),
    [anon_sym__when] = ACTIONS(1766),
    [anon_sym__endtry] = ACTIONS(1766),
    [anon_sym__protection] = ACTIONS(1766),
    [anon_sym__endprotect] = ACTIONS(1766),
    [anon_sym__endlock] = ACTIONS(1766),
    [anon_sym_SEMI] = ACTIONS(1766),
    [anon_sym__is] = ACTIONS(1766),
    [anon_sym__isnt] = ACTIONS(1766),
    [anon_sym__cf] = ACTIONS(1766),
    [anon_sym_EQ] = ACTIONS(1766),
    [anon_sym_TILDE_EQ] = ACTIONS(1766),
    [anon_sym_LT_GT] = ACTIONS(1766),
    [anon_sym_GT_EQ] = ACTIONS(1766),
    [anon_sym_LT_EQ] = ACTIONS(1766),
    [anon_sym_LT] = ACTIONS(1766),
    [anon_sym_GT] = ACTIONS(1766),
    [anon_sym__and] = ACTIONS(1766),
    [anon_sym__or] = ACTIONS(1766),
    [anon_sym__xor] = ACTIONS(1766),
    [anon_sym__andif] = ACTIONS(1766),
    [anon_sym__orif] = ACTIONS(1766),
    [anon_sym__xorif] = ACTIONS(1766),
    [anon_sym_STAR_STAR] = ACTIONS(1766),
    [anon_sym_STAR] = ACTIONS(1766),
    [anon_sym_SLASH] = ACTIONS(1766),
    [anon_sym__mod] = ACTIONS(1766),
    [anon_sym__div] = ACTIONS(1766),
    [anon_sym_DASH] = ACTIONS(1766),
    [anon_sym_PLUS] = ACTIONS(1766),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [anon_sym_CR] = ACTIONS(1768),
    [anon_sym_LF] = ACTIONS(1768),
    [anon_sym_DOT] = ACTIONS(1768),
    [anon_sym_LPAREN] = ACTIONS(1768),
    [anon_sym_LT_LT] = ACTIONS(1768),
    [anon_sym_CARET_LT_LT] = ACTIONS(1768),
    [anon_sym_LBRACK] = ACTIONS(1768),
    [anon_sym__endmethod] = ACTIONS(1768),
    [anon_sym__endproc] = ACTIONS(1768),
    [anon_sym_COMMA] = ACTIONS(1768),
    [anon_sym__endblock] = ACTIONS(1768),
    [anon_sym__and_LT_LT] = ACTIONS(1768),
    [anon_sym__andif_LT_LT] = ACTIONS(1768),
    [anon_sym__or_LT_LT] = ACTIONS(1768),
    [anon_sym__orif_LT_LT] = ACTIONS(1768),
    [anon_sym__xor_LT_LT] = ACTIONS(1768),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1768),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1768),
    [anon_sym_STAR_LT_LT] = ACTIONS(1768),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1768),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1768),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1768),
    [anon_sym__mod_LT_LT] = ACTIONS(1768),
    [anon_sym__div_LT_LT] = ACTIONS(1768),
    [anon_sym_DASH_LT_LT] = ACTIONS(1768),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1768),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1768),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1768),
    [anon_sym__endif] = ACTIONS(1768),
    [anon_sym__elif] = ACTIONS(1768),
    [anon_sym__else] = ACTIONS(1768),
    [anon_sym__endloop] = ACTIONS(1768),
    [anon_sym__finally] = ACTIONS(1768),
    [anon_sym__with] = ACTIONS(1768),
    [anon_sym__endcatch] = ACTIONS(1768),
    [anon_sym__when] = ACTIONS(1768),
    [anon_sym__endtry] = ACTIONS(1768),
    [anon_sym__protection] = ACTIONS(1768),
    [anon_sym__endprotect] = ACTIONS(1768),
    [anon_sym__endlock] = ACTIONS(1768),
    [anon_sym_SEMI] = ACTIONS(1768),
    [anon_sym__is] = ACTIONS(1768),
    [anon_sym__isnt] = ACTIONS(1768),
    [anon_sym__cf] = ACTIONS(1768),
    [anon_sym_EQ] = ACTIONS(1768),
    [anon_sym_TILDE_EQ] = ACTIONS(1768),
    [anon_sym_LT_GT] = ACTIONS(1768),
    [anon_sym_GT_EQ] = ACTIONS(1768),
    [anon_sym_LT_EQ] = ACTIONS(1768),
    [anon_sym_LT] = ACTIONS(1768),
    [anon_sym_GT] = ACTIONS(1768),
    [anon_sym__and] = ACTIONS(1768),
    [anon_sym__or] = ACTIONS(1768),
    [anon_sym__xor] = ACTIONS(1768),
    [anon_sym__andif] = ACTIONS(1768),
    [anon_sym__orif] = ACTIONS(1768),
    [anon_sym__xorif] = ACTIONS(1768),
    [anon_sym_STAR_STAR] = ACTIONS(1768),
    [anon_sym_STAR] = ACTIONS(1768),
    [anon_sym_SLASH] = ACTIONS(1768),
    [anon_sym__mod] = ACTIONS(1768),
    [anon_sym__div] = ACTIONS(1768),
    [anon_sym_DASH] = ACTIONS(1768),
    [anon_sym_PLUS] = ACTIONS(1768),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [anon_sym_CR] = ACTIONS(1770),
    [anon_sym_LF] = ACTIONS(1770),
    [anon_sym_DOT] = ACTIONS(1770),
    [anon_sym_LPAREN] = ACTIONS(1770),
    [anon_sym_LT_LT] = ACTIONS(1770),
    [anon_sym_CARET_LT_LT] = ACTIONS(1770),
    [anon_sym_LBRACK] = ACTIONS(1770),
    [anon_sym__endmethod] = ACTIONS(1770),
    [anon_sym__endproc] = ACTIONS(1770),
    [anon_sym_COMMA] = ACTIONS(1770),
    [anon_sym__endblock] = ACTIONS(1770),
    [anon_sym__and_LT_LT] = ACTIONS(1770),
    [anon_sym__andif_LT_LT] = ACTIONS(1770),
    [anon_sym__or_LT_LT] = ACTIONS(1770),
    [anon_sym__orif_LT_LT] = ACTIONS(1770),
    [anon_sym__xor_LT_LT] = ACTIONS(1770),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1770),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1770),
    [anon_sym_STAR_LT_LT] = ACTIONS(1770),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1770),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1770),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1770),
    [anon_sym__mod_LT_LT] = ACTIONS(1770),
    [anon_sym__div_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_LT_LT] = ACTIONS(1770),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1770),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1770),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1770),
    [anon_sym__endif] = ACTIONS(1770),
    [anon_sym__elif] = ACTIONS(1770),
    [anon_sym__else] = ACTIONS(1770),
    [anon_sym__endloop] = ACTIONS(1770),
    [anon_sym__finally] = ACTIONS(1770),
    [anon_sym__with] = ACTIONS(1770),
    [anon_sym__endcatch] = ACTIONS(1770),
    [anon_sym__when] = ACTIONS(1770),
    [anon_sym__endtry] = ACTIONS(1770),
    [anon_sym__protection] = ACTIONS(1770),
    [anon_sym__endprotect] = ACTIONS(1770),
    [anon_sym__endlock] = ACTIONS(1770),
    [anon_sym_SEMI] = ACTIONS(1770),
    [anon_sym__is] = ACTIONS(1770),
    [anon_sym__isnt] = ACTIONS(1770),
    [anon_sym__cf] = ACTIONS(1770),
    [anon_sym_EQ] = ACTIONS(1770),
    [anon_sym_TILDE_EQ] = ACTIONS(1770),
    [anon_sym_LT_GT] = ACTIONS(1770),
    [anon_sym_GT_EQ] = ACTIONS(1770),
    [anon_sym_LT_EQ] = ACTIONS(1770),
    [anon_sym_LT] = ACTIONS(1770),
    [anon_sym_GT] = ACTIONS(1770),
    [anon_sym__and] = ACTIONS(1770),
    [anon_sym__or] = ACTIONS(1770),
    [anon_sym__xor] = ACTIONS(1770),
    [anon_sym__andif] = ACTIONS(1770),
    [anon_sym__orif] = ACTIONS(1770),
    [anon_sym__xorif] = ACTIONS(1770),
    [anon_sym_STAR_STAR] = ACTIONS(1770),
    [anon_sym_STAR] = ACTIONS(1770),
    [anon_sym_SLASH] = ACTIONS(1770),
    [anon_sym__mod] = ACTIONS(1770),
    [anon_sym__div] = ACTIONS(1770),
    [anon_sym_DASH] = ACTIONS(1770),
    [anon_sym_PLUS] = ACTIONS(1770),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [anon_sym_CR] = ACTIONS(1772),
    [anon_sym_LF] = ACTIONS(1772),
    [anon_sym_DOT] = ACTIONS(1772),
    [anon_sym_LPAREN] = ACTIONS(1772),
    [anon_sym_LT_LT] = ACTIONS(1772),
    [anon_sym_CARET_LT_LT] = ACTIONS(1772),
    [anon_sym_LBRACK] = ACTIONS(1772),
    [anon_sym__endmethod] = ACTIONS(1772),
    [anon_sym__endproc] = ACTIONS(1772),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym__endblock] = ACTIONS(1772),
    [anon_sym__and_LT_LT] = ACTIONS(1772),
    [anon_sym__andif_LT_LT] = ACTIONS(1772),
    [anon_sym__or_LT_LT] = ACTIONS(1772),
    [anon_sym__orif_LT_LT] = ACTIONS(1772),
    [anon_sym__xor_LT_LT] = ACTIONS(1772),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1772),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1772),
    [anon_sym_STAR_LT_LT] = ACTIONS(1772),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1772),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1772),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1772),
    [anon_sym__mod_LT_LT] = ACTIONS(1772),
    [anon_sym__div_LT_LT] = ACTIONS(1772),
    [anon_sym_DASH_LT_LT] = ACTIONS(1772),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1772),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1772),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1772),
    [anon_sym__endif] = ACTIONS(1772),
    [anon_sym__elif] = ACTIONS(1772),
    [anon_sym__else] = ACTIONS(1772),
    [anon_sym__endloop] = ACTIONS(1772),
    [anon_sym__finally] = ACTIONS(1772),
    [anon_sym__with] = ACTIONS(1772),
    [anon_sym__endcatch] = ACTIONS(1772),
    [anon_sym__when] = ACTIONS(1772),
    [anon_sym__endtry] = ACTIONS(1772),
    [anon_sym__protection] = ACTIONS(1772),
    [anon_sym__endprotect] = ACTIONS(1772),
    [anon_sym__endlock] = ACTIONS(1772),
    [anon_sym_SEMI] = ACTIONS(1772),
    [anon_sym__is] = ACTIONS(1772),
    [anon_sym__isnt] = ACTIONS(1772),
    [anon_sym__cf] = ACTIONS(1772),
    [anon_sym_EQ] = ACTIONS(1772),
    [anon_sym_TILDE_EQ] = ACTIONS(1772),
    [anon_sym_LT_GT] = ACTIONS(1772),
    [anon_sym_GT_EQ] = ACTIONS(1772),
    [anon_sym_LT_EQ] = ACTIONS(1772),
    [anon_sym_LT] = ACTIONS(1772),
    [anon_sym_GT] = ACTIONS(1772),
    [anon_sym__and] = ACTIONS(1772),
    [anon_sym__or] = ACTIONS(1772),
    [anon_sym__xor] = ACTIONS(1772),
    [anon_sym__andif] = ACTIONS(1772),
    [anon_sym__orif] = ACTIONS(1772),
    [anon_sym__xorif] = ACTIONS(1772),
    [anon_sym_STAR_STAR] = ACTIONS(1772),
    [anon_sym_STAR] = ACTIONS(1772),
    [anon_sym_SLASH] = ACTIONS(1772),
    [anon_sym__mod] = ACTIONS(1772),
    [anon_sym__div] = ACTIONS(1772),
    [anon_sym_DASH] = ACTIONS(1772),
    [anon_sym_PLUS] = ACTIONS(1772),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [anon_sym_CR] = ACTIONS(1774),
    [anon_sym_LF] = ACTIONS(1774),
    [anon_sym_DOT] = ACTIONS(1774),
    [anon_sym_LPAREN] = ACTIONS(1774),
    [anon_sym_LT_LT] = ACTIONS(1774),
    [anon_sym_CARET_LT_LT] = ACTIONS(1774),
    [anon_sym_LBRACK] = ACTIONS(1774),
    [anon_sym__endmethod] = ACTIONS(1774),
    [anon_sym__endproc] = ACTIONS(1774),
    [anon_sym_COMMA] = ACTIONS(1774),
    [anon_sym__endblock] = ACTIONS(1774),
    [anon_sym__and_LT_LT] = ACTIONS(1774),
    [anon_sym__andif_LT_LT] = ACTIONS(1774),
    [anon_sym__or_LT_LT] = ACTIONS(1774),
    [anon_sym__orif_LT_LT] = ACTIONS(1774),
    [anon_sym__xor_LT_LT] = ACTIONS(1774),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1774),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1774),
    [anon_sym_STAR_LT_LT] = ACTIONS(1774),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1774),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1774),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1774),
    [anon_sym__mod_LT_LT] = ACTIONS(1774),
    [anon_sym__div_LT_LT] = ACTIONS(1774),
    [anon_sym_DASH_LT_LT] = ACTIONS(1774),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1774),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1774),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1774),
    [anon_sym__endif] = ACTIONS(1774),
    [anon_sym__elif] = ACTIONS(1774),
    [anon_sym__else] = ACTIONS(1774),
    [anon_sym__endloop] = ACTIONS(1774),
    [anon_sym__finally] = ACTIONS(1774),
    [anon_sym__with] = ACTIONS(1774),
    [anon_sym__endcatch] = ACTIONS(1774),
    [anon_sym__when] = ACTIONS(1774),
    [anon_sym__endtry] = ACTIONS(1774),
    [anon_sym__protection] = ACTIONS(1774),
    [anon_sym__endprotect] = ACTIONS(1774),
    [anon_sym__endlock] = ACTIONS(1774),
    [anon_sym_SEMI] = ACTIONS(1774),
    [anon_sym__is] = ACTIONS(1774),
    [anon_sym__isnt] = ACTIONS(1774),
    [anon_sym__cf] = ACTIONS(1774),
    [anon_sym_EQ] = ACTIONS(1774),
    [anon_sym_TILDE_EQ] = ACTIONS(1774),
    [anon_sym_LT_GT] = ACTIONS(1774),
    [anon_sym_GT_EQ] = ACTIONS(1774),
    [anon_sym_LT_EQ] = ACTIONS(1774),
    [anon_sym_LT] = ACTIONS(1774),
    [anon_sym_GT] = ACTIONS(1774),
    [anon_sym__and] = ACTIONS(1774),
    [anon_sym__or] = ACTIONS(1774),
    [anon_sym__xor] = ACTIONS(1774),
    [anon_sym__andif] = ACTIONS(1774),
    [anon_sym__orif] = ACTIONS(1774),
    [anon_sym__xorif] = ACTIONS(1774),
    [anon_sym_STAR_STAR] = ACTIONS(1774),
    [anon_sym_STAR] = ACTIONS(1774),
    [anon_sym_SLASH] = ACTIONS(1774),
    [anon_sym__mod] = ACTIONS(1774),
    [anon_sym__div] = ACTIONS(1774),
    [anon_sym_DASH] = ACTIONS(1774),
    [anon_sym_PLUS] = ACTIONS(1774),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [anon_sym_CR] = ACTIONS(1776),
    [anon_sym_LF] = ACTIONS(1776),
    [anon_sym_DOT] = ACTIONS(1776),
    [anon_sym_LPAREN] = ACTIONS(1776),
    [anon_sym_LT_LT] = ACTIONS(1776),
    [anon_sym_CARET_LT_LT] = ACTIONS(1776),
    [anon_sym_LBRACK] = ACTIONS(1776),
    [anon_sym__endmethod] = ACTIONS(1776),
    [anon_sym__endproc] = ACTIONS(1776),
    [anon_sym_COMMA] = ACTIONS(1776),
    [anon_sym__endblock] = ACTIONS(1776),
    [anon_sym__and_LT_LT] = ACTIONS(1776),
    [anon_sym__andif_LT_LT] = ACTIONS(1776),
    [anon_sym__or_LT_LT] = ACTIONS(1776),
    [anon_sym__orif_LT_LT] = ACTIONS(1776),
    [anon_sym__xor_LT_LT] = ACTIONS(1776),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1776),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1776),
    [anon_sym_STAR_LT_LT] = ACTIONS(1776),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1776),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1776),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1776),
    [anon_sym__mod_LT_LT] = ACTIONS(1776),
    [anon_sym__div_LT_LT] = ACTIONS(1776),
    [anon_sym_DASH_LT_LT] = ACTIONS(1776),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1776),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1776),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1776),
    [anon_sym__endif] = ACTIONS(1776),
    [anon_sym__elif] = ACTIONS(1776),
    [anon_sym__else] = ACTIONS(1776),
    [anon_sym__endloop] = ACTIONS(1776),
    [anon_sym__finally] = ACTIONS(1776),
    [anon_sym__with] = ACTIONS(1776),
    [anon_sym__endcatch] = ACTIONS(1776),
    [anon_sym__when] = ACTIONS(1776),
    [anon_sym__endtry] = ACTIONS(1776),
    [anon_sym__protection] = ACTIONS(1776),
    [anon_sym__endprotect] = ACTIONS(1776),
    [anon_sym__endlock] = ACTIONS(1776),
    [anon_sym_SEMI] = ACTIONS(1776),
    [anon_sym__is] = ACTIONS(1776),
    [anon_sym__isnt] = ACTIONS(1776),
    [anon_sym__cf] = ACTIONS(1776),
    [anon_sym_EQ] = ACTIONS(1776),
    [anon_sym_TILDE_EQ] = ACTIONS(1776),
    [anon_sym_LT_GT] = ACTIONS(1776),
    [anon_sym_GT_EQ] = ACTIONS(1776),
    [anon_sym_LT_EQ] = ACTIONS(1776),
    [anon_sym_LT] = ACTIONS(1776),
    [anon_sym_GT] = ACTIONS(1776),
    [anon_sym__and] = ACTIONS(1776),
    [anon_sym__or] = ACTIONS(1776),
    [anon_sym__xor] = ACTIONS(1776),
    [anon_sym__andif] = ACTIONS(1776),
    [anon_sym__orif] = ACTIONS(1776),
    [anon_sym__xorif] = ACTIONS(1776),
    [anon_sym_STAR_STAR] = ACTIONS(1776),
    [anon_sym_STAR] = ACTIONS(1776),
    [anon_sym_SLASH] = ACTIONS(1776),
    [anon_sym__mod] = ACTIONS(1776),
    [anon_sym__div] = ACTIONS(1776),
    [anon_sym_DASH] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(1776),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [anon_sym_CR] = ACTIONS(1778),
    [anon_sym_LF] = ACTIONS(1778),
    [anon_sym_DOT] = ACTIONS(1778),
    [anon_sym_LPAREN] = ACTIONS(1778),
    [anon_sym_LT_LT] = ACTIONS(1778),
    [anon_sym_CARET_LT_LT] = ACTIONS(1778),
    [anon_sym_LBRACK] = ACTIONS(1778),
    [anon_sym__endmethod] = ACTIONS(1778),
    [anon_sym__endproc] = ACTIONS(1778),
    [anon_sym_COMMA] = ACTIONS(1778),
    [anon_sym__endblock] = ACTIONS(1778),
    [anon_sym__and_LT_LT] = ACTIONS(1778),
    [anon_sym__andif_LT_LT] = ACTIONS(1778),
    [anon_sym__or_LT_LT] = ACTIONS(1778),
    [anon_sym__orif_LT_LT] = ACTIONS(1778),
    [anon_sym__xor_LT_LT] = ACTIONS(1778),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1778),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1778),
    [anon_sym_STAR_LT_LT] = ACTIONS(1778),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1778),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1778),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1778),
    [anon_sym__mod_LT_LT] = ACTIONS(1778),
    [anon_sym__div_LT_LT] = ACTIONS(1778),
    [anon_sym_DASH_LT_LT] = ACTIONS(1778),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1778),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1778),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1778),
    [anon_sym__endif] = ACTIONS(1778),
    [anon_sym__elif] = ACTIONS(1778),
    [anon_sym__else] = ACTIONS(1778),
    [anon_sym__endloop] = ACTIONS(1778),
    [anon_sym__finally] = ACTIONS(1778),
    [anon_sym__with] = ACTIONS(1778),
    [anon_sym__endcatch] = ACTIONS(1778),
    [anon_sym__when] = ACTIONS(1778),
    [anon_sym__endtry] = ACTIONS(1778),
    [anon_sym__protection] = ACTIONS(1778),
    [anon_sym__endprotect] = ACTIONS(1778),
    [anon_sym__endlock] = ACTIONS(1778),
    [anon_sym_SEMI] = ACTIONS(1778),
    [anon_sym__is] = ACTIONS(1778),
    [anon_sym__isnt] = ACTIONS(1778),
    [anon_sym__cf] = ACTIONS(1778),
    [anon_sym_EQ] = ACTIONS(1778),
    [anon_sym_TILDE_EQ] = ACTIONS(1778),
    [anon_sym_LT_GT] = ACTIONS(1778),
    [anon_sym_GT_EQ] = ACTIONS(1778),
    [anon_sym_LT_EQ] = ACTIONS(1778),
    [anon_sym_LT] = ACTIONS(1778),
    [anon_sym_GT] = ACTIONS(1778),
    [anon_sym__and] = ACTIONS(1778),
    [anon_sym__or] = ACTIONS(1778),
    [anon_sym__xor] = ACTIONS(1778),
    [anon_sym__andif] = ACTIONS(1778),
    [anon_sym__orif] = ACTIONS(1778),
    [anon_sym__xorif] = ACTIONS(1778),
    [anon_sym_STAR_STAR] = ACTIONS(1778),
    [anon_sym_STAR] = ACTIONS(1778),
    [anon_sym_SLASH] = ACTIONS(1778),
    [anon_sym__mod] = ACTIONS(1778),
    [anon_sym__div] = ACTIONS(1778),
    [anon_sym_DASH] = ACTIONS(1778),
    [anon_sym_PLUS] = ACTIONS(1778),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [anon_sym_CR] = ACTIONS(1780),
    [anon_sym_LF] = ACTIONS(1780),
    [anon_sym_DOT] = ACTIONS(1780),
    [anon_sym_LPAREN] = ACTIONS(1780),
    [anon_sym_LT_LT] = ACTIONS(1780),
    [anon_sym_CARET_LT_LT] = ACTIONS(1780),
    [anon_sym_LBRACK] = ACTIONS(1780),
    [anon_sym__endmethod] = ACTIONS(1780),
    [anon_sym__endproc] = ACTIONS(1780),
    [anon_sym_COMMA] = ACTIONS(1780),
    [anon_sym__endblock] = ACTIONS(1780),
    [anon_sym__and_LT_LT] = ACTIONS(1780),
    [anon_sym__andif_LT_LT] = ACTIONS(1780),
    [anon_sym__or_LT_LT] = ACTIONS(1780),
    [anon_sym__orif_LT_LT] = ACTIONS(1780),
    [anon_sym__xor_LT_LT] = ACTIONS(1780),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1780),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1780),
    [anon_sym_STAR_LT_LT] = ACTIONS(1780),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1780),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1780),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1780),
    [anon_sym__mod_LT_LT] = ACTIONS(1780),
    [anon_sym__div_LT_LT] = ACTIONS(1780),
    [anon_sym_DASH_LT_LT] = ACTIONS(1780),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1780),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1780),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1780),
    [anon_sym__endif] = ACTIONS(1780),
    [anon_sym__elif] = ACTIONS(1780),
    [anon_sym__else] = ACTIONS(1780),
    [anon_sym__endloop] = ACTIONS(1780),
    [anon_sym__finally] = ACTIONS(1780),
    [anon_sym__with] = ACTIONS(1780),
    [anon_sym__endcatch] = ACTIONS(1780),
    [anon_sym__when] = ACTIONS(1780),
    [anon_sym__endtry] = ACTIONS(1780),
    [anon_sym__protection] = ACTIONS(1780),
    [anon_sym__endprotect] = ACTIONS(1780),
    [anon_sym__endlock] = ACTIONS(1780),
    [anon_sym_SEMI] = ACTIONS(1780),
    [anon_sym__is] = ACTIONS(1780),
    [anon_sym__isnt] = ACTIONS(1780),
    [anon_sym__cf] = ACTIONS(1780),
    [anon_sym_EQ] = ACTIONS(1780),
    [anon_sym_TILDE_EQ] = ACTIONS(1780),
    [anon_sym_LT_GT] = ACTIONS(1780),
    [anon_sym_GT_EQ] = ACTIONS(1780),
    [anon_sym_LT_EQ] = ACTIONS(1780),
    [anon_sym_LT] = ACTIONS(1780),
    [anon_sym_GT] = ACTIONS(1780),
    [anon_sym__and] = ACTIONS(1780),
    [anon_sym__or] = ACTIONS(1780),
    [anon_sym__xor] = ACTIONS(1780),
    [anon_sym__andif] = ACTIONS(1780),
    [anon_sym__orif] = ACTIONS(1780),
    [anon_sym__xorif] = ACTIONS(1780),
    [anon_sym_STAR_STAR] = ACTIONS(1780),
    [anon_sym_STAR] = ACTIONS(1780),
    [anon_sym_SLASH] = ACTIONS(1780),
    [anon_sym__mod] = ACTIONS(1780),
    [anon_sym__div] = ACTIONS(1780),
    [anon_sym_DASH] = ACTIONS(1780),
    [anon_sym_PLUS] = ACTIONS(1780),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [anon_sym_CR] = ACTIONS(1782),
    [anon_sym_LF] = ACTIONS(1782),
    [anon_sym_DOT] = ACTIONS(1782),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_LT_LT] = ACTIONS(1782),
    [anon_sym_CARET_LT_LT] = ACTIONS(1782),
    [anon_sym_LBRACK] = ACTIONS(1782),
    [anon_sym__endmethod] = ACTIONS(1782),
    [anon_sym__endproc] = ACTIONS(1782),
    [anon_sym_COMMA] = ACTIONS(1782),
    [anon_sym__endblock] = ACTIONS(1782),
    [anon_sym__and_LT_LT] = ACTIONS(1782),
    [anon_sym__andif_LT_LT] = ACTIONS(1782),
    [anon_sym__or_LT_LT] = ACTIONS(1782),
    [anon_sym__orif_LT_LT] = ACTIONS(1782),
    [anon_sym__xor_LT_LT] = ACTIONS(1782),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1782),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1782),
    [anon_sym_STAR_LT_LT] = ACTIONS(1782),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1782),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1782),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1782),
    [anon_sym__mod_LT_LT] = ACTIONS(1782),
    [anon_sym__div_LT_LT] = ACTIONS(1782),
    [anon_sym_DASH_LT_LT] = ACTIONS(1782),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1782),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1782),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1782),
    [anon_sym__endif] = ACTIONS(1782),
    [anon_sym__elif] = ACTIONS(1782),
    [anon_sym__else] = ACTIONS(1782),
    [anon_sym__endloop] = ACTIONS(1782),
    [anon_sym__finally] = ACTIONS(1782),
    [anon_sym__with] = ACTIONS(1782),
    [anon_sym__endcatch] = ACTIONS(1782),
    [anon_sym__when] = ACTIONS(1782),
    [anon_sym__endtry] = ACTIONS(1782),
    [anon_sym__protection] = ACTIONS(1782),
    [anon_sym__endprotect] = ACTIONS(1782),
    [anon_sym__endlock] = ACTIONS(1782),
    [anon_sym_SEMI] = ACTIONS(1782),
    [anon_sym__is] = ACTIONS(1782),
    [anon_sym__isnt] = ACTIONS(1782),
    [anon_sym__cf] = ACTIONS(1782),
    [anon_sym_EQ] = ACTIONS(1782),
    [anon_sym_TILDE_EQ] = ACTIONS(1782),
    [anon_sym_LT_GT] = ACTIONS(1782),
    [anon_sym_GT_EQ] = ACTIONS(1782),
    [anon_sym_LT_EQ] = ACTIONS(1782),
    [anon_sym_LT] = ACTIONS(1782),
    [anon_sym_GT] = ACTIONS(1782),
    [anon_sym__and] = ACTIONS(1782),
    [anon_sym__or] = ACTIONS(1782),
    [anon_sym__xor] = ACTIONS(1782),
    [anon_sym__andif] = ACTIONS(1782),
    [anon_sym__orif] = ACTIONS(1782),
    [anon_sym__xorif] = ACTIONS(1782),
    [anon_sym_STAR_STAR] = ACTIONS(1782),
    [anon_sym_STAR] = ACTIONS(1782),
    [anon_sym_SLASH] = ACTIONS(1782),
    [anon_sym__mod] = ACTIONS(1782),
    [anon_sym__div] = ACTIONS(1782),
    [anon_sym_DASH] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1782),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [anon_sym_CR] = ACTIONS(1784),
    [anon_sym_LF] = ACTIONS(1784),
    [anon_sym_DOT] = ACTIONS(1784),
    [anon_sym_LPAREN] = ACTIONS(1784),
    [anon_sym_LT_LT] = ACTIONS(1784),
    [anon_sym_CARET_LT_LT] = ACTIONS(1784),
    [anon_sym_LBRACK] = ACTIONS(1784),
    [anon_sym__endmethod] = ACTIONS(1784),
    [anon_sym__endproc] = ACTIONS(1784),
    [anon_sym_COMMA] = ACTIONS(1784),
    [anon_sym__endblock] = ACTIONS(1784),
    [anon_sym__and_LT_LT] = ACTIONS(1784),
    [anon_sym__andif_LT_LT] = ACTIONS(1784),
    [anon_sym__or_LT_LT] = ACTIONS(1784),
    [anon_sym__orif_LT_LT] = ACTIONS(1784),
    [anon_sym__xor_LT_LT] = ACTIONS(1784),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1784),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1784),
    [anon_sym_STAR_LT_LT] = ACTIONS(1784),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1784),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1784),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1784),
    [anon_sym__mod_LT_LT] = ACTIONS(1784),
    [anon_sym__div_LT_LT] = ACTIONS(1784),
    [anon_sym_DASH_LT_LT] = ACTIONS(1784),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1784),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1784),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1784),
    [anon_sym__endif] = ACTIONS(1784),
    [anon_sym__elif] = ACTIONS(1784),
    [anon_sym__else] = ACTIONS(1784),
    [anon_sym__endloop] = ACTIONS(1784),
    [anon_sym__finally] = ACTIONS(1784),
    [anon_sym__with] = ACTIONS(1784),
    [anon_sym__endcatch] = ACTIONS(1784),
    [anon_sym__when] = ACTIONS(1784),
    [anon_sym__endtry] = ACTIONS(1784),
    [anon_sym__protection] = ACTIONS(1784),
    [anon_sym__endprotect] = ACTIONS(1784),
    [anon_sym__endlock] = ACTIONS(1784),
    [anon_sym_SEMI] = ACTIONS(1784),
    [anon_sym__is] = ACTIONS(1784),
    [anon_sym__isnt] = ACTIONS(1784),
    [anon_sym__cf] = ACTIONS(1784),
    [anon_sym_EQ] = ACTIONS(1784),
    [anon_sym_TILDE_EQ] = ACTIONS(1784),
    [anon_sym_LT_GT] = ACTIONS(1784),
    [anon_sym_GT_EQ] = ACTIONS(1784),
    [anon_sym_LT_EQ] = ACTIONS(1784),
    [anon_sym_LT] = ACTIONS(1784),
    [anon_sym_GT] = ACTIONS(1784),
    [anon_sym__and] = ACTIONS(1784),
    [anon_sym__or] = ACTIONS(1784),
    [anon_sym__xor] = ACTIONS(1784),
    [anon_sym__andif] = ACTIONS(1784),
    [anon_sym__orif] = ACTIONS(1784),
    [anon_sym__xorif] = ACTIONS(1784),
    [anon_sym_STAR_STAR] = ACTIONS(1784),
    [anon_sym_STAR] = ACTIONS(1784),
    [anon_sym_SLASH] = ACTIONS(1784),
    [anon_sym__mod] = ACTIONS(1784),
    [anon_sym__div] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_PLUS] = ACTIONS(1784),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [anon_sym_CR] = ACTIONS(1786),
    [anon_sym_LF] = ACTIONS(1786),
    [anon_sym_DOT] = ACTIONS(1786),
    [anon_sym_LPAREN] = ACTIONS(1786),
    [anon_sym_LT_LT] = ACTIONS(1786),
    [anon_sym_CARET_LT_LT] = ACTIONS(1786),
    [anon_sym_LBRACK] = ACTIONS(1786),
    [anon_sym__endmethod] = ACTIONS(1786),
    [anon_sym__endproc] = ACTIONS(1786),
    [anon_sym_COMMA] = ACTIONS(1786),
    [anon_sym__endblock] = ACTIONS(1786),
    [anon_sym__and_LT_LT] = ACTIONS(1786),
    [anon_sym__andif_LT_LT] = ACTIONS(1786),
    [anon_sym__or_LT_LT] = ACTIONS(1786),
    [anon_sym__orif_LT_LT] = ACTIONS(1786),
    [anon_sym__xor_LT_LT] = ACTIONS(1786),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1786),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1786),
    [anon_sym_STAR_LT_LT] = ACTIONS(1786),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1786),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1786),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1786),
    [anon_sym__mod_LT_LT] = ACTIONS(1786),
    [anon_sym__div_LT_LT] = ACTIONS(1786),
    [anon_sym_DASH_LT_LT] = ACTIONS(1786),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1786),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1786),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1786),
    [anon_sym__endif] = ACTIONS(1786),
    [anon_sym__elif] = ACTIONS(1786),
    [anon_sym__else] = ACTIONS(1786),
    [anon_sym__endloop] = ACTIONS(1786),
    [anon_sym__finally] = ACTIONS(1786),
    [anon_sym__with] = ACTIONS(1786),
    [anon_sym__endcatch] = ACTIONS(1786),
    [anon_sym__when] = ACTIONS(1786),
    [anon_sym__endtry] = ACTIONS(1786),
    [anon_sym__protection] = ACTIONS(1786),
    [anon_sym__endprotect] = ACTIONS(1786),
    [anon_sym__endlock] = ACTIONS(1786),
    [anon_sym_SEMI] = ACTIONS(1786),
    [anon_sym__is] = ACTIONS(1786),
    [anon_sym__isnt] = ACTIONS(1786),
    [anon_sym__cf] = ACTIONS(1786),
    [anon_sym_EQ] = ACTIONS(1786),
    [anon_sym_TILDE_EQ] = ACTIONS(1786),
    [anon_sym_LT_GT] = ACTIONS(1786),
    [anon_sym_GT_EQ] = ACTIONS(1786),
    [anon_sym_LT_EQ] = ACTIONS(1786),
    [anon_sym_LT] = ACTIONS(1786),
    [anon_sym_GT] = ACTIONS(1786),
    [anon_sym__and] = ACTIONS(1786),
    [anon_sym__or] = ACTIONS(1786),
    [anon_sym__xor] = ACTIONS(1786),
    [anon_sym__andif] = ACTIONS(1786),
    [anon_sym__orif] = ACTIONS(1786),
    [anon_sym__xorif] = ACTIONS(1786),
    [anon_sym_STAR_STAR] = ACTIONS(1786),
    [anon_sym_STAR] = ACTIONS(1786),
    [anon_sym_SLASH] = ACTIONS(1786),
    [anon_sym__mod] = ACTIONS(1786),
    [anon_sym__div] = ACTIONS(1786),
    [anon_sym_DASH] = ACTIONS(1786),
    [anon_sym_PLUS] = ACTIONS(1786),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [anon_sym_CR] = ACTIONS(1788),
    [anon_sym_LF] = ACTIONS(1788),
    [anon_sym_DOT] = ACTIONS(1788),
    [anon_sym_LPAREN] = ACTIONS(1788),
    [anon_sym_LT_LT] = ACTIONS(1788),
    [anon_sym_CARET_LT_LT] = ACTIONS(1788),
    [anon_sym_LBRACK] = ACTIONS(1788),
    [anon_sym__endmethod] = ACTIONS(1788),
    [anon_sym__endproc] = ACTIONS(1788),
    [anon_sym_COMMA] = ACTIONS(1788),
    [anon_sym__endblock] = ACTIONS(1788),
    [anon_sym__and_LT_LT] = ACTIONS(1788),
    [anon_sym__andif_LT_LT] = ACTIONS(1788),
    [anon_sym__or_LT_LT] = ACTIONS(1788),
    [anon_sym__orif_LT_LT] = ACTIONS(1788),
    [anon_sym__xor_LT_LT] = ACTIONS(1788),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1788),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1788),
    [anon_sym_STAR_LT_LT] = ACTIONS(1788),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1788),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1788),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1788),
    [anon_sym__mod_LT_LT] = ACTIONS(1788),
    [anon_sym__div_LT_LT] = ACTIONS(1788),
    [anon_sym_DASH_LT_LT] = ACTIONS(1788),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1788),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1788),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1788),
    [anon_sym__endif] = ACTIONS(1788),
    [anon_sym__elif] = ACTIONS(1788),
    [anon_sym__else] = ACTIONS(1788),
    [anon_sym__endloop] = ACTIONS(1788),
    [anon_sym__finally] = ACTIONS(1788),
    [anon_sym__with] = ACTIONS(1788),
    [anon_sym__endcatch] = ACTIONS(1788),
    [anon_sym__when] = ACTIONS(1788),
    [anon_sym__endtry] = ACTIONS(1788),
    [anon_sym__protection] = ACTIONS(1788),
    [anon_sym__endprotect] = ACTIONS(1788),
    [anon_sym__endlock] = ACTIONS(1788),
    [anon_sym_SEMI] = ACTIONS(1788),
    [anon_sym__is] = ACTIONS(1788),
    [anon_sym__isnt] = ACTIONS(1788),
    [anon_sym__cf] = ACTIONS(1788),
    [anon_sym_EQ] = ACTIONS(1788),
    [anon_sym_TILDE_EQ] = ACTIONS(1788),
    [anon_sym_LT_GT] = ACTIONS(1788),
    [anon_sym_GT_EQ] = ACTIONS(1788),
    [anon_sym_LT_EQ] = ACTIONS(1788),
    [anon_sym_LT] = ACTIONS(1788),
    [anon_sym_GT] = ACTIONS(1788),
    [anon_sym__and] = ACTIONS(1788),
    [anon_sym__or] = ACTIONS(1788),
    [anon_sym__xor] = ACTIONS(1788),
    [anon_sym__andif] = ACTIONS(1788),
    [anon_sym__orif] = ACTIONS(1788),
    [anon_sym__xorif] = ACTIONS(1788),
    [anon_sym_STAR_STAR] = ACTIONS(1788),
    [anon_sym_STAR] = ACTIONS(1788),
    [anon_sym_SLASH] = ACTIONS(1788),
    [anon_sym__mod] = ACTIONS(1788),
    [anon_sym__div] = ACTIONS(1788),
    [anon_sym_DASH] = ACTIONS(1788),
    [anon_sym_PLUS] = ACTIONS(1788),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [anon_sym_CR] = ACTIONS(1790),
    [anon_sym_LF] = ACTIONS(1790),
    [anon_sym_DOT] = ACTIONS(1790),
    [anon_sym_LPAREN] = ACTIONS(1790),
    [anon_sym_LT_LT] = ACTIONS(1790),
    [anon_sym_CARET_LT_LT] = ACTIONS(1790),
    [anon_sym_LBRACK] = ACTIONS(1790),
    [anon_sym__endmethod] = ACTIONS(1790),
    [anon_sym__endproc] = ACTIONS(1790),
    [anon_sym_COMMA] = ACTIONS(1790),
    [anon_sym__endblock] = ACTIONS(1790),
    [anon_sym__and_LT_LT] = ACTIONS(1790),
    [anon_sym__andif_LT_LT] = ACTIONS(1790),
    [anon_sym__or_LT_LT] = ACTIONS(1790),
    [anon_sym__orif_LT_LT] = ACTIONS(1790),
    [anon_sym__xor_LT_LT] = ACTIONS(1790),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1790),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1790),
    [anon_sym_STAR_LT_LT] = ACTIONS(1790),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1790),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1790),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1790),
    [anon_sym__mod_LT_LT] = ACTIONS(1790),
    [anon_sym__div_LT_LT] = ACTIONS(1790),
    [anon_sym_DASH_LT_LT] = ACTIONS(1790),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1790),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1790),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1790),
    [anon_sym__endif] = ACTIONS(1790),
    [anon_sym__elif] = ACTIONS(1790),
    [anon_sym__else] = ACTIONS(1790),
    [anon_sym__endloop] = ACTIONS(1790),
    [anon_sym__finally] = ACTIONS(1790),
    [anon_sym__with] = ACTIONS(1790),
    [anon_sym__endcatch] = ACTIONS(1790),
    [anon_sym__when] = ACTIONS(1790),
    [anon_sym__endtry] = ACTIONS(1790),
    [anon_sym__protection] = ACTIONS(1790),
    [anon_sym__endprotect] = ACTIONS(1790),
    [anon_sym__endlock] = ACTIONS(1790),
    [anon_sym_SEMI] = ACTIONS(1790),
    [anon_sym__is] = ACTIONS(1790),
    [anon_sym__isnt] = ACTIONS(1790),
    [anon_sym__cf] = ACTIONS(1790),
    [anon_sym_EQ] = ACTIONS(1790),
    [anon_sym_TILDE_EQ] = ACTIONS(1790),
    [anon_sym_LT_GT] = ACTIONS(1790),
    [anon_sym_GT_EQ] = ACTIONS(1790),
    [anon_sym_LT_EQ] = ACTIONS(1790),
    [anon_sym_LT] = ACTIONS(1790),
    [anon_sym_GT] = ACTIONS(1790),
    [anon_sym__and] = ACTIONS(1790),
    [anon_sym__or] = ACTIONS(1790),
    [anon_sym__xor] = ACTIONS(1790),
    [anon_sym__andif] = ACTIONS(1790),
    [anon_sym__orif] = ACTIONS(1790),
    [anon_sym__xorif] = ACTIONS(1790),
    [anon_sym_STAR_STAR] = ACTIONS(1790),
    [anon_sym_STAR] = ACTIONS(1790),
    [anon_sym_SLASH] = ACTIONS(1790),
    [anon_sym__mod] = ACTIONS(1790),
    [anon_sym__div] = ACTIONS(1790),
    [anon_sym_DASH] = ACTIONS(1790),
    [anon_sym_PLUS] = ACTIONS(1790),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [anon_sym_CR] = ACTIONS(1792),
    [anon_sym_LF] = ACTIONS(1792),
    [anon_sym_DOT] = ACTIONS(1792),
    [anon_sym_LPAREN] = ACTIONS(1792),
    [anon_sym_LT_LT] = ACTIONS(1792),
    [anon_sym_CARET_LT_LT] = ACTIONS(1792),
    [anon_sym_LBRACK] = ACTIONS(1792),
    [anon_sym__endmethod] = ACTIONS(1792),
    [anon_sym__endproc] = ACTIONS(1792),
    [anon_sym_COMMA] = ACTIONS(1792),
    [anon_sym__endblock] = ACTIONS(1792),
    [anon_sym__and_LT_LT] = ACTIONS(1792),
    [anon_sym__andif_LT_LT] = ACTIONS(1792),
    [anon_sym__or_LT_LT] = ACTIONS(1792),
    [anon_sym__orif_LT_LT] = ACTIONS(1792),
    [anon_sym__xor_LT_LT] = ACTIONS(1792),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1792),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1792),
    [anon_sym_STAR_LT_LT] = ACTIONS(1792),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1792),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1792),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1792),
    [anon_sym__mod_LT_LT] = ACTIONS(1792),
    [anon_sym__div_LT_LT] = ACTIONS(1792),
    [anon_sym_DASH_LT_LT] = ACTIONS(1792),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1792),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1792),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1792),
    [anon_sym__endif] = ACTIONS(1792),
    [anon_sym__elif] = ACTIONS(1792),
    [anon_sym__else] = ACTIONS(1792),
    [anon_sym__endloop] = ACTIONS(1792),
    [anon_sym__finally] = ACTIONS(1792),
    [anon_sym__with] = ACTIONS(1792),
    [anon_sym__endcatch] = ACTIONS(1792),
    [anon_sym__when] = ACTIONS(1792),
    [anon_sym__endtry] = ACTIONS(1792),
    [anon_sym__protection] = ACTIONS(1792),
    [anon_sym__endprotect] = ACTIONS(1792),
    [anon_sym__endlock] = ACTIONS(1792),
    [anon_sym_SEMI] = ACTIONS(1792),
    [anon_sym__is] = ACTIONS(1792),
    [anon_sym__isnt] = ACTIONS(1792),
    [anon_sym__cf] = ACTIONS(1792),
    [anon_sym_EQ] = ACTIONS(1792),
    [anon_sym_TILDE_EQ] = ACTIONS(1792),
    [anon_sym_LT_GT] = ACTIONS(1792),
    [anon_sym_GT_EQ] = ACTIONS(1792),
    [anon_sym_LT_EQ] = ACTIONS(1792),
    [anon_sym_LT] = ACTIONS(1792),
    [anon_sym_GT] = ACTIONS(1792),
    [anon_sym__and] = ACTIONS(1792),
    [anon_sym__or] = ACTIONS(1792),
    [anon_sym__xor] = ACTIONS(1792),
    [anon_sym__andif] = ACTIONS(1792),
    [anon_sym__orif] = ACTIONS(1792),
    [anon_sym__xorif] = ACTIONS(1792),
    [anon_sym_STAR_STAR] = ACTIONS(1792),
    [anon_sym_STAR] = ACTIONS(1792),
    [anon_sym_SLASH] = ACTIONS(1792),
    [anon_sym__mod] = ACTIONS(1792),
    [anon_sym__div] = ACTIONS(1792),
    [anon_sym_DASH] = ACTIONS(1792),
    [anon_sym_PLUS] = ACTIONS(1792),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [sym__line_terminator] = STATE(14),
    [sym__terminator] = STATE(14),
    [aux_sym__codeblock_repeat1] = STATE(974),
    [anon_sym_CR] = ACTIONS(1794),
    [anon_sym_LF] = ACTIONS(1796),
    [anon_sym_DOT] = ACTIONS(1798),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1800),
    [anon_sym_CARET_LT_LT] = ACTIONS(1800),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym__endmethod] = ACTIONS(1802),
    [anon_sym__endproc] = ACTIONS(1802),
    [anon_sym__endblock] = ACTIONS(1802),
    [anon_sym__and_LT_LT] = ACTIONS(1800),
    [anon_sym__andif_LT_LT] = ACTIONS(1800),
    [anon_sym__or_LT_LT] = ACTIONS(1800),
    [anon_sym__orif_LT_LT] = ACTIONS(1800),
    [anon_sym__xor_LT_LT] = ACTIONS(1800),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1800),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1800),
    [anon_sym_STAR_LT_LT] = ACTIONS(1800),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1800),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1800),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1800),
    [anon_sym__mod_LT_LT] = ACTIONS(1800),
    [anon_sym__div_LT_LT] = ACTIONS(1800),
    [anon_sym_DASH_LT_LT] = ACTIONS(1800),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1800),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1800),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1800),
    [anon_sym__endif] = ACTIONS(1802),
    [anon_sym__elif] = ACTIONS(1802),
    [anon_sym__else] = ACTIONS(1802),
    [anon_sym__endloop] = ACTIONS(1802),
    [anon_sym__finally] = ACTIONS(1802),
    [anon_sym__endcatch] = ACTIONS(1802),
    [anon_sym__when] = ACTIONS(1802),
    [anon_sym__endtry] = ACTIONS(1802),
    [anon_sym__endprotect] = ACTIONS(1802),
    [anon_sym__endlock] = ACTIONS(1802),
    [anon_sym_SEMI] = ACTIONS(1796),
    [anon_sym__is] = ACTIONS(1804),
    [anon_sym__isnt] = ACTIONS(1804),
    [anon_sym__cf] = ACTIONS(1804),
    [anon_sym_EQ] = ACTIONS(1804),
    [anon_sym_TILDE_EQ] = ACTIONS(1804),
    [anon_sym_LT_GT] = ACTIONS(1804),
    [anon_sym_GT_EQ] = ACTIONS(1804),
    [anon_sym_LT_EQ] = ACTIONS(1804),
    [anon_sym_LT] = ACTIONS(1804),
    [anon_sym_GT] = ACTIONS(1804),
    [anon_sym__and] = ACTIONS(1806),
    [anon_sym__or] = ACTIONS(1806),
    [anon_sym__xor] = ACTIONS(1806),
    [anon_sym__andif] = ACTIONS(1806),
    [anon_sym__orif] = ACTIONS(1806),
    [anon_sym__xorif] = ACTIONS(1806),
    [anon_sym_STAR_STAR] = ACTIONS(1808),
    [anon_sym_STAR] = ACTIONS(1808),
    [anon_sym_SLASH] = ACTIONS(1808),
    [anon_sym__mod] = ACTIONS(1808),
    [anon_sym__div] = ACTIONS(1808),
    [anon_sym_DASH] = ACTIONS(1808),
    [anon_sym_PLUS] = ACTIONS(1808),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [anon_sym_CR] = ACTIONS(1810),
    [anon_sym_LF] = ACTIONS(1810),
    [anon_sym_DOT] = ACTIONS(1810),
    [anon_sym_LPAREN] = ACTIONS(1810),
    [anon_sym_LT_LT] = ACTIONS(1810),
    [anon_sym_CARET_LT_LT] = ACTIONS(1810),
    [anon_sym_LBRACK] = ACTIONS(1810),
    [anon_sym__endmethod] = ACTIONS(1810),
    [anon_sym__endproc] = ACTIONS(1810),
    [anon_sym_COMMA] = ACTIONS(1810),
    [anon_sym__endblock] = ACTIONS(1810),
    [anon_sym__and_LT_LT] = ACTIONS(1810),
    [anon_sym__andif_LT_LT] = ACTIONS(1810),
    [anon_sym__or_LT_LT] = ACTIONS(1810),
    [anon_sym__orif_LT_LT] = ACTIONS(1810),
    [anon_sym__xor_LT_LT] = ACTIONS(1810),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1810),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1810),
    [anon_sym_STAR_LT_LT] = ACTIONS(1810),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1810),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1810),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1810),
    [anon_sym__mod_LT_LT] = ACTIONS(1810),
    [anon_sym__div_LT_LT] = ACTIONS(1810),
    [anon_sym_DASH_LT_LT] = ACTIONS(1810),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1810),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1810),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1810),
    [anon_sym__endif] = ACTIONS(1810),
    [anon_sym__elif] = ACTIONS(1810),
    [anon_sym__else] = ACTIONS(1810),
    [anon_sym__endloop] = ACTIONS(1810),
    [anon_sym__finally] = ACTIONS(1810),
    [anon_sym__with] = ACTIONS(1810),
    [anon_sym__endcatch] = ACTIONS(1810),
    [anon_sym__when] = ACTIONS(1810),
    [anon_sym__endtry] = ACTIONS(1810),
    [anon_sym__protection] = ACTIONS(1810),
    [anon_sym__endprotect] = ACTIONS(1810),
    [anon_sym__endlock] = ACTIONS(1810),
    [anon_sym_SEMI] = ACTIONS(1810),
    [anon_sym__is] = ACTIONS(1810),
    [anon_sym__isnt] = ACTIONS(1810),
    [anon_sym__cf] = ACTIONS(1810),
    [anon_sym_EQ] = ACTIONS(1810),
    [anon_sym_TILDE_EQ] = ACTIONS(1810),
    [anon_sym_LT_GT] = ACTIONS(1810),
    [anon_sym_GT_EQ] = ACTIONS(1810),
    [anon_sym_LT_EQ] = ACTIONS(1810),
    [anon_sym_LT] = ACTIONS(1810),
    [anon_sym_GT] = ACTIONS(1810),
    [anon_sym__and] = ACTIONS(1810),
    [anon_sym__or] = ACTIONS(1810),
    [anon_sym__xor] = ACTIONS(1810),
    [anon_sym__andif] = ACTIONS(1810),
    [anon_sym__orif] = ACTIONS(1810),
    [anon_sym__xorif] = ACTIONS(1810),
    [anon_sym_STAR_STAR] = ACTIONS(1810),
    [anon_sym_STAR] = ACTIONS(1810),
    [anon_sym_SLASH] = ACTIONS(1810),
    [anon_sym__mod] = ACTIONS(1810),
    [anon_sym__div] = ACTIONS(1810),
    [anon_sym_DASH] = ACTIONS(1810),
    [anon_sym_PLUS] = ACTIONS(1810),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [anon_sym_CR] = ACTIONS(1812),
    [anon_sym_LF] = ACTIONS(1812),
    [anon_sym_DOT] = ACTIONS(1812),
    [anon_sym_LPAREN] = ACTIONS(1812),
    [anon_sym_LT_LT] = ACTIONS(1812),
    [anon_sym_CARET_LT_LT] = ACTIONS(1812),
    [anon_sym_LBRACK] = ACTIONS(1812),
    [anon_sym__endmethod] = ACTIONS(1812),
    [anon_sym__endproc] = ACTIONS(1812),
    [anon_sym_COMMA] = ACTIONS(1812),
    [anon_sym__endblock] = ACTIONS(1812),
    [anon_sym__and_LT_LT] = ACTIONS(1812),
    [anon_sym__andif_LT_LT] = ACTIONS(1812),
    [anon_sym__or_LT_LT] = ACTIONS(1812),
    [anon_sym__orif_LT_LT] = ACTIONS(1812),
    [anon_sym__xor_LT_LT] = ACTIONS(1812),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1812),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1812),
    [anon_sym_STAR_LT_LT] = ACTIONS(1812),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1812),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1812),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1812),
    [anon_sym__mod_LT_LT] = ACTIONS(1812),
    [anon_sym__div_LT_LT] = ACTIONS(1812),
    [anon_sym_DASH_LT_LT] = ACTIONS(1812),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1812),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1812),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1812),
    [anon_sym__endif] = ACTIONS(1812),
    [anon_sym__elif] = ACTIONS(1812),
    [anon_sym__else] = ACTIONS(1812),
    [anon_sym__endloop] = ACTIONS(1812),
    [anon_sym__finally] = ACTIONS(1812),
    [anon_sym__with] = ACTIONS(1812),
    [anon_sym__endcatch] = ACTIONS(1812),
    [anon_sym__when] = ACTIONS(1812),
    [anon_sym__endtry] = ACTIONS(1812),
    [anon_sym__protection] = ACTIONS(1812),
    [anon_sym__endprotect] = ACTIONS(1812),
    [anon_sym__endlock] = ACTIONS(1812),
    [anon_sym_SEMI] = ACTIONS(1812),
    [anon_sym__is] = ACTIONS(1812),
    [anon_sym__isnt] = ACTIONS(1812),
    [anon_sym__cf] = ACTIONS(1812),
    [anon_sym_EQ] = ACTIONS(1812),
    [anon_sym_TILDE_EQ] = ACTIONS(1812),
    [anon_sym_LT_GT] = ACTIONS(1812),
    [anon_sym_GT_EQ] = ACTIONS(1812),
    [anon_sym_LT_EQ] = ACTIONS(1812),
    [anon_sym_LT] = ACTIONS(1812),
    [anon_sym_GT] = ACTIONS(1812),
    [anon_sym__and] = ACTIONS(1812),
    [anon_sym__or] = ACTIONS(1812),
    [anon_sym__xor] = ACTIONS(1812),
    [anon_sym__andif] = ACTIONS(1812),
    [anon_sym__orif] = ACTIONS(1812),
    [anon_sym__xorif] = ACTIONS(1812),
    [anon_sym_STAR_STAR] = ACTIONS(1812),
    [anon_sym_STAR] = ACTIONS(1812),
    [anon_sym_SLASH] = ACTIONS(1812),
    [anon_sym__mod] = ACTIONS(1812),
    [anon_sym__div] = ACTIONS(1812),
    [anon_sym_DASH] = ACTIONS(1812),
    [anon_sym_PLUS] = ACTIONS(1812),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [anon_sym_CR] = ACTIONS(1814),
    [anon_sym_LF] = ACTIONS(1814),
    [anon_sym_DOT] = ACTIONS(1814),
    [anon_sym_LPAREN] = ACTIONS(1814),
    [anon_sym_LT_LT] = ACTIONS(1814),
    [anon_sym_CARET_LT_LT] = ACTIONS(1814),
    [anon_sym_LBRACK] = ACTIONS(1814),
    [anon_sym__endmethod] = ACTIONS(1814),
    [anon_sym__endproc] = ACTIONS(1814),
    [anon_sym_COMMA] = ACTIONS(1814),
    [anon_sym__endblock] = ACTIONS(1814),
    [anon_sym__and_LT_LT] = ACTIONS(1814),
    [anon_sym__andif_LT_LT] = ACTIONS(1814),
    [anon_sym__or_LT_LT] = ACTIONS(1814),
    [anon_sym__orif_LT_LT] = ACTIONS(1814),
    [anon_sym__xor_LT_LT] = ACTIONS(1814),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1814),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1814),
    [anon_sym_STAR_LT_LT] = ACTIONS(1814),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1814),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1814),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1814),
    [anon_sym__mod_LT_LT] = ACTIONS(1814),
    [anon_sym__div_LT_LT] = ACTIONS(1814),
    [anon_sym_DASH_LT_LT] = ACTIONS(1814),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1814),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1814),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1814),
    [anon_sym__endif] = ACTIONS(1814),
    [anon_sym__elif] = ACTIONS(1814),
    [anon_sym__else] = ACTIONS(1814),
    [anon_sym__endloop] = ACTIONS(1814),
    [anon_sym__finally] = ACTIONS(1814),
    [anon_sym__with] = ACTIONS(1814),
    [anon_sym__endcatch] = ACTIONS(1814),
    [anon_sym__when] = ACTIONS(1814),
    [anon_sym__endtry] = ACTIONS(1814),
    [anon_sym__protection] = ACTIONS(1814),
    [anon_sym__endprotect] = ACTIONS(1814),
    [anon_sym__endlock] = ACTIONS(1814),
    [anon_sym_SEMI] = ACTIONS(1814),
    [anon_sym__is] = ACTIONS(1814),
    [anon_sym__isnt] = ACTIONS(1814),
    [anon_sym__cf] = ACTIONS(1814),
    [anon_sym_EQ] = ACTIONS(1814),
    [anon_sym_TILDE_EQ] = ACTIONS(1814),
    [anon_sym_LT_GT] = ACTIONS(1814),
    [anon_sym_GT_EQ] = ACTIONS(1814),
    [anon_sym_LT_EQ] = ACTIONS(1814),
    [anon_sym_LT] = ACTIONS(1814),
    [anon_sym_GT] = ACTIONS(1814),
    [anon_sym__and] = ACTIONS(1814),
    [anon_sym__or] = ACTIONS(1814),
    [anon_sym__xor] = ACTIONS(1814),
    [anon_sym__andif] = ACTIONS(1814),
    [anon_sym__orif] = ACTIONS(1814),
    [anon_sym__xorif] = ACTIONS(1814),
    [anon_sym_STAR_STAR] = ACTIONS(1814),
    [anon_sym_STAR] = ACTIONS(1814),
    [anon_sym_SLASH] = ACTIONS(1814),
    [anon_sym__mod] = ACTIONS(1814),
    [anon_sym__div] = ACTIONS(1814),
    [anon_sym_DASH] = ACTIONS(1814),
    [anon_sym_PLUS] = ACTIONS(1814),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [anon_sym_CR] = ACTIONS(1816),
    [anon_sym_LF] = ACTIONS(1816),
    [anon_sym_DOT] = ACTIONS(1816),
    [anon_sym_LPAREN] = ACTIONS(1816),
    [anon_sym_LT_LT] = ACTIONS(1816),
    [anon_sym_CARET_LT_LT] = ACTIONS(1816),
    [anon_sym_LBRACK] = ACTIONS(1816),
    [anon_sym__endmethod] = ACTIONS(1816),
    [anon_sym__endproc] = ACTIONS(1816),
    [anon_sym_COMMA] = ACTIONS(1816),
    [anon_sym__endblock] = ACTIONS(1816),
    [anon_sym__and_LT_LT] = ACTIONS(1816),
    [anon_sym__andif_LT_LT] = ACTIONS(1816),
    [anon_sym__or_LT_LT] = ACTIONS(1816),
    [anon_sym__orif_LT_LT] = ACTIONS(1816),
    [anon_sym__xor_LT_LT] = ACTIONS(1816),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1816),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1816),
    [anon_sym_STAR_LT_LT] = ACTIONS(1816),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1816),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1816),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1816),
    [anon_sym__mod_LT_LT] = ACTIONS(1816),
    [anon_sym__div_LT_LT] = ACTIONS(1816),
    [anon_sym_DASH_LT_LT] = ACTIONS(1816),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1816),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1816),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1816),
    [anon_sym__endif] = ACTIONS(1816),
    [anon_sym__elif] = ACTIONS(1816),
    [anon_sym__else] = ACTIONS(1816),
    [anon_sym__endloop] = ACTIONS(1816),
    [anon_sym__finally] = ACTIONS(1816),
    [anon_sym__with] = ACTIONS(1816),
    [anon_sym__endcatch] = ACTIONS(1816),
    [anon_sym__when] = ACTIONS(1816),
    [anon_sym__endtry] = ACTIONS(1816),
    [anon_sym__protection] = ACTIONS(1816),
    [anon_sym__endprotect] = ACTIONS(1816),
    [anon_sym__endlock] = ACTIONS(1816),
    [anon_sym_SEMI] = ACTIONS(1816),
    [anon_sym__is] = ACTIONS(1816),
    [anon_sym__isnt] = ACTIONS(1816),
    [anon_sym__cf] = ACTIONS(1816),
    [anon_sym_EQ] = ACTIONS(1816),
    [anon_sym_TILDE_EQ] = ACTIONS(1816),
    [anon_sym_LT_GT] = ACTIONS(1816),
    [anon_sym_GT_EQ] = ACTIONS(1816),
    [anon_sym_LT_EQ] = ACTIONS(1816),
    [anon_sym_LT] = ACTIONS(1816),
    [anon_sym_GT] = ACTIONS(1816),
    [anon_sym__and] = ACTIONS(1816),
    [anon_sym__or] = ACTIONS(1816),
    [anon_sym__xor] = ACTIONS(1816),
    [anon_sym__andif] = ACTIONS(1816),
    [anon_sym__orif] = ACTIONS(1816),
    [anon_sym__xorif] = ACTIONS(1816),
    [anon_sym_STAR_STAR] = ACTIONS(1816),
    [anon_sym_STAR] = ACTIONS(1816),
    [anon_sym_SLASH] = ACTIONS(1816),
    [anon_sym__mod] = ACTIONS(1816),
    [anon_sym__div] = ACTIONS(1816),
    [anon_sym_DASH] = ACTIONS(1816),
    [anon_sym_PLUS] = ACTIONS(1816),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [anon_sym_CR] = ACTIONS(1818),
    [anon_sym_LF] = ACTIONS(1818),
    [anon_sym_DOT] = ACTIONS(1818),
    [anon_sym_LPAREN] = ACTIONS(1818),
    [anon_sym_LT_LT] = ACTIONS(1818),
    [anon_sym_CARET_LT_LT] = ACTIONS(1818),
    [anon_sym_LBRACK] = ACTIONS(1818),
    [anon_sym__endmethod] = ACTIONS(1818),
    [anon_sym__endproc] = ACTIONS(1818),
    [anon_sym_COMMA] = ACTIONS(1818),
    [anon_sym__endblock] = ACTIONS(1818),
    [anon_sym__and_LT_LT] = ACTIONS(1818),
    [anon_sym__andif_LT_LT] = ACTIONS(1818),
    [anon_sym__or_LT_LT] = ACTIONS(1818),
    [anon_sym__orif_LT_LT] = ACTIONS(1818),
    [anon_sym__xor_LT_LT] = ACTIONS(1818),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1818),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1818),
    [anon_sym_STAR_LT_LT] = ACTIONS(1818),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1818),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1818),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1818),
    [anon_sym__mod_LT_LT] = ACTIONS(1818),
    [anon_sym__div_LT_LT] = ACTIONS(1818),
    [anon_sym_DASH_LT_LT] = ACTIONS(1818),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1818),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1818),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1818),
    [anon_sym__endif] = ACTIONS(1818),
    [anon_sym__elif] = ACTIONS(1818),
    [anon_sym__else] = ACTIONS(1818),
    [anon_sym__endloop] = ACTIONS(1818),
    [anon_sym__finally] = ACTIONS(1818),
    [anon_sym__with] = ACTIONS(1818),
    [anon_sym__endcatch] = ACTIONS(1818),
    [anon_sym__when] = ACTIONS(1818),
    [anon_sym__endtry] = ACTIONS(1818),
    [anon_sym__protection] = ACTIONS(1818),
    [anon_sym__endprotect] = ACTIONS(1818),
    [anon_sym__endlock] = ACTIONS(1818),
    [anon_sym_SEMI] = ACTIONS(1818),
    [anon_sym__is] = ACTIONS(1818),
    [anon_sym__isnt] = ACTIONS(1818),
    [anon_sym__cf] = ACTIONS(1818),
    [anon_sym_EQ] = ACTIONS(1818),
    [anon_sym_TILDE_EQ] = ACTIONS(1818),
    [anon_sym_LT_GT] = ACTIONS(1818),
    [anon_sym_GT_EQ] = ACTIONS(1818),
    [anon_sym_LT_EQ] = ACTIONS(1818),
    [anon_sym_LT] = ACTIONS(1818),
    [anon_sym_GT] = ACTIONS(1818),
    [anon_sym__and] = ACTIONS(1818),
    [anon_sym__or] = ACTIONS(1818),
    [anon_sym__xor] = ACTIONS(1818),
    [anon_sym__andif] = ACTIONS(1818),
    [anon_sym__orif] = ACTIONS(1818),
    [anon_sym__xorif] = ACTIONS(1818),
    [anon_sym_STAR_STAR] = ACTIONS(1818),
    [anon_sym_STAR] = ACTIONS(1818),
    [anon_sym_SLASH] = ACTIONS(1818),
    [anon_sym__mod] = ACTIONS(1818),
    [anon_sym__div] = ACTIONS(1818),
    [anon_sym_DASH] = ACTIONS(1818),
    [anon_sym_PLUS] = ACTIONS(1818),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [anon_sym_CR] = ACTIONS(1820),
    [anon_sym_LF] = ACTIONS(1820),
    [anon_sym_DOT] = ACTIONS(1820),
    [anon_sym_LPAREN] = ACTIONS(1820),
    [anon_sym_LT_LT] = ACTIONS(1820),
    [anon_sym_CARET_LT_LT] = ACTIONS(1820),
    [anon_sym_LBRACK] = ACTIONS(1820),
    [anon_sym__endmethod] = ACTIONS(1820),
    [anon_sym__endproc] = ACTIONS(1820),
    [anon_sym_COMMA] = ACTIONS(1820),
    [anon_sym__endblock] = ACTIONS(1820),
    [anon_sym__and_LT_LT] = ACTIONS(1820),
    [anon_sym__andif_LT_LT] = ACTIONS(1820),
    [anon_sym__or_LT_LT] = ACTIONS(1820),
    [anon_sym__orif_LT_LT] = ACTIONS(1820),
    [anon_sym__xor_LT_LT] = ACTIONS(1820),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1820),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1820),
    [anon_sym_STAR_LT_LT] = ACTIONS(1820),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1820),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1820),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1820),
    [anon_sym__mod_LT_LT] = ACTIONS(1820),
    [anon_sym__div_LT_LT] = ACTIONS(1820),
    [anon_sym_DASH_LT_LT] = ACTIONS(1820),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1820),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1820),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1820),
    [anon_sym__endif] = ACTIONS(1820),
    [anon_sym__elif] = ACTIONS(1820),
    [anon_sym__else] = ACTIONS(1820),
    [anon_sym__endloop] = ACTIONS(1820),
    [anon_sym__finally] = ACTIONS(1820),
    [anon_sym__with] = ACTIONS(1820),
    [anon_sym__endcatch] = ACTIONS(1820),
    [anon_sym__when] = ACTIONS(1820),
    [anon_sym__endtry] = ACTIONS(1820),
    [anon_sym__protection] = ACTIONS(1820),
    [anon_sym__endprotect] = ACTIONS(1820),
    [anon_sym__endlock] = ACTIONS(1820),
    [anon_sym_SEMI] = ACTIONS(1820),
    [anon_sym__is] = ACTIONS(1820),
    [anon_sym__isnt] = ACTIONS(1820),
    [anon_sym__cf] = ACTIONS(1820),
    [anon_sym_EQ] = ACTIONS(1820),
    [anon_sym_TILDE_EQ] = ACTIONS(1820),
    [anon_sym_LT_GT] = ACTIONS(1820),
    [anon_sym_GT_EQ] = ACTIONS(1820),
    [anon_sym_LT_EQ] = ACTIONS(1820),
    [anon_sym_LT] = ACTIONS(1820),
    [anon_sym_GT] = ACTIONS(1820),
    [anon_sym__and] = ACTIONS(1820),
    [anon_sym__or] = ACTIONS(1820),
    [anon_sym__xor] = ACTIONS(1820),
    [anon_sym__andif] = ACTIONS(1820),
    [anon_sym__orif] = ACTIONS(1820),
    [anon_sym__xorif] = ACTIONS(1820),
    [anon_sym_STAR_STAR] = ACTIONS(1820),
    [anon_sym_STAR] = ACTIONS(1820),
    [anon_sym_SLASH] = ACTIONS(1820),
    [anon_sym__mod] = ACTIONS(1820),
    [anon_sym__div] = ACTIONS(1820),
    [anon_sym_DASH] = ACTIONS(1820),
    [anon_sym_PLUS] = ACTIONS(1820),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [anon_sym_CR] = ACTIONS(1822),
    [anon_sym_LF] = ACTIONS(1822),
    [anon_sym_DOT] = ACTIONS(1822),
    [anon_sym_LPAREN] = ACTIONS(1822),
    [anon_sym_LT_LT] = ACTIONS(1822),
    [anon_sym_CARET_LT_LT] = ACTIONS(1822),
    [anon_sym_LBRACK] = ACTIONS(1822),
    [anon_sym__endmethod] = ACTIONS(1822),
    [anon_sym__endproc] = ACTIONS(1822),
    [anon_sym_COMMA] = ACTIONS(1822),
    [anon_sym__endblock] = ACTIONS(1822),
    [anon_sym__and_LT_LT] = ACTIONS(1822),
    [anon_sym__andif_LT_LT] = ACTIONS(1822),
    [anon_sym__or_LT_LT] = ACTIONS(1822),
    [anon_sym__orif_LT_LT] = ACTIONS(1822),
    [anon_sym__xor_LT_LT] = ACTIONS(1822),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1822),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1822),
    [anon_sym_STAR_LT_LT] = ACTIONS(1822),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1822),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1822),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1822),
    [anon_sym__mod_LT_LT] = ACTIONS(1822),
    [anon_sym__div_LT_LT] = ACTIONS(1822),
    [anon_sym_DASH_LT_LT] = ACTIONS(1822),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1822),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1822),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1822),
    [anon_sym__endif] = ACTIONS(1822),
    [anon_sym__elif] = ACTIONS(1822),
    [anon_sym__else] = ACTIONS(1822),
    [anon_sym__endloop] = ACTIONS(1822),
    [anon_sym__finally] = ACTIONS(1822),
    [anon_sym__with] = ACTIONS(1822),
    [anon_sym__endcatch] = ACTIONS(1822),
    [anon_sym__when] = ACTIONS(1822),
    [anon_sym__endtry] = ACTIONS(1822),
    [anon_sym__protection] = ACTIONS(1822),
    [anon_sym__endprotect] = ACTIONS(1822),
    [anon_sym__endlock] = ACTIONS(1822),
    [anon_sym_SEMI] = ACTIONS(1822),
    [anon_sym__is] = ACTIONS(1822),
    [anon_sym__isnt] = ACTIONS(1822),
    [anon_sym__cf] = ACTIONS(1822),
    [anon_sym_EQ] = ACTIONS(1822),
    [anon_sym_TILDE_EQ] = ACTIONS(1822),
    [anon_sym_LT_GT] = ACTIONS(1822),
    [anon_sym_GT_EQ] = ACTIONS(1822),
    [anon_sym_LT_EQ] = ACTIONS(1822),
    [anon_sym_LT] = ACTIONS(1822),
    [anon_sym_GT] = ACTIONS(1822),
    [anon_sym__and] = ACTIONS(1822),
    [anon_sym__or] = ACTIONS(1822),
    [anon_sym__xor] = ACTIONS(1822),
    [anon_sym__andif] = ACTIONS(1822),
    [anon_sym__orif] = ACTIONS(1822),
    [anon_sym__xorif] = ACTIONS(1822),
    [anon_sym_STAR_STAR] = ACTIONS(1822),
    [anon_sym_STAR] = ACTIONS(1822),
    [anon_sym_SLASH] = ACTIONS(1822),
    [anon_sym__mod] = ACTIONS(1822),
    [anon_sym__div] = ACTIONS(1822),
    [anon_sym_DASH] = ACTIONS(1822),
    [anon_sym_PLUS] = ACTIONS(1822),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [anon_sym_CR] = ACTIONS(1824),
    [anon_sym_LF] = ACTIONS(1824),
    [anon_sym_DOT] = ACTIONS(1824),
    [anon_sym_LPAREN] = ACTIONS(1824),
    [anon_sym_LT_LT] = ACTIONS(1824),
    [anon_sym_CARET_LT_LT] = ACTIONS(1824),
    [anon_sym_LBRACK] = ACTIONS(1824),
    [anon_sym__endmethod] = ACTIONS(1824),
    [anon_sym__endproc] = ACTIONS(1824),
    [anon_sym_COMMA] = ACTIONS(1824),
    [anon_sym__endblock] = ACTIONS(1824),
    [anon_sym__and_LT_LT] = ACTIONS(1824),
    [anon_sym__andif_LT_LT] = ACTIONS(1824),
    [anon_sym__or_LT_LT] = ACTIONS(1824),
    [anon_sym__orif_LT_LT] = ACTIONS(1824),
    [anon_sym__xor_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_LT_LT] = ACTIONS(1824),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1824),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1824),
    [anon_sym__mod_LT_LT] = ACTIONS(1824),
    [anon_sym__div_LT_LT] = ACTIONS(1824),
    [anon_sym_DASH_LT_LT] = ACTIONS(1824),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1824),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1824),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1824),
    [anon_sym__endif] = ACTIONS(1824),
    [anon_sym__elif] = ACTIONS(1824),
    [anon_sym__else] = ACTIONS(1824),
    [anon_sym__endloop] = ACTIONS(1824),
    [anon_sym__finally] = ACTIONS(1824),
    [anon_sym__with] = ACTIONS(1824),
    [anon_sym__endcatch] = ACTIONS(1824),
    [anon_sym__when] = ACTIONS(1824),
    [anon_sym__endtry] = ACTIONS(1824),
    [anon_sym__protection] = ACTIONS(1824),
    [anon_sym__endprotect] = ACTIONS(1824),
    [anon_sym__endlock] = ACTIONS(1824),
    [anon_sym_SEMI] = ACTIONS(1824),
    [anon_sym__is] = ACTIONS(1824),
    [anon_sym__isnt] = ACTIONS(1824),
    [anon_sym__cf] = ACTIONS(1824),
    [anon_sym_EQ] = ACTIONS(1824),
    [anon_sym_TILDE_EQ] = ACTIONS(1824),
    [anon_sym_LT_GT] = ACTIONS(1824),
    [anon_sym_GT_EQ] = ACTIONS(1824),
    [anon_sym_LT_EQ] = ACTIONS(1824),
    [anon_sym_LT] = ACTIONS(1824),
    [anon_sym_GT] = ACTIONS(1824),
    [anon_sym__and] = ACTIONS(1824),
    [anon_sym__or] = ACTIONS(1824),
    [anon_sym__xor] = ACTIONS(1824),
    [anon_sym__andif] = ACTIONS(1824),
    [anon_sym__orif] = ACTIONS(1824),
    [anon_sym__xorif] = ACTIONS(1824),
    [anon_sym_STAR_STAR] = ACTIONS(1824),
    [anon_sym_STAR] = ACTIONS(1824),
    [anon_sym_SLASH] = ACTIONS(1824),
    [anon_sym__mod] = ACTIONS(1824),
    [anon_sym__div] = ACTIONS(1824),
    [anon_sym_DASH] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(1824),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [anon_sym_CR] = ACTIONS(1826),
    [anon_sym_LF] = ACTIONS(1826),
    [anon_sym_DOT] = ACTIONS(1826),
    [anon_sym_LPAREN] = ACTIONS(1826),
    [anon_sym_LT_LT] = ACTIONS(1826),
    [anon_sym_CARET_LT_LT] = ACTIONS(1826),
    [anon_sym_LBRACK] = ACTIONS(1826),
    [anon_sym__endmethod] = ACTIONS(1826),
    [anon_sym__endproc] = ACTIONS(1826),
    [anon_sym_COMMA] = ACTIONS(1826),
    [anon_sym__endblock] = ACTIONS(1826),
    [anon_sym__and_LT_LT] = ACTIONS(1826),
    [anon_sym__andif_LT_LT] = ACTIONS(1826),
    [anon_sym__or_LT_LT] = ACTIONS(1826),
    [anon_sym__orif_LT_LT] = ACTIONS(1826),
    [anon_sym__xor_LT_LT] = ACTIONS(1826),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1826),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1826),
    [anon_sym_STAR_LT_LT] = ACTIONS(1826),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1826),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1826),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1826),
    [anon_sym__mod_LT_LT] = ACTIONS(1826),
    [anon_sym__div_LT_LT] = ACTIONS(1826),
    [anon_sym_DASH_LT_LT] = ACTIONS(1826),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1826),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1826),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1826),
    [anon_sym__endif] = ACTIONS(1826),
    [anon_sym__elif] = ACTIONS(1826),
    [anon_sym__else] = ACTIONS(1826),
    [anon_sym__endloop] = ACTIONS(1826),
    [anon_sym__finally] = ACTIONS(1826),
    [anon_sym__with] = ACTIONS(1826),
    [anon_sym__endcatch] = ACTIONS(1826),
    [anon_sym__when] = ACTIONS(1826),
    [anon_sym__endtry] = ACTIONS(1826),
    [anon_sym__protection] = ACTIONS(1826),
    [anon_sym__endprotect] = ACTIONS(1826),
    [anon_sym__endlock] = ACTIONS(1826),
    [anon_sym_SEMI] = ACTIONS(1826),
    [anon_sym__is] = ACTIONS(1826),
    [anon_sym__isnt] = ACTIONS(1826),
    [anon_sym__cf] = ACTIONS(1826),
    [anon_sym_EQ] = ACTIONS(1826),
    [anon_sym_TILDE_EQ] = ACTIONS(1826),
    [anon_sym_LT_GT] = ACTIONS(1826),
    [anon_sym_GT_EQ] = ACTIONS(1826),
    [anon_sym_LT_EQ] = ACTIONS(1826),
    [anon_sym_LT] = ACTIONS(1826),
    [anon_sym_GT] = ACTIONS(1826),
    [anon_sym__and] = ACTIONS(1826),
    [anon_sym__or] = ACTIONS(1826),
    [anon_sym__xor] = ACTIONS(1826),
    [anon_sym__andif] = ACTIONS(1826),
    [anon_sym__orif] = ACTIONS(1826),
    [anon_sym__xorif] = ACTIONS(1826),
    [anon_sym_STAR_STAR] = ACTIONS(1826),
    [anon_sym_STAR] = ACTIONS(1826),
    [anon_sym_SLASH] = ACTIONS(1826),
    [anon_sym__mod] = ACTIONS(1826),
    [anon_sym__div] = ACTIONS(1826),
    [anon_sym_DASH] = ACTIONS(1826),
    [anon_sym_PLUS] = ACTIONS(1826),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [anon_sym_CR] = ACTIONS(1828),
    [anon_sym_LF] = ACTIONS(1828),
    [anon_sym_DOT] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1828),
    [anon_sym_LT_LT] = ACTIONS(1828),
    [anon_sym_CARET_LT_LT] = ACTIONS(1828),
    [anon_sym_LBRACK] = ACTIONS(1828),
    [anon_sym__endmethod] = ACTIONS(1828),
    [anon_sym__endproc] = ACTIONS(1828),
    [anon_sym_COMMA] = ACTIONS(1828),
    [anon_sym__endblock] = ACTIONS(1828),
    [anon_sym__and_LT_LT] = ACTIONS(1828),
    [anon_sym__andif_LT_LT] = ACTIONS(1828),
    [anon_sym__or_LT_LT] = ACTIONS(1828),
    [anon_sym__orif_LT_LT] = ACTIONS(1828),
    [anon_sym__xor_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_LT_LT] = ACTIONS(1828),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1828),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1828),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1828),
    [anon_sym__mod_LT_LT] = ACTIONS(1828),
    [anon_sym__div_LT_LT] = ACTIONS(1828),
    [anon_sym_DASH_LT_LT] = ACTIONS(1828),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1828),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1828),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1828),
    [anon_sym__endif] = ACTIONS(1828),
    [anon_sym__elif] = ACTIONS(1828),
    [anon_sym__else] = ACTIONS(1828),
    [anon_sym__endloop] = ACTIONS(1828),
    [anon_sym__finally] = ACTIONS(1828),
    [anon_sym__with] = ACTIONS(1828),
    [anon_sym__endcatch] = ACTIONS(1828),
    [anon_sym__when] = ACTIONS(1828),
    [anon_sym__endtry] = ACTIONS(1828),
    [anon_sym__protection] = ACTIONS(1828),
    [anon_sym__endprotect] = ACTIONS(1828),
    [anon_sym__endlock] = ACTIONS(1828),
    [anon_sym_SEMI] = ACTIONS(1828),
    [anon_sym__is] = ACTIONS(1828),
    [anon_sym__isnt] = ACTIONS(1828),
    [anon_sym__cf] = ACTIONS(1828),
    [anon_sym_EQ] = ACTIONS(1828),
    [anon_sym_TILDE_EQ] = ACTIONS(1828),
    [anon_sym_LT_GT] = ACTIONS(1828),
    [anon_sym_GT_EQ] = ACTIONS(1828),
    [anon_sym_LT_EQ] = ACTIONS(1828),
    [anon_sym_LT] = ACTIONS(1828),
    [anon_sym_GT] = ACTIONS(1828),
    [anon_sym__and] = ACTIONS(1828),
    [anon_sym__or] = ACTIONS(1828),
    [anon_sym__xor] = ACTIONS(1828),
    [anon_sym__andif] = ACTIONS(1828),
    [anon_sym__orif] = ACTIONS(1828),
    [anon_sym__xorif] = ACTIONS(1828),
    [anon_sym_STAR_STAR] = ACTIONS(1828),
    [anon_sym_STAR] = ACTIONS(1828),
    [anon_sym_SLASH] = ACTIONS(1828),
    [anon_sym__mod] = ACTIONS(1828),
    [anon_sym__div] = ACTIONS(1828),
    [anon_sym_DASH] = ACTIONS(1828),
    [anon_sym_PLUS] = ACTIONS(1828),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [aux_sym_loopbody_repeat1] = STATE(489),
    [anon_sym_CR] = ACTIONS(1699),
    [anon_sym_LF] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1699),
    [anon_sym_LPAREN] = ACTIONS(1699),
    [anon_sym_LT_LT] = ACTIONS(1699),
    [anon_sym_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym_LBRACK] = ACTIONS(1699),
    [anon_sym__endmethod] = ACTIONS(1699),
    [anon_sym__endproc] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym__endblock] = ACTIONS(1699),
    [anon_sym__and_LT_LT] = ACTIONS(1699),
    [anon_sym__andif_LT_LT] = ACTIONS(1699),
    [anon_sym__or_LT_LT] = ACTIONS(1699),
    [anon_sym__orif_LT_LT] = ACTIONS(1699),
    [anon_sym__xor_LT_LT] = ACTIONS(1699),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1699),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym_STAR_LT_LT] = ACTIONS(1699),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1699),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym__mod_LT_LT] = ACTIONS(1699),
    [anon_sym__div_LT_LT] = ACTIONS(1699),
    [anon_sym_DASH_LT_LT] = ACTIONS(1699),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1699),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1699),
    [anon_sym__endif] = ACTIONS(1699),
    [anon_sym__elif] = ACTIONS(1699),
    [anon_sym__else] = ACTIONS(1699),
    [anon_sym__endloop] = ACTIONS(1699),
    [anon_sym__finally] = ACTIONS(1699),
    [anon_sym__with] = ACTIONS(1699),
    [anon_sym__endcatch] = ACTIONS(1699),
    [anon_sym__when] = ACTIONS(1699),
    [anon_sym__endtry] = ACTIONS(1699),
    [anon_sym__endprotect] = ACTIONS(1699),
    [anon_sym__endlock] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym__is] = ACTIONS(1699),
    [anon_sym__isnt] = ACTIONS(1699),
    [anon_sym__cf] = ACTIONS(1699),
    [anon_sym_EQ] = ACTIONS(1699),
    [anon_sym_TILDE_EQ] = ACTIONS(1699),
    [anon_sym_LT_GT] = ACTIONS(1699),
    [anon_sym_GT_EQ] = ACTIONS(1699),
    [anon_sym_LT_EQ] = ACTIONS(1699),
    [anon_sym_LT] = ACTIONS(1699),
    [anon_sym_GT] = ACTIONS(1699),
    [anon_sym__and] = ACTIONS(1699),
    [anon_sym__or] = ACTIONS(1699),
    [anon_sym__xor] = ACTIONS(1699),
    [anon_sym__andif] = ACTIONS(1699),
    [anon_sym__orif] = ACTIONS(1699),
    [anon_sym__xorif] = ACTIONS(1699),
    [anon_sym_STAR_STAR] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1699),
    [anon_sym_SLASH] = ACTIONS(1699),
    [anon_sym__mod] = ACTIONS(1699),
    [anon_sym__div] = ACTIONS(1699),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [anon_sym_CR] = ACTIONS(1830),
    [anon_sym_LF] = ACTIONS(1830),
    [anon_sym_DOT] = ACTIONS(1830),
    [anon_sym_LPAREN] = ACTIONS(1830),
    [anon_sym_LT_LT] = ACTIONS(1830),
    [anon_sym_CARET_LT_LT] = ACTIONS(1830),
    [anon_sym_LBRACK] = ACTIONS(1830),
    [anon_sym__endmethod] = ACTIONS(1830),
    [anon_sym__endproc] = ACTIONS(1830),
    [anon_sym_COMMA] = ACTIONS(1830),
    [anon_sym__endblock] = ACTIONS(1830),
    [anon_sym__and_LT_LT] = ACTIONS(1830),
    [anon_sym__andif_LT_LT] = ACTIONS(1830),
    [anon_sym__or_LT_LT] = ACTIONS(1830),
    [anon_sym__orif_LT_LT] = ACTIONS(1830),
    [anon_sym__xor_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_LT_LT] = ACTIONS(1830),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1830),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1830),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1830),
    [anon_sym__mod_LT_LT] = ACTIONS(1830),
    [anon_sym__div_LT_LT] = ACTIONS(1830),
    [anon_sym_DASH_LT_LT] = ACTIONS(1830),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1830),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1830),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1830),
    [anon_sym__endif] = ACTIONS(1830),
    [anon_sym__elif] = ACTIONS(1830),
    [anon_sym__else] = ACTIONS(1830),
    [anon_sym__endloop] = ACTIONS(1830),
    [anon_sym__finally] = ACTIONS(1830),
    [anon_sym__with] = ACTIONS(1830),
    [anon_sym__endcatch] = ACTIONS(1830),
    [anon_sym__when] = ACTIONS(1830),
    [anon_sym__endtry] = ACTIONS(1830),
    [anon_sym__protection] = ACTIONS(1830),
    [anon_sym__endprotect] = ACTIONS(1830),
    [anon_sym__endlock] = ACTIONS(1830),
    [anon_sym_SEMI] = ACTIONS(1830),
    [anon_sym__is] = ACTIONS(1830),
    [anon_sym__isnt] = ACTIONS(1830),
    [anon_sym__cf] = ACTIONS(1830),
    [anon_sym_EQ] = ACTIONS(1830),
    [anon_sym_TILDE_EQ] = ACTIONS(1830),
    [anon_sym_LT_GT] = ACTIONS(1830),
    [anon_sym_GT_EQ] = ACTIONS(1830),
    [anon_sym_LT_EQ] = ACTIONS(1830),
    [anon_sym_LT] = ACTIONS(1830),
    [anon_sym_GT] = ACTIONS(1830),
    [anon_sym__and] = ACTIONS(1830),
    [anon_sym__or] = ACTIONS(1830),
    [anon_sym__xor] = ACTIONS(1830),
    [anon_sym__andif] = ACTIONS(1830),
    [anon_sym__orif] = ACTIONS(1830),
    [anon_sym__xorif] = ACTIONS(1830),
    [anon_sym_STAR_STAR] = ACTIONS(1830),
    [anon_sym_STAR] = ACTIONS(1830),
    [anon_sym_SLASH] = ACTIONS(1830),
    [anon_sym__mod] = ACTIONS(1830),
    [anon_sym__div] = ACTIONS(1830),
    [anon_sym_DASH] = ACTIONS(1830),
    [anon_sym_PLUS] = ACTIONS(1830),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [aux_sym_loopbody_repeat1] = STATE(489),
    [anon_sym_CR] = ACTIONS(1693),
    [anon_sym_LF] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1693),
    [anon_sym_LPAREN] = ACTIONS(1693),
    [anon_sym_LT_LT] = ACTIONS(1693),
    [anon_sym_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym_LBRACK] = ACTIONS(1693),
    [anon_sym__endmethod] = ACTIONS(1693),
    [anon_sym__endproc] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym__endblock] = ACTIONS(1693),
    [anon_sym__and_LT_LT] = ACTIONS(1693),
    [anon_sym__andif_LT_LT] = ACTIONS(1693),
    [anon_sym__or_LT_LT] = ACTIONS(1693),
    [anon_sym__orif_LT_LT] = ACTIONS(1693),
    [anon_sym__xor_LT_LT] = ACTIONS(1693),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1693),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym_STAR_LT_LT] = ACTIONS(1693),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1693),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym__mod_LT_LT] = ACTIONS(1693),
    [anon_sym__div_LT_LT] = ACTIONS(1693),
    [anon_sym_DASH_LT_LT] = ACTIONS(1693),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1693),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1693),
    [anon_sym__endif] = ACTIONS(1693),
    [anon_sym__elif] = ACTIONS(1693),
    [anon_sym__else] = ACTIONS(1693),
    [anon_sym__endloop] = ACTIONS(1693),
    [anon_sym__finally] = ACTIONS(1693),
    [anon_sym__with] = ACTIONS(1693),
    [anon_sym__endcatch] = ACTIONS(1693),
    [anon_sym__when] = ACTIONS(1693),
    [anon_sym__endtry] = ACTIONS(1693),
    [anon_sym__endprotect] = ACTIONS(1693),
    [anon_sym__endlock] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym__is] = ACTIONS(1693),
    [anon_sym__isnt] = ACTIONS(1693),
    [anon_sym__cf] = ACTIONS(1693),
    [anon_sym_EQ] = ACTIONS(1693),
    [anon_sym_TILDE_EQ] = ACTIONS(1693),
    [anon_sym_LT_GT] = ACTIONS(1693),
    [anon_sym_GT_EQ] = ACTIONS(1693),
    [anon_sym_LT_EQ] = ACTIONS(1693),
    [anon_sym_LT] = ACTIONS(1693),
    [anon_sym_GT] = ACTIONS(1693),
    [anon_sym__and] = ACTIONS(1693),
    [anon_sym__or] = ACTIONS(1693),
    [anon_sym__xor] = ACTIONS(1693),
    [anon_sym__andif] = ACTIONS(1693),
    [anon_sym__orif] = ACTIONS(1693),
    [anon_sym__xorif] = ACTIONS(1693),
    [anon_sym_STAR_STAR] = ACTIONS(1693),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_SLASH] = ACTIONS(1693),
    [anon_sym__mod] = ACTIONS(1693),
    [anon_sym__div] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1693),
    [anon_sym_PLUS] = ACTIONS(1693),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [aux_sym_loopbody_repeat1] = STATE(547),
    [anon_sym_CR] = ACTIONS(1693),
    [anon_sym_LF] = ACTIONS(1693),
    [anon_sym_DOT] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym__endmethod] = ACTIONS(1693),
    [anon_sym__endproc] = ACTIONS(1693),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym__endblock] = ACTIONS(1693),
    [anon_sym__and_LT_LT] = ACTIONS(1673),
    [anon_sym__andif_LT_LT] = ACTIONS(1673),
    [anon_sym__or_LT_LT] = ACTIONS(1673),
    [anon_sym__orif_LT_LT] = ACTIONS(1673),
    [anon_sym__xor_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__mod_LT_LT] = ACTIONS(1673),
    [anon_sym__div_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__endif] = ACTIONS(1693),
    [anon_sym__elif] = ACTIONS(1693),
    [anon_sym__else] = ACTIONS(1693),
    [anon_sym__endloop] = ACTIONS(1693),
    [anon_sym__finally] = ACTIONS(1693),
    [anon_sym__with] = ACTIONS(1693),
    [anon_sym__endcatch] = ACTIONS(1693),
    [anon_sym__when] = ACTIONS(1693),
    [anon_sym__endtry] = ACTIONS(1693),
    [anon_sym__endprotect] = ACTIONS(1693),
    [anon_sym__endlock] = ACTIONS(1693),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym__is] = ACTIONS(1679),
    [anon_sym__isnt] = ACTIONS(1679),
    [anon_sym__cf] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1679),
    [anon_sym_TILDE_EQ] = ACTIONS(1679),
    [anon_sym_LT_GT] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym__and] = ACTIONS(1681),
    [anon_sym__or] = ACTIONS(1681),
    [anon_sym__xor] = ACTIONS(1681),
    [anon_sym__andif] = ACTIONS(1681),
    [anon_sym__orif] = ACTIONS(1681),
    [anon_sym__xorif] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym__mod] = ACTIONS(1683),
    [anon_sym__div] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [aux_sym_loopbody_repeat1] = STATE(545),
    [anon_sym_CR] = ACTIONS(1699),
    [anon_sym_LF] = ACTIONS(1699),
    [anon_sym_DOT] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym__endmethod] = ACTIONS(1699),
    [anon_sym__endproc] = ACTIONS(1699),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym__endblock] = ACTIONS(1699),
    [anon_sym__and_LT_LT] = ACTIONS(1673),
    [anon_sym__andif_LT_LT] = ACTIONS(1673),
    [anon_sym__or_LT_LT] = ACTIONS(1673),
    [anon_sym__orif_LT_LT] = ACTIONS(1673),
    [anon_sym__xor_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__mod_LT_LT] = ACTIONS(1673),
    [anon_sym__div_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__endif] = ACTIONS(1699),
    [anon_sym__elif] = ACTIONS(1699),
    [anon_sym__else] = ACTIONS(1699),
    [anon_sym__endloop] = ACTIONS(1699),
    [anon_sym__finally] = ACTIONS(1699),
    [anon_sym__with] = ACTIONS(1699),
    [anon_sym__endcatch] = ACTIONS(1699),
    [anon_sym__when] = ACTIONS(1699),
    [anon_sym__endtry] = ACTIONS(1699),
    [anon_sym__endprotect] = ACTIONS(1699),
    [anon_sym__endlock] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1699),
    [anon_sym__is] = ACTIONS(1679),
    [anon_sym__isnt] = ACTIONS(1679),
    [anon_sym__cf] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1679),
    [anon_sym_TILDE_EQ] = ACTIONS(1679),
    [anon_sym_LT_GT] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym__and] = ACTIONS(1681),
    [anon_sym__or] = ACTIONS(1681),
    [anon_sym__xor] = ACTIONS(1681),
    [anon_sym__andif] = ACTIONS(1681),
    [anon_sym__orif] = ACTIONS(1681),
    [anon_sym__xorif] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym__mod] = ACTIONS(1683),
    [anon_sym__div] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [anon_sym_CR] = ACTIONS(1832),
    [anon_sym_LF] = ACTIONS(1832),
    [anon_sym_DOT] = ACTIONS(1832),
    [anon_sym_LPAREN] = ACTIONS(1832),
    [anon_sym_LT_LT] = ACTIONS(1832),
    [anon_sym_CARET_LT_LT] = ACTIONS(1832),
    [anon_sym_LBRACK] = ACTIONS(1832),
    [anon_sym__endmethod] = ACTIONS(1832),
    [anon_sym__endproc] = ACTIONS(1832),
    [anon_sym_COMMA] = ACTIONS(1832),
    [anon_sym__endblock] = ACTIONS(1832),
    [anon_sym__and_LT_LT] = ACTIONS(1832),
    [anon_sym__andif_LT_LT] = ACTIONS(1832),
    [anon_sym__or_LT_LT] = ACTIONS(1832),
    [anon_sym__orif_LT_LT] = ACTIONS(1832),
    [anon_sym__xor_LT_LT] = ACTIONS(1832),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1832),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1832),
    [anon_sym_STAR_LT_LT] = ACTIONS(1832),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1832),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1832),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1832),
    [anon_sym__mod_LT_LT] = ACTIONS(1832),
    [anon_sym__div_LT_LT] = ACTIONS(1832),
    [anon_sym_DASH_LT_LT] = ACTIONS(1832),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1832),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1832),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1832),
    [anon_sym__endif] = ACTIONS(1832),
    [anon_sym__elif] = ACTIONS(1832),
    [anon_sym__else] = ACTIONS(1832),
    [anon_sym__endloop] = ACTIONS(1832),
    [anon_sym__finally] = ACTIONS(1832),
    [anon_sym__with] = ACTIONS(1832),
    [anon_sym__endcatch] = ACTIONS(1832),
    [anon_sym__when] = ACTIONS(1832),
    [anon_sym__endtry] = ACTIONS(1832),
    [anon_sym__protection] = ACTIONS(1832),
    [anon_sym__endprotect] = ACTIONS(1832),
    [anon_sym__endlock] = ACTIONS(1832),
    [anon_sym_SEMI] = ACTIONS(1832),
    [anon_sym__is] = ACTIONS(1832),
    [anon_sym__isnt] = ACTIONS(1832),
    [anon_sym__cf] = ACTIONS(1832),
    [anon_sym_EQ] = ACTIONS(1832),
    [anon_sym_TILDE_EQ] = ACTIONS(1832),
    [anon_sym_LT_GT] = ACTIONS(1832),
    [anon_sym_GT_EQ] = ACTIONS(1832),
    [anon_sym_LT_EQ] = ACTIONS(1832),
    [anon_sym_LT] = ACTIONS(1832),
    [anon_sym_GT] = ACTIONS(1832),
    [anon_sym__and] = ACTIONS(1832),
    [anon_sym__or] = ACTIONS(1832),
    [anon_sym__xor] = ACTIONS(1832),
    [anon_sym__andif] = ACTIONS(1832),
    [anon_sym__orif] = ACTIONS(1832),
    [anon_sym__xorif] = ACTIONS(1832),
    [anon_sym_STAR_STAR] = ACTIONS(1832),
    [anon_sym_STAR] = ACTIONS(1832),
    [anon_sym_SLASH] = ACTIONS(1832),
    [anon_sym__mod] = ACTIONS(1832),
    [anon_sym__div] = ACTIONS(1832),
    [anon_sym_DASH] = ACTIONS(1832),
    [anon_sym_PLUS] = ACTIONS(1832),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [anon_sym_CR] = ACTIONS(1834),
    [anon_sym_LF] = ACTIONS(1834),
    [anon_sym_DOT] = ACTIONS(1834),
    [anon_sym_LPAREN] = ACTIONS(1834),
    [anon_sym_LT_LT] = ACTIONS(1834),
    [anon_sym_CARET_LT_LT] = ACTIONS(1834),
    [anon_sym_LBRACK] = ACTIONS(1834),
    [anon_sym__endmethod] = ACTIONS(1834),
    [anon_sym__endproc] = ACTIONS(1834),
    [anon_sym_COMMA] = ACTIONS(1834),
    [anon_sym__endblock] = ACTIONS(1834),
    [anon_sym__and_LT_LT] = ACTIONS(1834),
    [anon_sym__andif_LT_LT] = ACTIONS(1834),
    [anon_sym__or_LT_LT] = ACTIONS(1834),
    [anon_sym__orif_LT_LT] = ACTIONS(1834),
    [anon_sym__xor_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_LT_LT] = ACTIONS(1834),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1834),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1834),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1834),
    [anon_sym__mod_LT_LT] = ACTIONS(1834),
    [anon_sym__div_LT_LT] = ACTIONS(1834),
    [anon_sym_DASH_LT_LT] = ACTIONS(1834),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1834),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1834),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1834),
    [anon_sym__endif] = ACTIONS(1834),
    [anon_sym__elif] = ACTIONS(1834),
    [anon_sym__else] = ACTIONS(1834),
    [anon_sym__endloop] = ACTIONS(1834),
    [anon_sym__finally] = ACTIONS(1834),
    [anon_sym__with] = ACTIONS(1834),
    [anon_sym__endcatch] = ACTIONS(1834),
    [anon_sym__when] = ACTIONS(1834),
    [anon_sym__endtry] = ACTIONS(1834),
    [anon_sym__protection] = ACTIONS(1834),
    [anon_sym__endprotect] = ACTIONS(1834),
    [anon_sym__endlock] = ACTIONS(1834),
    [anon_sym_SEMI] = ACTIONS(1834),
    [anon_sym__is] = ACTIONS(1834),
    [anon_sym__isnt] = ACTIONS(1834),
    [anon_sym__cf] = ACTIONS(1834),
    [anon_sym_EQ] = ACTIONS(1834),
    [anon_sym_TILDE_EQ] = ACTIONS(1834),
    [anon_sym_LT_GT] = ACTIONS(1834),
    [anon_sym_GT_EQ] = ACTIONS(1834),
    [anon_sym_LT_EQ] = ACTIONS(1834),
    [anon_sym_LT] = ACTIONS(1834),
    [anon_sym_GT] = ACTIONS(1834),
    [anon_sym__and] = ACTIONS(1834),
    [anon_sym__or] = ACTIONS(1834),
    [anon_sym__xor] = ACTIONS(1834),
    [anon_sym__andif] = ACTIONS(1834),
    [anon_sym__orif] = ACTIONS(1834),
    [anon_sym__xorif] = ACTIONS(1834),
    [anon_sym_STAR_STAR] = ACTIONS(1834),
    [anon_sym_STAR] = ACTIONS(1834),
    [anon_sym_SLASH] = ACTIONS(1834),
    [anon_sym__mod] = ACTIONS(1834),
    [anon_sym__div] = ACTIONS(1834),
    [anon_sym_DASH] = ACTIONS(1834),
    [anon_sym_PLUS] = ACTIONS(1834),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [anon_sym_CR] = ACTIONS(1836),
    [anon_sym_LF] = ACTIONS(1836),
    [anon_sym_DOT] = ACTIONS(1836),
    [anon_sym_LPAREN] = ACTIONS(1836),
    [anon_sym_LT_LT] = ACTIONS(1836),
    [anon_sym_CARET_LT_LT] = ACTIONS(1836),
    [anon_sym_LBRACK] = ACTIONS(1836),
    [anon_sym__endmethod] = ACTIONS(1836),
    [anon_sym__endproc] = ACTIONS(1836),
    [anon_sym_COMMA] = ACTIONS(1836),
    [anon_sym__endblock] = ACTIONS(1836),
    [anon_sym__and_LT_LT] = ACTIONS(1836),
    [anon_sym__andif_LT_LT] = ACTIONS(1836),
    [anon_sym__or_LT_LT] = ACTIONS(1836),
    [anon_sym__orif_LT_LT] = ACTIONS(1836),
    [anon_sym__xor_LT_LT] = ACTIONS(1836),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1836),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1836),
    [anon_sym_STAR_LT_LT] = ACTIONS(1836),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1836),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1836),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1836),
    [anon_sym__mod_LT_LT] = ACTIONS(1836),
    [anon_sym__div_LT_LT] = ACTIONS(1836),
    [anon_sym_DASH_LT_LT] = ACTIONS(1836),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1836),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1836),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1836),
    [anon_sym__endif] = ACTIONS(1836),
    [anon_sym__elif] = ACTIONS(1836),
    [anon_sym__else] = ACTIONS(1836),
    [anon_sym__endloop] = ACTIONS(1836),
    [anon_sym__finally] = ACTIONS(1836),
    [anon_sym__with] = ACTIONS(1836),
    [anon_sym__endcatch] = ACTIONS(1836),
    [anon_sym__when] = ACTIONS(1836),
    [anon_sym__endtry] = ACTIONS(1836),
    [anon_sym__protection] = ACTIONS(1836),
    [anon_sym__endprotect] = ACTIONS(1836),
    [anon_sym__endlock] = ACTIONS(1836),
    [anon_sym_SEMI] = ACTIONS(1836),
    [anon_sym__is] = ACTIONS(1836),
    [anon_sym__isnt] = ACTIONS(1836),
    [anon_sym__cf] = ACTIONS(1836),
    [anon_sym_EQ] = ACTIONS(1836),
    [anon_sym_TILDE_EQ] = ACTIONS(1836),
    [anon_sym_LT_GT] = ACTIONS(1836),
    [anon_sym_GT_EQ] = ACTIONS(1836),
    [anon_sym_LT_EQ] = ACTIONS(1836),
    [anon_sym_LT] = ACTIONS(1836),
    [anon_sym_GT] = ACTIONS(1836),
    [anon_sym__and] = ACTIONS(1836),
    [anon_sym__or] = ACTIONS(1836),
    [anon_sym__xor] = ACTIONS(1836),
    [anon_sym__andif] = ACTIONS(1836),
    [anon_sym__orif] = ACTIONS(1836),
    [anon_sym__xorif] = ACTIONS(1836),
    [anon_sym_STAR_STAR] = ACTIONS(1836),
    [anon_sym_STAR] = ACTIONS(1836),
    [anon_sym_SLASH] = ACTIONS(1836),
    [anon_sym__mod] = ACTIONS(1836),
    [anon_sym__div] = ACTIONS(1836),
    [anon_sym_DASH] = ACTIONS(1836),
    [anon_sym_PLUS] = ACTIONS(1836),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [anon_sym_CR] = ACTIONS(1838),
    [anon_sym_LF] = ACTIONS(1838),
    [anon_sym_DOT] = ACTIONS(1838),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_LT_LT] = ACTIONS(1838),
    [anon_sym_CARET_LT_LT] = ACTIONS(1838),
    [anon_sym_LBRACK] = ACTIONS(1838),
    [anon_sym__endmethod] = ACTIONS(1838),
    [anon_sym__endproc] = ACTIONS(1838),
    [anon_sym_COMMA] = ACTIONS(1838),
    [anon_sym__endblock] = ACTIONS(1838),
    [anon_sym__and_LT_LT] = ACTIONS(1838),
    [anon_sym__andif_LT_LT] = ACTIONS(1838),
    [anon_sym__or_LT_LT] = ACTIONS(1838),
    [anon_sym__orif_LT_LT] = ACTIONS(1838),
    [anon_sym__xor_LT_LT] = ACTIONS(1838),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1838),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1838),
    [anon_sym_STAR_LT_LT] = ACTIONS(1838),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1838),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1838),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1838),
    [anon_sym__mod_LT_LT] = ACTIONS(1838),
    [anon_sym__div_LT_LT] = ACTIONS(1838),
    [anon_sym_DASH_LT_LT] = ACTIONS(1838),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1838),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1838),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1838),
    [anon_sym__endif] = ACTIONS(1838),
    [anon_sym__elif] = ACTIONS(1838),
    [anon_sym__else] = ACTIONS(1838),
    [anon_sym__endloop] = ACTIONS(1838),
    [anon_sym__finally] = ACTIONS(1838),
    [anon_sym__with] = ACTIONS(1838),
    [anon_sym__endcatch] = ACTIONS(1838),
    [anon_sym__when] = ACTIONS(1838),
    [anon_sym__endtry] = ACTIONS(1838),
    [anon_sym__protection] = ACTIONS(1838),
    [anon_sym__endprotect] = ACTIONS(1838),
    [anon_sym__endlock] = ACTIONS(1838),
    [anon_sym_SEMI] = ACTIONS(1838),
    [anon_sym__is] = ACTIONS(1838),
    [anon_sym__isnt] = ACTIONS(1838),
    [anon_sym__cf] = ACTIONS(1838),
    [anon_sym_EQ] = ACTIONS(1838),
    [anon_sym_TILDE_EQ] = ACTIONS(1838),
    [anon_sym_LT_GT] = ACTIONS(1838),
    [anon_sym_GT_EQ] = ACTIONS(1838),
    [anon_sym_LT_EQ] = ACTIONS(1838),
    [anon_sym_LT] = ACTIONS(1838),
    [anon_sym_GT] = ACTIONS(1838),
    [anon_sym__and] = ACTIONS(1838),
    [anon_sym__or] = ACTIONS(1838),
    [anon_sym__xor] = ACTIONS(1838),
    [anon_sym__andif] = ACTIONS(1838),
    [anon_sym__orif] = ACTIONS(1838),
    [anon_sym__xorif] = ACTIONS(1838),
    [anon_sym_STAR_STAR] = ACTIONS(1838),
    [anon_sym_STAR] = ACTIONS(1838),
    [anon_sym_SLASH] = ACTIONS(1838),
    [anon_sym__mod] = ACTIONS(1838),
    [anon_sym__div] = ACTIONS(1838),
    [anon_sym_DASH] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1838),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [anon_sym_CR] = ACTIONS(1840),
    [anon_sym_LF] = ACTIONS(1840),
    [anon_sym_DOT] = ACTIONS(1840),
    [anon_sym_LPAREN] = ACTIONS(1840),
    [anon_sym_LT_LT] = ACTIONS(1840),
    [anon_sym_CARET_LT_LT] = ACTIONS(1840),
    [anon_sym_LBRACK] = ACTIONS(1840),
    [anon_sym__endmethod] = ACTIONS(1840),
    [anon_sym__endproc] = ACTIONS(1840),
    [anon_sym_COMMA] = ACTIONS(1840),
    [anon_sym__endblock] = ACTIONS(1840),
    [anon_sym__and_LT_LT] = ACTIONS(1840),
    [anon_sym__andif_LT_LT] = ACTIONS(1840),
    [anon_sym__or_LT_LT] = ACTIONS(1840),
    [anon_sym__orif_LT_LT] = ACTIONS(1840),
    [anon_sym__xor_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_LT_LT] = ACTIONS(1840),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1840),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1840),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1840),
    [anon_sym__mod_LT_LT] = ACTIONS(1840),
    [anon_sym__div_LT_LT] = ACTIONS(1840),
    [anon_sym_DASH_LT_LT] = ACTIONS(1840),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1840),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1840),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1840),
    [anon_sym__endif] = ACTIONS(1840),
    [anon_sym__elif] = ACTIONS(1840),
    [anon_sym__else] = ACTIONS(1840),
    [anon_sym__endloop] = ACTIONS(1840),
    [anon_sym__finally] = ACTIONS(1840),
    [anon_sym__with] = ACTIONS(1840),
    [anon_sym__endcatch] = ACTIONS(1840),
    [anon_sym__when] = ACTIONS(1840),
    [anon_sym__endtry] = ACTIONS(1840),
    [anon_sym__protection] = ACTIONS(1840),
    [anon_sym__endprotect] = ACTIONS(1840),
    [anon_sym__endlock] = ACTIONS(1840),
    [anon_sym_SEMI] = ACTIONS(1840),
    [anon_sym__is] = ACTIONS(1840),
    [anon_sym__isnt] = ACTIONS(1840),
    [anon_sym__cf] = ACTIONS(1840),
    [anon_sym_EQ] = ACTIONS(1840),
    [anon_sym_TILDE_EQ] = ACTIONS(1840),
    [anon_sym_LT_GT] = ACTIONS(1840),
    [anon_sym_GT_EQ] = ACTIONS(1840),
    [anon_sym_LT_EQ] = ACTIONS(1840),
    [anon_sym_LT] = ACTIONS(1840),
    [anon_sym_GT] = ACTIONS(1840),
    [anon_sym__and] = ACTIONS(1840),
    [anon_sym__or] = ACTIONS(1840),
    [anon_sym__xor] = ACTIONS(1840),
    [anon_sym__andif] = ACTIONS(1840),
    [anon_sym__orif] = ACTIONS(1840),
    [anon_sym__xorif] = ACTIONS(1840),
    [anon_sym_STAR_STAR] = ACTIONS(1840),
    [anon_sym_STAR] = ACTIONS(1840),
    [anon_sym_SLASH] = ACTIONS(1840),
    [anon_sym__mod] = ACTIONS(1840),
    [anon_sym__div] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_PLUS] = ACTIONS(1840),
    [sym_comment] = ACTIONS(3),
  },
  [540] = {
    [anon_sym_CR] = ACTIONS(1842),
    [anon_sym_LF] = ACTIONS(1842),
    [anon_sym_DOT] = ACTIONS(1842),
    [anon_sym_LPAREN] = ACTIONS(1842),
    [anon_sym_LT_LT] = ACTIONS(1842),
    [anon_sym_CARET_LT_LT] = ACTIONS(1842),
    [anon_sym_LBRACK] = ACTIONS(1842),
    [anon_sym__endmethod] = ACTIONS(1842),
    [anon_sym__endproc] = ACTIONS(1842),
    [anon_sym_COMMA] = ACTIONS(1842),
    [anon_sym__endblock] = ACTIONS(1842),
    [anon_sym__and_LT_LT] = ACTIONS(1842),
    [anon_sym__andif_LT_LT] = ACTIONS(1842),
    [anon_sym__or_LT_LT] = ACTIONS(1842),
    [anon_sym__orif_LT_LT] = ACTIONS(1842),
    [anon_sym__xor_LT_LT] = ACTIONS(1842),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1842),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1842),
    [anon_sym_STAR_LT_LT] = ACTIONS(1842),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1842),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1842),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1842),
    [anon_sym__mod_LT_LT] = ACTIONS(1842),
    [anon_sym__div_LT_LT] = ACTIONS(1842),
    [anon_sym_DASH_LT_LT] = ACTIONS(1842),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1842),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1842),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1842),
    [anon_sym__endif] = ACTIONS(1842),
    [anon_sym__elif] = ACTIONS(1842),
    [anon_sym__else] = ACTIONS(1842),
    [anon_sym__endloop] = ACTIONS(1842),
    [anon_sym__finally] = ACTIONS(1842),
    [anon_sym__with] = ACTIONS(1842),
    [anon_sym__endcatch] = ACTIONS(1842),
    [anon_sym__when] = ACTIONS(1842),
    [anon_sym__endtry] = ACTIONS(1842),
    [anon_sym__protection] = ACTIONS(1842),
    [anon_sym__endprotect] = ACTIONS(1842),
    [anon_sym__endlock] = ACTIONS(1842),
    [anon_sym_SEMI] = ACTIONS(1842),
    [anon_sym__is] = ACTIONS(1842),
    [anon_sym__isnt] = ACTIONS(1842),
    [anon_sym__cf] = ACTIONS(1842),
    [anon_sym_EQ] = ACTIONS(1842),
    [anon_sym_TILDE_EQ] = ACTIONS(1842),
    [anon_sym_LT_GT] = ACTIONS(1842),
    [anon_sym_GT_EQ] = ACTIONS(1842),
    [anon_sym_LT_EQ] = ACTIONS(1842),
    [anon_sym_LT] = ACTIONS(1842),
    [anon_sym_GT] = ACTIONS(1842),
    [anon_sym__and] = ACTIONS(1842),
    [anon_sym__or] = ACTIONS(1842),
    [anon_sym__xor] = ACTIONS(1842),
    [anon_sym__andif] = ACTIONS(1842),
    [anon_sym__orif] = ACTIONS(1842),
    [anon_sym__xorif] = ACTIONS(1842),
    [anon_sym_STAR_STAR] = ACTIONS(1842),
    [anon_sym_STAR] = ACTIONS(1842),
    [anon_sym_SLASH] = ACTIONS(1842),
    [anon_sym__mod] = ACTIONS(1842),
    [anon_sym__div] = ACTIONS(1842),
    [anon_sym_DASH] = ACTIONS(1842),
    [anon_sym_PLUS] = ACTIONS(1842),
    [sym_comment] = ACTIONS(3),
  },
  [541] = {
    [anon_sym_CR] = ACTIONS(1844),
    [anon_sym_LF] = ACTIONS(1844),
    [anon_sym_DOT] = ACTIONS(1844),
    [anon_sym_LPAREN] = ACTIONS(1844),
    [anon_sym_LT_LT] = ACTIONS(1844),
    [anon_sym_CARET_LT_LT] = ACTIONS(1844),
    [anon_sym_LBRACK] = ACTIONS(1844),
    [anon_sym__endmethod] = ACTIONS(1844),
    [anon_sym__endproc] = ACTIONS(1844),
    [anon_sym_COMMA] = ACTIONS(1844),
    [anon_sym__endblock] = ACTIONS(1844),
    [anon_sym__and_LT_LT] = ACTIONS(1844),
    [anon_sym__andif_LT_LT] = ACTIONS(1844),
    [anon_sym__or_LT_LT] = ACTIONS(1844),
    [anon_sym__orif_LT_LT] = ACTIONS(1844),
    [anon_sym__xor_LT_LT] = ACTIONS(1844),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1844),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1844),
    [anon_sym_STAR_LT_LT] = ACTIONS(1844),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1844),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1844),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1844),
    [anon_sym__mod_LT_LT] = ACTIONS(1844),
    [anon_sym__div_LT_LT] = ACTIONS(1844),
    [anon_sym_DASH_LT_LT] = ACTIONS(1844),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1844),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1844),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1844),
    [anon_sym__endif] = ACTIONS(1844),
    [anon_sym__elif] = ACTIONS(1844),
    [anon_sym__else] = ACTIONS(1844),
    [anon_sym__endloop] = ACTIONS(1844),
    [anon_sym__finally] = ACTIONS(1844),
    [anon_sym__with] = ACTIONS(1844),
    [anon_sym__endcatch] = ACTIONS(1844),
    [anon_sym__when] = ACTIONS(1844),
    [anon_sym__endtry] = ACTIONS(1844),
    [anon_sym__protection] = ACTIONS(1844),
    [anon_sym__endprotect] = ACTIONS(1844),
    [anon_sym__endlock] = ACTIONS(1844),
    [anon_sym_SEMI] = ACTIONS(1844),
    [anon_sym__is] = ACTIONS(1844),
    [anon_sym__isnt] = ACTIONS(1844),
    [anon_sym__cf] = ACTIONS(1844),
    [anon_sym_EQ] = ACTIONS(1844),
    [anon_sym_TILDE_EQ] = ACTIONS(1844),
    [anon_sym_LT_GT] = ACTIONS(1844),
    [anon_sym_GT_EQ] = ACTIONS(1844),
    [anon_sym_LT_EQ] = ACTIONS(1844),
    [anon_sym_LT] = ACTIONS(1844),
    [anon_sym_GT] = ACTIONS(1844),
    [anon_sym__and] = ACTIONS(1844),
    [anon_sym__or] = ACTIONS(1844),
    [anon_sym__xor] = ACTIONS(1844),
    [anon_sym__andif] = ACTIONS(1844),
    [anon_sym__orif] = ACTIONS(1844),
    [anon_sym__xorif] = ACTIONS(1844),
    [anon_sym_STAR_STAR] = ACTIONS(1844),
    [anon_sym_STAR] = ACTIONS(1844),
    [anon_sym_SLASH] = ACTIONS(1844),
    [anon_sym__mod] = ACTIONS(1844),
    [anon_sym__div] = ACTIONS(1844),
    [anon_sym_DASH] = ACTIONS(1844),
    [anon_sym_PLUS] = ACTIONS(1844),
    [sym_comment] = ACTIONS(3),
  },
  [542] = {
    [anon_sym_CR] = ACTIONS(1846),
    [anon_sym_LF] = ACTIONS(1846),
    [anon_sym_DOT] = ACTIONS(1846),
    [anon_sym_LPAREN] = ACTIONS(1846),
    [anon_sym_LT_LT] = ACTIONS(1846),
    [anon_sym_CARET_LT_LT] = ACTIONS(1846),
    [anon_sym_LBRACK] = ACTIONS(1846),
    [anon_sym__endmethod] = ACTIONS(1846),
    [anon_sym__endproc] = ACTIONS(1846),
    [anon_sym_COMMA] = ACTIONS(1846),
    [anon_sym__endblock] = ACTIONS(1846),
    [anon_sym__and_LT_LT] = ACTIONS(1846),
    [anon_sym__andif_LT_LT] = ACTIONS(1846),
    [anon_sym__or_LT_LT] = ACTIONS(1846),
    [anon_sym__orif_LT_LT] = ACTIONS(1846),
    [anon_sym__xor_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_LT_LT] = ACTIONS(1846),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1846),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1846),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1846),
    [anon_sym__mod_LT_LT] = ACTIONS(1846),
    [anon_sym__div_LT_LT] = ACTIONS(1846),
    [anon_sym_DASH_LT_LT] = ACTIONS(1846),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1846),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1846),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1846),
    [anon_sym__endif] = ACTIONS(1846),
    [anon_sym__elif] = ACTIONS(1846),
    [anon_sym__else] = ACTIONS(1846),
    [anon_sym__endloop] = ACTIONS(1846),
    [anon_sym__finally] = ACTIONS(1846),
    [anon_sym__with] = ACTIONS(1846),
    [anon_sym__endcatch] = ACTIONS(1846),
    [anon_sym__when] = ACTIONS(1846),
    [anon_sym__endtry] = ACTIONS(1846),
    [anon_sym__protection] = ACTIONS(1846),
    [anon_sym__endprotect] = ACTIONS(1846),
    [anon_sym__endlock] = ACTIONS(1846),
    [anon_sym_SEMI] = ACTIONS(1846),
    [anon_sym__is] = ACTIONS(1846),
    [anon_sym__isnt] = ACTIONS(1846),
    [anon_sym__cf] = ACTIONS(1846),
    [anon_sym_EQ] = ACTIONS(1846),
    [anon_sym_TILDE_EQ] = ACTIONS(1846),
    [anon_sym_LT_GT] = ACTIONS(1846),
    [anon_sym_GT_EQ] = ACTIONS(1846),
    [anon_sym_LT_EQ] = ACTIONS(1846),
    [anon_sym_LT] = ACTIONS(1846),
    [anon_sym_GT] = ACTIONS(1846),
    [anon_sym__and] = ACTIONS(1846),
    [anon_sym__or] = ACTIONS(1846),
    [anon_sym__xor] = ACTIONS(1846),
    [anon_sym__andif] = ACTIONS(1846),
    [anon_sym__orif] = ACTIONS(1846),
    [anon_sym__xorif] = ACTIONS(1846),
    [anon_sym_STAR_STAR] = ACTIONS(1846),
    [anon_sym_STAR] = ACTIONS(1846),
    [anon_sym_SLASH] = ACTIONS(1846),
    [anon_sym__mod] = ACTIONS(1846),
    [anon_sym__div] = ACTIONS(1846),
    [anon_sym_DASH] = ACTIONS(1846),
    [anon_sym_PLUS] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
  },
  [543] = {
    [anon_sym_CR] = ACTIONS(1848),
    [anon_sym_LF] = ACTIONS(1848),
    [anon_sym_DOT] = ACTIONS(1848),
    [anon_sym_LPAREN] = ACTIONS(1848),
    [anon_sym_LT_LT] = ACTIONS(1848),
    [anon_sym_CARET_LT_LT] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1848),
    [anon_sym__endmethod] = ACTIONS(1848),
    [anon_sym__endproc] = ACTIONS(1848),
    [anon_sym_COMMA] = ACTIONS(1848),
    [anon_sym__endblock] = ACTIONS(1848),
    [anon_sym__and_LT_LT] = ACTIONS(1848),
    [anon_sym__andif_LT_LT] = ACTIONS(1848),
    [anon_sym__or_LT_LT] = ACTIONS(1848),
    [anon_sym__orif_LT_LT] = ACTIONS(1848),
    [anon_sym__xor_LT_LT] = ACTIONS(1848),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1848),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1848),
    [anon_sym_STAR_LT_LT] = ACTIONS(1848),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1848),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1848),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1848),
    [anon_sym__mod_LT_LT] = ACTIONS(1848),
    [anon_sym__div_LT_LT] = ACTIONS(1848),
    [anon_sym_DASH_LT_LT] = ACTIONS(1848),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1848),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1848),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1848),
    [anon_sym__endif] = ACTIONS(1848),
    [anon_sym__elif] = ACTIONS(1848),
    [anon_sym__else] = ACTIONS(1848),
    [anon_sym__endloop] = ACTIONS(1848),
    [anon_sym__finally] = ACTIONS(1848),
    [anon_sym__with] = ACTIONS(1848),
    [anon_sym__endcatch] = ACTIONS(1848),
    [anon_sym__when] = ACTIONS(1848),
    [anon_sym__endtry] = ACTIONS(1848),
    [anon_sym__protection] = ACTIONS(1848),
    [anon_sym__endprotect] = ACTIONS(1848),
    [anon_sym__endlock] = ACTIONS(1848),
    [anon_sym_SEMI] = ACTIONS(1848),
    [anon_sym__is] = ACTIONS(1848),
    [anon_sym__isnt] = ACTIONS(1848),
    [anon_sym__cf] = ACTIONS(1848),
    [anon_sym_EQ] = ACTIONS(1848),
    [anon_sym_TILDE_EQ] = ACTIONS(1848),
    [anon_sym_LT_GT] = ACTIONS(1848),
    [anon_sym_GT_EQ] = ACTIONS(1848),
    [anon_sym_LT_EQ] = ACTIONS(1848),
    [anon_sym_LT] = ACTIONS(1848),
    [anon_sym_GT] = ACTIONS(1848),
    [anon_sym__and] = ACTIONS(1848),
    [anon_sym__or] = ACTIONS(1848),
    [anon_sym__xor] = ACTIONS(1848),
    [anon_sym__andif] = ACTIONS(1848),
    [anon_sym__orif] = ACTIONS(1848),
    [anon_sym__xorif] = ACTIONS(1848),
    [anon_sym_STAR_STAR] = ACTIONS(1848),
    [anon_sym_STAR] = ACTIONS(1848),
    [anon_sym_SLASH] = ACTIONS(1848),
    [anon_sym__mod] = ACTIONS(1848),
    [anon_sym__div] = ACTIONS(1848),
    [anon_sym_DASH] = ACTIONS(1848),
    [anon_sym_PLUS] = ACTIONS(1848),
    [sym_comment] = ACTIONS(3),
  },
  [544] = {
    [aux_sym_loopbody_repeat1] = STATE(532),
    [anon_sym_CR] = ACTIONS(1705),
    [anon_sym_LF] = ACTIONS(1705),
    [anon_sym_DOT] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym__endmethod] = ACTIONS(1705),
    [anon_sym__endproc] = ACTIONS(1705),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym__endblock] = ACTIONS(1705),
    [anon_sym__and_LT_LT] = ACTIONS(1673),
    [anon_sym__andif_LT_LT] = ACTIONS(1673),
    [anon_sym__or_LT_LT] = ACTIONS(1673),
    [anon_sym__orif_LT_LT] = ACTIONS(1673),
    [anon_sym__xor_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__mod_LT_LT] = ACTIONS(1673),
    [anon_sym__div_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__endif] = ACTIONS(1705),
    [anon_sym__elif] = ACTIONS(1705),
    [anon_sym__else] = ACTIONS(1705),
    [anon_sym__endloop] = ACTIONS(1705),
    [anon_sym__finally] = ACTIONS(1705),
    [anon_sym__with] = ACTIONS(1705),
    [anon_sym__endcatch] = ACTIONS(1705),
    [anon_sym__when] = ACTIONS(1705),
    [anon_sym__endtry] = ACTIONS(1705),
    [anon_sym__endprotect] = ACTIONS(1705),
    [anon_sym__endlock] = ACTIONS(1705),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym__is] = ACTIONS(1679),
    [anon_sym__isnt] = ACTIONS(1679),
    [anon_sym__cf] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1679),
    [anon_sym_TILDE_EQ] = ACTIONS(1679),
    [anon_sym_LT_GT] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym__and] = ACTIONS(1681),
    [anon_sym__or] = ACTIONS(1681),
    [anon_sym__xor] = ACTIONS(1681),
    [anon_sym__andif] = ACTIONS(1681),
    [anon_sym__orif] = ACTIONS(1681),
    [anon_sym__xorif] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym__mod] = ACTIONS(1683),
    [anon_sym__div] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [545] = {
    [aux_sym_loopbody_repeat1] = STATE(489),
    [anon_sym_CR] = ACTIONS(1703),
    [anon_sym_LF] = ACTIONS(1703),
    [anon_sym_DOT] = ACTIONS(1703),
    [anon_sym_LPAREN] = ACTIONS(1703),
    [anon_sym_LT_LT] = ACTIONS(1703),
    [anon_sym_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym_LBRACK] = ACTIONS(1703),
    [anon_sym__endmethod] = ACTIONS(1703),
    [anon_sym__endproc] = ACTIONS(1703),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym__endblock] = ACTIONS(1703),
    [anon_sym__and_LT_LT] = ACTIONS(1703),
    [anon_sym__andif_LT_LT] = ACTIONS(1703),
    [anon_sym__or_LT_LT] = ACTIONS(1703),
    [anon_sym__orif_LT_LT] = ACTIONS(1703),
    [anon_sym__xor_LT_LT] = ACTIONS(1703),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1703),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym_STAR_LT_LT] = ACTIONS(1703),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1703),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym__mod_LT_LT] = ACTIONS(1703),
    [anon_sym__div_LT_LT] = ACTIONS(1703),
    [anon_sym_DASH_LT_LT] = ACTIONS(1703),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1703),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1703),
    [anon_sym__endif] = ACTIONS(1703),
    [anon_sym__elif] = ACTIONS(1703),
    [anon_sym__else] = ACTIONS(1703),
    [anon_sym__endloop] = ACTIONS(1703),
    [anon_sym__finally] = ACTIONS(1703),
    [anon_sym__with] = ACTIONS(1703),
    [anon_sym__endcatch] = ACTIONS(1703),
    [anon_sym__when] = ACTIONS(1703),
    [anon_sym__endtry] = ACTIONS(1703),
    [anon_sym__endprotect] = ACTIONS(1703),
    [anon_sym__endlock] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym__is] = ACTIONS(1703),
    [anon_sym__isnt] = ACTIONS(1703),
    [anon_sym__cf] = ACTIONS(1703),
    [anon_sym_EQ] = ACTIONS(1703),
    [anon_sym_TILDE_EQ] = ACTIONS(1703),
    [anon_sym_LT_GT] = ACTIONS(1703),
    [anon_sym_GT_EQ] = ACTIONS(1703),
    [anon_sym_LT_EQ] = ACTIONS(1703),
    [anon_sym_LT] = ACTIONS(1703),
    [anon_sym_GT] = ACTIONS(1703),
    [anon_sym__and] = ACTIONS(1703),
    [anon_sym__or] = ACTIONS(1703),
    [anon_sym__xor] = ACTIONS(1703),
    [anon_sym__andif] = ACTIONS(1703),
    [anon_sym__orif] = ACTIONS(1703),
    [anon_sym__xorif] = ACTIONS(1703),
    [anon_sym_STAR_STAR] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1703),
    [anon_sym_SLASH] = ACTIONS(1703),
    [anon_sym__mod] = ACTIONS(1703),
    [anon_sym__div] = ACTIONS(1703),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
  },
  [546] = {
    [anon_sym_CR] = ACTIONS(1850),
    [anon_sym_LF] = ACTIONS(1850),
    [anon_sym_DOT] = ACTIONS(1850),
    [anon_sym_LPAREN] = ACTIONS(1850),
    [anon_sym_LT_LT] = ACTIONS(1850),
    [anon_sym_CARET_LT_LT] = ACTIONS(1850),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym__endmethod] = ACTIONS(1850),
    [anon_sym__endproc] = ACTIONS(1850),
    [anon_sym_COMMA] = ACTIONS(1850),
    [anon_sym__endblock] = ACTIONS(1850),
    [anon_sym__and_LT_LT] = ACTIONS(1850),
    [anon_sym__andif_LT_LT] = ACTIONS(1850),
    [anon_sym__or_LT_LT] = ACTIONS(1850),
    [anon_sym__orif_LT_LT] = ACTIONS(1850),
    [anon_sym__xor_LT_LT] = ACTIONS(1850),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1850),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1850),
    [anon_sym_STAR_LT_LT] = ACTIONS(1850),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1850),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1850),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1850),
    [anon_sym__mod_LT_LT] = ACTIONS(1850),
    [anon_sym__div_LT_LT] = ACTIONS(1850),
    [anon_sym_DASH_LT_LT] = ACTIONS(1850),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1850),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1850),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1850),
    [anon_sym__endif] = ACTIONS(1850),
    [anon_sym__elif] = ACTIONS(1850),
    [anon_sym__else] = ACTIONS(1850),
    [anon_sym__endloop] = ACTIONS(1850),
    [anon_sym__finally] = ACTIONS(1850),
    [anon_sym__with] = ACTIONS(1850),
    [anon_sym__endcatch] = ACTIONS(1850),
    [anon_sym__when] = ACTIONS(1850),
    [anon_sym__endtry] = ACTIONS(1850),
    [anon_sym__protection] = ACTIONS(1850),
    [anon_sym__endprotect] = ACTIONS(1850),
    [anon_sym__endlock] = ACTIONS(1850),
    [anon_sym_SEMI] = ACTIONS(1850),
    [anon_sym__is] = ACTIONS(1850),
    [anon_sym__isnt] = ACTIONS(1850),
    [anon_sym__cf] = ACTIONS(1850),
    [anon_sym_EQ] = ACTIONS(1850),
    [anon_sym_TILDE_EQ] = ACTIONS(1850),
    [anon_sym_LT_GT] = ACTIONS(1850),
    [anon_sym_GT_EQ] = ACTIONS(1850),
    [anon_sym_LT_EQ] = ACTIONS(1850),
    [anon_sym_LT] = ACTIONS(1850),
    [anon_sym_GT] = ACTIONS(1850),
    [anon_sym__and] = ACTIONS(1850),
    [anon_sym__or] = ACTIONS(1850),
    [anon_sym__xor] = ACTIONS(1850),
    [anon_sym__andif] = ACTIONS(1850),
    [anon_sym__orif] = ACTIONS(1850),
    [anon_sym__xorif] = ACTIONS(1850),
    [anon_sym_STAR_STAR] = ACTIONS(1850),
    [anon_sym_STAR] = ACTIONS(1850),
    [anon_sym_SLASH] = ACTIONS(1850),
    [anon_sym__mod] = ACTIONS(1850),
    [anon_sym__div] = ACTIONS(1850),
    [anon_sym_DASH] = ACTIONS(1850),
    [anon_sym_PLUS] = ACTIONS(1850),
    [sym_comment] = ACTIONS(3),
  },
  [547] = {
    [aux_sym_loopbody_repeat1] = STATE(489),
    [anon_sym_CR] = ACTIONS(1701),
    [anon_sym_LF] = ACTIONS(1701),
    [anon_sym_DOT] = ACTIONS(1701),
    [anon_sym_LPAREN] = ACTIONS(1701),
    [anon_sym_LT_LT] = ACTIONS(1701),
    [anon_sym_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym_LBRACK] = ACTIONS(1701),
    [anon_sym__endmethod] = ACTIONS(1701),
    [anon_sym__endproc] = ACTIONS(1701),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym__endblock] = ACTIONS(1701),
    [anon_sym__and_LT_LT] = ACTIONS(1701),
    [anon_sym__andif_LT_LT] = ACTIONS(1701),
    [anon_sym__or_LT_LT] = ACTIONS(1701),
    [anon_sym__orif_LT_LT] = ACTIONS(1701),
    [anon_sym__xor_LT_LT] = ACTIONS(1701),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1701),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym_STAR_LT_LT] = ACTIONS(1701),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1701),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym__mod_LT_LT] = ACTIONS(1701),
    [anon_sym__div_LT_LT] = ACTIONS(1701),
    [anon_sym_DASH_LT_LT] = ACTIONS(1701),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1701),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1701),
    [anon_sym__endif] = ACTIONS(1701),
    [anon_sym__elif] = ACTIONS(1701),
    [anon_sym__else] = ACTIONS(1701),
    [anon_sym__endloop] = ACTIONS(1701),
    [anon_sym__finally] = ACTIONS(1701),
    [anon_sym__with] = ACTIONS(1701),
    [anon_sym__endcatch] = ACTIONS(1701),
    [anon_sym__when] = ACTIONS(1701),
    [anon_sym__endtry] = ACTIONS(1701),
    [anon_sym__endprotect] = ACTIONS(1701),
    [anon_sym__endlock] = ACTIONS(1701),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym__is] = ACTIONS(1701),
    [anon_sym__isnt] = ACTIONS(1701),
    [anon_sym__cf] = ACTIONS(1701),
    [anon_sym_EQ] = ACTIONS(1701),
    [anon_sym_TILDE_EQ] = ACTIONS(1701),
    [anon_sym_LT_GT] = ACTIONS(1701),
    [anon_sym_GT_EQ] = ACTIONS(1701),
    [anon_sym_LT_EQ] = ACTIONS(1701),
    [anon_sym_LT] = ACTIONS(1701),
    [anon_sym_GT] = ACTIONS(1701),
    [anon_sym__and] = ACTIONS(1701),
    [anon_sym__or] = ACTIONS(1701),
    [anon_sym__xor] = ACTIONS(1701),
    [anon_sym__andif] = ACTIONS(1701),
    [anon_sym__orif] = ACTIONS(1701),
    [anon_sym__xorif] = ACTIONS(1701),
    [anon_sym_STAR_STAR] = ACTIONS(1701),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_SLASH] = ACTIONS(1701),
    [anon_sym__mod] = ACTIONS(1701),
    [anon_sym__div] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1701),
    [anon_sym_PLUS] = ACTIONS(1701),
    [sym_comment] = ACTIONS(3),
  },
  [548] = {
    [anon_sym_CR] = ACTIONS(1852),
    [anon_sym_LF] = ACTIONS(1852),
    [anon_sym_DOT] = ACTIONS(1852),
    [anon_sym_LPAREN] = ACTIONS(1852),
    [anon_sym_LT_LT] = ACTIONS(1852),
    [anon_sym_CARET_LT_LT] = ACTIONS(1852),
    [anon_sym_LBRACK] = ACTIONS(1852),
    [anon_sym__endmethod] = ACTIONS(1852),
    [anon_sym__endproc] = ACTIONS(1852),
    [anon_sym_COMMA] = ACTIONS(1852),
    [anon_sym__endblock] = ACTIONS(1852),
    [anon_sym__and_LT_LT] = ACTIONS(1852),
    [anon_sym__andif_LT_LT] = ACTIONS(1852),
    [anon_sym__or_LT_LT] = ACTIONS(1852),
    [anon_sym__orif_LT_LT] = ACTIONS(1852),
    [anon_sym__xor_LT_LT] = ACTIONS(1852),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1852),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1852),
    [anon_sym_STAR_LT_LT] = ACTIONS(1852),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1852),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1852),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1852),
    [anon_sym__mod_LT_LT] = ACTIONS(1852),
    [anon_sym__div_LT_LT] = ACTIONS(1852),
    [anon_sym_DASH_LT_LT] = ACTIONS(1852),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1852),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1852),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1852),
    [anon_sym__endif] = ACTIONS(1852),
    [anon_sym__elif] = ACTIONS(1852),
    [anon_sym__else] = ACTIONS(1852),
    [anon_sym__endloop] = ACTIONS(1852),
    [anon_sym__finally] = ACTIONS(1852),
    [anon_sym__with] = ACTIONS(1852),
    [anon_sym__endcatch] = ACTIONS(1852),
    [anon_sym__when] = ACTIONS(1852),
    [anon_sym__endtry] = ACTIONS(1852),
    [anon_sym__protection] = ACTIONS(1852),
    [anon_sym__endprotect] = ACTIONS(1852),
    [anon_sym__endlock] = ACTIONS(1852),
    [anon_sym_SEMI] = ACTIONS(1852),
    [anon_sym__is] = ACTIONS(1852),
    [anon_sym__isnt] = ACTIONS(1852),
    [anon_sym__cf] = ACTIONS(1852),
    [anon_sym_EQ] = ACTIONS(1852),
    [anon_sym_TILDE_EQ] = ACTIONS(1852),
    [anon_sym_LT_GT] = ACTIONS(1852),
    [anon_sym_GT_EQ] = ACTIONS(1852),
    [anon_sym_LT_EQ] = ACTIONS(1852),
    [anon_sym_LT] = ACTIONS(1852),
    [anon_sym_GT] = ACTIONS(1852),
    [anon_sym__and] = ACTIONS(1852),
    [anon_sym__or] = ACTIONS(1852),
    [anon_sym__xor] = ACTIONS(1852),
    [anon_sym__andif] = ACTIONS(1852),
    [anon_sym__orif] = ACTIONS(1852),
    [anon_sym__xorif] = ACTIONS(1852),
    [anon_sym_STAR_STAR] = ACTIONS(1852),
    [anon_sym_STAR] = ACTIONS(1852),
    [anon_sym_SLASH] = ACTIONS(1852),
    [anon_sym__mod] = ACTIONS(1852),
    [anon_sym__div] = ACTIONS(1852),
    [anon_sym_DASH] = ACTIONS(1852),
    [anon_sym_PLUS] = ACTIONS(1852),
    [sym_comment] = ACTIONS(3),
  },
  [549] = {
    [aux_sym_loopbody_repeat1] = STATE(530),
    [anon_sym_CR] = ACTIONS(1709),
    [anon_sym_LF] = ACTIONS(1709),
    [anon_sym_DOT] = ACTIONS(1669),
    [anon_sym_LPAREN] = ACTIONS(1671),
    [anon_sym_LT_LT] = ACTIONS(1673),
    [anon_sym_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_LBRACK] = ACTIONS(1675),
    [anon_sym__endmethod] = ACTIONS(1709),
    [anon_sym__endproc] = ACTIONS(1709),
    [anon_sym_COMMA] = ACTIONS(1677),
    [anon_sym__endblock] = ACTIONS(1709),
    [anon_sym__and_LT_LT] = ACTIONS(1673),
    [anon_sym__andif_LT_LT] = ACTIONS(1673),
    [anon_sym__or_LT_LT] = ACTIONS(1673),
    [anon_sym__orif_LT_LT] = ACTIONS(1673),
    [anon_sym__xor_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_LT_LT] = ACTIONS(1673),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1673),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__mod_LT_LT] = ACTIONS(1673),
    [anon_sym__div_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_LT_LT] = ACTIONS(1673),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1673),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1673),
    [anon_sym__endif] = ACTIONS(1709),
    [anon_sym__elif] = ACTIONS(1709),
    [anon_sym__else] = ACTIONS(1709),
    [anon_sym__endloop] = ACTIONS(1709),
    [anon_sym__finally] = ACTIONS(1709),
    [anon_sym__with] = ACTIONS(1709),
    [anon_sym__endcatch] = ACTIONS(1709),
    [anon_sym__when] = ACTIONS(1709),
    [anon_sym__endtry] = ACTIONS(1709),
    [anon_sym__endprotect] = ACTIONS(1709),
    [anon_sym__endlock] = ACTIONS(1709),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym__is] = ACTIONS(1679),
    [anon_sym__isnt] = ACTIONS(1679),
    [anon_sym__cf] = ACTIONS(1679),
    [anon_sym_EQ] = ACTIONS(1679),
    [anon_sym_TILDE_EQ] = ACTIONS(1679),
    [anon_sym_LT_GT] = ACTIONS(1679),
    [anon_sym_GT_EQ] = ACTIONS(1679),
    [anon_sym_LT_EQ] = ACTIONS(1679),
    [anon_sym_LT] = ACTIONS(1679),
    [anon_sym_GT] = ACTIONS(1679),
    [anon_sym__and] = ACTIONS(1681),
    [anon_sym__or] = ACTIONS(1681),
    [anon_sym__xor] = ACTIONS(1681),
    [anon_sym__andif] = ACTIONS(1681),
    [anon_sym__orif] = ACTIONS(1681),
    [anon_sym__xorif] = ACTIONS(1681),
    [anon_sym_STAR_STAR] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1683),
    [anon_sym_SLASH] = ACTIONS(1683),
    [anon_sym__mod] = ACTIONS(1683),
    [anon_sym__div] = ACTIONS(1683),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
  },
  [550] = {
    [anon_sym_CR] = ACTIONS(1854),
    [anon_sym_LF] = ACTIONS(1854),
    [anon_sym_DOT] = ACTIONS(1854),
    [anon_sym_LPAREN] = ACTIONS(1854),
    [anon_sym_LT_LT] = ACTIONS(1854),
    [anon_sym_CARET_LT_LT] = ACTIONS(1854),
    [anon_sym_LBRACK] = ACTIONS(1854),
    [anon_sym__endmethod] = ACTIONS(1854),
    [anon_sym__endproc] = ACTIONS(1854),
    [anon_sym_COMMA] = ACTIONS(1854),
    [anon_sym__endblock] = ACTIONS(1854),
    [anon_sym__and_LT_LT] = ACTIONS(1854),
    [anon_sym__andif_LT_LT] = ACTIONS(1854),
    [anon_sym__or_LT_LT] = ACTIONS(1854),
    [anon_sym__orif_LT_LT] = ACTIONS(1854),
    [anon_sym__xor_LT_LT] = ACTIONS(1854),
    [anon_sym_STAR_STAR_LT_LT] = ACTIONS(1854),
    [anon_sym_STAR_STAR_CARET_LT_LT] = ACTIONS(1854),
    [anon_sym_STAR_LT_LT] = ACTIONS(1854),
    [anon_sym_STAR_CARET_LT_LT] = ACTIONS(1854),
    [anon_sym_SLASH_LT_LT] = ACTIONS(1854),
    [anon_sym_SLASH_CARET_LT_LT] = ACTIONS(1854),
    [anon_sym__mod_LT_LT] = ACTIONS(1854),
    [anon_sym__div_LT_LT] = ACTIONS(1854),
    [anon_sym_DASH_LT_LT] = ACTIONS(1854),
    [anon_sym_DASH_CARET_LT_LT] = ACTIONS(1854),
    [anon_sym_PLUS_LT_LT] = ACTIONS(1854),
    [anon_sym_PLUS_CARET_LT_LT] = ACTIONS(1854),
    [anon_sym__endif] = ACTIONS(1854),
    [anon_sym__elif] = ACTIONS(1854),
    [anon_sym__else] = ACTIONS(1854),
    [anon_sym__endloop] = ACTIONS(1854),
    [anon_sym__finally] = ACTIONS(1854),
    [anon_sym__with] = ACTIONS(1854),
    [anon_sym__endcatch] = ACTIONS(1854),
    [anon_sym__when] = ACTIONS(1854),
    [anon_sym__endtry] = ACTIONS(1854),
    [anon_sym__protection] = ACTIONS(1854),
    [anon_sym__endprotect] = ACTIONS(1854),
    [anon_sym__endlock] = ACTIONS(1854),
    [anon_sym_SEMI] = ACTIONS(1854),
    [anon_sym__is] = ACTIONS(1854),
    [anon_sym__isnt] = ACTIONS(1854),
    [anon_sym__cf] = ACTIONS(1854),
    [anon_sym_EQ] = ACTIONS(1854),
    [anon_sym_TILDE_EQ] = ACTIONS(1854),
    [anon_sym_LT_GT] = ACTIONS(1854),
    [anon_sym_GT_EQ] = ACTIONS(1854),
    [anon_sym_LT_EQ] = ACTIONS(1854),
    [anon_sym_LT] = ACTIONS(1854),
    [anon_sym_GT] = ACTIONS(1854),
    [anon_sym__and] = ACTIONS(1854),
    [anon_sym__or] = ACTIONS(1854),
    [anon_sym__xor] = ACTIONS(1854),
    [anon_sym__andif] = ACTIONS(1854),
    [anon_sym__orif] = ACTIONS(1854),
    [anon_sym__xorif] = ACTIONS(1854),
    [anon_sym_STAR_STAR] = ACTIONS(1854),
    [anon_sym_STAR] = ACTIONS(1854),
    [anon_sym_SLASH] = ACTIONS(1854),
    [anon_sym__mod] = ACTIONS(1854),
    [anon_sym__div] = ACTIONS(1854),
    [anon_sym_DASH] = ACTIONS(1854),
    [anon_sym_PLUS] = ACTIONS(1854),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(571), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1709), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [87] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1866), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1673), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(579), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1701), 62,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [241] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(577), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1667), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [328] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(570), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [415] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(574), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1699), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1868), 1,
      anon_sym__with,
    ACTIONS(1772), 62,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym__with,
    ACTIONS(1770), 62,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [644] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(566), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1705), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [731] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1673), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [814] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1874), 1,
      anon_sym_LPAREN,
    ACTIONS(1876), 1,
      anon_sym_LT_LT,
    ACTIONS(1872), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(579), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 62,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [958] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1878), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1673), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [1041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(579), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 62,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [1112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1880), 1,
      anon_sym__with,
    ACTIONS(1882), 1,
      sym_label,
    ACTIONS(1629), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [1185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(579), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [1258] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1790), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1673), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [1341] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1884), 1,
      anon_sym__with,
    ACTIONS(1886), 1,
      sym_label,
    ACTIONS(1633), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [1414] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 43,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [1493] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(579), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1701), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [1566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(579), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [1639] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 43,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [1718] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1673), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [1801] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(579), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1703), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [1874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 37,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [1955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(579), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1703), 62,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [2026] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1858), 1,
      anon_sym_COMMA,
    STATE(579), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1711), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [2099] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1896), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1673), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [2182] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1898), 1,
      anon_sym_COMMA,
    STATE(579), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1731), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [2255] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    STATE(553), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1693), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [2340] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1901), 1,
      anon_sym__with,
    ACTIONS(1681), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1878), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1673), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [2425] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1731), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1673), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [2508] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    STATE(564), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1709), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [2593] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    STATE(576), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1699), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [2678] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1669), 1,
      anon_sym_DOT,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1683), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1679), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__with,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1673), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [2761] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1907), 1,
      anon_sym_LT_LT,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    STATE(969), 1,
      aux_sym_local_repeat1,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1905), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 18,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [2850] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    STATE(562), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1705), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [2935] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1866), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [3017] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1896), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [3099] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 42,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [3177] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1911), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [3259] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [3341] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 36,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [3421] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 36,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [3501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1874), 1,
      anon_sym_LPAREN,
    ACTIONS(1913), 1,
      anon_sym_LT_LT,
    ACTIONS(1872), 60,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [3573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1790), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [3655] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1731), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [3737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1915), 1,
      anon_sym__with,
    ACTIONS(1772), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [3807] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [3889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1917), 1,
      anon_sym__with,
    ACTIONS(1770), 61,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [3959] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1862), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1856), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [4041] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1864), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1860), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 42,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [4119] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1790), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [4200] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1919), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [4281] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1921), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [4362] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1750), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [4443] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1923), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [4524] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1896), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [4605] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1925), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [4686] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1927), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [4767] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1929), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [4848] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 41,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [4925] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1931), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5006] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1933), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5087] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1935), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5168] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1937), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1939), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5330] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1941), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5411] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1943), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5492] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 35,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [5571] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1866), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5652] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1945), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5733] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1947), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5814] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1903), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5895] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1949), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [5976] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1892), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [6057] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 41,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [6134] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1951), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [6215] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1852), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1953), 58,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym__proc,
      anon_sym_COMMA,
      anon_sym__block,
      anon_sym__if,
      anon_sym__endloop,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6283] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1957), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1955), 56,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__optional,
      anon_sym__gather,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym__proc,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6349] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1961), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1959), 56,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__optional,
      anon_sym__gather,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym__proc,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6415] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1965), 1,
      anon_sym_COMMA,
    STATE(632), 1,
      aux_sym_try_repeat1,
    ACTIONS(1968), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1963), 53,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6484] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1972), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1970), 55,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym__proc,
      anon_sym_COMMA,
      anon_sym__block,
      anon_sym__if,
      anon_sym__endloop,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6549] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1976), 1,
      anon_sym__loop,
    ACTIONS(1978), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(631), 1,
      sym_argument,
    ACTIONS(1974), 52,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__endproc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6619] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1978), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(1982), 1,
      anon_sym__loop,
    STATE(630), 1,
      sym__identifier,
    STATE(631), 1,
      sym_argument,
    ACTIONS(1980), 52,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__endproc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6689] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1986), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1984), 54,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym_COMMA,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6753] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym_COMMA,
    STATE(645), 1,
      aux_sym__arguments_repeat1,
    ACTIONS(1992), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1988), 52,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__endproc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6821] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1994), 1,
      anon_sym_COMMA,
    STATE(638), 1,
      aux_sym__identifier_list_repeat1,
    ACTIONS(1972), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1970), 52,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__endloop,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6889] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_COMMA,
    STATE(638), 1,
      aux_sym__identifier_list_repeat1,
    ACTIONS(2001), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1997), 52,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__endloop,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [6957] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2003), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(879), 54,
      ts_builtin_sym_end,
      anon_sym__package,
      sym__dollar,
      anon_sym__abstract,
      anon_sym__private,
      anon_sym__iter,
      anon_sym__method,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym__pragma,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [7021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2009), 1,
      aux_sym_documentation_token1,
    STATE(646), 1,
      aux_sym_documentation_repeat1,
    ACTIONS(2007), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(2005), 52,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__endmethod,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [7089] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1999), 1,
      anon_sym_COMMA,
    STATE(639), 1,
      aux_sym__identifier_list_repeat1,
    ACTIONS(2013), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(2011), 52,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__endloop,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [7157] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1627), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1625), 54,
      ts_builtin_sym_end,
      anon_sym__package,
      sym__dollar,
      anon_sym__abstract,
      anon_sym__private,
      anon_sym__iter,
      anon_sym__method,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym__pragma,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [7221] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2015), 1,
      anon_sym_COMMA,
    STATE(644), 1,
      aux_sym__arguments_repeat1,
    ACTIONS(1961), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1959), 52,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__endproc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [7289] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2018), 1,
      anon_sym_COMMA,
    STATE(644), 1,
      aux_sym__arguments_repeat1,
    ACTIONS(1982), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1980), 52,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__endproc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [7357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2024), 1,
      aux_sym_documentation_token1,
    STATE(646), 1,
      aux_sym_documentation_repeat1,
    ACTIONS(2022), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(2020), 52,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__endmethod,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [7425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1627), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(1625), 53,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__endmethod,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
      aux_sym_documentation_token1,
  [7488] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1627), 3,
      anon_sym__loop,
      anon_sym__protect,
      aux_sym_slot_accessor_token1,
    ACTIONS(1625), 51,
      anon_sym__iter,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protection,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__local,
      anon_sym__constant,
      anon_sym__dynamic,
      anon_sym__import,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
  [7550] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2029), 1,
      anon_sym_COMMA,
    STATE(649), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1731), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2027), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [7615] = 4,
    ACTIONS(87), 1,
      sym_comment,
    STATE(649), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2032), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [7678] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    STATE(649), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1711), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2034), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [7743] = 12,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    STATE(650), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2042), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [7822] = 4,
    ACTIONS(87), 1,
      sym_comment,
    STATE(649), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1701), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2058), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [7885] = 12,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    STATE(656), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2060), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [7964] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    STATE(651), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2062), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [8045] = 4,
    ACTIONS(87), 1,
      sym_comment,
    STATE(649), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2064), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [8108] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2068), 1,
      anon_sym__with,
    ACTIONS(2070), 1,
      sym_label,
    ACTIONS(1633), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2066), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [8173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2074), 2,
      anon_sym__loop,
      aux_sym_slot_accessor_token1,
    ACTIONS(2072), 51,
      anon_sym__abstract,
      anon_sym__private,
      anon_sym__iter,
      anon_sym__method,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym__gather,
      anon_sym__proc,
      anon_sym__block,
      anon_sym__if,
      anon_sym__handling,
      anon_sym__catch,
      anon_sym__throw,
      anon_sym__primitive,
      anon_sym__for,
      anon_sym__over,
      anon_sym__while,
      anon_sym__try,
      anon_sym__loopbody,
      anon_sym__leave,
      anon_sym__continue,
      anon_sym__protect,
      anon_sym__lock,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      sym_true,
      sym_false,
      sym_maybe,
      sym_unset,
      sym_super,
      sym_self,
      sym_clone,
      sym_thisthread,
      anon_sym__class,
      anon_sym__global,
      anon_sym__return,
      anon_sym_GT_GT,
      anon_sym__scatter,
      anon_sym__allresults,
      sym_dynamic_variable,
      sym_global_variable,
      sym_global_reference,
      sym_number,
      anon_sym_LBRACE,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym__not,
      anon_sym_TILDE,
      sym_symbol,
      anon_sym_PERCENT,
      aux_sym_documentation_token1,
  [8234] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2078), 1,
      anon_sym__with,
    ACTIONS(2080), 1,
      sym_label,
    ACTIONS(1629), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2076), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [8299] = 12,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    STATE(662), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2032), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [8378] = 12,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    STATE(653), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2064), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [8457] = 4,
    ACTIONS(87), 1,
      sym_comment,
    STATE(649), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1703), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2082), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [8520] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2084), 1,
      sym_label,
    ACTIONS(1629), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2076), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [8583] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2086), 1,
      sym_label,
    ACTIONS(1633), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2066), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [8646] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    STATE(693), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [8720] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1778), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2098), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [8780] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1740), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2100), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [8840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2102), 1,
      anon_sym__with,
    ACTIONS(2104), 1,
      sym_label,
    ACTIONS(1629), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [8902] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1854), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2106), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [8962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2108), 1,
      anon_sym__with,
    ACTIONS(2110), 1,
      sym_label,
    ACTIONS(1633), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [9024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_COMMA,
    STATE(702), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1703), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [9086] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1832), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2114), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [9146] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1802), 1,
      anon_sym__protection,
    ACTIONS(2116), 1,
      anon_sym_CR,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    STATE(1014), 1,
      aux_sym__codeblock_repeat1,
    ACTIONS(2118), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(208), 2,
      sym__line_terminator,
      sym__terminator,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [9226] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(704), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2062), 5,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [9306] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1836), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2146), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [9366] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1713), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2148), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [9426] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    STATE(750), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [9500] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1784), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2150), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [9560] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1792), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2152), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [9620] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    STATE(754), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1705), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [9694] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1838), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2154), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [9754] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    STATE(757), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1709), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [9828] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1824), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2156), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [9888] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1852), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1953), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [9948] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1822), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2158), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [10008] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2160), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [10084] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1770), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2162), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [10144] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_COMMA,
    STATE(766), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [10220] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1820), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2164), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [10280] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_COMMA,
    STATE(671), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [10356] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_COMMA,
    STATE(753), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1705), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [10432] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1826), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2166), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [10492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(702), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1703), 51,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [10552] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_COMMA,
    STATE(772), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1709), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [10628] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1790), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2168), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [10688] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1772), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2170), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [10748] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1812), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2172), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [10808] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1810), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2174), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [10868] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1768), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2176), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [10928] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1814), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2178), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [10988] = 10,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2180), 26,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
  [11062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2182), 1,
      anon_sym_COMMA,
    STATE(702), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1731), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [11124] = 9,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2185), 27,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__xorif,
  [11196] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1711), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2034), 35,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [11260] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1748), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2187), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [11320] = 9,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2189), 27,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__xorif,
  [11392] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1738), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2191), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [11452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_COMMA,
    STATE(702), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1711), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [11514] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1637), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2193), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [11574] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1729), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2195), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [11634] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1786), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2197), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [11694] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1818), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2199), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [11754] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1715), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2201), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [11814] = 4,
    ACTIONS(87), 1,
      sym_comment,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2032), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [11876] = 12,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(783), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2032), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [11954] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2168), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [12030] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2203), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [12106] = 4,
    ACTIONS(87), 1,
      sym_comment,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2064), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [12168] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LPAREN,
    ACTIONS(2209), 1,
      anon_sym_LT_LT,
    ACTIONS(1872), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2205), 35,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [12232] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2211), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [12308] = 12,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(784), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2064), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [12386] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1776), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2213), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [12446] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1774), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2215), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [12506] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1780), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2217), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [12566] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1641), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2219), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [12626] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1766), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2221), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [12686] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2223), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [12762] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1645), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2225), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [12822] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1727), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2227), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [12882] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1760), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2229), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [12942] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2231), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [13018] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1649), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2233), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [13078] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(2112), 1,
      anon_sym_COMMA,
    STATE(708), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1667), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [13154] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2235), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [13230] = 12,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(718), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2060), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [13308] = 12,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(714), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2042), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [13386] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1651), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2237), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [13446] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1687), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2239), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [13506] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1653), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2241), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [13566] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1655), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2243), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [13626] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2027), 7,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [13702] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1647), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2245), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [13762] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1707), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2247), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [13822] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1758), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2249), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [13882] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1643), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2251), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [13942] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1756), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2253), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14002] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1744), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2255), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14062] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1754), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2257), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14122] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1742), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2259), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(702), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1701), 51,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [14242] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1661), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2261), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14302] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1834), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2263), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14362] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_COMMA,
    STATE(702), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [14424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(702), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 51,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [14484] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1746), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2265), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14544] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1750), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2203), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14604] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(702), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 51,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [14664] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1665), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2267), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14724] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1689), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2269), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14784] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1725), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2271), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14844] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1695), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2273), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14904] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1842), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2275), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [14964] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1752), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2277), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15024] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1846), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2279), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15084] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1762), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2281), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_COMMA,
    STATE(702), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1701), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [15206] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1764), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2283), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15266] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1782), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2285), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15326] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1850), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2287), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15386] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1788), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2289), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15446] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1697), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2291), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15506] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2112), 1,
      anon_sym_COMMA,
    STATE(702), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [15568] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1691), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2293), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15628] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1816), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2295), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15688] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1844), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2297), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15748] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1685), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2299), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15808] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1663), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2301), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15868] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1659), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2303), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15928] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1840), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2305), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [15988] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1657), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2307), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16048] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2309), 1,
      anon_sym__with,
    ACTIONS(1772), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2170), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16110] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1828), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2311), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16170] = 4,
    ACTIONS(87), 1,
      sym_comment,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1703), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2082), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16232] = 4,
    ACTIONS(87), 1,
      sym_comment,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1701), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2058), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16294] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2313), 1,
      anon_sym__with,
    ACTIONS(1770), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2162), 36,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16356] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1736), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2315), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16416] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1639), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2317), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16476] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2319), 1,
      anon_sym_COMMA,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1731), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2027), 35,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16540] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1830), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2322), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16600] = 12,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2324), 1,
      anon_sym__with,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2160), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [16678] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1848), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2326), 37,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [16738] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(834), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [16813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2338), 1,
      anon_sym__with,
    ACTIONS(2340), 1,
      sym_label,
    ACTIONS(1629), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [16874] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2235), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [16949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2342), 1,
      anon_sym__with,
    ACTIONS(2344), 1,
      sym_label,
    ACTIONS(1633), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [17010] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2231), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [17085] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2223), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [17160] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2211), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [17235] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(2346), 1,
      anon_sym__with,
    ACTIONS(1878), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [17308] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1874), 1,
      anon_sym_LPAREN,
    ACTIONS(2348), 1,
      anon_sym_LT_LT,
    ACTIONS(1872), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [17369] = 9,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2189), 26,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__xorif,
  [17440] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    STATE(817), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [17513] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    STATE(818), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [17586] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(1896), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [17657] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2350), 1,
      anon_sym__with,
    ACTIONS(1770), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [17716] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    STATE(825), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1705), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [17789] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    STATE(827), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1709), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [17862] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2352), 1,
      anon_sym__with,
    ACTIONS(1772), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [17921] = 9,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2185), 26,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__xorif,
  [17992] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(1866), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [18063] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(1892), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [18134] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(1878), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [18205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_COMMA,
    STATE(813), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1731), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [18266] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    STATE(649), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1701), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2058), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [18329] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(1903), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [18400] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    STATE(649), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1703), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2082), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [18463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(813), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1701), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [18522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(813), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1703), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [18581] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2168), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [18656] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2203), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [18731] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2027), 6,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [18806] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    STATE(649), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2064), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [18869] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    STATE(649), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2032), 34,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [18932] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    STATE(814), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2064), 4,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [19011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(813), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [19070] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    STATE(816), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2032), 4,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [19149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(813), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 50,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [19208] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2357), 1,
      anon_sym_LT_LT,
    ACTIONS(2359), 1,
      anon_sym_COMMA,
    STATE(1010), 1,
      aux_sym_local_repeat1,
    ACTIONS(1905), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 18,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [19285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(813), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1711), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [19346] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    STATE(822), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2060), 4,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [19425] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(1731), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [19496] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(846), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1709), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [19571] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(842), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1705), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [19646] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(813), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1701), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [19707] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 25,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
  [19776] = 10,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2180), 25,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
  [19849] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 31,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [19916] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 31,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [19983] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2036), 1,
      anon_sym_COMMA,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    STATE(823), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2042), 4,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__with,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [20062] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(1750), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [20133] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(813), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1703), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [20194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(813), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [20255] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(829), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1667), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [20330] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2088), 1,
      anon_sym_DOT,
    ACTIONS(1790), 6,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__with,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2094), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2096), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2092), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2090), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [20401] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(841), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [20476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_COMMA,
    STATE(813), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [20537] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LPAREN,
    ACTIONS(2361), 1,
      anon_sym_LT_LT,
    ACTIONS(1872), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2205), 34,
      anon_sym_DOT,
      anon_sym_RPAREN,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym_RBRACE,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [20600] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2363), 1,
      anon_sym__with,
    ACTIONS(2365), 1,
      sym_label,
    ACTIONS(1629), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2076), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [20662] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1794), 1,
      anon_sym_CR,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(2367), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(188), 2,
      sym__line_terminator,
      sym__terminator,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [20736] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1911), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [20806] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1903), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [20876] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1701), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2058), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [20938] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1703), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2082), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [21000] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1794), 1,
      anon_sym_CR,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(2369), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(165), 2,
      sym__line_terminator,
      sym__terminator,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [21074] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(852), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2064), 3,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [21152] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1693), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2064), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [21214] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(853), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2032), 3,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [21292] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(1699), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2032), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [21354] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1874), 1,
      anon_sym_LPAREN,
    ACTIONS(2371), 1,
      anon_sym_LT_LT,
    ACTIONS(1872), 48,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [21414] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(2116), 1,
      anon_sym_CR,
    ACTIONS(2373), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(172), 2,
      sym__line_terminator,
      sym__terminator,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [21488] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1794), 1,
      anon_sym_CR,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(2375), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(130), 2,
      sym__line_terminator,
      sym__terminator,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [21562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1892), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [21632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2377), 1,
      anon_sym__with,
    ACTIONS(1770), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [21690] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1750), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [21760] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1794), 1,
      anon_sym_CR,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(2379), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(185), 2,
      sym__line_terminator,
      sym__terminator,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [21834] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1896), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [21904] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(2116), 1,
      anon_sym_CR,
    ACTIONS(2381), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(171), 2,
      sym__line_terminator,
      sym__terminator,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [21978] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1731), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [22048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2383), 1,
      anon_sym__with,
    ACTIONS(1772), 49,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [22106] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1866), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [22176] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2385), 1,
      anon_sym__with,
    ACTIONS(2387), 1,
      sym_label,
    ACTIONS(1633), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2066), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [22238] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(856), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2060), 3,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [22316] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(858), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2042), 3,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [22394] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 24,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
  [22462] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1790), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2328), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [22532] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 30,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [22598] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2334), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 24,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
  [22666] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2336), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2332), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 30,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_COMMA,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [22732] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1750), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [22801] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1790), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [22870] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1925), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [22939] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 29,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [23004] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1943), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [23073] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1923), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [23142] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1951), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [23211] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1935), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [23280] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1931), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [23349] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1937), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [23418] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1947), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [23487] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2389), 1,
      anon_sym__with,
    ACTIONS(1770), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2162), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [23546] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1919), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [23615] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 29,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
  [23680] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2391), 1,
      anon_sym__with,
    ACTIONS(1772), 15,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2170), 33,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym__xorif,
  [23739] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1894), 23,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
  [23806] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1945), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [23875] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1941), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [23944] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1949), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24013] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1892), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24082] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1929), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24151] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1866), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24220] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1921), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24289] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1896), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24358] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1903), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24427] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1939), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24496] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1933), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24565] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(2120), 1,
      anon_sym_DOT,
    ACTIONS(1927), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
    ACTIONS(2126), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(2128), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2124), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2122), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24634] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2393), 1,
      anon_sym_RPAREN,
    STATE(1357), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24710] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_RPAREN,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(1300), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24786] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2223), 3,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24858] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(2409), 1,
      anon_sym__with,
    STATE(1289), 1,
      aux_sym_handling_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [24934] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2411), 1,
      anon_sym_RPAREN,
    STATE(1234), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25010] = 9,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1888), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2189), 23,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__xorif,
  [25078] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2413), 1,
      anon_sym_RPAREN,
    ACTIONS(2415), 1,
      anon_sym_COMMA,
    STATE(1325), 1,
      aux_sym_local_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25154] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2168), 3,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25226] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_RPAREN,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(1262), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25302] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_RPAREN,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(1344), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25378] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2231), 3,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25450] = 9,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1890), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2185), 23,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
      anon_sym__xorif,
  [25518] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2235), 3,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25590] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2203), 3,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25662] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(2417), 1,
      anon_sym__with,
    STATE(1270), 1,
      aux_sym_handling_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25738] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(2419), 1,
      anon_sym__with,
    STATE(1256), 1,
      aux_sym_handling_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25814] = 10,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2180), 22,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__then,
      anon_sym__loop,
  [25884] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_RPAREN,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(1359), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [25960] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2421), 1,
      anon_sym_RPAREN,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    STATE(1203), 1,
      aux_sym_local_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26036] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2211), 3,
      anon_sym_RPAREN,
      anon_sym__then,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26108] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(2425), 1,
      anon_sym__with,
    STATE(1317), 1,
      aux_sym_handling_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26184] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_RPAREN,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(1295), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26260] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(2427), 1,
      anon_sym__with,
    STATE(1276), 1,
      aux_sym_handling_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26336] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(2429), 1,
      anon_sym__with,
    STATE(1302), 1,
      aux_sym_handling_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26412] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(2431), 1,
      anon_sym__with,
    STATE(1257), 1,
      aux_sym_handling_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26488] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(2433), 1,
      anon_sym__with,
    STATE(1255), 1,
      aux_sym_handling_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26564] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(2435), 1,
      anon_sym__with,
    STATE(1240), 1,
      aux_sym_handling_repeat1,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26640] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_RPAREN,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(1261), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26716] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_RPAREN,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(1358), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26792] = 13,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2062), 1,
      anon_sym_RPAREN,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    STATE(1345), 1,
      aux_sym_loopbody_repeat1,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2437), 2,
      anon_sym_CR,
      anon_sym_LF,
    ACTIONS(2439), 45,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [26923] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(2441), 2,
      anon_sym_CR,
      anon_sym_LF,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [26990] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(2443), 2,
      anon_sym_CR,
      anon_sym_LF,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2445), 2,
      anon_sym_CR,
      anon_sym_LF,
    ACTIONS(2439), 45,
      anon_sym_DOT,
      anon_sym_LPAREN,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym_LBRACK,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
  [27112] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(2447), 2,
      anon_sym_CR,
      anon_sym_LF,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27179] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2038), 1,
      anon_sym_DOT,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2054), 1,
      anon_sym__xorif,
    ACTIONS(2449), 2,
      anon_sym_COMMA,
      anon_sym__with,
    ACTIONS(2048), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2052), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2050), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2056), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2044), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27250] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1671), 1,
      anon_sym_LPAREN,
    ACTIONS(1675), 1,
      anon_sym_LBRACK,
    ACTIONS(1798), 1,
      anon_sym_DOT,
    ACTIONS(2451), 2,
      anon_sym_CR,
      anon_sym_LF,
    ACTIONS(1806), 6,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
      anon_sym__xorif,
    ACTIONS(1808), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1804), 10,
      anon_sym__is,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1800), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27317] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2142), 1,
      anon_sym__xorif,
    ACTIONS(2453), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(2136), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2140), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2138), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2144), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2132), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27388] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2455), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27458] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2457), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27528] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2459), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27598] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2461), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27668] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2463), 1,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27738] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2465), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27808] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2467), 1,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27878] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2469), 1,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [27948] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2471), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28018] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2473), 1,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28088] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2475), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28158] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2477), 1,
      anon_sym__then,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28228] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2479), 1,
      anon_sym__then,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28298] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2481), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28368] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2483), 1,
      anon_sym__then,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28438] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2485), 1,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28508] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2487), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28578] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2489), 1,
      anon_sym_RPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28648] = 11,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2040), 1,
      anon_sym_LPAREN,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2130), 1,
      anon_sym_DOT,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2491), 1,
      anon_sym__loop,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28718] = 10,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2046), 1,
      anon_sym_LBRACK,
    ACTIONS(2403), 1,
      anon_sym__xorif,
    ACTIONS(2493), 1,
      anon_sym_DOT,
    ACTIONS(2495), 1,
      anon_sym_LPAREN,
    ACTIONS(2397), 3,
      anon_sym__is,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(2401), 5,
      anon_sym__and,
      anon_sym__or,
      anon_sym__xor,
      anon_sym__andif,
      anon_sym__orif,
    ACTIONS(2399), 7,
      anon_sym__isnt,
      anon_sym__cf,
      anon_sym_EQ,
      anon_sym_TILDE_EQ,
      anon_sym_LT_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2405), 7,
      anon_sym_STAR_STAR,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym__mod,
      anon_sym__div,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2395), 19,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
      anon_sym__and_LT_LT,
      anon_sym__andif_LT_LT,
      anon_sym__or_LT_LT,
      anon_sym__orif_LT_LT,
      anon_sym__xor_LT_LT,
      anon_sym_STAR_STAR_LT_LT,
      anon_sym_STAR_STAR_CARET_LT_LT,
      anon_sym_STAR_LT_LT,
      anon_sym_STAR_CARET_LT_LT,
      anon_sym_SLASH_LT_LT,
      anon_sym_SLASH_CARET_LT_LT,
      anon_sym__mod_LT_LT,
      anon_sym__div_LT_LT,
      anon_sym_DASH_LT_LT,
      anon_sym_DASH_CARET_LT_LT,
      anon_sym_PLUS_LT_LT,
      anon_sym_PLUS_CARET_LT_LT,
  [28785] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2499), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      aux_sym_dynamic_repeat1,
    ACTIONS(2497), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [28815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_COMMA,
    STATE(978), 1,
      aux_sym__identifier_list_repeat1,
    ACTIONS(2013), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [28844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_COMMA,
    STATE(967), 1,
      aux_sym_local_repeat1,
    ACTIONS(2504), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [28873] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2511), 1,
      anon_sym_LT_LT,
    ACTIONS(2513), 1,
      anon_sym_COMMA,
    STATE(977), 1,
      aux_sym_dynamic_repeat1,
    ACTIONS(2509), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [28904] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(2515), 1,
      anon_sym_LT_LT,
    STATE(967), 1,
      aux_sym_local_repeat1,
    ACTIONS(1923), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [28935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(2519), 1,
      anon_sym_LT_LT,
    STATE(975), 1,
      aux_sym_local_repeat1,
    ACTIONS(2517), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [28966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2523), 1,
      anon_sym_COMMA,
    STATE(971), 1,
      aux_sym_global_repeat1,
    ACTIONS(2521), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [28995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_COMMA,
    STATE(971), 1,
      aux_sym_global_repeat1,
    ACTIONS(2526), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2528), 1,
      anon_sym_COMMA,
    STATE(972), 1,
      aux_sym_global_repeat1,
    ACTIONS(2530), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_CR,
    STATE(980), 1,
      aux_sym__codeblock_repeat1,
    ACTIONS(2532), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(15), 2,
      sym__line_terminator,
      sym__terminator,
    ACTIONS(2534), 13,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
  [29086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1909), 1,
      anon_sym_COMMA,
    ACTIONS(2538), 1,
      anon_sym_LT_LT,
    STATE(967), 1,
      aux_sym_local_repeat1,
    ACTIONS(2536), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29117] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_COMMA,
    STATE(983), 1,
      aux_sym_dynamic_repeat1,
    ACTIONS(2540), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29146] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_COMMA,
    ACTIONS(2544), 1,
      anon_sym_LT_LT,
    STATE(965), 1,
      aux_sym_dynamic_repeat1,
    ACTIONS(2542), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29177] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2502), 1,
      anon_sym_COMMA,
    STATE(979), 1,
      aux_sym__identifier_list_repeat1,
    ACTIONS(2001), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2546), 1,
      anon_sym_COMMA,
    STATE(979), 1,
      aux_sym__identifier_list_repeat1,
    ACTIONS(1972), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29235] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 1,
      anon_sym_CR,
    STATE(980), 1,
      aux_sym__codeblock_repeat1,
    ACTIONS(2552), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(210), 2,
      sym__line_terminator,
      sym__terminator,
    ACTIONS(1929), 13,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
  [29268] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1794), 1,
      anon_sym_CR,
    STATE(974), 1,
      aux_sym__codeblock_repeat1,
    ACTIONS(1796), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(14), 2,
      sym__line_terminator,
      sym__terminator,
    ACTIONS(1802), 13,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
  [29301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 19,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29326] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_COMMA,
    STATE(965), 1,
      aux_sym_dynamic_repeat1,
    ACTIONS(2555), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1972), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 18,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 1,
      anon_sym_LT_LT,
    ACTIONS(2504), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym_COMMA,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1929), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2560), 1,
      anon_sym_LT_LT,
    ACTIONS(1945), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2562), 1,
      anon_sym_LT_LT,
    ACTIONS(1927), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2564), 1,
      anon_sym_LT_LT,
    ACTIONS(1951), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_LT_LT,
    ACTIONS(1947), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 1,
      anon_sym_LT_LT,
    ACTIONS(1935), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 17,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__protection,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_LT_LT,
    ACTIONS(1933), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2574), 1,
      anon_sym_LT_LT,
    ACTIONS(1949), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 1,
      anon_sym_LT_LT,
    ACTIONS(1905), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2515), 1,
      anon_sym_LT_LT,
    ACTIONS(1923), 16,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__endmethod,
      anon_sym__endproc,
      anon_sym__endblock,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
      anon_sym__endloop,
      anon_sym__finally,
      anon_sym__endcatch,
      anon_sym__when,
      anon_sym__endtry,
      anon_sym__endprotect,
      anon_sym__endlock,
      anon_sym_SEMI,
  [29700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2359), 1,
      anon_sym_COMMA,
    ACTIONS(2578), 1,
      anon_sym_LT_LT,
    STATE(1016), 1,
      aux_sym_local_repeat1,
    ACTIONS(2517), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [29719] = 8,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2580), 1,
      anon_sym__optional,
    ACTIONS(2582), 1,
      anon_sym__gather,
    ACTIONS(2584), 1,
      anon_sym_RPAREN,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1282), 1,
      sym__arguments,
  [29744] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2590), 1,
      anon_sym_LF,
    ACTIONS(2592), 1,
      anon_sym_LPAREN,
    ACTIONS(2596), 1,
      anon_sym_LBRACK,
    STATE(35), 1,
      sym__line_terminator,
    ACTIONS(2594), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [29767] = 8,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2598), 1,
      anon_sym__optional,
    ACTIONS(2600), 1,
      anon_sym__gather,
    ACTIONS(2602), 1,
      anon_sym_RPAREN,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1335), 1,
      sym__arguments,
  [29792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_COMMA,
    ACTIONS(2604), 1,
      anon_sym_LT_LT,
    STATE(1020), 1,
      aux_sym_dynamic_repeat1,
    ACTIONS(2509), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [29811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 1,
      anon_sym_COMMA,
    STATE(1003), 1,
      aux_sym_local_repeat1,
    ACTIONS(2504), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_LT_LT,
      anon_sym__protection,
      anon_sym_SEMI,
  [29828] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(631), 1,
      sym_argument,
    ACTIONS(1980), 4,
      anon_sym__optional,
      anon_sym__gather,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [29847] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(631), 1,
      sym_argument,
    ACTIONS(1974), 4,
      anon_sym__optional,
      anon_sym__gather,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [29866] = 8,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2609), 1,
      anon_sym__optional,
    ACTIONS(2611), 1,
      anon_sym__gather,
    ACTIONS(2613), 1,
      anon_sym_RPAREN,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1207), 1,
      sym__arguments,
  [29891] = 8,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2615), 1,
      anon_sym__optional,
    ACTIONS(2617), 1,
      anon_sym__gather,
    ACTIONS(2619), 1,
      anon_sym_RPAREN,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1241), 1,
      sym__arguments,
  [29916] = 8,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2621), 1,
      anon_sym__optional,
    ACTIONS(2623), 1,
      anon_sym__gather,
    ACTIONS(2625), 1,
      anon_sym_RPAREN,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1338), 1,
      sym__arguments,
  [29941] = 8,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2627), 1,
      anon_sym__optional,
    ACTIONS(2629), 1,
      anon_sym__gather,
    ACTIONS(2631), 1,
      anon_sym_RPAREN,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1306), 1,
      sym__arguments,
  [29966] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2359), 1,
      anon_sym_COMMA,
    ACTIONS(2633), 1,
      anon_sym_LT_LT,
    STATE(1003), 1,
      aux_sym_local_repeat1,
    ACTIONS(1923), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [29985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2635), 1,
      anon_sym_LF,
    ACTIONS(2637), 1,
      anon_sym_LPAREN,
    ACTIONS(2641), 1,
      anon_sym_LBRACK,
    STATE(72), 1,
      sym__line_terminator,
    ACTIONS(2639), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30008] = 8,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2643), 1,
      anon_sym__optional,
    ACTIONS(2645), 1,
      anon_sym__gather,
    ACTIONS(2647), 1,
      anon_sym_RPAREN,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1226), 1,
      sym__arguments,
  [30033] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1929), 1,
      anon_sym__protection,
    ACTIONS(2549), 1,
      anon_sym_CR,
    STATE(1013), 1,
      aux_sym__codeblock_repeat1,
    ACTIONS(2649), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(209), 2,
      sym__line_terminator,
      sym__terminator,
  [30054] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2116), 1,
      anon_sym_CR,
    ACTIONS(2534), 1,
      anon_sym__protection,
    STATE(1013), 1,
      aux_sym__codeblock_repeat1,
    ACTIONS(2652), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(207), 2,
      sym__line_terminator,
      sym__terminator,
  [30075] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2654), 1,
      anon_sym_LF,
    ACTIONS(2656), 1,
      anon_sym_LPAREN,
    ACTIONS(2660), 1,
      anon_sym_LBRACK,
    STATE(20), 1,
      sym__line_terminator,
    ACTIONS(2658), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2359), 1,
      anon_sym_COMMA,
    ACTIONS(2662), 1,
      anon_sym_LT_LT,
    STATE(1003), 1,
      aux_sym_local_repeat1,
    ACTIONS(2536), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [30117] = 8,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2664), 1,
      anon_sym__optional,
    ACTIONS(2666), 1,
      anon_sym__gather,
    ACTIONS(2668), 1,
      anon_sym_RPAREN,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1230), 1,
      sym__arguments,
  [30142] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2670), 1,
      anon_sym_LF,
    ACTIONS(2672), 1,
      anon_sym_LPAREN,
    ACTIONS(2676), 1,
      anon_sym_LBRACK,
    STATE(21), 1,
      sym__line_terminator,
    ACTIONS(2674), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30165] = 8,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2678), 1,
      anon_sym__optional,
    ACTIONS(2680), 1,
      anon_sym__gather,
    ACTIONS(2682), 1,
      anon_sym_RPAREN,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1244), 1,
      sym__arguments,
  [30190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 1,
      anon_sym_COMMA,
    ACTIONS(2684), 1,
      anon_sym_LT_LT,
    STATE(965), 1,
      aux_sym_dynamic_repeat1,
    ACTIONS(2542), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [30209] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1802), 1,
      anon_sym__protection,
    ACTIONS(2116), 1,
      anon_sym_CR,
    STATE(1014), 1,
      aux_sym__codeblock_repeat1,
    ACTIONS(2118), 2,
      anon_sym_LF,
      anon_sym_SEMI,
    STATE(208), 2,
      sym__line_terminator,
      sym__terminator,
  [30230] = 8,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2686), 1,
      anon_sym__optional,
    ACTIONS(2688), 1,
      anon_sym__gather,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1215), 1,
      sym__arguments,
  [30255] = 7,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_LPAREN,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2696), 1,
      anon_sym__local,
    STATE(629), 1,
      sym__identifier,
    STATE(1041), 1,
      sym_identifier,
    STATE(1611), 1,
      sym__identifier_list,
  [30277] = 7,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2698), 1,
      anon_sym_LPAREN,
    ACTIONS(2700), 1,
      anon_sym__local,
    STATE(629), 1,
      sym__identifier,
    STATE(1041), 1,
      sym_identifier,
    STATE(1548), 1,
      sym__identifier_list,
  [30299] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(333), 1,
      anon_sym__elif,
    ACTIONS(335), 1,
      anon_sym__else,
    ACTIONS(2702), 1,
      anon_sym__endif,
    STATE(1695), 1,
      sym_else,
    STATE(1028), 2,
      sym_elif,
      aux_sym_if_repeat1,
  [30319] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(333), 1,
      anon_sym__elif,
    ACTIONS(335), 1,
      anon_sym__else,
    ACTIONS(2702), 1,
      anon_sym__endif,
    STATE(1695), 1,
      sym_else,
    STATE(1046), 2,
      sym_elif,
      aux_sym_if_repeat1,
  [30339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      anon_sym_LT_LT,
    ACTIONS(2504), 5,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
      anon_sym__protection,
      anon_sym_SEMI,
  [30353] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(333), 1,
      anon_sym__elif,
    ACTIONS(335), 1,
      anon_sym__else,
    ACTIONS(2707), 1,
      anon_sym__endif,
    STATE(1661), 1,
      sym_else,
    STATE(1046), 2,
      sym_elif,
      aux_sym_if_repeat1,
  [30373] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_COMMA,
    STATE(1030), 1,
      aux_sym__arguments_repeat1,
    ACTIONS(1980), 4,
      anon_sym__optional,
      anon_sym__gather,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [30389] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2711), 1,
      anon_sym_COMMA,
    STATE(1030), 1,
      aux_sym__arguments_repeat1,
    ACTIONS(1959), 4,
      anon_sym__optional,
      anon_sym__gather,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [30405] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2714), 1,
      anon_sym_COMMA,
    STATE(1029), 1,
      aux_sym__arguments_repeat1,
    ACTIONS(1988), 4,
      anon_sym__optional,
      anon_sym__gather,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [30421] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(333), 1,
      anon_sym__elif,
    ACTIONS(335), 1,
      anon_sym__else,
    ACTIONS(2716), 1,
      anon_sym__endif,
    STATE(1508), 1,
      sym_else,
    STATE(1046), 2,
      sym_elif,
      aux_sym_if_repeat1,
  [30441] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(333), 1,
      anon_sym__elif,
    ACTIONS(335), 1,
      anon_sym__else,
    ACTIONS(2718), 1,
      anon_sym__endif,
    STATE(1518), 1,
      sym_else,
    STATE(1046), 2,
      sym_elif,
      aux_sym_if_repeat1,
  [30461] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(333), 1,
      anon_sym__elif,
    ACTIONS(335), 1,
      anon_sym__else,
    ACTIONS(2716), 1,
      anon_sym__endif,
    STATE(1508), 1,
      sym_else,
    STATE(1033), 2,
      sym_elif,
      aux_sym_if_repeat1,
  [30481] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2720), 1,
      anon_sym_RBRACK,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1525), 1,
      sym__arguments,
  [30500] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2722), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2724), 1,
      anon_sym__constant,
    ACTIONS(2726), 1,
      sym_dynamic_variable,
    STATE(629), 1,
      sym__identifier,
    STATE(1626), 1,
      sym_identifier,
  [30519] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2700), 1,
      anon_sym__constant,
    ACTIONS(2728), 1,
      anon_sym_LPAREN,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(998), 1,
      sym_identifier,
  [30538] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2584), 1,
      anon_sym_RBRACK,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1487), 1,
      sym__arguments,
  [30557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2732), 1,
      anon_sym_LF,
    STATE(26), 1,
      sym__line_terminator,
    ACTIONS(2734), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30574] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2736), 1,
      anon_sym_LF,
    STATE(32), 1,
      sym__line_terminator,
    ACTIONS(2738), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30591] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    STATE(1082), 1,
      aux_sym__identifier_list_repeat1,
    ACTIONS(2011), 3,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym__over,
  [30606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2742), 1,
      anon_sym_LF,
    STATE(62), 1,
      sym__line_terminator,
    ACTIONS(2744), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2746), 1,
      anon_sym_LF,
    STATE(37), 1,
      sym__line_terminator,
    ACTIONS(2748), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30640] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2750), 1,
      anon_sym_LF,
    STATE(79), 1,
      sym__line_terminator,
    ACTIONS(2752), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30657] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2754), 1,
      anon_sym_LF,
    STATE(81), 1,
      sym__line_terminator,
    ACTIONS(2756), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30674] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym__elif,
    ACTIONS(2758), 2,
      anon_sym__endif,
      anon_sym__else,
    STATE(1046), 2,
      sym_elif,
      aux_sym_if_repeat1,
  [30689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2763), 1,
      anon_sym_LF,
    STATE(42), 1,
      sym__line_terminator,
    ACTIONS(2765), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30706] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2767), 1,
      anon_sym_LF,
    STATE(53), 1,
      sym__line_terminator,
    ACTIONS(2769), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30723] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2696), 1,
      anon_sym__constant,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2771), 1,
      anon_sym_LPAREN,
    STATE(548), 1,
      sym__identifier,
    STATE(970), 1,
      sym_identifier,
  [30742] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2773), 1,
      anon_sym_RBRACK,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1578), 1,
      sym__arguments,
  [30761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2775), 1,
      anon_sym_LF,
    STATE(51), 1,
      sym__line_terminator,
    ACTIONS(2777), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30778] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2722), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2779), 1,
      anon_sym__constant,
    ACTIONS(2781), 1,
      sym_dynamic_variable,
    STATE(629), 1,
      sym__identifier,
    STATE(1599), 1,
      sym_identifier,
  [30797] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2783), 1,
      anon_sym_LF,
    STATE(56), 1,
      sym__line_terminator,
    ACTIONS(2785), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2787), 1,
      anon_sym_LF,
    STATE(74), 1,
      sym__line_terminator,
    ACTIONS(2789), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_LT_LT,
    ACTIONS(1905), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [30844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2793), 1,
      anon_sym_LF,
    STATE(50), 1,
      sym__line_terminator,
    ACTIONS(2795), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30861] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2797), 1,
      anon_sym_RBRACK,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1493), 1,
      sym__arguments,
  [30880] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2799), 1,
      anon_sym_LF,
    STATE(71), 1,
      sym__line_terminator,
    ACTIONS(2801), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30897] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2803), 1,
      anon_sym_LF,
    STATE(77), 1,
      sym__line_terminator,
    ACTIONS(2805), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30914] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2807), 1,
      anon_sym_RBRACK,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1532), 1,
      sym__arguments,
  [30933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2809), 1,
      anon_sym_LF,
    STATE(41), 1,
      sym__line_terminator,
    ACTIONS(2811), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2633), 1,
      anon_sym_LT_LT,
    ACTIONS(1923), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [30963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      aux_sym_slot_accessor_token1,
    STATE(1343), 1,
      sym__identifier,
    STATE(1363), 1,
      sym_argument,
    ACTIONS(1976), 2,
      anon_sym_CR,
      anon_sym_LF,
  [30980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2815), 1,
      anon_sym_LF,
    STATE(80), 1,
      sym__line_terminator,
    ACTIONS(2817), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [30997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2819), 1,
      anon_sym_LF,
    STATE(76), 1,
      sym__line_terminator,
    ACTIONS(2821), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31014] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2823), 1,
      anon_sym_LF,
    STATE(64), 1,
      sym__line_terminator,
    ACTIONS(2825), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31031] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2631), 1,
      anon_sym_RBRACK,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1539), 1,
      sym__arguments,
  [31050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2827), 1,
      anon_sym_LT_LT,
    ACTIONS(1949), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [31063] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2829), 1,
      anon_sym_LF,
    STATE(22), 1,
      sym__line_terminator,
    ACTIONS(2831), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 1,
      anon_sym_LT_LT,
    ACTIONS(1945), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [31093] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2813), 1,
      aux_sym_slot_accessor_token1,
    STATE(1343), 1,
      sym__identifier,
    STATE(1363), 1,
      sym_argument,
    ACTIONS(1982), 2,
      anon_sym_CR,
      anon_sym_LF,
  [31110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2835), 1,
      anon_sym_LF,
    STATE(30), 1,
      sym__line_terminator,
    ACTIONS(2837), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      anon_sym_LT_LT,
    ACTIONS(1947), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [31140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2841), 1,
      anon_sym_LF,
    STATE(38), 1,
      sym__line_terminator,
    ACTIONS(2843), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2845), 1,
      anon_sym_LF,
    STATE(25), 1,
      sym__line_terminator,
    ACTIONS(2847), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31174] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2625), 1,
      anon_sym_RBRACK,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1614), 1,
      sym__arguments,
  [31193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 1,
      anon_sym_LT_LT,
    ACTIONS(1935), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [31206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2851), 1,
      anon_sym_LF,
    STATE(24), 1,
      sym__line_terminator,
    ACTIONS(2853), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 1,
      anon_sym_LT_LT,
    ACTIONS(1933), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [31236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 1,
      anon_sym_LT_LT,
    ACTIONS(1951), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [31249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      anon_sym_LT_LT,
    ACTIONS(1927), 4,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym__protection,
      anon_sym_SEMI,
  [31262] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2740), 1,
      anon_sym_COMMA,
    STATE(1092), 1,
      aux_sym__identifier_list_repeat1,
    ACTIONS(1997), 3,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym__over,
  [31277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2861), 1,
      anon_sym_LF,
    STATE(45), 1,
      sym__line_terminator,
    ACTIONS(2863), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31294] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2865), 1,
      anon_sym_LPAREN,
    STATE(629), 1,
      sym__identifier,
    STATE(1041), 1,
      sym_identifier,
    STATE(1556), 1,
      sym__identifier_list,
  [31313] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2867), 1,
      anon_sym_LF,
    STATE(31), 1,
      sym__line_terminator,
    ACTIONS(2869), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31330] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(985), 1,
      sym_identifier,
    ACTIONS(2873), 2,
      sym_dynamic_variable,
      sym_global_variable,
  [31347] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2875), 1,
      anon_sym_LF,
    STATE(75), 1,
      sym__line_terminator,
    ACTIONS(2877), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31364] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2879), 1,
      anon_sym_LPAREN,
    STATE(629), 1,
      sym__identifier,
    STATE(1041), 1,
      sym_identifier,
    STATE(1633), 1,
      sym__identifier_list,
  [31383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2881), 1,
      anon_sym_LF,
    STATE(34), 1,
      sym__line_terminator,
    ACTIONS(2883), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2885), 1,
      anon_sym_LF,
    STATE(59), 1,
      sym__line_terminator,
    ACTIONS(2887), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2889), 1,
      anon_sym_LF,
    STATE(57), 1,
      sym__line_terminator,
    ACTIONS(2891), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31434] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2893), 1,
      anon_sym_COMMA,
    STATE(1092), 1,
      aux_sym__identifier_list_repeat1,
    ACTIONS(1970), 3,
      anon_sym_RPAREN,
      anon_sym_LT_LT,
      anon_sym__over,
  [31449] = 6,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2602), 1,
      anon_sym_RBRACK,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1619), 1,
      sym__arguments,
  [31468] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2871), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(973), 1,
      sym_identifier,
    ACTIONS(2896), 2,
      sym_dynamic_variable,
      sym_global_variable,
  [31485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2898), 1,
      anon_sym_LF,
    STATE(49), 1,
      sym__line_terminator,
    ACTIONS(2900), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31502] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2902), 1,
      anon_sym_LF,
    STATE(39), 1,
      sym__line_terminator,
    ACTIONS(2904), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2906), 1,
      anon_sym_LF,
    STATE(40), 1,
      sym__line_terminator,
    ACTIONS(2908), 2,
      anon_sym_LT_LT,
      anon_sym_CARET_LT_LT,
  [31536] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1318), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [31552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_DQUOTE,
    STATE(1183), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(2914), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
  [31566] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(180), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [31582] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1286), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [31598] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1456), 1,
      sym__arguments,
  [31614] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_COMMA,
    STATE(1103), 1,
      aux_sym__arguments_repeat1,
    ACTIONS(1961), 2,
      anon_sym_CR,
      anon_sym_LF,
  [31628] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1041), 1,
      sym_identifier,
    STATE(1693), 1,
      sym__identifier_list,
  [31644] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1309), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [31660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2919), 1,
      anon_sym_COMMA,
    STATE(1103), 1,
      aux_sym__arguments_repeat1,
    ACTIONS(1982), 2,
      anon_sym_CR,
      anon_sym_LF,
  [31674] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2921), 1,
      anon_sym__gather,
    STATE(629), 1,
      sym__identifier,
    STATE(1350), 1,
      sym_identifier,
  [31690] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1296), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [31706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2923), 1,
      anon_sym_COMMA,
    STATE(1106), 1,
      aux_sym__arguments_repeat1,
    ACTIONS(1992), 2,
      anon_sym_CR,
      anon_sym_LF,
  [31720] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1480), 1,
      sym__arguments,
  [31736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(771), 1,
      sym__identifier,
    ACTIONS(2925), 3,
      aux_sym_slot_accessor_token1,
      aux_sym_character_literal_token1,
      anon_sym_,
  [31748] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2927), 1,
      anon_sym__gather,
    STATE(629), 1,
      sym__identifier,
    STATE(1350), 1,
      sym_identifier,
  [31764] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2929), 1,
      anon_sym__gather,
    STATE(629), 1,
      sym__identifier,
    STATE(1350), 1,
      sym_identifier,
  [31780] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2931), 1,
      anon_sym__gather,
    STATE(629), 1,
      sym__identifier,
    STATE(1350), 1,
      sym_identifier,
  [31796] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2933), 1,
      anon_sym__gather,
    STATE(629), 1,
      sym__identifier,
    STATE(1350), 1,
      sym_identifier,
  [31812] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1430), 1,
      sym__arguments,
  [31828] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1331), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [31844] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1041), 1,
      sym_identifier,
    STATE(1637), 1,
      sym__identifier_list,
  [31860] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1337), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [31876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2935), 1,
      anon_sym_DQUOTE,
    STATE(1160), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(2937), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
  [31890] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1265), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [31906] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1343), 1,
      sym__identifier,
    STATE(1360), 1,
      sym__arguments,
  [31922] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1263), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [31938] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1471), 1,
      sym__arguments,
  [31954] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2939), 1,
      anon_sym__gather,
    STATE(629), 1,
      sym__identifier,
    STATE(1350), 1,
      sym_identifier,
  [31970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2935), 1,
      anon_sym_SQUOTE,
    STATE(1163), 1,
      aux_sym_string_literal_repeat2,
    ACTIONS(2941), 2,
      aux_sym_string_literal_token2,
      aux_sym_string_literal_token3,
  [31984] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1435), 1,
      sym__arguments,
  [32000] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1380), 1,
      sym__arguments,
  [32016] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(159), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [32032] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1439), 1,
      sym__arguments,
  [32048] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1041), 1,
      sym_identifier,
    STATE(1565), 1,
      sym__identifier_list,
  [32064] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1343), 1,
      sym__identifier,
    STATE(1364), 1,
      sym__arguments,
  [32080] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1398), 1,
      sym__arguments,
  [32096] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1250), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32112] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1446), 1,
      sym__arguments,
  [32128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(472), 1,
      sym__identifier,
    ACTIONS(2943), 3,
      aux_sym_slot_accessor_token1,
      aux_sym_character_literal_token1,
      anon_sym_,
  [32140] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1339), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32156] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1041), 1,
      sym_identifier,
    STATE(1551), 1,
      sym__identifier_list,
  [32172] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2945), 1,
      anon_sym__gather,
    STATE(629), 1,
      sym__identifier,
    STATE(1181), 1,
      sym_identifier,
  [32188] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1336), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_SQUOTE,
    STATE(1186), 1,
      aux_sym_string_literal_repeat2,
    ACTIONS(2947), 2,
      aux_sym_string_literal_token2,
      aux_sym_string_literal_token3,
  [32218] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1451), 1,
      sym__arguments,
  [32234] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(166), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [32250] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1303), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32266] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1245), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32282] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(966), 1,
      sym_identifier,
    STATE(993), 1,
      sym__identifier_list,
  [32298] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2949), 1,
      anon_sym__gather,
    STATE(629), 1,
      sym__identifier,
    STATE(1350), 1,
      sym_identifier,
  [32314] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1441), 1,
      sym__arguments,
  [32330] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1442), 1,
      sym__arguments,
  [32346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2953), 1,
      anon_sym_SQUOTE,
    STATE(1141), 1,
      aux_sym_string_literal_repeat2,
    ACTIONS(2951), 2,
      aux_sym_string_literal_token2,
      aux_sym_string_literal_token3,
  [32360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2953), 1,
      anon_sym_DQUOTE,
    STATE(1099), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(2955), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
  [32374] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(147), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [32390] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1299), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32406] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1236), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32422] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1457), 1,
      sym__arguments,
  [32438] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1308), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32454] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1307), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32470] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1223), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32486] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(140), 1,
      sym__identifier_list,
    STATE(629), 1,
      sym__identifier,
    STATE(642), 1,
      sym_identifier,
  [32502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_DQUOTE,
    STATE(1183), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(2914), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
  [32516] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1290), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32532] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1220), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 1,
      anon_sym_SQUOTE,
    STATE(1186), 1,
      aux_sym_string_literal_repeat2,
    ACTIONS(2947), 2,
      aux_sym_string_literal_token2,
      aux_sym_string_literal_token3,
  [32562] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2722), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2781), 1,
      sym_dynamic_variable,
    STATE(629), 1,
      sym__identifier,
    STATE(1599), 1,
      sym_identifier,
  [32578] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2959), 1,
      anon_sym__gather,
    STATE(629), 1,
      sym__identifier,
    STATE(1350), 1,
      sym_identifier,
  [32594] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1277), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32610] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1284), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32626] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1437), 1,
      sym__arguments,
  [32642] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(154), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [32658] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1283), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32674] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1478), 1,
      sym__arguments,
  [32690] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1208), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32706] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2961), 1,
      anon_sym__gather,
    STATE(629), 1,
      sym__identifier,
    STATE(1189), 1,
      sym_identifier,
  [32722] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1269), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32738] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1041), 1,
      sym_identifier,
    STATE(1554), 1,
      sym__identifier_list,
  [32754] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(203), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [32770] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1258), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32786] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1205), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32802] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1206), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32818] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(157), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [32834] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2963), 1,
      anon_sym_RPAREN,
    ACTIONS(2965), 1,
      anon_sym_LT_LT,
    ACTIONS(2967), 1,
      anon_sym_COMMA,
    STATE(1213), 1,
      aux_sym_local_repeat1,
  [32850] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1254), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2969), 1,
      anon_sym_DQUOTE,
    STATE(1183), 1,
      aux_sym_string_literal_repeat1,
    ACTIONS(2971), 2,
      aux_sym_string_literal_token1,
      aux_sym_string_literal_token2,
  [32880] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1041), 1,
      sym_identifier,
    STATE(1511), 1,
      sym__identifier_list,
  [32896] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(183), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [32912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2977), 1,
      anon_sym_SQUOTE,
    STATE(1186), 1,
      aux_sym_string_literal_repeat2,
    ACTIONS(2974), 2,
      aux_sym_string_literal_token2,
      aux_sym_string_literal_token3,
  [32926] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2722), 1,
      aux_sym_slot_accessor_token1,
    ACTIONS(2979), 1,
      sym_dynamic_variable,
    STATE(629), 1,
      sym__identifier,
    STATE(1529), 1,
      sym_identifier,
  [32942] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1216), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [32958] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2981), 1,
      anon_sym_RPAREN,
    ACTIONS(2983), 1,
      anon_sym_LT_LT,
    ACTIONS(2985), 1,
      anon_sym_COMMA,
    STATE(1253), 1,
      aux_sym_local_repeat1,
  [32974] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(199), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [32990] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1247), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [33006] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1031), 1,
      sym_argument,
    STATE(1464), 1,
      sym__arguments,
  [33022] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(177), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [33038] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1242), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [33054] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1217), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [33070] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(178), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [33086] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(162), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [33102] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(192), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [33118] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(206), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [33134] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(204), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [33150] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1109), 1,
      sym_argument,
    STATE(1222), 1,
      sym__arguments,
    STATE(1343), 1,
      sym__identifier,
  [33166] = 5,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(200), 1,
      sym__arguments,
    STATE(630), 1,
      sym__identifier,
    STATE(637), 1,
      sym_argument,
  [33182] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_RPAREN,
    ACTIONS(2987), 1,
      anon_sym_COMMA,
    STATE(1353), 1,
      aux_sym_local_repeat1,
  [33195] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1607), 1,
      sym_argument,
  [33208] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2898), 1,
      anon_sym_LF,
    STATE(49), 1,
      sym__line_terminator,
  [33221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2775), 1,
      anon_sym_LF,
    STATE(51), 1,
      sym__line_terminator,
  [33234] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2678), 1,
      anon_sym__optional,
    ACTIONS(2680), 1,
      anon_sym__gather,
    ACTIONS(2682), 1,
      anon_sym_RPAREN,
  [33247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2861), 1,
      anon_sym_LF,
    STATE(45), 1,
      sym__line_terminator,
  [33260] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1421), 1,
      sym_identifier,
  [33273] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1467), 1,
      sym_identifier,
  [33286] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1523), 1,
      sym_argument,
  [33299] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(1015), 1,
      sym_identifier,
  [33312] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2989), 1,
      anon_sym_RPAREN,
    ACTIONS(2991), 1,
      anon_sym_COMMA,
    STATE(1353), 1,
      aux_sym_local_repeat1,
  [33325] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1461), 1,
      sym_identifier,
  [33338] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2993), 1,
      anon_sym__optional,
    ACTIONS(2995), 1,
      anon_sym__gather,
    ACTIONS(2997), 1,
      anon_sym_RPAREN,
  [33351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2742), 1,
      anon_sym_LF,
    STATE(62), 1,
      sym__line_terminator,
  [33364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2999), 1,
      anon_sym_LF,
    STATE(65), 1,
      sym__line_terminator,
  [33377] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3001), 1,
      aux_sym_slot_accessor_token1,
    STATE(684), 1,
      sym__identifier,
    STATE(719), 1,
      sym_identifier,
  [33390] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(986), 1,
      sym_identifier,
  [33403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2763), 1,
      anon_sym_LF,
    STATE(42), 1,
      sym__line_terminator,
  [33416] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(1027), 1,
      sym_identifier,
  [33429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2750), 1,
      anon_sym_LF,
    STATE(79), 1,
      sym__line_terminator,
  [33442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2906), 1,
      anon_sym_LF,
    STATE(40), 1,
      sym__line_terminator,
  [33455] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1663), 1,
      sym_argument,
  [33468] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3003), 1,
      anon_sym__when,
    ACTIONS(3006), 1,
      anon_sym__endtry,
    STATE(1225), 1,
      aux_sym_try_repeat2,
  [33481] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2686), 1,
      anon_sym__optional,
    ACTIONS(2688), 1,
      anon_sym__gather,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
  [33494] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3008), 1,
      anon_sym__endtry,
    STATE(1225), 1,
      aux_sym_try_repeat2,
  [33507] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym__finally,
    ACTIONS(757), 1,
      anon_sym__endloop,
    STATE(1504), 1,
      sym_finally,
  [33520] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3010), 1,
      anon_sym__endtry,
    STATE(1260), 1,
      aux_sym_try_repeat2,
  [33533] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym__optional,
    ACTIONS(2645), 1,
      anon_sym__gather,
    ACTIONS(2647), 1,
      anon_sym_RPAREN,
  [33546] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(633), 1,
      sym_identifier,
  [33559] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3012), 1,
      anon_sym__endtry,
    STATE(1225), 1,
      aux_sym_try_repeat2,
  [33572] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(636), 1,
      sym_identifier,
  [33585] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(3014), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
  [33598] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(561), 1,
      sym_identifier,
  [33611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2881), 1,
      anon_sym_LF,
    STATE(34), 1,
      sym__line_terminator,
  [33624] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1576), 1,
      sym_argument,
  [33637] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(1011), 1,
      sym_identifier,
  [33650] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(96), 1,
      sym_identifier,
    STATE(629), 1,
      sym__identifier,
  [33663] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(3016), 1,
      anon_sym__with,
    STATE(1266), 1,
      aux_sym_handling_repeat1,
  [33676] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym__optional,
    ACTIONS(2611), 1,
      anon_sym__gather,
    ACTIONS(2613), 1,
      anon_sym_RPAREN,
  [33689] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2754), 1,
      anon_sym_LF,
    STATE(81), 1,
      sym__line_terminator,
  [33702] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1486), 1,
      sym_argument,
  [33715] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3018), 1,
      anon_sym__optional,
    ACTIONS(3020), 1,
      anon_sym__gather,
    ACTIONS(3022), 1,
      anon_sym_RPAREN,
  [33728] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2867), 1,
      anon_sym_LF,
    STATE(31), 1,
      sym__line_terminator,
  [33741] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1569), 1,
      sym_argument,
  [33754] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3024), 1,
      anon_sym_LF,
    STATE(82), 1,
      sym__line_terminator,
  [33767] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(1018), 1,
      sym_identifier,
  [33780] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2910), 1,
      aux_sym_slot_accessor_token1,
    STATE(1343), 1,
      sym__identifier,
    STATE(1363), 1,
      sym_argument,
  [33793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2851), 1,
      anon_sym_LF,
    STATE(24), 1,
      sym__line_terminator,
  [33806] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1561), 1,
      sym_argument,
  [33819] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(595), 1,
      sym_identifier,
  [33832] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_RPAREN,
    ACTIONS(3028), 1,
      anon_sym_COMMA,
    STATE(1353), 1,
      aux_sym_local_repeat1,
  [33845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3030), 1,
      anon_sym_LF,
    STATE(78), 1,
      sym__line_terminator,
  [33858] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(3032), 1,
      anon_sym__with,
    STATE(1266), 1,
      aux_sym_handling_repeat1,
  [33871] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(3034), 1,
      anon_sym__with,
    STATE(1266), 1,
      aux_sym_handling_repeat1,
  [33884] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(3036), 1,
      anon_sym__with,
    STATE(1266), 1,
      aux_sym_handling_repeat1,
  [33897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2787), 1,
      anon_sym_LF,
    STATE(74), 1,
      sym__line_terminator,
  [33910] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym__endloop,
    ACTIONS(639), 1,
      anon_sym__finally,
    STATE(1520), 1,
      sym_finally,
  [33923] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3038), 1,
      anon_sym__endtry,
    STATE(1225), 1,
      aux_sym_try_repeat2,
  [33936] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
  [33949] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(3042), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
  [33962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2819), 1,
      anon_sym_LF,
    STATE(76), 1,
      sym__line_terminator,
  [33975] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1544), 1,
      sym_argument,
  [33988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3044), 1,
      anon_sym_LF,
    STATE(60), 1,
      sym__line_terminator,
  [34001] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3046), 1,
      anon_sym_COMMA,
    ACTIONS(3049), 1,
      anon_sym__with,
    STATE(1266), 1,
      aux_sym_handling_repeat1,
  [34014] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(1000), 1,
      sym_identifier,
  [34027] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3051), 1,
      anon_sym__endtry,
    STATE(1225), 1,
      aux_sym_try_repeat2,
  [34040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3053), 1,
      anon_sym_LF,
    STATE(61), 1,
      sym__line_terminator,
  [34053] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(3055), 1,
      anon_sym__with,
    STATE(1266), 1,
      aux_sym_handling_repeat1,
  [34066] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1562), 1,
      sym_argument,
  [34079] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1558), 1,
      sym_argument,
  [34092] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3057), 1,
      anon_sym__endtry,
    STATE(1227), 1,
      aux_sym_try_repeat2,
  [34105] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(66), 1,
      sym_identifier,
    STATE(629), 1,
      sym__identifier,
  [34118] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(91), 1,
      sym_identifier,
    STATE(629), 1,
      sym__identifier,
  [34131] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(3059), 1,
      anon_sym__with,
    STATE(1266), 1,
      aux_sym_handling_repeat1,
  [34144] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3061), 1,
      anon_sym_LF,
    STATE(54), 1,
      sym__line_terminator,
  [34157] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(859), 1,
      sym_identifier,
  [34170] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(800), 1,
      sym_identifier,
  [34183] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1567), 1,
      sym_argument,
  [34196] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1460), 1,
      sym_identifier,
  [34209] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3063), 1,
      anon_sym__optional,
    ACTIONS(3065), 1,
      anon_sym__gather,
    ACTIONS(3067), 1,
      anon_sym_RPAREN,
  [34222] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2845), 1,
      anon_sym_LF,
    STATE(25), 1,
      sym__line_terminator,
  [34235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3069), 1,
      anon_sym_LF,
    STATE(29), 1,
      sym__line_terminator,
  [34248] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(631), 1,
      sym_argument,
  [34261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2823), 1,
      anon_sym_LF,
    STATE(64), 1,
      sym__line_terminator,
  [34274] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1522), 1,
      sym_argument,
  [34287] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1429), 1,
      sym_identifier,
  [34300] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym__with,
    STATE(1266), 1,
      aux_sym_handling_repeat1,
  [34313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3073), 1,
      anon_sym_LF,
    STATE(36), 1,
      sym__line_terminator,
  [34326] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3075), 1,
      anon_sym__endtry,
    STATE(1324), 1,
      aux_sym_try_repeat2,
  [34339] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3077), 1,
      anon_sym__endtry,
    STATE(1225), 1,
      aux_sym_try_repeat2,
  [34352] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1412), 1,
      sym_identifier,
  [34365] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym__finally,
    ACTIONS(809), 1,
      anon_sym__endloop,
    STATE(1584), 1,
      sym_finally,
  [34378] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(3079), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
  [34391] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3081), 1,
      anon_sym_LF,
    STATE(33), 1,
      sym__line_terminator,
  [34404] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3083), 1,
      anon_sym_CR,
    ACTIONS(3085), 1,
      anon_sym_LF,
    STATE(640), 1,
      sym__line_terminator,
  [34417] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3087), 1,
      anon_sym__endtry,
    STATE(1225), 1,
      aux_sym_try_repeat2,
  [34430] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3089), 1,
      anon_sym_LF,
    STATE(23), 1,
      sym__line_terminator,
  [34443] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(3091), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
  [34456] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1547), 1,
      sym_argument,
  [34469] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(3093), 1,
      anon_sym__with,
    STATE(1266), 1,
      aux_sym_handling_repeat1,
  [34482] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3095), 1,
      anon_sym_LF,
    STATE(58), 1,
      sym__line_terminator,
  [34495] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1559), 1,
      sym_argument,
  [34508] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1659), 1,
      sym_argument,
  [34521] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym__optional,
    ACTIONS(3099), 1,
      anon_sym__gather,
    ACTIONS(3101), 1,
      anon_sym_RPAREN,
  [34534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2885), 1,
      anon_sym_LF,
    STATE(59), 1,
      sym__line_terminator,
  [34547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3103), 1,
      anon_sym_LF,
    STATE(69), 1,
      sym__line_terminator,
  [34560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2736), 1,
      anon_sym_LF,
    STATE(32), 1,
      sym__line_terminator,
  [34573] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1512), 1,
      sym_argument,
  [34586] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1400), 1,
      sym_identifier,
  [34599] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1444), 1,
      sym_identifier,
  [34612] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1572), 1,
      sym_argument,
  [34625] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1692), 1,
      sym_argument,
  [34638] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1575), 1,
      sym_argument,
  [34651] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1675), 1,
      sym_argument,
  [34664] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    ACTIONS(3105), 1,
      anon_sym__with,
    STATE(1266), 1,
      aux_sym_handling_repeat1,
  [34677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3107), 1,
      anon_sym_LF,
    STATE(67), 1,
      sym__line_terminator,
  [34690] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(633), 1,
      sym_identifier,
  [34703] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1431), 1,
      sym_identifier,
  [34716] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1503), 1,
      sym_argument,
  [34729] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1581), 1,
      sym_argument,
  [34742] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1428), 1,
      sym_identifier,
  [34755] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3109), 1,
      anon_sym__endtry,
    STATE(1225), 1,
      aux_sym_try_repeat2,
  [34768] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2481), 1,
      anon_sym_RPAREN,
    ACTIONS(3111), 1,
      anon_sym_COMMA,
    STATE(1353), 1,
      aux_sym_local_repeat1,
  [34781] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1585), 1,
      sym_argument,
  [34794] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1425), 1,
      sym_identifier,
  [34807] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3113), 3,
      anon_sym__endif,
      anon_sym__elif,
      anon_sym__else,
  [34816] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym__finally,
    ACTIONS(3115), 1,
      anon_sym__endloop,
    STATE(1636), 1,
      sym_finally,
  [34829] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1423), 1,
      sym_identifier,
  [34842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3117), 1,
      anon_sym_LF,
    STATE(47), 1,
      sym__line_terminator,
  [34855] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1397), 1,
      sym_identifier,
  [34868] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3119), 1,
      anon_sym__private,
    ACTIONS(3121), 1,
      anon_sym__iter,
    ACTIONS(3123), 1,
      anon_sym__method,
  [34881] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1580), 1,
      sym_argument,
  [34894] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3125), 1,
      anon_sym__optional,
    ACTIONS(3127), 1,
      anon_sym__gather,
    ACTIONS(3129), 1,
      anon_sym_RPAREN,
  [34907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2835), 1,
      anon_sym_LF,
    STATE(30), 1,
      sym__line_terminator,
  [34920] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2767), 1,
      anon_sym_LF,
    STATE(53), 1,
      sym__line_terminator,
  [34933] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym__optional,
    ACTIONS(3133), 1,
      anon_sym__gather,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
  [34946] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3137), 1,
      anon_sym_LF,
    STATE(63), 1,
      sym__line_terminator,
  [34959] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1488), 1,
      sym_argument,
  [34972] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym__finally,
    ACTIONS(3139), 1,
      anon_sym__endloop,
    STATE(1624), 1,
      sym_finally,
  [34985] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3001), 1,
      aux_sym_slot_accessor_token1,
    STATE(684), 1,
      sym__identifier,
    STATE(847), 1,
      sym_identifier,
  [34998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1957), 3,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
  [35007] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(3141), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
  [35020] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(3143), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
  [35033] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2730), 1,
      aux_sym_slot_accessor_token1,
    STATE(548), 1,
      sym__identifier,
    STATE(984), 1,
      sym_identifier,
  [35046] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1481), 1,
      sym_identifier,
  [35059] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym__finally,
    ACTIONS(779), 1,
      anon_sym__endloop,
    STATE(1640), 1,
      sym_finally,
  [35072] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2694), 1,
      aux_sym_slot_accessor_token1,
    STATE(629), 1,
      sym__identifier,
    STATE(1350), 1,
      sym_identifier,
  [35085] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3147), 1,
      anon_sym_LT_LT,
    ACTIONS(3145), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [35096] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(631), 1,
      sym_argument,
  [35109] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym__finally,
    ACTIONS(749), 1,
      anon_sym__endloop,
    STATE(1690), 1,
      sym_finally,
  [35122] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3145), 1,
      anon_sym_RPAREN,
    ACTIONS(3149), 1,
      anon_sym_COMMA,
    STATE(1353), 1,
      aux_sym_local_repeat1,
  [35135] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1537), 1,
      sym_argument,
  [35148] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3152), 1,
      anon_sym__endtry,
    STATE(1298), 1,
      aux_sym_try_repeat2,
  [35161] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(485), 1,
      anon_sym__when,
    ACTIONS(3154), 1,
      anon_sym__endtry,
    STATE(1225), 1,
      aux_sym_try_repeat2,
  [35174] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(3156), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
  [35187] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(3158), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
  [35200] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2134), 1,
      anon_sym_COMMA,
    ACTIONS(3160), 1,
      anon_sym_RPAREN,
    STATE(788), 1,
      aux_sym_loopbody_repeat1,
  [35213] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(2783), 1,
      anon_sym_LF,
    STATE(56), 1,
      sym__line_terminator,
  [35226] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1513), 1,
      sym_argument,
  [35239] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2586), 1,
      aux_sym_slot_accessor_token1,
    STATE(630), 1,
      sym__identifier,
    STATE(1524), 1,
      sym_argument,
  [35252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1961), 3,
      anon_sym_CR,
      anon_sym_LF,
      anon_sym_COMMA,
  [35261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2588), 1,
      anon_sym_CR,
    ACTIONS(3162), 1,
      anon_sym_LF,
    STATE(73), 1,
      sym__line_terminator,
  [35274] = 4,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(639), 1,
      anon_sym__finally,
    ACTIONS(705), 1,
      anon_sym__endloop,
    STATE(1656), 1,
      sym_finally,
  [35287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3164), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3168), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3172), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3174), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35335] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3121), 1,
      anon_sym__iter,
    ACTIONS(3123), 1,
      anon_sym__method,
  [35345] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3123), 1,
      anon_sym__method,
    ACTIONS(3176), 1,
      anon_sym__proc,
  [35355] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3123), 1,
      anon_sym__method,
    ACTIONS(3178), 1,
      anon_sym__proc,
  [35365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3180), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35373] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3182), 1,
      anon_sym_LPAREN,
    ACTIONS(3184), 1,
      sym_label,
  [35383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3186), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3188), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3190), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35407] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3192), 1,
      anon_sym__gather,
    ACTIONS(3194), 1,
      anon_sym_RPAREN,
  [35417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3196), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3198), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3200), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3202), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3204), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3206), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3208), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3210), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3212), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3214), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3216), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3218), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35513] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3220), 1,
      anon_sym__iter,
    ACTIONS(3222), 1,
      anon_sym__method,
  [35523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3224), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35531] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN,
    ACTIONS(3228), 1,
      sym_label,
  [35541] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3230), 1,
      anon_sym_LPAREN,
    ACTIONS(3232), 1,
      sym_label,
  [35551] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3234), 1,
      anon_sym_DOT,
    ACTIONS(3236), 1,
      anon_sym_LBRACK,
  [35561] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3238), 1,
      anon_sym__gather,
    ACTIONS(3240), 1,
      anon_sym_RPAREN,
  [35571] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3242), 1,
      anon_sym__import,
    ACTIONS(3244), 1,
      sym_dynamic_variable,
  [35581] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3246), 1,
      anon_sym_RPAREN,
    ACTIONS(3248), 1,
      anon_sym_LT_LT,
  [35591] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3250), 1,
      anon_sym_LPAREN,
    ACTIONS(3252), 1,
      sym_label,
  [35601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3254), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3256), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3258), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3260), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3262), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3264), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3266), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3268), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3270), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35673] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3272), 1,
      aux_sym_slot_accessor_token1,
    STATE(48), 1,
      sym__identifier,
  [35683] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3274), 1,
      anon_sym_DOT,
    ACTIONS(3276), 1,
      anon_sym_LBRACK,
  [35693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3278), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3280), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3282), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3284), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3286), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3290), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35757] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3294), 1,
      anon_sym_DOT,
    ACTIONS(3296), 1,
      anon_sym_LBRACK,
  [35767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3298), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35775] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_RPAREN,
    ACTIONS(3300), 1,
      anon_sym_LT_LT,
  [35785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3302), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35793] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2459), 1,
      anon_sym_RPAREN,
    ACTIONS(3304), 1,
      anon_sym_LT_LT,
  [35803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3306), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3308), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35819] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3310), 1,
      anon_sym_RPAREN,
    ACTIONS(3312), 1,
      anon_sym_LT_LT,
  [35829] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2481), 1,
      anon_sym_RPAREN,
    ACTIONS(3314), 1,
      anon_sym_LT_LT,
  [35839] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3316), 1,
      anon_sym__gather,
    ACTIONS(3318), 1,
      anon_sym_RPAREN,
  [35849] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2461), 1,
      anon_sym_RPAREN,
    ACTIONS(3320), 1,
      anon_sym_LT_LT,
  [35859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3322), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3324), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3326), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35883] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3328), 1,
      anon_sym__gather,
    ACTIONS(3330), 1,
      anon_sym_RPAREN,
  [35893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3332), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35901] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym__gather,
    ACTIONS(2682), 1,
      anon_sym_RPAREN,
  [35911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3334), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35919] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3336), 1,
      anon_sym__gather,
    ACTIONS(3338), 1,
      anon_sym_RPAREN,
  [35929] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3340), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35937] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3342), 1,
      anon_sym__gather,
    ACTIONS(3344), 1,
      anon_sym_RPAREN,
  [35947] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3346), 1,
      anon_sym__gather,
    ACTIONS(3348), 1,
      anon_sym_RPAREN,
  [35957] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3350), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35965] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2989), 1,
      anon_sym_RPAREN,
    ACTIONS(3352), 1,
      anon_sym_LT_LT,
  [35975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3354), 2,
      anon_sym_CR,
      anon_sym_LF,
  [35983] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2995), 1,
      anon_sym__gather,
    ACTIONS(2997), 1,
      anon_sym_RPAREN,
  [35993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3356), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3358), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3360), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3362), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36025] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2688), 1,
      anon_sym__gather,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
  [36035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3364), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3366), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3368), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3370), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36067] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3372), 1,
      anon_sym__gather,
    ACTIONS(3374), 1,
      anon_sym_RPAREN,
  [36077] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3376), 1,
      anon_sym__gather,
    ACTIONS(3378), 1,
      anon_sym_RPAREN,
  [36087] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3380), 2,
      anon_sym__when,
      anon_sym__endtry,
  [36095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3382), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36103] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2487), 1,
      anon_sym_RPAREN,
    ACTIONS(3384), 1,
      anon_sym_LT_LT,
  [36113] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3386), 1,
      anon_sym_DOT,
    ACTIONS(3388), 1,
      anon_sym_LBRACK,
  [36123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3390), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3392), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36139] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3020), 1,
      anon_sym__gather,
    ACTIONS(3022), 1,
      anon_sym_RPAREN,
  [36149] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3242), 1,
      anon_sym__import,
    ACTIONS(3394), 1,
      sym_dynamic_variable,
  [36159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3396), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36167] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3026), 1,
      anon_sym_RPAREN,
    ACTIONS(3398), 1,
      anon_sym_LT_LT,
  [36177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3400), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3402), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3404), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36201] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3406), 1,
      anon_sym__gather,
    ACTIONS(3408), 1,
      anon_sym_RPAREN,
  [36211] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3410), 2,
      anon_sym__when,
      anon_sym__endtry,
  [36219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3412), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3414), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3416), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3418), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3420), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36259] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3422), 1,
      anon_sym__gather,
    ACTIONS(3424), 1,
      anon_sym_RPAREN,
  [36269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3426), 2,
      anon_sym_CR,
      anon_sym_LF,
  [36277] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3428), 1,
      anon_sym__gather,
    ACTIONS(3430), 1,
      anon_sym_RPAREN,
  [36287] = 3,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2465), 1,
      anon_sym_RPAREN,
    ACTIONS(3432), 1,
      anon_sym_LT_LT,
  [36297] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym__endmethod,
  [36304] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(645), 1,
      anon_sym__endmethod,
  [36311] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(739), 1,
      anon_sym__endproc,
  [36318] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3434), 1,
      aux_sym_class_token1,
  [36325] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3424), 1,
      anon_sym_RPAREN,
  [36332] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_RBRACK,
  [36339] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3430), 1,
      anon_sym_RPAREN,
  [36346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3436), 1,
      anon_sym_LF,
  [36353] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3438), 1,
      sym_number,
  [36360] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1025), 1,
      anon_sym__endmethod,
  [36367] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(667), 1,
      anon_sym__endmethod,
  [36374] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3440), 1,
      anon_sym_RBRACK,
  [36381] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym__endblock,
  [36388] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(651), 1,
      anon_sym__endmethod,
  [36395] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3442), 1,
      anon_sym__protection,
  [36402] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3444), 1,
      aux_sym_slot_accessor_token1,
  [36409] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(481), 1,
      anon_sym__endmethod,
  [36416] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym__endloop,
  [36423] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(509), 1,
      anon_sym__endmethod,
  [36430] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3446), 1,
      anon_sym__endloop,
  [36437] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(675), 1,
      anon_sym__endmethod,
  [36444] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3408), 1,
      anon_sym_RPAREN,
  [36451] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(637), 1,
      anon_sym__endloop,
  [36458] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3448), 1,
      anon_sym__endloop,
  [36465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3450), 1,
      anon_sym_LF,
  [36472] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym__endmethod,
  [36479] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2718), 1,
      anon_sym__endif,
  [36486] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3452), 1,
      anon_sym__endif,
  [36493] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3454), 1,
      anon_sym_LT_LT,
  [36500] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3456), 1,
      anon_sym_RPAREN,
  [36507] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3458), 1,
      anon_sym_RPAREN,
  [36514] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_RPAREN,
  [36521] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3462), 1,
      anon_sym_LT_LT,
  [36528] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym__endmethod,
  [36535] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1033), 1,
      anon_sym__endmethod,
  [36542] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(807), 1,
      anon_sym__endproc,
  [36549] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3464), 1,
      anon_sym__endif,
  [36556] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(691), 1,
      anon_sym__endmethod,
  [36563] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(809), 1,
      anon_sym__endloop,
  [36570] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym__endproc,
  [36577] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3466), 1,
      anon_sym_RPAREN,
  [36584] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym_RPAREN,
  [36591] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3468), 1,
      anon_sym_RPAREN,
  [36598] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3470), 1,
      anon_sym_RBRACK,
  [36605] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym__endmethod,
  [36612] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3472), 1,
      anon_sym__endmethod,
  [36619] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1027), 1,
      anon_sym__endprotect,
  [36626] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3474), 1,
      anon_sym_LT_LT,
  [36633] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3476), 1,
      anon_sym__protection,
  [36640] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3478), 1,
      anon_sym__endlock,
  [36647] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3480), 1,
      anon_sym_RBRACK,
  [36654] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3482), 1,
      anon_sym__endprotect,
  [36661] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3484), 1,
      anon_sym_RBRACE,
  [36668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3486), 1,
      anon_sym_LF,
  [36675] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(517), 1,
      anon_sym__endmethod,
  [36682] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3374), 1,
      anon_sym_RPAREN,
  [36689] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(721), 1,
      anon_sym__endmethod,
  [36696] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3101), 1,
      anon_sym_RBRACK,
  [36703] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(999), 1,
      anon_sym__endloop,
  [36710] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(683), 1,
      anon_sym__endmethod,
  [36717] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(757), 1,
      anon_sym__endloop,
  [36724] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3488), 1,
      anon_sym__endcatch,
  [36731] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3490), 1,
      anon_sym_RPAREN,
  [36738] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(799), 1,
      anon_sym__endproc,
  [36745] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(997), 1,
      anon_sym__endmethod,
  [36752] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_RPAREN,
  [36759] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3492), 1,
      anon_sym_LT_LT,
  [36766] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym__endmethod,
  [36773] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(473), 1,
      anon_sym__endmethod,
  [36780] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3494), 1,
      anon_sym_RPAREN,
  [36787] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2716), 1,
      anon_sym__endif,
  [36794] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3496), 1,
      sym_dynamic_variable,
  [36801] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_RPAREN,
  [36808] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1015), 1,
      anon_sym__endmethod,
  [36815] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3500), 1,
      anon_sym_LT_LT,
  [36822] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(689), 1,
      anon_sym__endmethod,
  [36829] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3348), 1,
      anon_sym_RPAREN,
  [36836] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2997), 1,
      anon_sym_RPAREN,
  [36843] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(477), 1,
      anon_sym__endmethod,
  [36850] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3502), 1,
      anon_sym_RPAREN,
  [36857] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3378), 1,
      anon_sym_RPAREN,
  [36864] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(767), 1,
      anon_sym__endproc,
  [36871] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym__endmethod,
  [36878] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3506), 1,
      anon_sym_RPAREN,
  [36885] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1021), 1,
      anon_sym__endproc,
  [36892] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3344), 1,
      anon_sym_RPAREN,
  [36899] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(763), 1,
      anon_sym__endproc,
  [36906] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_RPAREN,
  [36913] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3508), 1,
      anon_sym__protection,
  [36920] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_RPAREN,
  [36927] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3338), 1,
      anon_sym_RPAREN,
  [36934] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3512), 1,
      anon_sym__endloop,
  [36941] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(495), 1,
      anon_sym__endmethod,
  [36948] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3330), 1,
      anon_sym_RPAREN,
  [36955] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3514), 1,
      anon_sym_RPAREN,
  [36962] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(479), 1,
      anon_sym__endmethod,
  [36969] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3516), 1,
      anon_sym_RBRACK,
  [36976] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(493), 1,
      anon_sym__endmethod,
  [36983] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3318), 1,
      anon_sym_RPAREN,
  [36990] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3518), 1,
      anon_sym_RPAREN,
  [36997] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(503), 1,
      anon_sym__endmethod,
  [37004] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym__endmethod,
  [37011] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3115), 1,
      anon_sym__endloop,
  [37018] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3520), 1,
      anon_sym_RPAREN,
  [37025] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym__endproc,
  [37032] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym__endmethod,
  [37039] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1001), 1,
      anon_sym__endprotect,
  [37046] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3524), 1,
      anon_sym__endloop,
  [37053] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3526), 1,
      anon_sym_RBRACE,
  [37060] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1059), 1,
      anon_sym__endmethod,
  [37067] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3528), 1,
      aux_sym_class_token1,
  [37074] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3530), 1,
      anon_sym__endmethod,
  [37081] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3532), 1,
      anon_sym__endprotect,
  [37088] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1011), 1,
      anon_sym__endmethod,
  [37095] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3534), 1,
      anon_sym_RBRACK,
  [37102] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3536), 1,
      anon_sym_RPAREN,
  [37109] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(519), 1,
      anon_sym__endmethod,
  [37116] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3538), 1,
      anon_sym_LT_LT,
  [37123] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym__endproc,
  [37130] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym__endproc,
  [37137] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3540), 1,
      anon_sym_RPAREN,
  [37144] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1055), 1,
      anon_sym__endprotect,
  [37151] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym__endmethod,
  [37158] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(803), 1,
      anon_sym__endproc,
  [37165] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(657), 1,
      anon_sym__endmethod,
  [37172] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3542), 1,
      anon_sym_RPAREN,
  [37179] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3544), 1,
      anon_sym__endloop,
  [37186] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3546), 1,
      anon_sym__endblock,
  [37193] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3548), 1,
      sym_dynamic_variable,
  [37200] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3550), 1,
      anon_sym_LT_LT,
  [37207] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3552), 1,
      anon_sym_RBRACK,
  [37214] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym__endmethod,
  [37221] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3135), 1,
      anon_sym_RBRACK,
  [37228] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(661), 1,
      anon_sym__endmethod,
  [37235] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(735), 1,
      anon_sym__endproc,
  [37242] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3556), 1,
      anon_sym__endprotect,
  [37249] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3558), 1,
      anon_sym_LPAREN,
  [37256] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_RBRACK,
  [37263] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(795), 1,
      anon_sym__endproc,
  [37270] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3560), 1,
      anon_sym__method,
  [37277] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(687), 1,
      anon_sym__endmethod,
  [37284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 1,
      anon_sym_LF,
  [37291] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3564), 1,
      anon_sym__endloop,
  [37298] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3566), 1,
      anon_sym_RPAREN,
  [37305] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3568), 1,
      anon_sym_LT_LT,
  [37312] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3570), 1,
      anon_sym__endproc,
  [37319] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(787), 1,
      anon_sym__endproc,
  [37326] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(693), 1,
      anon_sym__endmethod,
  [37333] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1063), 1,
      anon_sym__endmethod,
  [37340] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3572), 1,
      anon_sym__protection,
  [37347] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(725), 1,
      anon_sym__endmethod,
  [37354] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3574), 1,
      anon_sym_LT_LT,
  [37361] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3576), 1,
      anon_sym__endprotect,
  [37368] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(729), 1,
      anon_sym__endmethod,
  [37375] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3578), 1,
      anon_sym__endloop,
  [37382] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3580), 1,
      anon_sym__over,
  [37389] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(731), 1,
      anon_sym__endmethod,
  [37396] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1035), 1,
      anon_sym__endloop,
  [37403] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3139), 1,
      anon_sym__endloop,
  [37410] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1041), 1,
      anon_sym__endblock,
  [37417] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(723), 1,
      anon_sym__endmethod,
  [37424] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(677), 1,
      anon_sym__endmethod,
  [37431] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(783), 1,
      anon_sym__endproc,
  [37438] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN,
  [37445] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3582), 1,
      anon_sym_RPAREN,
  [37452] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3176), 1,
      anon_sym__proc,
  [37459] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_LPAREN,
  [37466] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1053), 1,
      anon_sym__endprotect,
  [37473] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2702), 1,
      anon_sym__endif,
  [37480] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3178), 1,
      anon_sym__proc,
  [37487] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3586), 1,
      anon_sym__endcatch,
  [37494] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3230), 1,
      anon_sym_LPAREN,
  [37501] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(697), 1,
      anon_sym__endmethod,
  [37508] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3222), 1,
      anon_sym__method,
  [37515] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(779), 1,
      anon_sym__endloop,
  [37522] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym__endmethod,
  [37529] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LPAREN,
  [37536] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3240), 1,
      anon_sym_RPAREN,
  [37543] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(685), 1,
      anon_sym__endmethod,
  [37550] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3590), 1,
      anon_sym__endif,
  [37557] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(669), 1,
      anon_sym__endmethod,
  [37564] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3592), 1,
      anon_sym_RPAREN,
  [37571] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3594), 1,
      ts_builtin_sym_end,
  [37578] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(995), 1,
      anon_sym__endmethod,
  [37585] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3596), 1,
      anon_sym_LT_LT,
  [37592] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(507), 1,
      anon_sym__endmethod,
  [37599] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(749), 1,
      anon_sym__endloop,
  [37606] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(475), 1,
      anon_sym__endmethod,
  [37613] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1019), 1,
      anon_sym__endloop,
  [37620] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1067), 1,
      anon_sym__endmethod,
  [37627] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1045), 1,
      anon_sym__endproc,
  [37634] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(791), 1,
      anon_sym__endproc,
  [37641] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3598), 1,
      anon_sym__endmethod,
  [37648] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3194), 1,
      anon_sym_RPAREN,
  [37655] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(679), 1,
      anon_sym__endmethod,
  [37662] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3600), 1,
      anon_sym_RPAREN,
  [37669] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1009), 1,
      anon_sym__endmethod,
  [37676] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym__endmethod,
  [37683] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3602), 1,
      anon_sym__endmethod,
  [37690] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(703), 1,
      anon_sym__endmethod,
  [37697] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3604), 1,
      anon_sym__endblock,
  [37704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 1,
      aux_sym_pragma_token1,
  [37711] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3608), 1,
      anon_sym_LPAREN,
  [37718] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(1017), 1,
      anon_sym__endmethod,
  [37725] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3610), 1,
      sym_number,
  [37732] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3612), 1,
      anon_sym__endloop,
  [37739] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3614), 1,
      aux_sym_slot_accessor_token1,
  [37746] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(775), 1,
      anon_sym__endproc,
  [37753] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(705), 1,
      anon_sym__endloop,
  [37760] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(717), 1,
      anon_sym__endmethod,
  [37767] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3616), 1,
      anon_sym_RPAREN,
  [37774] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym__over,
  [37781] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym__endmethod,
  [37788] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(2707), 1,
      anon_sym__endif,
  [37795] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3622), 1,
      anon_sym_LT_LT,
  [37802] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3624), 1,
      anon_sym__endmethod,
  [37809] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(3626), 1,
      anon_sym__endlock,
  [37816] = 2,
    ACTIONS(87), 1,
      sym_comment,
    ACTIONS(755), 1,
      anon_sym__endproc,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(551)] = 0,
  [SMALL_STATE(552)] = 87,
  [SMALL_STATE(553)] = 170,
  [SMALL_STATE(554)] = 241,
  [SMALL_STATE(555)] = 328,
  [SMALL_STATE(556)] = 415,
  [SMALL_STATE(557)] = 502,
  [SMALL_STATE(558)] = 573,
  [SMALL_STATE(559)] = 644,
  [SMALL_STATE(560)] = 731,
  [SMALL_STATE(561)] = 814,
  [SMALL_STATE(562)] = 887,
  [SMALL_STATE(563)] = 958,
  [SMALL_STATE(564)] = 1041,
  [SMALL_STATE(565)] = 1112,
  [SMALL_STATE(566)] = 1185,
  [SMALL_STATE(567)] = 1258,
  [SMALL_STATE(568)] = 1341,
  [SMALL_STATE(569)] = 1414,
  [SMALL_STATE(570)] = 1493,
  [SMALL_STATE(571)] = 1566,
  [SMALL_STATE(572)] = 1639,
  [SMALL_STATE(573)] = 1718,
  [SMALL_STATE(574)] = 1801,
  [SMALL_STATE(575)] = 1874,
  [SMALL_STATE(576)] = 1955,
  [SMALL_STATE(577)] = 2026,
  [SMALL_STATE(578)] = 2099,
  [SMALL_STATE(579)] = 2182,
  [SMALL_STATE(580)] = 2255,
  [SMALL_STATE(581)] = 2340,
  [SMALL_STATE(582)] = 2425,
  [SMALL_STATE(583)] = 2508,
  [SMALL_STATE(584)] = 2593,
  [SMALL_STATE(585)] = 2678,
  [SMALL_STATE(586)] = 2761,
  [SMALL_STATE(587)] = 2850,
  [SMALL_STATE(588)] = 2935,
  [SMALL_STATE(589)] = 3017,
  [SMALL_STATE(590)] = 3099,
  [SMALL_STATE(591)] = 3177,
  [SMALL_STATE(592)] = 3259,
  [SMALL_STATE(593)] = 3341,
  [SMALL_STATE(594)] = 3421,
  [SMALL_STATE(595)] = 3501,
  [SMALL_STATE(596)] = 3573,
  [SMALL_STATE(597)] = 3655,
  [SMALL_STATE(598)] = 3737,
  [SMALL_STATE(599)] = 3807,
  [SMALL_STATE(600)] = 3889,
  [SMALL_STATE(601)] = 3959,
  [SMALL_STATE(602)] = 4041,
  [SMALL_STATE(603)] = 4119,
  [SMALL_STATE(604)] = 4200,
  [SMALL_STATE(605)] = 4281,
  [SMALL_STATE(606)] = 4362,
  [SMALL_STATE(607)] = 4443,
  [SMALL_STATE(608)] = 4524,
  [SMALL_STATE(609)] = 4605,
  [SMALL_STATE(610)] = 4686,
  [SMALL_STATE(611)] = 4767,
  [SMALL_STATE(612)] = 4848,
  [SMALL_STATE(613)] = 4925,
  [SMALL_STATE(614)] = 5006,
  [SMALL_STATE(615)] = 5087,
  [SMALL_STATE(616)] = 5168,
  [SMALL_STATE(617)] = 5249,
  [SMALL_STATE(618)] = 5330,
  [SMALL_STATE(619)] = 5411,
  [SMALL_STATE(620)] = 5492,
  [SMALL_STATE(621)] = 5571,
  [SMALL_STATE(622)] = 5652,
  [SMALL_STATE(623)] = 5733,
  [SMALL_STATE(624)] = 5814,
  [SMALL_STATE(625)] = 5895,
  [SMALL_STATE(626)] = 5976,
  [SMALL_STATE(627)] = 6057,
  [SMALL_STATE(628)] = 6134,
  [SMALL_STATE(629)] = 6215,
  [SMALL_STATE(630)] = 6283,
  [SMALL_STATE(631)] = 6349,
  [SMALL_STATE(632)] = 6415,
  [SMALL_STATE(633)] = 6484,
  [SMALL_STATE(634)] = 6549,
  [SMALL_STATE(635)] = 6619,
  [SMALL_STATE(636)] = 6689,
  [SMALL_STATE(637)] = 6753,
  [SMALL_STATE(638)] = 6821,
  [SMALL_STATE(639)] = 6889,
  [SMALL_STATE(640)] = 6957,
  [SMALL_STATE(641)] = 7021,
  [SMALL_STATE(642)] = 7089,
  [SMALL_STATE(643)] = 7157,
  [SMALL_STATE(644)] = 7221,
  [SMALL_STATE(645)] = 7289,
  [SMALL_STATE(646)] = 7357,
  [SMALL_STATE(647)] = 7425,
  [SMALL_STATE(648)] = 7488,
  [SMALL_STATE(649)] = 7550,
  [SMALL_STATE(650)] = 7615,
  [SMALL_STATE(651)] = 7678,
  [SMALL_STATE(652)] = 7743,
  [SMALL_STATE(653)] = 7822,
  [SMALL_STATE(654)] = 7885,
  [SMALL_STATE(655)] = 7964,
  [SMALL_STATE(656)] = 8045,
  [SMALL_STATE(657)] = 8108,
  [SMALL_STATE(658)] = 8173,
  [SMALL_STATE(659)] = 8234,
  [SMALL_STATE(660)] = 8299,
  [SMALL_STATE(661)] = 8378,
  [SMALL_STATE(662)] = 8457,
  [SMALL_STATE(663)] = 8520,
  [SMALL_STATE(664)] = 8583,
  [SMALL_STATE(665)] = 8646,
  [SMALL_STATE(666)] = 8720,
  [SMALL_STATE(667)] = 8780,
  [SMALL_STATE(668)] = 8840,
  [SMALL_STATE(669)] = 8902,
  [SMALL_STATE(670)] = 8962,
  [SMALL_STATE(671)] = 9024,
  [SMALL_STATE(672)] = 9086,
  [SMALL_STATE(673)] = 9146,
  [SMALL_STATE(674)] = 9226,
  [SMALL_STATE(675)] = 9306,
  [SMALL_STATE(676)] = 9366,
  [SMALL_STATE(677)] = 9426,
  [SMALL_STATE(678)] = 9500,
  [SMALL_STATE(679)] = 9560,
  [SMALL_STATE(680)] = 9620,
  [SMALL_STATE(681)] = 9694,
  [SMALL_STATE(682)] = 9754,
  [SMALL_STATE(683)] = 9828,
  [SMALL_STATE(684)] = 9888,
  [SMALL_STATE(685)] = 9948,
  [SMALL_STATE(686)] = 10008,
  [SMALL_STATE(687)] = 10084,
  [SMALL_STATE(688)] = 10144,
  [SMALL_STATE(689)] = 10220,
  [SMALL_STATE(690)] = 10280,
  [SMALL_STATE(691)] = 10356,
  [SMALL_STATE(692)] = 10432,
  [SMALL_STATE(693)] = 10492,
  [SMALL_STATE(694)] = 10552,
  [SMALL_STATE(695)] = 10628,
  [SMALL_STATE(696)] = 10688,
  [SMALL_STATE(697)] = 10748,
  [SMALL_STATE(698)] = 10808,
  [SMALL_STATE(699)] = 10868,
  [SMALL_STATE(700)] = 10928,
  [SMALL_STATE(701)] = 10988,
  [SMALL_STATE(702)] = 11062,
  [SMALL_STATE(703)] = 11124,
  [SMALL_STATE(704)] = 11196,
  [SMALL_STATE(705)] = 11260,
  [SMALL_STATE(706)] = 11320,
  [SMALL_STATE(707)] = 11392,
  [SMALL_STATE(708)] = 11452,
  [SMALL_STATE(709)] = 11514,
  [SMALL_STATE(710)] = 11574,
  [SMALL_STATE(711)] = 11634,
  [SMALL_STATE(712)] = 11694,
  [SMALL_STATE(713)] = 11754,
  [SMALL_STATE(714)] = 11814,
  [SMALL_STATE(715)] = 11876,
  [SMALL_STATE(716)] = 11954,
  [SMALL_STATE(717)] = 12030,
  [SMALL_STATE(718)] = 12106,
  [SMALL_STATE(719)] = 12168,
  [SMALL_STATE(720)] = 12232,
  [SMALL_STATE(721)] = 12308,
  [SMALL_STATE(722)] = 12386,
  [SMALL_STATE(723)] = 12446,
  [SMALL_STATE(724)] = 12506,
  [SMALL_STATE(725)] = 12566,
  [SMALL_STATE(726)] = 12626,
  [SMALL_STATE(727)] = 12686,
  [SMALL_STATE(728)] = 12762,
  [SMALL_STATE(729)] = 12822,
  [SMALL_STATE(730)] = 12882,
  [SMALL_STATE(731)] = 12942,
  [SMALL_STATE(732)] = 13018,
  [SMALL_STATE(733)] = 13078,
  [SMALL_STATE(734)] = 13154,
  [SMALL_STATE(735)] = 13230,
  [SMALL_STATE(736)] = 13308,
  [SMALL_STATE(737)] = 13386,
  [SMALL_STATE(738)] = 13446,
  [SMALL_STATE(739)] = 13506,
  [SMALL_STATE(740)] = 13566,
  [SMALL_STATE(741)] = 13626,
  [SMALL_STATE(742)] = 13702,
  [SMALL_STATE(743)] = 13762,
  [SMALL_STATE(744)] = 13822,
  [SMALL_STATE(745)] = 13882,
  [SMALL_STATE(746)] = 13942,
  [SMALL_STATE(747)] = 14002,
  [SMALL_STATE(748)] = 14062,
  [SMALL_STATE(749)] = 14122,
  [SMALL_STATE(750)] = 14182,
  [SMALL_STATE(751)] = 14242,
  [SMALL_STATE(752)] = 14302,
  [SMALL_STATE(753)] = 14362,
  [SMALL_STATE(754)] = 14424,
  [SMALL_STATE(755)] = 14484,
  [SMALL_STATE(756)] = 14544,
  [SMALL_STATE(757)] = 14604,
  [SMALL_STATE(758)] = 14664,
  [SMALL_STATE(759)] = 14724,
  [SMALL_STATE(760)] = 14784,
  [SMALL_STATE(761)] = 14844,
  [SMALL_STATE(762)] = 14904,
  [SMALL_STATE(763)] = 14964,
  [SMALL_STATE(764)] = 15024,
  [SMALL_STATE(765)] = 15084,
  [SMALL_STATE(766)] = 15144,
  [SMALL_STATE(767)] = 15206,
  [SMALL_STATE(768)] = 15266,
  [SMALL_STATE(769)] = 15326,
  [SMALL_STATE(770)] = 15386,
  [SMALL_STATE(771)] = 15446,
  [SMALL_STATE(772)] = 15506,
  [SMALL_STATE(773)] = 15568,
  [SMALL_STATE(774)] = 15628,
  [SMALL_STATE(775)] = 15688,
  [SMALL_STATE(776)] = 15748,
  [SMALL_STATE(777)] = 15808,
  [SMALL_STATE(778)] = 15868,
  [SMALL_STATE(779)] = 15928,
  [SMALL_STATE(780)] = 15988,
  [SMALL_STATE(781)] = 16048,
  [SMALL_STATE(782)] = 16110,
  [SMALL_STATE(783)] = 16170,
  [SMALL_STATE(784)] = 16232,
  [SMALL_STATE(785)] = 16294,
  [SMALL_STATE(786)] = 16356,
  [SMALL_STATE(787)] = 16416,
  [SMALL_STATE(788)] = 16476,
  [SMALL_STATE(789)] = 16540,
  [SMALL_STATE(790)] = 16600,
  [SMALL_STATE(791)] = 16678,
  [SMALL_STATE(792)] = 16738,
  [SMALL_STATE(793)] = 16813,
  [SMALL_STATE(794)] = 16874,
  [SMALL_STATE(795)] = 16949,
  [SMALL_STATE(796)] = 17010,
  [SMALL_STATE(797)] = 17085,
  [SMALL_STATE(798)] = 17160,
  [SMALL_STATE(799)] = 17235,
  [SMALL_STATE(800)] = 17308,
  [SMALL_STATE(801)] = 17369,
  [SMALL_STATE(802)] = 17440,
  [SMALL_STATE(803)] = 17513,
  [SMALL_STATE(804)] = 17586,
  [SMALL_STATE(805)] = 17657,
  [SMALL_STATE(806)] = 17716,
  [SMALL_STATE(807)] = 17789,
  [SMALL_STATE(808)] = 17862,
  [SMALL_STATE(809)] = 17921,
  [SMALL_STATE(810)] = 17992,
  [SMALL_STATE(811)] = 18063,
  [SMALL_STATE(812)] = 18134,
  [SMALL_STATE(813)] = 18205,
  [SMALL_STATE(814)] = 18266,
  [SMALL_STATE(815)] = 18329,
  [SMALL_STATE(816)] = 18400,
  [SMALL_STATE(817)] = 18463,
  [SMALL_STATE(818)] = 18522,
  [SMALL_STATE(819)] = 18581,
  [SMALL_STATE(820)] = 18656,
  [SMALL_STATE(821)] = 18731,
  [SMALL_STATE(822)] = 18806,
  [SMALL_STATE(823)] = 18869,
  [SMALL_STATE(824)] = 18932,
  [SMALL_STATE(825)] = 19011,
  [SMALL_STATE(826)] = 19070,
  [SMALL_STATE(827)] = 19149,
  [SMALL_STATE(828)] = 19208,
  [SMALL_STATE(829)] = 19285,
  [SMALL_STATE(830)] = 19346,
  [SMALL_STATE(831)] = 19425,
  [SMALL_STATE(832)] = 19496,
  [SMALL_STATE(833)] = 19571,
  [SMALL_STATE(834)] = 19646,
  [SMALL_STATE(835)] = 19707,
  [SMALL_STATE(836)] = 19776,
  [SMALL_STATE(837)] = 19849,
  [SMALL_STATE(838)] = 19916,
  [SMALL_STATE(839)] = 19983,
  [SMALL_STATE(840)] = 20062,
  [SMALL_STATE(841)] = 20133,
  [SMALL_STATE(842)] = 20194,
  [SMALL_STATE(843)] = 20255,
  [SMALL_STATE(844)] = 20330,
  [SMALL_STATE(845)] = 20401,
  [SMALL_STATE(846)] = 20476,
  [SMALL_STATE(847)] = 20537,
  [SMALL_STATE(848)] = 20600,
  [SMALL_STATE(849)] = 20662,
  [SMALL_STATE(850)] = 20736,
  [SMALL_STATE(851)] = 20806,
  [SMALL_STATE(852)] = 20876,
  [SMALL_STATE(853)] = 20938,
  [SMALL_STATE(854)] = 21000,
  [SMALL_STATE(855)] = 21074,
  [SMALL_STATE(856)] = 21152,
  [SMALL_STATE(857)] = 21214,
  [SMALL_STATE(858)] = 21292,
  [SMALL_STATE(859)] = 21354,
  [SMALL_STATE(860)] = 21414,
  [SMALL_STATE(861)] = 21488,
  [SMALL_STATE(862)] = 21562,
  [SMALL_STATE(863)] = 21632,
  [SMALL_STATE(864)] = 21690,
  [SMALL_STATE(865)] = 21760,
  [SMALL_STATE(866)] = 21834,
  [SMALL_STATE(867)] = 21904,
  [SMALL_STATE(868)] = 21978,
  [SMALL_STATE(869)] = 22048,
  [SMALL_STATE(870)] = 22106,
  [SMALL_STATE(871)] = 22176,
  [SMALL_STATE(872)] = 22238,
  [SMALL_STATE(873)] = 22316,
  [SMALL_STATE(874)] = 22394,
  [SMALL_STATE(875)] = 22462,
  [SMALL_STATE(876)] = 22532,
  [SMALL_STATE(877)] = 22598,
  [SMALL_STATE(878)] = 22666,
  [SMALL_STATE(879)] = 22732,
  [SMALL_STATE(880)] = 22801,
  [SMALL_STATE(881)] = 22870,
  [SMALL_STATE(882)] = 22939,
  [SMALL_STATE(883)] = 23004,
  [SMALL_STATE(884)] = 23073,
  [SMALL_STATE(885)] = 23142,
  [SMALL_STATE(886)] = 23211,
  [SMALL_STATE(887)] = 23280,
  [SMALL_STATE(888)] = 23349,
  [SMALL_STATE(889)] = 23418,
  [SMALL_STATE(890)] = 23487,
  [SMALL_STATE(891)] = 23546,
  [SMALL_STATE(892)] = 23615,
  [SMALL_STATE(893)] = 23680,
  [SMALL_STATE(894)] = 23739,
  [SMALL_STATE(895)] = 23806,
  [SMALL_STATE(896)] = 23875,
  [SMALL_STATE(897)] = 23944,
  [SMALL_STATE(898)] = 24013,
  [SMALL_STATE(899)] = 24082,
  [SMALL_STATE(900)] = 24151,
  [SMALL_STATE(901)] = 24220,
  [SMALL_STATE(902)] = 24289,
  [SMALL_STATE(903)] = 24358,
  [SMALL_STATE(904)] = 24427,
  [SMALL_STATE(905)] = 24496,
  [SMALL_STATE(906)] = 24565,
  [SMALL_STATE(907)] = 24634,
  [SMALL_STATE(908)] = 24710,
  [SMALL_STATE(909)] = 24786,
  [SMALL_STATE(910)] = 24858,
  [SMALL_STATE(911)] = 24934,
  [SMALL_STATE(912)] = 25010,
  [SMALL_STATE(913)] = 25078,
  [SMALL_STATE(914)] = 25154,
  [SMALL_STATE(915)] = 25226,
  [SMALL_STATE(916)] = 25302,
  [SMALL_STATE(917)] = 25378,
  [SMALL_STATE(918)] = 25450,
  [SMALL_STATE(919)] = 25518,
  [SMALL_STATE(920)] = 25590,
  [SMALL_STATE(921)] = 25662,
  [SMALL_STATE(922)] = 25738,
  [SMALL_STATE(923)] = 25814,
  [SMALL_STATE(924)] = 25884,
  [SMALL_STATE(925)] = 25960,
  [SMALL_STATE(926)] = 26036,
  [SMALL_STATE(927)] = 26108,
  [SMALL_STATE(928)] = 26184,
  [SMALL_STATE(929)] = 26260,
  [SMALL_STATE(930)] = 26336,
  [SMALL_STATE(931)] = 26412,
  [SMALL_STATE(932)] = 26488,
  [SMALL_STATE(933)] = 26564,
  [SMALL_STATE(934)] = 26640,
  [SMALL_STATE(935)] = 26716,
  [SMALL_STATE(936)] = 26792,
  [SMALL_STATE(937)] = 26868,
  [SMALL_STATE(938)] = 26923,
  [SMALL_STATE(939)] = 26990,
  [SMALL_STATE(940)] = 27057,
  [SMALL_STATE(941)] = 27112,
  [SMALL_STATE(942)] = 27179,
  [SMALL_STATE(943)] = 27250,
  [SMALL_STATE(944)] = 27317,
  [SMALL_STATE(945)] = 27388,
  [SMALL_STATE(946)] = 27458,
  [SMALL_STATE(947)] = 27528,
  [SMALL_STATE(948)] = 27598,
  [SMALL_STATE(949)] = 27668,
  [SMALL_STATE(950)] = 27738,
  [SMALL_STATE(951)] = 27808,
  [SMALL_STATE(952)] = 27878,
  [SMALL_STATE(953)] = 27948,
  [SMALL_STATE(954)] = 28018,
  [SMALL_STATE(955)] = 28088,
  [SMALL_STATE(956)] = 28158,
  [SMALL_STATE(957)] = 28228,
  [SMALL_STATE(958)] = 28298,
  [SMALL_STATE(959)] = 28368,
  [SMALL_STATE(960)] = 28438,
  [SMALL_STATE(961)] = 28508,
  [SMALL_STATE(962)] = 28578,
  [SMALL_STATE(963)] = 28648,
  [SMALL_STATE(964)] = 28718,
  [SMALL_STATE(965)] = 28785,
  [SMALL_STATE(966)] = 28815,
  [SMALL_STATE(967)] = 28844,
  [SMALL_STATE(968)] = 28873,
  [SMALL_STATE(969)] = 28904,
  [SMALL_STATE(970)] = 28935,
  [SMALL_STATE(971)] = 28966,
  [SMALL_STATE(972)] = 28995,
  [SMALL_STATE(973)] = 29024,
  [SMALL_STATE(974)] = 29053,
  [SMALL_STATE(975)] = 29086,
  [SMALL_STATE(976)] = 29117,
  [SMALL_STATE(977)] = 29146,
  [SMALL_STATE(978)] = 29177,
  [SMALL_STATE(979)] = 29206,
  [SMALL_STATE(980)] = 29235,
  [SMALL_STATE(981)] = 29268,
  [SMALL_STATE(982)] = 29301,
  [SMALL_STATE(983)] = 29326,
  [SMALL_STATE(984)] = 29355,
  [SMALL_STATE(985)] = 29379,
  [SMALL_STATE(986)] = 29403,
  [SMALL_STATE(987)] = 29429,
  [SMALL_STATE(988)] = 29452,
  [SMALL_STATE(989)] = 29477,
  [SMALL_STATE(990)] = 29502,
  [SMALL_STATE(991)] = 29527,
  [SMALL_STATE(992)] = 29552,
  [SMALL_STATE(993)] = 29577,
  [SMALL_STATE(994)] = 29600,
  [SMALL_STATE(995)] = 29625,
  [SMALL_STATE(996)] = 29650,
  [SMALL_STATE(997)] = 29675,
  [SMALL_STATE(998)] = 29700,
  [SMALL_STATE(999)] = 29719,
  [SMALL_STATE(1000)] = 29744,
  [SMALL_STATE(1001)] = 29767,
  [SMALL_STATE(1002)] = 29792,
  [SMALL_STATE(1003)] = 29811,
  [SMALL_STATE(1004)] = 29828,
  [SMALL_STATE(1005)] = 29847,
  [SMALL_STATE(1006)] = 29866,
  [SMALL_STATE(1007)] = 29891,
  [SMALL_STATE(1008)] = 29916,
  [SMALL_STATE(1009)] = 29941,
  [SMALL_STATE(1010)] = 29966,
  [SMALL_STATE(1011)] = 29985,
  [SMALL_STATE(1012)] = 30008,
  [SMALL_STATE(1013)] = 30033,
  [SMALL_STATE(1014)] = 30054,
  [SMALL_STATE(1015)] = 30075,
  [SMALL_STATE(1016)] = 30098,
  [SMALL_STATE(1017)] = 30117,
  [SMALL_STATE(1018)] = 30142,
  [SMALL_STATE(1019)] = 30165,
  [SMALL_STATE(1020)] = 30190,
  [SMALL_STATE(1021)] = 30209,
  [SMALL_STATE(1022)] = 30230,
  [SMALL_STATE(1023)] = 30255,
  [SMALL_STATE(1024)] = 30277,
  [SMALL_STATE(1025)] = 30299,
  [SMALL_STATE(1026)] = 30319,
  [SMALL_STATE(1027)] = 30339,
  [SMALL_STATE(1028)] = 30353,
  [SMALL_STATE(1029)] = 30373,
  [SMALL_STATE(1030)] = 30389,
  [SMALL_STATE(1031)] = 30405,
  [SMALL_STATE(1032)] = 30421,
  [SMALL_STATE(1033)] = 30441,
  [SMALL_STATE(1034)] = 30461,
  [SMALL_STATE(1035)] = 30481,
  [SMALL_STATE(1036)] = 30500,
  [SMALL_STATE(1037)] = 30519,
  [SMALL_STATE(1038)] = 30538,
  [SMALL_STATE(1039)] = 30557,
  [SMALL_STATE(1040)] = 30574,
  [SMALL_STATE(1041)] = 30591,
  [SMALL_STATE(1042)] = 30606,
  [SMALL_STATE(1043)] = 30623,
  [SMALL_STATE(1044)] = 30640,
  [SMALL_STATE(1045)] = 30657,
  [SMALL_STATE(1046)] = 30674,
  [SMALL_STATE(1047)] = 30689,
  [SMALL_STATE(1048)] = 30706,
  [SMALL_STATE(1049)] = 30723,
  [SMALL_STATE(1050)] = 30742,
  [SMALL_STATE(1051)] = 30761,
  [SMALL_STATE(1052)] = 30778,
  [SMALL_STATE(1053)] = 30797,
  [SMALL_STATE(1054)] = 30814,
  [SMALL_STATE(1055)] = 30831,
  [SMALL_STATE(1056)] = 30844,
  [SMALL_STATE(1057)] = 30861,
  [SMALL_STATE(1058)] = 30880,
  [SMALL_STATE(1059)] = 30897,
  [SMALL_STATE(1060)] = 30914,
  [SMALL_STATE(1061)] = 30933,
  [SMALL_STATE(1062)] = 30950,
  [SMALL_STATE(1063)] = 30963,
  [SMALL_STATE(1064)] = 30980,
  [SMALL_STATE(1065)] = 30997,
  [SMALL_STATE(1066)] = 31014,
  [SMALL_STATE(1067)] = 31031,
  [SMALL_STATE(1068)] = 31050,
  [SMALL_STATE(1069)] = 31063,
  [SMALL_STATE(1070)] = 31080,
  [SMALL_STATE(1071)] = 31093,
  [SMALL_STATE(1072)] = 31110,
  [SMALL_STATE(1073)] = 31127,
  [SMALL_STATE(1074)] = 31140,
  [SMALL_STATE(1075)] = 31157,
  [SMALL_STATE(1076)] = 31174,
  [SMALL_STATE(1077)] = 31193,
  [SMALL_STATE(1078)] = 31206,
  [SMALL_STATE(1079)] = 31223,
  [SMALL_STATE(1080)] = 31236,
  [SMALL_STATE(1081)] = 31249,
  [SMALL_STATE(1082)] = 31262,
  [SMALL_STATE(1083)] = 31277,
  [SMALL_STATE(1084)] = 31294,
  [SMALL_STATE(1085)] = 31313,
  [SMALL_STATE(1086)] = 31330,
  [SMALL_STATE(1087)] = 31347,
  [SMALL_STATE(1088)] = 31364,
  [SMALL_STATE(1089)] = 31383,
  [SMALL_STATE(1090)] = 31400,
  [SMALL_STATE(1091)] = 31417,
  [SMALL_STATE(1092)] = 31434,
  [SMALL_STATE(1093)] = 31449,
  [SMALL_STATE(1094)] = 31468,
  [SMALL_STATE(1095)] = 31485,
  [SMALL_STATE(1096)] = 31502,
  [SMALL_STATE(1097)] = 31519,
  [SMALL_STATE(1098)] = 31536,
  [SMALL_STATE(1099)] = 31552,
  [SMALL_STATE(1100)] = 31566,
  [SMALL_STATE(1101)] = 31582,
  [SMALL_STATE(1102)] = 31598,
  [SMALL_STATE(1103)] = 31614,
  [SMALL_STATE(1104)] = 31628,
  [SMALL_STATE(1105)] = 31644,
  [SMALL_STATE(1106)] = 31660,
  [SMALL_STATE(1107)] = 31674,
  [SMALL_STATE(1108)] = 31690,
  [SMALL_STATE(1109)] = 31706,
  [SMALL_STATE(1110)] = 31720,
  [SMALL_STATE(1111)] = 31736,
  [SMALL_STATE(1112)] = 31748,
  [SMALL_STATE(1113)] = 31764,
  [SMALL_STATE(1114)] = 31780,
  [SMALL_STATE(1115)] = 31796,
  [SMALL_STATE(1116)] = 31812,
  [SMALL_STATE(1117)] = 31828,
  [SMALL_STATE(1118)] = 31844,
  [SMALL_STATE(1119)] = 31860,
  [SMALL_STATE(1120)] = 31876,
  [SMALL_STATE(1121)] = 31890,
  [SMALL_STATE(1122)] = 31906,
  [SMALL_STATE(1123)] = 31922,
  [SMALL_STATE(1124)] = 31938,
  [SMALL_STATE(1125)] = 31954,
  [SMALL_STATE(1126)] = 31970,
  [SMALL_STATE(1127)] = 31984,
  [SMALL_STATE(1128)] = 32000,
  [SMALL_STATE(1129)] = 32016,
  [SMALL_STATE(1130)] = 32032,
  [SMALL_STATE(1131)] = 32048,
  [SMALL_STATE(1132)] = 32064,
  [SMALL_STATE(1133)] = 32080,
  [SMALL_STATE(1134)] = 32096,
  [SMALL_STATE(1135)] = 32112,
  [SMALL_STATE(1136)] = 32128,
  [SMALL_STATE(1137)] = 32140,
  [SMALL_STATE(1138)] = 32156,
  [SMALL_STATE(1139)] = 32172,
  [SMALL_STATE(1140)] = 32188,
  [SMALL_STATE(1141)] = 32204,
  [SMALL_STATE(1142)] = 32218,
  [SMALL_STATE(1143)] = 32234,
  [SMALL_STATE(1144)] = 32250,
  [SMALL_STATE(1145)] = 32266,
  [SMALL_STATE(1146)] = 32282,
  [SMALL_STATE(1147)] = 32298,
  [SMALL_STATE(1148)] = 32314,
  [SMALL_STATE(1149)] = 32330,
  [SMALL_STATE(1150)] = 32346,
  [SMALL_STATE(1151)] = 32360,
  [SMALL_STATE(1152)] = 32374,
  [SMALL_STATE(1153)] = 32390,
  [SMALL_STATE(1154)] = 32406,
  [SMALL_STATE(1155)] = 32422,
  [SMALL_STATE(1156)] = 32438,
  [SMALL_STATE(1157)] = 32454,
  [SMALL_STATE(1158)] = 32470,
  [SMALL_STATE(1159)] = 32486,
  [SMALL_STATE(1160)] = 32502,
  [SMALL_STATE(1161)] = 32516,
  [SMALL_STATE(1162)] = 32532,
  [SMALL_STATE(1163)] = 32548,
  [SMALL_STATE(1164)] = 32562,
  [SMALL_STATE(1165)] = 32578,
  [SMALL_STATE(1166)] = 32594,
  [SMALL_STATE(1167)] = 32610,
  [SMALL_STATE(1168)] = 32626,
  [SMALL_STATE(1169)] = 32642,
  [SMALL_STATE(1170)] = 32658,
  [SMALL_STATE(1171)] = 32674,
  [SMALL_STATE(1172)] = 32690,
  [SMALL_STATE(1173)] = 32706,
  [SMALL_STATE(1174)] = 32722,
  [SMALL_STATE(1175)] = 32738,
  [SMALL_STATE(1176)] = 32754,
  [SMALL_STATE(1177)] = 32770,
  [SMALL_STATE(1178)] = 32786,
  [SMALL_STATE(1179)] = 32802,
  [SMALL_STATE(1180)] = 32818,
  [SMALL_STATE(1181)] = 32834,
  [SMALL_STATE(1182)] = 32850,
  [SMALL_STATE(1183)] = 32866,
  [SMALL_STATE(1184)] = 32880,
  [SMALL_STATE(1185)] = 32896,
  [SMALL_STATE(1186)] = 32912,
  [SMALL_STATE(1187)] = 32926,
  [SMALL_STATE(1188)] = 32942,
  [SMALL_STATE(1189)] = 32958,
  [SMALL_STATE(1190)] = 32974,
  [SMALL_STATE(1191)] = 32990,
  [SMALL_STATE(1192)] = 33006,
  [SMALL_STATE(1193)] = 33022,
  [SMALL_STATE(1194)] = 33038,
  [SMALL_STATE(1195)] = 33054,
  [SMALL_STATE(1196)] = 33070,
  [SMALL_STATE(1197)] = 33086,
  [SMALL_STATE(1198)] = 33102,
  [SMALL_STATE(1199)] = 33118,
  [SMALL_STATE(1200)] = 33134,
  [SMALL_STATE(1201)] = 33150,
  [SMALL_STATE(1202)] = 33166,
  [SMALL_STATE(1203)] = 33182,
  [SMALL_STATE(1204)] = 33195,
  [SMALL_STATE(1205)] = 33208,
  [SMALL_STATE(1206)] = 33221,
  [SMALL_STATE(1207)] = 33234,
  [SMALL_STATE(1208)] = 33247,
  [SMALL_STATE(1209)] = 33260,
  [SMALL_STATE(1210)] = 33273,
  [SMALL_STATE(1211)] = 33286,
  [SMALL_STATE(1212)] = 33299,
  [SMALL_STATE(1213)] = 33312,
  [SMALL_STATE(1214)] = 33325,
  [SMALL_STATE(1215)] = 33338,
  [SMALL_STATE(1216)] = 33351,
  [SMALL_STATE(1217)] = 33364,
  [SMALL_STATE(1218)] = 33377,
  [SMALL_STATE(1219)] = 33390,
  [SMALL_STATE(1220)] = 33403,
  [SMALL_STATE(1221)] = 33416,
  [SMALL_STATE(1222)] = 33429,
  [SMALL_STATE(1223)] = 33442,
  [SMALL_STATE(1224)] = 33455,
  [SMALL_STATE(1225)] = 33468,
  [SMALL_STATE(1226)] = 33481,
  [SMALL_STATE(1227)] = 33494,
  [SMALL_STATE(1228)] = 33507,
  [SMALL_STATE(1229)] = 33520,
  [SMALL_STATE(1230)] = 33533,
  [SMALL_STATE(1231)] = 33546,
  [SMALL_STATE(1232)] = 33559,
  [SMALL_STATE(1233)] = 33572,
  [SMALL_STATE(1234)] = 33585,
  [SMALL_STATE(1235)] = 33598,
  [SMALL_STATE(1236)] = 33611,
  [SMALL_STATE(1237)] = 33624,
  [SMALL_STATE(1238)] = 33637,
  [SMALL_STATE(1239)] = 33650,
  [SMALL_STATE(1240)] = 33663,
  [SMALL_STATE(1241)] = 33676,
  [SMALL_STATE(1242)] = 33689,
  [SMALL_STATE(1243)] = 33702,
  [SMALL_STATE(1244)] = 33715,
  [SMALL_STATE(1245)] = 33728,
  [SMALL_STATE(1246)] = 33741,
  [SMALL_STATE(1247)] = 33754,
  [SMALL_STATE(1248)] = 33767,
  [SMALL_STATE(1249)] = 33780,
  [SMALL_STATE(1250)] = 33793,
  [SMALL_STATE(1251)] = 33806,
  [SMALL_STATE(1252)] = 33819,
  [SMALL_STATE(1253)] = 33832,
  [SMALL_STATE(1254)] = 33845,
  [SMALL_STATE(1255)] = 33858,
  [SMALL_STATE(1256)] = 33871,
  [SMALL_STATE(1257)] = 33884,
  [SMALL_STATE(1258)] = 33897,
  [SMALL_STATE(1259)] = 33910,
  [SMALL_STATE(1260)] = 33923,
  [SMALL_STATE(1261)] = 33936,
  [SMALL_STATE(1262)] = 33949,
  [SMALL_STATE(1263)] = 33962,
  [SMALL_STATE(1264)] = 33975,
  [SMALL_STATE(1265)] = 33988,
  [SMALL_STATE(1266)] = 34001,
  [SMALL_STATE(1267)] = 34014,
  [SMALL_STATE(1268)] = 34027,
  [SMALL_STATE(1269)] = 34040,
  [SMALL_STATE(1270)] = 34053,
  [SMALL_STATE(1271)] = 34066,
  [SMALL_STATE(1272)] = 34079,
  [SMALL_STATE(1273)] = 34092,
  [SMALL_STATE(1274)] = 34105,
  [SMALL_STATE(1275)] = 34118,
  [SMALL_STATE(1276)] = 34131,
  [SMALL_STATE(1277)] = 34144,
  [SMALL_STATE(1278)] = 34157,
  [SMALL_STATE(1279)] = 34170,
  [SMALL_STATE(1280)] = 34183,
  [SMALL_STATE(1281)] = 34196,
  [SMALL_STATE(1282)] = 34209,
  [SMALL_STATE(1283)] = 34222,
  [SMALL_STATE(1284)] = 34235,
  [SMALL_STATE(1285)] = 34248,
  [SMALL_STATE(1286)] = 34261,
  [SMALL_STATE(1287)] = 34274,
  [SMALL_STATE(1288)] = 34287,
  [SMALL_STATE(1289)] = 34300,
  [SMALL_STATE(1290)] = 34313,
  [SMALL_STATE(1291)] = 34326,
  [SMALL_STATE(1292)] = 34339,
  [SMALL_STATE(1293)] = 34352,
  [SMALL_STATE(1294)] = 34365,
  [SMALL_STATE(1295)] = 34378,
  [SMALL_STATE(1296)] = 34391,
  [SMALL_STATE(1297)] = 34404,
  [SMALL_STATE(1298)] = 34417,
  [SMALL_STATE(1299)] = 34430,
  [SMALL_STATE(1300)] = 34443,
  [SMALL_STATE(1301)] = 34456,
  [SMALL_STATE(1302)] = 34469,
  [SMALL_STATE(1303)] = 34482,
  [SMALL_STATE(1304)] = 34495,
  [SMALL_STATE(1305)] = 34508,
  [SMALL_STATE(1306)] = 34521,
  [SMALL_STATE(1307)] = 34534,
  [SMALL_STATE(1308)] = 34547,
  [SMALL_STATE(1309)] = 34560,
  [SMALL_STATE(1310)] = 34573,
  [SMALL_STATE(1311)] = 34586,
  [SMALL_STATE(1312)] = 34599,
  [SMALL_STATE(1313)] = 34612,
  [SMALL_STATE(1314)] = 34625,
  [SMALL_STATE(1315)] = 34638,
  [SMALL_STATE(1316)] = 34651,
  [SMALL_STATE(1317)] = 34664,
  [SMALL_STATE(1318)] = 34677,
  [SMALL_STATE(1319)] = 34690,
  [SMALL_STATE(1320)] = 34703,
  [SMALL_STATE(1321)] = 34716,
  [SMALL_STATE(1322)] = 34729,
  [SMALL_STATE(1323)] = 34742,
  [SMALL_STATE(1324)] = 34755,
  [SMALL_STATE(1325)] = 34768,
  [SMALL_STATE(1326)] = 34781,
  [SMALL_STATE(1327)] = 34794,
  [SMALL_STATE(1328)] = 34807,
  [SMALL_STATE(1329)] = 34816,
  [SMALL_STATE(1330)] = 34829,
  [SMALL_STATE(1331)] = 34842,
  [SMALL_STATE(1332)] = 34855,
  [SMALL_STATE(1333)] = 34868,
  [SMALL_STATE(1334)] = 34881,
  [SMALL_STATE(1335)] = 34894,
  [SMALL_STATE(1336)] = 34907,
  [SMALL_STATE(1337)] = 34920,
  [SMALL_STATE(1338)] = 34933,
  [SMALL_STATE(1339)] = 34946,
  [SMALL_STATE(1340)] = 34959,
  [SMALL_STATE(1341)] = 34972,
  [SMALL_STATE(1342)] = 34985,
  [SMALL_STATE(1343)] = 34998,
  [SMALL_STATE(1344)] = 35007,
  [SMALL_STATE(1345)] = 35020,
  [SMALL_STATE(1346)] = 35033,
  [SMALL_STATE(1347)] = 35046,
  [SMALL_STATE(1348)] = 35059,
  [SMALL_STATE(1349)] = 35072,
  [SMALL_STATE(1350)] = 35085,
  [SMALL_STATE(1351)] = 35096,
  [SMALL_STATE(1352)] = 35109,
  [SMALL_STATE(1353)] = 35122,
  [SMALL_STATE(1354)] = 35135,
  [SMALL_STATE(1355)] = 35148,
  [SMALL_STATE(1356)] = 35161,
  [SMALL_STATE(1357)] = 35174,
  [SMALL_STATE(1358)] = 35187,
  [SMALL_STATE(1359)] = 35200,
  [SMALL_STATE(1360)] = 35213,
  [SMALL_STATE(1361)] = 35226,
  [SMALL_STATE(1362)] = 35239,
  [SMALL_STATE(1363)] = 35252,
  [SMALL_STATE(1364)] = 35261,
  [SMALL_STATE(1365)] = 35274,
  [SMALL_STATE(1366)] = 35287,
  [SMALL_STATE(1367)] = 35295,
  [SMALL_STATE(1368)] = 35303,
  [SMALL_STATE(1369)] = 35311,
  [SMALL_STATE(1370)] = 35319,
  [SMALL_STATE(1371)] = 35327,
  [SMALL_STATE(1372)] = 35335,
  [SMALL_STATE(1373)] = 35345,
  [SMALL_STATE(1374)] = 35355,
  [SMALL_STATE(1375)] = 35365,
  [SMALL_STATE(1376)] = 35373,
  [SMALL_STATE(1377)] = 35383,
  [SMALL_STATE(1378)] = 35391,
  [SMALL_STATE(1379)] = 35399,
  [SMALL_STATE(1380)] = 35407,
  [SMALL_STATE(1381)] = 35417,
  [SMALL_STATE(1382)] = 35425,
  [SMALL_STATE(1383)] = 35433,
  [SMALL_STATE(1384)] = 35441,
  [SMALL_STATE(1385)] = 35449,
  [SMALL_STATE(1386)] = 35457,
  [SMALL_STATE(1387)] = 35465,
  [SMALL_STATE(1388)] = 35473,
  [SMALL_STATE(1389)] = 35481,
  [SMALL_STATE(1390)] = 35489,
  [SMALL_STATE(1391)] = 35497,
  [SMALL_STATE(1392)] = 35505,
  [SMALL_STATE(1393)] = 35513,
  [SMALL_STATE(1394)] = 35523,
  [SMALL_STATE(1395)] = 35531,
  [SMALL_STATE(1396)] = 35541,
  [SMALL_STATE(1397)] = 35551,
  [SMALL_STATE(1398)] = 35561,
  [SMALL_STATE(1399)] = 35571,
  [SMALL_STATE(1400)] = 35581,
  [SMALL_STATE(1401)] = 35591,
  [SMALL_STATE(1402)] = 35601,
  [SMALL_STATE(1403)] = 35609,
  [SMALL_STATE(1404)] = 35617,
  [SMALL_STATE(1405)] = 35625,
  [SMALL_STATE(1406)] = 35633,
  [SMALL_STATE(1407)] = 35641,
  [SMALL_STATE(1408)] = 35649,
  [SMALL_STATE(1409)] = 35657,
  [SMALL_STATE(1410)] = 35665,
  [SMALL_STATE(1411)] = 35673,
  [SMALL_STATE(1412)] = 35683,
  [SMALL_STATE(1413)] = 35693,
  [SMALL_STATE(1414)] = 35701,
  [SMALL_STATE(1415)] = 35709,
  [SMALL_STATE(1416)] = 35717,
  [SMALL_STATE(1417)] = 35725,
  [SMALL_STATE(1418)] = 35733,
  [SMALL_STATE(1419)] = 35741,
  [SMALL_STATE(1420)] = 35749,
  [SMALL_STATE(1421)] = 35757,
  [SMALL_STATE(1422)] = 35767,
  [SMALL_STATE(1423)] = 35775,
  [SMALL_STATE(1424)] = 35785,
  [SMALL_STATE(1425)] = 35793,
  [SMALL_STATE(1426)] = 35803,
  [SMALL_STATE(1427)] = 35811,
  [SMALL_STATE(1428)] = 35819,
  [SMALL_STATE(1429)] = 35829,
  [SMALL_STATE(1430)] = 35839,
  [SMALL_STATE(1431)] = 35849,
  [SMALL_STATE(1432)] = 35859,
  [SMALL_STATE(1433)] = 35867,
  [SMALL_STATE(1434)] = 35875,
  [SMALL_STATE(1435)] = 35883,
  [SMALL_STATE(1436)] = 35893,
  [SMALL_STATE(1437)] = 35901,
  [SMALL_STATE(1438)] = 35911,
  [SMALL_STATE(1439)] = 35919,
  [SMALL_STATE(1440)] = 35929,
  [SMALL_STATE(1441)] = 35937,
  [SMALL_STATE(1442)] = 35947,
  [SMALL_STATE(1443)] = 35957,
  [SMALL_STATE(1444)] = 35965,
  [SMALL_STATE(1445)] = 35975,
  [SMALL_STATE(1446)] = 35983,
  [SMALL_STATE(1447)] = 35993,
  [SMALL_STATE(1448)] = 36001,
  [SMALL_STATE(1449)] = 36009,
  [SMALL_STATE(1450)] = 36017,
  [SMALL_STATE(1451)] = 36025,
  [SMALL_STATE(1452)] = 36035,
  [SMALL_STATE(1453)] = 36043,
  [SMALL_STATE(1454)] = 36051,
  [SMALL_STATE(1455)] = 36059,
  [SMALL_STATE(1456)] = 36067,
  [SMALL_STATE(1457)] = 36077,
  [SMALL_STATE(1458)] = 36087,
  [SMALL_STATE(1459)] = 36095,
  [SMALL_STATE(1460)] = 36103,
  [SMALL_STATE(1461)] = 36113,
  [SMALL_STATE(1462)] = 36123,
  [SMALL_STATE(1463)] = 36131,
  [SMALL_STATE(1464)] = 36139,
  [SMALL_STATE(1465)] = 36149,
  [SMALL_STATE(1466)] = 36159,
  [SMALL_STATE(1467)] = 36167,
  [SMALL_STATE(1468)] = 36177,
  [SMALL_STATE(1469)] = 36185,
  [SMALL_STATE(1470)] = 36193,
  [SMALL_STATE(1471)] = 36201,
  [SMALL_STATE(1472)] = 36211,
  [SMALL_STATE(1473)] = 36219,
  [SMALL_STATE(1474)] = 36227,
  [SMALL_STATE(1475)] = 36235,
  [SMALL_STATE(1476)] = 36243,
  [SMALL_STATE(1477)] = 36251,
  [SMALL_STATE(1478)] = 36259,
  [SMALL_STATE(1479)] = 36269,
  [SMALL_STATE(1480)] = 36277,
  [SMALL_STATE(1481)] = 36287,
  [SMALL_STATE(1482)] = 36297,
  [SMALL_STATE(1483)] = 36304,
  [SMALL_STATE(1484)] = 36311,
  [SMALL_STATE(1485)] = 36318,
  [SMALL_STATE(1486)] = 36325,
  [SMALL_STATE(1487)] = 36332,
  [SMALL_STATE(1488)] = 36339,
  [SMALL_STATE(1489)] = 36346,
  [SMALL_STATE(1490)] = 36353,
  [SMALL_STATE(1491)] = 36360,
  [SMALL_STATE(1492)] = 36367,
  [SMALL_STATE(1493)] = 36374,
  [SMALL_STATE(1494)] = 36381,
  [SMALL_STATE(1495)] = 36388,
  [SMALL_STATE(1496)] = 36395,
  [SMALL_STATE(1497)] = 36402,
  [SMALL_STATE(1498)] = 36409,
  [SMALL_STATE(1499)] = 36416,
  [SMALL_STATE(1500)] = 36423,
  [SMALL_STATE(1501)] = 36430,
  [SMALL_STATE(1502)] = 36437,
  [SMALL_STATE(1503)] = 36444,
  [SMALL_STATE(1504)] = 36451,
  [SMALL_STATE(1505)] = 36458,
  [SMALL_STATE(1506)] = 36465,
  [SMALL_STATE(1507)] = 36472,
  [SMALL_STATE(1508)] = 36479,
  [SMALL_STATE(1509)] = 36486,
  [SMALL_STATE(1510)] = 36493,
  [SMALL_STATE(1511)] = 36500,
  [SMALL_STATE(1512)] = 36507,
  [SMALL_STATE(1513)] = 36514,
  [SMALL_STATE(1514)] = 36521,
  [SMALL_STATE(1515)] = 36528,
  [SMALL_STATE(1516)] = 36535,
  [SMALL_STATE(1517)] = 36542,
  [SMALL_STATE(1518)] = 36549,
  [SMALL_STATE(1519)] = 36556,
  [SMALL_STATE(1520)] = 36563,
  [SMALL_STATE(1521)] = 36570,
  [SMALL_STATE(1522)] = 36577,
  [SMALL_STATE(1523)] = 36584,
  [SMALL_STATE(1524)] = 36591,
  [SMALL_STATE(1525)] = 36598,
  [SMALL_STATE(1526)] = 36605,
  [SMALL_STATE(1527)] = 36612,
  [SMALL_STATE(1528)] = 36619,
  [SMALL_STATE(1529)] = 36626,
  [SMALL_STATE(1530)] = 36633,
  [SMALL_STATE(1531)] = 36640,
  [SMALL_STATE(1532)] = 36647,
  [SMALL_STATE(1533)] = 36654,
  [SMALL_STATE(1534)] = 36661,
  [SMALL_STATE(1535)] = 36668,
  [SMALL_STATE(1536)] = 36675,
  [SMALL_STATE(1537)] = 36682,
  [SMALL_STATE(1538)] = 36689,
  [SMALL_STATE(1539)] = 36696,
  [SMALL_STATE(1540)] = 36703,
  [SMALL_STATE(1541)] = 36710,
  [SMALL_STATE(1542)] = 36717,
  [SMALL_STATE(1543)] = 36724,
  [SMALL_STATE(1544)] = 36731,
  [SMALL_STATE(1545)] = 36738,
  [SMALL_STATE(1546)] = 36745,
  [SMALL_STATE(1547)] = 36752,
  [SMALL_STATE(1548)] = 36759,
  [SMALL_STATE(1549)] = 36766,
  [SMALL_STATE(1550)] = 36773,
  [SMALL_STATE(1551)] = 36780,
  [SMALL_STATE(1552)] = 36787,
  [SMALL_STATE(1553)] = 36794,
  [SMALL_STATE(1554)] = 36801,
  [SMALL_STATE(1555)] = 36808,
  [SMALL_STATE(1556)] = 36815,
  [SMALL_STATE(1557)] = 36822,
  [SMALL_STATE(1558)] = 36829,
  [SMALL_STATE(1559)] = 36836,
  [SMALL_STATE(1560)] = 36843,
  [SMALL_STATE(1561)] = 36850,
  [SMALL_STATE(1562)] = 36857,
  [SMALL_STATE(1563)] = 36864,
  [SMALL_STATE(1564)] = 36871,
  [SMALL_STATE(1565)] = 36878,
  [SMALL_STATE(1566)] = 36885,
  [SMALL_STATE(1567)] = 36892,
  [SMALL_STATE(1568)] = 36899,
  [SMALL_STATE(1569)] = 36906,
  [SMALL_STATE(1570)] = 36913,
  [SMALL_STATE(1571)] = 36920,
  [SMALL_STATE(1572)] = 36927,
  [SMALL_STATE(1573)] = 36934,
  [SMALL_STATE(1574)] = 36941,
  [SMALL_STATE(1575)] = 36948,
  [SMALL_STATE(1576)] = 36955,
  [SMALL_STATE(1577)] = 36962,
  [SMALL_STATE(1578)] = 36969,
  [SMALL_STATE(1579)] = 36976,
  [SMALL_STATE(1580)] = 36983,
  [SMALL_STATE(1581)] = 36990,
  [SMALL_STATE(1582)] = 36997,
  [SMALL_STATE(1583)] = 37004,
  [SMALL_STATE(1584)] = 37011,
  [SMALL_STATE(1585)] = 37018,
  [SMALL_STATE(1586)] = 37025,
  [SMALL_STATE(1587)] = 37032,
  [SMALL_STATE(1588)] = 37039,
  [SMALL_STATE(1589)] = 37046,
  [SMALL_STATE(1590)] = 37053,
  [SMALL_STATE(1591)] = 37060,
  [SMALL_STATE(1592)] = 37067,
  [SMALL_STATE(1593)] = 37074,
  [SMALL_STATE(1594)] = 37081,
  [SMALL_STATE(1595)] = 37088,
  [SMALL_STATE(1596)] = 37095,
  [SMALL_STATE(1597)] = 37102,
  [SMALL_STATE(1598)] = 37109,
  [SMALL_STATE(1599)] = 37116,
  [SMALL_STATE(1600)] = 37123,
  [SMALL_STATE(1601)] = 37130,
  [SMALL_STATE(1602)] = 37137,
  [SMALL_STATE(1603)] = 37144,
  [SMALL_STATE(1604)] = 37151,
  [SMALL_STATE(1605)] = 37158,
  [SMALL_STATE(1606)] = 37165,
  [SMALL_STATE(1607)] = 37172,
  [SMALL_STATE(1608)] = 37179,
  [SMALL_STATE(1609)] = 37186,
  [SMALL_STATE(1610)] = 37193,
  [SMALL_STATE(1611)] = 37200,
  [SMALL_STATE(1612)] = 37207,
  [SMALL_STATE(1613)] = 37214,
  [SMALL_STATE(1614)] = 37221,
  [SMALL_STATE(1615)] = 37228,
  [SMALL_STATE(1616)] = 37235,
  [SMALL_STATE(1617)] = 37242,
  [SMALL_STATE(1618)] = 37249,
  [SMALL_STATE(1619)] = 37256,
  [SMALL_STATE(1620)] = 37263,
  [SMALL_STATE(1621)] = 37270,
  [SMALL_STATE(1622)] = 37277,
  [SMALL_STATE(1623)] = 37284,
  [SMALL_STATE(1624)] = 37291,
  [SMALL_STATE(1625)] = 37298,
  [SMALL_STATE(1626)] = 37305,
  [SMALL_STATE(1627)] = 37312,
  [SMALL_STATE(1628)] = 37319,
  [SMALL_STATE(1629)] = 37326,
  [SMALL_STATE(1630)] = 37333,
  [SMALL_STATE(1631)] = 37340,
  [SMALL_STATE(1632)] = 37347,
  [SMALL_STATE(1633)] = 37354,
  [SMALL_STATE(1634)] = 37361,
  [SMALL_STATE(1635)] = 37368,
  [SMALL_STATE(1636)] = 37375,
  [SMALL_STATE(1637)] = 37382,
  [SMALL_STATE(1638)] = 37389,
  [SMALL_STATE(1639)] = 37396,
  [SMALL_STATE(1640)] = 37403,
  [SMALL_STATE(1641)] = 37410,
  [SMALL_STATE(1642)] = 37417,
  [SMALL_STATE(1643)] = 37424,
  [SMALL_STATE(1644)] = 37431,
  [SMALL_STATE(1645)] = 37438,
  [SMALL_STATE(1646)] = 37445,
  [SMALL_STATE(1647)] = 37452,
  [SMALL_STATE(1648)] = 37459,
  [SMALL_STATE(1649)] = 37466,
  [SMALL_STATE(1650)] = 37473,
  [SMALL_STATE(1651)] = 37480,
  [SMALL_STATE(1652)] = 37487,
  [SMALL_STATE(1653)] = 37494,
  [SMALL_STATE(1654)] = 37501,
  [SMALL_STATE(1655)] = 37508,
  [SMALL_STATE(1656)] = 37515,
  [SMALL_STATE(1657)] = 37522,
  [SMALL_STATE(1658)] = 37529,
  [SMALL_STATE(1659)] = 37536,
  [SMALL_STATE(1660)] = 37543,
  [SMALL_STATE(1661)] = 37550,
  [SMALL_STATE(1662)] = 37557,
  [SMALL_STATE(1663)] = 37564,
  [SMALL_STATE(1664)] = 37571,
  [SMALL_STATE(1665)] = 37578,
  [SMALL_STATE(1666)] = 37585,
  [SMALL_STATE(1667)] = 37592,
  [SMALL_STATE(1668)] = 37599,
  [SMALL_STATE(1669)] = 37606,
  [SMALL_STATE(1670)] = 37613,
  [SMALL_STATE(1671)] = 37620,
  [SMALL_STATE(1672)] = 37627,
  [SMALL_STATE(1673)] = 37634,
  [SMALL_STATE(1674)] = 37641,
  [SMALL_STATE(1675)] = 37648,
  [SMALL_STATE(1676)] = 37655,
  [SMALL_STATE(1677)] = 37662,
  [SMALL_STATE(1678)] = 37669,
  [SMALL_STATE(1679)] = 37676,
  [SMALL_STATE(1680)] = 37683,
  [SMALL_STATE(1681)] = 37690,
  [SMALL_STATE(1682)] = 37697,
  [SMALL_STATE(1683)] = 37704,
  [SMALL_STATE(1684)] = 37711,
  [SMALL_STATE(1685)] = 37718,
  [SMALL_STATE(1686)] = 37725,
  [SMALL_STATE(1687)] = 37732,
  [SMALL_STATE(1688)] = 37739,
  [SMALL_STATE(1689)] = 37746,
  [SMALL_STATE(1690)] = 37753,
  [SMALL_STATE(1691)] = 37760,
  [SMALL_STATE(1692)] = 37767,
  [SMALL_STATE(1693)] = 37774,
  [SMALL_STATE(1694)] = 37781,
  [SMALL_STATE(1695)] = 37788,
  [SMALL_STATE(1696)] = 37795,
  [SMALL_STATE(1697)] = 37802,
  [SMALL_STATE(1698)] = 37809,
  [SMALL_STATE(1699)] = 37816,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [7] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [89] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return, 1),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1651),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1688),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(111),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1120),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1136),
  [153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 4, .production_id = 6),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 1),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 4, .production_id = 6),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(668),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(843),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__codeblock, 2),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__codeblock, 3),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1411),
  [346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(18),
  [349] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1333),
  [352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1372),
  [355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1374),
  [358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1332),
  [361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1688),
  [364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(259),
  [367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(440),
  [370] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1376),
  [373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(109),
  [376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(433),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(110),
  [382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(249),
  [385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(431),
  [388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(430),
  [391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1686),
  [394] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1118),
  [397] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(424),
  [400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(422),
  [403] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(27),
  [406] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1684),
  [409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(568),
  [412] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(565),
  [415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(111),
  [418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(417),
  [421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1683),
  [424] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1120),
  [427] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1126),
  [430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(513),
  [433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(938),
  [436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1592),
  [439] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1036),
  [442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(5),
  [445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(226),
  [448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(408),
  [451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(405),
  [454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(213),
  [457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(404),
  [460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1136),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1434),
  [483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_repeat2, 3, .production_id = 13),
  [493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1417),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2),
  [523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1333),
  [526] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1372),
  [529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1374),
  [532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1332),
  [535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1688),
  [538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(259),
  [541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(440),
  [544] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1376),
  [547] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(109),
  [550] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(433),
  [553] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(110),
  [556] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(249),
  [559] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(431),
  [562] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(430),
  [565] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1686),
  [568] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1118),
  [571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(424),
  [574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(422),
  [577] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(27),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1684),
  [583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(568),
  [586] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(565),
  [589] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(111),
  [592] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(417),
  [595] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1683),
  [598] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1120),
  [601] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1126),
  [604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(513),
  [607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(938),
  [610] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1592),
  [613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1036),
  [616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(5),
  [619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(226),
  [622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(408),
  [625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(405),
  [628] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(213),
  [631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(404),
  [634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_package_repeat1, 2), SHIFT_REPEAT(1136),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package, 3),
  [649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package, 3),
  [651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package, 2),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package, 2),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_repeat2, 2, .production_id = 3),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(491),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1474),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif, 3, .production_id = 10),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally, 1),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fragment, 1),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fragment, 1),
  [867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2),
  [881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1333),
  [884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1372),
  [887] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1374),
  [890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1332),
  [893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1688),
  [896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(259),
  [899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(440),
  [902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1376),
  [905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(109),
  [908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(433),
  [911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(110),
  [914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(249),
  [917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(431),
  [920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(430),
  [923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1686),
  [926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1118),
  [929] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(424),
  [932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(422),
  [935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(27),
  [938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1684),
  [941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(568),
  [944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(565),
  [947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(111),
  [950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(417),
  [953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1683),
  [956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1120),
  [959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1126),
  [962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(513),
  [965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(938),
  [968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1592),
  [971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1036),
  [974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(5),
  [977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(226),
  [980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(408),
  [983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(405),
  [986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(213),
  [989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(404),
  [992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fragment_repeat1, 2), SHIFT_REPEAT(1136),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [1005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else, 1),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [1013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally, 3),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [1039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [1079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [1083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [1087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [1101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [1111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [1139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [1143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [1147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [1155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [1165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [1189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [1191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [1201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [1211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [1217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [1335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [1393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [1395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [1397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [1399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [1417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [1455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [1517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__line_terminator, 2),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__line_terminator, 2),
  [1629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue, 1),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [1633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_leave, 1),
  [1635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [1637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while, 4, .production_id = 10),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primitive, 2),
  [1641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protect, 4),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue, 6),
  [1645] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lock, 4),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protect, 6),
  [1649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invoke, 4, .production_id = 7),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexed_access, 4, .production_id = 15),
  [1653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterator, 9),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 6, .production_id = 6),
  [1657] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class, 2, .production_id = 1),
  [1661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 6, .production_id = 20),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return, 2),
  [1665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while, 6, .production_id = 10),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_list, 1),
  [1669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(218),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [1681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [1685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slot_accessor, 2),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 5),
  [1689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterator, 6),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector, 2),
  [1693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue, 4),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 6, .production_id = 10),
  [1697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character_literal, 2),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_leave, 4),
  [1701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue, 5),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_leave, 5),
  [1705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue, 3),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 9),
  [1709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_leave, 3),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_list, 2),
  [1713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 10),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loopbody, 4),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [1725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 7),
  [1729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 4, .production_id = 12),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_loopbody_repeat1, 2),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_loopbody_repeat1, 2), SHIFT_REPEAT(350),
  [1736] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [1738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterator, 4),
  [1740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 14),
  [1742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [1744] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_leave, 6),
  [1746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 5, .production_id = 10),
  [1748] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw, 4),
  [1750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_handling, 5, .production_id = 16),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch, 5),
  [1754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop, 3),
  [1756] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 3),
  [1758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 3, .production_id = 4),
  [1760] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 13),
  [1762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterator, 5),
  [1764] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while, 5, .production_id = 10),
  [1766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protect, 3),
  [1768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch, 4),
  [1770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_leave, 2),
  [1772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue, 2),
  [1774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3),
  [1776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_vector, 3),
  [1778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 2),
  [1780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protect, 8),
  [1782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable, 1),
  [1784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterator, 8),
  [1786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_invoke, 3, .production_id = 7),
  [1788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 5, .production_id = 12),
  [1790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_handling, 4, .production_id = 10),
  [1792] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop, 4),
  [1794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1535),
  [1796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [1798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [1800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [1802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__codeblock, 1),
  [1804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [1806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [1808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [1810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 7, .production_id = 10),
  [1812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_iterator, 7),
  [1814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexed_access, 3, .production_id = 8),
  [1816] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 5, .production_id = 17),
  [1818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try, 4, .production_id = 14),
  [1820] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_leave, 7),
  [1822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue, 7),
  [1824] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protect, 7),
  [1826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if, 4, .production_id = 10),
  [1828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loopbody, 5),
  [1830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_loop, 2),
  [1832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4),
  [1834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 11),
  [1836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_arithmetic_operator, 3, .production_id = 9),
  [1838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 8),
  [1840] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_protect, 5),
  [1842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 12),
  [1844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lock, 5),
  [1846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 6),
  [1848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_handling, 2),
  [1850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 5, .production_id = 6),
  [1852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_identifier, 1),
  [1854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_procedure, 4),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [1864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_allresults, 2),
  [1868] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [1870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [1872] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call, 3, .production_id = 6),
  [1874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [1876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw, 2),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [1882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_logical_operator, 3, .production_id = 9),
  [1890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_relational_operator, 3, .production_id = 9),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scatter, 2),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment, 3),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_operator, 2, .production_id = 2),
  [1898] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_loopbody_repeat1, 2), SHIFT_REPEAT(384),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(220),
  [1903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gather, 2),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 4),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [1911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_local_repeat1, 4),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [1919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 5),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 14),
  [1923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 5),
  [1925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic, 5),
  [1927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 12),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__codeblock_repeat1, 2),
  [1931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic, 4),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 10),
  [1935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 9),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 4),
  [1939] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 13),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 7),
  [1943] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant, 6),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 7),
  [1947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 8),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 6),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 11),
  [1953] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_identifier, 1),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument, 1),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument, 1),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__arguments_repeat1, 2),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__arguments_repeat1, 2),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_repeat1, 2, .production_id = 5),
  [1965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_repeat1, 2, .production_id = 5), SHIFT_REPEAT(1233),
  [1968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_repeat1, 2, .production_id = 5),
  [1970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__identifier_list_repeat1, 2),
  [1972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__identifier_list_repeat1, 2),
  [1974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arguments, 3),
  [1976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arguments, 3),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(630),
  [1980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arguments, 2),
  [1982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arguments, 2),
  [1984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_repeat1, 2, .production_id = 3),
  [1986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_repeat1, 2, .production_id = 3),
  [1988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__arguments, 1),
  [1990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__arguments, 1),
  [1994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__identifier_list_repeat1, 2), SHIFT_REPEAT(1319),
  [1997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier_list, 2),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [2001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier_list, 2),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_fragment_repeat1, 2),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_documentation, 1),
  [2007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_documentation, 1),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__identifier_list, 1),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__identifier_list, 1),
  [2015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__arguments_repeat1, 2), SHIFT_REPEAT(1351),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_documentation_repeat1, 2),
  [2022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_documentation_repeat1, 2),
  [2024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_documentation_repeat1, 2), SHIFT_REPEAT(646),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_loopbody_repeat1, 2),
  [2029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_loopbody_repeat1, 2), SHIFT_REPEAT(334),
  [2032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_leave, 4),
  [2034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_list, 2),
  [2036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [2038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [2042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_leave, 3),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(355),
  [2050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [2054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [2058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue, 5),
  [2060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue, 3),
  [2062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_list, 1),
  [2064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue, 4),
  [2066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_leave, 1),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [2072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pragma, 2),
  [2074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pragma, 2),
  [2076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue, 1),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [2080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [2082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_leave, 5),
  [2084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(271),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [2094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [2098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 2),
  [2100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 14),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [2106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 4),
  [2108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [2110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [2114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [2126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [2130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [2132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [2134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [2136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [2138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [2142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [2146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_arithmetic_operator, 3, .production_id = 9),
  [2148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 10),
  [2150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator, 8),
  [2152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop, 4),
  [2154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 8),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protect, 7),
  [2158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue, 7),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw, 2),
  [2162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_leave, 2),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_leave, 7),
  [2166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 4, .production_id = 10),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_handling, 4, .production_id = 10),
  [2170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue, 2),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator, 7),
  [2174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 7, .production_id = 10),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch, 4),
  [2178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexed_access, 3, .production_id = 8),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment, 3),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_loopbody_repeat1, 2), SHIFT_REPEAT(427),
  [2185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_relational_operator, 3, .production_id = 9),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw, 4),
  [2189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_logical_operator, 3, .production_id = 9),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator, 4),
  [2193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while, 4, .production_id = 10),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 4, .production_id = 12),
  [2197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invoke, 3, .production_id = 7),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 4, .production_id = 14),
  [2201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loopbody, 4),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_handling, 5, .production_id = 16),
  [2205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 3, .production_id = 6),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_operator, 2, .production_id = 2),
  [2213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector, 3),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3),
  [2217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protect, 8),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protect, 4),
  [2221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protect, 3),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_allresults, 2),
  [2225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lock, 4),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 7),
  [2229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 13),
  [2231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scatter, 2),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_invoke, 4, .production_id = 7),
  [2235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gather, 2),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexed_access, 4, .production_id = 15),
  [2239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 5),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator, 9),
  [2243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 6, .production_id = 6),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protect, 6),
  [2247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 9),
  [2249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 3, .production_id = 4),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue, 6),
  [2253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 3),
  [2255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_leave, 6),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop, 3),
  [2259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [2261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 6, .production_id = 20),
  [2263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 11),
  [2265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 5, .production_id = 10),
  [2267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while, 6, .production_id = 10),
  [2269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator, 6),
  [2271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if, 6, .production_id = 10),
  [2275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 12),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch, 5),
  [2279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_procedure, 6),
  [2281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator, 5),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while, 5, .production_id = 10),
  [2285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable, 1),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call, 5, .production_id = 6),
  [2289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 5, .production_id = 12),
  [2291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_literal, 2),
  [2293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_vector, 2),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try, 5, .production_id = 17),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lock, 5),
  [2299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slot_accessor, 2),
  [2301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return, 2),
  [2303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class, 2, .production_id = 1),
  [2305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_protect, 5),
  [2307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loopbody, 5),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [2315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [2317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primitive, 2),
  [2319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_loopbody_repeat1, 2), SHIFT_REPEAT(338),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_loop, 2),
  [2324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_handling, 2),
  [2328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [2332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(342),
  [2336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [2338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [2340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [2342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [2344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(863),
  [2346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8),
  [2350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(439),
  [2352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(441),
  [2354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_loopbody_repeat1, 2), SHIFT_REPEAT(301),
  [2357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [2359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1221),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [2367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [2369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [2377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [2379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [2383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [2437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__definition, 3),
  [2439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [2441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_statement, 1),
  [2443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__global_assignment, 6),
  [2445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__definition, 2),
  [2447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__global_assignment, 4),
  [2449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_handling_repeat1, 2, .production_id = 10),
  [2451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__global_assignment, 5),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_local_repeat1, 4),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [2477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [2495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dynamic_repeat1, 2),
  [2499] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_dynamic_repeat1, 2), SHIFT_REPEAT(1553),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_local_repeat1, 2),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_local_repeat1, 2), SHIFT_REPEAT(1219),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic, 2),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(281),
  [2513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [2515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 2),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_global_repeat1, 2),
  [2523] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_global_repeat1, 2), SHIFT_REPEAT(1086),
  [2526] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global, 3),
  [2528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [2530] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_global, 2),
  [2532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15),
  [2534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__codeblock, 2),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local, 3),
  [2538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_import, 3),
  [2542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic, 3),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [2546] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__identifier_list_repeat1, 2), SHIFT_REPEAT(1346),
  [2549] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__codeblock_repeat1, 2), SHIFT_REPEAT(1535),
  [2552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__codeblock_repeat1, 2), SHIFT_REPEAT(210),
  [2555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_import, 4),
  [2557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_local_repeat1, 2), SHIFT_REPEAT(434),
  [2560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [2562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [2564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [2566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(268),
  [2568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [2570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import, 2),
  [2572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [2574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [2576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [2578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1148),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1489),
  [2590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [2604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_local_repeat1, 2), SHIFT_REPEAT(1221),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(72),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [2641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [2649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__codeblock_repeat1, 2), SHIFT_REPEAT(209),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(207),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1009),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1157),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [2688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [2694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [2700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_local_repeat1, 2), SHIFT_REPEAT(420),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__arguments_repeat1, 2), SHIFT_REPEAT(1285),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [2728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [2730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(26),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1098),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [2740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1166),
  [2746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [2748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1158),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [2752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [2754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(81),
  [2756] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1153),
  [2758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_repeat1, 2),
  [2760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_if_repeat1, 2), SHIFT_REPEAT(277),
  [2763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1154),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(51),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(56),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(74),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [2791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1156),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [2803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(77),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1134),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [2811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(76),
  [2821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [2823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(64),
  [2825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1172),
  [2827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [2829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [2831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [2835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [2837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [2841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(38),
  [2843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [2845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(25),
  [2847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1122),
  [2849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(24),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [2855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [2857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [2859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(45),
  [2863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [2867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [2871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [2875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [2877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [2881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [2883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [2885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1105),
  [2889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(57),
  [2891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1108),
  [2893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__identifier_list_repeat1, 2), SHIFT_REPEAT(1231),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(49),
  [2900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [2902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [2904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1117),
  [2906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [2908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [2912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [2914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1183),
  [2916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__arguments_repeat1, 2), SHIFT_REPEAT(1249),
  [2919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [2923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [2935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [2937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [2941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [2943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [2951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1141),
  [2953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [2955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1099),
  [2957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [2969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [2971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1183),
  [2974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat2, 2), SHIFT_REPEAT(1186),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat2, 2),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [2985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [3001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_repeat2, 2, .production_id = 5), SHIFT_REPEAT(1274),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_repeat2, 2, .production_id = 5),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [3024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [3026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(78),
  [3032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [3034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [3038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [3046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_handling_repeat1, 2, .production_id = 11), SHIFT_REPEAT(328),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_handling_repeat1, 2, .production_id = 11),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(61),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [3075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [3077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [3079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(33),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [3091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(58),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [3099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [3109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_elif, 4, .production_id = 10),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(63),
  [3139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_local_repeat1, 2),
  [3147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [3149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_local_repeat1, 2), SHIFT_REPEAT(1349),
  [3152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [3162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 10, .production_id = 22),
  [3166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 13, .production_id = 21),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 20, .production_id = 25),
  [3170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 19, .production_id = 23),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 19, .production_id = 25),
  [3174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 18, .production_id = 21),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 18, .production_id = 23),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [3186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 8, .production_id = 18),
  [3188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 18, .production_id = 25),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 17, .production_id = 18),
  [3192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [3194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [3196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 8, .production_id = 22),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 17, .production_id = 21),
  [3200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 17, .production_id = 23),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 8, .production_id = 21),
  [3204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 17, .production_id = 25),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 16, .production_id = 18),
  [3208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 16, .production_id = 21),
  [3210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 16, .production_id = 23),
  [3212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 16, .production_id = 25),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 8, .production_id = 19),
  [3216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 15, .production_id = 21),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 15, .production_id = 23),
  [3220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [3224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 15, .production_id = 25),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [3230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [3244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [3246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [3248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1017),
  [3252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [3254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 8, .production_id = 24),
  [3256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 14, .production_id = 18),
  [3258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 14, .production_id = 21),
  [3260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 14, .production_id = 23),
  [3262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 14, .production_id = 26),
  [3264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 14, .production_id = 25),
  [3266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 13, .production_id = 18),
  [3268] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 8, .production_id = 23),
  [3270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_declaration, 2),
  [3272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [3274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [3278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 13, .production_id = 24),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 13, .production_id = 23),
  [3282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 13, .production_id = 26),
  [3284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 13, .production_id = 25),
  [3286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 12, .production_id = 18),
  [3288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 9, .production_id = 25),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 12, .production_id = 22),
  [3292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 12, .production_id = 21),
  [3294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [3296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 12, .production_id = 24),
  [3300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 12, .production_id = 23),
  [3304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [3306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 12, .production_id = 26),
  [3308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 9, .production_id = 26),
  [3310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [3312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [3314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [3318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [3320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [3322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 9, .production_id = 23),
  [3324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 12, .production_id = 25),
  [3326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 7, .production_id = 19),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3332] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 7, .production_id = 18),
  [3334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 15, .production_id = 18),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [3338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 11, .production_id = 18),
  [3342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [3344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 9, .production_id = 24),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [3354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 11, .production_id = 22),
  [3356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 11, .production_id = 21),
  [3358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 11, .production_id = 24),
  [3360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 7, .production_id = 22),
  [3362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 11, .production_id = 23),
  [3364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 7, .production_id = 21),
  [3366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 11, .production_id = 26),
  [3368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 9, .production_id = 21),
  [3370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 11, .production_id = 19),
  [3372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [3380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_repeat2, 3, .production_id = 3),
  [3382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 11, .production_id = 25),
  [3384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [3386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [3388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 9, .production_id = 22),
  [3392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 10, .production_id = 19),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 10, .production_id = 18),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 10, .production_id = 21),
  [3402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 10, .production_id = 24),
  [3404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 9, .production_id = 18),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [3410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_repeat2, 4, .production_id = 13),
  [3412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 10, .production_id = 23),
  [3414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 6, .production_id = 19),
  [3416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 10, .production_id = 26),
  [3418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 10, .production_id = 25),
  [3420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 6, .production_id = 18),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [3426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method, 9, .production_id = 19),
  [3428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [3432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [3434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [3436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [3438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [3442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [3444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [3446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally, 2),
  [3450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else, 2),
  [3454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [3462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [3464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [3468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [3470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [3472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [3476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [3482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [3490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [3496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [3502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [3504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [3520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [3524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally, 4),
  [3526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [3530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [3532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [3534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [3536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [3538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [3540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [3542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [3544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [3546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [3548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [3550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [3556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [3558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [3566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [3568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [3570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [3572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [3578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [3582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [3586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [3590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [3592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [3594] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [3598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [3600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(740),
  [3602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [3604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [3606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [3616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [3624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_magik(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
